import { _ as _defineProperty } from '../_chunks/dep-931ef437.js';
import { defineComponent, computed } from 'vue';
import renderFn from '../utils/render-fn.js';
import useSizeProps from '../utils/use-size-props.js';
import '../style/css.js';
import '../utils/use-common-classname.js';
import '../utils/config-context.js';

function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
var element = {
  "tag": "svg",
  "attrs": {
    "fill": "none",
    "viewBox": "0 0 24 25",
    "width": "1em",
    "height": "1em"
  },
  "children": [{
    "tag": "path",
    "attrs": {
      "fill": "currentColor",
      "d": "M11.4104 0.0605469L15.1257 6.23403L22.1451 7.85973L17.4219 13.3009L18.0448 20.4791L11.4104 17.6684L4.77606 20.4791L5.39903 13.3009L0.675781 7.85973L7.69519 6.23403L11.4104 0.0605469ZM11.4104 3.93926L8.9719 7.99127L4.36466 9.05832L7.4648 12.6297L7.05591 17.3411L11.4104 15.4963L15.765 17.3411L15.3561 12.6297L18.4562 9.05832L13.849 7.99127L11.4104 3.93926ZM20.8634 14.0114L23.3382 16.4862L21.924 17.9004L19.4492 15.4256L20.8634 14.0114ZM12.5665 20.1266L15.0414 22.6015L13.6272 24.0157L11.1523 21.5408L12.5665 20.1266ZM19.1446 20.1266L21.6195 22.6015L20.2053 24.0157L17.7304 21.5408L19.1446 20.1266Z"
    }
  }]
};
var animation1 = defineComponent({
  name: "Animation1Icon",
  props: {
    size: {
      type: String
    },
    onClick: {
      type: Function
    }
  },
  setup(props, _ref) {
    var {
      attrs
    } = _ref;
    var propsSize = computed(() => props.size);
    var {
      className,
      style
    } = useSizeProps(propsSize);
    var finalCls = computed(() => ["t-icon", "t-icon-animation-1", className.value]);
    var finalStyle = computed(() => _objectSpread(_objectSpread({}, style.value), attrs.style));
    var finalProps = computed(() => ({
      class: finalCls.value,
      style: finalStyle.value,
      onClick: e => {
        var _props$onClick;
        return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
          e
        });
      }
    }));
    return () => renderFn(element, finalProps.value);
  }
});

export default animation1;
//# sourceMappingURL=animation-1.js.map
