import { _ as _defineProperty } from '../_chunks/dep-931ef437.js';
import { defineComponent, computed } from 'vue';
import renderFn from '../utils/render-fn.js';
import useSizeProps from '../utils/use-size-props.js';
import '../style/css.js';
import '../utils/use-common-classname.js';
import '../utils/config-context.js';

function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
var element = {
  "tag": "svg",
  "attrs": {
    "fill": "none",
    "viewBox": "0 0 24 24",
    "width": "1em",
    "height": "1em"
  },
  "children": [{
    "tag": "path",
    "attrs": {
      "fill": "currentColor",
      "d": "M6.34412 3.92959L5.63702 4.6367C2.1223 8.15142 2.1223 13.8499 5.63702 17.3646L6.34412 18.0717L4.92991 19.4859L4.2228 18.7788C-0.0729651 14.4831 -0.0729651 7.51825 4.2228 3.22249L4.92991 2.51538L6.34412 3.92959ZM19.0705 2.51538L19.7776 3.22249C24.0734 7.51825 24.0734 14.4831 19.7776 18.7788L19.0705 19.4859L17.6563 18.0717L18.3634 17.3646C21.8781 13.8499 21.8781 8.15142 18.3634 4.6367L17.6563 3.92959L19.0705 2.51538ZM9.52576 7.11124L8.81866 7.81834C7.0613 9.5757 7.0613 12.4249 8.81866 14.1823L9.52576 14.8894L8.11155 16.3036L7.40444 15.5965C4.86603 13.0581 4.86603 8.94254 7.40444 6.40413L8.11155 5.69702L9.52576 7.11124ZM15.8889 5.69702L16.596 6.40413C19.1344 8.94254 19.1344 13.0581 16.596 15.5965L15.8889 16.3036L14.4747 14.8894L15.1818 14.1823C16.9391 12.4249 16.9391 9.5757 15.1818 7.81834L14.4747 7.11124L15.8889 5.69702ZM10.0002 10.9999C10.0002 9.89534 10.8957 8.99991 12.0002 8.99991C13.1048 8.99991 14.0002 9.89534 14.0002 10.9999C14.0002 11.7402 13.598 12.3865 13.0002 12.7323V22.9999H11.0002V12.7323C10.4024 12.3865 10.0002 11.7402 10.0002 10.9999Z"
    }
  }]
};
var baseStation = defineComponent({
  name: "BaseStationIcon",
  props: {
    size: {
      type: String
    },
    onClick: {
      type: Function
    }
  },
  setup(props, _ref) {
    var {
      attrs
    } = _ref;
    var propsSize = computed(() => props.size);
    var {
      className,
      style
    } = useSizeProps(propsSize);
    var finalCls = computed(() => ["t-icon", "t-icon-base-station", className.value]);
    var finalStyle = computed(() => _objectSpread(_objectSpread({}, style.value), attrs.style));
    var finalProps = computed(() => ({
      class: finalCls.value,
      style: finalStyle.value,
      onClick: e => {
        var _props$onClick;
        return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
          e
        });
      }
    }));
    return () => renderFn(element, finalProps.value);
  }
});

export default baseStation;
//# sourceMappingURL=base-station.js.map
