import { _ as _defineProperty } from '../_chunks/dep-931ef437.js';
import { defineComponent, computed } from 'vue';
import renderFn from '../utils/render-fn.js';
import useSizeProps from '../utils/use-size-props.js';
import '../style/css.js';
import '../utils/use-common-classname.js';
import '../utils/config-context.js';

function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
var element = {
  "tag": "svg",
  "attrs": {
    "fill": "none",
    "viewBox": "0 0 24 24",
    "width": "1em",
    "height": "1em"
  },
  "children": [{
    "tag": "path",
    "attrs": {
      "fill": "currentColor",
      "d": "M0 3C8 3 16 3.00084 24 3.00084V21.0013H18V13.3982C17.9589 13.358 17.9125 13.3138 17.8608 13.2661C17.593 13.0188 17.1877 12.6829 16.6535 12.3455C15.5862 11.6714 14.0191 11 12 11C9.98093 11 8.41375 11.6714 7.34649 12.3455C6.81232 12.6829 6.40703 13.0188 6.13922 13.2661C6.08754 13.3138 6.04112 13.358 6 13.3982V21.0004H0V3ZM6 10.8364C6.08952 10.776 6.18236 10.7152 6.27851 10.6545C7.58625 9.82857 9.51907 9 12 9C14.4809 9 16.4138 9.82857 17.7215 10.6545C17.8176 10.7152 17.9105 10.776 18 10.8364V5.00057C14 4.99963 10 5 6 5V10.8364Z"
    }
  }]
};
var bridge5Filled = defineComponent({
  name: "Bridge5FilledIcon",
  props: {
    size: {
      type: String
    },
    onClick: {
      type: Function
    }
  },
  setup(props, _ref) {
    var {
      attrs
    } = _ref;
    var propsSize = computed(() => props.size);
    var {
      className,
      style
    } = useSizeProps(propsSize);
    var finalCls = computed(() => ["t-icon", "t-icon-bridge-5-filled", className.value]);
    var finalStyle = computed(() => _objectSpread(_objectSpread({}, style.value), attrs.style));
    var finalProps = computed(() => ({
      class: finalCls.value,
      style: finalStyle.value,
      onClick: e => {
        var _props$onClick;
        return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
          e
        });
      }
    }));
    return () => renderFn(element, finalProps.value);
  }
});

export default bridge5Filled;
//# sourceMappingURL=bridge-5-filled.js.map
