import { _ as _defineProperty } from '../_chunks/dep-931ef437.js';
import { defineComponent, computed } from 'vue';
import renderFn from '../utils/render-fn.js';
import useSizeProps from '../utils/use-size-props.js';
import '../style/css.js';
import '../utils/use-common-classname.js';
import '../utils/config-context.js';

function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
var element = {
  "tag": "svg",
  "attrs": {
    "fill": "none",
    "viewBox": "0 0 24 24",
    "width": "1em",
    "height": "1em"
  },
  "children": [{
    "tag": "path",
    "attrs": {
      "fill": "currentColor",
      "d": "M4 2V5.41321C4.11378 5.47028 4.24916 5.53494 4.40614 5.60471C5.01608 5.87579 5.95284 6.22438 7.21693 6.50529C8.48078 6.78615 10.0747 7 12 7C13.9253 7 15.5192 6.78615 16.7831 6.50529C18.0472 6.22438 18.9839 5.87579 19.5939 5.60471C19.7508 5.53494 19.8862 5.47028 20 5.41321V2H22V14.9997L23 15.0004V17.0004H22V22.0004H20V17.0004H4V22.0004H2V17.0004H1V15.0004H2V2H4ZM4 15.0004H6V8.26694C5.19789 8.05387 4.53118 7.82047 4 7.60483V15.0004ZM8 8.69063V15.0004H11V8.98182C9.8934 8.94122 8.89333 8.83525 8 8.69063ZM13 8.98182V15.0004H16V8.69063C15.1067 8.83525 14.1066 8.94122 13 8.98182ZM18 8.26694V15.0004H20L20 7.60483C19.4688 7.82047 18.8021 8.05387 18 8.26694ZM20.446 5.16743C20.4484 5.16587 20.4496 5.16511 20.4495 5.16519L20.4483 5.16593L20.4471 5.16678L20.446 5.16743Z"
    }
  }]
};
var bridge = defineComponent({
  name: "BridgeIcon",
  props: {
    size: {
      type: String
    },
    onClick: {
      type: Function
    }
  },
  setup(props, _ref) {
    var {
      attrs
    } = _ref;
    var propsSize = computed(() => props.size);
    var {
      className,
      style
    } = useSizeProps(propsSize);
    var finalCls = computed(() => ["t-icon", "t-icon-bridge", className.value]);
    var finalStyle = computed(() => _objectSpread(_objectSpread({}, style.value), attrs.style));
    var finalProps = computed(() => ({
      class: finalCls.value,
      style: finalStyle.value,
      onClick: e => {
        var _props$onClick;
        return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
          e
        });
      }
    }));
    return () => renderFn(element, finalProps.value);
  }
});

export default bridge;
//# sourceMappingURL=bridge.js.map
