import { _ as _defineProperty } from '../_chunks/dep-931ef437.js';
import { defineComponent, computed } from 'vue';
import renderFn from '../utils/render-fn.js';
import useSizeProps from '../utils/use-size-props.js';
import '../style/css.js';
import '../utils/use-common-classname.js';
import '../utils/config-context.js';

function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
var element = {
  "tag": "svg",
  "attrs": {
    "fill": "none",
    "viewBox": "0 0 24 24",
    "width": "1em",
    "height": "1em"
  },
  "children": [{
    "tag": "path",
    "attrs": {
      "fill": "currentColor",
      "d": "M12.0002 0.0856934L15.4897 3.57529H20.4248V8.51031L23.9144 11.9999L20.4248 15.4895V20.4245H15.4897L12.0002 23.9141L8.51056 20.4245H3.57553V15.4895L0.0859375 11.9999L3.57553 8.51032V3.57529H8.51056L12.0002 0.0856934ZM12.0002 2.91412L9.33899 5.57529H5.57553V9.33875L2.91436 11.9999L5.57553 14.6611V18.4245H9.33899L12.0002 21.0857L14.6613 18.4245H18.4248V14.6611L21.0859 11.9999L18.4248 9.33874V5.57529H14.6613L12.0002 2.91412ZM12.0002 7.99991C9.79101 7.99991 8.00015 9.79077 8.00015 11.9999C8.00015 14.209 9.79101 15.9999 12.0002 15.9999C14.2093 15.9999 16.0002 14.209 16.0002 11.9999C16.0002 9.79077 14.2093 7.99991 12.0002 7.99991ZM6.00015 11.9999C6.00015 8.6862 8.68644 5.99991 12.0002 5.99991C15.3139 5.99991 18.0002 8.6862 18.0002 11.9999C18.0002 15.3136 15.3139 17.9999 12.0002 17.9999C8.68644 17.9999 6.00015 15.3136 6.00015 11.9999Z"
    }
  }]
};
var brightness = defineComponent({
  name: "BrightnessIcon",
  props: {
    size: {
      type: String
    },
    onClick: {
      type: Function
    }
  },
  setup(props, _ref) {
    var {
      attrs
    } = _ref;
    var propsSize = computed(() => props.size);
    var {
      className,
      style
    } = useSizeProps(propsSize);
    var finalCls = computed(() => ["t-icon", "t-icon-brightness", className.value]);
    var finalStyle = computed(() => _objectSpread(_objectSpread({}, style.value), attrs.style));
    var finalProps = computed(() => ({
      class: finalCls.value,
      style: finalStyle.value,
      onClick: e => {
        var _props$onClick;
        return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
          e
        });
      }
    }));
    return () => renderFn(element, finalProps.value);
  }
});

export default brightness;
//# sourceMappingURL=brightness.js.map
