import { _ as _defineProperty } from '../_chunks/dep-931ef437.js';
import { defineComponent, computed } from 'vue';
import renderFn from '../utils/render-fn.js';
import useSizeProps from '../utils/use-size-props.js';
import '../style/css.js';
import '../utils/use-common-classname.js';
import '../utils/config-context.js';

function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
var element = {
  "tag": "svg",
  "attrs": {
    "fill": "none",
    "viewBox": "0 0 24 24",
    "width": "1em",
    "height": "1em"
  },
  "children": [{
    "tag": "g",
    "attrs": {
      "clipPath": "url(#clip0_8726_7215)"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M19.41 1.58618L20.1024 2.3077C22.5154 4.82222 24 8.23883 24 12.0001C24 15.7614 22.5154 19.178 20.1024 21.6925L19.41 22.414L17.9669 21.0292L18.6593 20.3077C20.7294 18.1506 22 15.2248 22 12.0001C22 8.77539 20.7294 5.84955 18.6593 3.6925L17.9669 2.97098L19.41 1.58618ZM10 4.0001C5.58172 4.0001 2 7.58182 2 12.0001C2 16.4184 5.58172 20.0001 10 20.0001C14.4183 20.0001 18 16.4184 18 12.0001C18 7.58182 14.4183 4.0001 10 4.0001ZM0 12.0001C0 6.47725 4.47715 2.0001 10 2.0001C15.5228 2.0001 20 6.47725 20 12.0001C20 17.5229 15.5228 22.0001 10 22.0001C4.47715 22.0001 0 17.5229 0 12.0001ZM11 6.5001V11.5859L14.4142 15.0001L13 16.4143L9 12.4143V6.5001H11Z"
      }
    }]
  }]
};
var browseGallery = defineComponent({
  name: "BrowseGalleryIcon",
  props: {
    size: {
      type: String
    },
    onClick: {
      type: Function
    }
  },
  setup(props, _ref) {
    var {
      attrs
    } = _ref;
    var propsSize = computed(() => props.size);
    var {
      className,
      style
    } = useSizeProps(propsSize);
    var finalCls = computed(() => ["t-icon", "t-icon-browse-gallery", className.value]);
    var finalStyle = computed(() => _objectSpread(_objectSpread({}, style.value), attrs.style));
    var finalProps = computed(() => ({
      class: finalCls.value,
      style: finalStyle.value,
      onClick: e => {
        var _props$onClick;
        return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
          e
        });
      }
    }));
    return () => renderFn(element, finalProps.value);
  }
});

export default browseGallery;
//# sourceMappingURL=browse-gallery.js.map
