import { _ as _defineProperty } from '../_chunks/dep-931ef437.js';
import { defineComponent, computed } from 'vue';
import renderFn from '../utils/render-fn.js';
import useSizeProps from '../utils/use-size-props.js';
import '../style/css.js';
import '../utils/use-common-classname.js';
import '../utils/config-context.js';

function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
var element = {
  "tag": "svg",
  "attrs": {
    "fill": "none",
    "viewBox": "0 0 24 24",
    "width": "1em",
    "height": "1em"
  },
  "children": [{
    "tag": "path",
    "attrs": {
      "fill": "currentColor",
      "d": "M16.3799 1.96582L18.5012 4.08714L20.6225 1.96582L22.0367 3.38003L19.9154 5.50135L22.0367 7.62267L20.6225 9.03689L18.5012 6.91557L16.3799 9.03689L14.9657 7.62267L17.087 5.50135L14.9657 3.38003L16.3799 1.96582ZM1 2.00003H9.57995L11.0668 8.69064L9.2078 10.5496C10.2994 12.2508 11.7492 13.7007 13.4504 14.7922L15.3094 12.9333L22 14.4201V23H21C17.0022 23 13.2755 21.826 10.1497 19.8036C7.76894 18.2634 5.73668 16.2311 4.1964 13.8504C2.17402 10.7245 1 6.99784 1 3.00003V2.00003ZM3.02729 4.00003C3.20351 7.2208 4.22584 10.214 5.87561 12.764C7.26238 14.9074 9.09261 16.7377 11.2361 18.1244C13.786 19.7742 16.7792 20.7965 20 20.9727V16.0244L15.9473 15.1238L13.7725 17.2986L13.1102 16.9225C10.5952 15.4944 8.50568 13.4049 7.07755 10.8898L6.70146 10.2275L8.87621 8.05276L7.97561 4.00003H3.02729Z"
    }
  }]
};
var callCancel = defineComponent({
  name: "CallCancelIcon",
  props: {
    size: {
      type: String
    },
    onClick: {
      type: Function
    }
  },
  setup(props, _ref) {
    var {
      attrs
    } = _ref;
    var propsSize = computed(() => props.size);
    var {
      className,
      style
    } = useSizeProps(propsSize);
    var finalCls = computed(() => ["t-icon", "t-icon-call-cancel", className.value]);
    var finalStyle = computed(() => _objectSpread(_objectSpread({}, style.value), attrs.style));
    var finalProps = computed(() => ({
      class: finalCls.value,
      style: finalStyle.value,
      onClick: e => {
        var _props$onClick;
        return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
          e
        });
      }
    }));
    return () => renderFn(element, finalProps.value);
  }
});

export default callCancel;
//# sourceMappingURL=call-cancel.js.map
