import { _ as _defineProperty } from '../_chunks/dep-931ef437.js';
import { defineComponent, computed } from 'vue';
import renderFn from '../utils/render-fn.js';
import useSizeProps from '../utils/use-size-props.js';
import '../style/css.js';
import '../utils/use-common-classname.js';
import '../utils/config-context.js';

function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
var element = {
  "tag": "svg",
  "attrs": {
    "fill": "none",
    "viewBox": "0 0 24 24",
    "width": "1em",
    "height": "1em"
  },
  "children": [{
    "tag": "path",
    "attrs": {
      "fill": "currentColor",
      "d": "M22.4142 2.99991L11.8327 13.5814C12.3413 14.0224 12.8819 14.4273 13.4504 14.7921L15.3094 12.9332L22 14.42V22.9999H21C17.0022 22.9999 13.2755 21.8259 10.1497 19.8035C9.2404 19.2152 8.38205 18.5552 7.58256 17.8316L3 22.4141L1.58579 20.9999L21 1.58569L22.4142 2.99991ZM8.99871 16.4154C9.69759 17.0411 10.4456 17.6129 11.2361 18.1243C13.786 19.7741 16.7792 20.7964 20 20.9726V16.0243L15.9473 15.1237L13.7725 17.2985L13.1102 16.9224C12.1446 16.3741 11.2419 15.7284 10.4154 14.9987L8.99871 16.4154ZM1 1.99991H9.57995L11.0668 8.69052L9.20181 10.5555L9.49899 11.0598L7.77585 12.0751L6.69246 10.2364L8.87621 8.05263L7.97561 3.99991H3.02729C3.20351 7.22068 4.22584 10.2139 5.87561 12.7638C5.95693 12.8895 6.03977 13.0142 6.12412 13.1377L6.68806 13.9635L5.03642 15.0914L4.47248 14.2655C4.37878 14.1283 4.28675 13.9899 4.1964 13.8503C2.17402 10.7244 1 6.99771 1 2.99991V1.99991Z"
    }
  }]
};
var callOff = defineComponent({
  name: "CallOffIcon",
  props: {
    size: {
      type: String
    },
    onClick: {
      type: Function
    }
  },
  setup(props, _ref) {
    var {
      attrs
    } = _ref;
    var propsSize = computed(() => props.size);
    var {
      className,
      style
    } = useSizeProps(propsSize);
    var finalCls = computed(() => ["t-icon", "t-icon-call-off", className.value]);
    var finalStyle = computed(() => _objectSpread(_objectSpread({}, style.value), attrs.style));
    var finalProps = computed(() => ({
      class: finalCls.value,
      style: finalStyle.value,
      onClick: e => {
        var _props$onClick;
        return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
          e
        });
      }
    }));
    return () => renderFn(element, finalProps.value);
  }
});

export default callOff;
//# sourceMappingURL=call-off.js.map
