import { _ as _defineProperty } from '../_chunks/dep-931ef437.js';
import { defineComponent, computed } from 'vue';
import renderFn from '../utils/render-fn.js';
import useSizeProps from '../utils/use-size-props.js';
import '../style/css.js';
import '../utils/use-common-classname.js';
import '../utils/config-context.js';

function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
var element = {
  "tag": "svg",
  "attrs": {
    "fill": "none",
    "viewBox": "0 0 24 24",
    "width": "1em",
    "height": "1em"
  },
  "children": [{
    "tag": "path",
    "attrs": {
      "fill": "currentColor",
      "d": "M2.00015 0.585693L22.4144 20.9999L21.0002 22.4141L19.5859 20.9999H1.00015V4.99991H3.58594L0.585938 1.99991L2.00015 0.585693ZM5.58594 6.99991H3.00015V18.9999H17.5859L15.049 16.463C14.2056 17.1126 13.1478 17.4999 12.0002 17.4999C9.23873 17.4999 7.00015 15.2613 7.00015 12.4999C7.00015 11.3522 7.3875 10.2945 8.03709 9.45106L5.58594 6.99991ZM9.47115 10.8851C9.17259 11.3515 9.00015 11.9054 9.00015 12.4999C9.00015 14.1568 10.3433 15.4999 12.0002 15.4999C12.5947 15.4999 13.1485 15.3275 13.6149 15.0289L9.47115 10.8851ZM7.88212 1.99991H16.1182L17.6182 4.99991H23.0002V18.9999H21.0002V6.99991H16.3821L14.8821 3.99991H9.11819L8.47861 5.27905L6.68976 4.38462L7.88212 1.99991Z"
    }
  }]
};
var cameraOff = defineComponent({
  name: "CameraOffIcon",
  props: {
    size: {
      type: String
    },
    onClick: {
      type: Function
    }
  },
  setup(props, _ref) {
    var {
      attrs
    } = _ref;
    var propsSize = computed(() => props.size);
    var {
      className,
      style
    } = useSizeProps(propsSize);
    var finalCls = computed(() => ["t-icon", "t-icon-camera-off", className.value]);
    var finalStyle = computed(() => _objectSpread(_objectSpread({}, style.value), attrs.style));
    var finalProps = computed(() => ({
      class: finalCls.value,
      style: finalStyle.value,
      onClick: e => {
        var _props$onClick;
        return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
          e
        });
      }
    }));
    return () => renderFn(element, finalProps.value);
  }
});

export default cameraOff;
//# sourceMappingURL=camera-off.js.map
