import { _ as _defineProperty } from '../_chunks/dep-931ef437.js';
import { defineComponent, computed } from 'vue';
import renderFn from '../utils/render-fn.js';
import useSizeProps from '../utils/use-size-props.js';
import '../style/css.js';
import '../utils/use-common-classname.js';
import '../utils/config-context.js';

function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
var element = {
  "tag": "svg",
  "attrs": {
    "fill": "none",
    "viewBox": "0 0 24 24",
    "width": "1em",
    "height": "1em"
  },
  "children": [{
    "tag": "path",
    "attrs": {
      "fill": "currentColor",
      "d": "M13 1V2.08296C15.8377 2.55904 18 5.027 18 8H6C6 5.027 8.16229 2.55904 11 2.08296V1H13zM22 8H2V12.8365C2.75589 12.3092 3.67517 12 4.66667 12 6.15398 12 7.47878 12.6958 8.33333 13.7796 9.18789 12.6958 10.5127 12 12 12 13.4873 12 14.8121 12.6958 15.6667 13.7796 16.5212 12.6958 17.846 12 19.3333 12 20.3248 12 21.2441 12.3092 22 12.8365V8zM22 16.6634C21.9983 15.1922 20.805 14 19.3333 14 17.8606 14 16.6667 15.1939 16.6667 16.6667V22H22V16.6634zM14.6667 22V16.6667C14.6667 15.1939 13.4728 14 12 14 10.5272 14 9.33333 15.1939 9.33333 16.6667V22H14.6667zM7.33333 22V16.6667C7.33333 15.1939 6.13943 14 4.66667 14 3.19391 14 2 15.1939 2 16.6667V22H7.33333z"
    }
  }]
};
var castle7Filled = defineComponent({
  name: "Castle7FilledIcon",
  props: {
    size: {
      type: String
    },
    onClick: {
      type: Function
    }
  },
  setup(props, _ref) {
    var {
      attrs
    } = _ref;
    var propsSize = computed(() => props.size);
    var {
      className,
      style
    } = useSizeProps(propsSize);
    var finalCls = computed(() => ["t-icon", "t-icon-castle-7-filled", className.value]);
    var finalStyle = computed(() => _objectSpread(_objectSpread({}, style.value), attrs.style));
    var finalProps = computed(() => ({
      class: finalCls.value,
      style: finalStyle.value,
      onClick: e => {
        var _props$onClick;
        return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
          e
        });
      }
    }));
    return () => renderFn(element, finalProps.value);
  }
});

export default castle7Filled;
//# sourceMappingURL=castle-7-filled.js.map
