import { _ as _defineProperty } from '../_chunks/dep-931ef437.js';
import { defineComponent, computed } from 'vue';
import renderFn from '../utils/render-fn.js';
import useSizeProps from '../utils/use-size-props.js';
import '../style/css.js';
import '../utils/use-common-classname.js';
import '../utils/config-context.js';

function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
var element = {
  "tag": "svg",
  "attrs": {
    "fill": "none",
    "viewBox": "0 0 24 24",
    "width": "1em",
    "height": "1em"
  },
  "children": [{
    "tag": "path",
    "attrs": {
      "fill": "currentColor",
      "d": "M1.5 2H22.5V11H20.5V4H3.5V18.2962L6.12426 16H13V18H6.87574L1.5 22.7038V2ZM19.9991 12.5V13.6404C20.5322 13.799 21.012 14.0812 21.4054 14.4538L22.3942 13.8828L23.3942 15.6149L22.4051 16.186C22.4666 16.4458 22.4991 16.7168 22.4991 16.9954C22.4991 17.2755 22.4663 17.5479 22.4041 17.809L23.3943 18.3806L22.3943 20.1127L21.4023 19.54C21.0095 19.9111 20.5308 20.1923 19.9991 20.3505V21.4954H17.9991V20.3505C17.4675 20.1923 16.9887 19.9111 16.5959 19.5399L15.6039 20.1126L14.6039 18.3806L15.5942 17.8089C15.532 17.5478 15.4992 17.2755 15.4992 16.9954C15.4992 16.7169 15.5317 16.4459 15.5932 16.1861L14.604 15.615L15.604 13.8829L16.5929 14.4538C16.9863 14.0813 17.4661 13.799 17.9991 13.6404V12.5H19.9991ZM18.9991 15.4954C18.1707 15.4954 17.4992 16.167 17.4992 16.9954C17.4992 17.8239 18.1707 18.4954 18.9991 18.4954C19.8276 18.4954 20.4991 17.8239 20.4991 16.9954C20.4991 16.167 19.8276 15.4954 18.9991 15.4954Z"
    }
  }]
};
var chatSetting = defineComponent({
  name: "ChatSettingIcon",
  props: {
    size: {
      type: String
    },
    onClick: {
      type: Function
    }
  },
  setup(props, _ref) {
    var {
      attrs
    } = _ref;
    var propsSize = computed(() => props.size);
    var {
      className,
      style
    } = useSizeProps(propsSize);
    var finalCls = computed(() => ["t-icon", "t-icon-chat-setting", className.value]);
    var finalStyle = computed(() => _objectSpread(_objectSpread({}, style.value), attrs.style));
    var finalProps = computed(() => ({
      class: finalCls.value,
      style: finalStyle.value,
      onClick: e => {
        var _props$onClick;
        return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
          e
        });
      }
    }));
    return () => renderFn(element, finalProps.value);
  }
});

export default chatSetting;
//# sourceMappingURL=chat-setting.js.map
