import { _ as _defineProperty } from '../_chunks/dep-931ef437.js';
import { defineComponent, computed } from 'vue';
import renderFn from '../utils/render-fn.js';
import useSizeProps from '../utils/use-size-props.js';
import '../style/css.js';
import '../utils/use-common-classname.js';
import '../utils/config-context.js';

function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
var element = {
  "tag": "svg",
  "attrs": {
    "fill": "none",
    "viewBox": "0 0 24 24",
    "width": "1em",
    "height": "1em"
  },
  "children": [{
    "tag": "path",
    "attrs": {
      "fill": "currentColor",
      "d": "M12.0017.0664062L11.1458 1.4826 11.1444 1.48492 11.1387 1.49425 11.1147 1.5335C11.0932 1.56853 11.0609 1.62088 11.0187 1.68826 10.9344 1.82308 10.811 2.01778 10.6566 2.2542 10.3472 2.72806 9.91655 3.36466 9.42885 4.02054 8.93869 4.67972 8.40406 5.34058 7.88721 5.87187 7.3436 6.43067 6.91844 6.74123 6.65382 6.83963 6.31619 6.96518 6.09813 6.99997 6.00001 6.99997H5.00001L5.00001 8.99997 6.00235 8.99997V11H18L18 8.99998H19V6.99997H18C17.9021 6.99997 17.6848 6.96535 17.3483 6.84031 17.0841 6.74218 16.6593 6.4319 16.1157 5.87302 15.599 5.34172 15.0644 4.68075 14.5743 4.02141 14.0867 3.36538 13.656 2.72859 13.3466 2.25459 13.1922 2.01809 13.0688 1.82332 12.9845 1.68846 12.9424 1.62105 12.91 1.56869 12.8885 1.53365L12.8645 1.49438 12.8588 1.48505 12.0017.0664062zM2 13L22 13 22 15 21 15 21 22H16V17H8V22H3.00001L3 15H2V13z"
    }
  }, {
    "tag": "path",
    "attrs": {
      "fill": "currentColor",
      "d": "M10 22V19H14V22H10Z"
    }
  }]
};
var cityAncientFilled = defineComponent({
  name: "CityAncientFilledIcon",
  props: {
    size: {
      type: String
    },
    onClick: {
      type: Function
    }
  },
  setup(props, _ref) {
    var {
      attrs
    } = _ref;
    var propsSize = computed(() => props.size);
    var {
      className,
      style
    } = useSizeProps(propsSize);
    var finalCls = computed(() => ["t-icon", "t-icon-city-ancient-filled", className.value]);
    var finalStyle = computed(() => _objectSpread(_objectSpread({}, style.value), attrs.style));
    var finalProps = computed(() => ({
      class: finalCls.value,
      style: finalStyle.value,
      onClick: e => {
        var _props$onClick;
        return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
          e
        });
      }
    }));
    return () => renderFn(element, finalProps.value);
  }
});

export default cityAncientFilled;
//# sourceMappingURL=city-ancient-filled.js.map
