import { _ as _defineProperty } from '../_chunks/dep-931ef437.js';
import { defineComponent, computed } from 'vue';
import renderFn from '../utils/render-fn.js';
import useSizeProps from '../utils/use-size-props.js';
import '../style/css.js';
import '../utils/use-common-classname.js';
import '../utils/config-context.js';

function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
var element = {
  "tag": "svg",
  "attrs": {
    "fill": "none",
    "viewBox": "0 0 24 24",
    "width": "1em",
    "height": "1em"
  },
  "children": [{
    "tag": "path",
    "attrs": {
      "fill": "currentColor",
      "d": "M4.59837 6.28287C5.1802 2.71919 8.27221 0 12 0C15.7278 0 18.8198 2.71919 19.4016 6.28287C22.0637 7.09632 24 9.57116 24 12.5C24 15.0274 22.5573 17.2161 20.4552 18.2907L19.5648 18.7459L18.6544 16.9651L19.5448 16.5099C21.0044 15.7638 22 14.2473 22 12.5C22 10.2915 20.408 8.45275 18.3089 8.07232L17.538 7.93262L17.4891 7.15072C17.3095 4.27638 14.9202 2 12 2C9.0798 2 6.69051 4.27638 6.51088 7.15072L6.46201 7.93262L5.69115 8.07232C3.59195 8.45275 2 10.2915 2 12.5C2 14.2473 2.99564 15.7638 4.45517 16.5099L5.34557 16.9651L4.43523 18.7459L3.54483 18.2907C1.44268 17.2161 0 15.0274 0 12.5C0 9.57116 1.93625 7.09632 4.59837 6.28287ZM13 10L13 19.5858L16 16.5858L17.4142 18L12 23.4142L6.58579 18L8 16.5858L11 19.5858L11 10H13Z"
    }
  }]
};
var cloudDownload = defineComponent({
  name: "CloudDownloadIcon",
  props: {
    size: {
      type: String
    },
    onClick: {
      type: Function
    }
  },
  setup(props, _ref) {
    var {
      attrs
    } = _ref;
    var propsSize = computed(() => props.size);
    var {
      className,
      style
    } = useSizeProps(propsSize);
    var finalCls = computed(() => ["t-icon", "t-icon-cloud-download", className.value]);
    var finalStyle = computed(() => _objectSpread(_objectSpread({}, style.value), attrs.style));
    var finalProps = computed(() => ({
      class: finalCls.value,
      style: finalStyle.value,
      onClick: e => {
        var _props$onClick;
        return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
          e
        });
      }
    }));
    return () => renderFn(element, finalProps.value);
  }
});

export default cloudDownload;
//# sourceMappingURL=cloud-download.js.map
