import { _ as _defineProperty } from '../_chunks/dep-931ef437.js';
import { defineComponent, computed } from 'vue';
import renderFn from '../utils/render-fn.js';
import useSizeProps from '../utils/use-size-props.js';
import '../style/css.js';
import '../utils/use-common-classname.js';
import '../utils/config-context.js';

function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
var element = {
  "tag": "svg",
  "attrs": {
    "fill": "none",
    "viewBox": "0 0 24 24",
    "width": "1em",
    "height": "1em"
  },
  "children": [{
    "tag": "g",
    "attrs": {
      "clipPath": "url(#clip0_8726_9398)"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M17.3068 0.892578L23.1075 6.69331L21.903 11.5113L18.7295 14.6848C18.5966 14.8344 18.4397 14.9924 18.2592 15.1551L11.5113 21.903L6.69329 23.1075L0.892578 17.3068L2.09706 12.4888L12.4888 2.09711L17.3068 0.892578ZM16.8807 13.7051L19.5858 11.0001L18.0562 9.47045C15.951 11.7693 12.1533 14.6621 6.42274 15.0085L7.46405 16.0499C12.3764 16.6092 15.6007 14.837 16.8807 13.7051ZM9.56842 18.1542L11 19.5859L12.8046 17.7813C11.8268 17.9987 10.7462 18.1363 9.56842 18.1542ZM9.04405 20.4583L3.54181 14.956L3.1075 16.6933L7.30679 20.8926L9.04405 20.4583ZM4.43747 13.0233C10.6351 13.3114 14.5825 10.3319 16.6407 8.05497L13 4.41428L4.41424 13.0001L4.43747 13.0233ZM14.956 3.54184L20.4583 9.04407L20.8926 7.30681L16.6933 3.10751L14.956 3.54184Z"
      }
    }]
  }]
};
var cola = defineComponent({
  name: "ColaIcon",
  props: {
    size: {
      type: String
    },
    onClick: {
      type: Function
    }
  },
  setup(props, _ref) {
    var {
      attrs
    } = _ref;
    var propsSize = computed(() => props.size);
    var {
      className,
      style
    } = useSizeProps(propsSize);
    var finalCls = computed(() => ["t-icon", "t-icon-cola", className.value]);
    var finalStyle = computed(() => _objectSpread(_objectSpread({}, style.value), attrs.style));
    var finalProps = computed(() => ({
      class: finalCls.value,
      style: finalStyle.value,
      onClick: e => {
        var _props$onClick;
        return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
          e
        });
      }
    }));
    return () => renderFn(element, finalProps.value);
  }
});

export default cola;
//# sourceMappingURL=cola.js.map
