import { _ as _defineProperty } from '../_chunks/dep-931ef437.js';
import { defineComponent, computed } from 'vue';
import renderFn from '../utils/render-fn.js';
import useSizeProps from '../utils/use-size-props.js';
import '../style/css.js';
import '../utils/use-common-classname.js';
import '../utils/config-context.js';

function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
var element = {
  "tag": "svg",
  "attrs": {
    "fill": "none",
    "viewBox": "0 0 24 24",
    "width": "1em",
    "height": "1em"
  },
  "children": [{
    "tag": "path",
    "attrs": {
      "fill": "currentColor",
      "d": "M12 1.58569L18.0104 7.5961C20.4744 10.0601 21.1094 13.6604 19.9155 16.71C19.5191 17.7894 18.8886 18.7953 17.998 19.6293C17.4161 20.2089 16.7711 20.6868 16.0852 21.063C15.8485 21.1951 15.6098 21.3117 15.3673 21.4135C12.2635 22.7512 8.52496 22.1523 5.98959 19.6169C2.67014 16.2975 2.67014 10.9156 5.98959 7.5961L12 1.58569ZM15.1574 19.29C15.6096 19.0318 16.0836 18.6781 16.6084 18.1904C17.2562 17.5392 17.7377 16.785 18.0527 15.9806C18.3232 15.2296 18.4494 14.4169 18.4343 13.5927C18.4023 11.8508 17.7388 10.1529 16.5962 9.01031L13 5.41412V19.9556C13.5116 19.9047 13.9641 19.8071 14.3962 19.6472C14.4468 19.6285 14.4974 19.6088 14.5482 19.5881C14.7552 19.5 14.9586 19.4006 15.1574 19.29ZM11 5.41412L7.40381 9.01031C4.8654 11.5487 4.8654 15.6643 7.40381 18.2027C8.41787 19.2168 9.68364 19.8257 11 20.0296V5.41412Z"
    }
  }]
};
var colorInvert = defineComponent({
  name: "ColorInvertIcon",
  props: {
    size: {
      type: String
    },
    onClick: {
      type: Function
    }
  },
  setup(props, _ref) {
    var {
      attrs
    } = _ref;
    var propsSize = computed(() => props.size);
    var {
      className,
      style
    } = useSizeProps(propsSize);
    var finalCls = computed(() => ["t-icon", "t-icon-color-invert", className.value]);
    var finalStyle = computed(() => _objectSpread(_objectSpread({}, style.value), attrs.style));
    var finalProps = computed(() => ({
      class: finalCls.value,
      style: finalStyle.value,
      onClick: e => {
        var _props$onClick;
        return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
          e
        });
      }
    }));
    return () => renderFn(element, finalProps.value);
  }
});

export default colorInvert;
//# sourceMappingURL=color-invert.js.map
