import { _ as _defineProperty } from '../_chunks/dep-931ef437.js';
import { defineComponent, computed } from 'vue';
import renderFn from '../utils/render-fn.js';
import useSizeProps from '../utils/use-size-props.js';
import '../style/css.js';
import '../utils/use-common-classname.js';
import '../utils/config-context.js';

function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
var element = {
  "tag": "svg",
  "attrs": {
    "fill": "none",
    "viewBox": "0 0 24 24",
    "width": "1em",
    "height": "1em"
  },
  "children": [{
    "tag": "path",
    "attrs": {
      "fill": "currentColor",
      "d": "M4 21.0001H3V20.0001V3.00011V1.13159L4.5547 2.16806L6.94629 3.76245L8.87531 2.21924L9.5 1.71948L10.1247 2.21924L12 3.71948L13.8753 2.21924L14.5 1.71948L15.1247 2.21924L17.0537 3.76245L19.4453 2.16806L21 1.13159V3.00011V20.0001V21.0001H20H4ZM5 4.86863V19.0001H19V4.86863L17.5547 5.83216L16.9463 6.23777L16.3753 5.78098L14.5 4.28073L12.6247 5.78098L12 6.28073L11.3753 5.78098L9.5 4.28073L7.62469 5.78098L7.05371 6.23777L6.4453 5.83216L5 4.86863ZM8 16.0001H7V14.0001H8H16H17V16.0001H16H8ZM11 12.0001H12H16H17V10.0001H16H12H11V12.0001ZM8 10.0001H7V11.0001V11.004V12.004H8H8.00391H9.00391V11.004V11.0001V10.0001H8.00391H8Z"
    }
  }]
};
var coupon = defineComponent({
  name: "CouponIcon",
  props: {
    size: {
      type: String
    },
    onClick: {
      type: Function
    }
  },
  setup(props, _ref) {
    var {
      attrs
    } = _ref;
    var propsSize = computed(() => props.size);
    var {
      className,
      style
    } = useSizeProps(propsSize);
    var finalCls = computed(() => ["t-icon", "t-icon-coupon", className.value]);
    var finalStyle = computed(() => _objectSpread(_objectSpread({}, style.value), attrs.style));
    var finalProps = computed(() => ({
      class: finalCls.value,
      style: finalStyle.value,
      onClick: e => {
        var _props$onClick;
        return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
          e
        });
      }
    }));
    return () => renderFn(element, finalProps.value);
  }
});

export default coupon;
//# sourceMappingURL=coupon.js.map
