import { _ as _defineProperty } from '../_chunks/dep-931ef437.js';
import { defineComponent, computed } from 'vue';
import renderFn from '../utils/render-fn.js';
import useSizeProps from '../utils/use-size-props.js';
import '../style/css.js';
import '../utils/use-common-classname.js';
import '../utils/config-context.js';

function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
var element = {
  "tag": "svg",
  "attrs": {
    "fill": "none",
    "viewBox": "0 0 24 24",
    "width": "1em",
    "height": "1em"
  },
  "children": [{
    "tag": "path",
    "attrs": {
      "fill": "currentColor",
      "d": "M2 21.9999V8.62515C2.90587 9.30584 4.02447 9.71972 5.23964 9.7484L6.98987 21.9999H2zM6.92487 7.40291C6.45495 7.62549 5.92952 7.75 5.375 7.75 5.23145 7.75 5.08984 7.74166 4.95064 7.72543 3.6022 7.5682 2.47969 6.67094 2 5.45053V2H22V5.45053C21.5203 6.67094 20.3978 7.5682 19.0494 7.72543 18.9102 7.74166 18.7686 7.75 18.625 7.75 18.0705 7.75 17.545 7.62549 17.0751 7.40291 16.9488 7.34307 16.8265 7.27614 16.7087 7.20263 16.0976 6.82133 15.6083 6.2631 15.3125 5.59962 15.0167 6.2631 14.5274 6.82133 13.9163 7.20263 13.3604 7.54955 12.7036 7.75 12 7.75 11.2964 7.75 10.6396 7.54955 10.0837 7.20263 9.47259 6.82133 8.98331 6.2631 8.6875 5.59962 8.3917 6.2631 7.90241 6.82133 7.29134 7.20263 7.17354 7.27614 7.05121 7.34307 6.92487 7.40291zM7.21614 9.44172C7.74738 9.25773 8.24229 8.9964 8.6875 8.67138 9.61594 9.34917 10.7605 9.75 12 9.75 13.2395 9.75 14.3841 9.34917 15.3125 8.67138 15.7577 8.99639 16.2526 9.25773 16.7839 9.44172L14.9898 21.9999H9.01018L7.21614 9.44172zM17.0101 21.9999L18.7604 9.7484C19.9755 9.71972 21.0941 9.30584 22 8.62515V21.9999H17.0101z"
    }
  }]
};
var curtainFilled = defineComponent({
  name: "CurtainFilledIcon",
  props: {
    size: {
      type: String
    },
    onClick: {
      type: Function
    }
  },
  setup(props, _ref) {
    var {
      attrs
    } = _ref;
    var propsSize = computed(() => props.size);
    var {
      className,
      style
    } = useSizeProps(propsSize);
    var finalCls = computed(() => ["t-icon", "t-icon-curtain-filled", className.value]);
    var finalStyle = computed(() => _objectSpread(_objectSpread({}, style.value), attrs.style));
    var finalProps = computed(() => ({
      class: finalCls.value,
      style: finalStyle.value,
      onClick: e => {
        var _props$onClick;
        return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
          e
        });
      }
    }));
    return () => renderFn(element, finalProps.value);
  }
});

export default curtainFilled;
//# sourceMappingURL=curtain-filled.js.map
