import { _ as _defineProperty } from '../_chunks/dep-931ef437.js';
import { defineComponent, computed } from 'vue';
import renderFn from '../utils/render-fn.js';
import useSizeProps from '../utils/use-size-props.js';
import '../style/css.js';
import '../utils/use-common-classname.js';
import '../utils/config-context.js';

function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
var element = {
  "tag": "svg",
  "attrs": {
    "fill": "none",
    "viewBox": "0 0 24 24",
    "width": "1em",
    "height": "1em"
  },
  "children": [{
    "tag": "path",
    "attrs": {
      "fill": "currentColor",
      "d": "M4.32799 7.43769C3.5036 8.99443 3 10.7687 3 11.7576V12.7576H1V11.7576C1 10.3222 1.65181 8.21769 2.56052 6.50171C3.02178 5.63069 3.58262 4.79463 4.21995 4.16167C4.83934 3.54654 5.65775 3 6.62162 3C7.5601 3 8.35682 3.48963 8.97581 4.07853C9.60292 4.67516 10.1503 5.46824 10.611 6.30601C11.5327 7.98192 12.2098 10.026 12.4848 11.5837L12.4871 11.597L12.4891 11.6103C12.6624 12.7739 13.293 14.7276 14.1631 16.3833C14.5968 17.2085 15.0627 17.9067 15.52 18.3838C15.9997 18.8844 16.331 19 16.5 19C16.686 19 17.0129 18.8851 17.4609 18.4242C17.8934 17.9793 18.3288 17.3207 18.7195 16.5277C19.5077 14.9282 20 13.0197 20 11.7576V10.7576H22V11.7576C22 13.4045 21.3978 15.6172 20.5136 17.4117C20.0681 18.3157 19.523 19.1722 18.8951 19.8182C18.2827 20.4482 17.4694 21 16.5 21C15.5136 21 14.6903 20.4086 14.0761 19.7677C13.4394 19.1034 12.872 18.2258 12.3927 17.3137C11.4399 15.5007 10.7275 13.3414 10.513 11.919C10.273 10.5689 9.66756 8.74085 8.85855 7.26975C8.45271 6.53176 8.02123 5.9309 7.59725 5.52753C7.16514 5.11643 6.83855 5 6.62162 5C6.43009 5 6.09309 5.12013 5.62929 5.58075C5.18343 6.02355 4.73329 6.67234 4.32799 7.43769ZM4 11H9V13H4V11ZM14 11H19V13H14V11Z"
    }
  }]
};
var curve = defineComponent({
  name: "CurveIcon",
  props: {
    size: {
      type: String
    },
    onClick: {
      type: Function
    }
  },
  setup(props, _ref) {
    var {
      attrs
    } = _ref;
    var propsSize = computed(() => props.size);
    var {
      className,
      style
    } = useSizeProps(propsSize);
    var finalCls = computed(() => ["t-icon", "t-icon-curve", className.value]);
    var finalStyle = computed(() => _objectSpread(_objectSpread({}, style.value), attrs.style));
    var finalProps = computed(() => ({
      class: finalCls.value,
      style: finalStyle.value,
      onClick: e => {
        var _props$onClick;
        return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
          e
        });
      }
    }));
    return () => renderFn(element, finalProps.value);
  }
});

export default curve;
//# sourceMappingURL=curve.js.map
