import { _ as _defineProperty } from '../_chunks/dep-931ef437.js';
import { defineComponent, computed } from 'vue';
import renderFn from '../utils/render-fn.js';
import useSizeProps from '../utils/use-size-props.js';
import '../style/css.js';
import '../utils/use-common-classname.js';
import '../utils/config-context.js';

function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
var element = {
  "tag": "svg",
  "attrs": {
    "fill": "none",
    "viewBox": "0 0 24 24",
    "width": "1em",
    "height": "1em"
  },
  "children": [{
    "tag": "path",
    "attrs": {
      "fill": "currentColor",
      "d": "M7.41421 4.58579C6.63317 3.80474 5.36684 3.80474 4.58579 4.58579C3.80474 5.36684 3.80474 6.63316 4.58579 7.41421C5.36684 8.19526 6.63317 8.19526 7.41421 7.41421C8.19526 6.63316 8.19526 5.36684 7.41421 4.58579ZM3.17157 3.17157C4.73367 1.60948 7.26633 1.60948 8.82843 3.17157C10.1464 4.48951 10.3524 6.49831 9.44643 8.03221L12 10.5858L20 2.58579L21.4142 4L9.44643 15.9678C10.3524 17.5017 10.1464 19.5105 8.82843 20.8284C7.26633 22.3905 4.73367 22.3905 3.17157 20.8284C1.60948 19.2663 1.60948 16.7337 3.17157 15.1716C4.48951 13.8536 6.49831 13.6476 8.03221 14.5536L10.5858 12L8.03221 9.44643C6.49831 10.3524 4.48951 10.1464 3.17157 8.82843C1.60948 7.26633 1.60948 4.73367 3.17157 3.17157ZM15 13.5858L21.4142 20L20 21.4142L13.5858 15L15 13.5858ZM7.41421 16.5858C6.63316 15.8047 5.36684 15.8047 4.58579 16.5858C3.80474 17.3668 3.80474 18.6332 4.58579 19.4142C5.36684 20.1953 6.63316 20.1953 7.41421 19.4142C8.19526 18.6332 8.19526 17.3668 7.41421 16.5858Z"
    }
  }]
};
var cut = defineComponent({
  name: "CutIcon",
  props: {
    size: {
      type: String
    },
    onClick: {
      type: Function
    }
  },
  setup(props, _ref) {
    var {
      attrs
    } = _ref;
    var propsSize = computed(() => props.size);
    var {
      className,
      style
    } = useSizeProps(propsSize);
    var finalCls = computed(() => ["t-icon", "t-icon-cut", className.value]);
    var finalStyle = computed(() => _objectSpread(_objectSpread({}, style.value), attrs.style));
    var finalProps = computed(() => ({
      class: finalCls.value,
      style: finalStyle.value,
      onClick: e => {
        var _props$onClick;
        return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
          e
        });
      }
    }));
    return () => renderFn(element, finalProps.value);
  }
});

export default cut;
//# sourceMappingURL=cut.js.map
