import { _ as _defineProperty } from '../_chunks/dep-931ef437.js';
import { defineComponent, computed } from 'vue';
import renderFn from '../utils/render-fn.js';
import useSizeProps from '../utils/use-size-props.js';
import '../style/css.js';
import '../utils/use-common-classname.js';
import '../utils/config-context.js';

function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
var element = {
  "tag": "svg",
  "attrs": {
    "fill": "none",
    "viewBox": "0 0 24 24",
    "width": "1em",
    "height": "1em"
  },
  "children": [{
    "tag": "path",
    "attrs": {
      "fill": "currentColor",
      "d": "M19.7035 8.58772C17.64 9.27555 14.9166 9.66667 12 9.66667C9.08343 9.66667 6.35996 9.27555 4.29648 8.58772C3.46874 8.31181 2.6742 7.96429 2 7.52506V11.8301C2 13.671 6.47715 15.1634 12 15.1634C17.5228 15.1634 22 13.671 22 11.8301V7.52506C21.3258 7.96429 20.5313 8.31181 19.7035 8.58772Z"
    }
  }, {
    "tag": "path",
    "attrs": {
      "fill": "currentColor",
      "d": "M22 15.0218C21.3258 15.461 20.5313 15.8086 19.7035 16.0845 17.64 16.7723 14.9166 17.1634 12 17.1634 9.08343 17.1634 6.35996 16.7723 4.29648 16.0845 3.46874 15.8086 2.6742 15.461 2 15.0218V19.6666C2 21.5075 6.47715 22.9999 12 22.9999 17.5228 22.9999 22 21.5075 22 19.6666L22 19.6562 22 15.0218zM12 7.66667C6.47715 7.66667 2 6.17428 2 4.33333L2 4.33008C2.00528 2.49063 6.48041 1 12 1 16.1421 1 19.6961 1.83947 21.2141 3.03585 21.7202 3.43464 22 3.8731 22 4.33333 22 6.17428 17.5228 7.66667 12 7.66667z"
    }
  }]
};
var dataBaseFilled = defineComponent({
  name: "DataBaseFilledIcon",
  props: {
    size: {
      type: String
    },
    onClick: {
      type: Function
    }
  },
  setup(props, _ref) {
    var {
      attrs
    } = _ref;
    var propsSize = computed(() => props.size);
    var {
      className,
      style
    } = useSizeProps(propsSize);
    var finalCls = computed(() => ["t-icon", "t-icon-data-base-filled", className.value]);
    var finalStyle = computed(() => _objectSpread(_objectSpread({}, style.value), attrs.style));
    var finalProps = computed(() => ({
      class: finalCls.value,
      style: finalStyle.value,
      onClick: e => {
        var _props$onClick;
        return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
          e
        });
      }
    }));
    return () => renderFn(element, finalProps.value);
  }
});

export default dataBaseFilled;
//# sourceMappingURL=data-base-filled.js.map
