import { _ as _defineProperty } from '../_chunks/dep-931ef437.js';
import { defineComponent, computed } from 'vue';
import renderFn from '../utils/render-fn.js';
import useSizeProps from '../utils/use-size-props.js';
import '../style/css.js';
import '../utils/use-common-classname.js';
import '../utils/config-context.js';

function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
var element = {
  "tag": "svg",
  "attrs": {
    "fill": "none",
    "viewBox": "0 0 25 24",
    "width": "1em",
    "height": "1em"
  },
  "children": [{
    "tag": "path",
    "attrs": {
      "fill": "currentColor",
      "d": "M2.22632 2H22.2263V11H2.22632V2zM8.22827 6.5H6.22437V8.50391H8.22827V6.5zM2.22632 13H18.9763C16.0768 13 13.7263 15.3505 13.7263 18.25 13.7263 19.719 14.3297 21.0471 15.3021 22H2.22632V13zM8.22827 15.5H6.22437V17.5039H8.22827V15.5z"
    }
  }, {
    "tag": "path",
    "attrs": {
      "fill": "currentColor",
      "d": "M18.9763 14.5C16.9053 14.5 15.2263 16.1789 15.2263 18.25C15.2263 20.3211 16.9053 22 18.9763 22C19.6487 22 20.2797 21.8231 20.8253 21.5132L22.4763 23.1642L23.8905 21.75L22.2395 20.099C22.5494 19.5533 22.7263 18.9223 22.7263 18.25C22.7263 16.1789 21.0474 14.5 18.9763 14.5ZM17.2263 18.25C17.2263 17.2835 18.0098 16.5 18.9763 16.5C19.9428 16.5 20.7263 17.2835 20.7263 18.25C20.7263 19.2165 19.9428 20 18.9763 20C18.0098 20 17.2263 19.2165 17.2263 18.25Z"
    }
  }]
};
var dataSearchFilled = defineComponent({
  name: "DataSearchFilledIcon",
  props: {
    size: {
      type: String
    },
    onClick: {
      type: Function
    }
  },
  setup(props, _ref) {
    var {
      attrs
    } = _ref;
    var propsSize = computed(() => props.size);
    var {
      className,
      style
    } = useSizeProps(propsSize);
    var finalCls = computed(() => ["t-icon", "t-icon-data-search-filled", className.value]);
    var finalStyle = computed(() => _objectSpread(_objectSpread({}, style.value), attrs.style));
    var finalProps = computed(() => ({
      class: finalCls.value,
      style: finalStyle.value,
      onClick: e => {
        var _props$onClick;
        return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
          e
        });
      }
    }));
    return () => renderFn(element, finalProps.value);
  }
});

export default dataSearchFilled;
//# sourceMappingURL=data-search-filled.js.map
