import { _ as _defineProperty } from '../_chunks/dep-931ef437.js';
import { defineComponent, computed } from 'vue';
import renderFn from '../utils/render-fn.js';
import useSizeProps from '../utils/use-size-props.js';
import '../style/css.js';
import '../utils/use-common-classname.js';
import '../utils/config-context.js';

function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
var element = {
  "tag": "svg",
  "attrs": {
    "fill": "none",
    "viewBox": "0 0 24 24",
    "width": "1em",
    "height": "1em"
  },
  "children": [{
    "tag": "path",
    "attrs": {
      "fill": "currentColor",
      "d": "M11.4963 1.18945L22.0019 1.99757L22.81 12.5032L11.8782 23.435L0.564453 12.1213L11.4963 1.18945ZM12.26 3.25411L3.39288 12.1213L11.8782 20.6066L20.7453 11.7394L20.1392 3.8602L12.26 3.25411ZM16.1203 7.87789C15.7298 7.48737 15.0967 7.48737 14.7061 7.87789C14.3156 8.26842 14.3156 8.90158 14.7061 9.29211C15.0967 9.68263 15.7298 9.68263 16.1203 9.2921C16.5109 8.90158 16.5109 8.26842 16.1203 7.87789ZM13.2919 6.46368C14.4635 5.29211 16.363 5.2921 17.5346 6.46368C18.7061 7.63525 18.7061 9.53475 17.5346 10.7063C16.363 11.8779 14.4635 11.8779 13.2919 10.7063C12.1203 9.53475 12.1203 7.63525 13.2919 6.46368Z"
    }
  }]
};
var discount = defineComponent({
  name: "DiscountIcon",
  props: {
    size: {
      type: String
    },
    onClick: {
      type: Function
    }
  },
  setup(props, _ref) {
    var {
      attrs
    } = _ref;
    var propsSize = computed(() => props.size);
    var {
      className,
      style
    } = useSizeProps(propsSize);
    var finalCls = computed(() => ["t-icon", "t-icon-discount", className.value]);
    var finalStyle = computed(() => _objectSpread(_objectSpread({}, style.value), attrs.style));
    var finalProps = computed(() => ({
      class: finalCls.value,
      style: finalStyle.value,
      onClick: e => {
        var _props$onClick;
        return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
          e
        });
      }
    }));
    return () => renderFn(element, finalProps.value);
  }
});

export default discount;
//# sourceMappingURL=discount.js.map
