import { _ as _defineProperty } from '../_chunks/dep-931ef437.js';
import { defineComponent, computed } from 'vue';
import renderFn from '../utils/render-fn.js';
import useSizeProps from '../utils/use-size-props.js';
import '../style/css.js';
import '../utils/use-common-classname.js';
import '../utils/config-context.js';

function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
var element = {
  "tag": "svg",
  "attrs": {
    "fill": "none",
    "viewBox": "0 0 24 24",
    "width": "1em",
    "height": "1em"
  },
  "children": [{
    "tag": "path",
    "attrs": {
      "fill": "currentColor",
      "d": "M13.0004 1V2.23201C14.9312 2.68154 16.3754 4.40425 16.3754 6.47059C16.3754 7.3274 16.1259 8.12713 15.6965 8.80043L18.9664 15H22.0004V17H20.0213L22.3515 21.418L20.5825 22.351L17.7601 17L13.0004 17V19H11.0004V17H6.24077L3.41843 22.351L1.64941 21.418L3.97963 17H2.00045L2.00045 15H5.0345L8.30439 8.80043C7.87499 8.12713 7.62545 7.3274 7.62545 6.47059C7.62545 4.40425 9.06968 2.68154 11.0004 2.23201V1H13.0004ZM9.80743 10.2378L7.29564 15L11.0004 15V13H13.0004V15L16.7053 15L14.1935 10.2378C13.5485 10.6101 12.799 10.8235 12.0004 10.8235C11.2019 10.8235 10.4524 10.6101 9.80743 10.2378ZM12.0004 4.11765C10.6826 4.11765 9.62545 5.17727 9.62545 6.47059C9.62545 7.0719 9.85186 7.61927 10.2278 8.03654C10.6633 8.52001 11.2948 8.82353 12.0004 8.82353C12.7061 8.82353 13.3375 8.52001 13.7731 8.03654C14.149 7.61927 14.3754 7.0719 14.3754 6.47059C14.3754 5.17727 13.3183 4.11765 12.0004 4.11765Z"
    }
  }]
};
var dividers = defineComponent({
  name: "DividersIcon",
  props: {
    size: {
      type: String
    },
    onClick: {
      type: Function
    }
  },
  setup(props, _ref) {
    var {
      attrs
    } = _ref;
    var propsSize = computed(() => props.size);
    var {
      className,
      style
    } = useSizeProps(propsSize);
    var finalCls = computed(() => ["t-icon", "t-icon-dividers", className.value]);
    var finalStyle = computed(() => _objectSpread(_objectSpread({}, style.value), attrs.style));
    var finalProps = computed(() => ({
      class: finalCls.value,
      style: finalStyle.value,
      onClick: e => {
        var _props$onClick;
        return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
          e
        });
      }
    }));
    return () => renderFn(element, finalProps.value);
  }
});

export default dividers;
//# sourceMappingURL=dividers.js.map
