import { _ as _defineProperty } from '../_chunks/dep-931ef437.js';
import { defineComponent, computed } from 'vue';
import renderFn from '../utils/render-fn.js';
import useSizeProps from '../utils/use-size-props.js';
import '../style/css.js';
import '../utils/use-common-classname.js';
import '../utils/config-context.js';

function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
var element = {
  "tag": "svg",
  "attrs": {
    "fill": "none",
    "viewBox": "0 0 24 24",
    "width": "1em",
    "height": "1em"
  },
  "children": [{
    "tag": "path",
    "attrs": {
      "fill": "currentColor",
      "d": "M1.04484 11.0032L0.96875 11.7805L1.00221 11.7919C1.00093 11.8611 1.00028 11.9305 1.00028 12C1.00028 18.0751 5.92515 23 12.0003 23C18.0754 23 23.0003 18.0751 23.0003 12C23.0003 5.92487 18.0754 1 12.0003 1C8.00707 1 4.51082 3.12779 2.5835 6.31142L2.54577 6.29718L2.16489 7.06869C1.56097 8.27084 1.17097 9.59899 1.04484 11.0032ZM3.14507 10.4074C3.24447 9.86063 3.39044 9.33128 3.57943 8.82512L7.21857 10.1989L9.24077 8.14779L10.9755 8.7343V12.8014L14.2695 13.9151L16.2574 17.9477L20.6429 12.8642L20.9757 12.6708C20.6325 17.3281 16.7452 21 12.0003 21C9.78126 21 7.7498 20.1969 6.1807 18.8656L9.37616 12.5236L3.14507 10.4074ZM20.8626 10.4232L19.3478 11.3037L16.7159 14.3544L15.6964 12.2863L12.9755 11.3664V7.29926L8.69545 5.85221L6.70775 7.86827L4.49408 7.03264C6.10559 4.60237 8.86581 3 12.0003 3C16.4329 3 20.1171 6.20447 20.8626 10.4232ZM4.72819 17.3036C3.72885 15.9356 3.10613 14.2751 3.01258 12.4746L6.55511 13.6777L4.72819 17.3036Z"
    }
  }]
};
var earth = defineComponent({
  name: "EarthIcon",
  props: {
    size: {
      type: String
    },
    onClick: {
      type: Function
    }
  },
  setup(props, _ref) {
    var {
      attrs
    } = _ref;
    var propsSize = computed(() => props.size);
    var {
      className,
      style
    } = useSizeProps(propsSize);
    var finalCls = computed(() => ["t-icon", "t-icon-earth", className.value]);
    var finalStyle = computed(() => _objectSpread(_objectSpread({}, style.value), attrs.style));
    var finalProps = computed(() => ({
      class: finalCls.value,
      style: finalStyle.value,
      onClick: e => {
        var _props$onClick;
        return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
          e
        });
      }
    }));
    return () => renderFn(element, finalProps.value);
  }
});

export default earth;
//# sourceMappingURL=earth.js.map
