import { _ as _defineProperty } from '../_chunks/dep-931ef437.js';
import { defineComponent, computed } from 'vue';
import renderFn from '../utils/render-fn.js';
import useSizeProps from '../utils/use-size-props.js';
import '../style/css.js';
import '../utils/use-common-classname.js';
import '../utils/config-context.js';

function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
var element = {
  "tag": "svg",
  "attrs": {
    "fill": "none",
    "viewBox": "0 0 24 24",
    "width": "1em",
    "height": "1em"
  },
  "children": [{
    "tag": "path",
    "attrs": {
      "fill": "currentColor",
      "d": "M3.99609 7.99616C6.20523 7.99616 7.99609 6.2053 7.99609 3.99616C7.99609 3.26136 7.79797 2.57285 7.45222 1.98111C8.83829 1.35094 10.3782 0.999941 12 0.999941C18.0751 0.999941 23 5.92481 23 11.9999C23 18.0751 18.0751 22.9999 12 22.9999C5.92487 22.9999 1 18.0751 1 11.9999C1 10.3782 1.35097 8.83834 1.9811 7.45231C2.57282 7.79804 3.26132 7.99616 3.99609 7.99616ZM16.5161 8.93354H14.5122V10.9374H16.5161V8.93354ZM10.3979 14.0583L9.90942 13.1857L8.16432 14.1628L8.65284 15.0353C9.30758 16.2048 10.5608 16.9989 12.0008 16.9989C13.4408 16.9989 14.694 16.2048 15.3488 15.0353L15.8373 14.1628L14.0922 13.1857L13.6037 14.0583C13.2882 14.6217 12.6879 14.9989 12.0008 14.9989C11.3137 14.9989 10.7134 14.6217 10.3979 14.0583ZM7.46289 8.93421V10.9381H9.4668V8.93421H7.46289Z"
    }
  }, {
    "tag": "path",
    "attrs": {
      "fill": "currentColor",
      "d": "M3.99646.695068L5.09356 2.89911 7.2976 3.99621 5.09356 5.09332 3.99646 7.29736 2.89935 5.09332.695312 3.99621 2.89935 2.89911 3.99646.695068zM20.8313 20.8188L19.2625 21.5997 20.8313 22.3806 21.6122 23.9495 22.3932 22.3806 23.962 21.5997 22.3932 20.8188 21.6122 19.25 20.8313 20.8188z"
    }
  }]
};
var faceRetouchingFilled = defineComponent({
  name: "FaceRetouchingFilledIcon",
  props: {
    size: {
      type: String
    },
    onClick: {
      type: Function
    }
  },
  setup(props, _ref) {
    var {
      attrs
    } = _ref;
    var propsSize = computed(() => props.size);
    var {
      className,
      style
    } = useSizeProps(propsSize);
    var finalCls = computed(() => ["t-icon", "t-icon-face-retouching-filled", className.value]);
    var finalStyle = computed(() => _objectSpread(_objectSpread({}, style.value), attrs.style));
    var finalProps = computed(() => ({
      class: finalCls.value,
      style: finalStyle.value,
      onClick: e => {
        var _props$onClick;
        return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
          e
        });
      }
    }));
    return () => renderFn(element, finalProps.value);
  }
});

export default faceRetouchingFilled;
//# sourceMappingURL=face-retouching-filled.js.map
