import { _ as _defineProperty } from '../_chunks/dep-931ef437.js';
import { defineComponent, computed } from 'vue';
import renderFn from '../utils/render-fn.js';
import useSizeProps from '../utils/use-size-props.js';
import '../style/css.js';
import '../utils/use-common-classname.js';
import '../utils/config-context.js';

function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
var element = {
  "tag": "svg",
  "attrs": {
    "fill": "none",
    "viewBox": "0 0 24 24",
    "width": "1em",
    "height": "1em"
  },
  "children": [{
    "tag": "path",
    "attrs": {
      "fill": "currentColor",
      "d": "M9.52521 0.625977L10.2323 1.33308L12.7072 3.80796L21.1925 12.2932L21.8996 13.0003L21.1925 13.7075L12.7072 22.1927L12.0001 22.8998L11.293 22.1927L2.80769 13.7075L2.10059 13.0003L2.80769 12.2932L10.5859 4.51506L8.8181 2.7473L8.11099 2.04019L9.52521 0.625977ZM5.92921 12.0002H5.99982H18.071L12.0001 5.92928L5.92921 12.0002ZM18.0713 14.0002H5.99982H5.92882L12.0001 20.0714L18.0713 14.0002ZM20.7498 17.3891L21.5338 18.3794L22.0642 19.0493C22.645 19.7829 22.645 20.8968 22.0642 21.6304C21.7495 22.0279 21.2803 22.2872 20.7498 22.2872C20.2193 22.2872 19.7501 22.0279 19.4355 21.6304C18.8546 20.8968 18.8546 19.7829 19.4355 19.0493L19.9658 18.3794L20.7498 17.3891Z"
    }
  }]
};
var fillColor = defineComponent({
  name: "FillColorIcon",
  props: {
    size: {
      type: String
    },
    onClick: {
      type: Function
    }
  },
  setup(props, _ref) {
    var {
      attrs
    } = _ref;
    var propsSize = computed(() => props.size);
    var {
      className,
      style
    } = useSizeProps(propsSize);
    var finalCls = computed(() => ["t-icon", "t-icon-fill-color", className.value]);
    var finalStyle = computed(() => _objectSpread(_objectSpread({}, style.value), attrs.style));
    var finalProps = computed(() => ({
      class: finalCls.value,
      style: finalStyle.value,
      onClick: e => {
        var _props$onClick;
        return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
          e
        });
      }
    }));
    return () => renderFn(element, finalProps.value);
  }
});

export default fillColor;
//# sourceMappingURL=fill-color.js.map
