import { _ as _defineProperty } from '../_chunks/dep-931ef437.js';
import { defineComponent, computed } from 'vue';
import renderFn from '../utils/render-fn.js';
import useSizeProps from '../utils/use-size-props.js';
import '../style/css.js';
import '../utils/use-common-classname.js';
import '../utils/config-context.js';

function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
var element = {
  "tag": "svg",
  "attrs": {
    "fill": "none",
    "viewBox": "0 0 24 24",
    "width": "1em",
    "height": "1em"
  },
  "children": [{
    "tag": "path",
    "attrs": {
      "fill": "currentColor",
      "d": "M22 11C22 5.47715 17.5228 1 12 1C6.47715 1 2 5.47715 2 11V14C2 16.6404 2.56914 19.1505 3.59239 21.4122L4.00459 22.3233L5.82677 21.4989L5.41457 20.5878C4.5062 18.58 4 16.3505 4 14V11C4 6.58172 7.58172 3 12 3C16.4183 3 20 6.58172 20 11V14H22V11ZM17.5 11C17.5 7.96243 15.0376 5.5 12 5.5C8.96243 5.5 6.5 7.96243 6.5 11V14C6.5 16.7998 7.35337 19.4032 8.81431 21.5607L9.37501 22.3887L11.0311 21.2673L10.4704 20.4393C9.22649 18.6024 8.5 16.3876 8.5 14V11C8.5 9.067 10.067 7.5 12 7.5C13.933 7.5 15.5 9.067 15.5 11V14C15.5 16.4853 17.5147 18.5 20 18.5H22V16.5H20C18.6193 16.5 17.5 15.3807 17.5 14V11ZM11 10V14C11 17.3899 12.8746 20.3405 15.6388 21.8744L16.5132 22.3596L17.4836 20.6108L16.6092 20.1256C14.4547 18.93 13 16.6342 13 14V10H11Z"
    }
  }]
};
var fingerprint2 = defineComponent({
  name: "Fingerprint2Icon",
  props: {
    size: {
      type: String
    },
    onClick: {
      type: Function
    }
  },
  setup(props, _ref) {
    var {
      attrs
    } = _ref;
    var propsSize = computed(() => props.size);
    var {
      className,
      style
    } = useSizeProps(propsSize);
    var finalCls = computed(() => ["t-icon", "t-icon-fingerprint-2", className.value]);
    var finalStyle = computed(() => _objectSpread(_objectSpread({}, style.value), attrs.style));
    var finalProps = computed(() => ({
      class: finalCls.value,
      style: finalStyle.value,
      onClick: e => {
        var _props$onClick;
        return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
          e
        });
      }
    }));
    return () => renderFn(element, finalProps.value);
  }
});

export default fingerprint2;
//# sourceMappingURL=fingerprint-2.js.map
