import { _ as _defineProperty } from '../_chunks/dep-931ef437.js';
import { defineComponent, computed } from 'vue';
import renderFn from '../utils/render-fn.js';
import useSizeProps from '../utils/use-size-props.js';
import '../style/css.js';
import '../utils/use-common-classname.js';
import '../utils/config-context.js';

function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
var element = {
  "tag": "svg",
  "attrs": {
    "fill": "none",
    "viewBox": "0 0 24 24",
    "width": "1em",
    "height": "1em"
  },
  "children": [{
    "tag": "path",
    "attrs": {
      "fill": "currentColor",
      "d": "M2 11C2 5.47715 6.47715 1 12 1C17.5228 1 22 5.47715 22 11V14C22 16.6404 21.4309 19.1505 20.4076 21.4122L19.9954 22.3233L18.1732 21.4989L18.5854 20.5878C19.4938 18.58 20 16.3505 20 14V11C20 6.58172 16.4183 3 12 3C7.58172 3 4 6.58172 4 11V14H2V11ZM6.5 11C6.5 7.96243 8.96243 5.5 12 5.5C15.0376 5.5 17.5 7.96243 17.5 11V14C17.5 16.7998 16.6466 19.4032 15.1857 21.5607L14.625 22.3887L12.9689 21.2673L13.5296 20.4393C14.7735 18.6024 15.5 16.3876 15.5 14V11C15.5 9.067 13.933 7.5 12 7.5C10.067 7.5 8.5 9.067 8.5 11V14C8.5 16.4853 6.48528 18.5 4 18.5H2V16.5H4C5.38071 16.5 6.5 15.3807 6.5 14V11ZM13 10V14C13 17.3899 11.1254 20.3405 8.36118 21.8744L7.48678 22.3596L6.51637 20.6108L7.39077 20.1256C9.54534 18.93 11 16.6342 11 14V10H13Z"
    }
  }]
};
var fingerprint = defineComponent({
  name: "FingerprintIcon",
  props: {
    size: {
      type: String
    },
    onClick: {
      type: Function
    }
  },
  setup(props, _ref) {
    var {
      attrs
    } = _ref;
    var propsSize = computed(() => props.size);
    var {
      className,
      style
    } = useSizeProps(propsSize);
    var finalCls = computed(() => ["t-icon", "t-icon-fingerprint", className.value]);
    var finalStyle = computed(() => _objectSpread(_objectSpread({}, style.value), attrs.style));
    var finalProps = computed(() => ({
      class: finalCls.value,
      style: finalStyle.value,
      onClick: e => {
        var _props$onClick;
        return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
          e
        });
      }
    }));
    return () => renderFn(element, finalProps.value);
  }
});

export default fingerprint;
//# sourceMappingURL=fingerprint.js.map
