import { _ as _defineProperty } from '../_chunks/dep-931ef437.js';
import { defineComponent, computed } from 'vue';
import renderFn from '../utils/render-fn.js';
import useSizeProps from '../utils/use-size-props.js';
import '../style/css.js';
import '../utils/use-common-classname.js';
import '../utils/config-context.js';

function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
var element = {
  "tag": "svg",
  "attrs": {
    "fill": "none",
    "viewBox": "0 0 24 24",
    "width": "1em",
    "height": "1em"
  },
  "children": [{
    "tag": "path",
    "attrs": {
      "fill": "currentColor",
      "d": "M8 2L8 15H16.7899C16.9078 14.7422 17.0212 14.4752 17.1302 14.1998C18.3233 11.1848 18.8713 7.46033 19.0013 4.94832L19.053 3.94965L21.0503 4.05302L20.9987 5.05168C20.862 7.69247 20.29 11.6504 18.9898 14.9358C18.9814 14.9572 18.9728 14.9786 18.9643 15H22V17H18.0154C17.5388 17.8431 16.9861 18.6101 16.3446 19.2426C15.1852 20.3857 13.715 21.1037 11.9351 20.9879C10.3655 20.8857 9.06814 20.2149 8 19.2224V22H6V17H2V15H5.20296C5.13734 14.8481 5.07384 14.6958 5.0124 14.5432C3.71255 11.3156 3.13875 7.54614 3.00151 5.05501L2.94651 4.05652L4.94348 3.94651L4.99849 4.94499C5.09105 6.6252 5.39678 8.91344 6 11.1647L6 2H8ZM8.65924 17C9.61785 18.1876 10.7504 18.9065 12.0649 18.9921C13.165 19.0636 14.1014 18.6456 14.9404 17.8184C15.1847 17.5775 15.4186 17.3035 15.642 17H8.65924Z"
    }
  }]
};
var functionCurve = defineComponent({
  name: "FunctionCurveIcon",
  props: {
    size: {
      type: String
    },
    onClick: {
      type: Function
    }
  },
  setup(props, _ref) {
    var {
      attrs
    } = _ref;
    var propsSize = computed(() => props.size);
    var {
      className,
      style
    } = useSizeProps(propsSize);
    var finalCls = computed(() => ["t-icon", "t-icon-function-curve", className.value]);
    var finalStyle = computed(() => _objectSpread(_objectSpread({}, style.value), attrs.style));
    var finalProps = computed(() => ({
      class: finalCls.value,
      style: finalStyle.value,
      onClick: e => {
        var _props$onClick;
        return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
          e
        });
      }
    }));
    return () => renderFn(element, finalProps.value);
  }
});

export default functionCurve;
//# sourceMappingURL=function-curve.js.map
