import { _ as _defineProperty } from '../_chunks/dep-931ef437.js';
import { defineComponent, computed } from 'vue';
import renderFn from '../utils/render-fn.js';
import useSizeProps from '../utils/use-size-props.js';
import '../style/css.js';
import '../utils/use-common-classname.js';
import '../utils/config-context.js';

function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
var element = {
  "tag": "svg",
  "attrs": {
    "fill": "none",
    "viewBox": "0 0 24 24",
    "width": "1em",
    "height": "1em"
  },
  "children": [{
    "tag": "path",
    "attrs": {
      "fill": "currentColor",
      "d": "M7.57043 19.5C7.57043 21.1569 8.91357 22.5 10.5704 22.5C12.2273 22.5 13.5704 21.1569 13.5704 19.5V16H15.0297C15.5609 16 16.0825 15.859 16.5413 15.5913L20.6709 13.1824C21.8974 12.4669 22.4544 10.9895 22.0053 9.64242L19.975 3.55132C19.5666 2.32629 18.4202 1.5 17.1289 1.5H9.05523C8.12382 1.5 7.24525 1.93261 6.67736 2.67087L1.84082 8.95837L2.85829 10.4846C3.31645 11.1718 4.14996 11.5067 4.95625 11.3275L7.57043 10.7466V19.5ZM10.5704 20.5C10.0181 20.5 9.57043 20.0523 9.57043 19.5V8.25338L4.52239 9.37517L4.30003 9.04163L8.26261 3.89029C8.4519 3.6442 8.74476 3.5 9.05523 3.5H17.1289C17.5593 3.5 17.9415 3.77543 18.0776 4.18377L20.108 10.2749C20.2576 10.7239 20.072 11.2164 19.6631 11.4549L15.5336 13.8638C15.3807 13.953 15.2068 14 15.0297 14H11.5704V19.5C11.5704 20.0523 11.1227 20.5 10.5704 20.5Z"
    }
  }]
};
var gestureDown = defineComponent({
  name: "GestureDownIcon",
  props: {
    size: {
      type: String
    },
    onClick: {
      type: Function
    }
  },
  setup(props, _ref) {
    var {
      attrs
    } = _ref;
    var propsSize = computed(() => props.size);
    var {
      className,
      style
    } = useSizeProps(propsSize);
    var finalCls = computed(() => ["t-icon", "t-icon-gesture-down", className.value]);
    var finalStyle = computed(() => _objectSpread(_objectSpread({}, style.value), attrs.style));
    var finalProps = computed(() => ({
      class: finalCls.value,
      style: finalStyle.value,
      onClick: e => {
        var _props$onClick;
        return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
          e
        });
      }
    }));
    return () => renderFn(element, finalProps.value);
  }
});

export default gestureDown;
//# sourceMappingURL=gesture-down.js.map
