import { _ as _defineProperty } from '../_chunks/dep-931ef437.js';
import { defineComponent, computed } from 'vue';
import renderFn from '../utils/render-fn.js';
import useSizeProps from '../utils/use-size-props.js';
import '../style/css.js';
import '../utils/use-common-classname.js';
import '../utils/config-context.js';

function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
var element = {
  "tag": "svg",
  "attrs": {
    "fill": "none",
    "viewBox": "0 0 24 24",
    "width": "1em",
    "height": "1em"
  },
  "children": [{
    "tag": "path",
    "attrs": {
      "fill": "currentColor",
      "d": "M5.39914 5.20031C9.70827 1.96104 15.8549 2.30235 19.7768 6.22427L20.4839 6.93137L21.8981 5.51716L21.191 4.81005C16.6504 0.269448 9.5866 -0.210129 4.513 3.37132L4.5127 1.50027L2.5127 1.50059L2.51334 7.20031L7.49862 7.20031L7.49862 5.20031L5.39914 5.20031ZM9.24428 7.56574C9.24428 6.04382 10.478 4.81006 12 4.81006C13.5219 4.81006 14.7556 6.04382 14.7556 7.56573V10.5195H15.914C16.4023 10.5195 16.8819 10.6492 17.3036 10.8954L20.9283 13.0111C22.0548 13.6687 22.5663 15.0257 22.1541 16.2632L20.3717 21.6138C19.9966 22.7397 18.943 23.4992 17.7562 23.4992H10.6707C9.81455 23.4992 9.00697 23.1014 8.48515 22.4227L4.18683 16.8314L5.12794 15.4189C5.55822 14.7731 6.34134 14.4583 7.09886 14.6268L9.24428 15.1038V7.56574ZM12 6.81006C11.5826 6.81006 11.2443 7.14839 11.2443 7.56574V17.5974L6.74613 16.5972L6.64553 16.7482L10.0708 21.2037C10.214 21.39 10.4357 21.4992 10.6707 21.4992H17.7562C18.082 21.4992 18.3712 21.2908 18.4742 20.9817L20.2566 15.6311C20.3698 15.2914 20.2294 14.9189 19.9201 14.7384L16.2954 12.6227C16.1797 12.5551 16.048 12.5195 15.914 12.5195H12.7556V7.56573C12.7556 7.14839 12.4173 6.81006 12 6.81006Z"
    }
  }]
};
var gestureLeftSlip = defineComponent({
  name: "GestureLeftSlipIcon",
  props: {
    size: {
      type: String
    },
    onClick: {
      type: Function
    }
  },
  setup(props, _ref) {
    var {
      attrs
    } = _ref;
    var propsSize = computed(() => props.size);
    var {
      className,
      style
    } = useSizeProps(propsSize);
    var finalCls = computed(() => ["t-icon", "t-icon-gesture-left-slip", className.value]);
    var finalStyle = computed(() => _objectSpread(_objectSpread({}, style.value), attrs.style));
    var finalProps = computed(() => ({
      class: finalCls.value,
      style: finalStyle.value,
      onClick: e => {
        var _props$onClick;
        return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
          e
        });
      }
    }));
    return () => renderFn(element, finalProps.value);
  }
});

export default gestureLeftSlip;
//# sourceMappingURL=gesture-left-slip.js.map
