import { _ as _defineProperty } from '../_chunks/dep-931ef437.js';
import { defineComponent, computed } from 'vue';
import renderFn from '../utils/render-fn.js';
import useSizeProps from '../utils/use-size-props.js';
import '../style/css.js';
import '../utils/use-common-classname.js';
import '../utils/config-context.js';

function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
var element = {
  "tag": "svg",
  "attrs": {
    "fill": "none",
    "viewBox": "0 0 24 24",
    "width": "1em",
    "height": "1em"
  },
  "children": [{
    "tag": "path",
    "attrs": {
      "fill": "currentColor",
      "d": "M5.39889 5.20031C9.29726 2.26982 14.6995 2.26982 18.5979 5.20031H16.4984V7.20031H21.4837L21.4864 1.50132L19.4864 1.49996L19.4851 3.37211C15.0106 0.212814 8.98757 0.212551 4.51275 3.37132L4.51245 1.50027L2.51245 1.50059L2.5131 7.20031L7.49838 7.20031L7.49838 5.20031L5.39889 5.20031ZM9.24404 7.56574C9.24404 6.04382 10.4778 4.81006 11.9997 4.81006C13.5216 4.81006 14.7554 6.04382 14.7554 7.56574V10.5195H15.9137C16.4021 10.5195 16.8816 10.6492 17.3034 10.8954L20.9281 13.0111C22.0546 13.6687 22.5661 15.0257 22.1538 16.2633L20.3714 21.6138C19.9963 22.7397 18.9428 23.4993 17.756 23.4993H10.6705C9.8143 23.4993 9.00672 23.1014 8.4849 22.4227L4.18658 16.8314L5.1277 15.4189C5.55797 14.7731 6.34109 14.4583 7.09861 14.6268L9.24404 15.1038V7.56574ZM11.9997 6.81006C11.5824 6.81006 11.244 7.14839 11.244 7.56574V17.5974L6.74588 16.5972L6.64528 16.7482L10.0705 21.2037C10.2138 21.39 10.4354 21.4993 10.6705 21.4993H17.756C18.0818 21.4993 18.371 21.2908 18.4739 20.9817L20.2563 15.6311C20.3695 15.2914 20.2291 14.9189 19.9199 14.7384L16.2952 12.6227C16.1794 12.5551 16.0478 12.5195 15.9137 12.5195H12.7554V7.56574C12.7554 7.14839 12.4171 6.81006 11.9997 6.81006Z"
    }
  }]
};
var gestureSlideLeftAndRight = defineComponent({
  name: "GestureSlideLeftAndRightIcon",
  props: {
    size: {
      type: String
    },
    onClick: {
      type: Function
    }
  },
  setup(props, _ref) {
    var {
      attrs
    } = _ref;
    var propsSize = computed(() => props.size);
    var {
      className,
      style
    } = useSizeProps(propsSize);
    var finalCls = computed(() => ["t-icon", "t-icon-gesture-slide-left-and-right", className.value]);
    var finalStyle = computed(() => _objectSpread(_objectSpread({}, style.value), attrs.style));
    var finalProps = computed(() => ({
      class: finalCls.value,
      style: finalStyle.value,
      onClick: e => {
        var _props$onClick;
        return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
          e
        });
      }
    }));
    return () => renderFn(element, finalProps.value);
  }
});

export default gestureSlideLeftAndRight;
//# sourceMappingURL=gesture-slide-left-and-right.js.map
