import { _ as _defineProperty } from '../_chunks/dep-931ef437.js';
import { defineComponent, computed } from 'vue';
import renderFn from '../utils/render-fn.js';
import useSizeProps from '../utils/use-size-props.js';
import '../style/css.js';
import '../utils/use-common-classname.js';
import '../utils/config-context.js';

function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
var element = {
  "tag": "svg",
  "attrs": {
    "fill": "none",
    "viewBox": "0 0 24 24",
    "width": "1em",
    "height": "1em"
  },
  "children": [{
    "tag": "g",
    "attrs": {
      "fill": "currentColor",
      "clipPath": "url(#clip0_8792_7019)"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "d": "M.498877 1.5127L6.19787 1.51543V6.50071H4.19787V4.40123C.958594 8.71037 1.29991 14.857 5.22183 18.7789L5.92893 19.486 4.51472 20.9002 3.80761 20.1931C-.733326 15.6522-1.21264 8.58765 2.36967 3.51397L.497514 3.51269.498877 1.5127zM10.0068 8.64645C9.79809 8.28502 9.33593 8.16118 8.97449 8.36985 8.61306 8.57853 8.48922 9.04069 8.6979 9.40213L13.7137 18.0898 9.3181 19.4727 9.30647 19.6537 14.5006 21.7997C14.7178 21.8895 14.9644 21.8732 15.1679 21.7557L21.3042 18.2129C21.5863 18.05 21.7325 17.7249 21.6671 17.4057L20.5355 11.8808C20.4636 11.53 20.1558 11.2776 19.7977 11.2759L15.6008 11.256C15.4668 11.2554 15.3349 11.2904 15.2188 11.3574L12.4837 12.9366 10.0068 8.64645zM7.97449 6.6378C9.29251 5.87684 10.9779 6.32843 11.7388 7.64645L13.2157 10.2045 14.2188 9.62534C14.6418 9.38117 15.122 9.25372 15.6103 9.25604L19.8072 9.27595C21.1116 9.28213 22.2331 10.2016 22.4948 11.4795L23.6265 17.0044C23.8646 18.167 23.3319 19.3516 22.3042 19.945L16.1679 23.4877C15.4265 23.9158 14.5282 23.9751 13.7369 23.6482L7.21879 20.9552 7.32755 19.2613C7.37728 18.4869 7.89811 17.8228 8.63836 17.5899L10.7349 16.9303 6.96585 10.4021C6.20489 9.08411 6.65647 7.39876 7.97449 6.6378z"
      }
    }]
  }]
};
var gestureSlideUp = defineComponent({
  name: "GestureSlideUpIcon",
  props: {
    size: {
      type: String
    },
    onClick: {
      type: Function
    }
  },
  setup(props, _ref) {
    var {
      attrs
    } = _ref;
    var propsSize = computed(() => props.size);
    var {
      className,
      style
    } = useSizeProps(propsSize);
    var finalCls = computed(() => ["t-icon", "t-icon-gesture-slide-up", className.value]);
    var finalStyle = computed(() => _objectSpread(_objectSpread({}, style.value), attrs.style));
    var finalProps = computed(() => ({
      class: finalCls.value,
      style: finalStyle.value,
      onClick: e => {
        var _props$onClick;
        return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
          e
        });
      }
    }));
    return () => renderFn(element, finalProps.value);
  }
});

export default gestureSlideUp;
//# sourceMappingURL=gesture-slide-up.js.map
