import { _ as _defineProperty } from '../_chunks/dep-931ef437.js';
import { defineComponent, computed } from 'vue';
import renderFn from '../utils/render-fn.js';
import useSizeProps from '../utils/use-size-props.js';
import '../style/css.js';
import '../utils/use-common-classname.js';
import '../utils/config-context.js';

function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
var element = {
  "tag": "svg",
  "attrs": {
    "fill": "none",
    "viewBox": "0 0 24 24",
    "width": "1em",
    "height": "1em"
  },
  "children": [{
    "tag": "path",
    "attrs": {
      "fill": "currentColor",
      "d": "M4 0C2.89543 0 2 .89543 2 2 2 3.10457 2.89543 4 4 4 5.10457 4 6 3.10457 6 2 6 .89543 5.10457 0 4 0zM11 0C9.89543 0 9 .89543 9 2 9 3.10457 9.89543 4 11 4 12.1046 4 13 3.10457 13 2 13 .895431 12.1046 0 11 0zM18 0C16.8954 0 16 .895431 16 2 16 3.10457 16.8954 4 18 4 19.1046 4 20 3.10457 20 2 20 .895431 19.1046 0 18 0zM4 6C2.89543 6 2 6.89543 2 8 2 9.10457 2.89543 10 4 10 5.10457 10 6 9.10457 6 8 6 6.89543 5.10457 6 4 6zM18 6C16.8954 6 16 6.89543 16 8 16 9.10457 16.8954 10 18 10 19.1046 10 20 9.10457 20 8 20 6.89543 19.1046 6 18 6zM10.9999 5.31104C9.75169 5.31104 8.73986 6.32287 8.73986 7.57104V15.6347L6.06333 15.1059C5.31798 14.9587 4.55733 15.2749 4.13607 15.9072L3.18652 17.3324 7.48485 22.9236C8.00666 23.6024 8.81424 24.0002 9.67042 24.0002H16.7559C17.9427 24.0002 18.9963 23.2407 19.3714 22.1147L21.1538 16.7642C21.566 15.5267 21.0545 14.1696 19.928 13.5121L16.3033 11.3964C15.8816 11.1502 15.402 11.0205 14.9137 11.0205H13.2599V7.57104C13.2599 6.32287 12.248 5.31104 10.9999 5.31104z"
    }
  }]
};
var gestureTypingFilled = defineComponent({
  name: "GestureTypingFilledIcon",
  props: {
    size: {
      type: String
    },
    onClick: {
      type: Function
    }
  },
  setup(props, _ref) {
    var {
      attrs
    } = _ref;
    var propsSize = computed(() => props.size);
    var {
      className,
      style
    } = useSizeProps(propsSize);
    var finalCls = computed(() => ["t-icon", "t-icon-gesture-typing-filled", className.value]);
    var finalStyle = computed(() => _objectSpread(_objectSpread({}, style.value), attrs.style));
    var finalProps = computed(() => ({
      class: finalCls.value,
      style: finalStyle.value,
      onClick: e => {
        var _props$onClick;
        return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
          e
        });
      }
    }));
    return () => renderFn(element, finalProps.value);
  }
});

export default gestureTypingFilled;
//# sourceMappingURL=gesture-typing-filled.js.map
