import { _ as _defineProperty } from '../_chunks/dep-931ef437.js';
import { defineComponent, computed } from 'vue';
import renderFn from '../utils/render-fn.js';
import useSizeProps from '../utils/use-size-props.js';
import '../style/css.js';
import '../utils/use-common-classname.js';
import '../utils/config-context.js';

function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
var element = {
  "tag": "svg",
  "attrs": {
    "fill": "none",
    "viewBox": "0 0 24 24",
    "width": "1em",
    "height": "1em"
  },
  "children": [{
    "tag": "g",
    "attrs": {
      "fill": "currentColor",
      "clipPath": "url(#clip0_8792_7016)"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "d": "M5.92893 2.51529L5.22183 3.22239C1.29991 7.14431.958594 13.2909 4.19787 17.6001L4.19787 15.5006H6.19787L6.19787 20.4858.498152 20.4865.497831 18.4865 2.36888 18.4862C-1.21257 13.4126-.732993 6.34879 3.80761 1.80818L4.51472 1.10107 5.92893 2.51529zM10.0068 6.64646C9.79809 6.28502 9.33593 6.16119 8.97449 6.36986 8.61306 6.57853 8.48922 7.0407 8.6979 7.40213L13.7137 16.0898 9.3181 17.4727 9.30647 17.6537 14.5006 19.7997C14.7178 19.8895 14.9644 19.8732 15.1679 19.7557L21.3042 16.2129C21.5863 16.0501 21.7325 15.7249 21.6671 15.4057L20.5355 9.88083C20.4636 9.53004 20.1558 9.27763 19.7977 9.27593L15.6008 9.25602C15.4668 9.25538 15.3349 9.29037 15.2188 9.3574L12.4837 10.9366 10.0068 6.64646zM7.97449 4.63781C9.29251 3.87685 10.9779 4.32844 11.7388 5.64646L13.2157 8.20451 14.2188 7.62535C14.6418 7.38117 15.122 7.25373 15.6103 7.25604L19.8072 7.27595C21.1116 7.28214 22.2331 8.20166 22.4948 9.4795L23.6265 15.0044C23.8646 16.167 23.3319 17.3516 22.3042 17.945L16.1679 21.4877C15.4265 21.9158 14.5282 21.9751 13.7369 21.6482L7.21879 18.9552 7.32755 17.2613C7.37728 16.4869 7.89811 15.8228 8.63836 15.5899L10.7349 14.9303 6.96585 8.40213C6.20489 7.08412 6.65647 5.39877 7.97449 4.63781z"
      }
    }]
  }]
};
var gestureWipeDown = defineComponent({
  name: "GestureWipeDownIcon",
  props: {
    size: {
      type: String
    },
    onClick: {
      type: Function
    }
  },
  setup(props, _ref) {
    var {
      attrs
    } = _ref;
    var propsSize = computed(() => props.size);
    var {
      className,
      style
    } = useSizeProps(propsSize);
    var finalCls = computed(() => ["t-icon", "t-icon-gesture-wipe-down", className.value]);
    var finalStyle = computed(() => _objectSpread(_objectSpread({}, style.value), attrs.style));
    var finalProps = computed(() => ({
      class: finalCls.value,
      style: finalStyle.value,
      onClick: e => {
        var _props$onClick;
        return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
          e
        });
      }
    }));
    return () => renderFn(element, finalProps.value);
  }
});

export default gestureWipeDown;
//# sourceMappingURL=gesture-wipe-down.js.map
