import { _ as _defineProperty } from '../_chunks/dep-931ef437.js';
import { defineComponent, computed } from 'vue';
import renderFn from '../utils/render-fn.js';
import useSizeProps from '../utils/use-size-props.js';
import '../style/css.js';
import '../utils/use-common-classname.js';
import '../utils/config-context.js';

function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
var element = {
  "tag": "svg",
  "attrs": {
    "fill": "none",
    "viewBox": "0 0 24 24",
    "width": "1em",
    "height": "1em"
  },
  "children": [{
    "tag": "path",
    "attrs": {
      "fill": "currentColor",
      "d": "M2 2H22V22H2V2ZM4 4V20H20V4H4ZM12.0002 7.25C11.1309 7.25 10.3888 7.8051 10.1137 8.58325L9.78049 9.52609L7.89481 8.85959L8.22806 7.91675C8.7767 6.36451 10.257 5.25 12.0002 5.25C14.2093 5.25 16.0002 7.04086 16.0002 9.25C16.0002 10.5259 15.4017 11.6625 14.4742 12.3933C14.0426 12.7334 13.6572 13.0588 13.3783 13.4019C13.1037 13.7396 13.0002 14.012 13.0002 14.25V15.5H11.0002V14.25C11.0002 13.3834 11.3904 12.6765 11.8265 12.1402C12.2582 11.6092 12.8004 11.1659 13.2364 10.8223C13.7034 10.4545 14.0002 9.88718 14.0002 9.25C14.0002 8.14543 13.1048 7.25 12.0002 7.25ZM11 16.5H13.0039V18.5039H11V16.5Z"
    }
  }]
};
var helpRectangle = defineComponent({
  name: "HelpRectangleIcon",
  props: {
    size: {
      type: String
    },
    onClick: {
      type: Function
    }
  },
  setup(props, _ref) {
    var {
      attrs
    } = _ref;
    var propsSize = computed(() => props.size);
    var {
      className,
      style
    } = useSizeProps(propsSize);
    var finalCls = computed(() => ["t-icon", "t-icon-help-rectangle", className.value]);
    var finalStyle = computed(() => _objectSpread(_objectSpread({}, style.value), attrs.style));
    var finalProps = computed(() => ({
      class: finalCls.value,
      style: finalStyle.value,
      onClick: e => {
        var _props$onClick;
        return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
          e
        });
      }
    }));
    return () => renderFn(element, finalProps.value);
  }
});

export default helpRectangle;
//# sourceMappingURL=help-rectangle.js.map
