import { _ as _defineProperty } from '../_chunks/dep-931ef437.js';
import { defineComponent, computed } from 'vue';
import renderFn from '../utils/render-fn.js';
import useSizeProps from '../utils/use-size-props.js';
import '../style/css.js';
import '../utils/use-common-classname.js';
import '../utils/config-context.js';

function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
var element = {
  "tag": "svg",
  "attrs": {
    "fill": "none",
    "viewBox": "0 0 24 24",
    "width": "1em",
    "height": "1em"
  },
  "children": [{
    "tag": "path",
    "attrs": {
      "fill": "currentColor",
      "d": "M22.4997 12C22.4997 6.20101 17.7987 1.5 11.9997 1.5C10.202 1.5 8.50694 1.95264 7.02537 2.75098C5.63073 3.50248 4.42555 4.56009 3.49974 5.83442V2.5H1.49974V9.5H8.49974V7.5H4.78715C5.56985 6.24843 6.6697 5.21451 7.9741 4.51164C9.17133 3.86651 10.5412 3.5 11.9997 3.5C16.6942 3.5 20.4997 7.30558 20.4997 12C20.4997 16.6944 16.6942 20.5 11.9997 20.5C7.60814 20.5 3.9933 17.1687 3.54632 12.896L3.44227 11.9014L1.45312 12.1095L1.55717 13.104C2.10958 18.3846 6.57341 22.5 11.9997 22.5C17.7987 22.5 22.4997 17.799 22.4997 12ZM10.9997 6V12.4142L14.4997 15.9142L15.914 14.5L12.9997 11.5858V6H10.9997Z"
    }
  }]
};
var history = defineComponent({
  name: "HistoryIcon",
  props: {
    size: {
      type: String
    },
    onClick: {
      type: Function
    }
  },
  setup(props, _ref) {
    var {
      attrs
    } = _ref;
    var propsSize = computed(() => props.size);
    var {
      className,
      style
    } = useSizeProps(propsSize);
    var finalCls = computed(() => ["t-icon", "t-icon-history", className.value]);
    var finalStyle = computed(() => _objectSpread(_objectSpread({}, style.value), attrs.style));
    var finalProps = computed(() => ({
      class: finalCls.value,
      style: finalStyle.value,
      onClick: e => {
        var _props$onClick;
        return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
          e
        });
      }
    }));
    return () => renderFn(element, finalProps.value);
  }
});

export default history;
//# sourceMappingURL=history.js.map
