import { _ as _defineProperty } from '../_chunks/dep-931ef437.js';
import { defineComponent, computed } from 'vue';
import renderFn from '../utils/render-fn.js';
import useSizeProps from '../utils/use-size-props.js';
import '../style/css.js';
import '../utils/use-common-classname.js';
import '../utils/config-context.js';

function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
var element = {
  "tag": "svg",
  "attrs": {
    "fill": "none",
    "viewBox": "0 0 24 24",
    "width": "1em",
    "height": "1em"
  },
  "children": [{
    "tag": "path",
    "attrs": {
      "fill": "currentColor",
      "d": "M22.0002 0.585693L0.585938 21.9999L2.00015 23.4141L3.41427 22H22.0003V21.9998H22.0004V19.9998H22.0003V3.41397L23.4144 1.99991L22.0002 0.585693ZM11.5003 13.914L17.5863 20H5.41427L11.5003 13.914ZM20.0003 19.5855L12.9145 12.4998L13.9759 11.4383C14.4918 11.7922 15.1168 12 15.7903 12C17.5634 12 19.0009 10.5626 19.0009 8.78942C19.0009 8.11591 18.7931 7.49089 18.4392 6.97507L20.0003 5.41397V19.5855ZM15.5305 9.97216L16.973 8.52966C16.9913 8.61336 17.0009 8.70027 17.0009 8.78943C17.0009 9.45801 16.4589 10 15.7903 10C15.7011 10 15.6142 9.99041 15.5305 9.97216ZM2.00303 1.99974L1.99835 17.658L4.00302 15.962L4.00303 4.00028L15.3649 4.0018L17.7348 1.99766L2.00303 1.99974Z"
    }
  }]
};
var imageOff = defineComponent({
  name: "ImageOffIcon",
  props: {
    size: {
      type: String
    },
    onClick: {
      type: Function
    }
  },
  setup(props, _ref) {
    var {
      attrs
    } = _ref;
    var propsSize = computed(() => props.size);
    var {
      className,
      style
    } = useSizeProps(propsSize);
    var finalCls = computed(() => ["t-icon", "t-icon-image-off", className.value]);
    var finalStyle = computed(() => _objectSpread(_objectSpread({}, style.value), attrs.style));
    var finalProps = computed(() => ({
      class: finalCls.value,
      style: finalStyle.value,
      onClick: e => {
        var _props$onClick;
        return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
          e
        });
      }
    }));
    return () => renderFn(element, finalProps.value);
  }
});

export default imageOff;
//# sourceMappingURL=image-off.js.map
