import { _ as _defineProperty } from '../_chunks/dep-931ef437.js';
import { defineComponent, computed } from 'vue';
import renderFn from '../utils/render-fn.js';
import useSizeProps from '../utils/use-size-props.js';
import '../style/css.js';
import '../utils/use-common-classname.js';
import '../utils/config-context.js';

function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
var element = {
  "tag": "svg",
  "attrs": {
    "fill": "none",
    "viewBox": "0 0 24 24",
    "width": "1em",
    "height": "1em"
  },
  "children": [{
    "tag": "path",
    "attrs": {
      "fill": "currentColor",
      "d": "M22 2H2V22H12.5057C11.5642 20.8397 11 19.3607 11 17.75C11 15.7807 11.8434 14.0083 13.1886 12.7744L9 8.58579L4 13.5858V4H20V11.3841C20.7331 11.6432 21.408 12.0253 22 12.5057V2Z"
    }
  }, {
    "tag": "path",
    "attrs": {
      "fill": "currentColor",
      "d": "M16 5.25C14.4812 5.25 13.25 6.48122 13.25 8 13.25 9.51878 14.4812 10.75 16 10.75 17.5188 10.75 18.75 9.51878 18.75 8 18.75 6.48122 17.5188 5.25 16 5.25zM17.6538 12.5C14.8075 12.5 12.5 14.8075 12.5 17.6538 12.5 20.5002 14.8075 22.8077 17.6538 22.8077 18.7156 22.8077 19.7032 22.4859 20.5232 21.9356L22.499 23.9142 23.9142 22.501 21.937 20.521C22.4865 19.7014 22.8077 18.7146 22.8077 17.6538 22.8077 14.8075 20.5002 12.5 17.6538 12.5zM14.5 17.6538C14.5 15.912 15.912 14.5 17.6538 14.5 19.3957 14.5 20.8077 15.912 20.8077 17.6538 20.8077 18.5245 20.4562 19.3112 19.885 19.8829 19.3131 20.4554 18.5256 20.8077 17.6538 20.8077 15.912 20.8077 14.5 19.3957 14.5 17.6538z"
    }
  }]
};
var imageSearchFilled = defineComponent({
  name: "ImageSearchFilledIcon",
  props: {
    size: {
      type: String
    },
    onClick: {
      type: Function
    }
  },
  setup(props, _ref) {
    var {
      attrs
    } = _ref;
    var propsSize = computed(() => props.size);
    var {
      className,
      style
    } = useSizeProps(propsSize);
    var finalCls = computed(() => ["t-icon", "t-icon-image-search-filled", className.value]);
    var finalStyle = computed(() => _objectSpread(_objectSpread({}, style.value), attrs.style));
    var finalProps = computed(() => ({
      class: finalCls.value,
      style: finalStyle.value,
      onClick: e => {
        var _props$onClick;
        return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
          e
        });
      }
    }));
    return () => renderFn(element, finalProps.value);
  }
});

export default imageSearchFilled;
//# sourceMappingURL=image-search-filled.js.map
