import { _ as _defineProperty } from '../_chunks/dep-931ef437.js';
import { defineComponent, computed } from 'vue';
import renderFn from '../utils/render-fn.js';
import useSizeProps from '../utils/use-size-props.js';
import '../style/css.js';
import '../utils/use-common-classname.js';
import '../utils/config-context.js';

function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
var element = {
  "tag": "svg",
  "attrs": {
    "fill": "none",
    "viewBox": "0 0 24 24",
    "width": "1em",
    "height": "1em"
  },
  "children": [{
    "tag": "path",
    "attrs": {
      "fill": "currentColor",
      "d": "M17.9948 0.59082L1.59101 16.9946L2.28767 17.7017C3.32811 18.7576 4.81067 19.8194 6.41297 20.62C8.00676 21.4163 9.81034 21.9998 11.4882 21.9998C14.6668 21.9998 17.5461 20.7102 19.6283 18.6281C21.7104 16.546 23 13.6667 23 10.488C23 8.81017 22.4165 7.00659 21.6202 5.41278C20.8196 3.81048 19.7578 2.32791 18.7018 1.28747L17.9948 0.59082ZM20.8989 9.38974L12.7266 8.68746L17.9697 3.44435C18.636 4.24026 19.2958 5.23532 19.8311 6.30668C20.35 7.3453 20.7281 8.40801 20.8989 9.38974ZM13.1452 10.7308L20.9567 11.4021C20.7747 13.3126 20.028 15.0576 18.8842 16.4698L13.1452 10.7308ZM17.47 17.884C16.0578 19.0278 14.3128 19.7745 12.4022 19.9565L11.731 12.145L17.47 17.884ZM9.68765 11.7264L10.3899 19.8987C9.40819 19.7279 8.34549 19.3498 7.30687 18.8308C6.23552 18.2956 5.24046 17.6358 4.44455 16.9695L9.68765 11.7264Z"
    }
  }]
};
var lemonSlice = defineComponent({
  name: "LemonSliceIcon",
  props: {
    size: {
      type: String
    },
    onClick: {
      type: Function
    }
  },
  setup(props, _ref) {
    var {
      attrs
    } = _ref;
    var propsSize = computed(() => props.size);
    var {
      className,
      style
    } = useSizeProps(propsSize);
    var finalCls = computed(() => ["t-icon", "t-icon-lemon-slice", className.value]);
    var finalStyle = computed(() => _objectSpread(_objectSpread({}, style.value), attrs.style));
    var finalProps = computed(() => ({
      class: finalCls.value,
      style: finalStyle.value,
      onClick: e => {
        var _props$onClick;
        return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
          e
        });
      }
    }));
    return () => renderFn(element, finalProps.value);
  }
});

export default lemonSlice;
//# sourceMappingURL=lemon-slice.js.map
