import { _ as _defineProperty } from '../_chunks/dep-931ef437.js';
import { defineComponent, computed } from 'vue';
import renderFn from '../utils/render-fn.js';
import useSizeProps from '../utils/use-size-props.js';
import '../style/css.js';
import '../utils/use-common-classname.js';
import '../utils/config-context.js';

function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
var element = {
  "tag": "svg",
  "attrs": {
    "fill": "none",
    "viewBox": "0 0 24 24",
    "width": "1em",
    "height": "1em"
  },
  "children": [{
    "tag": "path",
    "attrs": {
      "fill": "currentColor",
      "d": "M5.70718 3.29304L5.00008 2.58594L4.29297 3.29304L2.00008 5.58594L1.29297 6.29305L2.70718 7.70726L3.41429 7.00015L4.00008 6.41436V8.49991V11.9999V15.4999V17.5854L3.41429 16.9997L2.70718 16.2926L1.29297 17.7068L2.00008 18.4139L4.29297 20.7068L5.00008 21.4139L5.70718 20.7068L8.00008 18.4139L8.70718 17.7068L7.29297 16.2926L6.58586 16.9997L6.00008 17.5854V15.4999V11.9999V8.49991V6.41436L6.58586 7.00015L7.29297 7.70726L8.70718 6.29304L8.00008 5.58594L5.70718 3.29304ZM13.0001 3.99991H12.0001V5.99991H13.0001H21.0001H22.0001V3.99991H21.0001H13.0001ZM11.0001 10.9999H10.0001V12.9999H11.0001H21.0001H22.0001V10.9999H21.0001H11.0001ZM12.0001 17.9999H13.0001H21.0001H22.0001V19.9999H21.0001H13.0001H12.0001V17.9999Z"
    }
  }]
};
var lineHeight = defineComponent({
  name: "LineHeightIcon",
  props: {
    size: {
      type: String
    },
    onClick: {
      type: Function
    }
  },
  setup(props, _ref) {
    var {
      attrs
    } = _ref;
    var propsSize = computed(() => props.size);
    var {
      className,
      style
    } = useSizeProps(propsSize);
    var finalCls = computed(() => ["t-icon", "t-icon-line-height", className.value]);
    var finalStyle = computed(() => _objectSpread(_objectSpread({}, style.value), attrs.style));
    var finalProps = computed(() => ({
      class: finalCls.value,
      style: finalStyle.value,
      onClick: e => {
        var _props$onClick;
        return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
          e
        });
      }
    }));
    return () => renderFn(element, finalProps.value);
  }
});

export default lineHeight;
//# sourceMappingURL=line-height.js.map
