import { _ as _defineProperty } from '../_chunks/dep-931ef437.js';
import { defineComponent, computed } from 'vue';
import renderFn from '../utils/render-fn.js';
import useSizeProps from '../utils/use-size-props.js';
import '../style/css.js';
import '../utils/use-common-classname.js';
import '../utils/config-context.js';

function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
var element = {
  "tag": "svg",
  "attrs": {
    "fill": "none",
    "viewBox": "0 0 24 24",
    "width": "1em",
    "height": "1em"
  },
  "children": [{
    "tag": "path",
    "attrs": {
      "fill": "currentColor",
      "d": "M19.4999 1.08594L22.9141 4.50015L17.9999 9.41436L17.9999 13.4144L9.41407 22.0001C8.63303 22.7812 7.3667 22.7812 6.58565 22.0001L1.99985 17.4144C1.2188 16.6333 1.2188 15.367 1.99985 14.5859L10.5857 6.00014L14.5857 6.00015L19.4999 1.08594ZM4.99988 14.4143L3.41406 16.0001L7.99986 20.5859L9.58566 19.0001L4.99988 14.4143ZM14.9999 13.5859L15.9999 12.5859L15.9999 8.58594L20.0857 4.50015L19.4999 3.91437L15.4141 8.00015L11.4141 8.00014L10.4141 9.00014L14.9999 13.5859L13.5857 15.0001L8.99988 10.4144L6.41411 13.0001L10.9999 17.5859M8.99792 12.9982H11.0018V15.0021H8.99792V12.9982Z"
    }
  }]
};
var liquor = defineComponent({
  name: "LiquorIcon",
  props: {
    size: {
      type: String
    },
    onClick: {
      type: Function
    }
  },
  setup(props, _ref) {
    var {
      attrs
    } = _ref;
    var propsSize = computed(() => props.size);
    var {
      className,
      style
    } = useSizeProps(propsSize);
    var finalCls = computed(() => ["t-icon", "t-icon-liquor", className.value]);
    var finalStyle = computed(() => _objectSpread(_objectSpread({}, style.value), attrs.style));
    var finalProps = computed(() => ({
      class: finalCls.value,
      style: finalStyle.value,
      onClick: e => {
        var _props$onClick;
        return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
          e
        });
      }
    }));
    return () => renderFn(element, finalProps.value);
  }
});

export default liquor;
//# sourceMappingURL=liquor.js.map
