import { _ as _defineProperty } from '../_chunks/dep-931ef437.js';
import { defineComponent, computed } from 'vue';
import renderFn from '../utils/render-fn.js';
import useSizeProps from '../utils/use-size-props.js';
import '../style/css.js';
import '../utils/use-common-classname.js';
import '../utils/config-context.js';

function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
var element = {
  "tag": "svg",
  "attrs": {
    "fill": "none",
    "viewBox": "0 0 24 24",
    "width": "1em",
    "height": "1em"
  },
  "children": [{
    "tag": "path",
    "attrs": {
      "fill": "currentColor",
      "d": "M12 3C8.13401 3 5 6.13401 5 10C5 12.8623 6.7821 15.6231 8.73804 17.7625C9.69817 18.8126 10.6614 19.6709 11.3855 20.2668C11.6187 20.4588 11.8263 20.6229 12 20.7567C12.1737 20.6229 12.3813 20.4588 12.6146 20.2669C13.3386 19.6711 14.3019 18.8129 15.262 17.7627C17.2179 15.6235 19 12.8627 19 10C19 6.13401 15.866 3 12 3ZM12 23.2136L11.4329 22.8236L11.4302 22.8218L11.424 22.8175L11.4032 22.803C11.3856 22.7906 11.3606 22.773 11.3287 22.7502C11.2649 22.7046 11.1736 22.6384 11.0585 22.5526C10.8285 22.3811 10.5033 22.131 10.1145 21.8111C9.33859 21.1725 8.30183 20.2494 7.26196 19.112C5.2179 16.8762 3 13.637 3 10C3 5.02944 7.02944 1 12 1C16.9706 1 21 5.02944 21 10C21 13.6373 18.7821 16.8765 16.738 19.1123C15.6981 20.2496 14.6614 21.1727 13.8854 21.8112C13.4967 22.1311 13.1715 22.3812 12.9415 22.5527C12.8264 22.6385 12.735 22.7047 12.6712 22.7503C12.6394 22.7731 12.6144 22.7907 12.5967 22.803L12.5759 22.8175L12.5698 22.8218L12.5678 22.8232L12 23.2136ZM13 6.5V9.5H16V11.5H13V14.5H11V11.5H8V9.5H11V6.5H13Z"
    }
  }]
};
var locationEnlargement = defineComponent({
  name: "LocationEnlargementIcon",
  props: {
    size: {
      type: String
    },
    onClick: {
      type: Function
    }
  },
  setup(props, _ref) {
    var {
      attrs
    } = _ref;
    var propsSize = computed(() => props.size);
    var {
      className,
      style
    } = useSizeProps(propsSize);
    var finalCls = computed(() => ["t-icon", "t-icon-location-enlargement", className.value]);
    var finalStyle = computed(() => _objectSpread(_objectSpread({}, style.value), attrs.style));
    var finalProps = computed(() => ({
      class: finalCls.value,
      style: finalStyle.value,
      onClick: e => {
        var _props$onClick;
        return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
          e
        });
      }
    }));
    return () => renderFn(element, finalProps.value);
  }
});

export default locationEnlargement;
//# sourceMappingURL=location-enlargement.js.map
