import { _ as _defineProperty } from '../_chunks/dep-931ef437.js';
import { defineComponent, computed } from 'vue';
import renderFn from '../utils/render-fn.js';
import useSizeProps from '../utils/use-size-props.js';
import '../style/css.js';
import '../utils/use-common-classname.js';
import '../utils/config-context.js';

function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
var element = {
  "tag": "svg",
  "attrs": {
    "fill": "none",
    "viewBox": "0 0 24 24",
    "width": "1em",
    "height": "1em"
  },
  "children": [{
    "tag": "path",
    "attrs": {
      "fill": "currentColor",
      "d": "M8.16634.5C6.04925.5 4.33301 2.21624 4.33301 4.33333 4.33301 6.45043 6.04925 8.16667 8.16634 8.16667H11.9997V.5H8.16634zM8.16634 8.16667C6.04925 8.16667 4.33301 9.88308 4.33301 12.0002 4.33301 14.1009 6.02278 15.8069 8.11725 15.8332 6.02582 15.8419 4.33301 17.5731 4.33301 19.6665 4.33301 21.7652 6.06766 23.4998 8.16634 23.4998 10.265 23.4998 11.9997 21.7985 11.9997 19.6998V8.16667H8.16634zM19.667 4.33333C19.667 2.21624 17.9507.5 15.8337.5H11.9997V8.16667H15.8337C17.9507 8.16667 19.667 6.45043 19.667 4.33333zM19.667 12.0005C19.667 9.88331 17.9508 8.16667 15.8337 8.16667 13.7165 8.16667 12 9.88331 12 12.0005 12 14.1177 13.7163 15.834 15.8335 15.834 17.9507 15.834 19.667 14.1177 19.667 12.0005z"
    }
  }]
};
var logoFigmaFilled = defineComponent({
  name: "LogoFigmaFilledIcon",
  props: {
    size: {
      type: String
    },
    onClick: {
      type: Function
    }
  },
  setup(props, _ref) {
    var {
      attrs
    } = _ref;
    var propsSize = computed(() => props.size);
    var {
      className,
      style
    } = useSizeProps(propsSize);
    var finalCls = computed(() => ["t-icon", "t-icon-logo-figma-filled", className.value]);
    var finalStyle = computed(() => _objectSpread(_objectSpread({}, style.value), attrs.style));
    var finalProps = computed(() => ({
      class: finalCls.value,
      style: finalStyle.value,
      onClick: e => {
        var _props$onClick;
        return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
          e
        });
      }
    }));
    return () => renderFn(element, finalProps.value);
  }
});

export default logoFigmaFilled;
//# sourceMappingURL=logo-figma-filled.js.map
