import { _ as _defineProperty } from '../_chunks/dep-931ef437.js';
import { defineComponent, computed } from 'vue';
import renderFn from '../utils/render-fn.js';
import useSizeProps from '../utils/use-size-props.js';
import '../style/css.js';
import '../utils/use-common-classname.js';
import '../utils/config-context.js';

function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
var element = {
  "tag": "svg",
  "attrs": {
    "fill": "none",
    "viewBox": "0 0 24 24",
    "width": "1em",
    "height": "1em"
  },
  "children": [{
    "tag": "path",
    "attrs": {
      "fill": "currentColor",
      "d": "M16 4C13.7909 4 12 5.79086 12 8L12 9.99997H11C7.60396 9.99997 4.51166 8.69693 2.19682 6.56576C2.06784 7.18973 2 7.83652 2 8.49986C2 12.5099 4.48495 15.942 8.00265 17.3357L9.73429 18.0217L8.20574 19.086C7.41253 19.6383 6.55698 20.1078 5.65173 20.4819C6.70696 20.8186 7.83176 21.0004 8.99999 21.0004C15.0751 21.0004 20 16.0752 20 10V8.47286L20.2269 8.19631C20.7733 7.53022 21.1564 7.03002 21.5057 6.53862C21.2276 6.65048 20.9584 6.73886 20.7221 6.79271L19.9476 6.96924L19.6004 6.25473C18.951 4.91798 17.5817 4 16 4ZM22.9756 5.7547L23.9937 6.45106L23.4291 7.27645C23.0124 7.88573 22.5973 8.44737 22 9.18629V10C22 17.1797 16.1797 23.0004 8.99999 23.0004C6.55063 23.0004 4.25667 22.3221 2.2991 21.1425L0.0490957 19.7866L2.63116 19.303C3.65598 19.1111 4.63303 18.7832 5.54295 18.3384C2.2211 16.3228 0 12.6716 0 8.49986C0 7.00436 0.285976 5.57322 0.807145 4.25989L1.43146 2.68664L2.5082 3.9926C4.32827 6.20011 6.98916 7.68404 10.0002 7.95517C10.0243 4.6621 12.7012 2 16 2C18.0542 2 19.8659 3.03242 20.9468 4.60378C21.3193 4.4377 21.7107 4.21872 21.9545 4.02219L22.7331 3.39466L23.9882 4.95185L23.2096 5.57938C23.137 5.63789 23.0586 5.6965 22.9756 5.7547Z"
    }
  }]
};
var logoTwitter = defineComponent({
  name: "LogoTwitterIcon",
  props: {
    size: {
      type: String
    },
    onClick: {
      type: Function
    }
  },
  setup(props, _ref) {
    var {
      attrs
    } = _ref;
    var propsSize = computed(() => props.size);
    var {
      className,
      style
    } = useSizeProps(propsSize);
    var finalCls = computed(() => ["t-icon", "t-icon-logo-twitter", className.value]);
    var finalStyle = computed(() => _objectSpread(_objectSpread({}, style.value), attrs.style));
    var finalProps = computed(() => ({
      class: finalCls.value,
      style: finalStyle.value,
      onClick: e => {
        var _props$onClick;
        return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
          e
        });
      }
    }));
    return () => renderFn(element, finalProps.value);
  }
});

export default logoTwitter;
//# sourceMappingURL=logo-twitter.js.map
