import { _ as _defineProperty } from '../_chunks/dep-931ef437.js';
import { defineComponent, computed } from 'vue';
import renderFn from '../utils/render-fn.js';
import useSizeProps from '../utils/use-size-props.js';
import '../style/css.js';
import '../utils/use-common-classname.js';
import '../utils/config-context.js';

function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
var element = {
  "tag": "svg",
  "attrs": {
    "fill": "none",
    "viewBox": "0 0 24 24",
    "width": "1em",
    "height": "1em"
  },
  "children": [{
    "tag": "path",
    "attrs": {
      "fill": "currentColor",
      "d": "M12 3C7.02944 3 3 7.02944 3 12C3 16.9706 7.02944 21 12 21C16.9706 21 21 16.9706 21 12C21 7.02944 16.9706 3 12 3ZM1 12C1 5.92487 5.92487 1 12 1C18.0751 1 23 5.92487 23 12C23 18.0751 18.0751 23 12 23C5.92487 23 1 18.0751 1 12ZM13 4.33333V5.52023C15.8199 5.95183 18.0482 8.18015 18.4798 11H19.6667V13H18.4798C18.0482 15.8199 15.8199 18.0482 13 18.4798V19.6667H11V18.4798C8.18015 18.0482 5.95183 15.8199 5.52023 13H4.33333V11H5.52023C5.95183 8.18015 8.18015 5.95183 11 5.52023V4.33333H13ZM12 7.44444C9.48404 7.44444 7.44444 9.48404 7.44444 12C7.44444 14.516 9.48404 16.5556 12 16.5556C14.516 16.5556 16.5556 14.516 16.5556 12C16.5556 9.48404 14.516 7.44444 12 7.44444ZM12 11.8889C11.9386 11.8889 11.8889 11.9386 11.8889 12C11.8889 12.0614 11.9386 12.1111 12 12.1111C12.0614 12.1111 12.1111 12.0614 12.1111 12C12.1111 11.9386 12.0614 11.8889 12 11.8889ZM9.88889 12C9.88889 10.8341 10.8341 9.88889 12 9.88889C13.1659 9.88889 14.1111 10.8341 14.1111 12C14.1111 13.1659 13.1659 14.1111 12 14.1111C10.8341 14.1111 9.88889 13.1659 9.88889 12Z"
    }
  }]
};
var mapAiming = defineComponent({
  name: "MapAimingIcon",
  props: {
    size: {
      type: String
    },
    onClick: {
      type: Function
    }
  },
  setup(props, _ref) {
    var {
      attrs
    } = _ref;
    var propsSize = computed(() => props.size);
    var {
      className,
      style
    } = useSizeProps(propsSize);
    var finalCls = computed(() => ["t-icon", "t-icon-map-aiming", className.value]);
    var finalStyle = computed(() => _objectSpread(_objectSpread({}, style.value), attrs.style));
    var finalProps = computed(() => ({
      class: finalCls.value,
      style: finalStyle.value,
      onClick: e => {
        var _props$onClick;
        return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
          e
        });
      }
    }));
    return () => renderFn(element, finalProps.value);
  }
});

export default mapAiming;
//# sourceMappingURL=map-aiming.js.map
