import { _ as _defineProperty } from '../_chunks/dep-931ef437.js';
import { defineComponent, computed } from 'vue';
import renderFn from '../utils/render-fn.js';
import useSizeProps from '../utils/use-size-props.js';
import '../style/css.js';
import '../utils/use-common-classname.js';
import '../utils/config-context.js';

function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
var element = {
  "tag": "svg",
  "attrs": {
    "fill": "none",
    "viewBox": "0 0 24 24",
    "width": "1em",
    "height": "1em"
  },
  "children": [{
    "tag": "path",
    "attrs": {
      "fill": "currentColor",
      "d": "M7.5 2.71741L2 5.92575V21.5001L7.5 19.2328V2.71741zM9.5 18.9097L11.25 19.9432V16.75C11.25 14.3035 12.5516 12.161 14.5 10.9771V5.09051L9.5 2.1377V18.9097zM22 2.50012V11.3123C20.8805 10.4875 19.4972 10 18 10 17.4845 10 16.9824 10.0578 16.5 10.1673V4.76744L22 2.50012zM18 23.7013C17.9326 23.6564 17.8649 23.6118 17.7971 23.5672 17.6129 23.4459 17.4286 23.3246 17.2505 23.1949 17.1356 23.1113 16.9752 22.9906 16.7845 22.836 16.4045 22.5281 15.8963 22.0799 15.3852 21.5179 14.3903 20.4239 13.25 18.7512 13.25 16.75 13.25 14.1266 15.3766 12 18 12 20.6234 12 22.75 14.1266 22.75 16.75 22.75 18.7512 21.6097 20.4239 20.6148 21.5179 20.1037 22.0799 19.5955 22.5281 19.2155 22.836 19.0248 22.9906 18.8644 23.1113 18.7495 23.1949 18.5713 23.3246 18.387 23.4459 18.2029 23.5672 18.1351 23.6118 18.0674 23.6564 18 23.7013zM19.25 16H16.75V18H19.25V16z"
    }
  }]
};
var mapLocationFilled = defineComponent({
  name: "MapLocationFilledIcon",
  props: {
    size: {
      type: String
    },
    onClick: {
      type: Function
    }
  },
  setup(props, _ref) {
    var {
      attrs
    } = _ref;
    var propsSize = computed(() => props.size);
    var {
      className,
      style
    } = useSizeProps(propsSize);
    var finalCls = computed(() => ["t-icon", "t-icon-map-location-filled", className.value]);
    var finalStyle = computed(() => _objectSpread(_objectSpread({}, style.value), attrs.style));
    var finalProps = computed(() => ({
      class: finalCls.value,
      style: finalStyle.value,
      onClick: e => {
        var _props$onClick;
        return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
          e
        });
      }
    }));
    return () => renderFn(element, finalProps.value);
  }
});

export default mapLocationFilled;
//# sourceMappingURL=map-location-filled.js.map
