import { _ as _defineProperty } from '../_chunks/dep-931ef437.js';
import { defineComponent, computed } from 'vue';
import renderFn from '../utils/render-fn.js';
import useSizeProps from '../utils/use-size-props.js';
import '../style/css.js';
import '../utils/use-common-classname.js';
import '../utils/config-context.js';

function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
var element = {
  "tag": "svg",
  "attrs": {
    "fill": "none",
    "viewBox": "0 0 24 24",
    "width": "1em",
    "height": "1em"
  },
  "children": [{
    "tag": "path",
    "attrs": {
      "fill": "currentColor",
      "d": "M7.5 2.71741L2 5.92575V21.5001L7.5 19.2328V2.71741zM9.5 18.9097L12 20.3861V16.25C12 14.2052 12.9819 12.3898 14.5 11.2495V5.09051L9.5 2.1377V18.9097zM22 2.50012V11.2495C20.9554 10.4649 19.657 10 18.25 10 17.6425 10 17.0553 10.0867 16.5 10.2483V4.76744L22 2.50012zM23 16.25C23 17.1992 22.7216 18.0834 22.2419 18.8254L23.9142 20.5017 22.4983 21.9142 20.8282 20.2401C20.0857 20.7209 19.2004 21 18.25 21 15.6266 21 13.5 18.8734 13.5 16.25 13.5 13.6266 15.6266 11.5 18.25 11.5 20.8734 11.5 23 13.6266 23 16.25zM21 16.25C21 14.7312 19.7688 13.5 18.25 13.5 16.7312 13.5 15.5 14.7312 15.5 16.25 15.5 17.7688 16.7312 19 18.25 19 19.0062 19 19.691 18.6948 20.1882 18.2009L20.1961 18.1929C20.6929 17.6954 21 17.0086 21 16.25z"
    }
  }]
};
var mapSearchFilled = defineComponent({
  name: "MapSearchFilledIcon",
  props: {
    size: {
      type: String
    },
    onClick: {
      type: Function
    }
  },
  setup(props, _ref) {
    var {
      attrs
    } = _ref;
    var propsSize = computed(() => props.size);
    var {
      className,
      style
    } = useSizeProps(propsSize);
    var finalCls = computed(() => ["t-icon", "t-icon-map-search-filled", className.value]);
    var finalStyle = computed(() => _objectSpread(_objectSpread({}, style.value), attrs.style));
    var finalProps = computed(() => ({
      class: finalCls.value,
      style: finalStyle.value,
      onClick: e => {
        var _props$onClick;
        return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
          e
        });
      }
    }));
    return () => renderFn(element, finalProps.value);
  }
});

export default mapSearchFilled;
//# sourceMappingURL=map-search-filled.js.map
