import { _ as _defineProperty } from '../_chunks/dep-931ef437.js';
import { defineComponent, computed } from 'vue';
import renderFn from '../utils/render-fn.js';
import useSizeProps from '../utils/use-size-props.js';
import '../style/css.js';
import '../utils/use-common-classname.js';
import '../utils/config-context.js';

function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
var element = {
  "tag": "svg",
  "attrs": {
    "fill": "none",
    "viewBox": "0 0 24 24",
    "width": "1em",
    "height": "1em"
  },
  "children": [{
    "tag": "path",
    "attrs": {
      "fill": "currentColor",
      "d": "M4 1H20V5H18V3H6V21H18V19H20V23H4V1ZM18 8.5C16.067 8.5 14.5 10.067 14.5 12C14.5 12.6031 14.652 13.17 14.9205 13.6652L19.6654 8.92057C19.1701 8.65208 18.6032 8.5 18 8.5ZM21.0795 10.3348L16.3346 15.0794C16.8299 15.3479 17.3968 15.5 18 15.5C19.933 15.5 21.5 13.933 21.5 12C21.5 11.3969 21.348 10.83 21.0795 10.3348ZM12.5 12C12.5 8.96243 14.9624 6.5 18 6.5C19.5186 6.5 20.895 7.11675 21.8892 8.11103C22.8833 9.10523 23.5 10.4816 23.5 12C23.5 15.0376 21.0376 17.5 18 17.5C16.4814 17.5 15.105 16.8832 14.1108 15.889C13.1167 14.8948 12.5 13.5184 12.5 12ZM11 17H13.0039V19.0039H11V17Z"
    }
  }]
};
var mobileBlocked = defineComponent({
  name: "MobileBlockedIcon",
  props: {
    size: {
      type: String
    },
    onClick: {
      type: Function
    }
  },
  setup(props, _ref) {
    var {
      attrs
    } = _ref;
    var propsSize = computed(() => props.size);
    var {
      className,
      style
    } = useSizeProps(propsSize);
    var finalCls = computed(() => ["t-icon", "t-icon-mobile-blocked", className.value]);
    var finalStyle = computed(() => _objectSpread(_objectSpread({}, style.value), attrs.style));
    var finalProps = computed(() => ({
      class: finalCls.value,
      style: finalStyle.value,
      onClick: e => {
        var _props$onClick;
        return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
          e
        });
      }
    }));
    return () => renderFn(element, finalProps.value);
  }
});

export default mobileBlocked;
//# sourceMappingURL=mobile-blocked.js.map
