import { _ as _defineProperty } from '../_chunks/dep-931ef437.js';
import { defineComponent, computed } from 'vue';
import renderFn from '../utils/render-fn.js';
import useSizeProps from '../utils/use-size-props.js';
import '../style/css.js';
import '../utils/use-common-classname.js';
import '../utils/config-context.js';

function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
var element = {
  "tag": "svg",
  "attrs": {
    "fill": "none",
    "viewBox": "0 0 24 24",
    "width": "1em",
    "height": "1em"
  },
  "children": [{
    "tag": "path",
    "attrs": {
      "fill": "currentColor",
      "d": "M22 0.846924V16.9999C22 19.2091 20.2091 20.9999 18 20.9999C15.7909 20.9999 14 19.2091 14 16.9999C14 14.7908 15.7909 12.9999 18 12.9999C18.7286 12.9999 19.4117 13.1947 20 13.5351V3.15294L8 4.86723V18.9999C8 21.2091 6.20914 22.9999 4 22.9999C1.79086 22.9999 0 21.2091 0 18.9999C0 16.7908 1.79086 14.9999 4 14.9999C4.72857 14.9999 5.41165 15.1947 6 15.5351V3.13264L22 0.846924ZM6 18.9999C6 17.8954 5.10457 16.9999 4 16.9999C2.89543 16.9999 2 17.8954 2 18.9999C2 20.1045 2.89543 20.9999 4 20.9999C5.10457 20.9999 6 20.1045 6 18.9999ZM20 16.9999C20 15.8954 19.1046 14.9999 18 14.9999C16.8954 14.9999 16 15.8954 16 16.9999C16 18.1045 16.8954 18.9999 18 18.9999C19.1046 18.9999 20 18.1045 20 16.9999Z"
    }
  }]
};
var music1 = defineComponent({
  name: "Music1Icon",
  props: {
    size: {
      type: String
    },
    onClick: {
      type: Function
    }
  },
  setup(props, _ref) {
    var {
      attrs
    } = _ref;
    var propsSize = computed(() => props.size);
    var {
      className,
      style
    } = useSizeProps(propsSize);
    var finalCls = computed(() => ["t-icon", "t-icon-music-1", className.value]);
    var finalStyle = computed(() => _objectSpread(_objectSpread({}, style.value), attrs.style));
    var finalProps = computed(() => ({
      class: finalCls.value,
      style: finalStyle.value,
      onClick: e => {
        var _props$onClick;
        return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
          e
        });
      }
    }));
    return () => renderFn(element, finalProps.value);
  }
});

export default music1;
//# sourceMappingURL=music-1.js.map
