import { _ as _defineProperty } from '../_chunks/dep-931ef437.js';
import { defineComponent, computed } from 'vue';
import renderFn from '../utils/render-fn.js';
import useSizeProps from '../utils/use-size-props.js';
import '../style/css.js';
import '../utils/use-common-classname.js';
import '../utils/config-context.js';

function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
var element = {
  "tag": "svg",
  "attrs": {
    "fill": "none",
    "viewBox": "0 0 24 24",
    "width": "1em",
    "height": "1em"
  },
  "children": [{
    "tag": "path",
    "attrs": {
      "fill": "currentColor",
      "d": "M5.78326 2.06021C7.2495 1.52703 9.36545 1 12 1C14.6345 1 16.7505 1.52703 18.2167 2.06021C18.9498 2.32677 19.5214 2.59519 19.9157 2.80092C20.1129 2.90382 20.2661 2.99117 20.3731 3.05496C20.4267 3.08686 20.4687 3.11289 20.4991 3.13205C20.5142 3.14163 20.5265 3.14949 20.5358 3.15552L20.5475 3.16316L20.5516 3.16592L20.5533 3.16702L20.5547 3.16795L21 3.46482V20H22V22H2V20H3V3.46482L3.4453 3.16795L3.44669 3.16702L3.44836 3.16592L3.45254 3.16316L3.46423 3.15552C3.47351 3.14949 3.48575 3.14163 3.50092 3.13205C3.53125 3.11289 3.57332 3.08686 3.62687 3.05496C3.73395 2.99117 3.88708 2.90382 4.08431 2.80092C4.47862 2.59519 5.0502 2.32677 5.78326 2.06021ZM5 4.57902V20H7V7.5H9V9.5H11V7.5H13V20H19V4.57902C18.9969 4.57738 18.9937 4.57574 18.9906 4.57408C18.6661 4.40481 18.1752 4.17323 17.5333 3.93979C16.2495 3.47297 14.3655 3 12 3C9.63455 3 7.7505 3.47297 6.46674 3.93979C5.8248 4.17323 5.33388 4.40481 5.00944 4.57408C5.00628 4.57573 5.00313 4.57738 5 4.57902ZM9 11.5V13H11V11.5H9ZM11 15H9V16.5H11V15ZM11 18.5H9V20H11V18.5Z"
    }
  }]
};
var patio = defineComponent({
  name: "PatioIcon",
  props: {
    size: {
      type: String
    },
    onClick: {
      type: Function
    }
  },
  setup(props, _ref) {
    var {
      attrs
    } = _ref;
    var propsSize = computed(() => props.size);
    var {
      className,
      style
    } = useSizeProps(propsSize);
    var finalCls = computed(() => ["t-icon", "t-icon-patio", className.value]);
    var finalStyle = computed(() => _objectSpread(_objectSpread({}, style.value), attrs.style));
    var finalProps = computed(() => ({
      class: finalCls.value,
      style: finalStyle.value,
      onClick: e => {
        var _props$onClick;
        return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
          e
        });
      }
    }));
    return () => renderFn(element, finalProps.value);
  }
});

export default patio;
//# sourceMappingURL=patio.js.map
