import { _ as _defineProperty } from '../_chunks/dep-931ef437.js';
import { defineComponent, computed } from 'vue';
import renderFn from '../utils/render-fn.js';
import useSizeProps from '../utils/use-size-props.js';
import '../style/css.js';
import '../utils/use-common-classname.js';
import '../utils/config-context.js';

function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
var element = {
  "tag": "svg",
  "attrs": {
    "fill": "none",
    "viewBox": "0 0 24 24",
    "width": "1em",
    "height": "1em"
  },
  "children": [{
    "tag": "path",
    "attrs": {
      "fill": "currentColor",
      "d": "M11.8349 2.34941C14.5801.2338 18.5351.434046 21.0512 2.95015 23.3963 5.2953 23.7296 8.89044 22.0511 11.5909 21.9981 11.4182 21.9365 11.2417 21.8649 11.063 21.1694 9.32861 19.582 7.5312 16.278 6.92007 13.664 6.43657 12.6301 5.11266 12.1837 3.99943 11.9485 3.41294 11.8634 2.84701 11.8387 2.424 11.8372 2.39855 11.836 2.37367 11.8349 2.34941zM10.0837 4.01809L2.31284 11.789 5.49378 14.9699 1.95782 18.5059C.981508 19.4822.981508 21.0651 1.95782 22.0414 2.93413 23.0177 4.51704 23.0177 5.49335 22.0414L9.02932 18.5055 12.2123 21.6885 20.3602 13.5406C20.3589 13.491 20.3568 13.4383 20.3535 13.3828 20.3288 12.9598 20.2437 12.3938 20.0085 11.8074 19.5622 10.6941 18.5282 9.37021 15.9142 8.88671 12.6102 8.27559 11.0228 6.47818 10.3274 4.74375 10.2281 4.49626 10.1481 4.25296 10.0837 4.01809z"
    }
  }]
};
var popsicleFilled = defineComponent({
  name: "PopsicleFilledIcon",
  props: {
    size: {
      type: String
    },
    onClick: {
      type: Function
    }
  },
  setup(props, _ref) {
    var {
      attrs
    } = _ref;
    var propsSize = computed(() => props.size);
    var {
      className,
      style
    } = useSizeProps(propsSize);
    var finalCls = computed(() => ["t-icon", "t-icon-popsicle-filled", className.value]);
    var finalStyle = computed(() => _objectSpread(_objectSpread({}, style.value), attrs.style));
    var finalProps = computed(() => ({
      class: finalCls.value,
      style: finalStyle.value,
      onClick: e => {
        var _props$onClick;
        return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
          e
        });
      }
    }));
    return () => renderFn(element, finalProps.value);
  }
});

export default popsicleFilled;
//# sourceMappingURL=popsicle-filled.js.map
