import { _ as _defineProperty } from '../_chunks/dep-931ef437.js';
import { defineComponent, computed } from 'vue';
import renderFn from '../utils/render-fn.js';
import useSizeProps from '../utils/use-size-props.js';
import '../style/css.js';
import '../utils/use-common-classname.js';
import '../utils/config-context.js';

function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
var element = {
  "tag": "svg",
  "attrs": {
    "fill": "none",
    "viewBox": "0 0 24 24",
    "width": "1em",
    "height": "1em"
  },
  "children": [{
    "tag": "path",
    "attrs": {
      "fill": "currentColor",
      "d": "M22.5 2V18H6.87574L1.5 22.7038V2H22.5ZM11 8.5C11 7.94771 11.4477 7.5 12 7.5C12.5523 7.5 13 7.94771 13 8.5C13 8.82392 12.9223 9.00753 12.8501 9.11822C12.7729 9.23684 12.6597 9.3355 12.5062 9.42305C12.3462 9.51433 12.1775 9.57513 11.9869 9.64144L11.9686 9.64778C11.8935 9.67378 11.7666 9.71774 11.6602 9.76828C11.6042 9.79486 11.4836 9.85498 11.3644 9.96014C11.2481 10.0627 11.0034 10.3263 11.0034 10.75V11.75H13.0034V11.3975C13.1536 11.3366 13.3243 11.2589 13.4972 11.1603C13.8429 10.9631 14.2288 10.6659 14.5259 10.2099C14.8282 9.74594 15 9.17608 15 8.5C15 6.84314 13.6569 5.5 12 5.5C10.3431 5.5 9 6.84314 9 8.5V9.5H11V8.5ZM13.0039 12.5H11V14.5039H13.0039V12.5Z"
    }
  }]
};
var questionnaireFilled = defineComponent({
  name: "QuestionnaireFilledIcon",
  props: {
    size: {
      type: String
    },
    onClick: {
      type: Function
    }
  },
  setup(props, _ref) {
    var {
      attrs
    } = _ref;
    var propsSize = computed(() => props.size);
    var {
      className,
      style
    } = useSizeProps(propsSize);
    var finalCls = computed(() => ["t-icon", "t-icon-questionnaire-filled", className.value]);
    var finalStyle = computed(() => _objectSpread(_objectSpread({}, style.value), attrs.style));
    var finalProps = computed(() => ({
      class: finalCls.value,
      style: finalStyle.value,
      onClick: e => {
        var _props$onClick;
        return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
          e
        });
      }
    }));
    return () => renderFn(element, finalProps.value);
  }
});

export default questionnaireFilled;
//# sourceMappingURL=questionnaire-filled.js.map
