import { _ as _defineProperty } from '../_chunks/dep-931ef437.js';
import { defineComponent, computed } from 'vue';
import renderFn from '../utils/render-fn.js';
import useSizeProps from '../utils/use-size-props.js';
import '../style/css.js';
import '../utils/use-common-classname.js';
import '../utils/config-context.js';

function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
var element = {
  "tag": "svg",
  "attrs": {
    "fill": "none",
    "viewBox": "0 0 24 24",
    "width": "1em",
    "height": "1em"
  },
  "children": [{
    "tag": "path",
    "attrs": {
      "fill": "currentColor",
      "d": "M12.0036 3C8.46627 3 5.35709 4.83591 3.57792 7.61157L3.03828 8.45347L1.35449 7.37418L1.89413 6.53229C4.0255 3.20715 7.75648 1 12.0036 1C16.2507 1 19.9817 3.20715 22.1131 6.53229L22.6527 7.37418L20.9689 8.45347L20.4293 7.61157C18.6501 4.83591 15.5409 3 12.0036 3ZM11.9922 6.98828C10.2241 6.98828 8.6695 7.90531 7.77909 9.29443L7.23945 10.1363L5.55566 9.05704L6.09531 8.21515C7.33792 6.27656 9.51431 4.98828 11.9922 4.98828C14.4702 4.98828 16.6466 6.27656 17.8892 8.21515L18.4288 9.05704L16.745 10.1363L16.2054 9.29443C15.315 7.90531 13.7604 6.98828 11.9922 6.98828ZM4.9997 11H18.9997V23H16.9997V13H6.9997V23H4.9997V11ZM10.9997 15H13.0036V17.0039H10.9997V15Z"
    }
  }]
};
var remoteWave = defineComponent({
  name: "RemoteWaveIcon",
  props: {
    size: {
      type: String
    },
    onClick: {
      type: Function
    }
  },
  setup(props, _ref) {
    var {
      attrs
    } = _ref;
    var propsSize = computed(() => props.size);
    var {
      className,
      style
    } = useSizeProps(propsSize);
    var finalCls = computed(() => ["t-icon", "t-icon-remote-wave", className.value]);
    var finalStyle = computed(() => _objectSpread(_objectSpread({}, style.value), attrs.style));
    var finalProps = computed(() => ({
      class: finalCls.value,
      style: finalStyle.value,
      onClick: e => {
        var _props$onClick;
        return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
          e
        });
      }
    }));
    return () => renderFn(element, finalProps.value);
  }
});

export default remoteWave;
//# sourceMappingURL=remote-wave.js.map
