import { _ as _defineProperty } from '../_chunks/dep-931ef437.js';
import { defineComponent, computed } from 'vue';
import renderFn from '../utils/render-fn.js';
import useSizeProps from '../utils/use-size-props.js';
import '../style/css.js';
import '../utils/use-common-classname.js';
import '../utils/config-context.js';

function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
var element = {
  "tag": "svg",
  "attrs": {
    "fill": "none",
    "viewBox": "0 0 24 24",
    "width": "1em",
    "height": "1em"
  },
  "children": [{
    "tag": "path",
    "attrs": {
      "fill": "currentColor",
      "d": "M9.01735 2.40327C9.84697 1.51548 10.8866 1.00001 12 1C13.1134 1.00001 14.153 1.51549 14.9826 2.40327C16.5862 4.1193 18.3279 6.57308 19.7793 9.18426C21.2271 11.7888 22.4277 14.6246 22.8919 17.1081C23.0423 17.9132 23.0609 18.736 22.7839 19.5399C22.5034 20.3537 21.9563 21.0435 21.1581 21.6429C20.7914 21.9183 20.2371 22.1003 19.7151 22.2351C19.1449 22.3824 18.4395 22.5143 17.6481 22.6253C17.4389 22.6546 17.2226 22.6827 17 22.7092V14H7V22.7092C6.77739 22.6827 6.56111 22.6546 6.35192 22.6253C5.56051 22.5143 4.85507 22.3824 4.28486 22.2351C3.76283 22.1003 3.20861 21.9183 2.84184 21.6429C2.04366 21.0435 1.49654 20.3537 1.21607 19.5399C0.939032 18.736 0.957642 17.9132 1.10811 17.1081C1.57226 14.6246 2.77291 11.7888 4.22063 9.18426C5.67204 6.57308 7.41375 4.1193 9.01735 2.40327ZM10.9983 5.12793V7.13189H13.0018V5.12793H10.9983ZM8.2959 9.18673V11.1907H10.2994V9.18673H8.2959ZM15.7043 9.18673H13.7007V11.1907H15.7043V9.18673Z"
    }
  }, {
    "tag": "path",
    "attrs": {
      "fill": "currentColor",
      "d": "M15 16V22.8945C14.0471 22.9595 13.0342 22.9974 12.0025 23H11.9975C10.9658 22.9974 9.95292 22.9595 9 22.8945V16H15Z"
    }
  }]
};
var riceBallFilled = defineComponent({
  name: "RiceBallFilledIcon",
  props: {
    size: {
      type: String
    },
    onClick: {
      type: Function
    }
  },
  setup(props, _ref) {
    var {
      attrs
    } = _ref;
    var propsSize = computed(() => props.size);
    var {
      className,
      style
    } = useSizeProps(propsSize);
    var finalCls = computed(() => ["t-icon", "t-icon-rice-ball-filled", className.value]);
    var finalStyle = computed(() => _objectSpread(_objectSpread({}, style.value), attrs.style));
    var finalProps = computed(() => ({
      class: finalCls.value,
      style: finalStyle.value,
      onClick: e => {
        var _props$onClick;
        return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
          e
        });
      }
    }));
    return () => renderFn(element, finalProps.value);
  }
});

export default riceBallFilled;
//# sourceMappingURL=rice-ball-filled.js.map
