import { _ as _defineProperty } from '../_chunks/dep-931ef437.js';
import { defineComponent, computed } from 'vue';
import renderFn from '../utils/render-fn.js';
import useSizeProps from '../utils/use-size-props.js';
import '../style/css.js';
import '../utils/use-common-classname.js';
import '../utils/config-context.js';

function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
var element = {
  "tag": "svg",
  "attrs": {
    "fill": "none",
    "viewBox": "0 0 24 24",
    "width": "1em",
    "height": "1em"
  },
  "children": [{
    "tag": "path",
    "attrs": {
      "fill": "currentColor",
      "d": "M6.5 7C6.5 3.96243 8.96243 1.5 12 1.5C15.0376 1.5 17.5 3.96243 17.5 7C17.5 8.70712 16.7194 10.5553 15.5164 11.8313C15.2992 12.0616 15.1538 12.2884 15.0741 12.5H20C21.1046 12.5 22 13.3954 22 14.5V19.5H2V14.5C2 13.3954 2.89543 12.5 4 12.5H8.92593C8.84617 12.2884 8.70076 12.0616 8.48359 11.8313C7.2806 10.5553 6.5 8.70712 6.5 7ZM12 3.5C10.067 3.5 8.5 5.067 8.5 7C8.5 8.15682 9.05711 9.52411 9.9388 10.4593C10.485 11.0386 11 11.8708 11 12.8762V13C11 13.8284 10.3284 14.5 9.5 14.5H4V17.5H20V14.5H14.5C13.6716 14.5 13 13.8284 13 13V12.8762C13 11.8708 13.515 11.0386 14.0612 10.4593C14.9429 9.5241 15.5 8.15682 15.5 7C15.5 5.067 13.933 3.5 12 3.5ZM2 20.5001H22V22.5001H2V20.5001Z",
      "fillOpacity": 0.9
    }
  }]
};
var seal = defineComponent({
  name: "SealIcon",
  props: {
    size: {
      type: String
    },
    onClick: {
      type: Function
    }
  },
  setup(props, _ref) {
    var {
      attrs
    } = _ref;
    var propsSize = computed(() => props.size);
    var {
      className,
      style
    } = useSizeProps(propsSize);
    var finalCls = computed(() => ["t-icon", "t-icon-seal", className.value]);
    var finalStyle = computed(() => _objectSpread(_objectSpread({}, style.value), attrs.style));
    var finalProps = computed(() => ({
      class: finalCls.value,
      style: finalStyle.value,
      onClick: e => {
        var _props$onClick;
        return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
          e
        });
      }
    }));
    return () => renderFn(element, finalProps.value);
  }
});

export default seal;
//# sourceMappingURL=seal.js.map
