import { _ as _defineProperty } from '../_chunks/dep-931ef437.js';
import { defineComponent, computed } from 'vue';
import renderFn from '../utils/render-fn.js';
import useSizeProps from '../utils/use-size-props.js';
import '../style/css.js';
import '../utils/use-common-classname.js';
import '../utils/config-context.js';

function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
var element = {
  "tag": "svg",
  "attrs": {
    "fill": "none",
    "viewBox": "0 0 24 24",
    "width": "1em",
    "height": "1em"
  },
  "children": [{
    "tag": "path",
    "attrs": {
      "fill": "currentColor",
      "d": "M11.999 1.99561L22.999 3.09561V7.90558L20.0672 8.19876L21.0747 22.0006H13.9132L15.0087 8.71261C14.8053 8.73225 14.5982 8.75216 14.3876 8.77242L14.267 8.78402C13.5827 8.84983 12.8601 8.91947 12.0985 8.99563L11.999 9.00558L9.08491 8.71417L10.0764 22.0006H2.92337L3.9308 8.19876L0.999023 7.90558V3.09561L11.999 1.99561ZM5.92159 8.39784L5.07468 20.0006H7.92162L7.06427 8.5121L5.92159 8.39784ZM17.0322 8.51068L16.0849 20.0006H18.9234L18.0767 8.4007C17.9308 8.41602 17.7863 8.43127 17.6421 8.4465L17.6276 8.44803C17.4298 8.46891 17.2323 8.48976 17.0322 8.51068ZM2.99902 4.90558V6.09561L11.9991 6.99561C12.7283 6.92291 13.421 6.85615 14.0755 6.7932L14.195 6.78171C14.8353 6.72014 15.4378 6.6622 16.0043 6.60556C16.497 6.55628 16.9548 6.50795 17.42 6.45883L17.4321 6.45755C17.9008 6.40806 18.3771 6.35779 18.8995 6.30556L20.999 6.09561V4.90558L11.999 4.00558L2.99902 4.90558Z"
    }
  }]
};
var shimen = defineComponent({
  name: "ShimenIcon",
  props: {
    size: {
      type: String
    },
    onClick: {
      type: Function
    }
  },
  setup(props, _ref) {
    var {
      attrs
    } = _ref;
    var propsSize = computed(() => props.size);
    var {
      className,
      style
    } = useSizeProps(propsSize);
    var finalCls = computed(() => ["t-icon", "t-icon-shimen", className.value]);
    var finalStyle = computed(() => _objectSpread(_objectSpread({}, style.value), attrs.style));
    var finalProps = computed(() => ({
      class: finalCls.value,
      style: finalStyle.value,
      onClick: e => {
        var _props$onClick;
        return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
          e
        });
      }
    }));
    return () => renderFn(element, finalProps.value);
  }
});

export default shimen;
//# sourceMappingURL=shimen.js.map
