import { _ as _defineProperty } from '../_chunks/dep-931ef437.js';
import { defineComponent, computed } from 'vue';
import renderFn from '../utils/render-fn.js';
import useSizeProps from '../utils/use-size-props.js';
import '../style/css.js';
import '../utils/use-common-classname.js';
import '../utils/config-context.js';

function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
var element = {
  "tag": "svg",
  "attrs": {
    "fill": "none",
    "viewBox": "0 0 24 24",
    "width": "1em",
    "height": "1em"
  },
  "children": [{
    "tag": "path",
    "attrs": {
      "fill": "currentColor",
      "d": "M14.8091 1.36241L11.4983 7.20403 21.9016 7.20403C20.5176 4.3516 17.9368 2.1862 14.8091 1.36241zM22.6191 9.12211L15.7974 9.12211 20.993 18.3358C22.2569 16.5446 22.9998 14.358 22.9998 12.0002 22.9998 11.0053 22.8674 10.0402 22.6191 9.12211zM19.6664 19.8883L16.3168 13.953 11.2297 22.9737C11.4843 22.9913 11.741 23.0002 11.9998 23.0002 14.9814 23.0002 17.6861 21.8132 19.6664 19.8883zM9.21356 22.6441L12.5151 16.7944H2.09693C3.48413 19.6549 6.07466 21.8248 9.21356 22.6441zM1.37982 14.8763L8.20211 14.8763 3.01563 5.65176C1.74616 7.44533.999756 9.63686.999756 12.0002.999756 12.9945 1.1319 13.9589 1.37982 14.8763zM4.34438 4.10125C6.32369 2.18281 9.02378 1.00024 11.9998 1.00024 12.2666 1.00024 12.5314 1.00977 12.7938 1.02851L7.68635 10.0462 4.34438 4.10125z"
    }
  }]
};
var shutterFilled = defineComponent({
  name: "ShutterFilledIcon",
  props: {
    size: {
      type: String
    },
    onClick: {
      type: Function
    }
  },
  setup(props, _ref) {
    var {
      attrs
    } = _ref;
    var propsSize = computed(() => props.size);
    var {
      className,
      style
    } = useSizeProps(propsSize);
    var finalCls = computed(() => ["t-icon", "t-icon-shutter-filled", className.value]);
    var finalStyle = computed(() => _objectSpread(_objectSpread({}, style.value), attrs.style));
    var finalProps = computed(() => ({
      class: finalCls.value,
      style: finalStyle.value,
      onClick: e => {
        var _props$onClick;
        return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
          e
        });
      }
    }));
    return () => renderFn(element, finalProps.value);
  }
});

export default shutterFilled;
//# sourceMappingURL=shutter-filled.js.map
