import { _ as _defineProperty } from '../_chunks/dep-931ef437.js';
import { defineComponent, computed } from 'vue';
import renderFn from '../utils/render-fn.js';
import useSizeProps from '../utils/use-size-props.js';
import '../style/css.js';
import '../utils/use-common-classname.js';
import '../utils/config-context.js';

function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
var element = {
  "tag": "svg",
  "attrs": {
    "fill": "none",
    "viewBox": "0 0 24 24",
    "width": "1em",
    "height": "1em"
  },
  "children": [{
    "tag": "g",
    "attrs": {
      "clipPath": "url(#clip0_9300_24245)"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M7 1H17V3H21V12H19V5H17V7H7V5H5V21H12V23H3V3H7V1ZM9 5H15V3H9V5ZM19.9999 13.75V15.126C20.7149 15.31 21.3525 15.6867 21.854 16.1975L23.0466 15.509L24.0466 17.241L22.855 17.929C22.9494 18.2699 22.9999 18.629 22.9999 19C22.9999 19.371 22.9494 19.7301 22.855 20.071L24.0466 20.759L23.0466 22.491L21.854 21.8025C21.3525 22.3133 20.7149 22.69 19.9999 22.874V24.25H17.9999V22.874C17.285 22.69 16.6474 22.3133 16.1458 21.8025L14.9533 22.491L13.9533 20.759L15.1449 20.071C15.0504 19.7301 14.9999 19.371 14.9999 19C14.9999 18.629 15.0504 18.2699 15.1449 17.929L13.9533 17.241L14.9533 15.509L16.1458 16.1975C16.6474 15.6867 17.285 15.31 17.9999 15.126V13.75H19.9999ZM17.2487 18.0333C17.0902 18.3198 16.9999 18.6494 16.9999 19C16.9999 19.3506 17.0902 19.6802 17.2487 19.9667L17.2852 20.03C17.6351 20.6112 18.2721 21 18.9999 21C19.7278 21 20.3648 20.6112 20.7147 20.03L20.7512 19.9668C20.9097 19.6802 20.9999 19.3507 20.9999 19C20.9999 18.6493 20.9097 18.3198 20.7512 18.0332L20.7147 17.97C20.3648 17.3888 19.7278 17 18.9999 17C18.2721 17 17.6351 17.3888 17.2852 17.97L17.2487 18.0333Z"
      }
    }]
  }]
};
var taskSetting = defineComponent({
  name: "TaskSettingIcon",
  props: {
    size: {
      type: String
    },
    onClick: {
      type: Function
    }
  },
  setup(props, _ref) {
    var {
      attrs
    } = _ref;
    var propsSize = computed(() => props.size);
    var {
      className,
      style
    } = useSizeProps(propsSize);
    var finalCls = computed(() => ["t-icon", "t-icon-task-setting", className.value]);
    var finalStyle = computed(() => _objectSpread(_objectSpread({}, style.value), attrs.style));
    var finalProps = computed(() => ({
      class: finalCls.value,
      style: finalStyle.value,
      onClick: e => {
        var _props$onClick;
        return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
          e
        });
      }
    }));
    return () => renderFn(element, finalProps.value);
  }
});

export default taskSetting;
//# sourceMappingURL=task-setting.js.map
