import { _ as _defineProperty } from '../_chunks/dep-931ef437.js';
import { defineComponent, computed } from 'vue';
import renderFn from '../utils/render-fn.js';
import useSizeProps from '../utils/use-size-props.js';
import '../style/css.js';
import '../utils/use-common-classname.js';
import '../utils/config-context.js';

function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
var element = {
  "tag": "svg",
  "attrs": {
    "fill": "none",
    "viewBox": "0 0 24 24",
    "width": "1em",
    "height": "1em"
  },
  "children": [{
    "tag": "path",
    "attrs": {
      "fill": "currentColor",
      "d": "M12 21C16.9706 21 21 16.9706 21 12C21 7.02944 16.9706 3 12 3C7.02944 3 3 7.02944 3 12C3 16.9706 7.02944 21 12 21ZM23 12C23 18.0751 18.0751 23 12 23C5.92487 23 0.999999 18.0751 1 12C1 5.92487 5.92487 0.999999 12 1C18.0751 1 23 5.92487 23 12ZM15.6906 19.2252L11.4831 15.0176C9.81625 15.4628 7.96248 15.0326 6.65294 13.723C5.15953 12.2296 4.80973 10.0284 5.59766 8.20379L5.91624 7.46604L7.27084 7.72756L9.11387 9.57058L9.57251 9.11194L7.72984 7.26927L7.46709 5.91504L8.20579 5.59624C10.0302 4.80888 12.2309 5.15883 13.724 6.65197C15.0335 7.96151 15.4637 9.81528 15.0186 11.4821L19.2262 15.6897L15.6906 19.2252ZM16.3977 15.6897L12.6882 11.9802L12.9512 11.3595C13.4147 10.2656 13.1989 8.95533 12.3098 8.06618C11.8016 7.55801 11.1559 7.26981 10.4916 7.20264L12.4009 9.11194L9.11387 12.399L7.2034 10.4885C7.27017 11.1535 7.55845 11.8001 8.06715 12.3088C8.9563 13.198 10.2666 13.4137 11.3605 12.9502L11.9811 12.6873L15.6906 16.3968L16.3977 15.6897Z"
    }
  }]
};
var toolsCircle = defineComponent({
  name: "ToolsCircleIcon",
  props: {
    size: {
      type: String
    },
    onClick: {
      type: Function
    }
  },
  setup(props, _ref) {
    var {
      attrs
    } = _ref;
    var propsSize = computed(() => props.size);
    var {
      className,
      style
    } = useSizeProps(propsSize);
    var finalCls = computed(() => ["t-icon", "t-icon-tools-circle", className.value]);
    var finalStyle = computed(() => _objectSpread(_objectSpread({}, style.value), attrs.style));
    var finalProps = computed(() => ({
      class: finalCls.value,
      style: finalStyle.value,
      onClick: e => {
        var _props$onClick;
        return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
          e
        });
      }
    }));
    return () => renderFn(element, finalProps.value);
  }
});

export default toolsCircle;
//# sourceMappingURL=tools-circle.js.map
