import { _ as _defineProperty } from '../_chunks/dep-931ef437.js';
import { defineComponent, computed } from 'vue';
import renderFn from '../utils/render-fn.js';
import useSizeProps from '../utils/use-size-props.js';
import '../style/css.js';
import '../utils/use-common-classname.js';
import '../utils/config-context.js';

function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
var element = {
  "tag": "svg",
  "attrs": {
    "fill": "none",
    "viewBox": "0 0 24 24",
    "width": "1em",
    "height": "1em"
  },
  "children": [{
    "tag": "path",
    "attrs": {
      "fill": "currentColor",
      "d": "M6.53385 1.86579C9.60307 0.617451 13.2574 1.23778 15.7501 3.73054C17.9027 5.88313 18.6574 8.90017 18.0214 11.6586L23.1748 16.812L21.7605 18.2262L15.773 12.2387L15.9505 11.663C16.6384 9.43131 16.0992 6.908 14.3359 5.14475C12.7092 3.51804 10.4337 2.93229 8.34011 3.39158L12.5682 7.61962L7.6184 12.5694L3.39036 8.34133C2.93107 10.4349 3.51682 12.7104 5.14353 14.3371C6.90678 16.1004 9.43009 16.6396 11.6617 15.9517L12.2375 15.7742L18.225 21.7618L16.8108 23.176L11.6574 18.0226C8.89895 18.6587 5.88191 17.9039 3.72932 15.7514C1.23656 13.2586 0.61623 9.60429 1.86457 6.53507L2.11838 5.91103L3.79047 5.91301L7.6184 9.74094L9.73972 7.61962L5.91179 3.79169L5.90981 2.1196L6.53385 1.86579ZM15.7501 14.3371L20.6999 19.2869L19.2857 20.7011L14.3359 15.7514L15.7501 14.3371Z"
    }
  }]
};
var tools = defineComponent({
  name: "ToolsIcon",
  props: {
    size: {
      type: String
    },
    onClick: {
      type: Function
    }
  },
  setup(props, _ref) {
    var {
      attrs
    } = _ref;
    var propsSize = computed(() => props.size);
    var {
      className,
      style
    } = useSizeProps(propsSize);
    var finalCls = computed(() => ["t-icon", "t-icon-tools", className.value]);
    var finalStyle = computed(() => _objectSpread(_objectSpread({}, style.value), attrs.style));
    var finalProps = computed(() => ({
      class: finalCls.value,
      style: finalStyle.value,
      onClick: e => {
        var _props$onClick;
        return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
          e
        });
      }
    }));
    return () => renderFn(element, finalProps.value);
  }
});

export default tools;
//# sourceMappingURL=tools.js.map
