import { _ as _defineProperty } from '../_chunks/dep-931ef437.js';
import { defineComponent, computed } from 'vue';
import renderFn from '../utils/render-fn.js';
import useSizeProps from '../utils/use-size-props.js';
import '../style/css.js';
import '../utils/use-common-classname.js';
import '../utils/config-context.js';

function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
var element = {
  "tag": "svg",
  "attrs": {
    "fill": "none",
    "viewBox": "0 0 24 24",
    "width": "1em",
    "height": "1em"
  },
  "children": [{
    "tag": "path",
    "attrs": {
      "fill": "currentColor",
      "d": "M6.5 2V4.5H2V6.5H9.45971C8.93752 7.82397 8.2321 9.05625 7.37462 10.1654C6.82023 9.4482 6.32938 8.67946 5.91052 7.86765L5.452 6.97897L3.67463 7.89601L4.13316 8.78469C4.66619 9.81778 5.30191 10.7891 6.02685 11.6852C5.1225 12.5763 4.10552 13.3537 2.99916 13.9938L2.13362 14.4947L3.1353 16.2258L4.00084 15.7249C5.23108 15.013 6.36398 14.1514 7.37453 13.1648C8.38522 14.1516 9.51844 15.0134 10.7493 15.7254L11.6149 16.2261L12.6163 14.4949L11.7507 13.9942C10.6442 13.3541 9.62694 12.5767 8.72231 11.6853C9.96117 10.1542 10.9397 8.40334 11.5902 6.5H13V4.5H8.5V2H6.5ZM16.5 9.16402L10.6682 21.4757L12.4757 22.3318L13.5802 20H19.4198L20.5243 22.3318L22.3318 21.4757L16.5 9.16402ZM18.4724 18H14.5276L16.5 13.836L18.4724 18Z"
    }
  }]
};
var translate1 = defineComponent({
  name: "Translate1Icon",
  props: {
    size: {
      type: String
    },
    onClick: {
      type: Function
    }
  },
  setup(props, _ref) {
    var {
      attrs
    } = _ref;
    var propsSize = computed(() => props.size);
    var {
      className,
      style
    } = useSizeProps(propsSize);
    var finalCls = computed(() => ["t-icon", "t-icon-translate-1", className.value]);
    var finalStyle = computed(() => _objectSpread(_objectSpread({}, style.value), attrs.style));
    var finalProps = computed(() => ({
      class: finalCls.value,
      style: finalStyle.value,
      onClick: e => {
        var _props$onClick;
        return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
          e
        });
      }
    }));
    return () => renderFn(element, finalProps.value);
  }
});

export default translate1;
//# sourceMappingURL=translate-1.js.map
