import { _ as _defineProperty } from '../_chunks/dep-931ef437.js';
import { defineComponent, computed } from 'vue';
import renderFn from '../utils/render-fn.js';
import useSizeProps from '../utils/use-size-props.js';
import '../style/css.js';
import '../utils/use-common-classname.js';
import '../utils/config-context.js';

function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
var element = {
  "tag": "svg",
  "attrs": {
    "fill": "none",
    "viewBox": "0 0 24 24",
    "width": "1em",
    "height": "1em"
  },
  "children": [{
    "tag": "path",
    "attrs": {
      "fill": "currentColor",
      "d": "M11.5 2C8.46243 2 6 4.46243 6 7.5 6 10.5376 8.46243 13 11.5 13 14.5376 13 17 10.5376 17 7.5 17 4.46243 14.5376 2 11.5 2zM23.5902 18C23.5902 18 21.9185 22.5 17.5002 22.5 13.0818 22.5 11.4102 18 11.4102 18 11.4102 18 13.0838 13.5 17.5002 13.5 21.9165 13.5 23.5902 18 23.5902 18zM18.748 17H16.248V19H18.748V17z"
    }
  }, {
    "tag": "path",
    "attrs": {
      "fill": "currentColor",
      "d": "M9.53584 18.6981L9.27637 17.9996L9.53611 17.3012L9.53676 17.2995L9.53818 17.2957L9.54153 17.2868L9.55026 17.2641C9.55698 17.2467 9.56553 17.225 9.57595 17.1993C9.59677 17.1478 9.62512 17.08 9.66133 16.9981C9.73359 16.8346 9.83804 16.6131 9.97744 16.3527C10.2539 15.8364 10.6805 15.1439 11.2845 14.4436C11.4114 14.2966 11.5472 14.1481 11.6921 14H8C4.68629 14 2 16.6863 2 20V22H11.6913C11.5463 21.8519 11.4105 21.7033 11.2836 21.5562C10.6796 20.8558 10.2533 20.1632 9.97688 19.6467C9.83755 19.3864 9.73318 19.1648 9.66097 19.0013C9.62478 18.9194 9.59645 18.8515 9.57565 18.8C9.56524 18.7743 9.5567 18.7526 9.54998 18.7352L9.54126 18.7125L9.53791 18.7036L9.53649 18.6998L9.53584 18.6981Z"
    }
  }]
};
var userVisibleFilled = defineComponent({
  name: "UserVisibleFilledIcon",
  props: {
    size: {
      type: String
    },
    onClick: {
      type: Function
    }
  },
  setup(props, _ref) {
    var {
      attrs
    } = _ref;
    var propsSize = computed(() => props.size);
    var {
      className,
      style
    } = useSizeProps(propsSize);
    var finalCls = computed(() => ["t-icon", "t-icon-user-visible-filled", className.value]);
    var finalStyle = computed(() => _objectSpread(_objectSpread({}, style.value), attrs.style));
    var finalProps = computed(() => ({
      class: finalCls.value,
      style: finalStyle.value,
      onClick: e => {
        var _props$onClick;
        return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
          e
        });
      }
    }));
    return () => renderFn(element, finalProps.value);
  }
});

export default userVisibleFilled;
//# sourceMappingURL=user-visible-filled.js.map
