import { _ as _defineProperty } from '../_chunks/dep-931ef437.js';
import { defineComponent, computed } from 'vue';
import renderFn from '../utils/render-fn.js';
import useSizeProps from '../utils/use-size-props.js';
import '../style/css.js';
import '../utils/use-common-classname.js';
import '../utils/config-context.js';

function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
var element = {
  "tag": "svg",
  "attrs": {
    "fill": "none",
    "viewBox": "0 0 24 24",
    "width": "1em",
    "height": "1em"
  },
  "children": [{
    "tag": "path",
    "attrs": {
      "fill": "currentColor",
      "d": "M11.5 4C9.567 4 8 5.567 8 7.5 8 9.433 9.567 11 11.5 11 13.433 11 15 9.433 15 7.5 15 5.567 13.433 4 11.5 4zM6 7.5C6 4.46243 8.46243 2 11.5 2 14.5376 2 17 4.46243 17 7.5 17 10.5376 14.5376 13 11.5 13 8.46243 13 6 10.5376 6 7.5zM8 16C5.79086 16 4 17.7909 4 20H11.05V22H2V20C2 16.6863 4.68629 14 8 14H11V16H8zM16.2476 19.0002V17.0002H18.7476V19.0002H16.2476z"
    }
  }, {
    "tag": "path",
    "attrs": {
      "fill": "currentColor",
      "d": "M17.4998 22.5C21.9181 22.5 23.5898 18 23.5898 18C23.5898 18 21.9161 13.5 17.4998 13.5C13.0834 13.5 11.4098 18 11.4098 18C11.4098 18 13.0814 22.5 17.4998 22.5ZM17.498 20.5C14.8825 20.5 13.6285 18 13.6285 18C13.6285 18 14.8774 15.5 17.498 15.5C20.1187 15.5 21.3685 18 21.3685 18C21.3685 18 20.1136 20.5 17.498 20.5Z"
    }
  }]
};
var userVisible = defineComponent({
  name: "UserVisibleIcon",
  props: {
    size: {
      type: String
    },
    onClick: {
      type: Function
    }
  },
  setup(props, _ref) {
    var {
      attrs
    } = _ref;
    var propsSize = computed(() => props.size);
    var {
      className,
      style
    } = useSizeProps(propsSize);
    var finalCls = computed(() => ["t-icon", "t-icon-user-visible", className.value]);
    var finalStyle = computed(() => _objectSpread(_objectSpread({}, style.value), attrs.style));
    var finalProps = computed(() => ({
      class: finalCls.value,
      style: finalStyle.value,
      onClick: e => {
        var _props$onClick;
        return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
          e
        });
      }
    }));
    return () => renderFn(element, finalProps.value);
  }
});

export default userVisible;
//# sourceMappingURL=user-visible.js.map
