'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var defineProperty = require('../_chunks/dep-304d0f8c.js');
var vue = require('vue');
var utils_renderFn = require('../utils/render-fn.js');
var utils_useSizeProps = require('../utils/use-size-props.js');
require('../utils/use-common-classname.js');
require('../utils/config-context.js');

function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys(Object(source), !0).forEach(function (key) { defineProperty._defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
var element = {
  "tag": "svg",
  "attrs": {
    "fill": "none",
    "viewBox": "0 0 24 24",
    "width": "1em",
    "height": "1em"
  },
  "children": [{
    "tag": "path",
    "attrs": {
      "fill": "currentColor",
      "d": "M12 2C12.6904 2 13.25 2.55964 13.25 3.25C13.25 3.94036 12.6904 4.5 12 4.5C11.3096 4.5 10.75 3.94036 10.75 3.25C10.75 2.55964 11.3096 2 12 2ZM8.75 3.25C8.75 5.04493 10.2051 6.5 12 6.5C13.7949 6.5 15.25 5.04493 15.25 3.25C15.25 1.45507 13.7949 0 12 0C10.2051 0 8.75 1.45507 8.75 3.25ZM2.25 9.625C2.25 8.17525 3.42525 7 4.875 7H19.125C20.5747 7 21.75 8.17525 21.75 9.625C21.75 11.0747 20.5747 12.25 19.125 12.25H16.4966L18.3205 20.4577C18.6675 22.019 17.4794 23.5 15.8801 23.5H13.7385L12 17.1979L10.2615 23.5H8.11992C6.52055 23.5 5.3325 22.019 5.67946 20.4577L7.50338 12.25H4.875C3.42525 12.25 2.25 11.0747 2.25 9.625ZM4.875 9C4.52982 9 4.25 9.27982 4.25 9.625C4.25 9.97018 4.52982 10.25 4.875 10.25H9.99662L7.63183 20.8915C7.56244 21.2038 7.80005 21.5 8.11992 21.5H8.73851L10.7385 14.25H13.2615L15.2615 21.5H15.8801C16.2 21.5 16.4376 21.2038 16.3682 20.8915L14.0034 10.25H19.125C19.4702 10.25 19.75 9.97018 19.75 9.625C19.75 9.27982 19.4702 9 19.125 9H4.875Z"
    }
  }]
};
var accessibility = vue.defineComponent({
  name: "AccessibilityIcon",
  props: {
    size: {
      type: String
    },
    onClick: {
      type: Function
    }
  },
  setup(props, _ref) {
    var {
      attrs
    } = _ref;
    var propsSize = vue.computed(() => props.size);
    var {
      className,
      style
    } = utils_useSizeProps['default'](propsSize);
    var finalCls = vue.computed(() => ["t-icon", "t-icon-accessibility", className.value]);
    var finalStyle = vue.computed(() => _objectSpread(_objectSpread({}, style.value), attrs.style));
    var finalProps = vue.computed(() => ({
      class: finalCls.value,
      style: finalStyle.value,
      onClick: e => {
        var _props$onClick;
        return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
          e
        });
      }
    }));
    return () => utils_renderFn['default'](element, finalProps.value);
  }
});

exports.default = accessibility;
//# sourceMappingURL=accessibility.js.map
