'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var defineProperty = require('../_chunks/dep-304d0f8c.js');
var vue = require('vue');
var utils_renderFn = require('../utils/render-fn.js');
var utils_useSizeProps = require('../utils/use-size-props.js');
require('../utils/use-common-classname.js');
require('../utils/config-context.js');

function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys(Object(source), !0).forEach(function (key) { defineProperty._defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
var element = {
  "tag": "svg",
  "attrs": {
    "fill": "none",
    "viewBox": "0 0 24 24",
    "width": "1em",
    "height": "1em"
  },
  "children": [{
    "tag": "path",
    "attrs": {
      "fill": "currentColor",
      "d": "M16.5 14C20.0899 14 23 11.0899 23 7.5C23 3.91015 20.0899 1 16.5 1C12.9101 1 10 3.91015 10 7.5C10 11.0899 12.9101 14 16.5 14Z"
    }
  }, {
    "tag": "path",
    "attrs": {
      "fill": "currentColor",
      "d": "M17.1426 15.9759C16.9305 15.9918 16.7162 15.9999 16.5 15.9999C11.8056 15.9999 8 12.1943 8 7.49987C8 7.2838 8.00806 7.06961 8.0239 6.85758C6.48848 8.0465 5.5 9.90782 5.5 12C5.5 15.5899 8.41015 18.5 12 18.5C14.0923 18.5 15.9537 17.5115 17.1426 15.9759Z"
    }
  }, {
    "tag": "path",
    "attrs": {
      "fill": "currentColor",
      "d": "M12.6423 20.476C12.4303 20.4919 12.2161 20.4999 12 20.4999C7.30558 20.4999 3.5 16.6944 3.5 11.9999C3.5 11.7838 3.50807 11.5695 3.52392 11.3573C1.98849 12.5463 1 14.4076 1 16.4998C1 20.0897 3.91015 22.9998 7.5 22.9998C9.59214 22.9998 11.4534 22.0114 12.6423 20.476Z"
    }
  }]
};
var animationFilled = vue.defineComponent({
  name: "AnimationFilledIcon",
  props: {
    size: {
      type: String
    },
    onClick: {
      type: Function
    }
  },
  setup(props, _ref) {
    var {
      attrs
    } = _ref;
    var propsSize = vue.computed(() => props.size);
    var {
      className,
      style
    } = utils_useSizeProps['default'](propsSize);
    var finalCls = vue.computed(() => ["t-icon", "t-icon-animation-filled", className.value]);
    var finalStyle = vue.computed(() => _objectSpread(_objectSpread({}, style.value), attrs.style));
    var finalProps = vue.computed(() => ({
      class: finalCls.value,
      style: finalStyle.value,
      onClick: e => {
        var _props$onClick;
        return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
          e
        });
      }
    }));
    return () => utils_renderFn['default'](element, finalProps.value);
  }
});

exports.default = animationFilled;
//# sourceMappingURL=animation-filled.js.map
