'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var defineProperty = require('../_chunks/dep-304d0f8c.js');
var vue = require('vue');
var utils_renderFn = require('../utils/render-fn.js');
var utils_useSizeProps = require('../utils/use-size-props.js');
require('../utils/use-common-classname.js');
require('../utils/config-context.js');

function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys(Object(source), !0).forEach(function (key) { defineProperty._defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
var element = {
  "tag": "svg",
  "attrs": {
    "fill": "none",
    "viewBox": "0 0 24 24",
    "width": "1em",
    "height": "1em"
  },
  "children": [{
    "tag": "path",
    "attrs": {
      "fill": "currentColor",
      "d": "M11.3138 3.1212C13.2664 1.16858 16.4322 1.16858 18.3848 3.1212C20.3375 5.07383 20.3375 8.23965 18.3848 10.1923L10.6067 17.9704C9.4351 19.142 7.53561 19.142 6.36403 17.9704C5.19246 16.7989 5.19246 14.8994 6.36403 13.7278L14.1422 5.94963L15.5564 7.36385L7.77825 15.142C7.38772 15.5325 7.38772 16.1657 7.77825 16.5562C8.16877 16.9468 8.80194 16.9468 9.19246 16.5562L16.9706 8.77806C18.1422 7.60649 18.1422 5.70699 16.9706 4.53542C15.7991 3.36385 13.8996 3.36384 12.728 4.53542L4.94982 12.3136C2.9972 14.2662 2.9972 17.432 4.94982 19.3847C6.90244 21.3373 10.0683 21.3373 12.0209 19.3847L20.5062 10.8994L21.9204 12.3136L13.4351 20.7989C10.7014 23.5325 6.26927 23.5325 3.5356 20.7989C0.801934 18.0652 0.801934 13.633 3.5356 10.8994L11.3138 3.1212Z"
    }
  }]
};
var attach = vue.defineComponent({
  name: "AttachIcon",
  props: {
    size: {
      type: String
    },
    onClick: {
      type: Function
    }
  },
  setup(props, _ref) {
    var {
      attrs
    } = _ref;
    var propsSize = vue.computed(() => props.size);
    var {
      className,
      style
    } = utils_useSizeProps['default'](propsSize);
    var finalCls = vue.computed(() => ["t-icon", "t-icon-attach", className.value]);
    var finalStyle = vue.computed(() => _objectSpread(_objectSpread({}, style.value), attrs.style));
    var finalProps = vue.computed(() => ({
      class: finalCls.value,
      style: finalStyle.value,
      onClick: e => {
        var _props$onClick;
        return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
          e
        });
      }
    }));
    return () => utils_renderFn['default'](element, finalProps.value);
  }
});

exports.default = attach;
//# sourceMappingURL=attach.js.map
