'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var defineProperty = require('../_chunks/dep-304d0f8c.js');
var vue = require('vue');
var utils_renderFn = require('../utils/render-fn.js');
var utils_useSizeProps = require('../utils/use-size-props.js');
require('../utils/use-common-classname.js');
require('../utils/config-context.js');

function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys(Object(source), !0).forEach(function (key) { defineProperty._defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
var element = {
  "tag": "svg",
  "attrs": {
    "fill": "none",
    "viewBox": "0 0 24 24",
    "width": "1em",
    "height": "1em"
  },
  "children": [{
    "tag": "path",
    "attrs": {
      "fill": "currentColor",
      "d": "M2.50039 17.6C2.50039 19.4778 4.02262 21 5.90039 21H7.00039V19H5.90039C5.12719 19 4.50039 18.3732 4.50039 17.6V14C4.50039 13.2316 4.21154 12.5308 3.73649 12C4.21154 11.4692 4.50039 10.7684 4.50039 10V6.4C4.50039 5.6268 5.12719 5 5.90039 5H7.00039V3H5.90039C4.02262 3 2.50039 4.52223 2.50039 6.4V10C2.50039 10.5523 2.05268 11 1.50039 11H0.400391V13H1.50039C2.05268 13 2.50039 13.4477 2.50039 14V17.6ZM16.9996 21H18.0996C19.9774 21 21.4996 19.4778 21.4996 17.6V14C21.4996 13.4477 21.9473 13 22.4996 13H23.5996V11H22.4996C21.9473 11 21.4996 10.5523 21.4996 10V6.4C21.4996 4.52223 19.9774 3 18.0996 3H16.9996V5H18.0996C18.8728 5 19.4996 5.6268 19.4996 6.4V10C19.4996 10.7684 19.7885 11.4692 20.2635 12C19.7885 12.5308 19.4996 13.2316 19.4996 14V17.6C19.4996 18.3732 18.8728 19 18.0996 19H16.9996V21Z"
    }
  }]
};
var braces = vue.defineComponent({
  name: "BracesIcon",
  props: {
    size: {
      type: String
    },
    onClick: {
      type: Function
    }
  },
  setup(props, _ref) {
    var {
      attrs
    } = _ref;
    var propsSize = vue.computed(() => props.size);
    var {
      className,
      style
    } = utils_useSizeProps['default'](propsSize);
    var finalCls = vue.computed(() => ["t-icon", "t-icon-braces", className.value]);
    var finalStyle = vue.computed(() => _objectSpread(_objectSpread({}, style.value), attrs.style));
    var finalProps = vue.computed(() => ({
      class: finalCls.value,
      style: finalStyle.value,
      onClick: e => {
        var _props$onClick;
        return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
          e
        });
      }
    }));
    return () => utils_renderFn['default'](element, finalProps.value);
  }
});

exports.default = braces;
//# sourceMappingURL=braces.js.map
