'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var defineProperty = require('../_chunks/dep-304d0f8c.js');
var vue = require('vue');
var utils_renderFn = require('../utils/render-fn.js');
var utils_useSizeProps = require('../utils/use-size-props.js');
require('../utils/use-common-classname.js');
require('../utils/config-context.js');

function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys(Object(source), !0).forEach(function (key) { defineProperty._defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
var element = {
  "tag": "svg",
  "attrs": {
    "fill": "none",
    "viewBox": "0 0 24 24",
    "width": "1em",
    "height": "1em"
  },
  "children": [{
    "tag": "path",
    "attrs": {
      "fill": "currentColor",
      "d": "M13 1V2.08296C15.8377 2.55904 18 5.027 18 8H22V22H2V8H6C6 5.027 8.16229 2.55904 11 2.08296V1H13ZM8 8H16C16 5.79086 14.2091 4 12 4C9.79086 4 8 5.79086 8 8ZM4 12.5351C4.58835 12.1948 5.27143 12 6 12C7.19469 12 8.26706 12.5238 9 13.3542C9.73295 12.5238 10.8053 12 12 12C13.1947 12 14.2671 12.5238 15 13.3542C15.7329 12.5238 16.8053 12 18 12C18.7286 12 19.4117 12.1948 20 12.5351V10H4V12.5351ZM8 16C8 14.8954 7.10457 14 6 14C4.89543 14 4 14.8954 4 16V20H8V16ZM10 20H14V16C14 14.8954 13.1046 14 12 14C10.8954 14 10 14.8954 10 16V20ZM16 20H20V16C20 14.8954 19.1046 14 18 14C16.8954 14 16 14.8954 16 16V20Z"
    }
  }]
};
var castle7 = vue.defineComponent({
  name: "Castle7Icon",
  props: {
    size: {
      type: String
    },
    onClick: {
      type: Function
    }
  },
  setup(props, _ref) {
    var {
      attrs
    } = _ref;
    var propsSize = vue.computed(() => props.size);
    var {
      className,
      style
    } = utils_useSizeProps['default'](propsSize);
    var finalCls = vue.computed(() => ["t-icon", "t-icon-castle-7", className.value]);
    var finalStyle = vue.computed(() => _objectSpread(_objectSpread({}, style.value), attrs.style));
    var finalProps = vue.computed(() => ({
      class: finalCls.value,
      style: finalStyle.value,
      onClick: e => {
        var _props$onClick;
        return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
          e
        });
      }
    }));
    return () => utils_renderFn['default'](element, finalProps.value);
  }
});

exports.default = castle7;
//# sourceMappingURL=castle-7.js.map
