'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var defineProperty = require('../_chunks/dep-304d0f8c.js');
var vue = require('vue');
var utils_renderFn = require('../utils/render-fn.js');
var utils_useSizeProps = require('../utils/use-size-props.js');
require('../utils/use-common-classname.js');
require('../utils/config-context.js');

function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys(Object(source), !0).forEach(function (key) { defineProperty._defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
var element = {
  "tag": "svg",
  "attrs": {
    "fill": "none",
    "viewBox": "0 0 24 24",
    "width": "1em",
    "height": "1em"
  },
  "children": [{
    "tag": "path",
    "attrs": {
      "fill": "currentColor",
      "d": "M4 2V20H22V22H2V2H4ZM19.5 7C19.2239 7 19 7.22386 19 7.5C19 7.77614 19.2239 8 19.5 8C19.7761 8 20 7.77614 20 7.5C20 7.22386 19.7761 7 19.5 7ZM17 7.5C17 6.11929 18.1193 5 19.5 5C20.8807 5 22 6.11929 22 7.5C22 8.88071 20.8807 10 19.5 10C18.949 10 18.4397 9.82175 18.0264 9.51978L9.98468 14.2155C10.0939 15.1744 9.63936 16.1514 8.75024 16.6648C7.55451 17.3551 6.02553 16.9454 5.33518 15.7497C4.64482 14.554 5.05451 13.025 6.25024 12.3346C7.13675 11.8228 8.20643 11.9156 8.98173 12.4852L17.017 7.79321C17.0058 7.69704 17 7.59919 17 7.5ZM7.93326 14.2497C7.79518 14.0105 7.48939 13.9286 7.25024 14.0667C7.0111 14.2048 6.92916 14.5105 7.06723 14.7497C7.2053 14.9888 7.5111 15.0708 7.75024 14.9327C7.98939 14.7946 8.07133 14.4888 7.93326 14.2497Z"
    }
  }]
};
var chartLineData = vue.defineComponent({
  name: "ChartLineDataIcon",
  props: {
    size: {
      type: String
    },
    onClick: {
      type: Function
    }
  },
  setup(props, _ref) {
    var {
      attrs
    } = _ref;
    var propsSize = vue.computed(() => props.size);
    var {
      className,
      style
    } = utils_useSizeProps['default'](propsSize);
    var finalCls = vue.computed(() => ["t-icon", "t-icon-chart-line-data", className.value]);
    var finalStyle = vue.computed(() => _objectSpread(_objectSpread({}, style.value), attrs.style));
    var finalProps = vue.computed(() => ({
      class: finalCls.value,
      style: finalStyle.value,
      onClick: e => {
        var _props$onClick;
        return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
          e
        });
      }
    }));
    return () => utils_renderFn['default'](element, finalProps.value);
  }
});

exports.default = chartLineData;
//# sourceMappingURL=chart-line-data.js.map
