'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var defineProperty = require('../_chunks/dep-304d0f8c.js');
var vue = require('vue');
var utils_renderFn = require('../utils/render-fn.js');
var utils_useSizeProps = require('../utils/use-size-props.js');
require('../utils/use-common-classname.js');
require('../utils/config-context.js');

function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys(Object(source), !0).forEach(function (key) { defineProperty._defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
var element = {
  "tag": "svg",
  "attrs": {
    "fill": "none",
    "viewBox": "0 0 24 24",
    "width": "1em",
    "height": "1em"
  },
  "children": [{
    "tag": "path",
    "attrs": {
      "fill": "currentColor",
      "d": "M8 4C8 2.34315 9.34315 1 11 1C12.6569 1 14 2.34315 14 4H20V10C21.6569 10 23 11.3431 23 13C23 14.6569 21.6569 16 20 16V22H13.5974L13.4746 21.1416C13.3015 19.931 12.2586 19 11 19C9.74141 19 8.69853 19.931 8.52537 21.1416L8.40258 22H2V15.5974L2.8584 15.4746C4.069 15.3015 5 14.2586 5 13C5 11.7414 4.069 10.6985 2.8584 10.5254L2 10.4026V4H8ZM11 3C10.4477 3 10 3.44772 10 4V6H4V8.75633C5.74798 9.37425 7 11.0403 7 13C7 14.9597 5.74798 16.6257 4 17.2437V20H6.75633C7.37425 18.252 9.04027 17 11 17C12.9597 17 14.6257 18.252 15.2437 20H18V14H20C20.5523 14 21 13.5523 21 13C21 12.4477 20.5523 12 20 12H18V6H12V4C12 3.44772 11.5523 3 11 3Z"
    }
  }]
};
var extension = vue.defineComponent({
  name: "ExtensionIcon",
  props: {
    size: {
      type: String
    },
    onClick: {
      type: Function
    }
  },
  setup(props, _ref) {
    var {
      attrs
    } = _ref;
    var propsSize = vue.computed(() => props.size);
    var {
      className,
      style
    } = utils_useSizeProps['default'](propsSize);
    var finalCls = vue.computed(() => ["t-icon", "t-icon-extension", className.value]);
    var finalStyle = vue.computed(() => _objectSpread(_objectSpread({}, style.value), attrs.style));
    var finalProps = vue.computed(() => ({
      class: finalCls.value,
      style: finalStyle.value,
      onClick: e => {
        var _props$onClick;
        return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
          e
        });
      }
    }));
    return () => utils_renderFn['default'](element, finalProps.value);
  }
});

exports.default = extension;
//# sourceMappingURL=extension.js.map
