'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var defineProperty = require('../_chunks/dep-304d0f8c.js');
var vue = require('vue');
var utils_renderFn = require('../utils/render-fn.js');
var utils_useSizeProps = require('../utils/use-size-props.js');
require('../utils/use-common-classname.js');
require('../utils/config-context.js');

function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys(Object(source), !0).forEach(function (key) { defineProperty._defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
var element = {
  "tag": "svg",
  "attrs": {
    "fill": "none",
    "viewBox": "0 0 24 24",
    "width": "1em",
    "height": "1em"
  },
  "children": [{
    "tag": "path",
    "attrs": {
      "fill": "currentColor",
      "d": "M3.99646 0.695068L5.09356 2.89911L7.2976 3.99621L5.09356 5.09332L3.99646 7.29736L2.89935 5.09332L0.695312 3.99621L2.89935 2.89911L3.99646 0.695068ZM12.0002 2.99998C11.3776 2.99998 10.7708 3.06306 10.1854 3.18284L9.2057 3.38331L8.80475 1.42391L9.78445 1.22344C10.501 1.07682 11.2422 0.999985 12.0002 0.999985C18.0754 0.999985 23.0002 5.92485 23.0002 12C23.0002 18.0751 18.0754 23 12.0002 23C5.9251 23 1.00023 18.0751 1.00023 12C1.00023 11.1153 1.10488 10.2537 1.30292 9.42744L1.53601 8.45499L3.48092 8.92116L3.24783 9.89362C3.08611 10.5683 3.00023 11.2735 3.00023 12C3.00023 16.9705 7.02967 21 12.0002 21C16.9708 21 21.0002 16.9705 21.0002 12C21.0002 7.02942 16.9708 2.99998 12.0002 2.99998ZM14.5125 8.93358H16.5164V10.9375H14.5125V8.93358ZM7.46312 8.93425H9.46703V10.9382H7.46312V8.93425ZM9.90965 13.1858L10.3982 14.0583C10.7136 14.6217 11.3139 14.9989 12.001 14.9989C12.6881 14.9989 13.2885 14.6217 13.6039 14.0583L14.0924 13.1858L15.8375 14.1628L15.349 15.0354C14.6943 16.2048 13.4411 16.9989 12.001 16.9989C10.561 16.9989 9.30781 16.2048 8.65307 15.0354L8.16455 14.1628L9.90965 13.1858ZM20.8308 20.8188L19.2619 21.5997L20.8308 22.3806L21.6117 23.9495L22.3926 22.3806L23.9615 21.5997L22.3926 20.8188L21.6117 19.25L20.8308 20.8188Z"
    }
  }]
};
var faceRetouching = vue.defineComponent({
  name: "FaceRetouchingIcon",
  props: {
    size: {
      type: String
    },
    onClick: {
      type: Function
    }
  },
  setup(props, _ref) {
    var {
      attrs
    } = _ref;
    var propsSize = vue.computed(() => props.size);
    var {
      className,
      style
    } = utils_useSizeProps['default'](propsSize);
    var finalCls = vue.computed(() => ["t-icon", "t-icon-face-retouching", className.value]);
    var finalStyle = vue.computed(() => _objectSpread(_objectSpread({}, style.value), attrs.style));
    var finalProps = vue.computed(() => ({
      class: finalCls.value,
      style: finalStyle.value,
      onClick: e => {
        var _props$onClick;
        return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
          e
        });
      }
    }));
    return () => utils_renderFn['default'](element, finalProps.value);
  }
});

exports.default = faceRetouching;
//# sourceMappingURL=face-retouching.js.map
