'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var defineProperty = require('../_chunks/dep-304d0f8c.js');
var vue = require('vue');
var utils_renderFn = require('../utils/render-fn.js');
var utils_useSizeProps = require('../utils/use-size-props.js');
require('../utils/use-common-classname.js');
require('../utils/config-context.js');

function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys(Object(source), !0).forEach(function (key) { defineProperty._defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
var element = {
  "tag": "svg",
  "attrs": {
    "fill": "none",
    "viewBox": "0 0 24 24",
    "width": "1em",
    "height": "1em"
  },
  "children": [{
    "tag": "path",
    "attrs": {
      "fill": "currentColor",
      "d": "M11.1 4C8.63404 4 6.7 5.91564 6.7 8.2C6.7 8.46219 6.72505 8.71791 6.77273 8.9654L7.00186 10.1546H5.79079C4.83859 10.1546 4 11.0183 4 12V13H2V12C2 10.343 3.12378 8.81486 4.7012 8.32086C4.7004 8.28066 4.7 8.24037 4.7 8.2C4.7 4.7406 7.60128 2 11.1 2C11.646 2 12.1775 2.06644 12.6858 2.192C14.8331 2.7225 16.5652 4.31155 17.2193 6.37863C17.9416 6.47026 18.6217 6.69802 19.2299 7.03569C20.9409 7.9857 22 10.0856 22 12V13H20V12C20 10.7021 19.2442 9.33123 18.259 8.78426C17.7444 8.49852 17.1446 8.33333 16.5 8.33333C16.4803 8.33333 16.4607 8.33349 16.4411 8.33379L15.5868 8.34716L15.4403 7.50544C15.158 5.88414 13.8892 4.54944 12.2061 4.13363C11.8538 4.0466 11.4834 4 11.1 4ZM2 14H8V16H2V14ZM10 14H22V16H10V14ZM17 18H22V20H17V18ZM2 20L2 18L15 18V20L2 20Z"
    }
  }]
};
var fog = vue.defineComponent({
  name: "FogIcon",
  props: {
    size: {
      type: String
    },
    onClick: {
      type: Function
    }
  },
  setup(props, _ref) {
    var {
      attrs
    } = _ref;
    var propsSize = vue.computed(() => props.size);
    var {
      className,
      style
    } = utils_useSizeProps['default'](propsSize);
    var finalCls = vue.computed(() => ["t-icon", "t-icon-fog", className.value]);
    var finalStyle = vue.computed(() => _objectSpread(_objectSpread({}, style.value), attrs.style));
    var finalProps = vue.computed(() => ({
      class: finalCls.value,
      style: finalStyle.value,
      onClick: e => {
        var _props$onClick;
        return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
          e
        });
      }
    }));
    return () => utils_renderFn['default'](element, finalProps.value);
  }
});

exports.default = fog;
//# sourceMappingURL=fog.js.map
