'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var defineProperty = require('../_chunks/dep-304d0f8c.js');
var vue = require('vue');
var utils_renderFn = require('../utils/render-fn.js');
var utils_useSizeProps = require('../utils/use-size-props.js');
require('../utils/use-common-classname.js');
require('../utils/config-context.js');

function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys(Object(source), !0).forEach(function (key) { defineProperty._defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
var element = {
  "tag": "svg",
  "attrs": {
    "fill": "none",
    "viewBox": "0 0 24 24",
    "width": "1em",
    "height": "1em"
  },
  "children": [{
    "tag": "path",
    "attrs": {
      "fill": "currentColor",
      "d": "M17.4648 0.994141L21.0003 4.52967L20.2932 5.23678L22.4146 7.3581L20.2932 9.47942L22.4146 11.6007L19.2147 14.8006L20.6124 16.1984L8.84539 23.2595L0.741211 15.1553L7.80114 3.38712L9.31517 4.90115L13.2222 0.994141L15.3435 3.11546L17.4648 0.994141ZM12.8507 8.43668L13.5578 9.14379L18.1719 4.52968L17.4648 3.82257L12.8507 8.43668ZM18.879 6.651L14.972 10.558L15.6791 11.2651L19.5861 7.3581L18.879 6.651ZM17.0933 12.6793L17.8005 13.3864L19.5861 11.6007L18.879 10.8936L17.0933 12.6793ZM17.3869 15.8013L8.19822 6.61262L6.25888 9.84485L14.1547 17.7407L17.3869 15.8013ZM12.387 18.8014L5.19834 11.6127L3.25946 14.8451L9.15529 20.741L12.387 18.8014ZM10.7294 6.31536L11.4365 7.02247L13.9293 4.52968L13.2222 3.82257L10.7294 6.31536Z"
    }
  }]
};
var fries = vue.defineComponent({
  name: "FriesIcon",
  props: {
    size: {
      type: String
    },
    onClick: {
      type: Function
    }
  },
  setup(props, _ref) {
    var {
      attrs
    } = _ref;
    var propsSize = vue.computed(() => props.size);
    var {
      className,
      style
    } = utils_useSizeProps['default'](propsSize);
    var finalCls = vue.computed(() => ["t-icon", "t-icon-fries", className.value]);
    var finalStyle = vue.computed(() => _objectSpread(_objectSpread({}, style.value), attrs.style));
    var finalProps = vue.computed(() => ({
      class: finalCls.value,
      style: finalStyle.value,
      onClick: e => {
        var _props$onClick;
        return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
          e
        });
      }
    }));
    return () => utils_renderFn['default'](element, finalProps.value);
  }
});

exports.default = fries;
//# sourceMappingURL=fries.js.map
