'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var defineProperty = require('../_chunks/dep-304d0f8c.js');
var vue = require('vue');
var utils_renderFn = require('../utils/render-fn.js');
var utils_useSizeProps = require('../utils/use-size-props.js');
require('../utils/use-common-classname.js');
require('../utils/config-context.js');

function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys(Object(source), !0).forEach(function (key) { defineProperty._defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
var element = {
  "tag": "svg",
  "attrs": {
    "fill": "none",
    "viewBox": "0 0 24 24",
    "width": "1em",
    "height": "1em"
  },
  "children": [{
    "tag": "path",
    "attrs": {
      "fill": "currentColor",
      "d": "M12.0012 3.81816C14.4475 1.66879 18.1762 1.7618 20.5115 4.09718C22.9438 6.52943 22.9438 10.4729 20.5115 12.9051L15.2865 18.1302L15.2858 18.1295L11.9999 21.4153L4.72056 14.136L3.4891 12.9036C3.48901 12.9035 3.48918 12.9037 3.4891 12.9036C1.0571 10.4714 1.05693 6.52784 3.4891 4.09567C5.82503 1.75974 9.55485 1.66724 12.0012 3.81816ZM15.2856 15.3027L19.0973 11.4909C20.7485 9.83973 20.7485 7.1626 19.0973 5.5114C17.4461 3.86019 14.769 3.86019 13.1178 5.51139L12.0001 6.62714L10.8828 5.50989C9.23165 3.85868 6.55452 3.85868 4.90331 5.50989C3.25211 7.16109 3.25211 9.83822 4.90331 11.4894L6.13477 12.7218L11.9999 18.5869L15.2848 15.3019L15.2856 15.3027Z"
    }
  }]
};
var heart = vue.defineComponent({
  name: "HeartIcon",
  props: {
    size: {
      type: String
    },
    onClick: {
      type: Function
    }
  },
  setup(props, _ref) {
    var {
      attrs
    } = _ref;
    var propsSize = vue.computed(() => props.size);
    var {
      className,
      style
    } = utils_useSizeProps['default'](propsSize);
    var finalCls = vue.computed(() => ["t-icon", "t-icon-heart", className.value]);
    var finalStyle = vue.computed(() => _objectSpread(_objectSpread({}, style.value), attrs.style));
    var finalProps = vue.computed(() => ({
      class: finalCls.value,
      style: finalStyle.value,
      onClick: e => {
        var _props$onClick;
        return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
          e
        });
      }
    }));
    return () => utils_renderFn['default'](element, finalProps.value);
  }
});

exports.default = heart;
//# sourceMappingURL=heart.js.map
