'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var defineProperty = require('../_chunks/dep-304d0f8c.js');
var vue = require('vue');
var utils_renderFn = require('../utils/render-fn.js');
var utils_useSizeProps = require('../utils/use-size-props.js');
require('../utils/use-common-classname.js');
require('../utils/config-context.js');

function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys(Object(source), !0).forEach(function (key) { defineProperty._defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
var element = {
  "tag": "svg",
  "attrs": {
    "fill": "none",
    "viewBox": "0 0 24 24",
    "width": "1em",
    "height": "1em"
  },
  "children": [{
    "tag": "path",
    "attrs": {
      "fill": "currentColor",
      "d": "M16 1.38184V15.4999L8.8 12.4999H7.88925L7.71278 13.9999H9.5V15.9999H7.47749L6.88925 20.9999H2V4.99987H8.76393L16 1.38184ZM5.87546 12.4999H4V18.9999H5.11075L5.87546 12.4999ZM4 10.4999H9.2L14 12.4999V4.6179L9.23607 6.99987H4V10.4999ZM20.3329 4.58566L21.04 5.29276C21.9769 6.22968 22.3684 7.6354 22.3684 8.91669C22.3684 10.198 21.9769 11.6037 21.04 12.5406L20.3329 13.2477L18.9187 11.8335L19.6258 11.1264C20.0695 10.6827 20.3684 9.86189 20.3684 8.91669C20.3684 7.97148 20.0695 7.15072 19.6258 6.70698L18.9187 5.99987L20.3329 4.58566ZM18.2496 6.25454L18.9567 6.96165C20.0375 8.0425 20.0375 9.79491 18.9567 10.8758L18.2496 11.5829L16.8354 10.1687L17.5425 9.46154C17.8423 9.16174 17.8423 8.67566 17.5425 8.37586L16.8354 7.66875L18.2496 6.25454Z"
    }
  }]
};
var loudspeaker = vue.defineComponent({
  name: "LoudspeakerIcon",
  props: {
    size: {
      type: String
    },
    onClick: {
      type: Function
    }
  },
  setup(props, _ref) {
    var {
      attrs
    } = _ref;
    var propsSize = vue.computed(() => props.size);
    var {
      className,
      style
    } = utils_useSizeProps['default'](propsSize);
    var finalCls = vue.computed(() => ["t-icon", "t-icon-loudspeaker", className.value]);
    var finalStyle = vue.computed(() => _objectSpread(_objectSpread({}, style.value), attrs.style));
    var finalProps = vue.computed(() => ({
      class: finalCls.value,
      style: finalStyle.value,
      onClick: e => {
        var _props$onClick;
        return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
          e
        });
      }
    }));
    return () => utils_renderFn['default'](element, finalProps.value);
  }
});

exports.default = loudspeaker;
//# sourceMappingURL=loudspeaker.js.map
