'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var defineProperty = require('../_chunks/dep-304d0f8c.js');
var vue = require('vue');
var utils_renderFn = require('../utils/render-fn.js');
var utils_useSizeProps = require('../utils/use-size-props.js');
require('../utils/use-common-classname.js');
require('../utils/config-context.js');

function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys(Object(source), !0).forEach(function (key) { defineProperty._defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
var element = {
  "tag": "svg",
  "attrs": {
    "fill": "none",
    "viewBox": "0 0 24 24",
    "width": "1em",
    "height": "1em"
  },
  "children": [{
    "tag": "path",
    "attrs": {
      "fill": "currentColor",
      "d": "M9 1.84229L15.0744 5.38567L22 2.49999V11H20V5.49999L16 7.16666V11H14V7.07436L10 4.74103V16.9256L11.8677 18.0151L10.8599 19.7426L8.92563 18.6143L2 21.5V5.92562L9 1.84229ZM8 16.8333V4.74103L4 7.07436V18.5L8 16.8333ZM18 14C16.4812 14 15.25 15.2312 15.25 16.75C15.25 18.0023 15.9847 19.2045 16.8648 20.1722C17.2723 20.6202 17.6824 20.9864 18 21.2466C18.3176 20.9864 18.7277 20.6202 19.1352 20.1722C20.0153 19.2045 20.75 18.0023 20.75 16.75C20.75 15.2312 19.5188 14 18 14ZM18 23.7013L17.4453 23.332L17.4432 23.3306L17.4392 23.3279L17.4271 23.3198L17.3874 23.2924C17.3542 23.2694 17.308 23.2368 17.2505 23.1949C17.1356 23.1113 16.9752 22.9906 16.7845 22.836C16.4045 22.5281 15.8963 22.0799 15.3852 21.5179C14.3903 20.4239 13.25 18.7512 13.25 16.75C13.25 14.1266 15.3766 12 18 12C20.6234 12 22.75 14.1266 22.75 16.75C22.75 18.7512 21.6097 20.4239 20.6148 21.5179C20.1037 22.0799 19.5955 22.5281 19.2155 22.836C19.0248 22.9906 18.8644 23.1113 18.7495 23.1949C18.692 23.2368 18.6458 23.2694 18.6126 23.2924L18.5729 23.3198L18.5608 23.3279L18.5568 23.3306L18.5553 23.3316L18 23.7013ZM16.75 16H19.25V18H16.75V16Z"
    }
  }]
};
var mapLocation = vue.defineComponent({
  name: "MapLocationIcon",
  props: {
    size: {
      type: String
    },
    onClick: {
      type: Function
    }
  },
  setup(props, _ref) {
    var {
      attrs
    } = _ref;
    var propsSize = vue.computed(() => props.size);
    var {
      className,
      style
    } = utils_useSizeProps['default'](propsSize);
    var finalCls = vue.computed(() => ["t-icon", "t-icon-map-location", className.value]);
    var finalStyle = vue.computed(() => _objectSpread(_objectSpread({}, style.value), attrs.style));
    var finalProps = vue.computed(() => ({
      class: finalCls.value,
      style: finalStyle.value,
      onClick: e => {
        var _props$onClick;
        return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
          e
        });
      }
    }));
    return () => utils_renderFn['default'](element, finalProps.value);
  }
});

exports.default = mapLocation;
//# sourceMappingURL=map-location.js.map
