'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var defineProperty = require('../_chunks/dep-304d0f8c.js');
var vue = require('vue');
var utils_renderFn = require('../utils/render-fn.js');
var utils_useSizeProps = require('../utils/use-size-props.js');
require('../utils/use-common-classname.js');
require('../utils/config-context.js');

function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys(Object(source), !0).forEach(function (key) { defineProperty._defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
var element = {
  "tag": "svg",
  "attrs": {
    "fill": "none",
    "viewBox": "0 0 24 24",
    "width": "1em",
    "height": "1em"
  },
  "children": [{
    "tag": "path",
    "attrs": {
      "fill": "currentColor",
      "d": "M12 4C9.23858 4 7 6.23858 7 9V11H6C5.21973 11 4.19477 11.3021 3.38059 11.9636C2.59748 12.5999 2 13.5722 2 15C2 16.4139 2.61488 17.3879 3.41917 18.0319C4.25615 18.7021 5.2856 19 6 19C6.97324 19 8.23889 18.9845 9.26283 18.4785C9.74814 18.2387 10.1638 17.8939 10.4663 17.3819C10.7717 16.865 11 16.1125 11 15V13.9142L9.5 15.4142L8.08579 14L12 10.0858L15.9142 14L14.5 15.4142L13 13.9142V15C13 16.3875 12.7136 17.51 12.1881 18.3993C11.6597 19.2936 10.9283 19.8863 10.1489 20.2715C8.673 21.0009 6.97712 21.0003 6.05451 21C6.03603 21 6.01786 21 6 21C4.83208 21 3.36153 20.5479 2.16909 19.5931C0.943957 18.6121 0 17.0861 0 15C0 12.9278 0.902517 11.4001 2.11941 10.4114C2.99499 9.69998 4.02826 9.26965 5 9.09318V9C5 5.13401 8.13401 2 12 2C15.866 2 19 5.13401 19 9V9.09318C19.9717 9.26965 21.005 9.69998 21.8806 10.4114C23.0975 11.4001 24 12.9278 24 15C24 17.0756 23.0934 18.6139 21.795 19.6069C20.529 20.5749 18.93 21 17.5 21H13.5V19H17.5C18.57 19 19.721 18.6751 20.58 18.0181C21.4066 17.3861 22 16.4244 22 15C22 13.5722 21.4025 12.5999 20.6194 11.9636C19.8052 11.3021 18.7803 11 18 11H17V9C17 6.23858 14.7614 4 12 4Z"
    }
  }]
};
var objectStorage = vue.defineComponent({
  name: "ObjectStorageIcon",
  props: {
    size: {
      type: String
    },
    onClick: {
      type: Function
    }
  },
  setup(props, _ref) {
    var {
      attrs
    } = _ref;
    var propsSize = vue.computed(() => props.size);
    var {
      className,
      style
    } = utils_useSizeProps['default'](propsSize);
    var finalCls = vue.computed(() => ["t-icon", "t-icon-object-storage", className.value]);
    var finalStyle = vue.computed(() => _objectSpread(_objectSpread({}, style.value), attrs.style));
    var finalProps = vue.computed(() => ({
      class: finalCls.value,
      style: finalStyle.value,
      onClick: e => {
        var _props$onClick;
        return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
          e
        });
      }
    }));
    return () => utils_renderFn['default'](element, finalProps.value);
  }
});

exports.default = objectStorage;
//# sourceMappingURL=object-storage.js.map
