'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var defineProperty = require('../_chunks/dep-304d0f8c.js');
var vue = require('vue');
var utils_renderFn = require('../utils/render-fn.js');
var utils_useSizeProps = require('../utils/use-size-props.js');
require('../utils/use-common-classname.js');
require('../utils/config-context.js');

function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys(Object(source), !0).forEach(function (key) { defineProperty._defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
var element = {
  "tag": "svg",
  "attrs": {
    "fill": "none",
    "viewBox": "0 0 24 24",
    "width": "1em",
    "height": "1em"
  },
  "children": [{
    "tag": "path",
    "attrs": {
      "fill": "currentColor",
      "d": "M11.1511 2.95015C13.8848 0.216485 18.317 0.216485 21.0506 2.95015C23.7843 5.68382 23.7843 10.116 21.0506 12.8496L12.2118 21.6885L9.38338 18.8601L6.2014 22.042C5.02983 23.2136 3.13033 23.2136 1.95876 22.042C0.787185 20.8705 0.787185 18.971 1.95876 17.7994L5.14074 14.6174L2.31231 11.789L11.1511 2.95015ZM12.2118 18.8601L19.2535 11.8183C19.1761 11.5497 19.0433 11.1933 18.8215 10.8209C18.3707 10.064 17.5348 9.20233 15.9072 8.88096C13.6457 8.43445 12.3603 7.17485 11.662 6.00232C11.5652 5.8398 11.4801 5.67972 11.4052 5.52457L5.14074 11.789L12.2118 18.8601ZM12.957 4.01145C13.0356 4.27634 13.1667 4.62018 13.3803 4.97894C13.8311 5.73576 14.667 6.59748 16.2946 6.91884C18.556 7.36535 19.8415 8.62495 20.5398 9.79749C20.5772 9.86034 20.6129 9.92284 20.647 9.98482C21.4931 8.13914 21.1563 5.88424 19.6364 4.36437C17.8095 2.53748 14.9207 2.41984 12.957 4.01145ZM6.55495 16.0316L3.37297 19.2136C2.98245 19.6041 2.98245 20.2373 3.37297 20.6278C3.7635 21.0184 4.39666 21.0184 4.78718 20.6278L7.96917 17.4458L6.55495 16.0316Z"
    }
  }]
};
var popsicle = vue.defineComponent({
  name: "PopsicleIcon",
  props: {
    size: {
      type: String
    },
    onClick: {
      type: Function
    }
  },
  setup(props, _ref) {
    var {
      attrs
    } = _ref;
    var propsSize = vue.computed(() => props.size);
    var {
      className,
      style
    } = utils_useSizeProps['default'](propsSize);
    var finalCls = vue.computed(() => ["t-icon", "t-icon-popsicle", className.value]);
    var finalStyle = vue.computed(() => _objectSpread(_objectSpread({}, style.value), attrs.style));
    var finalProps = vue.computed(() => ({
      class: finalCls.value,
      style: finalStyle.value,
      onClick: e => {
        var _props$onClick;
        return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
          e
        });
      }
    }));
    return () => utils_renderFn['default'](element, finalProps.value);
  }
});

exports.default = popsicle;
//# sourceMappingURL=popsicle.js.map
