'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var defineProperty = require('../_chunks/dep-304d0f8c.js');
var vue = require('vue');
var utils_renderFn = require('../utils/render-fn.js');
var utils_useSizeProps = require('../utils/use-size-props.js');
require('../utils/use-common-classname.js');
require('../utils/config-context.js');

function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys(Object(source), !0).forEach(function (key) { defineProperty._defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
var element = {
  "tag": "svg",
  "attrs": {
    "fill": "none",
    "viewBox": "0 0 24 24",
    "width": "1em",
    "height": "1em"
  },
  "children": [{
    "tag": "path",
    "attrs": {
      "fill": "currentColor",
      "d": "M15.0966 5.90381C12.5582 3.3654 8.44267 3.3654 5.90426 5.90381C4.634 7.17406 3.99959 8.83721 4.00045 10.5034L4.00097 11.5034L2.00097 11.5044L2.00045 10.5044C1.99933 8.32916 2.82939 6.15025 4.49005 4.48959C7.8095 1.17014 13.1914 1.17014 16.5109 4.48959C19.5911 7.56983 19.8131 12.4259 17.1768 15.7621L22.5213 21.1066L21.1071 22.5208L15.7626 17.1763C14.2238 18.392 12.3609 19 10.5005 19H9.50045V17H10.5005C12.1655 17 13.8272 16.3656 15.0966 15.0962C17.6351 12.5578 17.6351 8.44221 15.0966 5.90381ZM1.67203 13.2574L4.50045 16.0858L7.32888 13.2574L8.74309 14.6716L5.91467 17.5L8.74309 20.3284L7.32888 21.7426L4.50045 18.9142L1.67203 21.7426L0.257812 20.3284L3.08624 17.5L0.257812 14.6716L1.67203 13.2574Z"
    }
  }]
};
var searchError = vue.defineComponent({
  name: "SearchErrorIcon",
  props: {
    size: {
      type: String
    },
    onClick: {
      type: Function
    }
  },
  setup(props, _ref) {
    var {
      attrs
    } = _ref;
    var propsSize = vue.computed(() => props.size);
    var {
      className,
      style
    } = utils_useSizeProps['default'](propsSize);
    var finalCls = vue.computed(() => ["t-icon", "t-icon-search-error", className.value]);
    var finalStyle = vue.computed(() => _objectSpread(_objectSpread({}, style.value), attrs.style));
    var finalProps = vue.computed(() => ({
      class: finalCls.value,
      style: finalStyle.value,
      onClick: e => {
        var _props$onClick;
        return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
          e
        });
      }
    }));
    return () => utils_renderFn['default'](element, finalProps.value);
  }
});

exports.default = searchError;
//# sourceMappingURL=search-error.js.map
