'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var defineProperty = require('../_chunks/dep-304d0f8c.js');
var vue = require('vue');
var utils_renderFn = require('../utils/render-fn.js');
var utils_useSizeProps = require('../utils/use-size-props.js');
require('../utils/use-common-classname.js');
require('../utils/config-context.js');

function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys(Object(source), !0).forEach(function (key) { defineProperty._defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
var element = {
  "tag": "svg",
  "attrs": {
    "fill": "none",
    "viewBox": "0 0 24 24",
    "width": "1em",
    "height": "1em"
  },
  "children": [{
    "tag": "path",
    "attrs": {
      "fill": "currentColor",
      "d": "M5.28825 6.00379L7.50404 9.96057L11.4282 3.01786C8.992 3.1705 6.81874 4.2918 5.28825 6.00379ZM13.6504 3.15083L11.4748 7L19.4846 7C18.161 5.02284 16.0753 3.60009 13.6504 3.15083ZM20.4882 9L15.9598 9L19.9852 16.1562C20.6336 14.9133 21 13.5002 21 12C21 10.9467 20.8195 9.93733 20.4882 9ZM18.7202 17.9867L16.5 14.0397L12.5958 20.9806C15.0267 20.8219 17.1943 19.6985 18.7202 17.9867ZM10.3726 20.8534L12.5402 17L4.51536 17C5.84314 18.9834 7.93787 20.4089 10.3726 20.8534ZM3.51183 15L8.04015 15L6.62749 12.4886L4.0204 7.83308C3.36851 9.07861 3 10.4955 3 12C3 13.0533 3.18054 14.0627 3.51183 15ZM10.3348 15L13.6652 15L15.3527 12L13.6652 9L10.3443 9L8.64801 12.0012L10.3348 15ZM3.28888 5.28233C5.29881 2.67945 8.4535 1 12 1C12.4147 1 12.8244 1.02299 13.2278 1.06784C17.2082 1.51035 20.5439 4.07405 22.0843 7.59963C22.6736 8.94843 23 10.4374 23 12C23 14.5224 22.1498 16.8491 20.7208 18.7051C18.7113 21.3151 15.5522 23 12 23C11.5949 23 11.1946 22.9781 10.8002 22.9352C6.80747 22.5017 3.45973 19.9342 1.91573 16.4004C1.32642 15.0516 1 13.5626 1 12C1 9.47188 1.85408 7.14041 3.28888 5.28233Z"
    }
  }]
};
var shutter = vue.defineComponent({
  name: "ShutterIcon",
  props: {
    size: {
      type: String
    },
    onClick: {
      type: Function
    }
  },
  setup(props, _ref) {
    var {
      attrs
    } = _ref;
    var propsSize = vue.computed(() => props.size);
    var {
      className,
      style
    } = utils_useSizeProps['default'](propsSize);
    var finalCls = vue.computed(() => ["t-icon", "t-icon-shutter", className.value]);
    var finalStyle = vue.computed(() => _objectSpread(_objectSpread({}, style.value), attrs.style));
    var finalProps = vue.computed(() => ({
      class: finalCls.value,
      style: finalStyle.value,
      onClick: e => {
        var _props$onClick;
        return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
          e
        });
      }
    }));
    return () => utils_renderFn['default'](element, finalProps.value);
  }
});

exports.default = shutter;
//# sourceMappingURL=shutter.js.map
