'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var defineProperty = require('../_chunks/dep-304d0f8c.js');
var vue = require('vue');
var utils_renderFn = require('../utils/render-fn.js');
var utils_useSizeProps = require('../utils/use-size-props.js');
require('../utils/use-common-classname.js');
require('../utils/config-context.js');

function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys(Object(source), !0).forEach(function (key) { defineProperty._defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
var element = {
  "tag": "svg",
  "attrs": {
    "fill": "none",
    "viewBox": "0 0 24 24",
    "width": "1em",
    "height": "1em"
  },
  "children": [{
    "tag": "path",
    "attrs": {
      "fill": "currentColor",
      "d": "M11.5 4C9.567 4 8 5.567 8 7.5C8 9.433 9.567 11 11.5 11C13.433 11 15 9.433 15 7.5C15 5.567 13.433 4 11.5 4ZM6 7.5C6 4.46243 8.46243 2 11.5 2C14.5376 2 17 4.46243 17 7.5C17 10.5376 14.5376 13 11.5 13C8.46243 13 6 10.5376 6 7.5ZM18.9833 12.9818L19.5859 13.7798C20.504 14.9954 21.0004 16.4774 20.9999 18.0008C20.9994 19.5241 20.5019 21.0058 19.583 22.2208L18.9798 23.0184L17.3846 21.812L17.9878 21.0144C18.6442 20.1465 18.9995 19.0882 18.9999 18.0001C19.0003 16.912 18.6457 15.8534 17.9899 14.9851L17.3873 14.1871L18.9833 12.9818ZM8 16C5.79086 16 4 17.7909 4 20H13.0508V22H2V20C2 16.6863 4.68629 14 8 14H13V16H8ZM16.1905 15.0909L16.7932 15.8889C17.2522 16.4967 17.5004 17.2377 17.5002 17.9994C17.4999 18.7611 17.2512 19.5019 16.7917 20.1094L16.1885 20.907L14.5933 19.7006L15.1966 18.903C15.3935 18.6426 15.5001 18.3251 15.5002 17.9987C15.5003 17.6723 15.3939 17.3547 15.1972 17.0942L14.5945 16.2962L16.1905 15.0909Z"
    }
  }]
};
var userTalk = vue.defineComponent({
  name: "UserTalkIcon",
  props: {
    size: {
      type: String
    },
    onClick: {
      type: Function
    }
  },
  setup(props, _ref) {
    var {
      attrs
    } = _ref;
    var propsSize = vue.computed(() => props.size);
    var {
      className,
      style
    } = utils_useSizeProps['default'](propsSize);
    var finalCls = vue.computed(() => ["t-icon", "t-icon-user-talk", className.value]);
    var finalStyle = vue.computed(() => _objectSpread(_objectSpread({}, style.value), attrs.style));
    var finalProps = vue.computed(() => ({
      class: finalCls.value,
      style: finalStyle.value,
      onClick: e => {
        var _props$onClick;
        return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
          e
        });
      }
    }));
    return () => utils_renderFn['default'](element, finalProps.value);
  }
});

exports.default = userTalk;
//# sourceMappingURL=user-talk.js.map
