'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var defineProperty = require('../_chunks/dep-304d0f8c.js');
var vue = require('vue');
var utils_renderFn = require('../utils/render-fn.js');
var utils_useSizeProps = require('../utils/use-size-props.js');
require('../utils/use-common-classname.js');
require('../utils/config-context.js');

function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys(Object(source), !0).forEach(function (key) { defineProperty._defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
var element = {
  "tag": "svg",
  "attrs": {
    "fill": "none",
    "viewBox": "0 0 24 24",
    "width": "1em",
    "height": "1em"
  },
  "children": [{
    "tag": "g",
    "attrs": {
      "clipPath": "url(#clip0_8726_7351)"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M12.0004 0.186157L15.6172 3.26835L20.354 3.64636L20.7321 8.38325L23.8142 12L20.7321 15.6168L20.354 20.3537L15.6172 20.7317L12.0004 23.8139L8.38361 20.7317L3.64672 20.3537L3.26872 15.6168L0.186523 12L3.26872 8.38324L3.64672 3.64636L8.38361 3.26835L12.0004 0.186157ZM12.0004 2.81388L9.18808 5.21051L5.50481 5.50444L5.21088 9.18771L2.81425 12L5.21088 14.8123L5.50481 18.4956L9.18808 18.7895L12.0004 21.1862L14.8127 18.7895L18.496 18.4956L18.7899 14.8123L21.1865 12L18.7899 9.18771L18.496 5.50444L14.8127 5.21051L12.0004 2.81388ZM17.9146 9.50002L11.0004 16.4142L6.58617 12L8.00039 10.5858L11.0004 13.5858L16.5004 8.08581L17.9146 9.50002Z"
      }
    }]
  }]
};
var verified = vue.defineComponent({
  name: "VerifiedIcon",
  props: {
    size: {
      type: String
    },
    onClick: {
      type: Function
    }
  },
  setup(props, _ref) {
    var {
      attrs
    } = _ref;
    var propsSize = vue.computed(() => props.size);
    var {
      className,
      style
    } = utils_useSizeProps['default'](propsSize);
    var finalCls = vue.computed(() => ["t-icon", "t-icon-verified", className.value]);
    var finalStyle = vue.computed(() => _objectSpread(_objectSpread({}, style.value), attrs.style));
    var finalProps = vue.computed(() => ({
      class: finalCls.value,
      style: finalStyle.value,
      onClick: e => {
        var _props$onClick;
        return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
          e
        });
      }
    }));
    return () => utils_renderFn['default'](element, finalProps.value);
  }
});

exports.default = verified;
//# sourceMappingURL=verified.js.map
