(function (global, factory) {
  typeof exports === 'object' && typeof module !== 'undefined' ? factory(exports, require('vue')) :
  typeof define === 'function' && define.amd ? define(['exports', 'vue'], factory) :
  (global = typeof globalThis !== 'undefined' ? globalThis : global || self, factory(global.TDesignIconVueNext = {}, global.Vue));
}(this, (function (exports, vue) { 'use strict';

  function withInstall(comp, alias) {
    var componentPlugin = comp;
    componentPlugin.install = (app, name) => {
      app.component(alias || name || componentPlugin.name, comp);
    };
    return componentPlugin;
  }

  function _defineProperty(obj, key, value) {
    if (key in obj) {
      Object.defineProperty(obj, key, {
        value: value,
        enumerable: true,
        configurable: true,
        writable: true
      });
    } else {
      obj[key] = value;
    }

    return obj;
  }

  function ownKeys$xe(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$xe(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$xe(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$xe(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  function camel2Kebab(camelString) {
    var covertArr = ["fillOpacity", "fillRule", "clipRule"];
    if (covertArr.includes(camelString)) {
      return camelString.replace(/([a-z0-9]|(?=[A-Z]))([A-Z])/g, "$1-$2").toLowerCase();
    }
    return camelString;
  }
  function renderFn(node, props) {
    var kebabAttrs = Object.keys(node.attrs).reduce((result, key) => {
      result[camel2Kebab(key)] = node.attrs[key];
      return result;
    }, {});
    return vue.h(node.tag, _objectSpread$xe(_objectSpread$xe({}, kebabAttrs), props), (node.children || []).map(child => renderFn(child, {})));
  }

  var DEFAULT_CLASS_PREFIX = "t";
  var DEFAULT_LOCALE = "zh-CN";
  var ConfigContext = {
    classPrefix: DEFAULT_CLASS_PREFIX,
    locale: DEFAULT_LOCALE
  };

  function useCommonClassName() {
    var {
      classPrefix
    } = ConfigContext;
    return {
      SIZE: {
        default: "",
        xs: "".concat(classPrefix, "-size-xs"),
        small: "".concat(classPrefix, "-size-s"),
        medium: "".concat(classPrefix, "-size-m"),
        large: "".concat(classPrefix, "-size-l"),
        xl: "".concat(classPrefix, "-size-xl"),
        block: "".concat(classPrefix, "-size-full-width")
      },
      STATUS: {
        loading: "".concat(classPrefix, "-is-loading"),
        disabled: "".concat(classPrefix, "-is-disabled"),
        focused: "".concat(classPrefix, "-is-focused"),
        success: "".concat(classPrefix, "-is-success"),
        error: "".concat(classPrefix, "-is-error"),
        warning: "".concat(classPrefix, "-is-warning"),
        selected: "".concat(classPrefix, "-is-selected"),
        active: "".concat(classPrefix, "-is-active"),
        checked: "".concat(classPrefix, "-is-checked"),
        current: "".concat(classPrefix, "-is-current"),
        hidden: "".concat(classPrefix, "-is-hidden"),
        visible: "".concat(classPrefix, "-is-visible"),
        expanded: "".concat(classPrefix, "-is-expanded"),
        indeterminate: "".concat(classPrefix, "-is-indeterminate")
      }
    };
  }

  function useSizeProps(size) {
    var COMMON_SIZE_CLASS_NAMES = useCommonClassName().SIZE;
    var className = vue.computed(() => {
      if (size.value in COMMON_SIZE_CLASS_NAMES) {
        return COMMON_SIZE_CLASS_NAMES[size.value];
      }
      return "";
    });
    var style = vue.computed(() => {
      if (size.value === void 0 || size.value in COMMON_SIZE_CLASS_NAMES) {
        return {};
      }
      return {
        fontSize: size.value
      };
    });
    return {
      style,
      className
    };
  }

  function ownKeys$xd(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$xd(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$xd(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$xd(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$xb = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M12 4.5C13.2426 4.5 14.25 3.49264 14.25 2.25 14.25 1.00736 13.2426 0 12 0 10.7574 0 9.75 1.00736 9.75 2.25 9.75 3.49264 10.7574 4.5 12 4.5zM21.75 7V5.5H2.25V7L8.75 8.75 9 12 4.75 22.75 6.25 23.5 11.995 14.5H12.005L17.75 23.5 19.25 22.75 15 12 15.25 8.75 21.75 7z"
      }
    }]
  };
  var accessibilityFilled = vue.defineComponent({
    name: "AccessibilityFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-accessibility-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$xd(_objectSpread$xd({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$xb, finalProps.value);
    }
  });

  function ownKeys$xc(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$xc(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$xc(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$xc(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$xa = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M12 2C12.6904 2 13.25 2.55964 13.25 3.25C13.25 3.94036 12.6904 4.5 12 4.5C11.3096 4.5 10.75 3.94036 10.75 3.25C10.75 2.55964 11.3096 2 12 2ZM8.75 3.25C8.75 5.04493 10.2051 6.5 12 6.5C13.7949 6.5 15.25 5.04493 15.25 3.25C15.25 1.45507 13.7949 0 12 0C10.2051 0 8.75 1.45507 8.75 3.25ZM2.25 9.625C2.25 8.17525 3.42525 7 4.875 7H19.125C20.5747 7 21.75 8.17525 21.75 9.625C21.75 11.0747 20.5747 12.25 19.125 12.25H16.4966L18.3205 20.4577C18.6675 22.019 17.4794 23.5 15.8801 23.5H13.7385L12 17.1979L10.2615 23.5H8.11992C6.52055 23.5 5.3325 22.019 5.67946 20.4577L7.50338 12.25H4.875C3.42525 12.25 2.25 11.0747 2.25 9.625ZM4.875 9C4.52982 9 4.25 9.27982 4.25 9.625C4.25 9.97018 4.52982 10.25 4.875 10.25H9.99662L7.63183 20.8915C7.56244 21.2038 7.80005 21.5 8.11992 21.5H8.73851L10.7385 14.25H13.2615L15.2615 21.5H15.8801C16.2 21.5 16.4376 21.2038 16.3682 20.8915L14.0034 10.25H19.125C19.4702 10.25 19.75 9.97018 19.75 9.625C19.75 9.27982 19.4702 9 19.125 9H4.875Z"
      }
    }]
  };
  var accessibility = vue.defineComponent({
    name: "AccessibilityIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-accessibility", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$xc(_objectSpread$xc({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$xa, finalProps.value);
    }
  });

  function ownKeys$xb(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$xb(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$xb(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$xb(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$x9 = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M2 2H22V11H17.4458L15.425 14.2333L9.5598 6.41307L5.54623 11H2V2Z"
      }
    }, {
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M2 13V22H22V13H18.5542L15.575 17.7667L9.4402 9.58693L6.45377 13H2Z"
      }
    }]
  };
  var activityFilled = vue.defineComponent({
    name: "ActivityFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-activity-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$xb(_objectSpread$xb({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$x9, finalProps.value);
    }
  });

  function ownKeys$xa(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$xa(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$xa(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$xa(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$x8 = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M22 2H2V22H22V2ZM20 4V11H17.4458L15.425 14.2333L9.5598 6.41307L5.54623 11H4V4H20ZM4 13H6.45377L9.4402 9.58693L15.575 17.7667L18.5542 13H20V20H4V13Z"
      }
    }]
  };
  var activity = vue.defineComponent({
    name: "ActivityIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-activity", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$xa(_objectSpread$xa({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$x8, finalProps.value);
    }
  });

  function ownKeys$x9(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$x9(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$x9(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$x9(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$x7 = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M13 1V9H21V11H13L13 19H11V11H3V9H11V1L13 1ZM3 20L21 20V22L3 22L3 20Z"
      }
    }]
  };
  var addAndSubtract = vue.defineComponent({
    name: "AddAndSubtractIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-add-and-subtract", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$x9(_objectSpread$x9({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$x7, finalProps.value);
    }
  });

  function ownKeys$x8(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$x8(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$x8(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$x8(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$x6 = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M12 1C5.92487 1 1 5.92487 1 12C1 18.0751 5.92487 23 12 23C18.0751 23 23 18.0751 23 12C23 5.92487 18.0751 1 12 1ZM13 13V17.5H11V13H6.5V11H11V6.5H13V11H17.5V13H13Z"
      }
    }]
  };
  var addCircleFilled = vue.defineComponent({
    name: "AddCircleFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-add-circle-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$x8(_objectSpread$x8({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$x6, finalProps.value);
    }
  });

  function ownKeys$x7(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$x7(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$x7(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$x7(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$x5 = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M12 3C7.02944 3 3 7.02944 3 12C3 16.9706 7.02944 21 12 21C16.9706 21 21 16.9706 21 12C21 7.02944 16.9706 3 12 3ZM1 12C1 5.92487 5.92487 1 12 1C18.0751 1 23 5.92487 23 12C23 18.0751 18.0751 23 12 23C5.92487 23 1 18.0751 1 12ZM13 6.5L13 11H17.5V13H13L13 17.5H11L11 13H6.5V11H11L11 6.5H13Z"
      }
    }]
  };
  var addCircle = vue.defineComponent({
    name: "AddCircleIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-add-circle", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$x7(_objectSpread$x7({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$x5, finalProps.value);
    }
  });

  function ownKeys$x6(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$x6(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$x6(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$x6(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$x4 = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M2 2H22V22L2 22V2ZM13 6.5H11V11L6.5 11V13L11 13V17.5H13V13H17.5V11H13V6.5Z"
      }
    }]
  };
  var addRectangleFilled = vue.defineComponent({
    name: "AddRectangleFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-add-rectangle-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$x6(_objectSpread$x6({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$x4, finalProps.value);
    }
  });

  function ownKeys$x5(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$x5(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$x5(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$x5(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$x3 = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M2 2H22V22L2 22V2ZM4 4V20L20 20V4H4ZM13 6.5V11H17.5V13H13V17.5H11V13L6.5 13V11L11 11V6.5H13Z"
      }
    }]
  };
  var addRectangle = vue.defineComponent({
    name: "AddRectangleIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-add-rectangle", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$x5(_objectSpread$x5({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$x3, finalProps.value);
    }
  });

  function ownKeys$x4(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$x4(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$x4(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$x4(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$x2 = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M13 4V11L20 11V13L13 13V20H11L11 13H4L4 11L11 11L11 4L13 4Z"
      }
    }]
  };
  var add = vue.defineComponent({
    name: "AddIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-add", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$x4(_objectSpread$x4({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$x2, finalProps.value);
    }
  });

  function ownKeys$x3(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$x3(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$x3(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$x3(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$x1 = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M7 2C4.79086 2 3 3.79086 3 6V18C3 20.2091 4.79086 22 7 22H21V2H7ZM17 9.75L14.5 7.6875L12 9.75V4H17L17 9.75ZM5 18C5 16.8954 5.89543 16 7 16H19V20H7C5.89543 20 5 19.1046 5 18Z"
      }
    }]
  };
  var addressBookFilled = vue.defineComponent({
    name: "AddressBookFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-address-book-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$x3(_objectSpread$x3({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$x1, finalProps.value);
    }
  });

  function ownKeys$x2(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$x2(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$x2(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$x2(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$x0 = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M3 6C3 3.79086 4.79086 2 7 2H21V22H7C4.79086 22 3 20.2091 3 18V6ZM5 14.5351C5.58835 14.1948 6.27143 14 7 14H19V4H17V10.7662L13.5 8.66619L10 10.7662V4H7C5.89543 4 5 4.89543 5 6V14.5351ZM19 16H7C5.89543 16 5 16.8954 5 18C5 19.1046 5.89543 20 7 20H19V16ZM15 4H12V7.23381L13.5 6.33381L15 7.23381V4Z"
      }
    }]
  };
  var addressBook = vue.defineComponent({
    name: "AddressBookIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-address-book", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$x2(_objectSpread$x2({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$x0, finalProps.value);
    }
  });

  function ownKeys$x1(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$x1(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$x1(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$x1(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$w$ = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M5.17071 4C5.58254 2.83481 6.69378 2 8 2C9.30622 2 10.4175 2.83481 10.8293 4L22 4V6L10.8293 6C10.4175 7.16519 9.30622 8 8 8C6.69378 8 5.58254 7.16519 5.17071 6L2 6L2 4L5.17071 4ZM13.1707 11C13.5825 9.83481 14.6938 9 16 9C17.3062 9 18.4175 9.83481 18.8293 11H22V13H18.8293C18.4175 14.1652 17.3062 15 16 15C14.6938 15 13.5825 14.1652 13.1707 13L2 13L2 11L13.1707 11ZM5.17071 18C5.58254 16.8348 6.69378 16 8 16C9.30622 16 10.4175 16.8348 10.8293 18L22 18V20L10.8293 20C10.4175 21.1652 9.30622 22 8 22C6.69378 22 5.58254 21.1652 5.17071 20H2V18H5.17071Z"
      }
    }]
  };
  var adjustmentFilled = vue.defineComponent({
    name: "AdjustmentFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-adjustment-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$x1(_objectSpread$x1({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$w$, finalProps.value);
    }
  });

  function ownKeys$x0(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$x0(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$x0(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$x0(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$w_ = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M8 4C7.44772 4 7 4.44772 7 5C7 5.55228 7.44772 6 8 6C8.55228 6 9 5.55228 9 5C9 4.44772 8.55229 4 8 4ZM5.17071 4C5.58254 2.83481 6.69378 2 8 2C9.30622 2 10.4175 2.83481 10.8293 4L22 4V6L10.8293 6C10.4175 7.16519 9.30622 8 8 8C6.69378 8 5.58254 7.16519 5.17071 6L2 6L2 4L5.17071 4ZM13.1707 11C13.5825 9.83481 14.6938 9 16 9C17.3062 9 18.4175 9.83481 18.8293 11H22V13H18.8293C18.4175 14.1652 17.3062 15 16 15C14.6938 15 13.5825 14.1652 13.1707 13L2 13L2 11L13.1707 11ZM16 11C15.4477 11 15 11.4477 15 12C15 12.5523 15.4477 13 16 13C16.5523 13 17 12.5523 17 12C17 11.4477 16.5523 11 16 11ZM8 18C7.44772 18 7 18.4477 7 19C7 19.5523 7.44772 20 8 20C8.55228 20 9 19.5523 9 19C9 18.4477 8.55229 18 8 18ZM5.17071 18C5.58254 16.8348 6.69378 16 8 16C9.30622 16 10.4175 16.8348 10.8293 18L22 18V20L10.8293 20C10.4175 21.1652 9.30622 22 8 22C6.69378 22 5.58254 21.1652 5.17071 20H2V18H5.17071Z"
      }
    }]
  };
  var adjustment = vue.defineComponent({
    name: "AdjustmentIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-adjustment", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$x0(_objectSpread$x0({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$w_, finalProps.value);
    }
  });

  function ownKeys$w$(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$w$(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$w$(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$w$(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$wZ = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M23.0001 3H1L1.00112 20L7.96474 20L12.0004 15.9644L16.036 20L23.0001 20L23.0001 3ZM16.9505 11.3828C14.2168 8.6491 9.78468 8.6491 7.05101 11.3828L6.3439 12.0899L4.92969 10.6757L5.63679 9.96856C9.15151 6.45384 14.85 6.45384 18.3647 9.96856L19.0718 10.6757L17.6576 12.0899L16.9505 11.3828ZM14.1218 14.2109C12.9502 13.0393 11.0507 13.0393 9.87913 14.2109L9.17203 14.918L7.75781 13.5038L8.46492 12.7967C10.4175 10.8441 13.5834 10.8441 15.536 12.7967L16.2431 13.5038L14.8289 14.918L14.1218 14.2109Z"
      }
    }, {
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M15.9144 21.9999L12.0002 18.0857L8.08594 21.9999L15.9144 21.9999Z"
      }
    }]
  };
  var airplayWaveFilled = vue.defineComponent({
    name: "AirplayWaveFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-airplay-wave-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$w$(_objectSpread$w$({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$wZ, finalProps.value);
    }
  });

  function ownKeys$w_(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$w_(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$w_(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$w_(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$wY = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M1 3L23.0001 3L23.0001 20L17.5001 20L17.5001 18L21.0001 18L21.0001 5L3.00013 5L3.00099 18H6.50007V20H1.00112L1 3ZM16.9504 13.3829C14.2167 10.6492 9.78459 10.6492 7.05092 13.3829L6.34382 14.09L4.9296 12.6758L5.63671 11.9687C9.15143 8.45395 14.8499 8.45395 18.3646 11.9687L19.0717 12.6758L17.6575 14.09L16.9504 13.3829ZM14.1217 16.211C12.9501 15.0394 11.0506 15.0394 9.87905 16.211L9.17194 16.9181L7.75773 15.5039L8.46483 14.7968C10.4175 12.8442 13.5833 12.8442 15.5359 14.7968L16.243 15.5039L14.8288 16.9181L14.1217 16.211ZM12.0001 18.0858L15.9143 22L8.08585 22L12.0001 18.0858Z"
      }
    }]
  };
  var airplayWave = vue.defineComponent({
    name: "AirplayWaveIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-airplay-wave", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$w_(_objectSpread$w_({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$wY, finalProps.value);
    }
  });

  function ownKeys$wZ(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$wZ(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$wZ(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$wZ(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$wX = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M1.50015 7.91424L6.91436 2.50003 5.50015 1.08582.0859375 6.50003 1.50015 7.91424zM23.9144 6.50003L18.5002 1.08582 17.0859 2.50003 22.5002 7.91424 23.9144 6.50003zM12.0002 3.00003C6.4773 3.00003 2.00015 7.47718 2.00015 13 2.00015 18.5229 6.4773 23 12.0002 23 17.523 23 22.0002 18.5229 22.0002 13 22.0002 7.47718 17.523 3.00003 12.0002 3.00003zM17 14H13V18H11V14H7V12H11V8H13V12H17V14z"
      }
    }]
  };
  var alarmAddFilled = vue.defineComponent({
    name: "AlarmAddFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-alarm-add-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$wZ(_objectSpread$wZ({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$wX, finalProps.value);
    }
  });

  function ownKeys$wY(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$wY(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$wY(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$wY(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$wW = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M6.91436 2.50003L1.50015 7.91424L0.0859375 6.50003L5.50015 1.08582L6.91436 2.50003ZM18.5002 1.08582L23.9144 6.50003L22.5002 7.91424L17.0859 2.50003L18.5002 1.08582ZM12.0002 5.00003C7.58187 5.00003 4.00015 8.58175 4.00015 13C4.00015 17.4183 7.58187 21 12.0002 21C16.4184 21 20.0002 17.4183 20.0002 13C20.0002 8.58175 16.4184 5.00003 12.0002 5.00003ZM2.00015 13C2.00015 7.47718 6.4773 3.00003 12.0002 3.00003C17.523 3.00003 22.0002 7.47718 22.0002 13C22.0002 18.5229 17.523 23 12.0002 23C6.4773 23 2.00015 18.5229 2.00015 13ZM13.0002 8.00003V12H17.0002V14H13.0002V18H11.0002V14H7.00015V12H11.0002V8.00003H13.0002Z"
      }
    }]
  };
  var alarmAdd = vue.defineComponent({
    name: "AlarmAddIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-alarm-add", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$wY(_objectSpread$wY({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$wW, finalProps.value);
    }
  });

  function ownKeys$wX(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$wX(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$wX(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$wX(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$wV = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M1.50015 7.91424L6.91436 2.50003 5.50015 1.08582.0859375 6.50003 1.50015 7.91424zM23.9144 6.50003L18.5002 1.08582 17.0859 2.50003 22.5002 7.91424 23.9144 6.50003zM12.0002 3.00003C6.4773 3.00003 2.00015 7.47718 2.00015 13 2.00015 18.5229 6.4773 23 12.0002 23 17.523 23 22.0002 18.5229 22.0002 13 22.0002 7.47718 17.523 3.00003 12.0002 3.00003zM15 17.4142L11 13.4142V7.5H13V12.5858L16.4142 16 15 17.4142z"
      }
    }]
  };
  var alarmFilled = vue.defineComponent({
    name: "AlarmFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-alarm-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$wX(_objectSpread$wX({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$wV, finalProps.value);
    }
  });

  function ownKeys$wW(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$wW(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$wW(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$wW(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$wU = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M2.0043.589966L2.00015.585815.585938 2.00003 2.58594 4.00003.0859375 6.50003 1.50015 7.91424 4.00015 5.41424 4.72499 6.13908C3.03566 7.92975 2.00015 10.344 2.00015 13 2.00015 18.5229 6.4773 23 12.0002 23 14.6562 23 17.0704 21.9645 18.8611 20.2752L22.0002 23.4142 23.4101 22.0043 2 .594267 2.0043.589966zM21.1881 16.9539C21.7107 15.7412 22.0002 14.4044 22.0002 13 22.0002 7.47718 17.523 3.00003 12.0002 3.00003 10.5958 3.00003 9.259 3.28953 8.04627 3.81211L21.1881 16.9539zM18.5002 1.08582L23.9144 6.50003 22.5002 7.91424 17.0859 2.50003 18.5002 1.08582z"
      }
    }]
  };
  var alarmOffFilled = vue.defineComponent({
    name: "AlarmOffFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-alarm-off-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$wW(_objectSpread$wW({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$wU, finalProps.value);
    }
  });

  function ownKeys$wV(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$wV(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$wV(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$wV(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$wT = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "g",
      "attrs": {
        "clipPath": "url(#clip0_8726_7187)"
      },
      "children": [{
        "tag": "path",
        "attrs": {
          "fill": "currentColor",
          "d": "M0.0859375 6.50003L2.58607 3.9999L0.586204 2.00003L2.00042 0.585815L4.00028 2.58568L5.50015 1.08582L6.91436 2.50003L5.4145 3.9999L23.4146 22L22.0004 23.4142L18.8612 20.275C17.0714 21.9634 14.6564 23 12.0002 23C6.4773 23 2.00015 18.5229 2.00015 13C2.00015 10.3438 3.03675 7.92881 4.72515 6.13897L4.00028 5.41411L1.50015 7.91424L0.0859375 6.50003ZM6.14006 7.55388C4.81125 8.9828 4.00015 10.8963 4.00015 13C4.00015 17.4183 7.58187 21 12.0002 21C14.1039 21 16.0174 20.1889 17.4463 18.8601L6.14006 7.55388ZM8.56105 3.55381L9.53025 3.30754C10.3212 3.10657 11.1488 3.00003 11.9998 3.00003C17.5227 3.00003 21.9998 7.47718 21.9998 13C21.9998 13.8511 21.8933 14.6787 21.6923 15.4696L21.446 16.4388L19.5076 15.9463L19.7539 14.9771C19.9143 14.3458 19.9998 13.6836 19.9998 13C19.9998 8.58175 16.4181 5.00003 11.9998 5.00003C11.3162 5.00003 10.6541 5.08554 10.0228 5.24594L9.05359 5.49221L8.56105 3.55381ZM18.5002 1.08582L23.9144 6.50003L22.5002 7.91424L17.0859 2.50003L18.5002 1.08582Z"
        }
      }]
    }]
  };
  var alarmOff = vue.defineComponent({
    name: "AlarmOffIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-alarm-off", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$wV(_objectSpread$wV({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$wT, finalProps.value);
    }
  });

  function ownKeys$wU(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$wU(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$wU(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$wU(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$wS = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M6.91436 2.50003L1.50015 7.91424L0.0859375 6.50003L5.50015 1.08582L6.91436 2.50003ZM18.5002 1.08582L23.9144 6.50003L22.5002 7.91424L17.0859 2.50003L18.5002 1.08582ZM12.0002 5.00003C7.58187 5.00003 4.00015 8.58175 4.00015 13C4.00015 17.4183 7.58187 21 12.0002 21C16.4184 21 20.0002 17.4183 20.0002 13C20.0002 8.58175 16.4184 5.00003 12.0002 5.00003ZM2.00015 13C2.00015 7.47718 6.4773 3.00003 12.0002 3.00003C17.523 3.00003 22.0002 7.47718 22.0002 13C22.0002 18.5229 17.523 23 12.0002 23C6.4773 23 2.00015 18.5229 2.00015 13ZM13.0002 7.50003V12.5858L16.4144 16L15.0002 17.4142L11.0002 13.4142V7.50003H13.0002Z"
      }
    }]
  };
  var alarm = vue.defineComponent({
    name: "AlarmIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-alarm", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$wU(_objectSpread$wU({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$wS, finalProps.value);
    }
  });

  function ownKeys$wT(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$wT(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$wT(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$wT(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$wR = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M3 3H4H20H21V5H20L4 5H3V3ZM12 5.58579L11.2929 6.29289L7.29289 10.2929L6.58579 11L8 12.4142L8.70711 11.7071L11 9.41422V13.7826V15.4783V20V21H13V20V15.4783V13.7826V9.41421L15.2929 11.7071L16 12.4142L17.4142 11L16.7071 10.2929L12.7071 6.29289L12 5.58579Z"
      }
    }]
  };
  var alignTop = vue.defineComponent({
    name: "AlignTopIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-align-top", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$wT(_objectSpread$wT({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$wR, finalProps.value);
    }
  });

  function ownKeys$wS(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$wS(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$wS(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$wS(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$wQ = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M13 6.58579V4.82609V3.78261V1V0H11V1V3.78261V4.82609V6.58579L9.70711 5.29289L9 4.58579L7.58579 6L8.29289 6.70711L11.2929 9.70711L12 10.4142L12.7071 9.70711L15.7071 6.70711L16.4142 6L15 4.58579L14.2929 5.29289L13 6.58579ZM21 13H20L4 13H3V11H4L20 11H21V13ZM12 13.5858L12.7071 14.2929L15.7071 17.2929L16.4142 18L15 19.4142L14.2929 18.7071L13 17.4142V19.1739V20.2174V23V24H11V23V20.2174V19.1739V17.4142L9.70711 18.7071L9 19.4142L7.58579 18L8.29289 17.2929L11.2929 14.2929L12 13.5858Z"
      }
    }]
  };
  var alignVertical = vue.defineComponent({
    name: "AlignVerticalIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-align-vertical", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$wS(_objectSpread$wS({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$wQ, finalProps.value);
    }
  });

  function ownKeys$wR(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$wR(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$wR(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$wR(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$wP = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M14.0001 2V5.86583L19.3359 2.62623L20.3739 4.33581L14.0001 8.2056V16.7944L20.3739 20.6642L19.3359 22.3738L14.0001 19.1342V22H12.0001V17.9199L3.07324 12.5L12.0001 7.08012V2H14.0001ZM12.0001 9.41988L6.92697 12.5L12.0001 15.5801V9.41988Z"
      }
    }]
  };
  var alpha = vue.defineComponent({
    name: "AlphaIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-alpha", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$wR(_objectSpread$wR({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$wP, finalProps.value);
    }
  });

  function ownKeys$wQ(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$wQ(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$wQ(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$wQ(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$wO = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M22 2V22H2V2H22ZM18 11V8H16V11H18ZM13 13V10H11V13H13ZM8 18V12H6V18H8ZM18 18V13H16V18H18ZM13 18V15H11V18H13Z"
      }
    }]
  };
  var analyticsFilled = vue.defineComponent({
    name: "AnalyticsFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-analytics-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$wQ(_objectSpread$wQ({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$wO, finalProps.value);
    }
  });

  function ownKeys$wP(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$wP(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$wP(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$wP(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$wN = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M2 2H22V22H2V2ZM4 4V20H20V4H4ZM18 8V11H16V8H18ZM13 10V13H11V10H13ZM8 12V18H6V12H8ZM18 13V18H16V13H18ZM13 15V18H11V15H13Z"
      }
    }]
  };
  var analytics = vue.defineComponent({
    name: "AnalyticsIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-analytics", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$wP(_objectSpread$wP({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$wN, finalProps.value);
    }
  });

  function ownKeys$wO(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$wO(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$wO(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$wO(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$wM = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M11.9997 3C10.8951 3 9.99966 3.89543 9.99966 5C9.99966 6.10457 10.8951 7 11.9997 7C13.1042 7 13.9997 6.10457 13.9997 5C13.9997 3.89543 13.1042 3 11.9997 3ZM7.99966 5C7.99966 2.79086 9.79052 1 11.9997 1C14.2088 1 15.9997 2.79086 15.9997 5C15.9997 6.86384 14.7249 8.42994 12.9997 8.87398V10.5H17.4997V12.5H12.9997V20.958C16.1328 20.6907 18.6429 19.1616 19.8022 16.73L18.5723 15.5L22.6199 11.4523L22.4851 14.0518C22.1902 19.7402 17.4549 23 11.9994 23C6.54397 23 1.80866 19.7402 1.5137 14.0518L1.37891 11.4523L5.42657 15.5L4.19662 16.73C5.35598 19.1617 7.8662 20.6908 10.9994 20.958V19L10.9997 12.5H6.49966V10.5H10.9997V8.87398C9.27443 8.42994 7.99966 6.86384 7.99966 5Z"
      }
    }]
  };
  var anchor = vue.defineComponent({
    name: "AnchorIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-anchor", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$wO(_objectSpread$wO({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$wM, finalProps.value);
    }
  });

  function ownKeys$wN(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$wN(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$wN(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$wN(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$wL = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M12 23C5.92487 23 1 18.0751 1 12C1 5.92487 5.92487 1 12 1C18.0751 1 23 5.92487 23 12C23 18.0751 18.0751 23 12 23ZM10.2327 10.1338L6.76855 8.13379L5.76855 9.86584L9.23266 11.8658L10.2327 10.1338ZM14.7686 11.8658L18.2327 9.86584L17.2327 8.13379L13.7686 10.1338L14.7686 11.8658ZM11.9998 12.9998C10.1479 12.9998 8.53238 14.0072 7.66936 15.4991L7.16864 16.3647L8.89985 17.3661L9.40058 16.5005C9.9208 15.6012 10.8907 14.9998 11.9998 14.9998C13.109 14.9998 14.0789 15.6012 14.5991 16.5005L15.0998 17.3661L16.831 16.3647L16.3303 15.4991C15.4673 14.0072 13.8518 12.9998 11.9998 12.9998Z"
      }
    }]
  };
  var angryFilled = vue.defineComponent({
    name: "AngryFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-angry-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$wN(_objectSpread$wN({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$wL, finalProps.value);
    }
  });

  function ownKeys$wM(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$wM(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$wM(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$wM(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$wK = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M12 3C7.02944 3 3 7.02944 3 12C3 16.9706 7.02944 21 12 21C16.9706 21 21 16.9706 21 12C21 7.02944 16.9706 3 12 3ZM1 12C1 5.92487 5.92487 1 12 1C18.0751 1 23 5.92487 23 12C23 18.0751 18.0751 23 12 23C5.92487 23 1 18.0751 1 12ZM6.76874 8.13397L10.2328 10.134L9.23284 11.866L5.76874 9.86603L6.76874 8.13397ZM18.2328 9.86603L14.7687 11.866L13.7687 10.134L17.2328 8.13397L18.2328 9.86603ZM7.66955 15.4993C8.53256 14.0074 10.1481 13 12 13C13.852 13 15.4675 14.0074 16.3305 15.4993L16.8312 16.3649L15.1 17.3663L14.5993 16.5007C14.0791 15.6014 13.1092 15 12 15C10.8909 15 9.92099 15.6014 9.40076 16.5007L8.90004 17.3663L7.16882 16.3649L7.66955 15.4993Z"
      }
    }]
  };
  var angry = vue.defineComponent({
    name: "AngryIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-angry", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$wM(_objectSpread$wM({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$wK, finalProps.value);
    }
  });

  function ownKeys$wL(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$wL(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$wL(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$wL(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$wJ = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 25",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M11.4102 0.0605469L15.1255 6.23403L22.1449 7.85973L17.4216 13.3009L18.0446 20.4791L11.4102 17.6684L4.77581 20.4791L5.39879 13.3009L0.675537 7.85973L7.69494 6.23403L11.4102 0.0605469ZM20.8631 14.0114L23.338 16.4862L21.9238 17.9004L19.4489 15.4256L20.8631 14.0114ZM12.5663 20.1266L15.0411 22.6015L13.6269 24.0157L11.152 21.5408L12.5663 20.1266ZM19.1444 20.1266L21.6193 22.6015L20.205 24.0157L17.7302 21.5408L19.1444 20.1266Z"
      }
    }]
  };
  var animation1Filled = vue.defineComponent({
    name: "Animation1FilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-animation-1-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$wL(_objectSpread$wL({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$wJ, finalProps.value);
    }
  });

  function ownKeys$wK(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$wK(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$wK(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$wK(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$wI = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 25",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M11.4104 0.0605469L15.1257 6.23403L22.1451 7.85973L17.4219 13.3009L18.0448 20.4791L11.4104 17.6684L4.77606 20.4791L5.39903 13.3009L0.675781 7.85973L7.69519 6.23403L11.4104 0.0605469ZM11.4104 3.93926L8.9719 7.99127L4.36466 9.05832L7.4648 12.6297L7.05591 17.3411L11.4104 15.4963L15.765 17.3411L15.3561 12.6297L18.4562 9.05832L13.849 7.99127L11.4104 3.93926ZM20.8634 14.0114L23.3382 16.4862L21.924 17.9004L19.4492 15.4256L20.8634 14.0114ZM12.5665 20.1266L15.0414 22.6015L13.6272 24.0157L11.1523 21.5408L12.5665 20.1266ZM19.1446 20.1266L21.6195 22.6015L20.2053 24.0157L17.7304 21.5408L19.1446 20.1266Z"
      }
    }]
  };
  var animation1 = vue.defineComponent({
    name: "Animation1Icon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-animation-1", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$wK(_objectSpread$wK({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$wI, finalProps.value);
    }
  });

  function ownKeys$wJ(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$wJ(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$wJ(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$wJ(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$wH = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M16.5 14C20.0899 14 23 11.0899 23 7.5C23 3.91015 20.0899 1 16.5 1C12.9101 1 10 3.91015 10 7.5C10 11.0899 12.9101 14 16.5 14Z"
      }
    }, {
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M17.1426 15.9759C16.9305 15.9918 16.7162 15.9999 16.5 15.9999C11.8056 15.9999 8 12.1943 8 7.49987C8 7.2838 8.00806 7.06961 8.0239 6.85758C6.48848 8.0465 5.5 9.90782 5.5 12C5.5 15.5899 8.41015 18.5 12 18.5C14.0923 18.5 15.9537 17.5115 17.1426 15.9759Z"
      }
    }, {
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M12.6423 20.476C12.4303 20.4919 12.2161 20.4999 12 20.4999C7.30558 20.4999 3.5 16.6944 3.5 11.9999C3.5 11.7838 3.50807 11.5695 3.52392 11.3573C1.98849 12.5463 1 14.4076 1 16.4998C1 20.0897 3.91015 22.9998 7.5 22.9998C9.59214 22.9998 11.4534 22.0114 12.6423 20.476Z"
      }
    }]
  };
  var animationFilled = vue.defineComponent({
    name: "AnimationFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-animation-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$wJ(_objectSpread$wJ({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$wH, finalProps.value);
    }
  });

  function ownKeys$wI(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$wI(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$wI(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$wI(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$wG = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M11.0894 7.05395L11.2004 6.59395C11.2182 6.53301 11.2372 6.47254 11.2572 6.41259L11.6283 5.57164C12.4821 4.03772 14.1199 3 16 3C18.7614 3 21 5.23858 21 8C21 10.0037 19.8213 11.7322 18.1195 12.5298L17.5865 12.7431C17.5478 12.756 17.509 12.7684 17.47 12.7804L16.9586 12.9082C16.6483 12.9684 16.3278 13 16 13C13.2386 13 11 10.7614 11 8C11 7.67656 11.0307 7.36029 11.0894 7.05395ZM9.47077 5.47106C7.63979 6.18086 6.18082 7.63897 5.4707 9.47109C2.85605 10.4847 1 13.0243 1 15.9999C1 19.8659 4.13401 22.9999 8 22.9999C10.9754 22.9999 13.515 21.1441 14.5288 18.5292C14.6608 18.478 14.7908 18.423 14.9188 18.3642L15.2569 18.229L15.2466 18.2031C16.7393 17.4201 17.9143 16.1141 18.5287 14.5293C18.6613 14.4779 18.792 14.4226 18.9205 14.3635L19.2569 14.229L19.2466 14.2032C21.4778 13.033 23 10.6943 23 8C23 4.13401 19.866 1 16 1C13.0258 1 10.4848 2.85494 9.47077 5.47106ZM16.0006 15C15.5103 15.6526 14.8641 16.1811 14.1176 16.5306L13.5887 16.7422C13.5485 16.7556 13.5081 16.7686 13.4674 16.7811L12.9611 16.9076C12.65 16.9682 12.3287 16.9999 12 16.9999C9.23858 16.9999 7 14.7613 7 11.9999C7 11.6766 7.0307 11.3604 7.08935 11.0541L7.20047 10.5937C7.21825 10.5329 7.23716 10.4726 7.25717 10.4128L7.6286 9.57085C7.97117 8.95555 8.4399 8.41998 9 7.99924C9 7.99949 9 7.99975 9 8C9 11.866 12.134 15 16 15C16.0002 15 16.0004 15 16.0006 15ZM5 11.9992C5 11.9995 5 11.9997 5 11.9999C5 15.8659 8.13401 18.9999 12 18.9999C12.0002 18.9999 12.0004 18.9999 12.0007 18.9999C11.088 20.2148 9.63498 20.9999 8 20.9999C5.23858 20.9999 3 18.7613 3 15.9999C3 14.365 3.78502 12.9119 5 11.9992Z"
      }
    }]
  };
  var animation = vue.defineComponent({
    name: "AnimationIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-animation", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$wI(_objectSpread$wI({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$wG, finalProps.value);
    }
  });

  function ownKeys$wH(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$wH(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$wH(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$wH(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$wF = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M4.33338 4.99948C4.33367 3.34283 5.67673 2 7.33338 2H13.0004V4H7.33338C6.78117 4 6.33348 4.44761 6.33338 4.99983L6.33226 11.5H4.33997L0.585938 7.44565L2.05346 6.08683L4.33277 8.54849L4.33338 4.99948ZM7.99911 6H22.9991V21H7.99911V6Z"
      }
    }]
  };
  var anticlockwiseFilled = vue.defineComponent({
    name: "AnticlockwiseFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-anticlockwise-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$wH(_objectSpread$wH({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$wF, finalProps.value);
    }
  });

  function ownKeys$wG(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$wG(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$wG(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$wG(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$wE = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M4.33338 4.99948C4.33367 3.34283 5.67673 2 7.33338 2H13.0004V4H7.33338C6.78117 4 6.33348 4.44761 6.33338 4.99983L6.33226 11.5H4.33997L0.585938 7.44565L2.05346 6.08683L4.33277 8.54849L4.33338 4.99948ZM7.99911 6H22.9991V21H7.99911V6ZM9.99911 8V19H20.9991V8H9.99911Z"
      }
    }]
  };
  var anticlockwise = vue.defineComponent({
    name: "AnticlockwiseIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-anticlockwise", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$wG(_objectSpread$wG({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$wE, finalProps.value);
    }
  });

  function ownKeys$wF(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$wF(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$wF(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$wF(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$wD = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "g",
      "attrs": {
        "clipPath": "url(#clip0_8726_7197)"
      },
      "children": [{
        "tag": "path",
        "attrs": {
          "fill": "currentColor",
          "d": "M0.585938 12L5.00015 7.58581L6.41437 9.00002L3.41436 12L6.41437 15L5.00015 16.4142L0.585938 12ZM7.58593 5.00003L12.0001 0.585815L16.4144 5.00003L15.0001 6.41424L12.0001 3.41424L9.00015 6.41425L7.58593 5.00003ZM9.00015 17.5858L12.0001 20.5858L15.0002 17.5858L16.4144 19L12.0001 23.4142L7.58593 19L9.00015 17.5858ZM10.9982 13.002V10.9981H13.0021V13.002H10.9982ZM17.5859 15L20.5859 12L17.5859 9.00003L19.0002 7.58582L23.4144 12L19.0002 16.4142L17.5859 15Z"
        }
      }]
    }]
  };
  var api = vue.defineComponent({
    name: "ApiIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-api", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$wF(_objectSpread$wF({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$wD, finalProps.value);
    }
  });

  function ownKeys$wE(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$wE(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$wE(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$wE(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$wC = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M12.5 6.5C12.5 3.73858 14.7386 1.5 17.5 1.5C20.2614 1.5 22.5 3.73858 22.5 6.5C22.5 9.26142 20.2614 11.5 17.5 11.5C14.7386 11.5 12.5 9.26142 12.5 6.5ZM2 2H11V11H2V2ZM2 13H11V22H2V13ZM13 13H22V22H13V13Z"
      }
    }]
  };
  var appFilled = vue.defineComponent({
    name: "AppFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-app-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$wE(_objectSpread$wE({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$wC, finalProps.value);
    }
  });

  function ownKeys$wD(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$wD(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$wD(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$wD(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$wB = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M17.5 3.5C15.8431 3.5 14.5 4.84315 14.5 6.5C14.5 8.15685 15.8431 9.5 17.5 9.5C19.1569 9.5 20.5 8.15685 20.5 6.5C20.5 4.84315 19.1569 3.5 17.5 3.5ZM12.5 6.5C12.5 3.73858 14.7386 1.5 17.5 1.5C20.2614 1.5 22.5 3.73858 22.5 6.5C22.5 9.26142 20.2614 11.5 17.5 11.5C14.7386 11.5 12.5 9.26142 12.5 6.5ZM2 2H11V11H2V2ZM4 4V9H9V4H4ZM2 13H11V22H2V13ZM4 15V20H9V15H4ZM13 13H22V22H13V13ZM20 15H15V20H20V15Z"
      }
    }]
  };
  var app = vue.defineComponent({
    name: "AppIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-app", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$wD(_objectSpread$wD({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$wB, finalProps.value);
    }
  });

  function ownKeys$wC(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$wC(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$wC(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$wC(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$wA = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M13 4.40414V2H11V4.40379C10.9501 4.3956 10.8997 4.38703 10.8485 4.37813C10.7609 4.36288 10.6686 4.34612 10.5727 4.32871C10.2448 4.26915 9.87526 4.20205 9.50874 4.16222C8.48283 4.05076 7.3545 4.13183 6.01461 4.8757C3.37849 6.33922 2 9.09964 2 12.5C2 16.7816 4.71854 20.7965 8.1874 21.9381C9.22824 22.2807 9.97369 22.0957 10.5938 21.8677C10.6918 21.8317 10.7817 21.7974 10.8659 21.7652C11.2821 21.6063 11.5606 21.5 12 21.5C12.44 21.5 12.7189 21.6063 13.1354 21.765L13.1363 21.7654C13.22 21.7973 13.3093 21.8313 13.4066 21.8671C14.0263 22.0945 14.771 22.2793 15.8113 21.9386C19.2901 20.799 22 16.78 22 12.5C22 9.09944 20.6209 6.33534 17.9845 4.87516C16.6453 4.13345 15.5173 4.05257 14.4918 4.16345C14.1251 4.20311 13.7555 4.26997 13.4274 4.32933C13.3317 4.34665 13.2394 4.36333 13.1519 4.37851C13.1006 4.3874 13.05 4.39596 13 4.40414ZM9 6C9 6 10.8754 6.63618 12 6.63618C13.1247 6.63618 15 6 15 6C15 6 14.2577 8 12 8C9.7424 8 9 6 9 6Z"
      }
    }]
  };
  var appleFilled = vue.defineComponent({
    name: "AppleFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-apple-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$wC(_objectSpread$wC({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$wA, finalProps.value);
    }
  });

  function ownKeys$wB(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$wB(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$wB(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$wB(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$wz = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M13 2V4.40428C13.05 4.3961 13.1006 4.38753 13.1519 4.37864C13.2395 4.36346 13.3316 4.34679 13.4274 4.32947C13.7555 4.27011 14.1251 4.20324 14.4918 4.16359C15.5173 4.05271 16.6453 4.13358 17.9845 4.87529C20.6209 6.33548 22 9.09957 22 12.5001C22 16.7801 19.2901 20.7991 15.8113 21.9387C14.771 22.2795 14.0263 22.0946 13.4066 21.8672C13.309 21.8313 13.2194 21.7972 13.1354 21.7652C12.7189 21.6064 12.44 21.5001 12 21.5001C11.5606 21.5001 11.2822 21.6064 10.8659 21.7654C10.7817 21.7975 10.6918 21.8318 10.5938 21.8679C9.97369 22.0958 9.22824 22.2808 8.1874 21.9383C4.71854 20.7966 2 16.7817 2 12.5001C2 9.09978 3.37849 6.33935 6.01461 4.87584C7.3545 4.13197 8.48283 4.0509 9.50874 4.16236C9.87526 4.20218 10.2448 4.26929 10.5727 4.32884C10.6686 4.34625 10.7609 4.36302 10.8485 4.37826C10.8997 4.38716 10.9501 4.39574 11 4.40393V2H13ZM11 6.42664C10.828 6.40312 10.6631 6.37605 10.5057 6.34867C10.3861 6.32785 10.2735 6.30744 10.1656 6.28789C9.85385 6.23139 9.5816 6.18205 9.29272 6.15066C8.59362 6.0747 7.89646 6.11863 6.98539 6.62444C5.11961 7.66027 4 9.65739 4 12.5001C4 16.0566 6.28848 19.2077 8.8126 20.0385C9.27089 20.1893 9.52424 20.1302 9.90374 19.9907C9.9616 19.9694 10.025 19.9446 10.0939 19.9177C10.5217 19.7503 11.161 19.5001 12 19.5001C12.8389 19.5001 13.4778 19.7497 13.9058 19.9168C13.9746 19.9437 14.0379 19.9684 14.0958 19.9897C14.4757 20.1291 14.7298 20.1884 15.1887 20.0381C17.7177 19.2096 20 16.0583 20 12.5001C20 9.65602 18.8791 7.65703 17.0155 6.62487C16.1047 6.1204 15.4068 6.07631 14.7068 6.152C14.4176 6.18328 14.1449 6.23251 13.8328 6.28886C13.7251 6.30829 13.6128 6.32857 13.4935 6.34926C13.3363 6.3765 13.1717 6.40343 13 6.42684V7.82946C13.1744 7.7678 13.3412 7.69047 13.4991 7.5992L14.3647 7.09854L15.366 8.82983L14.5004 9.33049C13.7642 9.75629 12.9091 10 12 10C11.0909 10 10.2358 9.7563 9.49958 9.33049L8.63394 8.82983L9.63526 7.09854L10.5009 7.5992C10.6587 7.69048 10.8256 7.76781 11 7.82947V6.42664Z"
      }
    }]
  };
  var apple = vue.defineComponent({
    name: "AppleIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-apple", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$wB(_objectSpread$wB({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$wz, finalProps.value);
    }
  });

  function ownKeys$wA(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$wA(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$wA(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$wA(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$wy = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M21.6604 6.42257V17.5773L12.0001 23.1546L2.33984 17.5773V6.42257L12.0001 0.845215L21.6604 6.42257ZM12 10.7982L8.72268 8.61328L7.61328 10.2774L11 12.5352V16H13V12.5352L16.3868 10.2774L15.2774 8.61328L12 10.7982Z"
      }
    }]
  };
  var applicationFilled = vue.defineComponent({
    name: "ApplicationFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-application-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$wA(_objectSpread$wA({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$wy, finalProps.value);
    }
  });

  function ownKeys$wz(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$wz(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$wz(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$wz(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$wx = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M12.0001 0.845215L21.6604 6.42257V17.5773L12.0001 23.1546L2.33984 17.5773V6.42257L12.0001 0.845215ZM12.0001 3.15462L4.33984 7.57727V16.4226L12.0001 20.8452L19.6604 16.4226V7.57727L12.0001 3.15462ZM8.72275 8.61316L12.0001 10.7981L15.2774 8.61316L16.3868 10.2773L13.0001 12.5351V15.9999H11.0001V12.5351L7.61335 10.2773L8.72275 8.61316Z"
      }
    }]
  };
  var application = vue.defineComponent({
    name: "ApplicationIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-application", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$wz(_objectSpread$wz({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$wx, finalProps.value);
    }
  });

  function ownKeys$wy(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$wy(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$wy(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$wy(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$ww = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M11.9994.333496L12.803 1.40495 12.8152 1.42105 12.8641 1.48577C12.9074 1.54287 12.9716 1.6272 13.0543 1.73489 13.2197 1.9503 13.4589 2.25886 13.7522 2.62946 14.3398 3.37166 15.1414 4.35805 16.002 5.34166 16.8669 6.33009 17.7725 7.2938 18.5701 8.00275 18.9702 8.35841 19.3197 8.62884 19.6056 8.80475 19.8444 8.95172 19.9681 8.98815 19.9988 8.99719L19.9994 8.00016H21.9994V9.00016C21.9994 9.40657 21.8955 9.91078 21.5428 10.3308 21.1647 10.781 20.6138 11.0002 19.9994 11.0002L3.99945 11.0002C3.3849 11.0002 2.83443 10.7809 2.4563 10.3313 2.10375 9.91214 1.9991 9.40898 1.9976 9.00387L1.9939 8.00388 3.99388 7.99646 3.99759 8.99646 3.9976 8.99792 4.00009 8.99719C4.03076 8.98816 4.1545 8.95172 4.39332 8.80476 4.67919 8.62884 5.02872 8.35841 5.42884 8.00275 6.22641 7.2938 7.132 6.33009 7.99687 5.34166 8.85753 4.35805 9.65908 3.37166 10.2467 2.62946 10.54 2.25886 10.7792 1.9503 10.9446 1.73489 11.0273 1.6272 11.0915 1.54287 11.1348 1.48577L11.1837 1.42105 11.1959 1.40495 11.9994.333496zM3.99945 13.0002L3.99945 20.0002H1.99945L1.99945 22.0002H8.99976V18.9995C8.99976 17.3427 10.3429 15.9995 11.9998 15.9995 13.6566 15.9995 14.9998 17.3427 14.9998 18.9995V22.0002H21.9994V20.0002H19.9994V13.0002L3.99945 13.0002z"
      }
    }, {
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M12.0001 17.9998C11.4478 17.9998 11.0001 18.4476 11.0001 18.9998V21.9998H13.0001V18.9998C13.0001 18.4476 12.5523 17.9998 12.0001 17.9998Z"
      }
    }]
  };
  var architectureHuiStyleFilled = vue.defineComponent({
    name: "ArchitectureHuiStyleFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-architecture-hui-style-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$wy(_objectSpread$wy({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$ww, finalProps.value);
    }
  });

  function ownKeys$wx(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$wx(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$wx(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$wx(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$wv = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M12.7997 1.40013L11.9997 0.333496L11.1997 1.40013L11.1961 1.40495L11.184 1.42105L11.135 1.48577C11.0917 1.54287 11.0275 1.6272 10.9448 1.73489C10.7794 1.9503 10.5403 2.25886 10.2469 2.62946C9.65932 3.37166 8.85777 4.35805 7.99712 5.34166C7.13224 6.33009 6.22666 7.2938 5.42908 8.00275C5.02896 8.35842 4.67943 8.62884 4.39357 8.80476C4.14763 8.9561 4.02374 8.99023 3.99784 8.99792C3.99784 8.99744 3.99784 8.99695 3.99783 8.99646L3.99413 7.99646L1.99414 8.00388L1.99785 9.00387C1.99935 9.40898 2.10399 9.91214 2.45655 10.3313C2.83467 10.7809 3.38514 11.0002 3.99969 11.0002L3.99969 20.0002L1.99969 20.0002L1.99969 22.0002L21.9997 22.0002L21.9997 20.0002L19.9997 20.0002L19.9997 11.0002C20.614 11.0002 21.1649 10.781 21.5431 10.3308C21.8958 9.91078 21.9997 9.40657 21.9997 9.00016L21.9997 8.00016L19.9997 8.00016L19.9997 8.99737C19.9701 8.98867 19.8463 8.95277 19.6058 8.80475C19.32 8.62884 18.9704 8.35841 18.5703 8.00275C17.7727 7.2938 16.8671 6.33009 16.0023 5.34166C15.1416 4.35805 14.3401 3.37166 13.7525 2.62946C13.4591 2.25886 13.22 1.9503 13.0546 1.73489C12.9719 1.6272 12.9077 1.54287 12.8644 1.48577L12.8154 1.42105L12.8033 1.40495L12.7997 1.40013ZM16.7041 9.00016L7.29531 9.00016C8.02888 8.29652 8.79266 7.46965 9.50227 6.65867C10.3916 5.64228 11.2151 4.62867 11.815 3.87087C11.8791 3.78984 11.9408 3.71169 11.9997 3.63671C12.0586 3.71169 12.1203 3.78984 12.1844 3.87087C12.7843 4.62867 13.6078 5.64228 14.4971 6.65867C15.2067 7.46965 15.9705 8.29651 16.7041 9.00016ZM5.99969 11.0002L17.9997 11.0002L17.9997 20.0002L14.9997 20.0002L14.9997 17.0002C14.9997 15.3433 13.6565 14.0002 11.9997 14.0002C10.3428 14.0002 8.99969 15.3433 8.99969 17.0002L8.99969 20.0002L5.99969 20.0002L5.99969 11.0002ZM12.9997 20.0002L10.9997 20.0002L10.9997 17.0002C10.9997 16.4479 11.4474 16.0002 11.9997 16.0002C12.552 16.0002 12.9997 16.4479 12.9997 17.0002L12.9997 20.0002Z"
      }
    }]
  };
  var architectureHuiStyle = vue.defineComponent({
    name: "ArchitectureHuiStyleIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-architecture-hui-style", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$wx(_objectSpread$wx({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$wv, finalProps.value);
    }
  });

  function ownKeys$ww(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$ww(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$ww(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$ww(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$wu = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M2 2H22V7H19.0855L19.47 10H22V12H19.7264L21.119 22.8647L19.1353 23.119L17.71 12H6.25778L4.86824 23.1163L2.88369 22.8682L4.24222 12H2V10H4.49222L4.86722 7H2V2ZM6.88278 7L6.50778 10H11V7H6.88278ZM13 7V10H17.4537L17.0691 7H13Z"
      }
    }]
  };
  var archway1Filled = vue.defineComponent({
    name: "Archway1FilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-archway-1-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$ww(_objectSpread$ww({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$wu, finalProps.value);
    }
  });

  function ownKeys$wv(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$wv(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$wv(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$wv(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$wt = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M2 2H22V7H19.0855L19.47 10H22V12H19.7264L21.119 22.8647L19.1353 23.119L17.71 12H6.25778L4.86824 23.1163L2.88369 22.8682L4.24222 12H2V10H4.49222L4.86722 7H2V2ZM6.88278 7L6.50778 10H11V7H6.88278ZM13 7V10H17.4537L17.0691 7H13ZM4 4V5H20V4H4Z"
      }
    }]
  };
  var archway1 = vue.defineComponent({
    name: "Archway1Icon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-archway-1", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$wv(_objectSpread$wv({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$wt, finalProps.value);
    }
  });

  function ownKeys$wu(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$wu(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$wu(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$wu(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$ws = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M6 2V3H18V2H20V3H21V5H20.2198L20.8198 8H22V10H21V20H22V22H2V20H3V10H2V8H3.1802L3.7802 5H3V3H4V2H6ZM19 10H16V20H19V10ZM14 20V10H10V20H14ZM8 20V10H5V20H8Z"
      }
    }]
  };
  var archwayFilled = vue.defineComponent({
    name: "ArchwayFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-archway-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$wu(_objectSpread$wu({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$ws, finalProps.value);
    }
  });

  function ownKeys$wt(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$wt(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$wt(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$wt(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$wr = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M6 2V3H18V2H20V3H21V5H20.2198L20.8198 8H22V10H21V20H22V22H2V20H3V10H2V8H3.1802L3.7802 5H3V3H4V2H6ZM5.8198 5L5.2198 8H18.7802L18.1802 5H5.8198ZM19 10H16V20H19V10ZM14 20V10H10V20H14ZM8 20V10H5V20H8Z"
      }
    }]
  };
  var archway = vue.defineComponent({
    name: "ArchwayIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-archway", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$wt(_objectSpread$wt({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$wr, finalProps.value);
    }
  });

  function ownKeys$ws(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$ws(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$ws(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$ws(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$wq = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M23 12C23 5.92487 18.0751 1 12 1C5.92487 1 1 5.92487 1 12C1 18.0751 5.92487 23 12 23C18.0751 23 23 18.0751 23 12ZM16 12L12 18.25L8 12L11 12V6H13V12H16Z"
      }
    }]
  };
  var arrowDownCircleFilled = vue.defineComponent({
    name: "ArrowDownCircleFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-arrow-down-circle-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$ws(_objectSpread$ws({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$wq, finalProps.value);
    }
  });

  function ownKeys$wr(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$wr(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$wr(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$wr(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$wp = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M12 3C7.02944 3 3 7.02944 3 12C3 16.9706 7.02944 21 12 21C16.9706 21 21 16.9706 21 12C21 7.02944 16.9706 3 12 3ZM1 12C1 5.92487 5.92487 1 12 1C18.0751 1 23 5.92487 23 12C23 18.0751 18.0751 23 12 23C5.92487 23 1 18.0751 1 12ZM13 6.5V14.0858L16 11.0858L17.4142 12.5L12 17.9142L6.58579 12.5L8 11.0858L11 14.0858V6.5H13Z"
      }
    }]
  };
  var arrowDownCircle = vue.defineComponent({
    name: "ArrowDownCircleIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-arrow-down-circle", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$wr(_objectSpread$wr({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$wp, finalProps.value);
    }
  });

  function ownKeys$wq(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$wq(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$wq(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$wq(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$wo = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M2 2H22V22H2V2ZM12 18.25L16 12H13V6H11V12L8 12L12 18.25Z"
      }
    }]
  };
  var arrowDownRectangleFilled = vue.defineComponent({
    name: "ArrowDownRectangleFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-arrow-down-rectangle-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$wq(_objectSpread$wq({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$wo, finalProps.value);
    }
  });

  function ownKeys$wp(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$wp(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$wp(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$wp(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$wn = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M2 2H22V22H2V2ZM4 4V20H20V4H4ZM13 6.5V14.0858L16 11.0858L17.4142 12.5L12 17.9142L6.58579 12.5L8 11.0858L11 14.0858V6.5H13Z"
      }
    }]
  };
  var arrowDownRectangle = vue.defineComponent({
    name: "ArrowDownRectangleIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-arrow-down-rectangle", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$wp(_objectSpread$wp({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$wn, finalProps.value);
    }
  });

  function ownKeys$wo(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$wo(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$wo(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$wo(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$wm = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M11.0002 4.5L11.0002 16.0858L6.50015 11.5858L5.08594 13L12.0002 19.9142L18.9144 13L17.5001 11.5858L13.0002 16.0858L13.0002 4.5L11.0002 4.5Z"
      }
    }]
  };
  var arrowDown = vue.defineComponent({
    name: "ArrowDownIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-arrow-down", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$wo(_objectSpread$wo({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$wm, finalProps.value);
    }
  });

  function ownKeys$wn(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$wn(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$wn(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$wn(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$wl = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M12 1C18.0751 1 23 5.92487 23 12C23 18.0751 18.0751 23 12 23C5.92487 23 1 18.0751 1 12C1 5.92487 5.92487 1 12 1ZM12 8L5.75 12L12 16L12 13H18V11H12V8Z"
      }
    }]
  };
  var arrowLeftCircleFilled = vue.defineComponent({
    name: "ArrowLeftCircleFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-arrow-left-circle-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$wn(_objectSpread$wn({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$wl, finalProps.value);
    }
  });

  function ownKeys$wm(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$wm(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$wm(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$wm(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$wk = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M21 12C21 7.02944 16.9706 3 12 3C7.02944 3 3 7.02944 3 12C3 16.9706 7.02944 21 12 21C16.9706 21 21 16.9706 21 12ZM12 1C18.0751 1 23 5.92487 23 12C23 18.0751 18.0751 23 12 23C5.92487 23 1 18.0751 1 12C1 5.92487 5.92487 1 12 1ZM17.5 13L9.91421 13L12.9142 16L11.5 17.4142L6.08579 12L11.5 6.58579L12.9142 8L9.91421 11L17.5 11V13Z"
      }
    }]
  };
  var arrowLeftCircle = vue.defineComponent({
    name: "ArrowLeftCircleIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-arrow-left-circle", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$wm(_objectSpread$wm({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$wk, finalProps.value);
    }
  });

  function ownKeys$wl(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$wl(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$wl(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$wl(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$wj = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M4.22183 4.22183C8.51759 -0.0739418 15.4824 -0.0739418 19.7782 4.22183C24.0739 8.51759 24.0739 15.4824 19.7782 19.7782C15.4824 24.0739 8.51759 24.0739 4.22183 19.7782C-0.0739418 15.4824 -0.0739418 8.51759 4.22183 4.22183ZM9.17157 9.17157L7.58058 16.4194L14.8284 14.8284L12.7071 12.7071L16.9498 8.46447L15.5355 7.05026L11.2929 11.2929L9.17157 9.17157Z"
      }
    }]
  };
  var arrowLeftDownCircleFilled = vue.defineComponent({
    name: "ArrowLeftDownCircleFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-arrow-left-down-circle-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$wl(_objectSpread$wl({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$wj, finalProps.value);
    }
  });

  function ownKeys$wk(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$wk(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$wk(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$wk(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$wi = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M3 12C3 16.9706 7.02944 21 12 21C16.9706 21 21 16.9706 21 12C21 7.02944 16.9706 3 12 3C7.02944 3 3 7.02944 3 12ZM12 23C5.92487 23 1 18.0751 1 12C1 5.92487 5.92487 1 12 1C18.0751 1 23 5.92487 23 12C23 18.0751 18.0751 23 12 23ZM7.81806 16.1813L7.81806 8.52448H9.81806V12.7671L15.182 7.40316L16.5962 8.81738L11.2323 14.1813H15.4749V16.1813H7.81806Z"
      }
    }]
  };
  var arrowLeftDownCircle = vue.defineComponent({
    name: "ArrowLeftDownCircleIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-arrow-left-down-circle", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$wk(_objectSpread$wk({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$wi, finalProps.value);
    }
  });

  function ownKeys$wj(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$wj(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$wj(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$wj(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$wh = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M18.0109 7.40384L9.81851 15.5962H16.1825V17.5962L6.4043 17.5962L6.4043 7.81805L8.4043 7.81805L8.4043 14.182L16.5967 5.98962L18.0109 7.40384Z"
      }
    }]
  };
  var arrowLeftDown = vue.defineComponent({
    name: "ArrowLeftDownIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-arrow-left-down", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$wj(_objectSpread$wj({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$wh, finalProps.value);
    }
  });

  function ownKeys$wi(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$wi(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$wi(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$wi(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$wg = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M3.58594 16.4999L8.50015 11.5857L9.91436 12.9999L7.41436 15.4999L19.5002 15.4999V17.4999L7.41436 17.4999L9.91436 19.9999L8.50015 21.4141L3.58594 16.4999ZM4.50015 6.49991L16.5859 6.49991L14.0859 3.99991L15.5002 2.58569L20.4144 7.49991L15.5002 12.4141L14.0859 10.9999L16.5859 8.49991L4.50015 8.49991L4.50015 6.49991Z"
      }
    }]
  };
  var arrowLeftRight1 = vue.defineComponent({
    name: "ArrowLeftRight1Icon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-arrow-left-right-1", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$wi(_objectSpread$wi({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$wg, finalProps.value);
    }
  });

  function ownKeys$wh(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$wh(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$wh(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$wh(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$wf = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M21.5 17.5001L12.9142 17.5001L15.9142 20.5002L14.5 21.9144L9.08578 16.5001L14.5 11.0859L15.9142 12.5001L12.9142 15.5001L21.5 15.5001L21.5 17.5001ZM14.9142 7.50014L9.5 12.9144L8.08579 11.5002L11.0858 8.50014L2.5 8.50014L2.5 6.50014L11.0858 6.50014L8.08579 3.50015L9.5 2.08594L14.9142 7.50014Z"
      }
    }]
  };
  var arrowLeftRight2 = vue.defineComponent({
    name: "ArrowLeftRight2Icon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-arrow-left-right-2", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$wh(_objectSpread$wh({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$wf, finalProps.value);
    }
  });

  function ownKeys$wg(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$wg(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$wg(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$wg(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$we = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M20.9144 7.50014L15.5002 12.9144L14.0859 11.5002L17.0859 8.50015L8.50015 8.50014L8.50015 6.50014L17.0859 6.50014L14.0859 3.50015L15.5002 2.08594L20.9144 7.50014ZM15.5002 17.5001L6.91436 17.5001L9.91437 20.5002L8.50015 21.9144L3.08594 16.5001L8.50015 11.0859L9.91437 12.5002L6.91437 15.5001L15.5002 15.5001L15.5002 17.5001Z"
      }
    }]
  };
  var arrowLeftRight3 = vue.defineComponent({
    name: "ArrowLeftRight3Icon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-arrow-left-right-3", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$wg(_objectSpread$wg({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$we, finalProps.value);
    }
  });

  function ownKeys$wf(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$wf(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$wf(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$wf(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$wd = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M23 12C23 5.92487 18.0751 1 12 1C5.92487 1 1 5.92487 1 12C1 18.0751 5.92487 23 12 23C18.0751 23 23 18.0751 23 12ZM9.5 11.5V14L14 14V16L9.5 16V18.5L5 15L9.5 11.5ZM19 9L14.5 12.5V10H10V8H14.5V5.5L19 9Z"
      }
    }]
  };
  var arrowLeftRightCircleFilled = vue.defineComponent({
    name: "ArrowLeftRightCircleFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-arrow-left-right-circle-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$wf(_objectSpread$wf({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$wd, finalProps.value);
    }
  });

  function ownKeys$we(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$we(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$we(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$we(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$wc = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M3 12C3 16.9706 7.02944 21 12 21C16.9706 21 21 16.9706 21 12C21 7.02944 16.9706 3 12 3C7.02944 3 3 7.02944 3 12ZM12 23C5.92487 23 0.999999 18.0751 1 12C1 5.92487 5.92487 0.999999 12 1C18.0751 1 23 5.92487 23 12C23 18.0751 18.0751 23 12 23ZM5.08579 15L9 11.0858L10.4142 12.5L8.91421 14L14 14L14 16L8.91421 16L10.4142 17.5L9 18.9142L5.08579 15ZM10 8L15.0858 8L13.5858 6.5L15 5.08579L18.9142 9L15 12.9142L13.5858 11.5L15.0858 10H10L10 8Z"
      }
    }]
  };
  var arrowLeftRightCircle = vue.defineComponent({
    name: "ArrowLeftRightCircleIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-arrow-left-right-circle", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$we(_objectSpread$we({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$wc, finalProps.value);
    }
  });

  function ownKeys$wd(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$wd(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$wd(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$wd(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$wb = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M19.7782 4.22183C24.0739 8.51759 24.0739 15.4824 19.7782 19.7782C15.4824 24.0739 8.51759 24.0739 4.22183 19.7782C-0.0739418 15.4824 -0.0739418 8.51759 4.22183 4.22183C8.51759 -0.0739418 15.4824 -0.0739418 19.7782 4.22183ZM14.8284 9.17157L7.58058 7.58058L9.17157 14.8284L11.2929 12.7071L15.5355 16.9498L16.9497 15.5355L12.7071 11.2929L14.8284 9.17157Z"
      }
    }]
  };
  var arrowLeftUpCircleFilled = vue.defineComponent({
    name: "ArrowLeftUpCircleFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-arrow-left-up-circle-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$wd(_objectSpread$wd({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$wb, finalProps.value);
    }
  });

  function ownKeys$wc(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$wc(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$wc(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$wc(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$wa = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M12 3C7.02944 3 3 7.02944 3 12C3 16.9706 7.02944 21 12 21C16.9706 21 21 16.9706 21 12C21 7.02944 16.9706 3 12 3ZM1 12C1 5.92487 5.92487 1 12 1C18.0751 1 23 5.92487 23 12C23 18.0751 18.0751 23 12 23C5.92487 23 1 18.0751 1 12ZM7.81769 7.81806H15.4745V9.81806H11.2319L16.5959 15.182L15.1816 16.5962L9.81769 11.2323V15.4749H7.81769V7.81806Z"
      }
    }]
  };
  var arrowLeftUpCircle = vue.defineComponent({
    name: "ArrowLeftUpCircleIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-arrow-left-up-circle", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$wc(_objectSpread$wc({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$wa, finalProps.value);
    }
  });

  function ownKeys$wb(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$wb(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$wb(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$wb(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$w9 = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M16.5957 18.0104L8.40332 9.81802L8.40332 16.182H6.40332L6.40332 6.40381L16.1815 6.40381L16.1815 8.40381L9.81753 8.40381L18.0099 16.5962L16.5957 18.0104Z"
      }
    }]
  };
  var arrowLeftUp = vue.defineComponent({
    name: "ArrowLeftUpIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-arrow-left-up", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$wb(_objectSpread$wb({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$w9, finalProps.value);
    }
  });

  function ownKeys$wa(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$wa(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$wa(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$wa(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$w8 = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M19.5002 13L7.91436 13L12.4144 17.5L11.0001 18.9142L4.08594 12L11.0001 5.08582L12.4144 6.50003L7.91436 11L19.5002 11V13Z"
      }
    }]
  };
  var arrowLeft = vue.defineComponent({
    name: "ArrowLeftIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-arrow-left", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$wa(_objectSpread$wa({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$w8, finalProps.value);
    }
  });

  function ownKeys$w9(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$w9(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$w9(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$w9(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$w7 = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M12 23C5.92487 23 1 18.0751 1 12C1 5.92487 5.92487 1 12 1C18.0751 1 23 5.92487 23 12C23 18.0751 18.0751 23 12 23ZM12 16L18.25 12L12 8L12 11H6V13H12V16Z"
      }
    }]
  };
  var arrowRightCircleFilled = vue.defineComponent({
    name: "ArrowRightCircleFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-arrow-right-circle-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$w9(_objectSpread$w9({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$w7, finalProps.value);
    }
  });

  function ownKeys$w8(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$w8(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$w8(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$w8(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$w6 = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M3 12C3 7.02944 7.02944 3 12 3C16.9706 3 21 7.02944 21 12C21 16.9706 16.9706 21 12 21C7.02944 21 3 16.9706 3 12ZM12 1C5.92487 1 1 5.92487 1 12C1 18.0751 5.92487 23 12 23C18.0751 23 23 18.0751 23 12C23 5.92487 18.0751 1 12 1ZM6.5 13L14.0858 13L11.0858 16L12.5 17.4142L17.9142 12L12.5 6.58579L11.0858 8L14.0858 11L6.5 11V13Z"
      }
    }]
  };
  var arrowRightCircle = vue.defineComponent({
    name: "ArrowRightCircleIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-arrow-right-circle", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$w8(_objectSpread$w8({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$w6, finalProps.value);
    }
  });

  function ownKeys$w7(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$w7(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$w7(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$w7(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$w5 = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M4.22183 19.7782C-0.0739418 15.4824 -0.0739418 8.51759 4.22183 4.22183C8.51759 -0.0739418 15.4824 -0.0739418 19.7782 4.22183C24.0739 8.51759 24.0739 15.4824 19.7782 19.7782C15.4824 24.0739 8.51759 24.0739 4.22183 19.7782ZM9.17157 14.8284L16.4194 16.4194L14.8284 9.17157L12.7071 11.2929L8.46447 7.05025L7.05026 8.46446L11.2929 12.7071L9.17157 14.8284Z"
      }
    }]
  };
  var arrowRightDownCircleFilled = vue.defineComponent({
    name: "ArrowRightDownCircleFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-arrow-right-down-circle-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$w7(_objectSpread$w7({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$w5, finalProps.value);
    }
  });

  function ownKeys$w6(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$w6(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$w6(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$w6(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$w4 = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M12 21C16.9706 21 21 16.9706 21 12C21 7.02944 16.9706 3 12 3C7.02944 3 3 7.02944 3 12C3 16.9706 7.02944 21 12 21ZM23 12C23 18.0751 18.0751 23 12 23C5.92487 23 0.999999 18.0751 1 12C1 5.92487 5.92487 0.999999 12 1C18.0751 1 23 5.92487 23 12ZM14.1823 12.7677V8.52509L16.1823 8.52509V16.1819H8.52546L8.52546 14.1819H12.7681L7.40414 8.81798L8.81835 7.40377L14.1823 12.7677Z"
      }
    }]
  };
  var arrowRightDownCircle = vue.defineComponent({
    name: "ArrowRightDownCircleIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-arrow-right-down-circle", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$w6(_objectSpread$w6({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$w4, finalProps.value);
    }
  });

  function ownKeys$w5(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$w5(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$w5(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$w5(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$w3 = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M7.40347 5.98962L15.5959 14.182V7.81805L17.5959 7.81805L17.5959 17.5962H7.81769L7.81769 15.5962H14.1816L5.98926 7.40384L7.40347 5.98962Z"
      }
    }]
  };
  var arrowRightDown = vue.defineComponent({
    name: "ArrowRightDownIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-arrow-right-down", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$w5(_objectSpread$w5({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$w3, finalProps.value);
    }
  });

  function ownKeys$w4(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$w4(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$w4(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$w4(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$w2 = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M19.7782 19.7782C15.4824 24.0739 8.51759 24.0739 4.22183 19.7782C-0.0739418 15.4824 -0.0739418 8.51759 4.22183 4.22183C8.51759 -0.0739418 15.4824 -0.0739418 19.7782 4.22183C24.0739 8.51759 24.0739 15.4824 19.7782 19.7782ZM14.8284 14.8284L16.4194 7.58058L9.17157 9.17157L11.2929 11.2929L7.05025 15.5355L8.46446 16.9497L12.7071 12.7071L14.8284 14.8284Z"
      }
    }]
  };
  var arrowRightUpCircleFilled = vue.defineComponent({
    name: "ArrowRightUpCircleFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-arrow-right-up-circle-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$w4(_objectSpread$w4({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$w2, finalProps.value);
    }
  });

  function ownKeys$w3(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$w3(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$w3(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$w3(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$w1 = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M21 12C21 7.02944 16.9706 3 12 3C7.02944 3 3 7.02944 3 12C3 16.9706 7.02944 21 12 21C16.9706 21 21 16.9706 21 12ZM12 1C18.0751 1 23 5.92487 23 12C23 18.0751 18.0751 23 12 23C5.92487 23 1 18.0751 1 12C1 5.92487 5.92487 1 12 1ZM12.7677 9.81866L8.52509 9.81866V7.81866L16.1819 7.81866V15.4755H14.1819L14.1819 11.2329L8.81798 16.5968L7.40377 15.1826L12.7677 9.81866Z"
      }
    }]
  };
  var arrowRightUpCircle = vue.defineComponent({
    name: "ArrowRightUpCircleIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-arrow-right-up-circle", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$w3(_objectSpread$w3({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$w1, finalProps.value);
    }
  });

  function ownKeys$w2(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$w2(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$w2(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$w2(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$w0 = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M5.98926 16.5962L14.1816 8.40381L7.81769 8.40381L7.81769 6.40381L17.5959 6.40381V16.182L15.5959 16.182V9.81802L7.40347 18.0104L5.98926 16.5962Z"
      }
    }]
  };
  var arrowRightUp = vue.defineComponent({
    name: "ArrowRightUpIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-arrow-right-up", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$w2(_objectSpread$w2({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$w0, finalProps.value);
    }
  });

  function ownKeys$w1(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$w1(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$w1(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$w1(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$v$ = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M4.5 11L16.0858 11L11.5858 6.50003L13 5.08582L19.9142 12L13 18.9142L11.5858 17.5L16.0858 13L4.5 13L4.5 11Z"
      }
    }]
  };
  var arrowRight = vue.defineComponent({
    name: "ArrowRightIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-arrow-right", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$w1(_objectSpread$w1({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$v$, finalProps.value);
    }
  });

  function ownKeys$w0(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$w0(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$w0(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$w0(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$v_ = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M15 12H19.5L12 22L4.5 12H9V2H15V12Z"
      }
    }]
  };
  var arrowTriangleDownFilled = vue.defineComponent({
    name: "ArrowTriangleDownFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-arrow-triangle-down-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$w0(_objectSpread$w0({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$v_, finalProps.value);
    }
  });

  function ownKeys$v$(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$v$(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$v$(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$v$(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$vZ = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M9 12V2H15V12H19.5L12 22L4.5 12H9ZM8.5 14L12 18.6667L15.5 14H13V4H11V14H8.5Z"
      }
    }]
  };
  var arrowTriangleDown = vue.defineComponent({
    name: "ArrowTriangleDownIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-arrow-triangle-down", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$v$(_objectSpread$v$({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$vZ, finalProps.value);
    }
  });

  function ownKeys$v_(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$v_(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$v_(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$v_(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$vY = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M15 12H19.5L12 2L4.5 12H9V22H15V12Z"
      }
    }]
  };
  var arrowTriangleUpFilled = vue.defineComponent({
    name: "ArrowTriangleUpFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-arrow-triangle-up-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$v_(_objectSpread$v_({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$vY, finalProps.value);
    }
  });

  function ownKeys$vZ(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$vZ(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$vZ(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$vZ(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$vX = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M9 12V22H15V12H19.5L12 2L4.5 12H9ZM8.5 10L12 5.33333L15.5 10H13V20H11V10H8.5Z"
      }
    }]
  };
  var arrowTriangleUp = vue.defineComponent({
    name: "ArrowTriangleUpIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-arrow-triangle-up", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$vZ(_objectSpread$vZ({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$vX, finalProps.value);
    }
  });

  function ownKeys$vY(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$vY(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$vY(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$vY(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$vW = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M23.0002 12C23.0002 18.0751 18.0754 23 12.0002 23C5.92511 23 1.00024 18.0751 1.00024 12C1.00024 5.92487 5.92511 1 12.0002 1C18.0754 1 23.0002 5.92487 23.0002 12ZM16.0002 12L12.0002 5.75L8.00024 12L11.0002 12V18H13.0002V12H16.0002Z"
      }
    }]
  };
  var arrowUpCircleFilled = vue.defineComponent({
    name: "ArrowUpCircleFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-arrow-up-circle-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$vY(_objectSpread$vY({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$vW, finalProps.value);
    }
  });

  function ownKeys$vX(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$vX(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$vX(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$vX(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$vV = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M12 3C7.02944 3 3 7.02944 3 12C3 16.9706 7.02944 21 12 21C16.9706 21 21 16.9706 21 12C21 7.02944 16.9706 3 12 3ZM1 12C1 5.92487 5.92487 1 12 1C18.0751 1 23 5.92487 23 12C23 18.0751 18.0751 23 12 23C5.92487 23 1 18.0751 1 12ZM12 6.08579L17.4142 11.5L16 12.9142L13 9.91421V17.5H11V9.91421L8 12.9142L6.58579 11.5L12 6.08579Z"
      }
    }]
  };
  var arrowUpCircle = vue.defineComponent({
    name: "ArrowUpCircleIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-arrow-up-circle", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$vX(_objectSpread$vX({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$vV, finalProps.value);
    }
  });

  function ownKeys$vW(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$vW(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$vW(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$vW(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$vU = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M16.5002 20.4141L11.5859 15.4999L13.0001 14.0857L15.5002 16.5857V4.49991L17.5002 4.49991L17.5002 16.5857L20.0002 14.0857L21.4144 15.4999L16.5002 20.4141ZM6.50015 19.4999V7.41412L4.00015 9.91412L2.58594 8.49991L7.50015 3.58569L12.4144 8.49991L11.0002 9.91412L8.50015 7.41412V19.4999H6.50015Z"
      }
    }]
  };
  var arrowUpDown1 = vue.defineComponent({
    name: "ArrowUpDown1Icon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-arrow-up-down-1", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$vW(_objectSpread$vW({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$vU, finalProps.value);
    }
  });

  function ownKeys$vV(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$vV(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$vV(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$vV(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$vT = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M17.5001 2.49976L17.5001 11.0855L20.5002 8.08554L21.9144 9.49976L16.5001 14.914L11.0859 9.49975L12.5002 8.08554L15.5001 11.0855L15.5001 2.49976L17.5001 2.49976ZM7.50014 9.08554L12.9144 14.4998L11.5002 15.914L8.50015 12.914L8.50014 21.4998H6.50014L6.50015 12.914L3.50015 15.914L2.08594 14.4998L7.50014 9.08554Z"
      }
    }]
  };
  var arrowUpDown2 = vue.defineComponent({
    name: "ArrowUpDown2Icon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-arrow-up-down-2", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$vV(_objectSpread$vV({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$vT, finalProps.value);
    }
  });

  function ownKeys$vU(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$vU(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$vU(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$vU(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$vS = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M7.50014 3.08569L12.9144 8.49991L11.5002 9.91412L8.50015 6.91412L8.50014 15.4999L6.50014 15.4999L6.50015 6.91412L3.50015 9.91412L2.08594 8.49991L7.50014 3.08569ZM17.5001 8.49991L17.5001 17.0857L20.5001 14.0857L21.9144 15.4999L16.5001 20.9141L11.0859 15.4999L12.5002 14.0857L15.5001 17.0857L15.5001 8.49991L17.5001 8.49991Z"
      }
    }]
  };
  var arrowUpDown3 = vue.defineComponent({
    name: "ArrowUpDown3Icon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-arrow-up-down-3", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$vU(_objectSpread$vU({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$vS, finalProps.value);
    }
  });

  function ownKeys$vT(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$vT(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$vT(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$vT(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$vR = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M12 23C18.0751 23 23 18.0751 23 12C23 5.92487 18.0751 1 12 1C5.92487 1 1 5.92487 1 12C1 18.0751 5.92487 23 12 23ZM12.5 9.5H10L10 14H8L8 9.5H5.5L9 5L12.5 9.5ZM15 19L11.5 14.5H14V10H16V14.5H18.5L15 19Z"
      }
    }]
  };
  var arrowUpDownCircleFilled = vue.defineComponent({
    name: "ArrowUpDownCircleFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-arrow-up-down-circle-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$vT(_objectSpread$vT({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$vR, finalProps.value);
    }
  });

  function ownKeys$vS(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$vS(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$vS(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$vS(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$vQ = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M12 21C16.9706 21 21 16.9706 21 12C21 7.02944 16.9706 3 12 3C7.02944 3 3 7.02944 3 12C3 16.9706 7.02944 21 12 21ZM23 12C23 18.0751 18.0751 23 12 23C5.92487 23 0.999999 18.0751 1 12C1 5.92487 5.92487 0.999999 12 1C18.0751 1 23 5.92487 23 12ZM15 18.9142L11.0858 15L12.5 13.5858L14 15.0858L14 10H16L16 15.0858L17.5 13.5858L18.9142 15L15 18.9142ZM8 14L8 8.91421L6.5 10.4142L5.08579 9L9 5.08579L12.9142 9L11.5 10.4142L10 8.91421L10 14H8Z"
      }
    }]
  };
  var arrowUpDownCircle = vue.defineComponent({
    name: "ArrowUpDownCircleIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-arrow-up-down-circle", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$vS(_objectSpread$vS({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$vQ, finalProps.value);
    }
  });

  function ownKeys$vR(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$vR(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$vR(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$vR(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$vP = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M11.0002 19.5L11.0002 7.91424L6.50015 12.4142L5.08594 11L12.0002 4.08582L18.9144 11L17.5001 12.4142L13.0002 7.91424L13.0002 19.5H11.0002Z"
      }
    }]
  };
  var arrowUp = vue.defineComponent({
    name: "ArrowUpIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-arrow-up", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$vR(_objectSpread$vR({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$vP, finalProps.value);
    }
  });

  function ownKeys$vQ(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$vQ(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$vQ(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$vQ(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$vO = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M8 2V6L16 6V2L18 2V6L22 6V8L18 8L18 16L22 16V18L18 18V22H16L16 18L8 18V22H6L6 18H2L2 16H6L6 8L2 8L2 6L6 6L6 2L8 2ZM8 8L8 16L16 16V8L8 8Z"
      }
    }]
  };
  var artboard = vue.defineComponent({
    name: "ArtboardIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-artboard", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$vQ(_objectSpread$vQ({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$vO, finalProps.value);
    }
  });

  function ownKeys$vP(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$vP(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$vP(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$vP(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$vN = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M21.5 2H2.5V22H21.5V2ZM17 7V9H7V7H17ZM17 11V13H7V11H17ZM14 17H7V15H14V17Z"
      }
    }]
  };
  var articleFilled = vue.defineComponent({
    name: "ArticleFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-article-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$vP(_objectSpread$vP({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$vN, finalProps.value);
    }
  });

  function ownKeys$vO(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$vO(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$vO(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$vO(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$vM = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M2.5 2L21.5 2L21.5 22L2.5 22L2.5 2ZM4.5 4L4.5 20L19.5 20L19.5 4L4.5 4ZM7 7L17 7V9L7 9V7ZM7 11L17 11V13L7 13V11ZM7 15L14 15V17H7L7 15Z"
      }
    }]
  };
  var article = vue.defineComponent({
    name: "ArticleIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-article", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$vO(_objectSpread$vO({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$vM, finalProps.value);
    }
  });

  function ownKeys$vN(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$vN(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$vN(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$vN(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$vL = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M12 0.5C13.1905 0.5 14.2406 1.09427 14.8724 2H21.5V22H2.5V2H9.12759C9.75936 1.09427 10.8095 0.5 12 0.5ZM10.5864 16.6569L17.6575 9.58584L16.2432 8.17163L10.5864 13.8285L7.75796 11.0001L6.34375 12.4143L10.5864 16.6569Z"
      }
    }]
  };
  var assignmentCheckedFilled = vue.defineComponent({
    name: "AssignmentCheckedFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-assignment-checked-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$vN(_objectSpread$vN({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$vL, finalProps.value);
    }
  });

  function ownKeys$vM(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$vM(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$vM(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$vM(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$vK = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M12 2.5C11.3865 2.5 10.8568 2.86851 10.6244 3.40037L10.3624 4H4.5V20H19.5V4H13.6376L13.3756 3.40037C13.1432 2.86851 12.6135 2.5 12 2.5ZM9.12759 2C9.75936 1.09427 10.8095 0.5 12 0.5C13.1905 0.5 14.2406 1.09427 14.8724 2H21.5V22H2.5V2H9.12759ZM17.6573 9.58582L10.5862 16.6569L6.3436 12.4142L7.75781 11L10.5862 13.8285L16.2431 8.1716L17.6573 9.58582Z"
      }
    }]
  };
  var assignmentChecked = vue.defineComponent({
    name: "AssignmentCheckedIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-assignment-checked", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$vM(_objectSpread$vM({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$vK, finalProps.value);
    }
  });

  function ownKeys$vL(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$vL(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$vL(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$vL(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$vJ = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M12 0.5C13.1905 0.5 14.2406 1.09427 14.8724 2H21.5V22H2.5V2H9.12759C9.75936 1.09427 10.8095 0.5 12 0.5ZM9.50015 8.08569L5.58594 11.9999L9.50015 15.9141L10.9144 14.4999L8.41436 11.9999L10.9144 9.49991L9.50015 8.08569ZM18.4144 11.9999L14.5001 8.08569L13.0859 9.49991L15.5859 11.9999L13.0859 14.4999L14.5001 15.9141L18.4144 11.9999Z"
      }
    }]
  };
  var assignmentCodeFilled = vue.defineComponent({
    name: "AssignmentCodeFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-assignment-code-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$vL(_objectSpread$vL({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$vJ, finalProps.value);
    }
  });

  function ownKeys$vK(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$vK(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$vK(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$vK(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$vI = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M2.5 2L9.12759 2C9.75935 1.09427 10.8095 0.5 12 0.5C13.1905 0.5 14.2406 1.09427 14.8724 2L21.5 2V22H2.5L2.5 2ZM4.5 20H19.5V4L13.6376 4L13.3756 3.40037C13.1432 2.86851 12.6135 2.5 12 2.5C11.3865 2.5 10.8568 2.86851 10.6244 3.40037L10.3624 4L4.5 4V20ZM5.58579 12L9.5 8.08579L10.9142 9.5L8.41422 12L10.9142 14.5L9.5 15.9142L5.58579 12ZM14.5 8.08579L18.4142 12L14.5 15.9142L13.0858 14.5L15.5858 12L13.0858 9.5L14.5 8.08579Z"
      }
    }]
  };
  var assignmentCode = vue.defineComponent({
    name: "AssignmentCodeIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-assignment-code", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$vK(_objectSpread$vK({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$vI, finalProps.value);
    }
  });

  function ownKeys$vJ(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$vJ(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$vJ(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$vJ(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$vH = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M12 0.5C13.1905 0.5 14.2406 1.09427 14.8724 2H21.5V22H2.5V2H9.12759C9.75936 1.09427 10.8095 0.5 12 0.5ZM13 13.5V7.5H11V13.5H13ZM13.0039 14.9961H11V17H13.0039V14.9961Z"
      }
    }]
  };
  var assignmentErrorFilled = vue.defineComponent({
    name: "AssignmentErrorFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-assignment-error-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$vJ(_objectSpread$vJ({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$vH, finalProps.value);
    }
  });

  function ownKeys$vI(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$vI(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$vI(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$vI(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$vG = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M12 2.5C11.3865 2.5 10.8568 2.86851 10.6244 3.40037L10.3624 4H4.5V20H19.5V4H13.6376L13.3756 3.40037C13.1432 2.86851 12.6135 2.5 12 2.5ZM9.12759 2C9.75936 1.09427 10.8095 0.5 12 0.5C13.1905 0.5 14.2406 1.09427 14.8724 2H21.5V22H2.5V2H9.12759ZM13 7.5V13.5H11V7.5H13ZM11 14.9961H13.0039V17H11V14.9961Z"
      }
    }]
  };
  var assignmentError = vue.defineComponent({
    name: "AssignmentErrorIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-assignment-error", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$vI(_objectSpread$vI({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$vG, finalProps.value);
    }
  });

  function ownKeys$vH(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$vH(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$vH(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$vH(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$vF = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M12 0.5C10.8095 0.5 9.75936 1.09427 9.12759 2H2.5V22H21.5V2H14.8724C14.2406 1.09427 13.1905 0.5 12 0.5ZM17 7V9H7V7H17ZM17 11V13H7V11H17ZM14 17H7V15H14V17Z"
      }
    }]
  };
  var assignmentFilled = vue.defineComponent({
    name: "AssignmentFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-assignment-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$vH(_objectSpread$vH({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$vF, finalProps.value);
    }
  });

  function ownKeys$vG(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$vG(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$vG(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$vG(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$vE = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M12 0.5C10.8095 0.5 9.75936 1.09427 9.12759 2H2.5V22H21.5V2H14.8724C14.2406 1.09427 13.1905 0.5 12 0.5ZM9 9.5C9 7.84315 10.3431 6.5 12 6.5C13.6569 6.5 15 7.84315 15 9.5C15 11.1569 13.6569 12.5 12 12.5C10.3431 12.5 9 11.1569 9 9.5ZM6 18C6 15.7909 7.79086 14 10 14H14C16.2091 14 18 15.7909 18 18V19H6V18Z"
      }
    }]
  };
  var assignmentUserFilled = vue.defineComponent({
    name: "AssignmentUserFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-assignment-user-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$vG(_objectSpread$vG({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$vE, finalProps.value);
    }
  });

  function ownKeys$vF(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$vF(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$vF(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$vF(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$vD = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M12 2.5C11.3865 2.5 10.8568 2.86851 10.6244 3.40037L10.3624 4H4.5V20H19.5V4H13.6376L13.3756 3.40037C13.1432 2.86851 12.6135 2.5 12 2.5ZM9.12759 2C9.75936 1.09427 10.8095 0.5 12 0.5C13.1905 0.5 14.2406 1.09427 14.8724 2H21.5V22H2.5V2H9.12759ZM12 8C11.1716 8 10.5 8.67157 10.5 9.5C10.5 10.3284 11.1716 11 12 11C12.8284 11 13.5 10.3284 13.5 9.5C13.5 8.67157 12.8284 8 12 8ZM8.5 9.5C8.5 7.567 10.067 6 12 6C13.933 6 15.5 7.567 15.5 9.5C15.5 11.433 13.933 13 12 13C10.067 13 8.5 11.433 8.5 9.5ZM6 18C6 15.7909 7.79086 14 10 14H14C16.2091 14 18 15.7909 18 18V19H16V18C16 16.8954 15.1046 16 14 16H10C8.89543 16 8 16.8954 8 18V19H6V18Z"
      }
    }]
  };
  var assignmentUser = vue.defineComponent({
    name: "AssignmentUserIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-assignment-user", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$vF(_objectSpread$vF({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$vD, finalProps.value);
    }
  });

  function ownKeys$vE(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$vE(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$vE(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$vE(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$vC = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M12 2.5C11.3865 2.5 10.8568 2.86851 10.6244 3.40037L10.3624 4H4.5V20H19.5V4H13.6376L13.3756 3.40037C13.1432 2.86851 12.6135 2.5 12 2.5ZM9.12759 2C9.75936 1.09427 10.8095 0.5 12 0.5C13.1905 0.5 14.2406 1.09427 14.8724 2H21.5V22H2.5V2H9.12759ZM7 7H17V9H7V7ZM7 11H17V13H7V11ZM7 15H14V17H7V15Z"
      }
    }]
  };
  var assignment = vue.defineComponent({
    name: "AssignmentIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-assignment", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$vE(_objectSpread$vE({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$vC, finalProps.value);
    }
  });

  function ownKeys$vD(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$vD(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$vD(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$vD(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$vB = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M11.3138 3.1212C13.2664 1.16858 16.4322 1.16858 18.3848 3.1212C20.3375 5.07383 20.3375 8.23965 18.3848 10.1923L10.6067 17.9704C9.4351 19.142 7.53561 19.142 6.36403 17.9704C5.19246 16.7989 5.19246 14.8994 6.36403 13.7278L14.1422 5.94963L15.5564 7.36385L7.77825 15.142C7.38772 15.5325 7.38772 16.1657 7.77825 16.5562C8.16877 16.9468 8.80194 16.9468 9.19246 16.5562L16.9706 8.77806C18.1422 7.60649 18.1422 5.70699 16.9706 4.53542C15.7991 3.36385 13.8996 3.36384 12.728 4.53542L4.94982 12.3136C2.9972 14.2662 2.9972 17.432 4.94982 19.3847C6.90244 21.3373 10.0683 21.3373 12.0209 19.3847L20.5062 10.8994L21.9204 12.3136L13.4351 20.7989C10.7014 23.5325 6.26927 23.5325 3.5356 20.7989C0.801934 18.0652 0.801934 13.633 3.5356 10.8994L11.3138 3.1212Z"
      }
    }]
  };
  var attach = vue.defineComponent({
    name: "AttachIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-attach", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$vD(_objectSpread$vD({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$vB, finalProps.value);
    }
  });

  function ownKeys$vC(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$vC(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$vC(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$vC(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$vA = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M11.9998 0.201172L11.1687 1.44358L11.1679 1.44474L11.1634 1.45144L11.1426 1.48187C11.1237 1.50953 11.0946 1.55166 11.056 1.60669C10.9787 1.71679 10.8632 1.87834 10.7141 2.07894C10.4154 2.48067 9.98384 3.03619 9.45513 3.64739C8.38358 4.88613 6.97041 6.28599 5.49901 7.13334C5.03293 7.40174 4.54289 7.49992 3.99805 7.49992H2.99805V9.49992H4.99776L5.0001 16.9995L2.99805 16.9995L2.99805 18.9995L3.99805 18.9995L3.99805 21.9995H5.99805L5.99805 18.9995H10.998L10.998 21.9995L12.998 21.9995L12.998 18.9995H17.9981L17.998 21.9995H19.998V18.9995H20.998V16.9995H18.998L18.9981 9.49992H20.998V7.49992H19.998C19.4534 7.49992 18.9634 7.40164 18.4974 7.13305C17.0267 6.28549 15.6143 4.88573 14.5433 3.64714C14.0148 3.03602 13.5835 2.4806 13.285 2.07894C13.136 1.87838 13.0206 1.71687 12.9433 1.60679C12.9047 1.55177 12.8756 1.50965 12.8567 1.482L12.836 1.45157L12.8306 1.44369L11.9998 0.201172ZM9 14C9 12.3431 10.3431 11 12 11C13.6569 11 15 12.3431 15 14V17H13V14C13 13.4477 12.5523 13 12 13C11.4477 13 11 13.4477 11 14V17H9V14Z"
      }
    }]
  };
  var attic1Filled = vue.defineComponent({
    name: "Attic1FilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-attic-1-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$vC(_objectSpread$vC({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$vA, finalProps.value);
    }
  });

  function ownKeys$vB(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$vB(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$vB(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$vB(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$vz = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M11.1687 1.44358L11.9998 0.201172L12.8307 1.44369L12.836 1.45157L12.8567 1.482C12.8756 1.50965 12.9047 1.55177 12.9433 1.60679C13.0206 1.71687 13.136 1.87838 13.285 2.07894C13.5835 2.4806 14.0148 3.03602 14.5433 3.64714C15.6143 4.88573 17.0267 6.28549 18.4974 7.13305C18.9634 7.40164 19.4534 7.49992 19.998 7.49992H20.998V9.49992H19.998C19.6722 9.49992 19.3373 9.47531 18.9981 9.41349L18.998 16.9999H20.998V18.9999H19.998V21.9999H17.998L17.9981 18.9999H12.998L12.998 21.9999H10.998L10.998 18.9999H5.99805L5.99805 21.9999H3.99805L3.99805 18.9999L2.99805 18.9999L2.99805 16.9999L5.00016 16.9999L4.99838 9.41351C4.65896 9.47532 4.32397 9.49992 3.99805 9.49992H2.99805L2.99805 7.49992H3.99805C4.54289 7.49992 5.03293 7.40174 5.49901 7.13334C6.97041 6.28599 8.38358 4.88613 9.45513 3.64739C9.98384 3.03619 10.4154 2.48067 10.7141 2.07894C10.8632 1.87834 10.9787 1.71679 11.056 1.60669C11.0946 1.55166 11.1237 1.50953 11.1426 1.48187L11.1634 1.45144L11.1679 1.44474L11.1687 1.44358ZM6.99828 8.99988L7.00016 16.9999H8.99962V14.7999C8.99962 13.1431 10.3428 11.7999 11.9996 11.7999C13.6565 11.7999 14.9996 13.1431 14.9996 14.7999V16.9999H16.9981V8.9995L6.99828 8.99988ZM15.0064 6.99958C14.2567 6.31561 13.5861 5.59799 13.0304 4.95529C12.6303 4.49262 12.2825 4.06015 11.9995 3.69379C11.7163 4.06029 11.3681 4.49295 10.9677 4.95583C10.4118 5.59846 9.74114 6.31596 8.99126 6.9998L15.0064 6.99958ZM12.9996 16.9999V14.7999C12.9996 14.2476 12.5519 13.7999 11.9996 13.7999C11.4473 13.7999 10.9996 14.2476 10.9996 14.7999V16.9999H12.9996Z"
      }
    }]
  };
  var attic1 = vue.defineComponent({
    name: "Attic1Icon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-attic-1", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$vB(_objectSpread$vB({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$vz, finalProps.value);
    }
  });

  function ownKeys$vA(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$vA(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$vA(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$vA(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$vy = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M12 .293457L12.8103 1.41397 12.8125 1.41699 12.8206 1.42813 12.8541 1.47409C12.8841 1.51495 12.9289 1.57582 12.9873 1.65427 13.1041 1.81119 13.2748 2.03822 13.4888 2.31587 13.9173 2.87179 14.5168 3.6275 15.2015 4.42822 15.8876 5.23058 16.6508 6.06811 17.407 6.79209 18.1742 7.52664 18.8873 8.0984 19.4735 8.41358 19.858 8.62027 20.1969 8.77335 20.476 8.87252 20.7694 8.97681 20.9376 9.00003 21 9.00003H22V11H20.9892C20.6649 10.9984 20.3249 10.925 20 10.8222V11H4V10.8222C3.67507 10.925 3.33506 10.9984 3.0108 11H2V9.00003H3C3.06241 9.00003 3.23056 8.97681 3.52403 8.87252 3.80306 8.77335 4.14202 8.62027 4.52647 8.41358 5.1127 8.09841 5.82578 7.52664 6.593 6.79209 7.34918 6.06811 8.11236 5.23058 8.79848 4.42822 9.48318 3.6275 10.0827 2.87179 10.5112 2.31587 10.7252 2.03822 10.896 1.81119 11.0127 1.65427 11.0711 1.57582 11.1159 1.51495 11.1459 1.47409L11.1794 1.42813 11.1875 1.41699 11.1897 1.41397 12 .293457zM4 13L4 20H2V22H9V19.0005C9 17.3436 10.3431 16.0005 12 16.0005 13.6569 16.0005 15 17.3436 15 19.0005V22H22V20H20V13H4z"
      }
    }, {
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M12 18C11.4477 18 11 18.4477 11 19V22H13V19C13 18.4477 12.5523 18 12 18Z"
      }
    }]
  };
  var atticFilled = vue.defineComponent({
    name: "AtticFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-attic-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$vA(_objectSpread$vA({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$vy, finalProps.value);
    }
  });

  function ownKeys$vz(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$vz(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$vz(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$vz(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$vx = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M12.8103 1.41397L12 0.293457L11.1897 1.41397L11.1875 1.41699L11.1794 1.42813L11.1459 1.47409C11.1159 1.51495 11.0711 1.57582 11.0127 1.65426C10.896 1.81119 10.7252 2.03822 10.5112 2.31587C10.0827 2.87179 9.48318 3.6275 8.79848 4.42821C8.11236 5.23058 7.34918 6.06811 6.593 6.79209C5.82578 7.52664 5.11271 8.09841 4.52647 8.41358C4.14202 8.62027 3.80306 8.77335 3.52403 8.87251C3.23056 8.97681 3.06241 9.00003 3 9.00003L2 9.00003L2 11L3 11C3.32751 11 3.67146 10.9261 4 10.8222L4 20L2 20L2 22L22 22L22 20L20 20L20 10.8222C20.3285 10.9261 20.6725 11 21 11L22 11L22 9.00003L21 9.00003C20.9376 9.00003 20.7694 8.97681 20.476 8.87251C20.1969 8.77335 19.858 8.62027 19.4735 8.41358C18.8873 8.0984 18.1742 7.52664 17.407 6.79209C16.6508 6.06811 15.8876 5.23058 15.2015 4.42821C14.5168 3.6275 13.9173 2.87179 13.4888 2.31587C13.2748 2.03822 13.1041 1.81119 12.9873 1.65426C12.9289 1.57582 12.8841 1.51495 12.8541 1.47409L12.8206 1.42813L12.8125 1.41699L12.8103 1.41397ZM16.8666 9.00003L7.13343 9.00003C7.41837 8.75785 7.70058 8.50053 7.97612 8.23673C8.79706 7.45075 9.60746 6.55955 10.3185 5.72802C10.9813 4.95292 11.5652 4.22096 12 3.66003C12.4348 4.22096 13.0187 4.95292 13.6815 5.72802C14.3925 6.55954 15.2029 7.45075 16.0239 8.23673C16.2994 8.50053 16.5816 8.75785 16.8666 9.00003ZM6 11L18 11L18 20L15 20L15 17C15 15.3432 13.6569 14 12 14C10.3431 14 9 15.3432 9 17L9 20L6 20L6 11ZM11 20L11 17C11 16.4477 11.4477 16 12 16C12.5523 16 13 16.4477 13 17L13 20L11 20Z"
      }
    }]
  };
  var attic = vue.defineComponent({
    name: "AtticIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-attic", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$vz(_objectSpread$vz({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$vx, finalProps.value);
    }
  });

  function ownKeys$vy(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$vy(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$vy(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$vy(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$vw = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M8.75 15C8.75 13.2051 10.2051 11.75 12 11.75C13.7949 11.75 15.25 13.2051 15.25 15C15.25 16.7949 13.7949 18.25 12 18.25C10.2051 18.25 8.75 16.7949 8.75 15Z"
      }
    }, {
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M21 1H3L3 23L21 23L21 1ZM12 9.75C14.8995 9.75 17.25 12.1005 17.25 15C17.25 17.8995 14.8995 20.25 12 20.25C9.1005 20.25 6.75 17.8995 6.75 15C6.75 12.1005 9.1005 9.75 12 9.75ZM10.9961 4.99609H13V7H10.9961V4.99609Z"
      }
    }]
  };
  var audioFilled = vue.defineComponent({
    name: "AudioFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-audio-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$vy(_objectSpread$vy({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$vw, finalProps.value);
    }
  });

  function ownKeys$vx(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$vx(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$vx(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$vx(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$vv = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M3 1L21 1L21 23L3 23L3 1ZM5 3L5 21L19 21L19 3L5 3ZM10.9961 4.99609H13V7H10.9961V4.99609ZM12 11C10.3431 11 9 12.3431 9 14C9 15.6569 10.3431 17 12 17C13.6569 17 15 15.6569 15 14C15 12.3431 13.6569 11 12 11ZM7 14C7 11.2386 9.23858 9 12 9C14.7614 9 17 11.2386 17 14C17 16.7614 14.7614 19 12 19C9.23858 19 7 16.7614 7 14Z"
      }
    }]
  };
  var audio = vue.defineComponent({
    name: "AudioIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-audio", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$vx(_objectSpread$vx({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$vv, finalProps.value);
    }
  });

  function ownKeys$vw(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$vw(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$vw(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$vw(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$vu = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M12 23C5.92487 23 1 18.0751 1 12C1 5.92487 5.92487 1 12 1C18.0751 1 23 5.92487 23 12C23 18.0751 18.0751 23 12 23ZM10 9H6V11H10V9ZM18 9H14V11H18V9ZM16 14.6667V12H14V14.6667H16ZM19 15V12H17V15H19Z"
      }
    }]
  };
  var awkwardFilled = vue.defineComponent({
    name: "AwkwardFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-awkward-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$vw(_objectSpread$vw({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$vu, finalProps.value);
    }
  });

  function ownKeys$vv(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$vv(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$vv(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$vv(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$vt = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M12 3C7.02944 3 3 7.02944 3 12C3 16.9706 7.02944 21 12 21C16.9706 21 21 16.9706 21 12C21 7.02944 16.9706 3 12 3ZM1 12C1 5.92487 5.92487 1 12 1C18.0751 1 23 5.92487 23 12C23 18.0751 18.0751 23 12 23C5.92487 23 1 18.0751 1 12ZM6 9H10V11H6V9ZM14 9H18V11H14V9ZM16 12V14.6667H14V12H16ZM19 12V15H17V12H19Z"
      }
    }]
  };
  var awkward = vue.defineComponent({
    name: "AwkwardIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-awkward", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$vv(_objectSpread$vv({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$vt, finalProps.value);
    }
  });

  function ownKeys$vu(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$vu(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$vu(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$vu(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$vs = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M22 2H2V22H22V2ZM6.5 8V6H17.5V8H6.5ZM12 9L16 14H13L13 18.5H11L11 14H8L12 9Z"
      }
    }]
  };
  var backtopRectangleFilled = vue.defineComponent({
    name: "BacktopRectangleFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-backtop-rectangle-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$vu(_objectSpread$vu({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$vs, finalProps.value);
    }
  });

  function ownKeys$vt(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$vt(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$vt(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$vt(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$vr = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M2 2H22V22H2V2ZM4 4V20H20V4H4ZM17.5 8H6.5V6H17.5V8ZM12 8.80761L16.5962 13.4038L15.182 14.818L13 12.636L13 18.5H11L11 12.636L8.81802 14.818L7.40381 13.4038L12 8.80761Z"
      }
    }]
  };
  var backtopRectangle = vue.defineComponent({
    name: "BacktopRectangleIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-backtop-rectangle", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$vt(_objectSpread$vt({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$vr, finalProps.value);
    }
  });

  function ownKeys$vs(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$vs(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$vs(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$vs(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$vq = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M4 4H20V6H4V4ZM12 7.58579L18.9142 14.5L17.5 15.9142L13 11.4142V21H11V11.4142L6.5 15.9142L5.08579 14.5L12 7.58579Z"
      }
    }]
  };
  var backtop = vue.defineComponent({
    name: "BacktopIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-backtop", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$vs(_objectSpread$vs({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$vq, finalProps.value);
    }
  });

  function ownKeys$vr(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$vr(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$vr(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$vr(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$vp = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M12 2C15.7278 2 18.8198 4.71919 19.4016 8.28287C22.0637 9.09632 24 11.5712 24 14.5C24 18.0899 21.0898 21 17.5 21H6.5C2.91015 21 0 18.0899 0 14.5C0 11.5712 1.93625 9.09632 4.59837 8.28287C5.1802 4.71919 8.27221 2 12 2ZM15.0002 12.9141L16.4144 11.4999L12.0002 7.08569L7.58594 11.4999L9.00015 12.9141L11.0002 10.9141V16.9999H13.0002V10.9141L15.0002 12.9141Z"
      }
    }]
  };
  var backupFilled = vue.defineComponent({
    name: "BackupFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-backup-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$vr(_objectSpread$vr({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$vp, finalProps.value);
    }
  });

  function ownKeys$vq(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$vq(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$vq(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$vq(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$vo = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M12 4C9.0798 4 6.69051 6.27638 6.51088 9.15072L6.46201 9.93262L5.69115 10.0723C3.59195 10.4528 2 12.2915 2 14.5C2 16.9853 4.01472 19 6.5 19H17.5C19.9853 19 22 16.9853 22 14.5C22 12.2915 20.408 10.4528 18.3089 10.0723L17.538 9.93262L17.4891 9.15072C17.3095 6.27638 14.9202 4 12 4ZM4.59837 8.28287C5.1802 4.71919 8.27221 2 12 2C15.7278 2 18.8198 4.71919 19.4016 8.28287C22.0637 9.09632 24 11.5712 24 14.5C24 18.0899 21.0898 21 17.5 21H6.5C2.91015 21 0 18.0899 0 14.5C0 11.5712 1.93625 9.09632 4.59837 8.28287ZM12 7.08579L16.4142 11.5L15 12.9142L13 10.9142L13 17H11L11 10.9142L9 12.9142L7.58579 11.5L12 7.08579Z"
      }
    }]
  };
  var backup = vue.defineComponent({
    name: "BackupIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-backup", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$vq(_objectSpread$vq({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$vo, finalProps.value);
    }
  });

  function ownKeys$vp(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$vp(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$vp(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$vp(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$vn = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M11.2502 4.33594V11.3359L18.2502 4.33594V19.6644L11.2502 12.6644V19.6644L3.58594 12.0002L11.2502 4.33594Z"
      }
    }]
  };
  var backwardFilled = vue.defineComponent({
    name: "BackwardFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-backward-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$vp(_objectSpread$vp({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$vn, finalProps.value);
    }
  });

  function ownKeys$vo(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$vo(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$vo(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$vo(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$vm = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M11.2502 4.33594V11.3359L18.2502 4.33594V19.6644L11.2502 12.6644V19.6644L3.58594 12.0002L11.2502 4.33594ZM6.41436 12.0002L9.25015 14.8359V9.16436L6.41436 12.0002ZM13.4144 12.0002L16.2502 14.8359V9.16436L13.4144 12.0002Z"
      }
    }]
  };
  var backward = vue.defineComponent({
    name: "BackwardIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-backward", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$vo(_objectSpread$vo({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$vm, finalProps.value);
    }
  });

  function ownKeys$vn(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$vn(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$vn(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$vn(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$vl = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M12 23C5.92487 23 1 18.0751 1 12C1 5.92487 5.92487 1 12 1C18.0751 1 23 5.92487 23 12C23 18.0751 18.0751 23 12 23ZM10.2327 10.1338L6.76855 8.13379L5.76855 9.86584L9.23266 11.8658L10.2327 10.1338ZM14.7686 11.8658L18.2327 9.86584L17.2327 8.13379L13.7686 10.1338L14.7686 11.8658ZM11.9998 18.9998C14.7612 18.9998 16.9998 16.7612 16.9998 13.9998H6.99981C6.99981 16.7612 9.23839 18.9998 11.9998 18.9998Z"
      }
    }]
  };
  var badLaughFilled = vue.defineComponent({
    name: "BadLaughFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-bad-laugh-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$vn(_objectSpread$vn({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$vl, finalProps.value);
    }
  });

  function ownKeys$vm(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$vm(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$vm(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$vm(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$vk = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M12 3C7.02944 3 3 7.02944 3 12C3 16.9706 7.02944 21 12 21C16.9706 21 21 16.9706 21 12C21 7.02944 16.9706 3 12 3ZM1 12C1 5.92487 5.92487 1 12 1C18.0751 1 23 5.92487 23 12C23 18.0751 18.0751 23 12 23C5.92487 23 1 18.0751 1 12ZM6.76874 8.13397L10.2328 10.134L9.23284 11.866L5.76874 9.86603L6.76874 8.13397ZM18.2328 9.86603L14.7687 11.866L13.7687 10.134L17.2328 8.13397L18.2328 9.86603ZM7 13H17V14C17 16.7614 14.7614 19 12 19C9.23858 19 7 16.7614 7 14V13ZM9.17071 15C9.58254 16.1652 10.6938 17 12 17C13.3062 17 14.4175 16.1652 14.8293 15H9.17071Z"
      }
    }]
  };
  var badLaugh = vue.defineComponent({
    name: "BadLaughIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-bad-laugh", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$vm(_objectSpread$vm({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$vk, finalProps.value);
    }
  });

  function ownKeys$vl(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$vl(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$vl(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$vl(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$vj = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M21.9909 2.44197C21.9918 2.31992 21.9926 2.19794 21.9947 2.07617 21.8739 2.07821 21.7529 2.07909 21.6318 2.07998 21.362 2.08195 21.0918 2.08393 20.8228 2.09867 20.7433 2.10303 20.6312 2.11073 20.4882 2.12435 20.2022 2.15159 19.7924 2.20248 19.2724 2.29748 18.4243 2.45245 17.2837 2.7247 15.9099 3.20278L17.2209 9.00413 20.2908 9.6766C21.0475 7.84627 21.465 6.32036 21.6952 5.20078 21.8276 4.55735 21.898 4.04848 21.9354 3.69349 21.9541 3.51599 21.9646 3.37697 21.9705 3.27882 21.9871 3.00067 21.989 2.72115 21.9909 2.44197zM19.4477 11.5393L16.1755 10.8226 8.50406 9.20504 11.4799 22.4864C15.4397 18.4438 17.9091 14.6688 19.4477 11.5393zM9.52057 22.8893L6.29813 8.50729C4.66009 9.74819 2.9434 11.228 1.17893 12.9925L.700195 13.4712.966891 14.0935C1.36709 15.0273 2.63859 17.2806 4.71446 19.3564 6.50453 21.1465 8.42649 22.3384 9.52057 22.8893zM8.25565 7.10869L15.0666 8.54479 14.0251 3.93558C12.3215 4.66642 10.3728 5.68621 8.25565 7.10869z"
      }
    }]
  };
  var bambooShootFilled = vue.defineComponent({
    name: "BambooShootFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-bamboo-shoot-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$vl(_objectSpread$vl({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$vj, finalProps.value);
    }
  });

  function ownKeys$vk(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$vk(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$vk(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$vk(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$vi = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M19.843 4.22785C19.7754 4.23923 19.705 4.25155 19.6319 4.26491C18.8574 4.40642 17.7772 4.66379 16.4538 5.13145C16.6276 5.99524 16.8201 6.9463 16.9836 7.7522C17.0749 8.20195 17.1571 8.60633 17.2218 8.92487L18.3888 9.04157C19.1291 7.27586 19.5248 5.82593 19.7362 4.79788C19.7789 4.59045 19.8141 4.40015 19.843 4.22785ZM17.5005 10.9627L16.2598 10.8386L9.22448 9.70923L11.0199 20.0707C14.1444 16.7017 16.1773 13.5819 17.5005 10.9627ZM9.02808 20.29L7.29103 10.2653C5.94798 11.2962 4.54479 12.5 3.10066 13.9059C3.6124 14.8571 4.63414 16.4477 6.12868 17.9422C7.1251 18.9386 8.16422 19.7249 9.02808 20.29ZM10.6938 7.91949L15.1211 8.63023C15.0901 8.47775 15.0575 8.31694 15.0236 8.14987C14.8822 7.45294 14.7189 6.64672 14.5648 5.88173C13.393 6.39757 12.0932 7.06244 10.6938 7.91949ZM21.9947 2.07617L21.9762 3.16254C21.9752 3.19088 21.9734 3.22974 21.9705 3.27882C21.9646 3.37697 21.9541 3.51599 21.9354 3.69349C21.898 4.04848 21.8276 4.55735 21.6952 5.20078C21.4305 6.48796 20.9183 8.31225 19.9277 10.5188C18.3958 13.9312 15.7258 18.2446 11.0784 22.892L10.5997 23.3707L9.9774 23.104C9.0436 22.7038 6.79034 21.4323 4.71446 19.3564C2.63859 17.2806 1.36709 15.0273 0.966892 14.0935L0.700195 13.4712L1.17893 12.9925C3.35167 10.8197 5.45197 9.07862 7.42218 7.6837C10.2607 5.67405 12.8254 4.38555 14.9421 3.55998C16.7525 2.85392 18.2324 2.48751 19.2724 2.29748C19.7924 2.20248 20.2022 2.15159 20.4882 2.12435C20.6313 2.11073 20.7433 2.10303 20.8228 2.09867C20.8625 2.09649 20.8941 2.09515 20.9173 2.09433L21.9947 2.07617Z"
      }
    }]
  };
  var bambooShoot = vue.defineComponent({
    name: "BambooShootIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-bamboo-shoot", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$vk(_objectSpread$vk({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$vi, finalProps.value);
    }
  });

  function ownKeys$vj(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$vj(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$vj(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$vj(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$vh = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M18.6005 1.50098L21.9005 3.00098V8.50098C24.9402 12.3285 21.4524 19.9425 14.2086 21.6232C6.96477 23.304 1 19.5 1 15.501C1 14 1.73821 13.1948 3 14C4.26179 14.8052 6.09789 15.6834 7.86054 16.0718C13.2219 17.253 17.9177 14.501 18.6005 8.50098V1.50098Z"
      }
    }, {
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M8.23652 15.0718C13.1104 16.253 17.3792 13.501 17.9998 7.50098C17.3224 8.88616 15.9356 11.2042 10.9998 11.501C8.1174 11.6743 5.55121 10.6981 4.81692 10.3485C4.08263 9.99882 3.67962 10.5012 3.89604 11.3748C4.11246 12.2485 5.1552 14.1025 8.23652 15.0718Z"
      }
    }]
  };
  var bananaFilled = vue.defineComponent({
    name: "BananaFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-banana-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$vj(_objectSpread$vj({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$vh, finalProps.value);
    }
  });

  function ownKeys$vi(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$vi(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$vi(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$vi(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$vg = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M17.4873 0.612793V7.76385C17.1825 8.35587 16.7558 9.02705 15.9825 9.60963C15.1213 10.2584 13.7403 10.8629 11.4273 11.002C8.87354 11.1556 6.76669 9.85152 6.18574 9.28456C5.59502 8.70805 4.76628 8.78189 4.22561 9.22122C3.71515 9.636 3.4873 10.3035 3.4873 11.0002C3.4873 11.728 3.55841 12.404 3.75117 13.0236C3.50476 12.9281 3.22689 12.8799 2.933 12.9215C2.54926 12.9757 2.23929 13.1691 2.01735 13.4137C1.60729 13.8656 1.4873 14.4858 1.4873 15.0002C1.4873 19.2385 6.53487 24.7667 14.8099 21.9468L14.8335 21.9387L14.8567 21.9295C19.282 20.1701 21.5125 17.4636 22.4455 14.6982C23.3335 12.0661 23.0076 9.49823 22.4873 7.84253V2.27947L17.4873 0.612793ZM8.75516 14.6252C7.28018 14.1582 6.51287 13.7075 6.0894 13.216C5.73011 12.799 5.52499 12.2411 5.49203 11.2847C6.72834 12.1463 8.94975 13.1546 11.5473 12.9984C13.1543 12.9018 14.445 12.6005 15.4879 12.1675C14.868 13.0517 14.2161 13.6661 13.5595 14.0807C12.1481 14.9719 10.5358 15.0511 8.75516 14.6252ZM20.4873 3.72098V8.16251L20.5386 8.31646C20.9895 9.66909 21.293 11.8577 20.5504 14.0589C19.8253 16.2081 18.0613 18.4969 14.1411 20.0617C7.17321 22.4233 3.58541 17.8851 3.48929 15.1136C4.89303 15.7577 6.47265 16.1353 7.79989 16.4526C7.95415 16.4895 8.105 16.5256 8.25176 16.5611C10.3617 17.0725 12.5949 17.0551 14.6273 15.7718C16.636 14.5035 18.2634 12.1136 19.4428 8.29535L19.4873 8.15115V3.38765L20.4873 3.72098Z"
      }
    }]
  };
  var banana = vue.defineComponent({
    name: "BananaIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-banana", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$vi(_objectSpread$vi({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$vg, finalProps.value);
    }
  });

  function ownKeys$vh(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$vh(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$vh(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$vh(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$vf = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M13.316 2.7957C14.377 1.73477 16.0971 1.73477 17.158 2.7957L18.4741 4.11173L20.0926 2.49322L21.5068 3.90743L19.8883 5.52595L21.2043 6.84198C22.2652 7.90292 22.2652 9.62303 21.2043 10.684L19.9904 11.8979C19.53 12.3583 18.9454 12.6189 18.3445 12.6797C18.2837 13.2806 18.0231 13.8652 17.5626 14.3256L16.3488 15.5395C15.8883 15.9999 15.3038 16.2605 14.7028 16.3213C14.642 16.9223 14.3814 17.5069 13.921 17.9673L12.7071 19.1812C11.6462 20.2421 9.92606 20.2421 8.86513 19.1812L7.54909 17.8651L5.93058 19.4836L5.22347 18.7765C4.94358 18.4966 4.4898 18.4966 4.20991 18.7765C3.93003 19.0564 3.93003 19.5102 4.20991 19.7901C4.41042 19.9906 4.70152 20.0489 4.95601 19.9593L5.89924 19.6271L6.56355 21.5136L5.62032 21.8457C4.66738 22.1813 3.56081 21.9694 2.7957 21.2043C1.73477 20.1434 1.73477 18.4232 2.7957 17.3623C3.60694 16.5511 4.8036 16.3601 5.79625 16.7895L6.13487 16.4509L4.81884 15.1349C3.75791 14.0739 3.75791 12.3538 4.81884 11.2929L6.03273 10.079C6.49315 9.61859 7.07771 9.35798 7.67867 9.29719C7.73947 8.69623 8.00008 8.11166 8.4605 7.65124L9.67438 6.43736C10.1348 5.97694 10.7194 5.71633 11.3203 5.65553C11.3811 5.05457 11.6417 4.47001 12.1022 4.00959L13.316 2.7957ZM13.5164 6.43736L17.5626 10.4836C17.8425 10.7635 18.2963 10.7635 18.5762 10.4836L19.7901 9.26975C20.07 8.98987 20.07 8.53608 19.7901 8.2562L18.4741 6.94016L17.5 7.91421L16.0858 6.5L17.0598 5.52595L15.7438 4.20991C15.4639 3.93003 15.0101 3.93003 14.7302 4.20991L13.5164 5.4238C13.2365 5.70369 13.2365 6.15747 13.5164 6.43736ZM12.5068 15.5395L8.4605 11.4932C8.18061 11.2133 7.72683 11.2133 7.44694 11.4932L6.23306 12.7071C5.95317 12.987 5.95317 13.4408 6.23306 13.7207L10.2793 17.7669C10.5592 18.0468 11.013 18.0468 11.2929 17.7669L12.5068 16.5531C12.7867 16.2732 12.7867 15.8194 12.5068 15.5395Z"
      }
    }]
  };
  var barbecueFilled = vue.defineComponent({
    name: "BarbecueFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-barbecue-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$vh(_objectSpread$vh({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$vf, finalProps.value);
    }
  });

  function ownKeys$vg(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$vg(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$vg(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$vg(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$ve = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M13.316 2.7957C14.377 1.73477 16.0971 1.73477 17.158 2.7957L18.4741 4.11173L20.0926 2.49322L21.5068 3.90743L19.8883 5.52595L21.2043 6.84198C22.2652 7.90292 22.2652 9.62303 21.2043 10.684L19.9904 11.8979C19.53 12.3583 18.9454 12.6189 18.3445 12.6797C18.2837 13.2806 18.0231 13.8652 17.5626 14.3256L16.3488 15.5395C15.8883 15.9999 15.3038 16.2605 14.7028 16.3213C14.642 16.9223 14.3814 17.5069 13.921 17.9673L12.7071 19.1812C11.6462 20.2421 9.92606 20.2421 8.86513 19.1812L7.54909 17.8651L5.93058 19.4836L5.22347 18.7765C4.94358 18.4966 4.4898 18.4966 4.20991 18.7765C3.93003 19.0564 3.93003 19.5102 4.20991 19.7901C4.41042 19.9906 4.70152 20.0489 4.95601 19.9593L5.89924 19.6271L6.56355 21.5136L5.62032 21.8457C4.66738 22.1813 3.56081 21.9694 2.7957 21.2043C1.73477 20.1434 1.73477 18.4232 2.7957 17.3623C3.60694 16.5511 4.8036 16.3601 5.79625 16.7895L6.13487 16.4509L4.81884 15.1349C3.75791 14.0739 3.75791 12.3538 4.81884 11.2929L6.03273 10.079C6.49315 9.61859 7.07771 9.35798 7.67867 9.29719C7.73947 8.69623 8.00008 8.11166 8.4605 7.65124L9.67438 6.43736C10.1348 5.97694 10.7194 5.71633 11.3203 5.65553C11.3811 5.05457 11.6417 4.47001 12.1022 4.00959L13.316 2.7957ZM13.5164 6.43736L17.5626 10.4836C17.8425 10.7635 18.2963 10.7635 18.5762 10.4836L19.7901 9.26975C20.07 8.98987 20.07 8.53608 19.7901 8.2562L18.4741 6.94016L17.5 7.91421L16.0858 6.5L17.0598 5.52595L15.7438 4.20991C15.4639 3.93003 15.0101 3.93003 14.7302 4.20991L13.5164 5.4238C13.2365 5.70369 13.2365 6.15747 13.5164 6.43736ZM16.1484 11.8979L12.1022 7.85157C11.8223 7.57168 11.3685 7.57168 11.0886 7.85157L9.87471 9.06545C9.59483 9.34534 9.59483 9.79913 9.87471 10.079L13.921 14.1253C14.2009 14.4052 14.6547 14.4052 14.9345 14.1253L16.1484 12.9114C16.4283 12.6315 16.4283 12.1777 16.1484 11.8979ZM12.5068 15.5395L8.4605 11.4932C8.18061 11.2133 7.72683 11.2133 7.44694 11.4932L6.23306 12.7071C5.95317 12.987 5.95317 13.4408 6.23306 13.7207L10.2793 17.7669C10.5592 18.0468 11.013 18.0468 11.2929 17.7669L12.5068 16.5531C12.7867 16.2732 12.7867 15.8194 12.5068 15.5395Z"
      }
    }]
  };
  var barbecue = vue.defineComponent({
    name: "BarbecueIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-barbecue", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$vg(_objectSpread$vg({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$ve, finalProps.value);
    }
  });

  function ownKeys$vf(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$vf(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$vf(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$vf(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$vd = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M2 2H9V4H4V9H2V2ZM15 2H22V9H20V4H15V2ZM9 8L9 16H7L7 8H9ZM13 8V16H11V8H13ZM17 8V16H15V8H17ZM4 15V20H9V22H2V15H4ZM22 15V22H15V20H20V15H22Z"
      }
    }]
  };
  var barcode1 = vue.defineComponent({
    name: "Barcode1Icon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-barcode-1", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$vf(_objectSpread$vf({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$vd, finalProps.value);
    }
  });

  function ownKeys$ve(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$ve(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$ve(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$ve(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$vc = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M2 2H5V21H2V2ZM8.75 2L8.75 21H6.75L6.75 2L8.75 2ZM10.5 2H13.5V21H10.5V2ZM17.25 2L17.25 21H15.25L15.25 2L17.25 2ZM19 2H22V21H19V2Z"
      }
    }]
  };
  var barcode = vue.defineComponent({
    name: "BarcodeIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-barcode", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$ve(_objectSpread$ve({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$vc, finalProps.value);
    }
  });

  function ownKeys$vd(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$vd(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$vd(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$vd(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$vb = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M6.34412 3.92959L5.63702 4.6367C2.1223 8.15142 2.1223 13.8499 5.63702 17.3646L6.34412 18.0717L4.92991 19.4859L4.2228 18.7788C-0.0729651 14.4831 -0.0729651 7.51825 4.2228 3.22249L4.92991 2.51538L6.34412 3.92959ZM19.0705 2.51538L19.7776 3.22249C24.0734 7.51825 24.0734 14.4831 19.7776 18.7788L19.0705 19.4859L17.6563 18.0717L18.3634 17.3646C21.8781 13.8499 21.8781 8.15142 18.3634 4.6367L17.6563 3.92959L19.0705 2.51538ZM9.52576 7.11124L8.81866 7.81834C7.0613 9.5757 7.0613 12.4249 8.81866 14.1823L9.52576 14.8894L8.11155 16.3036L7.40444 15.5965C4.86603 13.0581 4.86603 8.94254 7.40444 6.40413L8.11155 5.69702L9.52576 7.11124ZM15.8889 5.69702L16.596 6.40413C19.1344 8.94254 19.1344 13.0581 16.596 15.5965L15.8889 16.3036L14.4747 14.8894L15.1818 14.1823C16.9391 12.4249 16.9391 9.5757 15.1818 7.81834L14.4747 7.11124L15.8889 5.69702ZM10.0002 10.9999C10.0002 9.89534 10.8957 8.99991 12.0002 8.99991C13.1048 8.99991 14.0002 9.89534 14.0002 10.9999C14.0002 11.7402 13.598 12.3865 13.0002 12.7323V22.9999H11.0002V12.7323C10.4024 12.3865 10.0002 11.7402 10.0002 10.9999Z"
      }
    }]
  };
  var baseStation = vue.defineComponent({
    name: "BaseStationIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-base-station", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$vd(_objectSpread$vd({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$vb, finalProps.value);
    }
  });

  function ownKeys$vc(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$vc(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$vc(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$vc(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$va = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M16 0.5H8V3H3V23.5H21V3H16V0.5ZM16 14.5H13V17.5H11V14.5H8V12.5H11V9.5H13V12.5H16V14.5Z"
      }
    }]
  };
  var batteryAddFilled = vue.defineComponent({
    name: "BatteryAddFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-battery-add-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$vc(_objectSpread$vc({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$va, finalProps.value);
    }
  });

  function ownKeys$vb(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$vb(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$vb(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$vb(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$v9 = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M8 0.5H16V3H21V23.5H3V3H8V0.5ZM10 2.5V5H5V21.5H19V5H14V2.5H10ZM13 9.5V12.5H16V14.5H13V17.5H11V14.5H8V12.5H11V9.5H13Z"
      }
    }]
  };
  var batteryAdd = vue.defineComponent({
    name: "BatteryAddIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-battery-add", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$vb(_objectSpread$vb({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$v9, finalProps.value);
    }
  });

  function ownKeys$va(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$va(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$va(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$va(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$v8 = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M12.3753 5.17246L10.672 4.12427L5.20996 13H11.21L7.62377 18.8276L9.32709 19.8758L14.7891 11H8.78909L12.3753 5.17246Z"
      }
    }, {
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M0 5H8.37178L2.52561 14.5H8.52561L5.7564 19H0V5zM21 19H11.6273L17.4734 9.50002H11.4734L14.2427 5H21V19zM24 9V15H22V9H24z"
      }
    }]
  };
  var batteryChargingFilled = vue.defineComponent({
    name: "BatteryChargingFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-battery-charging-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$va(_objectSpread$va({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$v8, finalProps.value);
    }
  });

  function ownKeys$v9(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$v9(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$v9(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$v9(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$v7 = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M12.3758 5.17246L8.78956 11H14.7896L9.32756 19.8758L7.62424 18.8276L11.2104 13H5.21044L10.6724 4.12427L12.3758 5.17246ZM0 5.00002H7.5V7.00002H2V17H6V19H0V5.00002ZM14 5.00002H21V19H13V17H19V7.00002H14V5.00002ZM24 9.00002V15H22V9.00002H24Z"
      }
    }]
  };
  var batteryCharging = vue.defineComponent({
    name: "BatteryChargingIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-battery-charging", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$v9(_objectSpread$v9({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$v7, finalProps.value);
    }
  });

  function ownKeys$v8(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$v8(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$v8(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$v8(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$v6 = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M0 5H21V19H0V5ZM24 9V15H22V9H24Z"
      }
    }]
  };
  var batteryFilled = vue.defineComponent({
    name: "BatteryFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-battery-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$v8(_objectSpread$v8({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$v6, finalProps.value);
    }
  });

  function ownKeys$v7(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$v7(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$v7(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$v7(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$v5 = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M21 5H0V19H21V5zM6 15H4V9H6V15zM24 15V9H22V15H24z"
      }
    }]
  };
  var batteryLowFilled = vue.defineComponent({
    name: "BatteryLowFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-battery-low-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$v7(_objectSpread$v7({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$v5, finalProps.value);
    }
  });

  function ownKeys$v6(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$v6(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$v6(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$v6(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$v4 = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M0 5H21V19H0V5ZM2 7V17H19V7H2ZM6 9V15H4V9H6ZM24 9V15H22V9H24Z"
      }
    }]
  };
  var batteryLow = vue.defineComponent({
    name: "BatteryLowIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-battery-low", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$v6(_objectSpread$v6({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$v4, finalProps.value);
    }
  });

  function ownKeys$v5(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$v5(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$v5(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$v5(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$v3 = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M0 5H21V19H0V5ZM2 7V17H19V7H2ZM24 9V15H22V9H24Z"
      }
    }]
  };
  var battery = vue.defineComponent({
    name: "BatteryIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-battery", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$v5(_objectSpread$v5({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$v3, finalProps.value);
    }
  });

  function ownKeys$v4(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$v4(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$v4(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$v4(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$v2 = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M17.5496 2.17352C15.9218 1.51685 14.4622 1.50634 13.2018 1.97099C11.9642 2.42724 11.022 3.3031 10.3289 4.24227C9.84383 4.89959 9.54259 5.63924 9.2942 6.24915C9.25616 6.34255 9.21932 6.43301 9.18328 6.51956C8.89431 7.2137 8.62293 7.76461 8.16023 8.22735C7.70445 8.68318 7.15662 8.9543 6.46088 9.24543C6.3737 9.28191 6.28271 9.31917 6.18868 9.35769C5.57798 9.6078 4.83878 9.91054 4.17911 10.393C3.2176 11.0962 2.3273 12.0415 1.87049 13.283C1.40456 14.5492 1.43268 16.0073 2.11049 17.629C3.28814 20.4464 6.09772 22.0752 9.19493 22.3193C12.3079 22.5646 15.8055 21.4351 18.5868 18.6538C21.5333 15.7073 22.6925 12.1966 22.4019 9.09571C22.1123 6.00621 20.3674 3.31021 17.5496 2.17352ZM6.76797 11.0336C6.69968 10.9653 6.63543 10.8946 6.5752 10.8218L6.73897 10.7542C6.8376 10.7136 6.9379 10.6722 7.03996 10.6295C7.7626 10.3272 8.54495 9.96446 9.22101 9.28833C9.90424 8.60503 10.2671 7.81958 10.5681 7.09643C10.6104 6.99485 10.6513 6.8951 10.6915 6.79713C10.7211 6.72481 10.7506 6.65294 10.7797 6.58252C10.8593 6.64725 10.9364 6.71673 11.0106 6.79097C12.1822 7.96255 12.1822 9.86204 11.0106 11.0336C9.83904 12.2052 7.93954 12.2052 6.76797 11.0336Z"
      }
    }]
  };
  var beanFilled = vue.defineComponent({
    name: "BeanFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-bean-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$v4(_objectSpread$v4({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$v2, finalProps.value);
    }
  });

  function ownKeys$v3(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$v3(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$v3(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$v3(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$v1 = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M12.1639 2.63585C13.1664 2.11761 14.28 2 15.5612 2C17.4691 2 19.1638 2.78219 20.338 4.17303C21.507 5.55758 22.1071 7.47868 21.9842 9.68716C21.7661 13.6044 20.1734 16.7054 17.7252 18.8194C15.2884 20.9234 12.0635 22 8.64501 22C6.79216 22 4.9108 21.3282 3.47983 20.1807C2.04215 19.0278 1 17.3397 1 15.3158C1 13.9255 1.33945 12.7179 2.06941 11.7013C2.79157 10.6956 3.83731 9.95858 5.11148 9.39707C5.45545 9.24548 5.81806 9.10579 6.19822 8.9764C7.55074 8.51609 8.07868 8.15965 8.33457 7.63712C8.79232 6.70238 9.21253 5.90969 9.62404 5.24484C10.3794 4.02436 11.1503 3.15981 12.1639 2.63585ZM11.7314 5.68575C13.4328 7.88047 13.0287 10.4344 11.488 11.9102C10.6602 12.7031 9.5097 13.1699 8.26038 13.0522C7.21534 12.9537 6.18627 12.4556 5.27402 11.5435C4.5596 11.9357 4.04715 12.376 3.69397 12.8679C3.25035 13.4857 3 14.2654 3 15.3158C3 16.6056 3.65759 17.7596 4.73103 18.6204C5.81118 19.4866 7.25233 20 8.64501 20C11.6509 20 14.3925 19.0546 16.4181 17.3056C18.4322 15.5665 19.7976 12.9833 19.9873 9.576C20.0867 7.79071 19.5973 6.39602 18.8098 5.46323C18.0276 4.53671 16.8989 4 15.5612 4C14.3682 4 13.6492 4.11943 13.0823 4.4125C12.644 4.63907 12.2184 5.01089 11.7314 5.68575ZM7.37304 10.6805C7.75902 10.9193 8.12505 11.0305 8.44804 11.061C9.07073 11.1197 9.65978 10.8919 10.1046 10.4659C10.7507 9.84698 11.111 8.77135 10.5839 7.61683C10.4391 7.89509 10.2886 8.19446 10.1308 8.51673C9.5677 9.66649 8.52775 10.2451 7.37304 10.6805Z"
      }
    }]
  };
  var bean = vue.defineComponent({
    name: "BeanIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-bean", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$v3(_objectSpread$v3({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$v1, finalProps.value);
    }
  });

  function ownKeys$v2(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$v2(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$v2(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$v2(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$v0 = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M5.65163 4C6.17244 2.30469 7.9684 1 10 1C10.9878 1 11.915 1.31569 12.664 1.77C13.204 2.09756 13.6896 2.52079 14.0498 3H15C16.933 3 18.5 4.567 18.5 6.5L18.5 6.5141C18.5001 6.75054 18.5002 7.37728 18.3828 8H19.5C19.9967 8 20.5538 8.12581 20.9744 8.56001C21.389 8.98807 21.5 9.54067 21.5 10.0169V18C21.5 18.476 21.3889 19.0312 20.9655 19.4575C20.5409 19.885 19.9838 20 19.5 20H17.5V21C17.5 21.476 17.3889 22.0312 16.9655 22.4575C16.5409 22.885 15.9838 23 15.5 23H6.5C6.0162 23 5.45915 22.885 5.03447 22.4575C4.61106 22.0312 4.5 21.476 4.5 21V15.8293C3.33481 15.4175 2.5 14.3062 2.5 13V7C2.5 5.34315 3.84315 4 5.5 4H5.65163ZM17.5 10V18H19.5V10.0169C19.5 10.0111 19.5 10.0055 19.4999 10H17.5ZM16.3152 8C16.3407 7.938 16.3707 7.84688 16.3988 7.72057C16.4969 7.27897 16.5 6.75702 16.5 6.5C16.5 5.67157 15.8284 5 15 5H12.882L12.6056 4.44721C12.4585 4.15301 12.1234 3.78127 11.6267 3.48C11.1392 3.18431 10.5664 3 10 3C8.4733 3 7.5 4.15378 7.5 5V6H5.5C4.94772 6 4.5 6.44772 4.5 7V13C4.5 13.5523 4.94772 14 5.5 14C6.05228 14 6.5 13.5523 6.5 13V8H16.3152Z"
      }
    }]
  };
  var beerFilled = vue.defineComponent({
    name: "BeerFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-beer-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$v2(_objectSpread$v2({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$v0, finalProps.value);
    }
  });

  function ownKeys$v1(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$v1(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$v1(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$v1(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$u$ = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M5.15163 4C5.67244 2.30469 7.4684 1 9.5 1C10.4878 1 11.415 1.31569 12.164 1.77C12.704 2.09756 13.1896 2.52079 13.5498 3H14.5C16.433 3 18 4.567 18 6.5L18 6.5141C18.0001 6.75054 18.0002 7.37728 17.8828 8H19C19.4967 8 20.0538 8.12581 20.4744 8.56001C20.889 8.98807 21 9.54067 21 10.0169V18C21 18.476 20.8889 19.0312 20.4655 19.4575C20.0409 19.885 19.4838 20 19 20H17V21C17 21.476 16.8889 22.0312 16.4655 22.4575C16.0409 22.885 15.4838 23 15 23H6C5.5162 23 4.95915 22.885 4.53447 22.4575C4.11106 22.0312 4 21.476 4 21V15.8293C2.83481 15.4175 2 14.3062 2 13V7C2 5.34315 3.34315 4 5 4H5.15163ZM6 15.8293V21H15V10H8V13C8 14.3062 7.16519 15.4175 6 15.8293ZM17 10V18H19V10.0169C19 10.0111 19 10.0055 18.9999 10H17ZM15.8152 8C15.8407 7.938 15.8707 7.84688 15.8988 7.72057C15.9969 7.27897 16 6.75702 16 6.5C16 5.67157 15.3284 5 14.5 5H12.382L12.1056 4.44721C11.9585 4.15301 11.6234 3.78127 11.1267 3.48C10.6392 3.18431 10.0664 3 9.5 3C7.9733 3 7 4.15378 7 5V6H5C4.44772 6 4 6.44772 4 7V13C4 13.5523 4.44772 14 5 14C5.55228 14 6 13.5523 6 13V8H15.8152Z"
      }
    }]
  };
  var beer = vue.defineComponent({
    name: "BeerIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-beer", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$v1(_objectSpread$v1({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$u$, finalProps.value);
    }
  });

  function ownKeys$v0(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$v0(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$v0(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$v0(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$u_ = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M20.0002 2.49121V21.0001H4.00025V19.0001H18.0002V15.9433L3.49023 9.47622L20.0002 2.49121ZM18.0002 13.7537V5.50899L8.51026 9.52399L18.0002 13.7537Z"
      }
    }]
  };
  var beta = vue.defineComponent({
    name: "BetaIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-beta", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$v0(_objectSpread$v0({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$u_, finalProps.value);
    }
  });

  function ownKeys$u$(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$u$(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$u$(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$u$(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$uZ = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M3 5C3 3.34315 4.34315 2 6 2C7.65685 2 9 3.34315 9 5C9 6.27392 8.20597 7.36238 7.08583 7.79747C7.21385 8.46406 7.49775 9.30312 8.02047 10.0533C8.75183 11.1029 9.9579 12 12 12C14.0421 12 15.2482 11.1029 15.9795 10.0533C16.5022 9.30312 16.7861 8.46406 16.9142 7.79747C15.794 7.36238 15 6.27392 15 5C15 3.34315 16.3431 2 18 2C19.6569 2 21 3.34315 21 5C21 6.33123 20.1329 7.45994 18.9327 7.85218C18.7891 8.83056 18.4001 10.0778 17.6205 11.1967C16.6869 12.5365 15.1998 13.6748 13 13.9412V16.1707C14.1652 16.5825 15 17.6938 15 19C15 20.6569 13.6569 22 12 22C10.3431 22 9 20.6569 9 19C9 17.6938 9.83481 16.5825 11 16.1707V13.9412C8.80022 13.6748 7.31311 12.5365 6.37953 11.1967C5.59991 10.0778 5.21091 8.83056 5.06728 7.85218C3.86708 7.45994 3 6.33123 3 5Z"
      }
    }]
  };
  var bifurcateFilled = vue.defineComponent({
    name: "BifurcateFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-bifurcate-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$u$(_objectSpread$u$({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$uZ, finalProps.value);
    }
  });

  function ownKeys$u_(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$u_(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$u_(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$u_(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$uY = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M6 4C5.44772 4 5 4.44772 5 5C5 5.55228 5.44772 6 6 6C6.55228 6 7 5.55228 7 5C7 4.44772 6.55228 4 6 4ZM3 5C3 3.34315 4.34315 2 6 2C7.65685 2 9 3.34315 9 5C9 6.27392 8.20597 7.36238 7.08583 7.79747C7.21385 8.46406 7.49775 9.30312 8.02047 10.0533C8.75183 11.1029 9.9579 12 12 12C14.0421 12 15.2482 11.1029 15.9795 10.0533C16.5022 9.30312 16.7861 8.46406 16.9142 7.79747C15.794 7.36238 15 6.27392 15 5C15 3.34315 16.3431 2 18 2C19.6569 2 21 3.34315 21 5C21 6.33123 20.1329 7.45994 18.9327 7.85218C18.7891 8.83056 18.4001 10.0778 17.6205 11.1967C16.6869 12.5365 15.1998 13.6748 13 13.9412V16.1707C14.1652 16.5825 15 17.6938 15 19C15 20.6569 13.6569 22 12 22C10.3431 22 9 20.6569 9 19C9 17.6938 9.83481 16.5825 11 16.1707V13.9412C8.80022 13.6748 7.31311 12.5365 6.37953 11.1967C5.59991 10.0778 5.21091 8.83056 5.06728 7.85218C3.86708 7.45994 3 6.33123 3 5ZM18 4C17.4477 4 17 4.44772 17 5C17 5.55228 17.4477 6 18 6C18.5523 6 19 5.55228 19 5C19 4.44772 18.5523 4 18 4ZM12 18C11.4477 18 11 18.4477 11 19C11 19.5523 11.4477 20 12 20C12.5523 20 13 19.5523 13 19C13 18.4477 12.5523 18 12 18Z"
      }
    }]
  };
  var bifurcate = vue.defineComponent({
    name: "BifurcateIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-bifurcate", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$u_(_objectSpread$u_({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$uY, finalProps.value);
    }
  });

  function ownKeys$uZ(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$uZ(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$uZ(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$uZ(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$uX = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M2 2V4H4V22.0806L7.46605 19.3078L9.75 21.338L12 19.338L14.25 21.338L16.5339 19.3078L20 22.0806V4H22V2H2ZM16 9H8V7H16V9ZM9 13V11H15V13H9Z"
      }
    }]
  };
  var billFilled = vue.defineComponent({
    name: "BillFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-bill-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$uZ(_objectSpread$uZ({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$uX, finalProps.value);
    }
  });

  function ownKeys$uY(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$uY(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$uY(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$uY(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$uW = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M2 2H3H5H19H21H22V4H21H20V20V22.0806L18.3753 20.7809L16.5339 19.3078L14.9144 20.7474L14.25 21.338L13.5856 20.7474L12 19.338L10.4144 20.7474L9.75 21.338L9.08564 20.7474L7.46605 19.3078L5.6247 20.7809L4 22.0806V20V4H3H2V2ZM6 4V17.9194L6.87531 17.2191L7.53395 16.6922L8.16436 17.2526L9.75 18.662L11.3356 17.2526L12 16.662L12.6644 17.2526L14.25 18.662L15.8356 17.2526L16.4661 16.6922L17.1247 17.2191L18 17.9194V4H6ZM8 7H9H15H16V9H15H9H8V7ZM10 11H9V13H10H14H15V11H14H10Z"
      }
    }]
  };
  var bill = vue.defineComponent({
    name: "BillIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-bill", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$uY(_objectSpread$uY({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$uW, finalProps.value);
    }
  });

  function ownKeys$uX(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$uX(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$uX(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$uX(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$uV = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M11.0002 0.254639L18.4526 6.96181L13.4144 12L18.4526 17.0382L11.0002 23.7454V14.4142L7.00015 18.4142L5.58594 17L10.5859 12L5.58594 7L7.00015 5.58579L11.0002 9.58579V0.254639ZM13.0002 14.4142V19.2546L15.5477 16.9618L13.0002 14.4142ZM13.0002 9.58579L15.5477 7.0382L13.0002 4.74536V9.58579Z"
      }
    }]
  };
  var bluetooth = vue.defineComponent({
    name: "BluetoothIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-bluetooth", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$uX(_objectSpread$uX({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$uV, finalProps.value);
    }
  });

  function ownKeys$uW(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$uW(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$uW(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$uW(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$uU = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M17.5 1C15.567 1 14 2.567 14 4.5C14 5.02351 14.1156 5.52226 14.3231 5.97018L5.97018 14.3231C5.52226 14.1156 5.02351 14 4.5 14C2.567 14 1 15.567 1 17.5C1 18.9878 1.92751 20.2573 3.23565 20.7644C3.74271 22.0725 5.01224 23 6.5 23C8.433 23 10 21.433 10 19.5C10 18.9767 9.88452 18.4781 9.67715 18.0303L18.0303 9.67715C18.4781 9.88452 18.9767 10 19.5 10C21.433 10 23 8.433 23 6.5C23 5.01224 22.0725 3.74271 20.7644 3.23565C20.2573 1.92751 18.9878 1 17.5 1Z"
      }
    }]
  };
  var boneFilled = vue.defineComponent({
    name: "BoneFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-bone-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$uW(_objectSpread$uW({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$uU, finalProps.value);
    }
  });

  function ownKeys$uV(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$uV(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$uV(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$uV(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$uT = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M17.5 3C16.6716 3 16 3.67157 16 4.5C16 4.76166 16.0661 5.00488 16.1818 5.21687L16.5404 5.87382L5.87382 16.5404L5.21687 16.1818C5.00488 16.0661 4.76166 16 4.5 16C3.67157 16 3 16.6716 3 17.5C3 18.2335 3.52743 18.8458 4.22398 18.9748L4.89997 19.1L5.02516 19.776C5.15416 20.4726 5.76654 21 6.5 21C7.32843 21 8 20.3284 8 19.5C8 19.2383 7.93385 18.9951 7.81815 18.7831L7.45961 18.1262L18.1262 7.45961L18.7831 7.81815C18.9951 7.93385 19.2383 8 19.5 8C20.3284 8 21 7.32843 21 6.5C21 5.76654 20.4726 5.15416 19.776 5.02516L19.1 4.89997L18.9748 4.22398C18.8458 3.52743 18.2335 3 17.5 3ZM14 4.5C14 2.567 15.567 1 17.5 1C18.9878 1 20.2573 1.92751 20.7644 3.23565C22.0725 3.74271 23 5.01224 23 6.5C23 8.433 21.433 10 19.5 10C19.17 10 18.8498 9.95408 18.5461 9.86816L9.86816 18.5461C9.95408 18.8498 10 19.17 10 19.5C10 21.433 8.433 23 6.5 23C5.01224 23 3.74271 22.0725 3.23565 20.7644C1.92751 20.2573 1 18.9878 1 17.5C1 15.567 2.567 14 4.5 14C4.82999 14 5.15015 14.0459 5.45394 14.1318L14.1318 5.45394C14.0459 5.15015 14 4.82999 14 4.5Z"
      }
    }]
  };
  var bone = vue.defineComponent({
    name: "BoneIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-bone", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$uV(_objectSpread$uV({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$uT, finalProps.value);
    }
  });

  function ownKeys$uU(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$uU(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$uU(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$uU(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$uS = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M7 2C4.79086 2 3 3.79086 3 6V18C3 20.2091 4.79086 22 7 22H21V2H7ZM11 5H18V7H11V5ZM5 18C5 16.8954 5.89543 16 7 16H19V20H7C5.89543 20 5 19.1046 5 18Z"
      }
    }]
  };
  var bookFilled = vue.defineComponent({
    name: "BookFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-book-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$uU(_objectSpread$uU({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$uS, finalProps.value);
    }
  });

  function ownKeys$uT(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$uT(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$uT(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$uT(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$uR = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M9 2H1V21H2C4.94416 21 7.13918 21.2453 8.5856 21.4864C9.30891 21.6069 9.84535 21.7265 10.195 21.8139C10.3698 21.8576 10.4979 21.8933 10.5794 21.917C10.6201 21.9289 10.6492 21.9378 10.6666 21.9432L10.6838 21.9487L10.6847 21.949L10.686 21.9494L10.8377 22H13.1623L13.314 21.9494L13.3162 21.9487L13.3334 21.9432C13.3508 21.9378 13.3799 21.9289 13.4206 21.917C13.5021 21.8933 13.6302 21.8576 13.805 21.8139C14.1546 21.7265 14.6911 21.6069 15.4144 21.4864C16.8608 21.2453 19.0558 21 22 21H23L23 2H15C13.8053 2 12.7329 2.52376 12 3.35418C11.2671 2.52375 10.1947 2 9 2ZM3 19.0093V4H9C10.1046 4 11 4.89543 11 6V19.9575C10.9117 19.9332 10.805 19.9049 10.68 19.8736C10.2796 19.7735 9.69108 19.6431 8.9144 19.5136C7.53509 19.2837 5.56349 19.0572 3 19.0093ZM19 10H15V8H19V10ZM19 13H15V11H19V13Z"
      }
    }]
  };
  var bookOpenFilled = vue.defineComponent({
    name: "BookOpenFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-book-open-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$uT(_objectSpread$uT({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$uR, finalProps.value);
    }
  });

  function ownKeys$uS(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$uS(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$uS(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$uS(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$uQ = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M1 2H9C10.1947 2 11.2671 2.52375 12 3.35418C12.7329 2.52376 13.8053 2 15 2H23V3L23 21H22C19.0558 21 16.8608 21.2453 15.4144 21.4864C14.6911 21.6069 14.1546 21.7265 13.805 21.8139C13.6302 21.8576 13.5021 21.8933 13.4206 21.917C13.3799 21.9289 13.3508 21.9378 13.3334 21.9432L13.3162 21.9487L13.314 21.9494L13.1623 22H10.8377L10.686 21.9494L10.6847 21.949L10.6838 21.9487L10.6666 21.9432C10.6492 21.9378 10.6201 21.9289 10.5794 21.917C10.4979 21.8933 10.3698 21.8576 10.195 21.8139C9.84535 21.7265 9.30891 21.6069 8.5856 21.4864C7.13918 21.2453 4.94416 21 2 21H1L1 3.00062L1 2ZM3 4V19.0093C5.56349 19.0572 7.53509 19.2837 8.9144 19.5136C9.69108 19.6431 10.2796 19.7735 10.68 19.8736C10.805 19.9049 10.9117 19.9332 11 19.9575V6C11 4.89543 10.1046 4 9 4H3ZM13 6V19.9575C13.0883 19.9331 13.195 19.9049 13.32 19.8736C13.7203 19.7735 14.3089 19.6431 15.0856 19.5136C16.4649 19.2837 18.4365 19.0572 21 19.0093V4H15C13.8954 4 13 4.89543 13 6ZM15 8H19V10H15V8ZM15 11H19V13H15V11Z"
      }
    }]
  };
  var bookOpen = vue.defineComponent({
    name: "BookOpenIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-book-open", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$uS(_objectSpread$uS({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$uQ, finalProps.value);
    }
  });

  function ownKeys$uR(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$uR(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$uR(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$uR(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$uP = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M9 2H1V21H2C4.94416 21 7.13918 21.2453 8.5856 21.4864C9.30891 21.6069 9.84535 21.7265 10.195 21.8139C10.3698 21.8576 10.4979 21.8933 10.5794 21.917C10.6201 21.9289 10.6492 21.9378 10.6666 21.9432L10.6838 21.9487L10.6847 21.949L10.686 21.9494L10.8377 22H13.1623L13.314 21.9494L13.3162 21.9487L13.3334 21.9432C13.3508 21.9378 13.3799 21.9289 13.4206 21.917C13.5021 21.8933 13.6302 21.8576 13.805 21.8139C14.1546 21.7265 14.6911 21.6069 15.4144 21.4864C16.8608 21.2453 19.0558 21 22 21H23L23 2H15C13.8053 2 12.7329 2.52376 12 3.35418C11.2671 2.52375 10.1947 2 9 2ZM3 19.0093V4H9C10.1046 4 11 4.89543 11 6V19.9575C10.9117 19.9332 10.805 19.9049 10.68 19.8736C10.2796 19.7735 9.69108 19.6431 8.9144 19.5136C7.53508 19.2837 5.56349 19.0572 3 19.0093ZM16 10.5V11.5H14V10.5C14 8.84315 15.3431 7.5 17 7.5C18.6569 7.5 20 8.84315 20 10.5C20 11.1761 19.8282 11.7459 19.5259 12.2099C19.2288 12.6659 18.8429 12.9631 18.4972 13.1603C18.3243 13.2589 18.1536 13.3366 18.0034 13.3975V13.75H16.0034V12.75C16.0034 12.3263 16.2481 12.0627 16.3644 11.9601C16.4836 11.855 16.6042 11.7949 16.6602 11.7683C16.7666 11.7177 16.8935 11.6738 16.9686 11.6478L16.9869 11.6414C17.1775 11.5751 17.3462 11.5143 17.5062 11.423C17.6597 11.3355 17.7729 11.2368 17.8501 11.1182C17.9223 11.0075 18 10.8239 18 10.5C18 9.94772 17.5523 9.5 17 9.5C16.4477 9.5 16 9.94772 16 10.5ZM18.0039 14.5V16.5039H16V14.5H18.0039Z"
      }
    }]
  };
  var bookUnknownFilled = vue.defineComponent({
    name: "BookUnknownFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-book-unknown-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$uR(_objectSpread$uR({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$uP, finalProps.value);
    }
  });

  function ownKeys$uQ(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$uQ(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$uQ(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$uQ(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$uO = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M1 2H9C10.1947 2 11.2671 2.52375 12 3.35418C12.7329 2.52376 13.8053 2 15 2H23L23 21H22C19.0558 21 16.8608 21.2453 15.4144 21.4864C14.6911 21.6069 14.1546 21.7265 13.805 21.8139C13.6302 21.8576 13.5021 21.8933 13.4206 21.917C13.3799 21.9289 13.3508 21.9378 13.3334 21.9432L13.3162 21.9487L13.314 21.9494L13.1623 22H10.8377L10.686 21.9494L10.6847 21.949L10.6838 21.9487L10.6666 21.9432C10.6492 21.9378 10.6201 21.9289 10.5794 21.917C10.4979 21.8933 10.3698 21.8576 10.195 21.8139C9.84535 21.7265 9.30891 21.6069 8.5856 21.4864C7.13918 21.2453 4.94416 21 2 21H1L1 2ZM3 4V19.0093C5.56349 19.0572 7.53508 19.2837 8.9144 19.5136C9.69108 19.6431 10.2796 19.7735 10.68 19.8736C10.805 19.9049 10.9117 19.9332 11 19.9575V6C11 4.89543 10.1046 4 9 4H3ZM13 6V19.9575C13.0883 19.9331 13.1949 19.9049 13.32 19.8736C13.7203 19.7735 14.3089 19.6431 15.0856 19.5136C16.4649 19.2837 18.4365 19.0572 21 19.0093V4H15C13.8954 4 13 4.89543 13 6Z"
      }
    }, {
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M17 9.5C16.4477 9.5 16 9.94772 16 10.5V11.5H14V10.5C14 8.84315 15.3431 7.5 17 7.5C18.6569 7.5 20 8.84315 20 10.5C20 11.1761 19.8282 11.7459 19.5259 12.2099C19.2288 12.6659 18.8429 12.9631 18.4972 13.1603C18.3243 13.2589 18.1536 13.3366 18.0034 13.3975V13.75H16.0034V12.75C16.0034 12.3263 16.2481 12.0627 16.3644 11.9601C16.4836 11.855 16.6042 11.7949 16.6602 11.7683C16.7665 11.7177 16.8935 11.6738 16.9686 11.6478C16.9751 11.6455 16.9812 11.6434 16.9869 11.6414C17.1775 11.5751 17.3462 11.5143 17.5062 11.423C17.6597 11.3355 17.7729 11.2368 17.8501 11.1182C17.9223 11.0075 18 10.8239 18 10.5C18 9.94772 17.5523 9.5 17 9.5ZM16 14.5H18.0039V16.5039H16V14.5Z"
      }
    }]
  };
  var bookUnknown = vue.defineComponent({
    name: "BookUnknownIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-book-unknown", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$uQ(_objectSpread$uQ({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$uO, finalProps.value);
    }
  });

  function ownKeys$uP(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$uP(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$uP(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$uP(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$uN = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M3 6C3 3.79086 4.79086 2 7 2H21V22H7C4.79086 22 3 20.2091 3 18V6ZM5 14.5351C5.58835 14.1948 6.27143 14 7 14H19V4H7C5.89543 4 5 4.89543 5 6V14.5351ZM19 16H7C5.89543 16 5 16.8954 5 18C5 19.1046 5.89543 20 7 20H19V16ZM10 6H17V8H10V6Z"
      }
    }]
  };
  var book = vue.defineComponent({
    name: "BookIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-book", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$uP(_objectSpread$uP({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$uN, finalProps.value);
    }
  });

  function ownKeys$uO(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$uO(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$uO(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$uO(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$uM = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M20 3V0H18V3H15V5H18V8H20V5H23V3H20Z"
      }
    }, {
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M13.5 4C13.5 3.6585 13.5311 3.32428 13.5907 3H4V22.9432L12 17.2289L20 22.9432V9.40931C19.6757 9.46888 19.3415 9.5 19 9.5C15.9624 9.5 13.5 7.03757 13.5 4Z"
      }
    }]
  };
  var bookmarkAddFilled = vue.defineComponent({
    name: "BookmarkAddFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-bookmark-add-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$uO(_objectSpread$uO({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$uM, finalProps.value);
    }
  });

  function ownKeys$uN(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$uN(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$uN(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$uN(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$uL = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M20 0V3H23V5H20V8H18V5H15V3H18V0H20ZM4 3H13V5H6V19.0568L12 14.7711L18 19.0568V10H20V22.9432L12 17.2289L4 22.9432V3Z"
      }
    }]
  };
  var bookmarkAdd = vue.defineComponent({
    name: "BookmarkAddIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-bookmark-add", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$uN(_objectSpread$uN({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$uL, finalProps.value);
    }
  });

  function ownKeys$uM(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$uM(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$uM(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$uM(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$uK = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M13.4033 5.06068L16.9389 8.59622L22.5957 2.93936L21.1815 1.52515L16.9389 5.76779L14.8175 3.64647L13.4033 5.06068Z"
      }
    }, {
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M12.5 5C12.5 4.29442 12.6329 3.61987 12.8749 3H4V22.9432L12 17.2289L20 22.9432V10.1251C19.3801 10.3671 18.7056 10.5 18 10.5C14.9624 10.5 12.5 8.03757 12.5 5Z"
      }
    }]
  };
  var bookmarkCheckedFilled = vue.defineComponent({
    name: "BookmarkCheckedFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-bookmark-checked-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$uM(_objectSpread$uM({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$uK, finalProps.value);
    }
  });

  function ownKeys$uL(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$uL(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$uL(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$uL(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$uJ = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M22.5961 2.93936L16.9392 8.59621L13.4037 5.06068L14.8179 3.64647L16.9392 5.76779L21.1819 1.52515L22.5961 2.93936ZM4 2.99992H12V4.99992H6V19.0567L12 14.771L18 19.0567V9.99992H20V22.9431L12 17.2288L4 22.9431V2.99992Z"
      }
    }]
  };
  var bookmarkChecked = vue.defineComponent({
    name: "BookmarkCheckedIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-bookmark-checked", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$uL(_objectSpread$uL({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$uJ, finalProps.value);
    }
  });

  function ownKeys$uK(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$uK(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$uK(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$uK(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$uI = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M23.0034 18.4186L23 0.000732422L10.001 0.0019865V2.00199L21 2.00129V16.4152L23.0034 18.4186Z"
      }
    }, {
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M19 4H3V23.9432L11 18.2289L19 23.9432V4Z"
      }
    }]
  };
  var bookmarkDoubleFilled = vue.defineComponent({
    name: "BookmarkDoubleFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-bookmark-double-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$uK(_objectSpread$uK({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$uI, finalProps.value);
    }
  });

  function ownKeys$uJ(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$uJ(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$uJ(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$uJ(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$uH = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M23 0.000732422L23.0034 18.4186L21 16.4152V2.00129L10.001 2.00199V0.0019865L23 0.000732422ZM3 4.00004H19V23.9432L11 18.2289L3 23.9432V4.00004ZM5 6.00004V20.0568L11 15.7711L17 20.0568V6.00004H5Z"
      }
    }]
  };
  var bookmarkDouble = vue.defineComponent({
    name: "BookmarkDoubleIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-bookmark-double", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$uJ(_objectSpread$uJ({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$uH, finalProps.value);
    }
  });

  function ownKeys$uI(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$uI(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$uI(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$uI(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$uG = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M4 3H20V22.9432L12 17.2289L4 22.9432V3Z"
      }
    }]
  };
  var bookmarkFilled = vue.defineComponent({
    name: "BookmarkFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-bookmark-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$uI(_objectSpread$uI({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$uG, finalProps.value);
    }
  });

  function ownKeys$uH(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$uH(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$uH(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$uH(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$uF = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M13.5 4C13.5 3.6585 13.5311 3.32428 13.5907 3H4V22.9432L12 17.2289L20 22.9432V9.40931C19.6757 9.46888 19.3415 9.5 19 9.5C15.9624 9.5 13.5 7.03757 13.5 4Z"
      }
    }, {
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M23 3H15V5H23V3Z"
      }
    }]
  };
  var bookmarkMinusFilled = vue.defineComponent({
    name: "BookmarkMinusFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-bookmark-minus-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$uH(_objectSpread$uH({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$uF, finalProps.value);
    }
  });

  function ownKeys$uG(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$uG(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$uG(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$uG(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$uE = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M4 3H13V5H6V19.0568L12 14.7711L18 19.0568V7H20V22.9432L12 17.2289L4 22.9432V3ZM15 3H23V5H15V3Z"
      }
    }]
  };
  var bookmarkMinus = vue.defineComponent({
    name: "BookmarkMinusIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-bookmark-minus", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$uG(_objectSpread$uG({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$uE, finalProps.value);
    }
  });

  function ownKeys$uF(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$uF(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$uF(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$uF(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$uD = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M4 3H20V22.9432L12 17.2289L4 22.9432V3ZM6 5V19.0568L12 14.7711L18 19.0568V5H6Z"
      }
    }]
  };
  var bookmark = vue.defineComponent({
    name: "BookmarkIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-bookmark", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$uF(_objectSpread$uF({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$uD, finalProps.value);
    }
  });

  function ownKeys$uE(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$uE(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$uE(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$uE(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$uC = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M2.50039 17.6C2.50039 19.4778 4.02262 21 5.90039 21H7.00039V19H5.90039C5.12719 19 4.50039 18.3732 4.50039 17.6V14C4.50039 13.2316 4.21154 12.5308 3.73649 12C4.21154 11.4692 4.50039 10.7684 4.50039 10V6.4C4.50039 5.6268 5.12719 5 5.90039 5H7.00039V3H5.90039C4.02262 3 2.50039 4.52223 2.50039 6.4V10C2.50039 10.5523 2.05268 11 1.50039 11H0.400391V13H1.50039C2.05268 13 2.50039 13.4477 2.50039 14V17.6ZM16.9996 21H18.0996C19.9774 21 21.4996 19.4778 21.4996 17.6V14C21.4996 13.4477 21.9473 13 22.4996 13H23.5996V11H22.4996C21.9473 11 21.4996 10.5523 21.4996 10V6.4C21.4996 4.52223 19.9774 3 18.0996 3H16.9996V5H18.0996C18.8728 5 19.4996 5.6268 19.4996 6.4V10C19.4996 10.7684 19.7885 11.4692 20.2635 12C19.7885 12.5308 19.4996 13.2316 19.4996 14V17.6C19.4996 18.3732 18.8728 19 18.0996 19H16.9996V21Z"
      }
    }]
  };
  var braces = vue.defineComponent({
    name: "BracesIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-braces", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$uE(_objectSpread$uE({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$uC, finalProps.value);
    }
  });

  function ownKeys$uD(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$uD(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$uD(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$uD(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$uB = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M2 3.5H7V5.5H4V18.5H7V20.5H2V3.5ZM17 3.5H22V20.5H17V18.5H20V5.5H17V3.5Z"
      }
    }]
  };
  var brackets = vue.defineComponent({
    name: "BracketsIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-brackets", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$uD(_objectSpread$uD({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$uB, finalProps.value);
    }
  });

  function ownKeys$uC(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$uC(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$uC(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$uC(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$uA = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M2.43625 13.0026C2.16319 13.2231 2.0504 13.5115 2.00429 13.7238C1.4916 16.0853 2.23701 18.3679 3.88838 20.0763C5.47048 21.7129 7.87515 22.7354 10.3033 22.1192C12.8898 21.4629 15.4929 19.7239 17.6395 17.6625L17.6541 17.6484L17.6682 17.6338C19.7296 15.4872 21.4685 12.8842 22.1249 10.2976C22.741 7.8695 21.7186 5.46482 20.0819 3.88272C18.6378 2.48675 16.7924 1.70245 14.7676 1.84526C14.0164 1.89825 13.5989 2.42586 13.405 2.75817L17.3043 6.6575L15.8901 8.07171L11.3715 3.55312C10.6034 3.35876 9.85639 3.46554 9.24467 3.72548C8.73635 3.94148 8.29575 4.27185 8.00435 4.6438C7.86261 4.82472 7.71189 5.07203 7.64883 5.36914C7.58347 5.67705 7.60459 6.1299 7.9487 6.49426L12.7081 11.2537L11.2939 12.6679L6.53596 7.90996C6.16934 7.56233 5.71334 7.54402 5.40708 7.61001C5.11123 7.67376 4.86489 7.82443 4.68459 7.96597C4.31376 8.25708 3.98359 8.69694 3.76743 9.20491C3.50705 9.81681 3.39993 10.5641 3.59465 11.3326L8.11193 15.8499L6.69772 17.2641L2.43625 13.0026Z"
      }
    }]
  };
  var breadFilled = vue.defineComponent({
    name: "BreadFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-bread-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$uC(_objectSpread$uC({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$uA, finalProps.value);
    }
  });

  function ownKeys$uB(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$uB(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$uB(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$uB(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$uz = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M5.02266 11.2778C4.97159 11.7407 5.08681 12.1378 5.40975 12.4608L9.18575 16.2368L7.77154 17.651L4.14468 14.0241C4.13478 14.0504 4.12467 14.0776 4.11435 14.1058C3.55741 15.6265 4.07882 17.3459 5.29035 18.6333C6.50275 19.9216 8.23278 20.5882 9.82842 20.1833C11.9519 19.6445 14.253 18.1572 16.2567 16.2366C18.1772 14.233 19.6645 11.9319 20.2034 9.8084C20.6083 8.21276 19.9416 6.48273 18.6533 5.27033C17.3659 4.0588 15.6465 3.53739 14.1258 4.09433C14.0976 4.10465 14.0704 4.11476 14.0442 4.12466L17.671 7.75152L16.2568 9.16573L12.4808 5.38973C12.1579 5.06679 11.7608 4.95157 11.2978 5.00264C10.8093 5.05653 10.2681 5.30026 9.80866 5.67991C9.3448 6.0632 9.05145 6.51187 8.95457 6.88901C8.87037 7.21676 8.92375 7.48954 9.18573 7.75151L13.4284 11.9941L12.0142 13.4084L7.77151 9.16572C7.50954 8.90375 7.23676 8.85036 6.90901 8.93456C6.53188 9.03144 6.08321 9.32479 5.69992 9.78865C5.32027 10.2481 5.07655 10.7893 5.02266 11.2778ZM6.92916 6.90916C6.94383 6.73496 6.97369 6.56177 7.01747 6.39137C7.24576 5.5027 7.83702 4.71465 8.5347 4.13815C9.23677 3.55802 10.134 3.1189 11.0785 3.01471C11.3892 2.98042 11.7062 2.98294 12.0203 3.02903C12.1661 2.86248 12.332 2.74363 12.4648 2.66097C12.7324 2.49444 13.0687 2.35157 13.438 2.21632C15.8506 1.3327 18.3417 2.23075 20.0239 3.81386C21.7052 5.39609 22.7673 7.83586 22.1419 10.3003C21.4856 12.8869 19.7466 15.4899 17.6852 17.6365L17.6712 17.6511L17.6566 17.6652C15.5099 19.7265 12.9069 21.4656 10.3203 22.1219C7.85588 22.7473 5.41611 21.6852 3.83388 20.0039C2.25077 18.3217 1.35272 15.8306 2.23634 13.418C2.37159 13.0487 2.51446 12.7124 2.68099 12.4448C2.76365 12.312 2.8825 12.1461 3.04905 12.0003C3.00295 11.6861 3.00044 11.3692 3.03472 11.0585C3.13892 10.114 3.57804 9.21676 4.15817 8.51468C4.73466 7.81701 5.52271 7.22576 6.41138 6.99746C6.58178 6.95368 6.75496 6.92383 6.92916 6.90916Z"
      }
    }]
  };
  var bread = vue.defineComponent({
    name: "BreadIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-bread", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$uB(_objectSpread$uB({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$uz, finalProps.value);
    }
  });

  function ownKeys$uA(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$uA(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$uA(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$uA(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$uy = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M1 1.99902H7V5.53015C7.20819 5.68425 7.52403 5.893 7.94721 6.1046C8.82493 6.54345 10.1728 6.99902 12 6.99902C13.8272 6.99902 15.1751 6.54345 16.0528 6.1046C16.476 5.893 16.7918 5.68425 17 5.53015V1.99987H23V22.0003H17V16.999H7V21.9994H1V1.99902ZM7 14.999H11V8.95961C9.31362 8.82491 7.99605 8.36508 7.05279 7.89345C7.03506 7.88459 7.01746 7.87572 7 7.86685V14.999ZM13 8.95961V14.999H17V7.86685C16.9825 7.87572 16.9649 7.88459 16.9472 7.89345C16.004 8.36508 14.6864 8.82491 13 8.95961Z"
      }
    }]
  };
  var bridge1Filled = vue.defineComponent({
    name: "Bridge1FilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-bridge-1-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$uA(_objectSpread$uA({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$uy, finalProps.value);
    }
  });

  function ownKeys$uz(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$uz(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$uz(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$uz(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$ux = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M1 1.99902H7V5.53015C7.20819 5.68425 7.52403 5.893 7.94721 6.1046C8.82493 6.54345 10.1728 6.99902 12 6.99902C13.8272 6.99902 15.1751 6.54345 16.0528 6.1046C16.476 5.893 16.7918 5.68425 17 5.53015V1.99987H23V22.0003H17V16.999H7V21.9994H1V1.99902ZM7 14.999H11V8.95961C9.31362 8.82491 7.99605 8.36508 7.05279 7.89345C7.03506 7.88459 7.01746 7.87572 7 7.86685V14.999ZM13 8.95961V14.999H17V7.86685C16.9825 7.87572 16.9649 7.88459 16.9472 7.89345C16.004 8.36508 14.6864 8.82491 13 8.95961ZM3 3.99902V19.9994H5V3.99902H3ZM19 3.99987V20.0003H21V3.99987H19Z"
      }
    }]
  };
  var bridge1 = vue.defineComponent({
    name: "Bridge1Icon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-bridge-1", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$uz(_objectSpread$uz({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$ux, finalProps.value);
    }
  });

  function ownKeys$uy(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$uy(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$uy(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$uy(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$uw = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M12 3C10.2558 3 8.51473 3.5897 6.95233 5.01006C5.40976 6.4124 4.08489 8.58305 3.05132 11.6838C2.94308 12.0085 2.84207 12.3323 2.74211 12.6528C2.51032 13.3958 2.28416 14.1209 1.98648 14.7974C1.55829 15.7706 1.10902 16.3199 0.618354 16.5225L0 16.7778V21H9V14C9 12.3431 10.3431 11 12 11C13.6569 11 15 12.3431 15 14V21H24V16.7778L23.3816 16.5225C22.891 16.3199 22.4417 15.7706 22.0135 14.7974C21.7158 14.1209 21.4897 13.3959 21.2579 12.6528C21.158 12.3324 21.0569 12.0084 20.9487 11.6838C19.9151 8.58305 18.5902 6.4124 17.0477 5.01006C15.4853 3.5897 13.7442 3 12 3Z"
      }
    }]
  };
  var bridge2Filled = vue.defineComponent({
    name: "Bridge2FilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-bridge-2-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$uy(_objectSpread$uy({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$uw, finalProps.value);
    }
  });

  function ownKeys$ux(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$ux(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$ux(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$ux(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$uv = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "g",
      "attrs": {
        "clipPath": "url(#clip0_8726_9882)"
      },
      "children": [{
        "tag": "path",
        "attrs": {
          "fill": "currentColor",
          "d": "M8.29767 6.48994C7.09024 7.5876 5.91511 9.41695 4.94868 12.3162C4.86618 12.5637 4.77995 12.84 4.68856 13.1328C4.4441 13.916 4.16276 14.8173 3.81711 15.6029C3.42893 16.4851 2.87434 17.4389 2 18.0361V19H8V14C8 11.7909 9.79086 10 12 10C14.2091 10 16 11.7909 16 14V19H22V18.0361C21.1257 17.4389 20.5711 16.4851 20.1829 15.6029C19.8372 14.8173 19.5559 13.916 19.3114 13.1328C19.2201 12.84 19.1338 12.5637 19.0513 12.3162C18.0849 9.41695 16.9098 7.5876 15.7023 6.48994C14.5147 5.4103 13.2558 5 12 5C10.7442 5 9.48527 5.4103 8.29767 6.48994ZM6.95233 5.01006C8.51473 3.5897 10.2558 3 12 3C13.7442 3 15.4853 3.5897 17.0477 5.01006C18.5902 6.4124 19.9151 8.58305 20.9487 11.6838C21.0569 12.0085 21.1579 12.3323 21.2579 12.6528C21.4897 13.3958 21.7158 14.1209 22.0135 14.7974C22.4417 15.7706 22.891 16.3199 23.3816 16.5225L24 16.7778V21H14V14C14 12.8954 13.1046 12 12 12C10.8954 12 10 12.8954 10 14V21H0V16.7778L0.618354 16.5225C1.10902 16.3199 1.55829 15.7706 1.98648 14.7974C2.28416 14.1209 2.51032 13.3958 2.7421 12.6528C2.84207 12.3323 2.94307 12.0085 3.05132 11.6838C4.08489 8.58305 5.40976 6.4124 6.95233 5.01006Z"
        }
      }]
    }]
  };
  var bridge2 = vue.defineComponent({
    name: "Bridge2Icon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-bridge-2", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$ux(_objectSpread$ux({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$uv, finalProps.value);
    }
  });

  function ownKeys$uw(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$uw(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$uw(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$uw(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$uu = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M4 2V5.46482L11 10.1315V2H13V10.1315L20 5.46482V2H22V15.0004H23V17.0004H22V22.0004H20V17.0004H4V22.0004H2V17.0004H1V15.0004H2V2H4ZM4 15.0004H11V12.5352L4 7.86852V15.0004ZM13 15.0004H20V7.86852L13 12.5352V15.0004Z"
      }
    }]
  };
  var bridge3 = vue.defineComponent({
    name: "Bridge3Icon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-bridge-3", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$uw(_objectSpread$uw({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$uu, finalProps.value);
    }
  });

  function ownKeys$uv(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$uv(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$uv(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$uv(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$ut = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M23.0008 2.00098L23 4.00098L21.8202 4.00048L21.0004 8.09916V22.0001H19.0004V7.90112L19.7806 4.00014H16.2202L17.0004 7.90133V22.0006H15.0004V8.09937L14.1806 4.00018L9.82023 4.00038L9.00042 8.09937V22.0006H7.00042V7.90133L7.78062 4.00036L4.22022 4.0002L5.00042 7.90133V22.0006H3.00042V8.09937L2.18068 4.00048L1.00084 4.00098L1 2.00098H23.0008Z"
      }
    }]
  };
  var bridge4 = vue.defineComponent({
    name: "Bridge4Icon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-bridge-4", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$uv(_objectSpread$uv({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$ut, finalProps.value);
    }
  });

  function ownKeys$uu(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$uu(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$uu(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$uu(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$us = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M0 3C8 3 16 3.00084 24 3.00084V21.0013H18V13.3982C17.9589 13.358 17.9125 13.3138 17.8608 13.2661C17.593 13.0188 17.1877 12.6829 16.6535 12.3455C15.5862 11.6714 14.0191 11 12 11C9.98093 11 8.41375 11.6714 7.34649 12.3455C6.81232 12.6829 6.40703 13.0188 6.13922 13.2661C6.08754 13.3138 6.04112 13.358 6 13.3982V21.0004H0V3ZM6 10.8364C6.08952 10.776 6.18236 10.7152 6.27851 10.6545C7.58625 9.82857 9.51907 9 12 9C14.4809 9 16.4138 9.82857 17.7215 10.6545C17.8176 10.7152 17.9105 10.776 18 10.8364V5.00057C14 4.99963 10 5 6 5V10.8364Z"
      }
    }]
  };
  var bridge5Filled = vue.defineComponent({
    name: "Bridge5FilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-bridge-5-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$uu(_objectSpread$uu({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$us, finalProps.value);
    }
  });

  function ownKeys$ut(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$ut(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$ut(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$ut(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$ur = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M0 3C8 3 16 3.00084 24 3.00084V21.0013H18V13.3982C17.9589 13.358 17.9125 13.3138 17.8608 13.2661C17.593 13.0188 17.1877 12.6829 16.6535 12.3455C15.5862 11.6714 14.0191 11 12 11C9.98093 11 8.41375 11.6714 7.34649 12.3455C6.81232 12.6829 6.40703 13.0188 6.13922 13.2661C6.08754 13.3138 6.04112 13.358 6 13.3982V21.0004H0V3ZM6 10.8364C6.08952 10.776 6.18236 10.7152 6.27851 10.6545C7.58625 9.82857 9.51907 9 12 9C14.4809 9 16.4137 9.82857 17.7215 10.6545C17.8176 10.7152 17.9105 10.776 18 10.8364V5.00057L17.3748 5.00042C16.2499 5.00021 14.4999 5 12 5H6V10.8364ZM20 5.00084V19.0013H22V5.00084H20ZM4 5H2V19.0004H4V5Z"
      }
    }]
  };
  var bridge5 = vue.defineComponent({
    name: "Bridge5Icon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-bridge-5", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$ut(_objectSpread$ut({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$ur, finalProps.value);
    }
  });

  function ownKeys$us(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$us(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$us(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$us(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$uq = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M23.0005 1.75439L12.0002 11.6546L1 1.75439V21H3V14H5V21H7V14H17V21H19V14H21V21H23L23.0005 1.75439Z"
      }
    }]
  };
  var bridge6Filled = vue.defineComponent({
    name: "Bridge6FilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-bridge-6-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$us(_objectSpread$us({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$uq, finalProps.value);
    }
  });

  function ownKeys$ur(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$ur(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$ur(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$ur(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$up = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M1 1.75439L12 11.6544L23 1.75439V20.9998H21V13.9998H19V20.9998H17V13.9998H7V20.9998H5V13.9998H3V20.9998H1V1.75439ZM3 11.9998H5.9992H9.39404L3 6.24512V11.9998ZM14.606 11.9998H20.9993L21 6.24512L14.606 11.9998Z"
      }
    }]
  };
  var bridge6 = vue.defineComponent({
    name: "Bridge6Icon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-bridge-6", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$ur(_objectSpread$ur({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$up, finalProps.value);
    }
  });

  function ownKeys$uq(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$uq(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$uq(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$uq(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$uo = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M4 2V5.41321C4.11378 5.47028 4.24916 5.53494 4.40614 5.60471C5.01608 5.87579 5.95284 6.22438 7.21693 6.50529C8.48078 6.78615 10.0747 7 12 7C13.9253 7 15.5192 6.78615 16.7831 6.50529C18.0472 6.22438 18.9839 5.87579 19.5939 5.60471C19.7508 5.53494 19.8862 5.47028 20 5.41321V2H22V14.9997L23 15.0004V17.0004H22V22.0004H20V17.0004H4V22.0004H2V17.0004H1V15.0004H2V2H4ZM4 15.0004H6V8.26694C5.19789 8.05387 4.53118 7.82047 4 7.60483V15.0004ZM8 8.69063V15.0004H11V8.98182C9.8934 8.94122 8.89333 8.83525 8 8.69063ZM13 8.98182V15.0004H16V8.69063C15.1067 8.83525 14.1066 8.94122 13 8.98182ZM18 8.26694V15.0004H20L20 7.60483C19.4688 7.82047 18.8021 8.05387 18 8.26694ZM20.446 5.16743C20.4484 5.16587 20.4496 5.16511 20.4495 5.16519L20.4483 5.16593L20.4471 5.16678L20.446 5.16743Z"
      }
    }]
  };
  var bridge = vue.defineComponent({
    name: "BridgeIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-bridge", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$uq(_objectSpread$uq({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$uo, finalProps.value);
    }
  });

  function ownKeys$up(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$up(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$up(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$up(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$un = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M15.4897 3.57529L12.0002 0.0856934L8.51056 3.57529H3.57553V8.51032L0.0859375 11.9999L3.57553 15.4895V20.4245H8.51056L12.0002 23.9141L15.4897 20.4245H20.4248V15.4895L23.9144 11.9999L20.4248 8.51031V3.57529H15.4897ZM12.0007 17C11.3708 17 10.7681 16.8835 10.2129 16.6709C11.3236 15.4319 11.9991 13.7949 11.9991 12C11.9991 10.2051 11.3236 8.56806 10.2129 7.32913C10.7681 7.1165 11.3708 7 12.0007 7C14.7622 7 17.0007 9.23857 17.0007 12C17.0007 14.7614 14.7622 17 12.0007 17Z"
      }
    }]
  };
  var brightness1Filled = vue.defineComponent({
    name: "Brightness1FilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-brightness-1-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$up(_objectSpread$up({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$un, finalProps.value);
    }
  });

  function ownKeys$uo(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$uo(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$uo(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$uo(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$um = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M12.0002 0.0856934L15.4897 3.57529H20.4248V8.51031L23.9144 11.9999L20.4248 15.4895V20.4245H15.4897L12.0002 23.9141L8.51056 20.4245H3.57553V15.4895L0.0859375 11.9999L3.57553 8.51032V3.57529H8.51056L12.0002 0.0856934ZM12.0002 2.91412L9.33899 5.57529H5.57553V9.33875L2.91436 11.9999L5.57553 14.6611V18.4245H9.33899L12.0002 21.0857L14.6613 18.4245H18.4248V14.6611L21.0859 11.9999L18.4248 9.33874V5.57529H14.6613L12.0002 2.91412ZM12.0649 8.00042C12.6637 9.20566 13.0005 10.5642 13.0005 11.9999C13.0005 13.4356 12.6637 14.7942 12.0649 15.9994C14.2444 15.965 16.0005 14.1875 16.0005 11.9999C16.0005 9.8123 14.2444 8.03485 12.0649 8.00042ZM10.1253 6.29902C10.7166 6.10465 11.3473 5.99991 12.0005 5.99991C15.3142 5.99991 18.0005 8.6862 18.0005 11.9999C18.0005 15.3136 15.3142 17.9999 12.0005 17.9999C11.3473 17.9999 10.7166 17.8952 10.1253 17.7008L8.81117 17.2687L9.63353 16.1563C10.4928 14.994 11.0005 13.5577 11.0005 11.9999C11.0005 10.4421 10.4928 9.00578 9.63353 7.84347L8.81117 6.73107L10.1253 6.29902Z"
      }
    }]
  };
  var brightness1 = vue.defineComponent({
    name: "Brightness1Icon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-brightness-1", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$uo(_objectSpread$uo({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$um, finalProps.value);
    }
  });

  function ownKeys$un(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$un(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$un(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$un(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$ul = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M15.4897 3.57529L12.0002 0.0856934L8.51056 3.57529H3.57553V8.51032L0.0859375 11.9999L3.57553 15.4895V20.4245H8.51056L12.0002 23.9141L15.4897 20.4245H20.4248V15.4895L23.9144 11.9999L20.4248 8.51031V3.57529H15.4897ZM12 7C14.7614 7 17 9.23857 17 12C17 14.7614 14.7614 17 12 17C9.23857 17 7 14.7614 7 12C7 9.23857 9.23857 7 12 7Z"
      }
    }]
  };
  var brightnessFilled = vue.defineComponent({
    name: "BrightnessFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-brightness-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$un(_objectSpread$un({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$ul, finalProps.value);
    }
  });

  function ownKeys$um(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$um(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$um(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$um(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$uk = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M12.0002 0.0856934L15.4897 3.57529H20.4248V8.51031L23.9144 11.9999L20.4248 15.4895V20.4245H15.4897L12.0002 23.9141L8.51056 20.4245H3.57553V15.4895L0.0859375 11.9999L3.57553 8.51032V3.57529H8.51056L12.0002 0.0856934ZM12.0002 2.91412L9.33899 5.57529H5.57553V9.33875L2.91436 11.9999L5.57553 14.6611V18.4245H9.33899L12.0002 21.0857L14.6613 18.4245H18.4248V14.6611L21.0859 11.9999L18.4248 9.33874V5.57529H14.6613L12.0002 2.91412ZM12.0002 7.99991C9.79101 7.99991 8.00015 9.79077 8.00015 11.9999C8.00015 14.209 9.79101 15.9999 12.0002 15.9999C14.2093 15.9999 16.0002 14.209 16.0002 11.9999C16.0002 9.79077 14.2093 7.99991 12.0002 7.99991ZM6.00015 11.9999C6.00015 8.6862 8.68644 5.99991 12.0002 5.99991C15.3139 5.99991 18.0002 8.6862 18.0002 11.9999C18.0002 15.3136 15.3139 17.9999 12.0002 17.9999C8.68644 17.9999 6.00015 15.3136 6.00015 11.9999Z"
      }
    }]
  };
  var brightness = vue.defineComponent({
    name: "BrightnessIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-brightness", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$um(_objectSpread$um({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$uk, finalProps.value);
    }
  });

  function ownKeys$ul(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$ul(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$ul(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$ul(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$uj = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M19.8646 6.99553C21.8176 7.75066 23.2027 9.64657 23.2027 11.866C23.2027 14.7489 20.8656 17.086 17.9827 17.086C17.3381 17.086 16.7208 16.9692 16.1508 16.7555C16.9665 17.2833 17.9388 17.5897 18.9827 17.5897C19.6296 17.5897 20.249 17.472 20.8207 17.2569C20.6453 19.5995 18.689 21.4457 16.3015 21.4457C14.2284 21.4457 12.4804 20.0536 11.9412 18.1533C11.7687 18.1451 11.5063 18.1813 11.1336 18.3178C10.6361 18.5001 10.0746 18.8125 9.508 19.1916C8.37661 19.9485 7.37094 20.8714 7.04984 21.1925L6.34274 21.8996L2.1001 17.6569L2.8072 16.9498C3.27498 16.482 3.963 15.2906 4.53193 13.9523C4.80653 13.3063 5.03367 12.6723 5.18039 12.1384C5.2529 11.8746 5.2976 11.6634 5.32353 11.5024C4.06667 10.5492 3.2549 9.03969 3.2549 7.34061C3.2549 4.45768 5.59197 2.12061 8.4749 2.12061C9.45073 2.12061 10.364 2.38837 11.1453 2.85443L11.1518 2.84794L11.4021 3.01782C12.6285 3.85017 13.4797 5.18792 13.6594 6.72756L13.6627 6.75559C13.6842 6.53668 13.6952 6.31468 13.6952 6.09012C13.6952 4.54612 13.1745 3.12375 12.2991 1.98902C13.0307 1.58674 13.8711 1.35791 14.765 1.35791C17.5954 1.35791 19.89 3.65245 19.89 6.48291C19.89 6.65592 19.8814 6.82693 19.8646 6.99553ZM12.0729 15.2802C12.1057 15.1888 12.1413 15.0983 12.1799 15.0088L11.2925 14.1214L9.87827 15.5356L8.46406 14.1214L9.87827 12.7072L9.6099 12.4388C8.7904 12.6553 7.95832 12.6443 7.17022 12.4351C7.15053 12.5138 7.12997 12.5917 7.10888 12.6684C6.93294 13.3086 6.67265 14.0287 6.37253 14.7347C5.95209 15.7237 5.41098 16.7852 4.85578 17.5842L6.36984 19.0982C6.8974 18.6356 7.61606 18.051 8.39594 17.5293C9.02906 17.1057 9.73919 16.6987 10.4456 16.4399C10.8669 16.2855 11.3447 16.1624 11.8332 16.1527C11.8842 15.8506 11.9652 15.5587 12.0729 15.2802Z"
      }
    }]
  };
  var broccoliFilled = vue.defineComponent({
    name: "BroccoliFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-broccoli-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$ul(_objectSpread$ul({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$uj, finalProps.value);
    }
  });

  function ownKeys$uk(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$uk(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$uk(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$uk(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$ui = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M12.6157 4.16981C13.9195 3.04605 15.8286 3.10068 16.9891 4.26124C17.6512 4.92328 17.9534 5.82331 17.8825 6.72088C17.7671 6.73066 17.6701 6.74307 17.5988 6.7536C17.5615 6.75911 17.5309 6.76417 17.508 6.76817L17.4793 6.77334L17.4695 6.77521L17.4657 6.77594L17.4627 6.77653L16.4817 6.97079L16.8702 8.93269L17.8474 8.73918L17.8519 8.73838C17.859 8.73715 17.8724 8.73489 17.8913 8.73209C17.9294 8.72646 17.988 8.7189 18.06 8.71303C18.2099 8.70078 18.3893 8.69827 18.5541 8.72194C19.1999 8.81472 19.8123 9.1047 20.3002 9.5926C21.5182 10.8106 21.5181 12.8531 20.216 14.1551C19.9237 14.4474 19.594 14.6737 19.245 14.8354L18.4403 15.2084L18.7144 16.0519C18.9967 16.9203 18.7854 17.9428 18.061 18.6671C17.0379 19.6902 15.4414 19.6841 14.4946 18.7373C14.1184 18.3611 13.8808 17.8408 13.8116 17.2658C13.7313 16.598 13.8855 15.9146 14.2416 15.3904L14.7062 14.7062L12.8741 12.8742L12.4371 11.5631L11.126 11.1261L10.1102 10.1102L9.49032 10.3715C8.61655 10.7399 7.68663 10.649 6.86174 10.1488C6.61747 10.0006 6.38073 9.81526 6.15805 9.59258C4.94003 8.37456 4.94017 6.33212 6.24222 5.03006C7.45197 3.82031 9.35233 3.83454 10.6285 4.96926C10.6736 5.00938 10.7179 5.05113 10.7613 5.09452C11.484 5.81722 11.6174 6.41408 11.7153 7.17762L11.8426 8.1695L13.8263 7.91499L13.6991 6.92312C13.5909 6.0799 13.4026 5.1515 12.6157 4.16981ZM19.865 6.99953C20.0161 5.51465 19.537 3.98067 18.4033 2.84702C16.3945 0.83819 13.1469 0.884259 11.096 2.84935C9.14047 1.70684 6.57646 1.86739 4.82801 3.61585C2.78272 5.66114 2.70748 8.97044 4.74384 11.0068C4.92739 11.1903 5.1205 11.36 5.32202 11.5147C5.29581 11.6741 5.25155 11.8813 5.18088 12.1385C5.03416 12.6723 4.80701 13.3064 4.53242 13.9523C3.96349 15.2907 3.27547 16.4821 2.80769 16.9499L2.10059 17.657L6.34323 21.8996L7.05033 21.1925C7.37143 20.8714 8.3771 19.9485 9.50849 19.1916C10.0751 18.8126 10.6366 18.5001 11.134 18.3179C11.5125 18.1792 11.7773 18.144 11.9496 18.1538C12.1425 18.8867 12.5143 19.5854 13.0804 20.1515C14.8455 21.9166 17.7089 21.8477 19.4752 20.0813C20.523 19.0336 20.9713 17.6074 20.7991 16.2505C21.093 16.0551 21.3717 15.8279 21.6302 15.5693C23.6755 13.524 23.7507 10.2147 21.7144 8.17838C21.1742 7.6382 20.541 7.24554 19.865 6.99953ZM11.8509 16.1524C11.3565 16.1595 10.8723 16.2838 10.4461 16.4399C9.73968 16.6987 9.02955 17.1057 8.39642 17.5293C7.61655 18.051 6.89789 18.6357 6.37033 19.0983L4.85626 17.5842C5.41146 16.7853 5.95258 15.7238 6.37302 14.7348C6.67314 14.0288 6.93343 13.3087 7.10937 12.6685C7.13045 12.5918 7.15102 12.5138 7.1707 12.4352C7.95881 12.6443 8.79089 12.6553 9.61039 12.4389L9.87876 12.7072L8.46455 14.1214L9.87876 15.5357L11.293 14.1214L12.1804 15.0089C12.022 15.376 11.9125 15.7613 11.8509 16.1524Z"
      }
    }]
  };
  var broccoli = vue.defineComponent({
    name: "BroccoliIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-broccoli", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$uk(_objectSpread$uk({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$ui, finalProps.value);
    }
  });

  function ownKeys$uj(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$uj(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$uj(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$uj(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$uh = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M9 12C9 10.3431 10.3431 9 12 9C13.6569 9 15 10.3431 15 12C15 13.6569 13.6569 15 12 15C10.3431 15 9 13.6569 9 12Z"
      }
    }, {
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M11.9996 3C6.42102 3 1.69842 6.65364 0.0892162 11.696L-0.0078125 12L0.0892162 12.304C1.69842 17.3464 6.42102 21 11.9996 21C17.5781 21 22.3007 17.3464 23.9099 12.304L24.007 12L23.9099 11.696C22.3007 6.65364 17.5781 3 11.9996 3ZM12 7C14.7614 7 17 9.23858 17 12C17 14.7614 14.7614 17 12 17C9.23858 17 7 14.7614 7 12C7 9.23858 9.23858 7 12 7Z"
      }
    }]
  };
  var browseFilled = vue.defineComponent({
    name: "BrowseFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-browse-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$uj(_objectSpread$uj({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$uh, finalProps.value);
    }
  });

  function ownKeys$ui(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$ui(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$ui(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$ui(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$ug = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M20.1024 2.3077L19.41 1.58618L17.9669 2.97098L18.6593 3.6925C20.7294 5.84955 22 8.77539 22 12.0001C22 15.2248 20.7294 18.1506 18.6593 20.3077L17.9669 21.0292L19.41 22.414L20.1024 21.6925C22.5154 19.178 24 15.7614 24 12.0001C24 8.23883 22.5154 4.82222 20.1024 2.3077Z"
      }
    }, {
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M10 2.0001C15.5228 2.0001 20 6.47725 20 12.0001C20 17.5229 15.5228 22.0001 10 22.0001C4.47715 22.0001 0 17.5229 0 12.0001C0 6.47725 4.47715 2.0001 10 2.0001ZM13 16.4142L14.4142 15L11 11.5858V6.5H9V12.4142L13 16.4142Z"
      }
    }]
  };
  var browseGalleryFilled = vue.defineComponent({
    name: "BrowseGalleryFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-browse-gallery-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$ui(_objectSpread$ui({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$ug, finalProps.value);
    }
  });

  function ownKeys$uh(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$uh(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$uh(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$uh(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$uf = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "g",
      "attrs": {
        "clipPath": "url(#clip0_8726_7215)"
      },
      "children": [{
        "tag": "path",
        "attrs": {
          "fill": "currentColor",
          "d": "M19.41 1.58618L20.1024 2.3077C22.5154 4.82222 24 8.23883 24 12.0001C24 15.7614 22.5154 19.178 20.1024 21.6925L19.41 22.414L17.9669 21.0292L18.6593 20.3077C20.7294 18.1506 22 15.2248 22 12.0001C22 8.77539 20.7294 5.84955 18.6593 3.6925L17.9669 2.97098L19.41 1.58618ZM10 4.0001C5.58172 4.0001 2 7.58182 2 12.0001C2 16.4184 5.58172 20.0001 10 20.0001C14.4183 20.0001 18 16.4184 18 12.0001C18 7.58182 14.4183 4.0001 10 4.0001ZM0 12.0001C0 6.47725 4.47715 2.0001 10 2.0001C15.5228 2.0001 20 6.47725 20 12.0001C20 17.5229 15.5228 22.0001 10 22.0001C4.47715 22.0001 0 17.5229 0 12.0001ZM11 6.5001V11.5859L14.4142 15.0001L13 16.4143L9 12.4143V6.5001H11Z"
        }
      }]
    }]
  };
  var browseGallery = vue.defineComponent({
    name: "BrowseGalleryIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-browse-gallery", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$uh(_objectSpread$uh({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$uf, finalProps.value);
    }
  });

  function ownKeys$ug(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$ug(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$ug(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$ug(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$ue = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M3.0043 1.58995L3.00017 1.58582 1.58594 3.00001 4.26534 5.67948C2.32933 7.20644.85591 9.29359.0892162 11.696L-.0078125 12 .0892162 12.304C1.69842 17.3464 6.42102 21 11.9996 21 14.1886 21 16.2457 20.4374 18.0347 19.4492L20.9997 22.4142 22.4097 21.0043 3 1.59425 3.0043 1.58995zM7 12C7 10.9809 7.30488 10.033 7.82839 9.24261L9.29236 10.7066C9.10495 11.0982 9 11.5369 9 12 9 13.6569 10.3431 15 12 15 12.4631 15 12.9017 14.8951 13.2933 14.7077L14.7573 16.1717C13.9669 16.6951 13.019 17 12 17 9.23858 17 7 14.7614 7 12zM21.1978 16.964C22.4149 15.6419 23.3505 14.0569 23.9099 12.304L24.007 12 23.9099 11.696C22.3007 6.65364 17.5781 3 11.9996 3 10.5695 3 9.19574 3.24009 7.91622 3.68212L11.2848 7.05077C11.5184 7.01731 11.7572 7 12 7 14.7614 7 17 9.23858 17 12 17 12.2429 16.9827 12.4817 16.9492 12.7153L21.1978 16.964z"
      }
    }, {
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M14.2531 10.0191C14.1683 9.92272 14.0773 9.83179 13.9809 9.74696L14.2531 10.0191Z"
      }
    }]
  };
  var browseOffFilled = vue.defineComponent({
    name: "BrowseOffFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-browse-off-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$ug(_objectSpread$ug({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$ue, finalProps.value);
    }
  });

  function ownKeys$uf(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$uf(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$uf(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$uf(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$ud = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 26 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M3.99999 1.58582L10.1714 7.75774L17.2425 14.8288L23.4137 21L21.9995 22.4142L19.0345 19.4492C17.2447 20.4377 15.1866 21.0001 12.9996 21.0001C7.42102 21.0001 2.69842 17.3465 1.08922 12.3042L0.992188 12.0001L1.08922 11.6961C1.85645 9.29201 3.33009 7.20571 5.26511 5.67975L2.58567 2.99993L3.99999 1.58582ZM6.69098 7.10574C5.05507 8.33729 3.79122 10.0353 3.09676 12.0001C4.53843 16.0793 8.42915 19.0001 12.9996 19.0001C14.6314 19.0001 16.1745 18.6285 17.5507 17.9655L15.7571 16.1719C14.9668 16.695 14.0185 17.0003 12.9999 17.0003C10.2385 17.0003 7.99989 14.7618 7.99989 12.0003C7.99989 10.9817 8.3052 10.0334 8.82835 9.24312L6.69098 7.10574ZM10.292 10.7068C10.1046 11.0984 9.99989 11.5368 9.99989 12.0003C9.99989 13.6572 11.343 15.0003 12.9999 15.0003C13.4634 15.0003 13.9018 14.8956 14.2934 14.7082L10.292 10.7068ZM13 5.00003C12.4234 5.00003 11.8583 5.04642 11.3081 5.13548L10.321 5.29527L10.0014 3.32097L10.9885 3.16117C11.644 3.05508 12.3159 3.00003 13 3.00003C18.5786 3.00003 23.3012 6.65367 24.9104 11.696L25.0074 12L24.9104 12.3041C24.4968 13.5999 23.878 14.8034 23.0926 15.8763L22.5019 16.6833L20.8881 15.5019L21.4788 14.695C22.0769 13.8778 22.5595 12.9715 22.9028 12C21.4612 7.92082 17.5704 5.00003 13 5.00003ZM13.5132 6.92636L14.4691 7.21985C16.0499 7.70515 17.2953 8.95049 17.7806 10.5313L18.0741 11.4873L16.1621 12.0742L15.8687 11.1183C15.578 10.1715 14.829 9.42243 13.8822 9.13178L12.9262 8.8383L13.5132 6.92636Z"
      }
    }]
  };
  var browseOff = vue.defineComponent({
    name: "BrowseOffIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-browse-off", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$uf(_objectSpread$uf({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$ud, finalProps.value);
    }
  });

  function ownKeys$ue(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$ue(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$ue(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$ue(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$uc = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "g",
      "attrs": {
        "clipPath": "url(#clip0_8726_7319)"
      },
      "children": [{
        "tag": "path",
        "attrs": {
          "fill": "currentColor",
          "d": "M2.09675 12C3.53842 16.0792 7.42915 19 11.9996 19C16.57 19 20.4607 16.0792 21.9024 12C20.4607 7.92079 16.57 5 11.9996 5C7.42915 5 3.53842 7.92079 2.09675 12ZM0.0892162 11.696C1.69842 6.65364 6.42102 3 11.9996 3C17.5781 3 22.3007 6.65364 23.9099 11.696L24.007 12L23.9099 12.304C22.3007 17.3464 17.5781 21 11.9996 21C6.42102 21 1.69842 17.3464 0.0892162 12.304L-0.0078125 12L0.0892162 11.696ZM11.9999 9C10.343 9 8.99989 10.3431 8.99989 12C8.99989 13.6569 10.343 15 11.9999 15C13.6567 15 14.9999 13.6569 14.9999 12C14.9999 10.3431 13.6567 9 11.9999 9ZM6.99989 12C6.99989 9.23858 9.23846 7 11.9999 7C14.7613 7 16.9999 9.23858 16.9999 12C16.9999 14.7614 14.7613 17 11.9999 17C9.23846 17 6.99989 14.7614 6.99989 12Z"
        }
      }]
    }]
  };
  var browse = vue.defineComponent({
    name: "BrowseIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-browse", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$ue(_objectSpread$ue({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$uc, finalProps.value);
    }
  });

  function ownKeys$ud(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$ud(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$ud(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$ud(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$ub = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M.794189 12.3676L11.9202 23.4937 16.4088 19.0051 5.28306 7.87939.794189 12.3676zM17.823 17.5909L21.4276 13.9862 18.595 11.1536 21.8695 7.87928 16.4087 2.41846 13.1342 5.69282 10.3016 2.86019 6.69694 6.46485 17.823 17.5909z"
      }
    }]
  };
  var brushFilled = vue.defineComponent({
    name: "BrushFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-brush-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$ud(_objectSpread$ud({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$ub, finalProps.value);
    }
  });

  function ownKeys$uc(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$uc(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$uc(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$uc(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$ua = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M11.92 23.4937L0.793945 12.3676L10.3014 2.86019L13.134 5.69282L16.4085 2.41846L21.8693 7.87928L18.5948 11.1536L21.4274 13.9862L11.92 23.4937ZM14.9942 17.591L6.69659 9.29338L3.62237 12.3676L11.92 20.6652L14.9942 17.591ZM8.1108 7.87917L16.4084 16.1768L18.599 13.9862L15.7664 11.1536L19.0408 7.87925L16.4084 5.24686L13.134 8.52123L10.3014 5.68862L8.1108 7.87917Z"
      }
    }]
  };
  var brush = vue.defineComponent({
    name: "BrushIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-brush", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$uc(_objectSpread$uc({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$ua, finalProps.value);
    }
  });

  function ownKeys$ub(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$ub(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$ub(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$ub(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$u9 = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M7 5.99792C7.00112 3.23745 9.23927 1 12 1C14.7607 1 16.9989 3.23745 17 5.99792H7Z"
      }
    }, {
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M6.41421 8L5 6.58579V4H3V7.41421L6 10.4142V12H3V14H6V15.5858L3 18.5858V22H5V19.4142L6.36064 18.0536C7.08903 20.0533 8.8508 21.5565 11 21.917V8H6.41421zM13 8V21.917C15.1492 21.5565 16.911 20.0533 17.6394 18.0536L19 19.4142V22H21V18.5858L18 15.5858V14H21V12H18V10.4142L21 7.41421V4H19V6.58579L17.5858 8H13z"
      }
    }]
  };
  var bugFilled = vue.defineComponent({
    name: "BugFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-bug-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$ub(_objectSpread$ub({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$u9, finalProps.value);
    }
  });

  function ownKeys$ua(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$ua(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$ua(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$ua(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$u8 = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M9.49299 4.4295C10.2778 4.15121 11.122 3.99996 12 3.99996C12.878 3.99996 13.7222 4.15121 14.507 4.4295L16.872 1.59155L18.4084 2.87192L16.325 5.37205C17.5801 6.25948 18.5512 7.52339 19.0732 8.99996H22V11H19.4836C19.4945 11.1652 19.5 11.3319 19.5 11.5V16.5C19.5 16.668 19.4945 16.8347 19.4836 17H22V19H19.0732C18.0436 21.9129 15.2655 24 12 24C8.73445 24 5.95636 21.9129 4.92676 19H2V17H4.5164C4.50552 16.8347 4.5 16.668 4.5 16.5V11.5C4.5 11.3319 4.50553 11.1652 4.5164 11H2V8.99996H4.92681C5.44878 7.52339 6.41991 6.25948 7.67503 5.37205L5.59159 2.87192L7.12804 1.59155L9.49299 4.4295ZM15 12V10H9V12H15ZM15 18V16H9V18H15Z"
      }
    }]
  };
  var bugReportFilled = vue.defineComponent({
    name: "BugReportFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-bug-report-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$ua(_objectSpread$ua({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$u8, finalProps.value);
    }
  });

  function ownKeys$u9(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$u9(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$u9(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$u9(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$u7 = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M7.12804 1.59155L9.49299 4.4295C10.2778 4.15121 11.122 3.99996 12 3.99996C12.878 3.99996 13.7222 4.15121 14.507 4.4295L16.872 1.59155L18.4084 2.87192L16.325 5.37205C17.5801 6.25948 18.5512 7.52339 19.0732 8.99996H22V11H19.4836C19.4945 11.1652 19.5 11.3319 19.5 11.5V16.5C19.5 16.668 19.4945 16.8347 19.4836 17H22V19H19.0732C18.0436 21.9129 15.2655 24 12 24C8.73445 24 5.95636 21.9129 4.92676 19H2V17H4.5164C4.50552 16.8347 4.5 16.668 4.5 16.5V11.5C4.5 11.3319 4.50553 11.1652 4.5164 11H2V8.99996H4.92681C5.44878 7.52339 6.41991 6.25948 7.67503 5.37205L5.59159 2.87192L7.12804 1.59155ZM12 5.99996C11.1484 5.99996 10.3446 6.19283 9.62743 6.53634C7.77552 7.42343 6.5 9.31372 6.5 11.5V16.5C6.5 19.5375 8.96243 22 12 22C15.0376 22 17.5 19.5375 17.5 16.5V11.5C17.5 9.31372 16.2245 7.42343 14.3726 6.53634C13.6554 6.19283 12.8516 5.99996 12 5.99996ZM9 9.99996H15V12H9V9.99996ZM9 16H15V18H9V16Z"
      }
    }]
  };
  var bugReport = vue.defineComponent({
    name: "BugReportIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-bug-report", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$u9(_objectSpread$u9({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$u7, finalProps.value);
    }
  });

  function ownKeys$u8(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$u8(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$u8(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$u8(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$u6 = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M9.17071 5H14.8293C14.4175 3.83481 13.3062 3 12 3C10.6938 3 9.58254 3.83481 9.17071 5ZM7 6C7 3.23858 9.23858 1 12 1C14.7614 1 17 3.23858 17 6V7H7V6ZM5 4V6.58579L6.41421 8H17.5858L19 6.58579V4H21V7.41421L18 10.4142V12H21V14H18V15.5858L21 18.5858V22H19V19.4142L17.6394 18.0536C16.911 20.0533 15.1492 21.5565 13 21.917V22H12C9.40763 22 7.19925 20.3559 6.36064 18.0536L5 19.4142V22H3V18.5858L6 15.5858V14H3V12H6V10.4142L3 7.41421V4H5ZM8 10.4142V16C8 17.8638 9.27477 19.4299 11 19.874V10H8.41421L8 10.4142ZM13 10V19.874C14.7252 19.4299 16 17.8638 16 16V10.4142L15.5858 10H13Z"
      }
    }]
  };
  var bug = vue.defineComponent({
    name: "BugIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-bug", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$u8(_objectSpread$u8({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$u6, finalProps.value);
    }
  });

  function ownKeys$u7(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$u7(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$u7(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$u7(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$u5 = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M7.49991 1.5V3.1251C7.89592 3.23082 8.25209 3.4023 8.56502 3.63475C9.11352 4.04221 9.46155 4.58642 9.67842 5.12862C9.92465 5.74422 10.0222 6.40645 10.0422 7H11.5V9H9.99991V10H21.9999V22H18.5V16H11.5V22H2.99991V9H1.5V7H2.95763C2.9776 6.40645 3.07516 5.74422 3.32139 5.12862C3.53826 4.58642 3.88629 4.04221 4.4348 3.63475C4.74772 3.4023 5.10389 3.23082 5.49991 3.1251V1.5H7.49991ZM4.95922 7H8.04059C8.02222 6.61113 7.9573 6.21099 7.82146 5.87138C7.70501 5.58025 7.55304 5.37446 7.37238 5.24025C7.20071 5.11273 6.93715 5 6.49991 5C6.06267 5 5.7991 5.11273 5.62744 5.24025C5.44677 5.37446 5.2948 5.58025 5.17835 5.87138C5.04251 6.21099 4.97759 6.61113 4.95922 7ZM4.99991 9V20H7.99991V9H4.99991Z"
      }
    }, {
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M16.5 22H13.5V18H16.5V22Z"
      }
    }]
  };
  var building1Filled = vue.defineComponent({
    name: "Building1FilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-building-1-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$u7(_objectSpread$u7({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$u5, finalProps.value);
    }
  });

  function ownKeys$u6(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$u6(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$u6(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$u6(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$u4 = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M7.49991 1.5V3.1251C7.89592 3.23082 8.25209 3.4023 8.56502 3.63475C9.11352 4.04221 9.46155 4.58642 9.67842 5.12862C9.92465 5.74422 10.0222 6.40645 10.0422 7H11.5V9H9.99991V10H21.9999V22H2.99991V9H1.5V7H2.95763C2.9776 6.40645 3.07516 5.74422 3.32139 5.12862C3.53826 4.58642 3.88629 4.04221 4.4348 3.63475C4.74772 3.4023 5.10389 3.23082 5.49991 3.1251V1.5H7.49991ZM4.95922 7H8.04059C8.02222 6.61113 7.9573 6.21099 7.82146 5.87138C7.70501 5.58025 7.55304 5.37446 7.37238 5.24025C7.20071 5.11273 6.93715 5 6.49991 5C6.06267 5 5.7991 5.11273 5.62744 5.24025C5.44677 5.37446 5.2948 5.58025 5.17835 5.87138C5.04251 6.21099 4.97759 6.61113 4.95922 7ZM7.99991 9H4.99991V20H7.99991V9ZM9.99991 20H11.9999V15H17.9999V20H19.9999V12H9.99991V20ZM15.9999 20V17H13.9999V20H15.9999Z"
      }
    }]
  };
  var building1 = vue.defineComponent({
    name: "Building1Icon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-building-1", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$u6(_objectSpread$u6({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$u4, finalProps.value);
    }
  });

  function ownKeys$u5(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$u5(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$u5(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$u5(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$u3 = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M12.0009.833984L18.3729 4.65718 17.3439 6.37216 17.0009 6.16636V8.00017H7.0009V6.16636L6.6579 6.37216 5.62891 4.65718 12.0009.833984zM11 3.99805V6.00195H13.0039V3.99805H11zM22 10H2V22H8V15H16V22H22V10z"
      }
    }, {
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M10 17V22H14V17H10Z"
      }
    }]
  };
  var building2Filled = vue.defineComponent({
    name: "Building2FilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-building-2-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$u5(_objectSpread$u5({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$u3, finalProps.value);
    }
  });

  function ownKeys$u4(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$u4(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$u4(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$u4(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$u2 = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M12 0.833984L18.372 4.65718L17.343 6.37216L17 6.16636V8.00017H22V22.0002H2V8.00017H7V6.16637L6.657 6.37216L5.62801 4.65718L12 0.833984ZM9 4.96637V8.00017H15V4.96637L12 3.16637L9 4.96637ZM11 4.99822H13.0039V7.00213H11V4.99822ZM4 10.0002V20.0002H8V13.0002H16V20.0002H20V10.0002H4ZM14 20.0002V15.0002H10V20.0002H14Z"
      }
    }]
  };
  var building2 = vue.defineComponent({
    name: "Building2Icon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-building-2", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$u4(_objectSpread$u4({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$u2, finalProps.value);
    }
  });

  function ownKeys$u3(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$u3(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$u3(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$u3(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$u1 = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M16 2H8V5H5V9H19V5H16V2zM2 11H22V22H16V16H8V22H2V11z"
      }
    }, {
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M10 22V18H14V22H10Z"
      }
    }]
  };
  var building3Filled = vue.defineComponent({
    name: "Building3FilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-building-3-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$u3(_objectSpread$u3({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$u1, finalProps.value);
    }
  });

  function ownKeys$u2(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$u2(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$u2(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$u2(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$u0 = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M8 2H16V5H19V9H22V22H2V9H5V5H8V2ZM10 5H14V4H10V5ZM7 9H17V7H7V9ZM4 11V20H8V14H16V20H20V11H4ZM14 20V16H10V20H14Z"
      }
    }]
  };
  var building3 = vue.defineComponent({
    name: "Building3Icon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-building-3", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$u2(_objectSpread$u2({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$u0, finalProps.value);
    }
  });

  function ownKeys$u1(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$u1(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$u1(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$u1(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$t$ = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M2 10H22V22H16V16H8V22H2V10Z"
      }
    }, {
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M10 22V18H14V22H10zM21 2H9V4H10V8H20V4H21V2zM15.0039 4.99805V7.00195H13V4.99805H15.0039z"
      }
    }]
  };
  var building4Filled = vue.defineComponent({
    name: "Building4FilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-building-4-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$u1(_objectSpread$u1({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$t$, finalProps.value);
    }
  });

  function ownKeys$u0(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$u0(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$u0(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$u0(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$t_ = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M9 2H21V4H20V8H22V22H2V8H10V4H9V2ZM12 4V8H18V4H12ZM20 10H4V20H8V14H16V20H20V10ZM14 20V16H10V20H14ZM13 4.99805H15.0039V7.00195H13V4.99805Z"
      }
    }]
  };
  var building4 = vue.defineComponent({
    name: "Building4Icon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-building-4", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$u0(_objectSpread$u0({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$t_, finalProps.value);
    }
  });

  function ownKeys$t$(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$t$(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$t$(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$t$(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$tZ = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M20.3816 6.19928L11.998 0.811035L3.61776 6.19957L4.69946 7.88181L4.99973 7.68873V11.1057L1.625 13.168L2.6679 14.8746L2.99973 14.6718V21.9998H11V16H13V21.9998H20.9997V14.6718L21.3316 14.8746L22.3745 13.168L18.9997 11.1057V7.68857L19.3003 7.88175L20.3816 6.19928ZM6.99973 9.88345V6.40272L11.9982 3.18865L16.9997 6.40316V9.88345L11.9997 6.8279L6.99973 9.88345Z"
      }
    }]
  };
  var building5Filled = vue.defineComponent({
    name: "Building5FilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-building-5-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$t$(_objectSpread$t$({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$tZ, finalProps.value);
    }
  });

  function ownKeys$t_(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$t_(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$t_(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$t_(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$tY = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M11.998 0.811035L20.3816 6.19928L19.3003 7.88175L18.9997 7.68857V11.1057L22.3745 13.168L21.3316 14.8746L20.9997 14.6718V21.9998H2.99973V14.6718L2.6679 14.8746L1.625 13.168L4.99973 11.1057V7.68873L4.69946 7.88181L3.61776 6.19957L11.998 0.811035ZM6.99973 6.40272V9.88345L11.9997 6.8279L16.9997 9.88345V6.40316L11.9982 3.18865L6.99973 6.40272ZM4.99973 13.4496V19.9998H10.9997V15.9998H12.9997V19.9998H18.9997V13.4496L11.9997 9.17179L4.99973 13.4496Z"
      }
    }]
  };
  var building5 = vue.defineComponent({
    name: "Building5Icon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-building-5", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$t_(_objectSpread$t_({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$tY, finalProps.value);
    }
  });

  function ownKeys$tZ(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$tZ(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$tZ(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$tZ(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$tX = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M7 2H17V5H20V9H4V5H7V2zM22 13V11H2V13H3V20H2V22H8V16H16V22H22V20H21V13H22z"
      }
    }, {
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M14 22H10V18H14V22Z"
      }
    }]
  };
  var buildingFilled = vue.defineComponent({
    name: "BuildingFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-building-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$tZ(_objectSpread$tZ({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$tX, finalProps.value);
    }
  });

  function ownKeys$tY(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$tY(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$tY(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$tY(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$tW = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M7 2H17V5H20V9H22V11H21V20H22V22H2V20H3V11H2V9H4V5H7V2ZM9 5H15V4H9V5ZM5 11V20H8V14H16V20H19V11H5ZM18 9V7H6V9H18ZM14 20V16H10V20H14Z"
      }
    }]
  };
  var building = vue.defineComponent({
    name: "BuildingIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-building", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$tY(_objectSpread$tY({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$tW, finalProps.value);
    }
  });

  function ownKeys$tX(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$tX(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$tX(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$tX(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$tV = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M3 6.00391H2V5.00391V5V4H3H3.00391H4.00391V5V5.00391V6.00391H3.00391H3ZM3 13.0039H2V12.0039V12V11H3H3.00391H4.00391V12V12.0039V13.0039H3.00391H3ZM2 20.0039H3H3.00391H4.00391V19.0039V19V18H3.00391H3H2V19V19.0039V20.0039ZM8 4H7V6H8H21H22V4H21H8ZM7 11H8H21H22V13H21H8H7V11ZM8 18H7V20H8H21H22V18H21H8Z"
      }
    }]
  };
  var bulletpoint = vue.defineComponent({
    name: "BulletpointIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-bulletpoint", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$tX(_objectSpread$tX({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$tV, finalProps.value);
    }
  });

  function ownKeys$tW(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$tW(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$tW(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$tW(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$tU = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M2 5H22V19H2V5ZM4 7V17H20V7H4ZM6 9H18V15H6V9Z"
      }
    }]
  };
  var buttonFilled = vue.defineComponent({
    name: "ButtonFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-button-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$tW(_objectSpread$tW({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$tU, finalProps.value);
    }
  });

  function ownKeys$tV(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$tV(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$tV(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$tV(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$tT = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M2 5H22V19H2V5ZM4 7V17H20V7H4ZM6 9H18V15H6V9ZM8 11V13H16V11H8Z"
      }
    }]
  };
  var button = vue.defineComponent({
    name: "ButtonIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-button", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$tV(_objectSpread$tV({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$tT, finalProps.value);
    }
  });

  function ownKeys$tU(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$tU(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$tU(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$tU(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$tS = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M14.0895 4.09377L13.9187 6.54954C14.8458 7.49654 15.3498 8.56778 15.5453 9.71293 16.2136 9.25045 16.9804 8.90181 17.7613 8.71021 17.7879 8.7037 17.8148 8.69738 17.8421 8.69125L16.6292 6.6516 18.3482 5.62937 20.1357 8.63536C20.9311 8.74885 21.7584 9.00045 22.4934 9.43493 22.5476 9.46698 22.6015 9.50011 22.6549 9.53432 22.312 8.22324 21.7292 6.87987 20.9769 5.71586 20.0975 4.35536 18.8775 3.08145 17.3916 2.48472 15.7974 1.84446 14.2023 2.44446 14.0938 4.04297 14.0926 4.06011 14.0912 4.07704 14.0895 4.09377zM12.0828 4.12142L11.8567 7.37184 12.226 7.69846C13.3908 8.72867 13.7816 9.99212 13.6032 11.6109 13.2756 11.6193 12.9378 11.6567 12.6083 11.728 12.5979 11.7104 12.5874 11.6929 12.5768 11.6757 12.3329 11.2798 11.984 10.8898 11.5463 10.5827 10.7562 10.0283 9.6745 9.75252 8.50491 10.1899 7.89886 9.84157 7.3278 9.57095 6.79019 9.3726 6.71087 9.34333 6.63141 9.31551 6.55186 9.28911L9.40605 5.75618 7.85031 4.49933 4.2882 8.90852C3.33658 8.89926 2.4296 9.08004 1.6426 9.41917 1.50962 9.47647 1.37879 9.53907 1.25084 9.60684 1.91299 6.51974 3.84217 3.97327 6.50926 2.47939 7.55491 1.8937 8.65203 1.59787 9.68412 1.62473 11.4345 1.67028 12.1822 2.53539 12.086 4 12.0833 4.04151 12.0822 4.08199 12.0828 4.12142zM1.02417 12.7407C1.34205 17.6054 4.76961 21.5252 9.31327 22.6665 9.04876 21.6545 8.82129 20.465 8.72426 19.2518L3.58556 14.0575 5.00737 12.6509 8.79177 16.4763C9.03455 15.0038 9.67209 13.5583 10.8 12.6152 10.695 12.4723 10.5577 12.3322 10.3974 12.2198 10.0324 11.9636 9.55665 11.8409 8.93371 12.1908L8.41805 12.4803 7.91587 12.168C7.22494 11.7382 6.62057 11.4418 6.0979 11.249 4.7492 10.7513 3.40425 10.8378 2.43406 11.2559 1.58123 11.6234 1.12933 12.1779 1.02417 12.7407zM13.4274 19.054L11.1122 21.6055C10.8297 20.3724 10.6341 18.9528 10.6811 17.6442 10.7442 15.8896 11.4455 14.4469 12.4822 13.8757 12.9126 13.6386 13.6715 13.5466 14.2717 13.6516L15.1608 13.8072 15.4064 12.9386C15.5344 12.4856 15.8736 11.9997 16.4035 11.5677 16.9282 11.14 17.5832 10.8132 18.2379 10.6526 19.0033 10.4648 20.4267 10.5365 21.4757 11.1566 21.9741 11.4513 22.3601 11.8521 22.5794 12.3879 22.7995 12.9257 22.8899 13.6934 22.6305 14.786L22.6483 14.7903C21.4649 19.3738 17.4276 22.7439 12.5607 22.9855L19.8559 14.9456 18.3747 13.6016 15.4432 16.8324 15.4504 15.8183 13.4505 15.8041 13.4274 19.054z"
      }
    }]
  };
  var cabbageFilled = vue.defineComponent({
    name: "CabbageFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-cabbage-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$tU(_objectSpread$tU({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$tS, finalProps.value);
    }
  });

  function ownKeys$tT(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$tT(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$tT(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$tT(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$tR = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M13.1156 3.46815C12.7668 2.94079 12.3092 2.5068 11.7534 2.18804C10.2453 1.32314 8.30164 1.47541 6.5092 2.47939C3.17957 4.34437 1 7.84985 1 11.9997C1 17.5382 5.01047 22.0116 10.2474 22.859C10.8187 22.9514 11.4042 22.9994 12 22.9994C18.0712 22.9994 23 18.1386 23 11.9997C23 11.9713 22.9998 11.9428 22.9995 11.9142C22.9772 9.98163 22.2017 7.61102 20.9768 5.71586C19.7569 3.82843 17.8813 2.10767 15.5499 2.1304C14.4121 2.13246 13.6346 2.75783 13.1156 3.46815ZM19.7714 7.61258C19.3541 7.54337 18.9274 7.53662 18.5084 7.57987L17.3484 5.62909L15.6294 6.65131L16.5214 8.15142C16.1475 8.32736 15.7888 8.53734 15.4562 8.77581C15.4501 8.75651 15.4439 8.73724 15.4376 8.71798C15.1706 7.90844 14.6548 7.24309 13.9666 6.58191C13.9681 6.57507 13.9695 6.56818 13.971 6.56124C14.0398 6.23895 14.1498 5.82247 14.315 5.41707C14.6879 4.50142 15.1213 4.13046 15.5555 4.13046L15.5664 4.13034C16.8571 4.11631 18.2018 5.1069 19.2971 6.8015C19.4665 7.06358 19.6249 7.33515 19.7714 7.61258ZM13.6094 10.6107C13.2799 10.6187 12.9401 10.6562 12.6087 10.7279C12.5983 10.7102 12.5877 10.6928 12.5771 10.6756C12.3332 10.2797 11.9844 9.88969 11.5466 9.58252C10.7566 9.02813 9.67485 8.75238 8.50526 9.18978C8.396 9.12698 8.28788 9.06671 8.1809 9.00893L11.4141 5.84017L10.0142 4.4118L6.17899 8.17056C5.36944 7.93601 4.61232 7.85229 3.93187 7.94558C4.71518 6.37009 5.95195 5.08388 7.48656 4.22431C8.85054 3.46033 10.0242 3.50188 10.7584 3.92297C11.4578 4.32409 12.0392 5.23406 11.8929 6.85963L11.8476 7.36329L12.2263 7.69832C13.048 8.42507 13.39 8.89492 13.5382 9.34433C13.6421 9.6593 13.6758 10.0403 13.6094 10.6107ZM10.8004 11.6151C9.94575 12.3296 9.37266 13.3326 9.0395 14.4173L6.06598 11.1521L4.58728 12.4988L8.67462 16.9869C8.66999 18.1787 8.82302 19.3992 9.04474 20.5018C5.52248 19.2839 3 15.9777 3 11.9997C3 10.9608 3.28851 10.3935 3.6289 10.1445C3.95044 9.90927 4.65512 9.71638 6.09824 10.2488C6.62091 10.4417 7.22528 10.738 7.91622 11.1678L8.4184 11.4802L8.93406 11.1906C9.55699 10.8408 10.0327 10.9635 10.3978 11.2197C10.5581 11.3321 10.6954 11.4722 10.8004 11.6151ZM12.5646 20.9822L19.8569 12.9454L18.3758 11.6015L15.4443 14.8323L15.4515 13.8182L13.4515 13.804L13.4285 17.0539L10.9447 19.7912C10.7575 18.7699 10.6445 17.6727 10.6815 16.644C10.7446 14.8894 11.4459 13.4468 12.4826 12.8756C12.9129 12.6385 13.6719 12.5465 14.272 12.6515L15.1612 12.8071L15.4067 11.9385C15.5347 11.4855 15.874 10.9996 16.4038 10.5676C16.9286 10.1398 17.5835 9.8131 18.2382 9.65247C19.0392 9.45596 19.7222 9.55843 20.1721 9.86763C20.5652 10.1378 20.9597 10.6902 20.9971 11.8219C20.9973 11.8279 20.9975 11.8339 20.9977 11.8399C20.9992 11.8938 21 11.9471 21 11.9997C21 16.8345 17.2756 20.6949 12.5646 20.9822Z"
      }
    }]
  };
  var cabbage = vue.defineComponent({
    name: "CabbageIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-cabbage", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$tT(_objectSpread$tT({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$tR, finalProps.value);
    }
  });

  function ownKeys$tS(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$tS(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$tS(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$tS(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$tQ = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M9.00195 1.99805H6.99805V4.00195H9.00195V1.99805zM13.002 1.99805H10.998V4.00195H13.002V1.99805zM17.002 1.99805H14.998V4.00195H17.002V1.99805zM9 10V5H7V10H3V15H6.16228L9 15.9459 12 14.9459 15 15.9459 17.8377 15H21V10H17V5H15V10H13V5H11V10H9zM21 17H18.1623L15 18.0541 12 17.0541 9 18.0541 5.83772 17H3V20H1V22H23V20H21V17z"
      }
    }]
  };
  var cakeFilled = vue.defineComponent({
    name: "CakeFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-cake-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$tS(_objectSpread$tS({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$tQ, finalProps.value);
    }
  });

  function ownKeys$tR(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$tR(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$tR(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$tR(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$tP = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M6.99805 1.99805H9.00195V4.00195H6.99805V1.99805ZM10.998 1.99805H13.002V4.00195H10.998V1.99805ZM14.998 1.99805H17.002V4.00195H14.998V1.99805ZM9 5V10H11V5H13V10H15V5H17V10H21V20H23V22H1V20H3V10H7V5H9ZM5 12V15H6.16228L9 15.9459L12 14.9459L15 15.9459L17.8377 15H19V12H5ZM19 17H18.1623L15 18.0541L12 17.0541L9 18.0541L5.83772 17H5V20H19V17Z"
      }
    }]
  };
  var cake = vue.defineComponent({
    name: "CakeIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-cake", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$tR(_objectSpread$tR({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$tP, finalProps.value);
    }
  });

  function ownKeys$tQ(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$tQ(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$tQ(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$tQ(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$tO = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M23 1V23H1V1H23ZM9 7V5H7V7H5V9H7V11H9V9H11V7H9ZM19 7H13V9H19V7ZM8 14.5858L6.58594 13.1717L5.17172 14.5859L6.58579 16L5.17142 17.4144L6.58563 18.8286L8 17.4142L9.41436 18.8286L10.8286 17.4144L9.41421 16L10.8283 14.5859L9.41406 13.1717L8 14.5858ZM19 13.5H13V15.5H19V13.5ZM19 16.5H13V18.5H19V16.5Z"
      }
    }]
  };
  var calculation1Filled = vue.defineComponent({
    name: "Calculation1FilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-calculation-1-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$tQ(_objectSpread$tQ({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$tO, finalProps.value);
    }
  });

  function ownKeys$tP(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$tP(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$tP(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$tP(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$tN = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M1 1H23V23H1V1ZM3 3V21H21V3H3ZM9 5V7H11V9H9V11H7V9H5V7H7V5H9ZM13 7H19V9H13V7ZM6.58594 13.1717L8 14.5858L9.41406 13.1717L10.8283 14.5859L9.41421 16L10.8286 17.4144L9.41436 18.8286L8 17.4142L6.58563 18.8286L5.17142 17.4144L6.58579 16L5.17172 14.5859L6.58594 13.1717ZM13 13.5H19V15.5H13V13.5ZM13 16.5H19V18.5H13V16.5Z"
      }
    }]
  };
  var calculation1 = vue.defineComponent({
    name: "Calculation1Icon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-calculation-1", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$tP(_objectSpread$tP({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$tN, finalProps.value);
    }
  });

  function ownKeys$tO(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$tO(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$tO(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$tO(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$tM = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M7.5 2V5.5H11V7.5H7.5V11H5.5V7.5H2V5.5H5.5V2H7.5ZM13 5.5L22 5.5V7.5L13 7.5V5.5ZM10.7761 15.011L7.94765 17.8395L10.9366 20.8284L9.52239 22.2426L6.53344 19.2537L3.70501 22.0821L2.2908 20.6679L5.11922 17.8395L2.45132 15.1716L3.86554 13.7574L6.53344 16.4253L9.36186 13.5968L10.7761 15.011ZM16.5 13.998H18.5039V16.002H16.5V13.998ZM13 17H22V19H13V17ZM16.5 19.998H18.5039V22.002H16.5V19.998Z"
      }
    }]
  };
  var calculation = vue.defineComponent({
    name: "CalculationIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-calculation", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$tO(_objectSpread$tO({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$tM, finalProps.value);
    }
  });

  function ownKeys$tN(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$tN(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$tN(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$tN(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$tL = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M4 2H20V22H4V2ZM6 4V8H18V4H6ZM18 10H15V12H18V10ZM18 14H15L15 16H18V14ZM18 18H15V20H18V18ZM13 20V18H11V20H13ZM9 20V18H6V20H9ZM6 16H9L9 14H6V16ZM6 12H9V10H6V12ZM11 10V12H13V10H11ZM13 14H11L11 16H13V14Z"
      }
    }]
  };
  var calculator1 = vue.defineComponent({
    name: "Calculator1Icon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-calculator-1", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$tN(_objectSpread$tN({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$tL, finalProps.value);
    }
  });

  function ownKeys$tM(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$tM(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$tM(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$tM(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$tK = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M3 1H21V7H3V1zM3 8.99561H21V23H3V8.99561zM11 14.9978V12.9978H7V14.9978H11zM17 14.9978V12.9978H13V14.9978H17zM11 16.9978H7V18.9978H11V16.9978zM17 18.9978V16.9978H13V18.9978H17z"
      }
    }]
  };
  var calculatorFilled = vue.defineComponent({
    name: "CalculatorFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-calculator-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$tM(_objectSpread$tM({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$tK, finalProps.value);
    }
  });

  function ownKeys$tL(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$tL(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$tL(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$tL(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$tJ = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M3 1H21V23H3V1ZM5 3V7H19V3H5ZM19 9H5V21H19V9ZM7 12H11V14H7V12ZM13 12H17V14H13V12ZM7 16H11V18H7V16ZM13 16H17V18H13V16Z"
      }
    }]
  };
  var calculator = vue.defineComponent({
    name: "CalculatorIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-calculator", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$tL(_objectSpread$tL({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$tJ, finalProps.value);
    }
  });

  function ownKeys$tK(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$tK(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$tK(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$tK(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$tI = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M8 4H16V1H18V4H22V9H2V4H6V1H8V4zM22 10.9995V22H2V10.9995H22zM9.00391 13.4978H7V15.5017H9.00391V13.4978zM13.0039 13.4978H11V15.5017H13.0039V13.4978zM17.0039 13.4978H15V15.5017H17.0039V13.4978zM9.00391 17.4978H7V19.5017H9.00391V17.4978zM13.0039 17.4978H11V19.5017H13.0039V17.4978zM17.0039 17.4978H15V19.5017H17.0039V17.4978z"
      }
    }]
  };
  var calendar1Filled = vue.defineComponent({
    name: "Calendar1FilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-calendar-1-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$tK(_objectSpread$tK({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$tI, finalProps.value);
    }
  });

  function ownKeys$tJ(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$tJ(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$tJ(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$tJ(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$tH = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M8 1V4L16 4V1L18 1V4L22 4L22 22L2 22L2 4L6 4L6 1L8 1ZM4 6L4 9L20 9V6L4 6ZM20 11L4 11L4 20L20 20L20 11ZM7 13L9.00391 13L9.00391 15.0039L7 15.0039L7 13ZM11 13H13.0039V15.0039H11V13ZM15 13H17.0039V15.0039H15V13ZM7 16L9.00391 16V18.0039H7V16ZM11 16H13.0039L13.0039 18.0039H11L11 16ZM15 16H17.0039L17.0039 18.0039H15L15 16Z"
      }
    }]
  };
  var calendar1 = vue.defineComponent({
    name: "Calendar1Icon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-calendar-1", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$tJ(_objectSpread$tJ({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$tH, finalProps.value);
    }
  });

  function ownKeys$tI(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$tI(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$tI(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$tI(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$tG = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M8 4H16V1H18V4H22V9H2V4H6V1H8V4zM22 11.0037V22H2V11.0037H22zM11.2572 19.9068L16.9141 14.2499 15.4999 12.8357 11.2572 17.0783 9.13589 14.957 7.72168 16.3712 11.2572 19.9068z"
      }
    }]
  };
  var calendar2Filled = vue.defineComponent({
    name: "Calendar2FilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-calendar-2-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$tI(_objectSpread$tI({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$tG, finalProps.value);
    }
  });

  function ownKeys$tH(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$tH(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$tH(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$tH(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$tF = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M8 1V4H16V1H18V4H22V22H2V4H6V1H8ZM4 6V9H20V6H4ZM20 11H4V20H20V11Z"
      }
    }, {
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M16.9142 13.25L11.2574 18.9069L7.72183 15.3713L9.13604 13.9571L11.2574 16.0784L15.5 11.8358L16.9142 13.25Z"
      }
    }]
  };
  var calendar2 = vue.defineComponent({
    name: "Calendar2Icon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-calendar-2", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$tH(_objectSpread$tH({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$tF, finalProps.value);
    }
  });

  function ownKeys$tG(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$tG(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$tG(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$tG(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$tE = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M16 4H8V1H6V4H2V9H22V4H18V1H16V4zM22 13V10.9999H2V22H12V21C12 16.5817 15.5817 13 20 13H22z"
      }
    }, {
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M23.4143 18.2133L19.2867 14.0857L14 19.3724L14.0012 23.4999H18.1277L23.4143 18.2133ZM17.2007 19.0001L18.4999 20.2993L17.2993 21.4999H16.0006L16.0002 20.2006L17.2007 19.0001Z"
      }
    }]
  };
  var calendarEditFilled = vue.defineComponent({
    name: "CalendarEditFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-calendar-edit-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$tG(_objectSpread$tG({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$tE, finalProps.value);
    }
  });

  function ownKeys$tF(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$tF(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$tF(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$tF(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$tD = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M8 1V4H16V1H18V4H22V6.00122L22.0012 6.00122L21.9998 12.0002L19.9998 11.9998L20 11H4V20H12V22H2V4H6V1H8ZM4 9H20V6H4V9ZM19.2866 13.0858L23.4142 17.2134L18.1276 22.5H14.0011L13.9999 18.3725L19.2866 13.0858ZM18.6148 16.586L19.914 17.8852L20.5858 17.2134L19.2866 15.9142L18.6148 16.586ZM18.4998 19.2994L17.2006 18.0002L16.0001 19.2007L16.0005 20.5H17.2992L18.4998 19.2994Z"
      }
    }]
  };
  var calendarEdit = vue.defineComponent({
    name: "CalendarEditIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-calendar-edit", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$tF(_objectSpread$tF({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$tD, finalProps.value);
    }
  });

  function ownKeys$tE(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$tE(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$tE(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$tE(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$tC = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M8 4H16V1H18V4H22V9H2V4H6V1H8V4zM22 10.9999V22H2V10.9999H22zM18.5 14.5H14.5V18.5H18.5V14.5z"
      }
    }]
  };
  var calendarEventFilled = vue.defineComponent({
    name: "CalendarEventFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-calendar-event-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$tE(_objectSpread$tE({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$tC, finalProps.value);
    }
  });

  function ownKeys$tD(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$tD(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$tD(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$tD(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$tB = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M8 1V4L16 4V1L18 1V4L22 4L22 22L2 22L2 4L6 4L6 1L8 1ZM4 6L4 9L20 9V6L4 6ZM20 11L4 11L4 20L20 20L20 11ZM12.5 12.5H18.5V18.5L12.5 18.5L12.5 12.5ZM14.5 14.5V16.5H16.5V14.5H14.5Z"
      }
    }]
  };
  var calendarEvent = vue.defineComponent({
    name: "CalendarEventIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-calendar-event", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$tD(_objectSpread$tD({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$tB, finalProps.value);
    }
  });

  function ownKeys$tC(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$tC(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$tC(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$tC(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$tA = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M6 1.5V4H2V9H22V4H18V1.5H16V4H8V1.5H6zM22 22V10.9995H2V22H22z"
      }
    }]
  };
  var calendarFilled = vue.defineComponent({
    name: "CalendarFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-calendar-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$tC(_objectSpread$tC({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$tA, finalProps.value);
    }
  });

  function ownKeys$tB(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$tB(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$tB(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$tB(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$tz = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M6 4V1.5H8V4H16V1.5H18V4H22V22H2V4H6ZM4 6V9H20V6H4ZM20 11H4V20H20V11Z"
      }
    }]
  };
  var calendar = vue.defineComponent({
    name: "CalendarIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-calendar", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$tB(_objectSpread$tB({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$tz, finalProps.value);
    }
  });

  function ownKeys$tA(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$tA(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$tA(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$tA(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$ty = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M17.0179 2.04804L16.0526 1.78687 15.5302 3.71745 16.4955 3.97862C17.3393 4.20693 18.1085 4.65246 18.7264 5.27078 19.3443 5.8891 19.7893 6.6586 20.017 7.50255L20.2775 8.46803 22.2084 7.94702 21.9479 6.98155C21.6291 5.80002 21.0061 4.72271 20.1411 3.85706 19.276 2.99141 18.1992 2.36767 17.0179 2.04804zM16.1039 5.42618L15.1386 5.16501 14.6162 7.09559 15.5815 7.35676C15.8346 7.42526 16.0654 7.55891 16.2508 7.74441 16.4361 7.92991 16.5696 8.16076 16.6379 8.41394L16.8984 9.37942 18.8294 8.85841 18.5689 7.89293C18.4095 7.30217 18.098 6.76352 17.6655 6.33069 17.233 5.89787 16.6945 5.586 16.1039 5.42618z"
      }
    }, {
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M9.57995 2H1V3C1 6.99781 2.17402 10.7245 4.19641 13.8503C5.73668 16.2311 7.76894 18.2633 10.1497 19.8036C13.2755 21.826 17.0022 23 21 23H22V14.4201L15.3094 12.9332L13.4504 14.7922C11.7492 13.7006 10.2994 12.2508 9.2078 10.5496L11.0668 8.69061L9.57995 2Z"
      }
    }]
  };
  var call1Filled = vue.defineComponent({
    name: "Call1FilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-call-1-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$tA(_objectSpread$tA({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$ty, finalProps.value);
    }
  });

  function ownKeys$tz(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$tz(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$tz(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$tz(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$tx = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M16.0524 1.78687L17.0177 2.04804C18.199 2.36767 19.2759 2.99141 20.141 3.85706C21.006 4.72271 21.629 5.80002 21.9478 6.98155L22.2083 7.94702L20.2773 8.46803L20.0168 7.50255C19.7891 6.6586 19.3441 5.8891 18.7262 5.27078C18.1084 4.65246 17.3392 4.20693 16.4954 3.97862L15.5301 3.71745L16.0524 1.78687ZM1 2.00002H9.57995L11.0668 8.69063L9.2078 10.5496C10.2994 12.2508 11.7492 13.7006 13.4504 14.7922L15.3094 12.9333L22 14.4201V23H21C17.0022 23 13.2755 21.826 10.1497 19.8036C7.76894 18.2633 5.73668 16.2311 4.1964 13.8504C2.17402 10.7245 1 6.99783 1 3.00002V2.00002ZM3.02729 4.00002C3.20351 7.22079 4.22584 10.214 5.87561 12.764C7.26238 14.9074 9.09261 16.7376 11.2361 18.1244C13.786 19.7742 16.7792 20.7965 20 20.9727V16.0244L15.9473 15.1238L13.7725 17.2986L13.1102 16.9225C10.5952 15.4943 8.50568 13.4048 7.07755 10.8898L6.70146 10.2275L8.87621 8.05275L7.97561 4.00002H3.02729ZM15.1384 5.16501L16.1037 5.42618C16.6944 5.586 17.2328 5.89787 17.6653 6.33069C18.0979 6.76352 18.4094 7.30217 18.5688 7.89293L18.8293 8.85841L16.8983 9.37942L16.6378 8.41394C16.5695 8.16076 16.436 7.92991 16.2506 7.74441C16.0653 7.55891 15.8345 7.42526 15.5814 7.35676L14.6161 7.09559L15.1384 5.16501Z"
      }
    }]
  };
  var call1 = vue.defineComponent({
    name: "Call1Icon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-call-1", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$tz(_objectSpread$tz({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$tx, finalProps.value);
    }
  });

  function ownKeys$ty(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$ty(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$ty(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$ty(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$tw = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M18.5014 4.08714L16.38 1.96582L14.9658 3.38003L17.0871 5.50135L14.9658 7.62267L16.38 9.03689L18.5014 6.91557L20.6227 9.03689L22.0369 7.62267L19.9156 5.50135L22.0369 3.38003L20.6227 1.96582L18.5014 4.08714Z"
      }
    }, {
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M9.57995 2H1V3C1 6.99781 2.17402 10.7245 4.1964 13.8503C5.73668 16.2311 7.76894 18.2633 10.1497 19.8036C13.2755 21.826 17.0022 23 21 23H22V14.4201L15.3094 12.9332L13.4504 14.7922C11.7492 13.7006 10.2994 12.2508 9.2078 10.5496L11.0668 8.69061L9.57995 2Z"
      }
    }]
  };
  var callCancelFilled = vue.defineComponent({
    name: "CallCancelFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-call-cancel-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$ty(_objectSpread$ty({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$tw, finalProps.value);
    }
  });

  function ownKeys$tx(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$tx(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$tx(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$tx(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$tv = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M16.3799 1.96582L18.5012 4.08714L20.6225 1.96582L22.0367 3.38003L19.9154 5.50135L22.0367 7.62267L20.6225 9.03689L18.5012 6.91557L16.3799 9.03689L14.9657 7.62267L17.087 5.50135L14.9657 3.38003L16.3799 1.96582ZM1 2.00003H9.57995L11.0668 8.69064L9.2078 10.5496C10.2994 12.2508 11.7492 13.7007 13.4504 14.7922L15.3094 12.9333L22 14.4201V23H21C17.0022 23 13.2755 21.826 10.1497 19.8036C7.76894 18.2634 5.73668 16.2311 4.1964 13.8504C2.17402 10.7245 1 6.99784 1 3.00003V2.00003ZM3.02729 4.00003C3.20351 7.2208 4.22584 10.214 5.87561 12.764C7.26238 14.9074 9.09261 16.7377 11.2361 18.1244C13.786 19.7742 16.7792 20.7965 20 20.9727V16.0244L15.9473 15.1238L13.7725 17.2986L13.1102 16.9225C10.5952 15.4944 8.50568 13.4049 7.07755 10.8898L6.70146 10.2275L8.87621 8.05276L7.97561 4.00003H3.02729Z"
      }
    }]
  };
  var callCancel = vue.defineComponent({
    name: "CallCancelIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-call-cancel", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$tx(_objectSpread$tx({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$tv, finalProps.value);
    }
  });

  function ownKeys$tw(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$tw(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$tw(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$tw(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$tu = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M1 2H9.57995L11.0668 8.69061L9.2078 10.5496C10.2994 12.2508 11.7492 13.7006 13.4504 14.7922L15.3094 12.9332L22 14.4201V23H21C17.0022 23 13.2755 21.826 10.1497 19.8036C7.76894 18.2633 5.73668 16.2311 4.1964 13.8503C2.17402 10.7245 1 6.99781 1 3V2Z"
      }
    }]
  };
  var callFilled = vue.defineComponent({
    name: "CallFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-call-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$tw(_objectSpread$tw({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$tu, finalProps.value);
    }
  });

  function ownKeys$tv(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$tv(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$tv(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$tv(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$tt = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M9.57995 2H1V3C1 6.99781 2.17402 10.7245 4.1964 13.8503C5.73668 16.2311 7.76894 18.2633 10.1497 19.8036C13.2755 21.826 17.0022 23 21 23H22V14.4201L15.3094 12.9332L13.4504 14.7922C11.7492 13.7006 10.2994 12.2508 9.2078 10.5496L11.0668 8.69061L9.57995 2Z"
      }
    }, {
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M21.6048 2.40043L16.1862 2.28394L16.1432 4.28347L18.262 4.32903L14.9688 7.62225L16.383 9.03647L19.6762 5.74323L19.7218 7.862L21.7213 7.819L21.6048 2.40043Z"
      }
    }]
  };
  var callForwardedFilled = vue.defineComponent({
    name: "CallForwardedFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-call-forwarded-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$tv(_objectSpread$tv({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$tt, finalProps.value);
    }
  });

  function ownKeys$tu(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$tu(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$tu(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$tu(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$ts = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M1 2H9.57995L11.0668 8.69061L9.2078 10.5496C10.2994 12.2508 11.7492 13.7006 13.4504 14.7922L15.3094 12.9332L22 14.4201V23H21C17.0022 23 13.2755 21.826 10.1497 19.8036C7.76894 18.2633 5.73668 16.2311 4.1964 13.8503C2.17402 10.7245 1 6.99781 1 3V2ZM3.02729 4C3.20351 7.22077 4.22584 10.214 5.87561 12.7639C7.26238 14.9074 9.09261 16.7376 11.2361 18.1244C13.786 19.7742 16.7792 20.7965 20 20.9727V16.0244L15.9473 15.1238L13.7725 17.2985L13.1102 16.9225C10.5952 15.4943 8.50568 13.4048 7.07755 10.8898L6.70146 10.2275L8.87621 8.05272L7.97561 4H3.02729ZM16.1859 2.28391L21.6044 2.40041L21.7209 7.81898L19.7214 7.86197L19.6759 5.74321L16.3826 9.03644L14.9684 7.62223L18.2616 4.329L16.1429 4.28345L16.1859 2.28391Z"
      }
    }]
  };
  var callForwarded = vue.defineComponent({
    name: "CallForwardedIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-call-forwarded", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$tu(_objectSpread$tu({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$ts, finalProps.value);
    }
  });

  function ownKeys$tt(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$tt(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$tt(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$tt(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$tr = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M18.7386 6.67106L22.0318 3.37784L20.6176 1.96362L17.3244 5.25686L17.2788 3.13809L15.2793 3.18108L15.3958 8.59966L20.8144 8.71615L20.8574 6.71662L18.7386 6.67106Z"
      }
    }, {
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M9.57995 2H1V3C1 6.99781 2.17402 10.7245 4.1964 13.8503C5.73668 16.2311 7.76894 18.2633 10.1497 19.8036C13.2755 21.826 17.0022 23 21 23H22V14.4201L15.3094 12.9332L13.4504 14.7922C11.7492 13.7006 10.2994 12.2508 9.2078 10.5496L11.0668 8.69061L9.57995 2Z"
      }
    }]
  };
  var callIncomingFilled = vue.defineComponent({
    name: "CallIncomingFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-call-incoming-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$tt(_objectSpread$tt({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$tr, finalProps.value);
    }
  });

  function ownKeys$ts(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$ts(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$ts(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$ts(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$tq = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M22.0316 3.37784L18.7384 6.67106L20.8571 6.71662L20.8141 8.71615L15.3956 8.59966L15.279 3.18108L17.2786 3.13809L17.3241 5.25686L20.6174 1.96362L22.0316 3.37784ZM1 2.00006H9.57995L11.0668 8.69067L9.2078 10.5496C10.2994 12.2508 11.7492 13.7007 13.4504 14.7923L15.3094 12.9333L22 14.4201V23.0001H21C17.0022 23.0001 13.2755 21.826 10.1497 19.8037C7.76894 18.2634 5.73668 16.2311 4.1964 13.8504C2.17402 10.7245 1 6.99787 1 3.00006V2.00006ZM3.02729 4.00006C3.20351 7.22083 4.22584 10.2141 5.87561 12.764C7.26238 14.9075 9.09261 16.7377 11.2361 18.1245C13.786 19.7742 16.7792 20.7966 20 20.9728V16.0245L15.9473 15.1239L13.7725 17.2986L13.1102 16.9225C10.5952 15.4944 8.50568 13.4049 7.07755 10.8899L6.70146 10.2275L8.87621 8.05279L7.97561 4.00006H3.02729Z"
      }
    }]
  };
  var callIncoming = vue.defineComponent({
    name: "CallIncomingIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-call-incoming", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$ts(_objectSpread$ts({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$tq, finalProps.value);
    }
  });

  function ownKeys$tr(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$tr(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$tr(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$tr(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$tp = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M9.21278 10.5573C9.21112 10.5547 9.20946 10.5521 9.2078 10.5496L11.0668 8.69061 9.57995 2H1V3C1 6.99781 2.17402 10.7245 4.1964 13.8503 4.42099 14.1975 4.65604 14.5372 4.90111 14.8691L9.21278 10.5573zM1.59425 21.0045L21.0039 1.59437 20.9996 1.59007 21.0037 1.58594 22.418 3.00013 11.8349 13.5834C12.3428 14.0236 12.8826 14.4279 13.4504 14.7922L15.3094 12.9332 22 14.4201V23H21C17.0022 23 13.2755 21.826 10.1497 19.8036 9.24131 19.2159 8.38369 18.5566 7.58477 17.8337L3.00418 22.4144 1.59425 21.0045z"
      }
    }]
  };
  var callOffFilled = vue.defineComponent({
    name: "CallOffFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-call-off-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$tr(_objectSpread$tr({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$tp, finalProps.value);
    }
  });

  function ownKeys$tq(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$tq(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$tq(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$tq(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$to = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M22.4142 2.99991L11.8327 13.5814C12.3413 14.0224 12.8819 14.4273 13.4504 14.7921L15.3094 12.9332L22 14.42V22.9999H21C17.0022 22.9999 13.2755 21.8259 10.1497 19.8035C9.2404 19.2152 8.38205 18.5552 7.58256 17.8316L3 22.4141L1.58579 20.9999L21 1.58569L22.4142 2.99991ZM8.99871 16.4154C9.69759 17.0411 10.4456 17.6129 11.2361 18.1243C13.786 19.7741 16.7792 20.7964 20 20.9726V16.0243L15.9473 15.1237L13.7725 17.2985L13.1102 16.9224C12.1446 16.3741 11.2419 15.7284 10.4154 14.9987L8.99871 16.4154ZM1 1.99991H9.57995L11.0668 8.69052L9.20181 10.5555L9.49899 11.0598L7.77585 12.0751L6.69246 10.2364L8.87621 8.05263L7.97561 3.99991H3.02729C3.20351 7.22068 4.22584 10.2139 5.87561 12.7638C5.95693 12.8895 6.03977 13.0142 6.12412 13.1377L6.68806 13.9635L5.03642 15.0914L4.47248 14.2655C4.37878 14.1283 4.28675 13.9899 4.1964 13.8503C2.17402 10.7244 1 6.99771 1 2.99991V1.99991Z"
      }
    }]
  };
  var callOff = vue.defineComponent({
    name: "CallOffIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-call-off", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$tq(_objectSpread$tq({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$to, finalProps.value);
    }
  });

  function ownKeys$tp(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$tp(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$tp(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$tp(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$tn = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M1 2H9.57995L11.0668 8.69061L9.2078 10.5496C10.2994 12.2508 11.7492 13.7006 13.4504 14.7922L15.3094 12.9332L22 14.4201V23H21C17.0022 23 13.2755 21.826 10.1497 19.8036C7.76894 18.2633 5.73668 16.2311 4.1964 13.8503C2.17402 10.7245 1 6.99781 1 3V2ZM3.02729 4C3.20351 7.22077 4.22584 10.214 5.87561 12.7639C7.26238 14.9074 9.09261 16.7376 11.2361 18.1244C13.786 19.7742 16.7792 20.7965 20 20.9727V16.0244L15.9473 15.1238L13.7725 17.2985L13.1102 16.9225C10.5952 15.4943 8.50568 13.4048 7.07755 10.8898L6.70146 10.2275L8.87621 8.05272L7.97561 4H3.02729Z"
      }
    }]
  };
  var call = vue.defineComponent({
    name: "CallIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-call", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$tp(_objectSpread$tp({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$tn, finalProps.value);
    }
  });

  function ownKeys$to(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$to(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$to(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$to(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$tm = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M12 23C5.92487 23 1 18.0751 1 12C1 5.92487 5.92487 1 12 1C18.0751 1 23 5.92487 23 12C23 18.0751 18.0751 23 12 23ZM10 9H6V11H7V13H9V11H10V9ZM18 9H14V11H15V13H17V11H18V9ZM13.0039 14H11V16.0039H13.0039V14Z"
      }
    }]
  };
  var calm1Filled = vue.defineComponent({
    name: "Calm1FilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-calm-1-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$to(_objectSpread$to({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$tm, finalProps.value);
    }
  });

  function ownKeys$tn(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$tn(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$tn(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$tn(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$tl = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M12 3C7.02944 3 3 7.02944 3 12C3 16.9706 7.02944 21 12 21C16.9706 21 21 16.9706 21 12C21 7.02944 16.9706 3 12 3ZM1 12C1 5.92487 5.92487 1 12 1C18.0751 1 23 5.92487 23 12C23 18.0751 18.0751 23 12 23C5.92487 23 1 18.0751 1 12ZM6 9H10V11H9V13H7V11H6V9ZM14 9H18V11H17V13H15V11H14V9ZM11 14H13.0039V16.0039H11V14Z"
      }
    }]
  };
  var calm1 = vue.defineComponent({
    name: "Calm1Icon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-calm-1", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$tn(_objectSpread$tn({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$tl, finalProps.value);
    }
  });

  function ownKeys$tm(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$tm(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$tm(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$tm(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$tk = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M12 23C5.92487 23 1 18.0751 1 12C1 5.92487 5.92487 1 12 1C18.0751 1 23 5.92487 23 12C23 18.0751 18.0751 23 12 23ZM9 12V8H7V12H9ZM17 12V8H15V12H17ZM16 14H10.5V16H16V14Z"
      }
    }]
  };
  var calmFilled = vue.defineComponent({
    name: "CalmFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-calm-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$tm(_objectSpread$tm({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$tk, finalProps.value);
    }
  });

  function ownKeys$tl(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$tl(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$tl(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$tl(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$tj = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M12 3C7.02944 3 3 7.02944 3 12C3 16.9706 7.02944 21 12 21C16.9706 21 21 16.9706 21 12C21 7.02944 16.9706 3 12 3ZM1 12C1 5.92487 5.92487 1 12 1C18.0751 1 23 5.92487 23 12C23 18.0751 18.0751 23 12 23C5.92487 23 1 18.0751 1 12ZM9 8V12H7V8H9ZM17 8V12H15V8H17ZM10.5 14H16V16H10.5V14Z"
      }
    }]
  };
  var calm = vue.defineComponent({
    name: "CalmIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-calm", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$tl(_objectSpread$tl({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$tj, finalProps.value);
    }
  });

  function ownKeys$tk(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$tk(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$tk(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$tk(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$ti = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M9.5 10C9.5 8.61929 10.6193 7.5 12 7.5C13.3807 7.5 14.5 8.61929 14.5 10C14.5 11.3807 13.3807 12.5 12 12.5C10.6193 12.5 9.5 11.3807 9.5 10Z"
      }
    }, {
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M3 10C3 13.4759 4.97025 16.4897 7.85195 17.9889L7.19473 21H5V23H19V21H16.8053L16.1481 17.9889C19.0298 16.4897 21 13.4759 21 10C21 5.02944 16.9706 1 12 1C7.02944 1 3 5.02944 3 10ZM9.74081 18.7138C10.4634 18.9007 11.2206 19 12 19C12.7794 19 13.5366 18.9007 14.2592 18.7138L14.7582 21H9.24181L9.74081 18.7138ZM7.5 10C7.5 7.51472 9.51472 5.5 12 5.5C14.4853 5.5 16.5 7.51472 16.5 10C16.5 12.4853 14.4853 14.5 12 14.5C9.51472 14.5 7.5 12.4853 7.5 10Z"
      }
    }]
  };
  var camera1Filled = vue.defineComponent({
    name: "Camera1FilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-camera-1-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$tk(_objectSpread$tk({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$ti, finalProps.value);
    }
  });

  function ownKeys$tj(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$tj(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$tj(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$tj(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$th = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M12 3C8.13401 3 5 6.13401 5 10C5 12.9361 6.80802 15.4524 9.37522 16.4915C10.1845 16.8191 11.0699 17 12 17C12.9301 17 13.8155 16.8191 14.6248 16.4915C17.192 15.4524 19 12.9361 19 10C19 6.13401 15.866 3 12 3ZM3 10C3 5.02944 7.02944 1 12 1C16.9706 1 21 5.02944 21 10C21 13.4759 19.0298 16.4897 16.1481 17.9889L16.8053 21H19V23H5V21H7.19473L7.85195 17.9889C4.97025 16.4897 3 13.4759 3 10ZM9.74081 18.7138L9.24181 21H14.7582L14.2592 18.7138C13.5366 18.9007 12.7794 19 12 19C11.2206 19 10.4634 18.9007 9.74081 18.7138ZM12 8C10.8954 8 10 8.89543 10 10C10 11.1046 10.8954 12 12 12C13.1046 12 14 11.1046 14 10C14 8.89543 13.1046 8 12 8ZM8 10C8 7.79086 9.79086 6 12 6C14.2091 6 16 7.79086 16 10C16 12.2091 14.2091 14 12 14C9.79086 14 8 12.2091 8 10Z"
      }
    }]
  };
  var camera1 = vue.defineComponent({
    name: "Camera1Icon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-camera-1", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$tj(_objectSpread$tj({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$th, finalProps.value);
    }
  });

  function ownKeys$ti(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$ti(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$ti(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$ti(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$tg = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M3 10.5C3 5.52944 7.02944 1.5 12 1.5C16.9706 1.5 21 5.52944 21 10.5C21 15.1326 17.5 18.9476 13 19.4451V20.9507C14.7579 20.7763 16.3804 20.1472 17.7504 19.1824L18.568 18.6066L19.7195 20.2418L18.9019 20.8176C16.9495 22.1925 14.5676 23 12 23C9.43242 23 7.05045 22.1925 5.09808 20.8176L4.28046 20.2418L5.43199 18.6066L6.24961 19.1824C7.61964 20.1472 9.24209 20.7763 11 20.9507V19.4451C6.50005 18.9476 3 15.1326 3 10.5ZM7.5 10.5C7.5 12.9853 9.51472 15 12 15C14.4853 15 16.5 12.9853 16.5 10.5C16.5 8.01472 14.4853 6 12 6C9.51472 6 7.5 8.01472 7.5 10.5ZM9.5 10.5C9.5 11.8807 10.6193 13 12 13C13.3807 13 14.5 11.8807 14.5 10.5C14.5 9.11929 13.3807 8 12 8C10.6193 8 9.5 9.11929 9.5 10.5Z"
      }
    }]
  };
  var camera2Filled = vue.defineComponent({
    name: "Camera2FilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-camera-2-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$ti(_objectSpread$ti({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$tg, finalProps.value);
    }
  });

  function ownKeys$th(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$th(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$th(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$th(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$tf = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M12 3.5C8.13401 3.5 5 6.63401 5 10.5C5 14.366 8.13401 17.5 12 17.5C15.866 17.5 19 14.366 19 10.5C19 6.63401 15.866 3.5 12 3.5ZM3 10.5C3 5.52944 7.02944 1.5 12 1.5C16.9706 1.5 21 5.52944 21 10.5C21 15.1326 17.5 18.9476 13 19.4451V20.9507C14.7579 20.7763 16.3804 20.1472 17.7504 19.1824L18.568 18.6066L19.7195 20.2418L18.9019 20.8176C16.9495 22.1925 14.5676 23 12 23C9.43242 23 7.05045 22.1925 5.09808 20.8176L4.28046 20.2418L5.43199 18.6066L6.24961 19.1824C7.61964 20.1472 9.24209 20.7763 11 20.9507V19.4451C6.50005 18.9476 3 15.1326 3 10.5ZM12 8.5C10.8954 8.5 10 9.39543 10 10.5C10 11.6046 10.8954 12.5 12 12.5C13.1046 12.5 14 11.6046 14 10.5C14 9.39543 13.1046 8.5 12 8.5ZM8 10.5C8 8.29086 9.79086 6.5 12 6.5C14.2091 6.5 16 8.29086 16 10.5C16 12.7091 14.2091 14.5 12 14.5C9.79086 14.5 8 12.7091 8 10.5Z"
      }
    }]
  };
  var camera2 = vue.defineComponent({
    name: "Camera2Icon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-camera-2", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$th(_objectSpread$th({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$tf, finalProps.value);
    }
  });

  function ownKeys$tg(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$tg(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$tg(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$tg(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$te = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M8.75 12.75C8.75 10.9551 10.2051 9.5 12 9.5C13.7949 9.5 15.25 10.9551 15.25 12.75C15.25 14.5449 13.7949 16 12 16C10.2051 16 8.75 14.5449 8.75 12.75Z"
      }
    }, {
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M7.88197 2H16.118L17.618 5H23V21H1V5H6.38197L7.88197 2ZM6.75 12.75C6.75 15.6495 9.1005 18 12 18C14.8995 18 17.25 15.6495 17.25 12.75C17.25 9.8505 14.8995 7.5 12 7.5C9.1005 7.5 6.75 9.8505 6.75 12.75Z"
      }
    }]
  };
  var cameraFilled = vue.defineComponent({
    name: "CameraFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-camera-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$tg(_objectSpread$tg({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$te, finalProps.value);
    }
  });

  function ownKeys$tf(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$tf(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$tf(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$tf(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$td = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M2.0043.590088L2.00015.585938.585938 2.00015 3.58579 5H1V21H19.5858L22.0002 23.4144 23.4101 22.0045 2 .594389 2.0043.590088zM6.75 12.75C6.75 11.4694 7.20853 10.2958 7.97038 9.38459L9.39378 10.808C8.9894 11.3498 8.75 12.0219 8.75 12.75 8.75 14.5449 10.2051 16 12 16 12.7281 16 13.4002 15.7606 13.942 15.3562L15.3654 16.7796C14.4542 17.5415 13.2806 18 12 18 9.1005 18 6.75 15.6495 6.75 12.75zM23 18.766V5H17.618L16.118 2H7.88197L7.33266 3.09862 11.7403 7.50631C11.8264 7.50212 11.9129 7.5 12 7.5 14.8995 7.5 17.25 9.8505 17.25 12.75 17.25 12.8371 17.2479 12.9236 17.2437 13.0097L23 18.766z"
      }
    }]
  };
  var cameraOffFilled = vue.defineComponent({
    name: "CameraOffFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-camera-off-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$tf(_objectSpread$tf({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$td, finalProps.value);
    }
  });

  function ownKeys$te(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$te(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$te(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$te(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$tc = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M2.00015 0.585693L22.4144 20.9999L21.0002 22.4141L19.5859 20.9999H1.00015V4.99991H3.58594L0.585938 1.99991L2.00015 0.585693ZM5.58594 6.99991H3.00015V18.9999H17.5859L15.049 16.463C14.2056 17.1126 13.1478 17.4999 12.0002 17.4999C9.23873 17.4999 7.00015 15.2613 7.00015 12.4999C7.00015 11.3522 7.3875 10.2945 8.03709 9.45106L5.58594 6.99991ZM9.47115 10.8851C9.17259 11.3515 9.00015 11.9054 9.00015 12.4999C9.00015 14.1568 10.3433 15.4999 12.0002 15.4999C12.5947 15.4999 13.1485 15.3275 13.6149 15.0289L9.47115 10.8851ZM7.88212 1.99991H16.1182L17.6182 4.99991H23.0002V18.9999H21.0002V6.99991H16.3821L14.8821 3.99991H9.11819L8.47861 5.27905L6.68976 4.38462L7.88212 1.99991Z"
      }
    }]
  };
  var cameraOff = vue.defineComponent({
    name: "CameraOffIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-camera-off", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$te(_objectSpread$te({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$tc, finalProps.value);
    }
  });

  function ownKeys$td(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$td(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$td(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$td(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$tb = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M7.88197 2H16.118L17.618 5H23V21H1V5H6.38197L7.88197 2ZM9.11803 4L7.61803 7H3V19H21V7H16.382L14.882 4H9.11803ZM12 9.5C10.3431 9.5 9 10.8431 9 12.5C9 14.1569 10.3431 15.5 12 15.5C13.6569 15.5 15 14.1569 15 12.5C15 10.8431 13.6569 9.5 12 9.5ZM7 12.5C7 9.73858 9.23858 7.5 12 7.5C14.7614 7.5 17 9.73858 17 12.5C17 15.2614 14.7614 17.5 12 17.5C9.23858 17.5 7 15.2614 7 12.5Z"
      }
    }]
  };
  var camera = vue.defineComponent({
    name: "CameraIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-camera", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$td(_objectSpread$td({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$tb, finalProps.value);
    }
  });

  function ownKeys$tc(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$tc(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$tc(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$tc(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$ta = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M17.7157 2.3082C17.1162 1.70869 16.0895 2.08042 16.0127 2.92477L15.7069 6.28926 14.6246 5.20695C13.453 4.03538 11.5535 4.03538 10.3819 5.20695L8.50277 7.08612 16.917 15.5003 18.7962 13.6212C19.9677 12.4496 19.9677 10.5501 18.7962 9.37853L17.7153 8.29766 21.0798 7.9918C21.9241 7.91504 22.2959 6.88831 21.6963 6.2888L17.7157 2.3082zM2.306 17.7179C1.70649 17.1184 2.07822 16.0917 2.92257 16.0149L6.2963 15.7082 8.2963 17.7082 7.9896 21.082C7.91284 21.9263 6.88611 22.298 6.2866 21.6985L2.306 17.7179zM15.5028 16.9145L13.6246 18.7927C12.453 19.9643 10.5535 19.9643 9.38194 18.7927L5.21036 14.6212C4.03879 13.4496 4.03879 11.5501 5.21037 10.3785L7.08856 8.50033 15.5028 16.9145z"
      }
    }]
  };
  var candyFilled = vue.defineComponent({
    name: "CandyFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-candy-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$tc(_objectSpread$tc({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$ta, finalProps.value);
    }
  });

  function ownKeys$tb(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$tb(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$tb(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$tb(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$t9 = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M14.3107 3.53558C14.4642 1.84687 16.5176 1.10341 17.7167 2.30243L21.6972 6.28303C22.8963 7.48205 22.1528 9.53551 20.4641 9.68903L19.1499 9.80851C19.9489 10.9766 19.8298 12.5841 18.7927 13.6212L13.6212 18.7927C12.5841 19.8298 10.9766 19.9489 9.80851 19.1498L9.68903 20.4641C9.53551 22.1528 7.48206 22.8963 6.28303 21.6972L2.30244 17.7166C1.10341 16.5176 1.84687 14.4642 3.53558 14.3106L4.84983 14.1912C4.05081 13.0231 4.16985 11.4156 5.20695 10.3785L10.3785 5.20695C11.4156 4.16985 13.0231 4.05081 14.1912 4.84983L14.3107 3.53558ZM16.368 6.9538C16.3685 6.95424 16.3689 6.95468 16.3693 6.95512L17.0446 7.63035C17.0451 7.63084 17.0455 7.63133 17.046 7.63182C17.2558 7.8407 17.5473 7.94594 17.8422 7.91914L20.283 7.69724L16.3024 3.71665L16.0805 6.15747C16.0537 6.45242 16.159 6.74404 16.368 6.9538ZM14.9532 8.36739L13.207 6.62116C12.8164 6.23063 12.1833 6.23064 11.7927 6.62116L9.91406 8.49984L15.4998 14.0856L17.3785 12.2069C17.769 11.8164 17.769 11.1833 17.3785 10.7927L15.6326 9.04677C15.6318 9.04603 15.6311 9.0453 15.6304 9.04457L14.9551 8.36933C14.9545 8.36868 14.9538 8.36804 14.9532 8.36739ZM14.0856 15.4998L8.49984 9.91405L6.62116 11.7927C6.23064 12.1833 6.23064 12.8164 6.62116 13.2069L10.7927 17.3785C11.1833 17.769 11.8164 17.769 12.2069 17.3785L14.0856 15.4998ZM6.62392 16.0381L3.71665 16.3024L7.69724 20.283L7.96154 17.3758L6.62392 16.0381Z"
      }
    }]
  };
  var candy = vue.defineComponent({
    name: "CandyIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-candy", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$tb(_objectSpread$tb({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$t9, finalProps.value);
    }
  });

  function ownKeys$ta(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$ta(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$ta(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$ta(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$t8 = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M6 3H18V5H22V19H18V21H6V19H2V5H6V3ZM6 7H4V17H6V7ZM18 7V17H20V7H18Z"
      }
    }]
  };
  var cardFilled = vue.defineComponent({
    name: "CardFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-card-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$ta(_objectSpread$ta({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$t8, finalProps.value);
    }
  });

  function ownKeys$t9(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$t9(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$t9(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$t9(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$t7 = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M6 3L18 3V5H22V19H18V21H6L6 19H2L2 5H6V3ZM6 7H4V17H6V7ZM8 19H16V5H8V19ZM18 7V17H20V7H18Z"
      }
    }]
  };
  var card = vue.defineComponent({
    name: "CardIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-card", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$t9(_objectSpread$t9({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$t7, finalProps.value);
    }
  });

  function ownKeys$t8(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$t8(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$t8(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$t8(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$t6 = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M23 9V3H1V9L23 9zM23 11V21L1 21V11H13V16.4971L15.5 14.3338 18 16.4971V11H23z"
      }
    }]
  };
  var cardmembershipFilled = vue.defineComponent({
    name: "CardmembershipFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-cardmembership-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$t8(_objectSpread$t8({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$t6, finalProps.value);
    }
  });

  function ownKeys$t7(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$t7(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$t7(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$t7(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$t5 = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M23 3V21L1 21L1 3L23 3ZM21 5L3 5L3 9H21V5ZM21 11H19V17.7662L15.5 15.6662L12 17.7662L12 11H3L3 19H21V11ZM17 11H14V14.2338L15.5 13.3338L17 14.2338V11Z"
      }
    }]
  };
  var cardmembership = vue.defineComponent({
    name: "CardmembershipIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-cardmembership", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$t7(_objectSpread$t7({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$t5, finalProps.value);
    }
  });

  function ownKeys$t6(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$t6(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$t6(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$t6(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$t4 = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M12.0001 15L17.5 9.5H6.5L12.0001 15Z"
      }
    }]
  };
  var caretDownSmall = vue.defineComponent({
    name: "CaretDownSmallIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-caret-down-small", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$t6(_objectSpread$t6({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$t4, finalProps.value);
    }
  });

  function ownKeys$t5(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$t5(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$t5(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$t5(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$t3 = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M12.0003 17.9143L21.4144 8.50009L2.58594 8.50009L12.0003 17.9143ZM7.41441 10.5001L16.586 10.5001L12.0003 15.0859L7.41441 10.5001Z"
      }
    }]
  };
  var caretDown = vue.defineComponent({
    name: "CaretDownIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-caret-down", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$t5(_objectSpread$t5({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$t3, finalProps.value);
    }
  });

  function ownKeys$t4(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$t4(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$t4(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$t4(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$t2 = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M14.5 6.5L14.5 17.5L9 12L14.5 6.5Z"
      }
    }]
  };
  var caretLeftSmall = vue.defineComponent({
    name: "CaretLeftSmallIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-caret-left-small", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$t4(_objectSpread$t4({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$t2, finalProps.value);
    }
  });

  function ownKeys$t3(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$t3(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$t3(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$t3(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$t1 = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M15.5002 2.58569L15.5002 21.4141L6.08594 11.9999L15.5002 2.58569ZM8.91436 11.9999L13.5002 16.5857L13.5002 7.41412L8.91436 11.9999Z"
      }
    }]
  };
  var caretLeft = vue.defineComponent({
    name: "CaretLeftIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-caret-left", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$t3(_objectSpread$t3({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$t1, finalProps.value);
    }
  });

  function ownKeys$t2(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$t2(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$t2(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$t2(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$t0 = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M14.9999 12L9.49988 6.5L9.49988 17.5L14.9999 12Z"
      }
    }]
  };
  var caretRightSmall = vue.defineComponent({
    name: "CaretRightSmallIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-caret-right-small", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$t2(_objectSpread$t2({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$t0, finalProps.value);
    }
  });

  function ownKeys$t1(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$t1(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$t1(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$t1(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$s$ = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M8.5 21.4143L17.9142 12.0001L8.5 2.58588L8.5 21.4143ZM10.5 16.5859L10.5 7.41431L15.0858 12.0001L10.5 16.5859Z"
      }
    }]
  };
  var caretRight = vue.defineComponent({
    name: "CaretRightIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-caret-right", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$t1(_objectSpread$t1({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$s$, finalProps.value);
    }
  });

  function ownKeys$t0(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$t0(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$t0(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$t0(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$s_ = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M12.0001 9L17.5 14.5L6.5 14.5L12.0001 9Z"
      }
    }]
  };
  var caretUpSmall = vue.defineComponent({
    name: "CaretUpSmallIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-caret-up-small", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$t0(_objectSpread$t0({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$s_, finalProps.value);
    }
  });

  function ownKeys$s$(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$s$(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$s$(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$s$(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$sZ = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M12.0003 6.08569L21.4144 15.4999L2.58594 15.4999L12.0003 6.08569ZM7.41441 13.4999L16.586 13.4999L12.0003 8.91412L7.41441 13.4999Z"
      }
    }]
  };
  var caretUp = vue.defineComponent({
    name: "CaretUpIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-caret-up", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$s$(_objectSpread$s$({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$sZ, finalProps.value);
    }
  });

  function ownKeys$s_(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$s_(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$s_(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$s_(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$sY = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M4.7638 1H0V3H3.2362L5.96648 13.011 4.71922 18H22V16H7.28078L7.78078 14H19.7208L23.3874 3H5.30925L4.7638 1zM17 9.5H14.5V12H12.5V9.5H10V7.5H12.5V5H14.5V7.5H17V9.5zM6 19C4.89543 19 4 19.8954 4 21 4 22.1046 4.89543 23 6 23 7.10457 23 8 22.1046 8 21 8 19.8954 7.10457 19 6 19zM20 19C18.8954 19 18 19.8954 18 21 18 22.1046 18.8954 23 20 23 21.1046 23 22 22.1046 22 21 22 19.8954 21.1046 19 20 19z"
      }
    }]
  };
  var cartAddFilled = vue.defineComponent({
    name: "CartAddFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-cart-add-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$s_(_objectSpread$s_({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$sY, finalProps.value);
    }
  });

  function ownKeys$sZ(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$sZ(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$sZ(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$sZ(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$sX = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M0 1H4.7638L7.7638 12H18.2792L21.3675 2.73509L23.2649 3.36754L19.7208 14H7.78078L7.28078 16H22V18H4.71922L5.96648 13.011L3.2362 3H0V1ZM14 2V5H17V7H14V10H12V7H9V5H12V2H14ZM4 21C4 19.8954 4.89543 19 6 19C7.10457 19 8 19.8954 8 21C8 22.1046 7.10457 23 6 23C4.89543 23 4 22.1046 4 21ZM18 21C18 19.8954 18.8954 19 20 19C21.1046 19 22 19.8954 22 21C22 22.1046 21.1046 23 20 23C18.8954 23 18 22.1046 18 21Z"
      }
    }]
  };
  var cartAdd = vue.defineComponent({
    name: "CartAddIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-cart-add", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$sZ(_objectSpread$sZ({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$sX, finalProps.value);
    }
  });

  function ownKeys$sY(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$sY(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$sY(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$sY(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$sW = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M0 1H4.7638L5.30925 3H23.3874L19.7208 14H7.78078L7.28078 16H22V18H4.71922L5.96648 13.011L3.2362 3H0V1ZM4 21C4 19.8954 4.89543 19 6 19C7.10457 19 8 19.8954 8 21C8 22.1046 7.10457 23 6 23C4.89543 23 4 22.1046 4 21ZM18 21C18 19.8954 18.8954 19 20 19C21.1046 19 22 19.8954 22 21C22 22.1046 21.1046 23 20 23C18.8954 23 18 22.1046 18 21Z"
      }
    }]
  };
  var cartFilled = vue.defineComponent({
    name: "CartFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-cart-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$sY(_objectSpread$sY({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$sW, finalProps.value);
    }
  });

  function ownKeys$sX(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$sX(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$sX(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$sX(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$sV = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M0 1H4.7638L5.30925 3H23.3874L19.7208 14H7.78078L7.28078 16H22V18H4.71922L5.96648 13.011L3.2362 3H0V1ZM7.7638 12H18.2792L20.6126 5H5.8547L7.7638 12ZM4 21C4 19.8954 4.89543 19 6 19C7.10457 19 8 19.8954 8 21C8 22.1046 7.10457 23 6 23C4.89543 23 4 22.1046 4 21ZM18 21C18 19.8954 18.8954 19 20 19C21.1046 19 22 19.8954 22 21C22 22.1046 21.1046 23 20 23C18.8954 23 18 22.1046 18 21Z"
      }
    }]
  };
  var cart = vue.defineComponent({
    name: "CartIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-cart", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$sX(_objectSpread$sX({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$sV, finalProps.value);
    }
  });

  function ownKeys$sW(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$sW(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$sW(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$sW(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$sU = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M1 3H23V21H13V20.0039C13 13.9288 8.07513 9.00391 2 9.00391H1.00391L1 9V3Z"
      }
    }, {
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M1 11H2C6.97056 11 11 15.0294 11 20V21H9V20C9 16.134 5.86599 13 2 13H1V11Z"
      }
    }, {
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M1 15H2C4.76142 15 7 17.2386 7 20V21H5V20C5 18.3431 3.65685 17 2 17H1V15Z"
      }
    }, {
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M3.00391 19H1V21.0039H3.00391V19Z"
      }
    }]
  };
  var castFilled = vue.defineComponent({
    name: "CastFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-cast-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$sW(_objectSpread$sW({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$sU, finalProps.value);
    }
  });

  function ownKeys$sV(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$sV(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$sV(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$sV(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$sT = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M1 3H23V21H13V19H21V5H3V9H1V3ZM1 11H2C6.97056 11 11 15.0294 11 20V21H9V20C9 16.134 5.86599 13 2 13H1V11ZM1 15H2C4.76142 15 7 17.2386 7 20V21H5V20C5 18.3431 3.65685 17 2 17H1V15ZM1 19H3.00391V21.0039H1V19Z"
      }
    }]
  };
  var cast = vue.defineComponent({
    name: "CastIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-cast", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$sV(_objectSpread$sV({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$sT, finalProps.value);
    }
  });

  function ownKeys$sU(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$sU(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$sU(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$sU(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$sS = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M7 4V2H5V6H6V14H3V13H1V22H11V13H13V22H23V13H21V14H18V6H19V2H17V4H15V2H13V4H11V2H9V4H7ZM11.0039 7.99805V10.002H9V7.99805H11.0039ZM15.0039 7.99805V10.002H13V7.99805H15.0039Z"
      }
    }]
  };
  var castle1Filled = vue.defineComponent({
    name: "Castle1FilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-castle-1-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$sU(_objectSpread$sU({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$sS, finalProps.value);
    }
  });

  function ownKeys$sT(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$sT(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$sT(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$sT(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$sR = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M7 2V4H9V2H11V4H13V2H15V4H17V2H19V6H18V14H21V13H23V22H1V13H3V14H6V6H5V2H7ZM8 6V20H11V13H13V20H16V6H8ZM18 20H21V16H18V20ZM6 20V16H3V20H6ZM9 7.99805H11.0039V10.002H9V7.99805ZM13 7.99805H15.0039V10.002H13V7.99805Z"
      }
    }]
  };
  var castle1 = vue.defineComponent({
    name: "Castle1Icon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-castle-1", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$sT(_objectSpread$sT({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$sR, finalProps.value);
    }
  });

  function ownKeys$sS(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$sS(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$sS(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$sS(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$sQ = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M11 3.08296V2H13V3.08296C15.8377 3.55904 18 6.027 18 9C20.7614 9 23 11.2386 23 14V22H13V15H11V22H1V14C1 11.2386 3.23858 9 6 9C6 6.027 8.16229 3.55904 11 3.08296ZM21 14C21 12.3431 19.6569 11 18 11V20H21V14ZM3 20H6V11C4.34315 11 3 12.3431 3 14V20Z"
      }
    }]
  };
  var castle2Filled = vue.defineComponent({
    name: "Castle2FilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-castle-2-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$sS(_objectSpread$sS({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$sQ, finalProps.value);
    }
  });

  function ownKeys$sR(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$sR(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$sR(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$sR(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$sP = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M11 2V3.08296C8.16229 3.55904 6 6.027 6 9C3.23858 9 1 11.2386 1 14V22H23V14C23 11.2386 20.7614 9 18 9C18 6.027 15.8377 3.55904 13 3.08296V2H11ZM18 11C19.6569 11 21 12.3431 21 14V20H18V11ZM16 20H13V15H11V20H8V10H16V20ZM6 20H3V14C3 12.3431 4.34315 11 6 11V20ZM8.12602 8C8.57006 6.27477 10.1362 5 12 5C13.8638 5 15.4299 6.27477 15.874 8H8.12602Z"
      }
    }]
  };
  var castle2 = vue.defineComponent({
    name: "Castle2Icon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-castle-2", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$sR(_objectSpread$sR({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$sP, finalProps.value);
    }
  });

  function ownKeys$sQ(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$sQ(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$sQ(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$sQ(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$sO = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M20 3V2H22V22H13V15H11V22H2V2H4V3H8V2H10V10H14V2H16V3H20ZM8 5H4V20H6V10H8V5ZM16 10H18V20H20V5H16V10Z"
      }
    }]
  };
  var castle3Filled = vue.defineComponent({
    name: "Castle3FilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-castle-3-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$sQ(_objectSpread$sQ({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$sO, finalProps.value);
    }
  });

  function ownKeys$sP(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$sP(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$sP(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$sP(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$sN = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M20 2V3H16V2H14V10H10V2H8V3H4V2H2V22H22V2H20ZM4 5H8V10H6V20H4V5ZM8 20V12H16V20H13V15H11V20H8ZM18 20V10H16V5H20V20H18Z"
      }
    }]
  };
  var castle3 = vue.defineComponent({
    name: "Castle3Icon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-castle-3", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$sP(_objectSpread$sP({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$sN, finalProps.value);
    }
  });

  function ownKeys$sO(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$sO(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$sO(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$sO(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$sM = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M14 2H22V22H13V17H11V22H2V2H10V8.34186C10.3217 8.2281 10.6559 8.14096 11 8.08314V7H13V8.08311C13.3441 8.14092 13.6783 8.22804 14 8.34179V2ZM6 14C6 12.2224 6.77404 10.6256 8 9.52822V4H4V20H6V14ZM16 9.52826C17.2258 10.6256 18 12.2225 18 14V20H20V4H16V9.52826ZM8.12593 13H15.874C15.6447 12.1091 15.116 11.3379 14.3993 10.7995C13.7307 10.2972 12.9017 10 12 10C11.0985 10 10.2692 10.2973 9.60061 10.7995C8.88389 11.3379 8.35516 12.109 8.12593 13Z"
      }
    }]
  };
  var castle4Filled = vue.defineComponent({
    name: "Castle4FilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-castle-4-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$sO(_objectSpread$sO({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$sM, finalProps.value);
    }
  });

  function ownKeys$sN(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$sN(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$sN(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$sN(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$sL = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M22 2H14V8.34179C13.6783 8.22804 13.3441 8.14092 13 8.08311V7H11V8.08314C10.6559 8.14096 10.3217 8.2281 10 8.34186V2H2V22H22V2ZM8 9.52822C6.77404 10.6256 6 12.2224 6 14V20H4V4H8V9.52822ZM8 20V15H16V20H13V17H11V20H8ZM18 20V14C18 12.2225 17.2258 10.6256 16 9.52826V4H20V20H18ZM15.874 13H8.12593C8.35516 12.109 8.88389 11.3379 9.60061 10.7995C10.2692 10.2973 11.0985 10 12 10C12.9017 10 13.7307 10.2972 14.3993 10.7995C15.116 11.3379 15.6447 12.1091 15.874 13Z"
      }
    }]
  };
  var castle4 = vue.defineComponent({
    name: "Castle4Icon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-castle-4", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$sN(_objectSpread$sN({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$sL, finalProps.value);
    }
  });

  function ownKeys$sM(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$sM(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$sM(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$sM(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$sK = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M20 3V2H22V22H13V15H11V22H2V2H4V3H8V2H10V9.13148L12 7.79815L14 9.13148V2H16V3H20ZM8 5H4V20H6V10H8V5ZM16 10H18V20H20V5H16V10Z"
      }
    }]
  };
  var castle5Filled = vue.defineComponent({
    name: "Castle5FilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-castle-5-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$sM(_objectSpread$sM({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$sK, finalProps.value);
    }
  });

  function ownKeys$sL(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$sL(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$sL(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$sL(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$sJ = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M20 2V3H16V2H14V9.13148L12 7.79815L10 9.13148V2H8V3H4V2H2V22H22V2H20ZM4 5H8V10H6V20H4V5ZM8 20V12H9.30278L12 10.2019L14.6972 12H16V20H13V15H11V20H8ZM18 20V10H16V5H20V20H18Z"
      }
    }]
  };
  var castle5 = vue.defineComponent({
    name: "Castle5Icon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-castle-5", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$sL(_objectSpread$sL({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$sJ, finalProps.value);
    }
  });

  function ownKeys$sK(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$sK(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$sK(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$sK(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$sI = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M6 2H18V4H17V8H22V12.8365C21.2441 12.3092 20.3248 12 19.3333 12 17.846 12 16.5212 12.6958 15.6667 13.7796 14.8121 12.6958 13.4873 12 12 12 10.5127 12 9.18789 12.6958 8.33333 13.7796 7.47878 12.6958 6.15398 12 4.66667 12 3.67517 12 2.75589 12.3092 2 12.8365V8H7V4H6V2zM11.0195 8H13.0215V6.00439H11.0195V8zM19.3333 14C20.8061 14 22 15.1939 22 16.6667V22H16.6667V16.6667C16.6667 15.1939 17.8606 14 19.3333 14zM14.6667 16.6667V22H9.33333V16.6667C9.33333 15.1939 10.5272 14 12 14 13.4728 14 14.6667 15.1939 14.6667 16.6667zM7.33333 16.6667V22H2V16.6667C2 15.1939 3.19391 14 4.66667 14 6.13943 14 7.33333 15.1939 7.33333 16.6667z"
      }
    }]
  };
  var castle6Filled = vue.defineComponent({
    name: "Castle6FilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-castle-6-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$sK(_objectSpread$sK({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$sI, finalProps.value);
    }
  });

  function ownKeys$sJ(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$sJ(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$sJ(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$sJ(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$sH = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M6 2H18V4H17V8H22V22H2V8H7V4H6V2ZM9 4V8H11V6H13V8H15V4H9ZM4 12.5351C4.58835 12.1948 5.27143 12 6 12C7.19469 12 8.26706 12.5238 9 13.3542C9.73295 12.5238 10.8053 12 12 12C13.1947 12 14.2671 12.5238 15 13.3542C15.7329 12.5238 16.8053 12 18 12C18.7286 12 19.4117 12.1948 20 12.5351V10H4V12.5351ZM8 16C8 14.8954 7.10457 14 6 14C4.89543 14 4 14.8954 4 16V20H8V16ZM10 20H14V16C14 14.8954 13.1046 14 12 14C10.8954 14 10 14.8954 10 16V20ZM16 20H20V16C20 14.8954 19.1046 14 18 14C16.8954 14 16 14.8954 16 16V20Z"
      }
    }]
  };
  var castle6 = vue.defineComponent({
    name: "Castle6Icon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-castle-6", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$sJ(_objectSpread$sJ({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$sH, finalProps.value);
    }
  });

  function ownKeys$sI(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$sI(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$sI(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$sI(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$sG = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M13 1V2.08296C15.8377 2.55904 18 5.027 18 8H6C6 5.027 8.16229 2.55904 11 2.08296V1H13zM22 8H2V12.8365C2.75589 12.3092 3.67517 12 4.66667 12 6.15398 12 7.47878 12.6958 8.33333 13.7796 9.18789 12.6958 10.5127 12 12 12 13.4873 12 14.8121 12.6958 15.6667 13.7796 16.5212 12.6958 17.846 12 19.3333 12 20.3248 12 21.2441 12.3092 22 12.8365V8zM22 16.6634C21.9983 15.1922 20.805 14 19.3333 14 17.8606 14 16.6667 15.1939 16.6667 16.6667V22H22V16.6634zM14.6667 22V16.6667C14.6667 15.1939 13.4728 14 12 14 10.5272 14 9.33333 15.1939 9.33333 16.6667V22H14.6667zM7.33333 22V16.6667C7.33333 15.1939 6.13943 14 4.66667 14 3.19391 14 2 15.1939 2 16.6667V22H7.33333z"
      }
    }]
  };
  var castle7Filled = vue.defineComponent({
    name: "Castle7FilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-castle-7-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$sI(_objectSpread$sI({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$sG, finalProps.value);
    }
  });

  function ownKeys$sH(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$sH(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$sH(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$sH(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$sF = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M13 1V2.08296C15.8377 2.55904 18 5.027 18 8H22V22H2V8H6C6 5.027 8.16229 2.55904 11 2.08296V1H13ZM8 8H16C16 5.79086 14.2091 4 12 4C9.79086 4 8 5.79086 8 8ZM4 12.5351C4.58835 12.1948 5.27143 12 6 12C7.19469 12 8.26706 12.5238 9 13.3542C9.73295 12.5238 10.8053 12 12 12C13.1947 12 14.2671 12.5238 15 13.3542C15.7329 12.5238 16.8053 12 18 12C18.7286 12 19.4117 12.1948 20 12.5351V10H4V12.5351ZM8 16C8 14.8954 7.10457 14 6 14C4.89543 14 4 14.8954 4 16V20H8V16ZM10 20H14V16C14 14.8954 13.1046 14 12 14C10.8954 14 10 14.8954 10 16V20ZM16 20H20V16C20 14.8954 19.1046 14 18 14C16.8954 14 16 14.8954 16 16V20Z"
      }
    }]
  };
  var castle7 = vue.defineComponent({
    name: "Castle7Icon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-castle-7", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$sH(_objectSpread$sH({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$sF, finalProps.value);
    }
  });

  function ownKeys$sG(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$sG(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$sG(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$sG(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$sE = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M7 2V4H9V2H11V4H13V2H15V4H17V2H19V14H21V13H23V22H15.5V14H8.5V22H1V13H3V14H5V2H7Z"
      }
    }, {
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M13.5 22V16H10.5V22H13.5Z"
      }
    }]
  };
  var castleFilled = vue.defineComponent({
    name: "CastleFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-castle-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$sG(_objectSpread$sG({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$sE, finalProps.value);
    }
  });

  function ownKeys$sF(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$sF(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$sF(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$sF(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$sD = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M7 2V4H9V2H11V4H13V2H15V4H17V2H19V14H21V13H23V22H1V13H3V14H5V2H7ZM5 16H3V20H5V16ZM7 20H9V13H15V20H17V6H7V20ZM19 20H21V16H19V20ZM13 20V15H11V20H13Z"
      }
    }]
  };
  var castle = vue.defineComponent({
    name: "CastleIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-castle", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$sF(_objectSpread$sF({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$sD, finalProps.value);
    }
  });

  function ownKeys$sE(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$sE(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$sE(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$sE(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$sC = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M7.47957 2.57965L1 0.661133V12.7144H1.00735C1.22162 18.4582 6.09053 23.0001 12 23.0001C17.9095 23.0001 22.7784 18.4582 22.9926 12.7144H23V0.661133L16.5204 2.57965C15.1397 1.97467 13.6087 1.63879 12 1.63879C10.3913 1.63879 8.86028 1.97467 7.47957 2.57965ZM5.1374 3.97199C4.32311 4.604 3.60238 5.34667 3 6.17708V3.33913L5.1374 3.97199ZM21 3.33913V6.17708C20.3976 5.34667 19.6769 4.604 18.8626 3.97199L21 3.33913ZM9.00003 12H7.00003V9H9.00003V12ZM17 12H15V9H17V12ZM12.8945 14.0528C13.2729 14.8096 13.7514 15.0383 14.0831 15.066C14.4226 15.0942 14.8418 14.9346 15.168 14.4453L15.7227 13.6132L17.3868 14.7226L16.8321 15.5547C16.1583 16.5654 15.0775 17.1558 13.917 17.059C13.2042 16.9996 12.5461 16.6894 12 16.1741C11.454 16.6894 10.7959 16.9996 10.0831 17.059C8.92258 17.1558 7.8418 16.5654 7.16798 15.5547L6.61328 14.7226L8.27738 13.6132L8.83208 14.4453C9.15826 14.9346 9.57748 15.0942 9.91699 15.066C10.2487 15.0383 10.7272 14.8096 11.1056 14.0528L12 12.2639L12.8945 14.0528Z"
      }
    }]
  };
  var catFilled = vue.defineComponent({
    name: "CatFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-cat-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$sE(_objectSpread$sE({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$sC, finalProps.value);
    }
  });

  function ownKeys$sD(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$sD(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$sD(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$sD(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$sB = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M1 0.661133L7.47957 2.57965C8.86028 1.97467 10.3913 1.63879 12 1.63879C13.6087 1.63879 15.1397 1.97467 16.5204 2.57965L23 0.661133V12.7144H22.9926C22.7784 18.4582 17.9095 23.0001 12 23.0001C6.09053 23.0001 1.22162 18.4582 1.00735 12.7144H1V0.661133ZM3 6.17708C3.60238 5.34667 4.32311 4.604 5.1374 3.97199L3 3.33913V6.17708ZM3 12.3195C3 17.0833 6.9986 21.0001 12 21.0001C17.0014 21.0001 21 17.0833 21 12.3195C21 8.93015 18.9827 5.97591 16.0109 4.5462C14.8052 3.96614 13.444 3.63879 12 3.63879C10.556 3.63879 9.19481 3.96614 7.98908 4.5462C5.01727 5.97591 3 8.93015 3 12.3195ZM21 6.17708V3.33913L18.8626 3.97199C19.6769 4.604 20.3976 5.34667 21 6.17708ZM9 9.00013V12.0001H7V9.00013H9ZM17 9.00013V12.0001H15V9.00013H17ZM12 12.2641L12.8944 14.0529C13.2728 14.8097 13.7513 15.0384 14.083 15.0661C14.4226 15.0944 14.8418 14.9347 15.1679 14.4454L15.7226 13.6134L17.3867 14.7228L16.8321 15.5548C16.1582 16.5656 15.0774 17.1559 13.917 17.0592C13.2042 16.9998 12.546 16.6895 12 16.1743C11.454 16.6895 10.7958 16.9998 10.083 17.0592C8.92255 17.1559 7.84177 16.5656 7.16795 15.5548L6.61325 14.7228L8.27735 13.6134L8.83205 14.4454C9.15823 14.9347 9.57745 15.0944 9.91695 15.0661C10.2487 15.0384 10.7272 14.8097 11.1056 14.0529L12 12.2641Z"
      }
    }]
  };
  var cat = vue.defineComponent({
    name: "CatIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-cat", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$sD(_objectSpread$sD({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$sB, finalProps.value);
    }
  });

  function ownKeys$sC(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$sC(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$sC(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$sC(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$sA = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M21 1V23H3V1H21ZM16 7H8V9H16V7ZM16 11H8V13H16V11ZM16 15H8V17H16V15Z"
      }
    }]
  };
  var catalogFilled = vue.defineComponent({
    name: "CatalogFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-catalog-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$sC(_objectSpread$sC({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$sA, finalProps.value);
    }
  });

  function ownKeys$sB(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$sB(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$sB(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$sB(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$sz = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M3 1H21V23H3V1ZM5 3V21H19V3H5ZM8 7H16V9H8V7ZM8 11H16V13H8V11ZM8 15H16V17H8V15Z"
      }
    }]
  };
  var catalog = vue.defineComponent({
    name: "CatalogIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-catalog", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$sB(_objectSpread$sB({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$sz, finalProps.value);
    }
  });

  function ownKeys$sA(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$sA(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$sA(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$sA(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$sy = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M1 12C1 5.92489 5.92486 1 12 1C18.0751 1 23 5.92489 23 12C23 18.0752 18.0751 23.0001 12 23.0001C5.92486 23.0001 1 18.0752 1 12ZM15.5 12C15.5 10.067 13.933 8.5 12 8.5C10.067 8.5 8.5 10.067 8.5 12C8.5 13.933 10.067 15.5 12 15.5C13.933 15.5 15.5 13.933 15.5 12ZM12 4.5H11.5V5.5H12C15.5899 5.5 18.5 8.41015 18.5 12V12.5H19.5V12C19.5 7.85787 16.1421 4.5 12 4.5Z"
      }
    }]
  };
  var cdFilled = vue.defineComponent({
    name: "CdFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-cd-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$sA(_objectSpread$sA({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$sy, finalProps.value);
    }
  });

  function ownKeys$sz(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$sz(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$sz(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$sz(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$sx = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M12 3C7.02944 3 3 7.02945 3 12C3 16.9706 7.02944 21.0001 12 21.0001C16.9706 21.0001 21 16.9706 21 12C21 7.02945 16.9706 3 12 3ZM1 12C1 5.92489 5.92486 1 12 1C18.0751 1 23 5.92489 23 12C23 18.0752 18.0751 23.0001 12 23.0001C5.92486 23.0001 1 18.0752 1 12ZM11 4H12C16.4183 4 20 7.58172 20 12V13H18V12C18 8.68629 15.3137 6 12 6H11V4ZM12 10C10.8954 10 10 10.8954 10 12C10 13.1046 10.8954 14 12 14C13.1046 14 14 13.1046 14 12C14 10.8954 13.1046 10 12 10ZM8 12C8 9.79086 9.79086 8 12 8C14.2091 8 16 9.79086 16 12C16 14.2091 14.2091 16 12 16C9.79086 16 8 14.2091 8 12Z"
      }
    }]
  };
  var cd = vue.defineComponent({
    name: "CdIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-cd", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$sz(_objectSpread$sz({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$sx, finalProps.value);
    }
  });

  function ownKeys$sy(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$sy(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$sy(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$sy(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$sw = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M6.5 6C6.22386 6 6 6.22386 6 6.5C6 6.77614 6.22386 7 6.5 7C6.77614 7 7 6.77614 7 6.5C7 6.22386 6.77614 6 6.5 6ZM4 6.5C4 5.11929 5.11929 4 6.5 4C7.88071 4 9 5.11929 9 6.5C9 7.88071 7.88071 9 6.5 9C5.11929 9 4 7.88071 4 6.5ZM11 6C11 4.89543 11.8954 4 13 4H20V6L13 6V18H20V20H13C11.8954 20 11 19.1046 11 18V6Z"
      }
    }]
  };
  var celsius = vue.defineComponent({
    name: "CelsiusIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-celsius", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$sy(_objectSpread$sy({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$sw, finalProps.value);
    }
  });

  function ownKeys$sx(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$sx(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$sx(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$sx(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$sv = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M2 2H9V4H4V9H2V2ZM15 2H22V9H20V4H15V2ZM8 12C8 9.79086 9.79086 8 12 8C14.2091 8 16 9.79086 16 12C16 14.2091 14.2091 16 12 16C9.79086 16 8 14.2091 8 12ZM4 15V20H9V22H2V15H4ZM22 15V22H15V20H20V15H22Z"
      }
    }]
  };
  var centerFocusStrongFilled = vue.defineComponent({
    name: "CenterFocusStrongFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-center-focus-strong-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$sx(_objectSpread$sx({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$sv, finalProps.value);
    }
  });

  function ownKeys$sw(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$sw(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$sw(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$sw(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$su = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M2 2H9V4H4V9H2V2ZM15 2H22V9H20V4H15V2ZM12 10C10.8954 10 10 10.8954 10 12C10 13.1046 10.8954 14 12 14C13.1046 14 14 13.1046 14 12C14 10.8954 13.1046 10 12 10ZM8 12C8 9.79086 9.79086 8 12 8C14.2091 8 16 9.79086 16 12C16 14.2091 14.2091 16 12 16C9.79086 16 8 14.2091 8 12ZM4 15V20H9V22H2V15H4ZM22 15V22H15V20H20V15H22Z"
      }
    }]
  };
  var centerFocusStrong = vue.defineComponent({
    name: "CenterFocusStrongIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-center-focus-strong", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$sw(_objectSpread$sw({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$su, finalProps.value);
    }
  });

  function ownKeys$sv(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$sv(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$sv(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$sv(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$st = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M11 4L21 4C22.1046 4 23 4.89543 23 6V20H21L21 6L18 6L18 20H16L16 6L13 6L13 20H11L11 4ZM1 6C1 4.89543 1.89543 4 3 4H10V6L3 6V18H10V20H3C1.89543 20 1 19.1046 1 18V6Z"
      }
    }]
  };
  var centimeter = vue.defineComponent({
    name: "CentimeterIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-centimeter", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$sv(_objectSpread$sv({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$st, finalProps.value);
    }
  });

  function ownKeys$su(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$su(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$su(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$su(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$ss = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M21 1L21 23H3V1H21ZM17 13H7V15H17V13ZM15 17H7V19H15V17ZM11 3H7L7 8.5L9 6.85L11 8.5V3Z"
      }
    }]
  };
  var certificate1Filled = vue.defineComponent({
    name: "Certificate1FilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-certificate-1-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$su(_objectSpread$su({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$ss, finalProps.value);
    }
  });

  function ownKeys$st(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$st(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$st(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$st(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$sr = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M21 1L21 23L3 23L3 1L21 1ZM13 3L13 9.5L10 7.25L7 9.5L7 3H5L5 21L19 21L19 3L13 3ZM9 3L9 5.5L10 4.75L11 5.5V3L9 3ZM7 12L17 12V14L7 14V12ZM7 16H15L15 18L7 18V16Z"
      }
    }]
  };
  var certificate1 = vue.defineComponent({
    name: "Certificate1Icon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-certificate-1", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$st(_objectSpread$st({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$sr, finalProps.value);
    }
  });

  function ownKeys$ss(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$ss(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$ss(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$ss(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$sq = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M1 3H23V21H1V3ZM5 11V13H11V11H5ZM5 15V17H19V15H5ZM16.502 8.6875L19 10.75L19 5L14.0039 5V10.75L16.502 8.6875Z"
      }
    }]
  };
  var certificateFilled = vue.defineComponent({
    name: "CertificateFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-certificate-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$ss(_objectSpread$ss({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$sq, finalProps.value);
    }
  });

  function ownKeys$sr(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$sr(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$sr(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$sr(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$sp = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M1 3L23 3V21H1L1 3ZM3 5L3 19H21V5L19 5L19 11.5L16 9.25L13 11.5L13 5L3 5ZM15 5L15 7.5L16 6.75L17 7.5V5L15 5ZM5 11H11V13H5V11ZM5 15H19V17H5V15Z"
      }
    }]
  };
  var certificate = vue.defineComponent({
    name: "CertificateIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-certificate", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$sr(_objectSpread$sr({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$sp, finalProps.value);
    }
  });

  function ownKeys$sq(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$sq(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$sq(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$sq(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$so = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M20.6645 5.84747L12.0003.845215 3.33759 5.84666 11.9995 10.8458 20.6645 5.84747zM13.001 3.93V7.93H11.001V3.93H13.001zM21.6606 7.58178L12.9993 12.5779V22.5779L21.6606 17.5773V7.58178zM16.0256 13.169L19.4897 15.169 18.4897 16.901 15.0256 14.901 16.0256 13.169zM10.9993 22.5767V12.5778L2.34009 7.58015V17.5773L10.9993 22.5767zM8.97618 14.901L5.51207 16.901 4.51207 15.169 7.97618 13.169 8.97618 14.901z"
      }
    }]
  };
  var chart3dFilled = vue.defineComponent({
    name: "Chart3DFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-chart-3d-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$sq(_objectSpread$sq({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$so, finalProps.value);
    }
  });

  function ownKeys$sp(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$sp(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$sp(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$sp(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$sn = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M12.0001 0.845215L21.6604 6.42257V17.5773L12.0001 23.1546L2.33984 17.5773V6.42257L12.0001 0.845215ZM12.0001 3.15462L5.33984 6.99992L12.0001 10.8452L18.6604 6.99992L12.0001 3.15462ZM19.6604 8.73197L13.0001 12.5773V20.2679L19.6604 16.4226V8.73197ZM11.0001 20.2679V12.5773L4.33984 8.73197V16.4226L11.0001 20.2679ZM13.0001 4.99992V8.99992H11.0001V4.99992H13.0001ZM9.90191 14.3659L6.43781 16.3659L5.43781 14.6339L8.90191 12.6339L9.90191 14.3659ZM15.0981 12.6339L18.5622 14.6339L17.5622 16.3659L14.0981 14.3659L15.0981 12.6339Z"
      }
    }]
  };
  var chart3d = vue.defineComponent({
    name: "Chart3DIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-chart-3d", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$sp(_objectSpread$sp({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$sn, finalProps.value);
    }
  });

  function ownKeys$so(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$so(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$so(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$so(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$sm = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M19.9995 3V0H17.9995V3H14.9995V5H17.9995V8H19.9995V5H22.9995V3H19.9995Z"
      }
    }, {
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M13.4995 4C13.4995 3.29442 13.6324 2.61986 13.8745 2H1.99951V22H21.9995V8.61053C21.1367 9.17308 20.1063 9.5 18.9995 9.5C15.9619 9.5 13.4995 7.03757 13.4995 4ZM12.9995 18H10.9995V8H12.9995V18ZM7.99951 18H5.99951V11H7.99951V18ZM15.9995 18V13H17.9995V18H15.9995Z"
      }
    }]
  };
  var chartAddFilled = vue.defineComponent({
    name: "ChartAddFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-chart-add-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$so(_objectSpread$so({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$sm, finalProps.value);
    }
  });

  function ownKeys$sn(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$sn(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$sn(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$sn(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$sl = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M20 0V3H23V5H20V8H18V5H15V3H18V0H20ZM2 2H13V4H4V20H20V10H22V22H2V2ZM13 8V18H11V8H13ZM8 11V18H6V11H8ZM18 13V18H16V13H18Z"
      }
    }]
  };
  var chartAdd = vue.defineComponent({
    name: "ChartAddIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-chart-add", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$sn(_objectSpread$sn({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$sl, finalProps.value);
    }
  });

  function ownKeys$sm(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$sm(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$sm(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$sm(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$sk = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M4 2V20H22V22H2V2H4ZM16 6H22V12H20V9.4229L18.4211 10.9977C17.2545 12.1614 16.127 13.2863 15.7071 13.7062L15 14.4133L11 10.4133L6 15.4133L4.58579 13.9991L11 7.58486L15.0005 11.5853C15.5395 11.0473 16.2665 10.322 17.0086 9.58169L18.5945 8H16V6Z"
      }
    }]
  };
  var chartAnalytics = vue.defineComponent({
    name: "ChartAnalyticsIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-chart-analytics", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$sm(_objectSpread$sm({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$sk, finalProps.value);
    }
  });

  function ownKeys$sl(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$sl(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$sl(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$sl(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$sj = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M4 2V20H22V22H2V2H4ZM21.0003 4.08648L21.0003 18.2096L6.00026 18.2096L6.00026 12.0581L12.5891 6.06741L15.5565 9.52937L21.0003 4.08648Z"
      }
    }]
  };
  var chartAreaFilled = vue.defineComponent({
    name: "ChartAreaFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-chart-area-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$sl(_objectSpread$sl({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$sj, finalProps.value);
    }
  });

  function ownKeys$sk(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$sk(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$sk(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$sk(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$si = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M4 20V2H2V22H22V20H4Z"
      }
    }, {
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M21.0003 18.2096L21.0003 8.58592L15.3825 14.2033L12.4162 10.7426L6.00026 16.5567L6.00026 18.2096L21.0003 18.2096Z"
      }
    }, {
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M6 14.7614L6.00037 12.0593L12.5898 6.06811L15.5566 9.52931L21.0003 4.08643V6.91021L15.4415 12.4682L12.4109 8.93254L6 14.7614Z"
      }
    }]
  };
  var chartAreaMultiFilled = vue.defineComponent({
    name: "ChartAreaMultiFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-chart-area-multi-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$sk(_objectSpread$sk({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$si, finalProps.value);
    }
  });

  function ownKeys$sj(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$sj(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$sj(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$sj(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$sh = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M4 2V20H22V22H2V2H4ZM21.0003 4.08648L21.0003 18.2096L6.00026 18.2096L6.00026 12.0581L12.5891 6.06741L15.5565 9.52937L21.0003 4.08648ZM8.25816 16.2096L19.0003 16.2096L19.0003 12.4141L15.2695 16.1446L12.2357 12.6052L8.25816 16.2096ZM19.0003 9.58576V8.91438L15.4435 12.4706L12.4109 8.93259L8.00026 12.9428L8.00026 13.7443L12.4162 9.74264L15.3825 13.2033L19.0003 9.58576Z"
      }
    }]
  };
  var chartAreaMulti = vue.defineComponent({
    name: "ChartAreaMultiIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-chart-area-multi", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$sj(_objectSpread$sj({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$sh, finalProps.value);
    }
  });

  function ownKeys$si(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$si(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$si(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$si(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$sg = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M4 2V20H22V22H2V2H4ZM21.0003 4.08648L21.0003 18.2096L6.00026 18.2096L6.00026 12.0581L12.5891 6.06741L15.5565 9.52937L21.0003 4.08648ZM19.0003 8.91438L15.4435 12.4706L12.4109 8.93259L8.00026 12.9428L8.00026 16.2096L19.0003 16.2096L19.0003 8.91438Z"
      }
    }]
  };
  var chartArea = vue.defineComponent({
    name: "ChartAreaIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-chart-area", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$si(_objectSpread$si({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$sg, finalProps.value);
    }
  });

  function ownKeys$sh(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$sh(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$sh(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$sh(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$sf = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M4 2V20H7V9H12V20H15V5H20V20H22V22H2V2H4Z"
      }
    }]
  };
  var chartBarFilled = vue.defineComponent({
    name: "ChartBarFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-chart-bar-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$sh(_objectSpread$sh({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$sf, finalProps.value);
    }
  });

  function ownKeys$sg(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$sg(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$sg(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$sg(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$se = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M4 2V20H6V9H12V20H14V5H20V20H22V22H2V2H4ZM18 20V7H16V20H18ZM10 20V11H8V20H10Z"
      }
    }]
  };
  var chartBar = vue.defineComponent({
    name: "ChartBarIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-chart-bar", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$sg(_objectSpread$sg({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$se, finalProps.value);
    }
  });

  function ownKeys$sf(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$sf(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$sf(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$sf(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$sd = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M4 2V20H22V22H2V2H4ZM13 6C13 4.34315 14.3431 3 16 3C17.6569 3 19 4.34315 19 6C19 7.65685 17.6569 9 16 9C14.3431 9 13 7.65685 13 6ZM6 14C6 11.7909 7.79086 10 10 10C12.2091 10 14 11.7909 14 14C14 16.2091 12.2091 18 10 18C7.79086 18 6 16.2091 6 14ZM17 14C17 12.8954 17.8954 12 19 12C20.1046 12 21 12.8954 21 14C21 15.1046 20.1046 16 19 16C17.8954 16 17 15.1046 17 14Z"
      }
    }]
  };
  var chartBubbleFilled = vue.defineComponent({
    name: "ChartBubbleFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-chart-bubble-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$sf(_objectSpread$sf({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$sd, finalProps.value);
    }
  });

  function ownKeys$se(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$se(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$se(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$se(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$sc = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M4 2V20H22V22H2V2H4ZM16 5C15.4477 5 15 5.44772 15 6C15 6.55228 15.4477 7 16 7C16.5523 7 17 6.55228 17 6C17 5.44772 16.5523 5 16 5ZM13 6C13 4.34315 14.3431 3 16 3C17.6569 3 19 4.34315 19 6C19 7.65685 17.6569 9 16 9C14.3431 9 13 7.65685 13 6ZM10 12C8.89543 12 8 12.8954 8 14C8 15.1046 8.89543 16 10 16C11.1046 16 12 15.1046 12 14C12 12.8954 11.1046 12 10 12ZM6 14C6 11.7909 7.79086 10 10 10C12.2091 10 14 11.7909 14 14C14 16.2091 12.2091 18 10 18C7.79086 18 6 16.2091 6 14ZM17 14C17 12.8954 17.8954 12 19 12C20.1046 12 21 12.8954 21 14C21 15.1046 20.1046 16 19 16C17.8954 16 17 15.1046 17 14Z"
      }
    }]
  };
  var chartBubble = vue.defineComponent({
    name: "ChartBubbleIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-chart-bubble", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$se(_objectSpread$se({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$sc, finalProps.value);
    }
  });

  function ownKeys$sd(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$sd(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$sd(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$sd(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$sb = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M22 20H4V17H15V12H4V9H19V4L4 4V2L2 2L2 22H22V20Z"
      }
    }]
  };
  var chartColumnFilled = vue.defineComponent({
    name: "ChartColumnFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-chart-column-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$sd(_objectSpread$sd({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$sb, finalProps.value);
    }
  });

  function ownKeys$sc(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$sc(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$sc(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$sc(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$sa = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M4 2V4L19 4V10H4V12L15 12V18H4V20H22V22H2L2 2L4 2ZM4 16L13 16V14L4 14L4 16ZM4 8L17 8V6L4 6L4 8Z"
      }
    }]
  };
  var chartColumn = vue.defineComponent({
    name: "ChartColumnIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-chart-column", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$sc(_objectSpread$sc({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$sa, finalProps.value);
    }
  });

  function ownKeys$sb(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$sb(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$sb(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$sb(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$s9 = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M4 2V20H7V14H12V20H15V11H20V20H22V22H2V2H4ZM16.6734 3.72702L21.2462 8.29984L19.832 9.71406L16.669 6.55103L9.88707 13.2907L5.29307 8.69665L6.70728 7.28244L9.89148 10.4666L16.6734 3.72702Z"
      }
    }]
  };
  var chartComboFilled = vue.defineComponent({
    name: "ChartComboFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-chart-combo-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$sb(_objectSpread$sb({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$s9, finalProps.value);
    }
  });

  function ownKeys$sa(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$sa(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$sa(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$sa(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$s8 = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M4 2V20H6V14H12V20H14V11H20V20H22V22H2V2H4ZM18 20V13H16V20H18ZM10 20V16H8V20H10ZM16.6734 3.72702L21.2462 8.29984L19.832 9.71406L16.669 6.55103L9.88707 13.2907L5.29307 8.69665L6.70728 7.28244L9.89148 10.4666L16.6734 3.72702Z"
      }
    }]
  };
  var chartCombo = vue.defineComponent({
    name: "ChartComboIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-chart-combo", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$sa(_objectSpread$sa({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$s8, finalProps.value);
    }
  });

  function ownKeys$s9(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$s9(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$s9(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$s9(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$s7 = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M21.9995 2H1.99951V22H21.9995V2ZM12.9995 18H10.9995V7H12.9995V18ZM7.99951 18H5.99951V11H7.99951V18ZM15.9995 18V13H17.9995V18H15.9995Z"
      }
    }]
  };
  var chartFilled = vue.defineComponent({
    name: "ChartFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-chart-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$s9(_objectSpread$s9({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$s7, finalProps.value);
    }
  });

  function ownKeys$s8(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$s8(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$s8(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$s8(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$s6 = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M4 2V20H22V22H2V2H4ZM20.3071 7.27082L22.089 8.17911L21.6348 9.07004L20.7439 8.61589C21.6348 9.07004 21.635 9.06981 21.6348 9.07004L21.6336 9.0725L21.6313 9.07692L21.6238 9.09151L21.597 9.14279C21.5739 9.18644 21.5407 9.24862 21.498 9.32648C21.4127 9.48206 21.2893 9.70107 21.1335 9.96054C20.8235 10.4766 20.3778 11.1661 19.843 11.8386C19.3156 12.5018 18.6628 13.1981 17.929 13.6828C17.1995 14.1647 16.2484 14.5254 15.2261 14.2229C13.5223 13.7187 12.9781 12.3765 12.6113 11.4719C12.6006 11.4454 12.59 11.4193 12.5795 11.3936C12.1883 10.4323 11.9529 9.95994 11.2044 9.74776C10.9684 9.68086 10.6324 9.72405 10.1445 10.0466C9.66023 10.3668 9.15917 10.8797 8.68977 11.4704C8.22755 12.0521 7.8328 12.6621 7.55153 13.1319C7.41174 13.3654 7.30194 13.561 7.22784 13.6967C7.19083 13.7645 7.16284 13.8171 7.14458 13.8519L7.12461 13.8902L7.12029 13.8986L7.11968 13.8998L6.66746 14.7913L4.88381 13.8866L5.33619 12.9947L6.22802 13.4471C5.33619 12.9947 5.33608 12.995 5.33619 12.9947L5.33745 12.9923L5.33972 12.9878L5.34722 12.9732L5.37394 12.9219C5.39686 12.8783 5.42993 12.8161 5.47241 12.7383C5.55731 12.5828 5.68027 12.3639 5.83556 12.1045C6.14444 11.5886 6.58912 10.8992 7.12394 10.2262C7.65157 9.56218 8.30518 8.86507 9.04153 8.37824C9.77429 7.8938 10.7249 7.53303 11.7499 7.82358C13.4881 8.31631 14.0379 9.66956 14.4096 10.5847C14.4171 10.6032 14.4246 10.6216 14.432 10.6397C14.8278 11.6124 15.0579 12.0874 15.7936 12.3051C16.0159 12.3708 16.3414 12.3346 16.8266 12.0141C17.3077 11.6963 17.8078 11.1846 18.2777 10.5937C18.7403 10.0121 19.1363 9.40144 19.4188 8.93094C19.5592 8.69711 19.6697 8.50119 19.7442 8.36517C19.7814 8.29724 19.8096 8.24445 19.828 8.20958L19.8482 8.17112L19.8525 8.16267L19.853 8.16175L20.3071 7.27082Z"
      }
    }]
  };
  var chartLineData1 = vue.defineComponent({
    name: "ChartLineData1Icon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-chart-line-data-1", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$s8(_objectSpread$s8({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$s6, finalProps.value);
    }
  });

  function ownKeys$s7(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$s7(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$s7(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$s7(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$s5 = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M4 2V20H22V22H2V2H4ZM19.5 7C19.2239 7 19 7.22386 19 7.5C19 7.77614 19.2239 8 19.5 8C19.7761 8 20 7.77614 20 7.5C20 7.22386 19.7761 7 19.5 7ZM17 7.5C17 6.11929 18.1193 5 19.5 5C20.8807 5 22 6.11929 22 7.5C22 8.88071 20.8807 10 19.5 10C18.949 10 18.4397 9.82175 18.0264 9.51978L9.98468 14.2155C10.0939 15.1744 9.63936 16.1514 8.75024 16.6648C7.55451 17.3551 6.02553 16.9454 5.33518 15.7497C4.64482 14.554 5.05451 13.025 6.25024 12.3346C7.13675 11.8228 8.20643 11.9156 8.98173 12.4852L17.017 7.79321C17.0058 7.69704 17 7.59919 17 7.5ZM7.93326 14.2497C7.79518 14.0105 7.48939 13.9286 7.25024 14.0667C7.0111 14.2048 6.92916 14.5105 7.06723 14.7497C7.2053 14.9888 7.5111 15.0708 7.75024 14.9327C7.98939 14.7946 8.07133 14.4888 7.93326 14.2497Z"
      }
    }]
  };
  var chartLineData = vue.defineComponent({
    name: "ChartLineDataIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-chart-line-data", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$s7(_objectSpread$s7({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$s5, finalProps.value);
    }
  });

  function ownKeys$s6(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$s6(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$s6(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$s6(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$s4 = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M4 2V20H22V22H2V2H4ZM21.9142 5.5L15.5 11.9142L11.5 7.91421L6.5 12.9142L5.08579 11.5L11.5 5.08579L15.5 9.08579L20.5 4.08579L21.9142 5.5ZM21.9142 10.5L15.5 16.9142L11.5 12.9142L6.5 17.9142L5.08579 16.5L11.5 10.0858L15.5 14.0858L20.5 9.08579L21.9142 10.5Z"
      }
    }]
  };
  var chartLineMulti = vue.defineComponent({
    name: "ChartLineMultiIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-chart-line-multi", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$s6(_objectSpread$s6({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$s4, finalProps.value);
    }
  });

  function ownKeys$s5(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$s5(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$s5(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$s5(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$s3 = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M4 2V20H22V22H2V2H4ZM21.9142 8L15.5 14.4142L11.5 10.4142L6.5 15.4142L5.08579 14L11.5 7.58579L15.5 11.5858L20.5 6.58579L21.9142 8Z"
      }
    }]
  };
  var chartLine = vue.defineComponent({
    name: "ChartLineIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-chart-line", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$s5(_objectSpread$s5({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$s3, finalProps.value);
    }
  });

  function ownKeys$s4(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$s4(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$s4(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$s4(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$s2 = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M4 2V20H22V22H2V2H4ZM5.99805 2.99805H8.00195V5.00195H5.99805V2.99805ZM8.99805 2.99805H11.002V5.00195H8.99805V2.99805ZM11.998 2.99805H14.002V5.00195H11.998V2.99805ZM14.998 2.99805H17.002V5.00195H14.998V2.99805ZM17.998 2.99805H20.002V5.00195H17.998V2.99805ZM15.4308 8.78698C14.8156 8.3037 14.0345 7.99919 13.0008 8C11.9665 8.00081 11.1848 8.30608 10.5692 8.78965C9.93867 9.28487 9.43256 10.0075 9.03983 10.906C8.24639 12.7213 8 15.0586 8 16.9981V17.9981H6V16.9981C6 14.9509 6.25166 12.2912 7.20724 10.105C7.68902 9.00279 8.37017 7.97368 9.33379 7.21681C10.3122 6.44828 11.5315 6.00115 12.9992 6C14.4675 5.99885 15.6874 6.44529 16.6662 7.21418C17.6301 7.97129 18.3112 9.00145 18.7929 10.1046C19.7484 12.2929 20 14.9558 20 17.0038V18.0038H18V17.0038C18 15.0634 17.7536 12.7225 16.96 10.9049C16.5672 10.0052 16.0611 9.28203 15.4308 8.78698Z"
      }
    }]
  };
  var chartMaximum = vue.defineComponent({
    name: "ChartMaximumIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-chart-maximum", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$s4(_objectSpread$s4({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$s2, finalProps.value);
    }
  });

  function ownKeys$s3(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$s3(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$s3(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$s3(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$s1 = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M4 2V20H22V22H2V2H4ZM16 4.4043C14.9247 4.4043 14 5.31268 14 6.49953V9.49805H14.0039V11.502H14V14.5714C14 16.8877 12.3304 19 10 19C7.66961 19 6 16.8877 6 14.5714V13.5714H8V14.5714C8 16.0423 9.01668 17 10 17C10.9833 17 12 16.0423 12 14.5714V6.49953C12 4.26749 13.7616 2.4043 16 2.4043C18.2384 2.4043 20 4.26749 20 6.49953V7.49953H18V6.49953C18 5.31268 17.0753 4.4043 16 4.4043ZM6 9.49609H8.00391V11.5H6V9.49609ZM8.99609 9.49805H11V11.502H8.99609V9.49805ZM14.9961 9.49805H17V11.502H14.9961V9.49805ZM18 9.49805H20.0039V11.502H18V9.49805Z"
      }
    }]
  };
  var chartMedian = vue.defineComponent({
    name: "ChartMedianIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-chart-median", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$s3(_objectSpread$s3({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$s1, finalProps.value);
    }
  });

  function ownKeys$s2(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$s2(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$s2(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$s2(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$s0 = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M4 2V20H22V22H2V2H4ZM20 2.9999V3.9999C20 6.04787 19.7484 8.71079 18.7929 10.899C18.3112 12.0022 17.6301 13.0324 16.6662 13.7895C15.6874 14.5584 14.4675 15.0048 12.9992 15.0037C11.5315 15.0025 10.3122 14.5554 9.33379 13.7869C8.37017 13.03 7.68902 12.0009 7.20724 10.8987C6.25166 8.71248 6 6.05278 6 4.00557V3.00557H8V4.00557C8 5.94502 8.24639 8.28241 9.03983 10.0976C9.43256 10.9961 9.93867 11.7188 10.5692 12.214C11.1848 12.6976 11.9665 13.0029 13.0008 13.0037C14.0345 13.0045 14.8156 12.7 15.4308 12.2167C16.0611 11.7216 16.5672 10.9984 16.96 10.0987C17.7536 8.28117 18 5.94026 18 3.9999V2.9999H20ZM5.99805 15.998H8.00195V18.002H5.99805V15.998ZM8.99805 15.998H11.002V18.002H8.99805V15.998ZM11.998 15.998H14.002V18.002H11.998V15.998ZM14.998 15.998H17.002V18.002H14.998V15.998ZM17.998 15.998H20.002V18.002H17.998V15.998Z"
      }
    }]
  };
  var chartMinimum = vue.defineComponent({
    name: "ChartMinimumIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-chart-minimum", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$s2(_objectSpread$s2({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$s0, finalProps.value);
    }
  });

  function ownKeys$s1(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$s1(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$s1(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$s1(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$r$ = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M13 1.04492V11H22.9552C22.4796 5.7229 18.2771 1.52047 13 1.04492Z"
      }
    }, {
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M11 1.04492V13H22.9552C22.45 18.6065 17.7381 23.0001 12 23.0001C5.92487 23.0001 1 18.0752 1 12.0001C1 6.26204 5.3935 1.55015 11 1.04492Z"
      }
    }]
  };
  var chartPieFilled = vue.defineComponent({
    name: "ChartPieFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-chart-pie-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$s1(_objectSpread$s1({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$r$, finalProps.value);
    }
  });

  function ownKeys$s0(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$s0(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$s0(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$s0(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$r_ = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M11 3.05493C6.50005 3.55237 3 7.36745 3 12C3 16.9706 7.02944 21 12 21C16.6326 21 20.4476 17.5 20.9451 13H11V3.05493ZM13 3.05493V11H20.9451C20.4839 6.82838 17.1716 3.51608 13 3.05493ZM1 12C1 5.92487 5.92487 1 12 1C18.0751 1 23 5.92487 23 12C23 18.0751 18.0751 23 12 23C5.92487 23 1 18.0751 1 12Z"
      }
    }]
  };
  var chartPie = vue.defineComponent({
    name: "ChartPieIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-chart-pie", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$s0(_objectSpread$s0({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$r_, finalProps.value);
    }
  });

  function ownKeys$r$(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$r$(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$r$(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$r$(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$rZ = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M11.0011 1.48999L1.81469 8.1643 11.0011 11.1491V1.48999zM1.19604 10.0662L4.70517 20.8662 10.3831 13.0513 1.19604 10.0662zM6.32406 22.0406H17.6781L12.0011 14.2268 6.32406 22.0406zM19.2953 20.8638L22.8033 10.0671 13.6191 13.0513 19.2953 20.8638zM22.1857 8.16488L13.0011 1.49184V11.1491L22.1857 8.16488z"
      }
    }]
  };
  var chartRadarFilled = vue.defineComponent({
    name: "ChartRadarFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-chart-radar-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$r$(_objectSpread$r$({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$rZ, finalProps.value);
    }
  });

  function ownKeys$r_(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$r_(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$r_(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$r_(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$rY = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M12 0.763916L23.1856 8.89071L18.9131 22.0401H5.08696L0.814453 8.89071L12 0.763916ZM3.54756 10.8302L6.15808 18.8646L10.382 13.0509L3.54756 10.8302ZM7.77611 20.0401H16.2239L12 14.2264L7.77611 20.0401ZM13.6181 13.0509L17.842 18.8646L20.4525 10.8302L13.6181 13.0509ZM19.8345 8.9281L13 3.96259V11.1487L19.8345 8.9281ZM11 3.96259L4.16559 8.9281L11 11.1487V3.96259Z"
      }
    }]
  };
  var chartRadar = vue.defineComponent({
    name: "ChartRadarIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-chart-radar", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$r_(_objectSpread$r_({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$rY, finalProps.value);
    }
  });

  function ownKeys$rZ(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$rZ(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$rZ(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$rZ(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$rX = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M12 3C7.02944 3 3 7.02944 3 12C3 16.9706 7.02944 21 12 21C16.9706 21 21 16.9706 21 12V11H23V12C23 18.0751 18.0751 23 12 23C5.92487 23 1 18.0751 1 12C1 5.92487 5.92487 1 12 1H13V3H12ZM12 7C9.23858 7 7 9.23858 7 12C7 14.7614 9.23858 17 12 17C14.7614 17 17 14.7614 17 12C17 10.6085 16.4329 9.35138 15.5148 8.44385L14.8036 7.74086L16.2096 6.31846L16.9208 7.02145C18.2034 8.28927 19 10.0525 19 12C19 15.866 15.866 19 12 19C8.13401 19 5 15.866 5 12C5 8.13401 8.13401 5 12 5H13V7H12ZM12 11C11.9121 11 11.8283 11.0111 11.7493 11.0314C11.3177 11.1425 11 11.5354 11 12C11 12.5523 11.4477 13 12 13C12.5523 13 13 12.5523 13 12V11H15V12C15 13.6569 13.6569 15 12 15C10.3431 15 9 13.6569 9 12C9 10.6007 9.95704 9.42755 11.2507 9.09457C11.4913 9.03266 11.7426 9 12 9H13V11H12Z"
      }
    }]
  };
  var chartRadial = vue.defineComponent({
    name: "ChartRadialIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-chart-radial", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$rZ(_objectSpread$rZ({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$rX, finalProps.value);
    }
  });

  function ownKeys$rY(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$rY(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$rY(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$rY(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$rW = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M3.18425 13.8068C2.18686 8.93733 5.3258 4.1813 10.1953 3.18391L11.1749 2.98325L10.7736 1.02393L9.79394 1.22459C3.84237 2.44362 0.00589404 8.25654 1.22493 14.2081C2.44396 20.1597 8.25688 23.9962 14.2085 22.7771C18.7545 21.846 22.0643 18.2353 22.8329 13.9329L23.0088 12.9484L21.0399 12.5967L20.8641 13.5811C20.2346 17.1047 17.5238 20.0565 13.8071 20.8178C8.93767 21.8152 4.18164 18.6763 3.18425 13.8068Z"
      }
    }, {
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M14.2886 1.23872L13.3105 1.03036 12.8938 2.98647 13.8719 3.19483C17.2667 3.91803 20.0779 6.58093 20.8181 10.1949L21.0188 11.1746 22.9781 10.7733 22.7775 9.7936C21.872 5.37312 18.4329 2.12158 14.2886 1.23872zM12.0012 17.0005C14.7626 17.0005 17.0012 14.7619 17.0012 12.0005 17.0012 9.23905 14.7626 7.00048 12.0012 7.00048 9.23979 7.00048 7.00121 9.23905 7.00121 12.0005 7.00121 14.7619 9.23979 17.0005 12.0012 17.0005z"
      }
    }]
  };
  var chartRing1Filled = vue.defineComponent({
    name: "ChartRing1FilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-chart-ring-1-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$rY(_objectSpread$rY({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$rW, finalProps.value);
    }
  });

  function ownKeys$rX(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$rX(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$rX(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$rX(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$rV = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M11.1739 2.98325L10.1943 3.18391C5.32482 4.1813 2.18588 8.93733 3.18327 13.8068C4.18066 18.6763 8.93669 21.8152 13.8062 20.8178C17.5229 20.0565 20.2336 17.1047 20.8631 13.5811L21.039 12.5967L23.0078 12.9484L22.8319 13.9329C22.0633 18.2353 18.7535 21.846 14.2075 22.7771C8.2559 23.9962 2.44298 20.1597 1.22395 14.2081C0.00491744 8.25654 3.8414 2.44362 9.79297 1.22459L10.7726 1.02393L11.1739 2.98325ZM13.3095 1.03036L14.2876 1.23872C18.4319 2.12158 21.8711 5.37312 22.7765 9.7936L22.9772 10.7733L21.0178 11.1746L20.8172 10.1949C20.0769 6.58093 17.2658 3.91803 13.8709 3.19483L12.8928 2.98647L13.3095 1.03036ZM15.9196 11.1977C15.4763 9.03354 13.3625 7.63845 11.1983 8.08174C9.03412 8.52502 7.63903 10.6388 8.08232 12.803C8.5256 14.9672 10.6394 16.3623 12.8036 15.919C14.9678 15.4757 16.3629 13.3619 15.9196 11.1977ZM10.797 6.12241C14.0433 5.45749 17.214 7.55011 17.8789 10.7964C18.5439 14.0427 16.4512 17.2134 13.2049 17.8783C9.95861 18.5433 6.78792 16.4506 6.123 13.2043C5.45807 9.95803 7.55069 6.78734 10.797 6.12241Z"
      }
    }]
  };
  var chartRing1 = vue.defineComponent({
    name: "ChartRing1Icon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-chart-ring-1", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$rX(_objectSpread$rX({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$rV, finalProps.value);
    }
  });

  function ownKeys$rW(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$rW(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$rW(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$rW(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$rU = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M12.9995 1.04492V7.61152C14.6821 7.99311 16.0066 9.31749 16.3885 10.9999H22.9551C22.4795 5.72273 18.2768 1.52025 12.9995 1.04492zM22.9995 11.8954V12.1049C22.9998 12.07 23 12.0351 23 12.0001 23 11.9652 22.9998 11.9303 22.9995 11.8954zM22.9552 12.9999H16.3885C16.2745 13.5024 16.0764 13.973 15.8098 14.396L20.4531 19.0393C21.8432 17.3719 22.7491 15.2868 22.9552 12.9999zM19.8501 19.7057L19.7056 19.8502C19.7542 19.8025 19.8024 19.7543 19.8501 19.7057z"
      }
    }, {
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M19.0389 20.4535L14.3955 15.8102C13.7019 16.2473 12.8805 16.5001 12 16.5001C9.51472 16.5001 7.5 14.4854 7.5 12.0001C7.5 9.85871 8.99577 8.06665 10.9995 7.61174V1.04501C5.39324 1.55047 1 6.26225 1 12.0001C1 18.0753 5.92487 23.0001 12 23.0001C14.6774 23.0001 17.1314 22.0436 19.0389 20.4535Z"
      }
    }]
  };
  var chartRingFilled = vue.defineComponent({
    name: "ChartRingFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-chart-ring-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$rW(_objectSpread$rW({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$rU, finalProps.value);
    }
  });

  function ownKeys$rV(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$rV(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$rV(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$rV(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$rT = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M11 3.05493C6.50005 3.55237 3 7.36745 3 12C3 16.9706 7.02944 21 12 21C14.1312 21 16.0894 20.2592 17.6312 19.0211L15.508 16.8684C14.5217 17.5802 13.3094 18.0004 12 18.0004C8.68629 18.0004 6 15.3141 6 12.0004C6 9.02741 8.16229 6.55944 11 6.08336V3.05493ZM13 3.05493V6.08336C15.5125 6.50488 17.4955 8.4879 17.917 11.0004H20.9451C20.4841 6.8286 17.1718 3.51609 13 3.05493ZM20.945 13.0004H17.9169C17.7661 13.8986 17.4156 14.7294 16.9132 15.445L19.0427 17.6041C20.0723 16.3119 20.7537 14.73 20.945 13.0004ZM1 12C1 5.92487 5.92487 1 12 1C18.0751 1 23 5.92487 23 12C23 18.0751 18.0751 23 12 23C5.92487 23 1 18.0751 1 12ZM12 8.0004C9.79086 8.0004 8 9.79127 8 12.0004C8 14.2095 9.79086 16.0004 12 16.0004C13.1177 16.0004 14.1268 15.5433 14.8537 14.8034C15.5637 14.0806 16 13.0924 16 12.0004C16 9.79127 14.2091 8.0004 12 8.0004Z"
      }
    }]
  };
  var chartRing = vue.defineComponent({
    name: "ChartRingIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-chart-ring", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$rV(_objectSpread$rV({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$rT, finalProps.value);
    }
  });

  function ownKeys$rU(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$rU(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$rU(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$rU(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$rS = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M4 2V20H22V22H2V2H4ZM17 6C17 4.89543 17.8954 4 19 4C20.1046 4 21 4.89543 21 6C21 7.10457 20.1046 8 19 8C17.8954 8 17 7.10457 17 6ZM10.998 5H13.002V7.00391H10.998V5ZM5.99805 8H8.00195V10.0039H5.99805V8ZM14.998 10H17.002V12.0039H14.998V10ZM9 13C9 11.8954 9.89543 11 11 11C12.1046 11 13 11.8954 13 13C13 14.1046 12.1046 15 11 15C9.89543 15 9 14.1046 9 13ZM16.998 15H19.002V17.0039H16.998V15ZM5.99805 16H8.00195V18.0039H5.99805V16Z"
      }
    }]
  };
  var chartScatter = vue.defineComponent({
    name: "ChartScatterIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-chart-scatter", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$rU(_objectSpread$rU({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$rS, finalProps.value);
    }
  });

  function ownKeys$rT(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$rT(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$rT(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$rT(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$rR = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M4 20V2H2V22H22V20H20V16.5H14V20H12V16.5H6V20H4Z"
      }
    }, {
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M6 14.5H12V9H6V14.5zM14 14.5H20V5H14V14.5z"
      }
    }]
  };
  var chartStackedFilled = vue.defineComponent({
    name: "ChartStackedFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-chart-stacked-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$rT(_objectSpread$rT({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$rR, finalProps.value);
    }
  });

  function ownKeys$rS(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$rS(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$rS(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$rS(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$rQ = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M4 2V20H6V9H12V20H14V5H20V20H22V22H2V2H4ZM18 20V16.5H16V20H18ZM16 14.5H18V7H16V14.5ZM10 20V16.5H8V20H10ZM8 14.5H10V11H8V14.5Z"
      }
    }]
  };
  var chartStacked = vue.defineComponent({
    name: "ChartStackedIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-chart-stacked", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$rS(_objectSpread$rS({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$rQ, finalProps.value);
    }
  });

  function ownKeys$rR(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$rR(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$rR(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$rR(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$rP = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M2 2H22V22H2V2ZM4 4V20H20V4H4ZM13 7V18H11V7H13ZM8 11V18H6V11H8ZM18 13V18H16V13H18Z"
      }
    }]
  };
  var chart = vue.defineComponent({
    name: "ChartIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-chart", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$rR(_objectSpread$rR({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$rP, finalProps.value);
    }
  });

  function ownKeys$rQ(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$rQ(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$rQ(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$rQ(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$rO = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M21 3V0H19V3H16V5H19V8H21V5H24V3H21Z"
      }
    }, {
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M20 9.5C20.9002 9.5 21.7499 9.28372 22.5 8.90029V18H6.87574L1.5 22.7038V2H14.8749C14.6329 2.61986 14.5 3.29442 14.5 4C14.5 7.03757 16.9624 9.5 20 9.5Z"
      }
    }]
  };
  var chatAddFilled = vue.defineComponent({
    name: "ChatAddFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-chat-add-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$rQ(_objectSpread$rQ({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$rO, finalProps.value);
    }
  });

  function ownKeys$rP(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$rP(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$rP(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$rP(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$rN = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M21 0V3H24V5H21V8H19V5H16V3H19V0H21ZM1.5 2H14V4H3.5V18.2962L6.12426 16H20.5V10H22.5V18H6.87574L1.5 22.7038V2Z"
      }
    }]
  };
  var chatAdd = vue.defineComponent({
    name: "ChatAddIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-chat-add", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$rP(_objectSpread$rP({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$rN, finalProps.value);
    }
  });

  function ownKeys$rO(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$rO(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$rO(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$rO(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$rM = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M12 1C5.92487 1 1 5.92487 1 12C1 14.6615 1.94632 17.1038 3.51936 19.006L1.30049 23H12C18.0751 23 23 18.0751 23 12C23 5.92487 18.0751 1 12 1ZM16 11H8V9H16V11ZM14 15H8V13H14V15Z"
      }
    }]
  };
  var chatBubble1Filled = vue.defineComponent({
    name: "ChatBubble1FilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-chat-bubble-1-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$rO(_objectSpread$rO({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$rM, finalProps.value);
    }
  });

  function ownKeys$rN(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$rN(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$rN(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$rN(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$rL = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M12 3C7.02944 3 3 7.02944 3 12C3 14.3966 3.93542 16.5725 5.46305 18.1862L5.96701 18.7185L4.69951 21H12C16.9706 21 21 16.9706 21 12C21 7.02944 16.9706 3 12 3ZM1 12C1 5.92487 5.92487 1 12 1C18.0751 1 23 5.92487 23 12C23 18.0751 18.0751 23 12 23H1.30049L3.51936 19.006C1.94632 17.1038 1 14.6615 1 12ZM8 9H16V11H8V9ZM8 13H14V15H8V13Z"
      }
    }]
  };
  var chatBubble1 = vue.defineComponent({
    name: "ChatBubble1Icon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-chat-bubble-1", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$rN(_objectSpread$rN({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$rL, finalProps.value);
    }
  });

  function ownKeys$rM(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$rM(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$rM(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$rM(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$rK = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M12 1C5.92487 1 1 5.92487 1 12C1 14.6615 1.94632 17.1038 3.51936 19.006L1.30049 23H12C18.0751 23 23 18.0751 23 12C23 5.92487 18.0751 1 12 1ZM13 13V16H11V13H8V11H11V8H13V11H16V13H13Z"
      }
    }]
  };
  var chatBubbleAddFilled = vue.defineComponent({
    name: "ChatBubbleAddFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-chat-bubble-add-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$rM(_objectSpread$rM({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$rK, finalProps.value);
    }
  });

  function ownKeys$rL(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$rL(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$rL(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$rL(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$rJ = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M12 3C7.02944 3 3 7.02944 3 12C3 14.3966 3.93542 16.5725 5.46305 18.1862L5.96701 18.7185L4.69951 21H12C16.9706 21 21 16.9706 21 12C21 7.02944 16.9706 3 12 3ZM1 12C1 5.92487 5.92487 1 12 1C18.0751 1 23 5.92487 23 12C23 18.0751 18.0751 23 12 23H1.30049L3.51936 19.006C1.94632 17.1038 1 14.6615 1 12ZM13 8V11H16V13H13V16H11V13H8V11H11V8H13Z"
      }
    }]
  };
  var chatBubbleAdd = vue.defineComponent({
    name: "ChatBubbleAddIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-chat-bubble-add", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$rL(_objectSpread$rL({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$rJ, finalProps.value);
    }
  });

  function ownKeys$rK(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$rK(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$rK(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$rK(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$rI = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M12 1C18.0751 1 23 5.92487 23 12C23 18.0751 18.0751 23 12 23H1.30049L3.51936 19.006C1.94632 17.1038 1 14.6615 1 12C1 5.92487 5.92487 1 12 1ZM11 6.5V14H13V6.5H11ZM13.0039 15.5H11V17.5039H13.0039V15.5Z"
      }
    }]
  };
  var chatBubbleErrorFilled = vue.defineComponent({
    name: "ChatBubbleErrorFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-chat-bubble-error-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$rK(_objectSpread$rK({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$rI, finalProps.value);
    }
  });

  function ownKeys$rJ(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$rJ(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$rJ(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$rJ(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$rH = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M12 3C7.02944 3 3 7.02944 3 12C3 14.3966 3.93542 16.5725 5.46305 18.1862L5.96701 18.7185L4.69951 21H12C16.9706 21 21 16.9706 21 12C21 7.02944 16.9706 3 12 3ZM1 12C1 5.92487 5.92487 1 12 1C18.0751 1 23 5.92487 23 12C23 18.0751 18.0751 23 12 23H1.30049L3.51936 19.006C1.94632 17.1038 1 14.6615 1 12ZM13 6.5V14H11V6.5H13ZM11 15.5H13.0039V17.5039H11V15.5Z"
      }
    }]
  };
  var chatBubbleError = vue.defineComponent({
    name: "ChatBubbleErrorIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-chat-bubble-error", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$rJ(_objectSpread$rJ({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$rH, finalProps.value);
    }
  });

  function ownKeys$rI(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$rI(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$rI(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$rI(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$rG = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M1 12C1 5.92487 5.92487 1 12 1C18.0751 1 23 5.92487 23 12C23 18.0751 18.0751 23 12 23H1.30049L3.51936 19.006C1.94632 17.1038 1 14.6615 1 12Z"
      }
    }]
  };
  var chatBubbleFilled = vue.defineComponent({
    name: "ChatBubbleFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-chat-bubble-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$rI(_objectSpread$rI({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$rG, finalProps.value);
    }
  });

  function ownKeys$rH(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$rH(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$rH(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$rH(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$rF = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M12 1C5.92487 1 1 5.92486 1 12C1 14.6615 1.94632 17.1038 3.51936 19.006L1.30049 23H12C18.0751 23 23 18.0751 23 12C23 5.92486 18.0751 1 12 1ZM10.1135 8.83325L9.78021 9.77609L7.89453 9.1096L8.22778 8.16675C8.77642 6.61451 10.2567 5.5 11.9999 5.5C14.2091 5.5 15.9999 7.29086 15.9999 9.5C15.9999 10.7759 15.4014 11.9125 14.4739 12.6433C14.0423 12.9834 13.657 13.3088 13.378 13.6519C13.1034 13.9896 12.9999 14.262 12.9999 14.5V15.75H10.9999V14.5C10.9999 13.6334 11.3901 12.9265 11.8262 12.3902C12.2579 11.8592 12.8001 11.4159 13.2361 11.0723C13.7031 10.7045 13.9999 10.1372 13.9999 9.5C13.9999 8.39543 13.1045 7.5 11.9999 7.5C11.1307 7.5 10.3885 8.0551 10.1135 8.83325ZM13.0036 16.75V18.7539H10.9997V16.75H13.0036Z"
      }
    }]
  };
  var chatBubbleHelpFilled = vue.defineComponent({
    name: "ChatBubbleHelpFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-chat-bubble-help-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$rH(_objectSpread$rH({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$rF, finalProps.value);
    }
  });

  function ownKeys$rG(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$rG(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$rG(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$rG(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$rE = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M12 3C7.02944 3 3 7.02944 3 12C3 14.3966 3.93542 16.5725 5.46305 18.1862L5.96701 18.7185L4.69951 21H12C16.9706 21 21 16.9706 21 12C21 7.02944 16.9706 3 12 3ZM1 12C1 5.92487 5.92487 1 12 1C18.0751 1 23 5.92487 23 12C23 18.0751 18.0751 23 12 23H1.30049L3.51936 19.006C1.94632 17.1038 1 14.6615 1 12ZM12.0002 7.5C11.1309 7.5 10.3888 8.0551 10.1137 8.83325L9.78049 9.77609L7.89481 9.10959L8.22806 8.16675C8.7767 6.61451 10.257 5.5 12.0002 5.5C14.2093 5.5 16.0002 7.29086 16.0002 9.5C16.0002 10.7759 15.4017 11.9125 14.4742 12.6433C14.0426 12.9834 13.6572 13.3088 13.3783 13.6519C13.1037 13.9896 13.0002 14.262 13.0002 14.5V15.75H11.0002V14.5C11.0002 13.6334 11.3904 12.9265 11.8265 12.3902C12.2582 11.8592 12.8004 11.4159 13.2364 11.0723C13.7034 10.7045 14.0002 10.1372 14.0002 9.5C14.0002 8.39543 13.1048 7.5 12.0002 7.5ZM11 16.75H13.0039V18.7539H11V16.75Z"
      }
    }]
  };
  var chatBubbleHelp = vue.defineComponent({
    name: "ChatBubbleHelpIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-chat-bubble-help", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$rG(_objectSpread$rG({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$rE, finalProps.value);
    }
  });

  function ownKeys$rF(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$rF(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$rF(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$rF(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$rD = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M12 1C5.92487 1 1 5.92487 1 12C1 14.6615 1.94632 17.1038 3.51936 19.006L1.30049 23H12C18.0751 23 23 18.0751 23 12C23 5.92487 18.0751 1 12 1ZM13 11.5858L16.4142 15L15 16.4142L11 12.4142V5.5H13V11.5858Z"
      }
    }]
  };
  var chatBubbleHistoryFilled = vue.defineComponent({
    name: "ChatBubbleHistoryFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-chat-bubble-history-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$rF(_objectSpread$rF({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$rD, finalProps.value);
    }
  });

  function ownKeys$rE(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$rE(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$rE(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$rE(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$rC = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M12 3C7.02944 3 3 7.02944 3 12C3 14.3966 3.93542 16.5725 5.46305 18.1862L5.96701 18.7185L4.69951 21H12C16.9706 21 21 16.9706 21 12C21 7.02944 16.9706 3 12 3ZM1 12C1 5.92487 5.92487 1 12 1C18.0751 1 23 5.92487 23 12C23 18.0751 18.0751 23 12 23H1.30049L3.51936 19.006C1.94632 17.1038 1 14.6615 1 12ZM13 5.5V11.5858L16.4142 15L15 16.4142L11 12.4142V5.5H13Z"
      }
    }]
  };
  var chatBubbleHistory = vue.defineComponent({
    name: "ChatBubbleHistoryIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-chat-bubble-history", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$rE(_objectSpread$rE({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$rC, finalProps.value);
    }
  });

  function ownKeys$rD(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$rD(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$rD(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$rD(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$rB = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M13.2495 9.75C13.2495 9.05964 12.6899 8.5 11.9995 8.5C11.3092 8.5 10.7495 9.05964 10.7495 9.75V10.5H13.2495V9.75Z"
      }
    }, {
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M12 1C5.92487 1 1 5.92487 1 12C1 14.6615 1.94632 17.1038 3.51936 19.006L1.30049 23H12C18.0751 23 23 18.0751 23 12C23 5.92487 18.0751 1 12 1ZM15.2495 9.75V10.5H16.498V17H7.49805V10.5H8.74951V9.75C8.74951 7.95507 10.2046 6.5 11.9995 6.5C13.7944 6.5 15.2495 7.95508 15.2495 9.75Z"
      }
    }]
  };
  var chatBubbleLockedFilled = vue.defineComponent({
    name: "ChatBubbleLockedFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-chat-bubble-locked-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$rD(_objectSpread$rD({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$rB, finalProps.value);
    }
  });

  function ownKeys$rC(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$rC(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$rC(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$rC(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$rA = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M12 3C7.02944 3 3 7.02944 3 12C3 14.3966 3.93542 16.5725 5.46305 18.1862L5.96701 18.7185L4.69951 21H12C16.9706 21 21 16.9706 21 12C21 7.02944 16.9706 3 12 3ZM1 12C1 5.92487 5.92487 1 12 1C18.0751 1 23 5.92487 23 12C23 18.0751 18.0751 23 12 23H1.30049L3.51936 19.006C1.94632 17.1038 1 14.6615 1 12ZM12 8.5C12.6904 8.5 13.25 9.05964 13.25 9.75V10.5H10.75V9.75C10.75 9.05964 11.3096 8.5 12 8.5ZM15.25 10.5V9.75C15.25 7.95508 13.7949 6.5 12 6.5C10.2051 6.5 8.75 7.95507 8.75 9.75V10.5H7.49854V17H16.4985V10.5H15.25ZM14.4985 12.5V15H9.49854V12.5H14.4985Z"
      }
    }]
  };
  var chatBubbleLocked = vue.defineComponent({
    name: "ChatBubbleLockedIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-chat-bubble-locked", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$rC(_objectSpread$rC({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$rA, finalProps.value);
    }
  });

  function ownKeys$rB(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$rB(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$rB(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$rB(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$rz = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M12 1C5.92487 1 1 5.92487 1 12C1 14.6615 1.94632 17.1038 3.51936 19.006L1.30049 23H12C18.0751 23 23 18.0751 23 12C23 5.92487 18.0751 1 12 1ZM8.33269 13.5996C8.95085 15.0144 10.3616 16 12.0003 16C13.639 16 15.0497 15.0144 15.6679 13.5996L16.0683 12.6832L17.901 13.484L17.5006 14.4003C16.5756 16.5173 14.4622 18 12.0003 18C9.53835 18 7.42493 16.5173 6.49998 14.4003L6.09961 13.484L7.93231 12.6832L8.33269 13.5996Z"
      }
    }]
  };
  var chatBubbleSmileFilled = vue.defineComponent({
    name: "ChatBubbleSmileFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-chat-bubble-smile-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$rB(_objectSpread$rB({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$rz, finalProps.value);
    }
  });

  function ownKeys$rA(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$rA(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$rA(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$rA(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$ry = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M8.33269 13.5996L7.93231 12.6832L6.09961 13.484L6.49998 14.4003C7.42493 16.5173 9.53835 18 12.0003 18C14.4622 18 16.5756 16.5173 17.5006 14.4003L17.901 13.484L16.0683 12.6832L15.6679 13.5996C15.0497 15.0144 13.639 16 12.0003 16C10.3616 16 8.95085 15.0144 8.33269 13.5996Z"
      }
    }, {
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M12 1C5.92487 1 1 5.92487 1 12C1 14.6615 1.94632 17.1038 3.51936 19.006L1.30049 23H12C18.0751 23 23 18.0751 23 12C23 5.92487 18.0751 1 12 1ZM3 12C3 7.02944 7.02944 3 12 3C16.9706 3 21 7.02944 21 12C21 16.9706 16.9706 21 12 21H4.69951L5.96701 18.7185L5.46305 18.1862C3.93542 16.5725 3 14.3966 3 12Z"
      }
    }]
  };
  var chatBubbleSmile = vue.defineComponent({
    name: "ChatBubbleSmileIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-chat-bubble-smile", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$rA(_objectSpread$rA({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$ry, finalProps.value);
    }
  });

  function ownKeys$rz(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$rz(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$rz(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$rz(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$rx = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M12 3C7.02944 3 3 7.02944 3 12C3 14.3966 3.93542 16.5725 5.46305 18.1862L5.96701 18.7185L4.69951 21H12C16.9706 21 21 16.9706 21 12C21 7.02944 16.9706 3 12 3ZM1 12C1 5.92487 5.92487 1 12 1C18.0751 1 23 5.92487 23 12C23 18.0751 18.0751 23 12 23H1.30049L3.51936 19.006C1.94632 17.1038 1 14.6615 1 12Z"
      }
    }]
  };
  var chatBubble = vue.defineComponent({
    name: "ChatBubbleIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-chat-bubble", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$rz(_objectSpread$rz({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$rx, finalProps.value);
    }
  });

  function ownKeys$ry(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$ry(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$ry(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$ry(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$rw = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M22.5 2V18H6.87574L1.5 22.7038V2H22.5ZM10.5854 14.6568L17.6565 7.58572L16.2423 6.17151L10.5854 11.8284L7.75699 8.99993L6.34277 10.4141L10.5854 14.6568Z"
      }
    }]
  };
  var chatCheckedFilled = vue.defineComponent({
    name: "ChatCheckedFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-chat-checked-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$ry(_objectSpread$ry({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$rw, finalProps.value);
    }
  });

  function ownKeys$rx(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$rx(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$rx(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$rx(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$rv = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M1.5 2H22.5V18H6.87574L1.5 22.7038V2ZM3.5 4V18.2962L6.12426 16H20.5V4H3.5ZM17.6568 7.58569L10.5858 14.6568L6.34311 10.4141L7.75732 8.99991L10.5858 11.8283L16.2426 6.17148L17.6568 7.58569Z"
      }
    }]
  };
  var chatChecked = vue.defineComponent({
    name: "ChatCheckedIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-chat-checked", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$rx(_objectSpread$rx({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$rv, finalProps.value);
    }
  });

  function ownKeys$rw(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$rw(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$rw(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$rw(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$ru = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M22.5 2V18H6.87574L1.5 22.7038V2H22.5ZM11.9995 8.58575L9.17105 5.75732L7.75684 7.17154L10.5853 9.99996L7.75684 12.8284L9.17105 14.2426L11.9995 11.4142L14.8279 14.2426L16.2421 12.8284L13.4137 9.99996L16.2421 7.17154L14.8279 5.75732L11.9995 8.58575Z"
      }
    }]
  };
  var chatClearFilled = vue.defineComponent({
    name: "ChatClearFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-chat-clear-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$rw(_objectSpread$rw({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$ru, finalProps.value);
    }
  });

  function ownKeys$rv(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$rv(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$rv(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$rv(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$rt = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M1.5 2L22.5 2V18H6.87574L1.5 22.7038L1.5 2ZM3.5 4V18.2962L6.12427 16H20.5V4L3.5 4ZM9.17109 5.75736L11.9995 8.58579L14.8279 5.75736L16.2422 7.17157L13.4137 10L16.2422 12.8284L14.8279 14.2426L11.9995 11.4142L9.17108 14.2426L7.75687 12.8284L10.5853 10L7.75687 7.17157L9.17109 5.75736Z"
      }
    }]
  };
  var chatClear = vue.defineComponent({
    name: "ChatClearIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-chat-clear", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$rv(_objectSpread$rv({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$rt, finalProps.value);
    }
  });

  function ownKeys$ru(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$ru(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$ru(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$ru(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$rs = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M1 2H20V16H5.82046L1 19.4432V2ZM23.5 4.5V22.9432L18.6795 19.5H7.5V17.5H19.3205L21.5 19.0568V4.5H23.5Z"
      }
    }]
  };
  var chatDoubleFilled = vue.defineComponent({
    name: "ChatDoubleFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-chat-double-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$ru(_objectSpread$ru({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$rs, finalProps.value);
    }
  });

  function ownKeys$rt(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$rt(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$rt(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$rt(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$rr = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M1 2H20V16H5.82046L1 19.4432V2ZM3 4V15.5568L5.17953 14H18V4H3ZM23.5 4.5V22.9432L18.6795 19.5H7.5V17.5H19.3205L21.5 19.0568V4.5H23.5Z"
      }
    }]
  };
  var chatDouble = vue.defineComponent({
    name: "ChatDoubleIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-chat-double", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$rt(_objectSpread$rt({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$rr, finalProps.value);
    }
  });

  function ownKeys$rs(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$rs(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$rs(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$rs(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$rq = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M22.5 2V18H6.87574L1.5 22.7038V2H22.5ZM13 11V6H11V11H13ZM13.0039 12H11V14.0039H13.0039V12Z"
      }
    }]
  };
  var chatErrorFilled = vue.defineComponent({
    name: "ChatErrorFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-chat-error-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$rs(_objectSpread$rs({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$rq, finalProps.value);
    }
  });

  function ownKeys$rr(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$rr(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$rr(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$rr(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$rp = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M1.5 2H22.5V18H6.87574L1.5 22.7038V2ZM3.5 4V18.2962L6.12426 16H20.5V4H3.5ZM13 6V11H11V6H13ZM11 12H13.0039V14.0039H11V12Z"
      }
    }]
  };
  var chatError = vue.defineComponent({
    name: "ChatErrorIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-chat-error", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$rr(_objectSpread$rr({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$rp, finalProps.value);
    }
  });

  function ownKeys$rq(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$rq(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$rq(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$rq(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$ro = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M1.5 2H22.5V18H6.87574L1.5 22.7038V2Z"
      }
    }]
  };
  var chatFilled = vue.defineComponent({
    name: "ChatFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-chat-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$rq(_objectSpread$rq({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$ro, finalProps.value);
    }
  });

  function ownKeys$rp(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$rp(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$rp(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$rp(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$rn = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M22.5 2H1.5V22.7038L6.87574 18H22.5V2ZM8.28788 6.55546C9.30471 5.53862 10.9197 5.48455 12.0002 6.39325C13.0806 5.48455 14.6957 5.53862 15.7125 6.55546C16.7864 7.6294 16.7864 9.3706 15.7125 10.4445L12.0002 14.1569L8.28788 10.4445C7.21394 9.3706 7.21394 7.6294 8.28788 6.55546Z"
      }
    }]
  };
  var chatHeartFilled = vue.defineComponent({
    name: "ChatHeartFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-chat-heart-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$rp(_objectSpread$rp({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$rn, finalProps.value);
    }
  });

  function ownKeys$ro(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$ro(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$ro(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$ro(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$rm = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M1.5 2H22.5V18H6.87574L1.5 22.7038V2ZM3.5 4V18.2962L6.12426 16H20.5V4H3.5ZM12.0005 5.77202C10.741 4.95406 9.03922 5.09735 7.93466 6.2019C6.66546 7.47111 6.66546 9.52889 7.93466 10.7981L12.0005 14.864L16.0664 10.7981C17.3356 9.52889 17.3356 7.47111 16.0664 6.2019C14.9618 5.09735 13.26 4.95406 12.0005 5.77202ZM11.1166 7.61612L12.0005 8.5L12.8844 7.61612C13.3726 7.12796 14.164 7.12796 14.6522 7.61612C15.1403 8.10427 15.1403 8.89573 14.6522 9.38388L12.0005 12.0355L9.34888 9.38388C8.86072 8.89573 8.86072 8.10427 9.34888 7.61612C9.83703 7.12796 10.6285 7.12796 11.1166 7.61612Z"
      }
    }]
  };
  var chatHeart = vue.defineComponent({
    name: "ChatHeartIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-chat-heart", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$ro(_objectSpread$ro({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$rm, finalProps.value);
    }
  });

  function ownKeys$rn(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$rn(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$rn(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$rn(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$rl = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M22.5 2V18H6.87574L1.5 22.7038V2H22.5ZM11 11H13.0039V8.99609H11V11ZM6 11H8.00391L8.00391 8.99609H6L6 11ZM16 11H18.0039V8.99609H16V11Z"
      }
    }]
  };
  var chatMessageFilled = vue.defineComponent({
    name: "ChatMessageFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-chat-message-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$rn(_objectSpread$rn({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$rl, finalProps.value);
    }
  });

  function ownKeys$rm(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$rm(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$rm(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$rm(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$rk = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M1.5 22.7038L1.5 2L22.5 2V18H6.87574L1.5 22.7038ZM3.5 18.2962L6.12426 16H20.5V4L3.5 4L3.5 18.2962ZM13.0039 11H11V8.99609H13.0039V11ZM8.00391 11L6 11L6 8.99609H8.00391L8.00391 11ZM18.0039 11L16 11V8.99609H18.0039V11Z"
      }
    }]
  };
  var chatMessage = vue.defineComponent({
    name: "ChatMessageIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-chat-message", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$rm(_objectSpread$rm({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$rk, finalProps.value);
    }
  });

  function ownKeys$rl(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$rl(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$rl(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$rl(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$rj = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "g",
      "attrs": {
        "fill": "currentColor",
        "clipPath": "url(#clip0_101749_96872)"
      },
      "children": [{
        "tag": "path",
        "attrs": {
          "d": "M22.234 18L6.23404 2H22.5V18H22.234zM23.4101 22.0045L22.0002 23.4144 16.5858 18H6.87574L1.5 22.7038V2.91421L.585938 2.00015 2.00015.585938 2.0043.590088 2 .594389 23.4101 22.0045z"
        }
      }]
    }]
  };
  var chatOffFilled = vue.defineComponent({
    name: "ChatOffFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-chat-off-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$rl(_objectSpread$rl({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$rj, finalProps.value);
    }
  });

  function ownKeys$rk(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$rk(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$rk(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$rk(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$ri = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "g",
      "attrs": {
        "clipPath": "url(#clip0_8726_7519)"
      },
      "children": [{
        "tag": "path",
        "attrs": {
          "fill": "currentColor",
          "d": "M23.4144 22.001L2.00015 0.586792L0.585938 2.00101L1.50015 2.91522L1.50015 22.7048L6.87589 18.001H16.5859L22.0002 23.4152L23.4144 22.001ZM14.5859 16.001L6.12441 16.001L3.50015 18.2972L3.50015 4.91522L14.5859 16.001ZM22.5035 17.9996L22.5001 1.99975L9.65461 2.00102L6.23697 1.9976L8.2404 4.00102L20.5001 4.00031L20.5001 15.9963L22.5035 17.9996Z"
        }
      }]
    }]
  };
  var chatOff = vue.defineComponent({
    name: "ChatOffIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-chat-off", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$rk(_objectSpread$rk({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$ri, finalProps.value);
    }
  });

  function ownKeys$rj(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$rj(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$rj(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$rj(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$rh = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M22.5 2V18H6.87574L1.5 22.7038V2H22.5ZM13 14V6H11V14H13ZM18 14V9H16V14H18ZM8 14V11H6V14H8Z"
      }
    }]
  };
  var chatPollFilled = vue.defineComponent({
    name: "ChatPollFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-chat-poll-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$rj(_objectSpread$rj({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$rh, finalProps.value);
    }
  });

  function ownKeys$ri(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$ri(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$ri(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$ri(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$rg = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M1.5 2H22.5V18H6.87574L1.5 22.7038V2ZM3.5 4V18.2962L6.12426 16H20.5V4H3.5ZM13 6V14H11V6H13ZM18 9V14H16V9H18ZM8 11V14H6V11H8Z"
      }
    }]
  };
  var chatPoll = vue.defineComponent({
    name: "ChatPollIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-chat-poll", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$ri(_objectSpread$ri({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$rg, finalProps.value);
    }
  });

  function ownKeys$rh(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$rh(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$rh(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$rh(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$rf = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M1.5 2H22.5V12.126C21.5149 11.4174 20.3062 11 19 11C15.6863 11 13 13.6863 13 17C13 17.3407 13.0284 17.6748 13.083 18H6.87573L1.5 22.7038V2Z"
      }
    }, {
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M19.9987 13.6404V12.5H17.9987V13.6404C17.4657 13.799 16.9858 14.0813 16.5924 14.4538L15.6036 13.8829L14.6036 15.615L15.5928 16.1861C15.5313 16.4459 15.4987 16.7169 15.4987 16.9954C15.4987 17.2755 15.5316 17.5478 15.5937 17.8089L14.6035 18.3806L15.6035 20.1126L16.5954 19.5399C16.9883 19.9111 17.467 20.1923 17.9987 20.3505V21.4954H19.9987V20.3505C20.5304 20.1923 21.0091 19.9111 21.4019 19.54L22.3939 20.1127L23.3939 18.3806L22.4037 17.809C22.4658 17.5479 22.4987 17.2755 22.4987 16.9954C22.4987 16.7168 22.4662 16.4458 22.4046 16.186L23.3938 15.6149L22.3938 13.8828L21.4049 14.4538C21.0116 14.0812 20.5317 13.799 19.9987 13.6404ZM17.4987 16.9954C17.4987 16.167 18.1703 15.4954 18.9987 15.4954C19.8271 15.4954 20.4987 16.167 20.4987 16.9954C20.4987 17.8239 19.8271 18.4954 18.9987 18.4954C18.1703 18.4954 17.4987 17.8239 17.4987 16.9954Z"
      }
    }]
  };
  var chatSettingFilled = vue.defineComponent({
    name: "ChatSettingFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-chat-setting-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$rh(_objectSpread$rh({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$rf, finalProps.value);
    }
  });

  function ownKeys$rg(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$rg(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$rg(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$rg(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$re = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M1.5 2H22.5V11H20.5V4H3.5V18.2962L6.12426 16H13V18H6.87574L1.5 22.7038V2ZM19.9991 12.5V13.6404C20.5322 13.799 21.012 14.0812 21.4054 14.4538L22.3942 13.8828L23.3942 15.6149L22.4051 16.186C22.4666 16.4458 22.4991 16.7168 22.4991 16.9954C22.4991 17.2755 22.4663 17.5479 22.4041 17.809L23.3943 18.3806L22.3943 20.1127L21.4023 19.54C21.0095 19.9111 20.5308 20.1923 19.9991 20.3505V21.4954H17.9991V20.3505C17.4675 20.1923 16.9887 19.9111 16.5959 19.5399L15.6039 20.1126L14.6039 18.3806L15.5942 17.8089C15.532 17.5478 15.4992 17.2755 15.4992 16.9954C15.4992 16.7169 15.5317 16.4459 15.5932 16.1861L14.604 15.615L15.604 13.8829L16.5929 14.4538C16.9863 14.0813 17.4661 13.799 17.9991 13.6404V12.5H19.9991ZM18.9991 15.4954C18.1707 15.4954 17.4992 16.167 17.4992 16.9954C17.4992 17.8239 18.1707 18.4954 18.9991 18.4954C19.8276 18.4954 20.4991 17.8239 20.4991 16.9954C20.4991 16.167 19.8276 15.4954 18.9991 15.4954Z"
      }
    }]
  };
  var chatSetting = vue.defineComponent({
    name: "ChatSettingIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-chat-setting", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$rg(_objectSpread$rg({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$re, finalProps.value);
    }
  });

  function ownKeys$rf(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$rf(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$rf(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$rf(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$rd = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M1.5 2H22.5V18H6.87574L1.5 22.7038V2ZM3.5 4V18.2962L6.12426 16H20.5V4H3.5Z"
      }
    }]
  };
  var chat = vue.defineComponent({
    name: "ChatIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-chat", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$rf(_objectSpread$rf({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$rd, finalProps.value);
    }
  });

  function ownKeys$re(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$re(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$re(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$re(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$rc = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M12 23C18.0751 23 23 18.0751 23 12C23 5.92487 18.0751 1 12 1C5.92487 1 1 5.92487 1 12C1 18.0751 5.92487 23 12 23ZM7.49985 10.5858L10.4999 13.5858L16.4999 7.58578L17.9141 8.99999L10.4999 16.4142L6.08564 12L7.49985 10.5858Z"
      }
    }]
  };
  var checkCircleFilled = vue.defineComponent({
    name: "CheckCircleFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-check-circle-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$re(_objectSpread$re({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$rc, finalProps.value);
    }
  });

  function ownKeys$rd(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$rd(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$rd(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$rd(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$rb = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M12 21C16.9706 21 21 16.9706 21 12C21 7.02944 16.9706 3 12 3C7.02944 3 3 7.02944 3 12C3 16.9706 7.02944 21 12 21ZM23 12C23 18.0751 18.0751 23 12 23C5.92487 23 0.999999 18.0751 1 12C1 5.92487 5.92487 0.999999 12 1C18.0751 1 23 5.92487 23 12ZM10.5 16.4142L6.08578 12L7.5 10.5858L10.5 13.5858L16.5 7.58579L17.9142 9L10.5 16.4142Z"
      }
    }]
  };
  var checkCircle = vue.defineComponent({
    name: "CheckCircleIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-check-circle", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$rd(_objectSpread$rd({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$rb, finalProps.value);
    }
  });

  function ownKeys$rc(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$rc(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$rc(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$rc(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$ra = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M17.6571 7.17142L12.3538 12.4747L10.9396 11.0605L16.2429 5.7572L17.6571 7.17142ZM23.3143 7.17142L12.7077 17.778L6.34375 11.4141L7.75796 9.99984L12.7077 14.9496L21.9001 5.7572L23.3143 7.17142ZM2.10074 9.99984L7.05048 14.9496L7.40404 14.596L8.81825 16.0103L7.05048 17.778L0.686523 11.4141L2.10074 9.99984Z"
      }
    }]
  };
  var checkDouble = vue.defineComponent({
    name: "CheckDoubleIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-check-double", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$rc(_objectSpread$rc({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$ra, finalProps.value);
    }
  });

  function ownKeys$rb(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$rb(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$rb(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$rb(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$r9 = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M22 2H2V22H22V2ZM6.08618 12L7.5004 10.5858L10.5004 13.5858L16.5004 7.58579L17.9146 9L10.5004 16.4142L6.08618 12Z"
      }
    }]
  };
  var checkRectangleFilled = vue.defineComponent({
    name: "CheckRectangleFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-check-rectangle-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$rb(_objectSpread$rb({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$r9, finalProps.value);
    }
  });

  function ownKeys$ra(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$ra(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$ra(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$ra(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$r8 = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M2 2H22V22H2V2ZM4 4V20H20V4H4ZM17.9142 9L10.5 16.4142L6.08579 12L7.5 10.5858L10.5 13.5858L16.5 7.58579L17.9142 9Z"
      }
    }]
  };
  var checkRectangle = vue.defineComponent({
    name: "CheckRectangleIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-check-rectangle", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$ra(_objectSpread$ra({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$r8, finalProps.value);
    }
  });

  function ownKeys$r9(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$r9(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$r9(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$r9(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$r7 = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M20.9852 7.37845L10.3786 17.985L4.01465 11.6211L5.42886 10.2069L10.3786 15.1566L19.571 5.96423L20.9852 7.37845Z"
      }
    }]
  };
  var check = vue.defineComponent({
    name: "CheckIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-check", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$r9(_objectSpread$r9({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$r7, finalProps.value);
    }
  });

  function ownKeys$r8(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$r8(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$r8(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$r8(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$r6 = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M15 15.5C15 16.8181 16.02 17.8979 17.3138 17.9932L15.6732 23.1883L14.0112 22.7925C7.69338 21.2883 2.72113 16.3469 1.2157 10.0241L0.811523 8.32654L11.032 5.09903C11.0109 5.22958 11 5.36351 11 5.5C11 6.88071 12.1193 8 13.5 8C14.8807 8 16 6.88071 16 5.5C16 4.82089 15.7292 4.20502 15.2897 3.75447L22.5325 1.46729L18.7795 13.3518C18.4052 13.1284 17.9676 13 17.5 13C16.1193 13 15 14.1193 15 15.5ZM9.5 15C10.8807 15 12 13.8807 12 12.5C12 11.1193 10.8807 10 9.5 10C8.11929 10 7 11.1193 7 12.5C7 13.8807 8.11929 15 9.5 15Z"
      }
    }]
  };
  var cheeseFilled = vue.defineComponent({
    name: "CheeseFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-cheese-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$r8(_objectSpread$r8({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$r6, finalProps.value);
    }
  });

  function ownKeys$r7(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$r7(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$r7(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$r7(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$r5 = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M22.5325 1.46729L18.5353 14.125L17.7021 14.0134C17.6364 14.0046 17.5689 14 17.4998 14C16.6714 14 15.9998 14.6715 15.9998 15.5C15.9998 16.0785 16.3271 16.5822 16.8112 16.8332L17.5579 17.2201L15.6732 23.1883L14.0112 22.7925C7.69338 21.2883 2.72113 16.3469 1.2157 10.0241L0.811523 8.32654L11.7827 4.86194L12.0482 5.88014C12.2163 6.52509 12.8039 6.99997 13.4998 6.99997C14.3282 6.99997 14.9998 6.32839 14.9998 5.49997C14.9998 5.31419 14.9665 5.13848 14.9064 4.97696L14.5397 3.99133L22.5325 1.46729ZM16.9949 5.31335C16.9982 5.37519 16.9998 5.43741 16.9998 5.49997C16.9998 7.43296 15.4328 8.99997 13.4998 8.99997C12.2472 8.99997 11.1496 8.34248 10.5313 7.35449L3.18853 9.67326C4.53777 15.1539 8.84592 19.4483 14.3266 20.8109L15.177 18.118C14.4558 17.4775 13.9998 16.5425 13.9998 15.5C13.9998 13.7015 15.3563 12.2198 17.102 12.0223L19.4671 4.53265L16.9949 5.31335ZM9.49982 11C8.67139 11 7.99982 11.6715 7.99982 12.5C7.99982 13.3284 8.67139 14 9.49982 14C10.3282 14 10.9998 13.3284 10.9998 12.5C10.9998 11.6715 10.3282 11 9.49982 11ZM5.99982 12.5C5.99982 10.567 7.56682 8.99997 9.49982 8.99997C11.4328 8.99997 12.9998 10.567 12.9998 12.5C12.9998 14.433 11.4328 16 9.49982 16C7.56682 16 5.99982 14.433 5.99982 12.5Z"
      }
    }]
  };
  var cheese = vue.defineComponent({
    name: "CheeseIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-cheese", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$r7(_objectSpread$r7({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$r5, finalProps.value);
    }
  });

  function ownKeys$r6(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$r6(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$r6(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$r6(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$r4 = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M16.9997 0.585938L23.4139 7.00015L21.9997 8.41437L20.0558 6.47045C19.4109 7.26977 18.5565 8.44755 17.7951 9.81267C16.7659 11.658 15.9772 13.7209 15.9872 15.6006C17.4586 17.3736 17.3652 20.049 15.7068 21.7073C13.9495 23.4646 11.05 23.4646 9.29263 21.7073C7.53527 19.9499 7.53527 17.0504 9.29263 15.293C10.5761 14.0096 12.4688 13.6635 14.0808 14.2547C14.3505 12.3162 15.1661 10.4204 16.0484 8.83845C16.6052 7.84012 17.2072 6.93421 17.7588 6.17956C17.1352 6.25648 16.4194 6.36594 15.6584 6.52149C13.4862 6.96552 11.0856 7.75793 9.36203 9.12517C10.427 10.8696 10.2086 13.2055 8.70684 14.7073C6.94948 16.4646 4.04999 16.4646 2.29263 14.7073C0.535269 12.9499 0.53527 10.0504 2.29263 8.29305C3.81825 6.76743 6.20462 6.56625 7.95726 7.6895C10.0807 5.9338 12.9453 5.03472 15.2579 4.56201C16.1759 4.37437 17.03 4.24944 17.7516 4.16625L15.5855 2.00015L16.9997 0.585938Z"
      }
    }]
  };
  var cherryFilled = vue.defineComponent({
    name: "CherryFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-cherry-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$r6(_objectSpread$r6({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$r4, finalProps.value);
    }
  });

  function ownKeys$r5(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$r5(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$r5(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$r5(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$r3 = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "g",
      "attrs": {
        "clipPath": "url(#clip0_8726_9446)"
      },
      "children": [{
        "tag": "path",
        "attrs": {
          "fill": "currentColor",
          "d": "M16.9997 0.585938L23.4139 7.00015L21.9997 8.41436L20.0558 6.47045C19.4109 7.26976 18.5565 8.44755 17.7951 9.81267C16.7659 11.658 15.9772 13.7209 15.9872 15.6006C17.4586 17.3736 17.3652 20.049 15.7068 21.7073C13.9495 23.4646 11.05 23.4646 9.29263 21.7073C7.53527 19.9499 7.53527 17.0504 9.29263 15.293C10.5761 14.0096 12.4688 13.6635 14.0808 14.2547C14.3505 12.3162 15.1661 10.4204 16.0484 8.83845C16.6052 7.84012 17.2072 6.93421 17.7588 6.17956C17.1352 6.25648 16.4194 6.36594 15.6584 6.52149C13.4862 6.96552 11.0856 7.75793 9.36203 9.12517C10.427 10.8696 10.2086 13.2055 8.70684 14.7073C6.94948 16.4646 4.04999 16.4646 2.29263 14.7073C0.535269 12.9499 0.53527 10.0504 2.29263 8.29304C3.81825 6.76743 6.20462 6.56625 7.95726 7.6895C10.0807 5.9338 12.9453 5.03472 15.2579 4.56201C16.1759 4.37437 17.03 4.24944 17.7516 4.16625L15.5855 2.00015L16.9997 0.585938ZM7.29263 9.70726C6.31632 8.73095 4.68315 8.73095 3.70684 9.70726C2.73053 10.6836 2.73053 12.3167 3.70684 13.293C4.68315 14.2694 6.31632 14.2694 7.29263 13.293C8.26894 12.3167 8.26894 10.6836 7.29263 9.70726ZM14.2926 16.7073C13.3163 15.7309 11.6832 15.7309 10.7068 16.7073C9.73053 17.6836 9.73053 19.3168 10.7068 20.2931C11.6832 21.2694 13.3163 21.2694 14.2926 20.2931C15.2689 19.3168 15.2689 17.6836 14.2926 16.7073Z"
        }
      }]
    }]
  };
  var cherry = vue.defineComponent({
    name: "CherryIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-cherry", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$r5(_objectSpread$r5({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$r3, finalProps.value);
    }
  });

  function ownKeys$r4(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$r4(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$r4(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$r4(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$r2 = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M12 1C18.0751 1 23 5.92487 23 12C23 18.0751 18.0751 23 12 23C5.92487 23 1 18.0751 1 12C1 5.92487 5.92487 1 12 1ZM12 15.5L16.25 10H7.75L12 15.5Z"
      }
    }]
  };
  var chevronDownCircleFilled = vue.defineComponent({
    name: "ChevronDownCircleFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-chevron-down-circle-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$r4(_objectSpread$r4({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$r2, finalProps.value);
    }
  });

  function ownKeys$r3(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$r3(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$r3(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$r3(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$r1 = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M12 3C7.02944 3 3 7.02944 3 12C3 16.9706 7.02944 21 12 21C16.9706 21 21 16.9706 21 12C21 7.02944 16.9706 3 12 3ZM1 12C1 5.92487 5.92487 1 12 1C18.0751 1 23 5.92487 23 12C23 18.0751 18.0751 23 12 23C5.92487 23 1 18.0751 1 12ZM8 9.08578L12 13.0858L16 9.08579L17.4142 10.5L12 15.9142L6.58579 10.5L8 9.08578Z"
      }
    }]
  };
  var chevronDownCircle = vue.defineComponent({
    name: "ChevronDownCircleIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-chevron-down-circle", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$r3(_objectSpread$r3({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$r1, finalProps.value);
    }
  });

  function ownKeys$r2(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$r2(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$r2(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$r2(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$r0 = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M12.0005 17.9086L7.05078 12.9589L8.46499 11.5447L12.0005 15.0802L15.5361 11.5447L16.9503 12.9589L12.0005 17.9086ZM12.0005 12.4477L7.05078 7.49795L8.46499 6.08374L12.0005 9.61927L15.5361 6.08374L16.9503 7.49795L12.0005 12.4477Z"
      }
    }]
  };
  var chevronDownDoubleS = vue.defineComponent({
    name: "ChevronDownDoubleSIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-chevron-down-double-s", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$r2(_objectSpread$r2({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$r0, finalProps.value);
    }
  });

  function ownKeys$r1(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$r1(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$r1(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$r1(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$q$ = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M16.5002 5.58582L12.0002 10.0858L7.50015 5.58582L6.08594 7.00003L12.0002 12.9142L17.9144 7.00003L16.5002 5.58582ZM16.5002 12.0858L12.0002 16.5858L7.50015 12.0858L6.08594 13.5L12.0002 19.4142L17.9144 13.5L16.5002 12.0858Z"
      }
    }]
  };
  var chevronDownDouble = vue.defineComponent({
    name: "ChevronDownDoubleIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-chevron-down-double", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$r1(_objectSpread$r1({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$q$, finalProps.value);
    }
  });

  function ownKeys$r0(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$r0(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$r0(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$r0(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$q_ = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M22 22H2V2H22V22ZM12 15.5L16.25 10H7.75L12 15.5Z"
      }
    }]
  };
  var chevronDownRectangleFilled = vue.defineComponent({
    name: "ChevronDownRectangleFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-chevron-down-rectangle-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$r0(_objectSpread$r0({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$q_, finalProps.value);
    }
  });

  function ownKeys$q$(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$q$(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$q$(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$q$(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$qZ = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M2 2H22V22H2V2ZM4 4V20H20V4H4ZM8 9.08579L12 13.0858L16 9.08579L17.4142 10.5L12 15.9142L6.58579 10.5L8 9.08579Z"
      }
    }]
  };
  var chevronDownRectangle = vue.defineComponent({
    name: "ChevronDownRectangleIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-chevron-down-rectangle", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$q$(_objectSpread$q$({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$qZ, finalProps.value);
    }
  });

  function ownKeys$q_(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$q_(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$q_(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$q_(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$qY = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M11.9996 15.6842L7.0498 10.7344L8.46402 9.32019L11.9996 12.8557L15.5351 9.32019L16.9493 10.7344L11.9996 15.6842Z"
      }
    }]
  };
  var chevronDownS = vue.defineComponent({
    name: "ChevronDownSIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-chevron-down-s", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$q_(_objectSpread$q_({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$qY, finalProps.value);
    }
  });

  function ownKeys$qZ(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$qZ(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$qZ(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$qZ(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$qX = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M17.5001 8.08582L12.0002 13.5858L6.50015 8.08582L5.08594 9.50003L12.0002 16.4142L18.9144 9.50003L17.5001 8.08582Z"
      }
    }]
  };
  var chevronDown = vue.defineComponent({
    name: "ChevronDownIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-chevron-down", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$qZ(_objectSpread$qZ({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$qX, finalProps.value);
    }
  });

  function ownKeys$qY(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$qY(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$qY(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$qY(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$qW = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M23 12C23 5.92487 18.0751 1 12 1C5.92487 1 1 5.92487 1 12C1 18.0751 5.92487 23 12 23C18.0751 23 23 18.0751 23 12ZM8.5 12L14 7.75V16.25L8.5 12Z"
      }
    }]
  };
  var chevronLeftCircleFilled = vue.defineComponent({
    name: "ChevronLeftCircleFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-chevron-left-circle-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$qY(_objectSpread$qY({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$qW, finalProps.value);
    }
  });

  function ownKeys$qX(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$qX(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$qX(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$qX(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$qV = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M12 3C7.02944 3 3 7.02944 3 12C3 16.9706 7.02944 21 12 21C16.9706 21 21 16.9706 21 12C21 7.02944 16.9706 3 12 3ZM1 12C1 5.92487 5.92487 1 12 1C18.0751 1 23 5.92487 23 12C23 18.0751 18.0751 23 12 23C5.92487 23 1 18.0751 1 12ZM14.9142 8L10.9142 12L14.9142 16L13.5 17.4142L8.08579 12L13.5 6.58579L14.9142 8Z"
      }
    }]
  };
  var chevronLeftCircle = vue.defineComponent({
    name: "ChevronLeftCircleIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-chevron-left-circle", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$qX(_objectSpread$qX({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$qV, finalProps.value);
    }
  });

  function ownKeys$qW(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$qW(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$qW(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$qW(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$qU = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M6.08789 11.4983L11.0376 6.54858L12.4519 7.9628L8.91632 11.4983L12.4519 15.0339L11.0376 16.4481L6.08789 11.4983ZM11.5488 11.4983L16.4986 6.54858L17.9128 7.9628L14.3773 11.4983L17.9128 15.0339L16.4986 16.4481L11.5488 11.4983Z"
      }
    }]
  };
  var chevronLeftDoubleS = vue.defineComponent({
    name: "ChevronLeftDoubleSIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-chevron-left-double-s", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$qW(_objectSpread$qW({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$qU, finalProps.value);
    }
  });

  function ownKeys$qV(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$qV(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$qV(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$qV(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$qT = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M18.4144 7.50003L13.9144 12L18.4144 16.5L17.0001 17.9142L11.0859 12L17.0002 6.08582L18.4144 7.50003ZM11.9144 7.50003L7.41436 12L11.9144 16.5L10.5002 17.9142L4.58594 12L10.5002 6.08582L11.9144 7.50003Z"
      }
    }]
  };
  var chevronLeftDouble = vue.defineComponent({
    name: "ChevronLeftDoubleIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-chevron-left-double", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$qV(_objectSpread$qV({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$qT, finalProps.value);
    }
  });

  function ownKeys$qU(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$qU(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$qU(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$qU(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$qS = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M2 22V2H22V22H2ZM8.5 12L14 16.25V7.75L8.5 12Z"
      }
    }]
  };
  var chevronLeftRectangleFilled = vue.defineComponent({
    name: "ChevronLeftRectangleFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-chevron-left-rectangle-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$qU(_objectSpread$qU({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$qS, finalProps.value);
    }
  });

  function ownKeys$qT(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$qT(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$qT(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$qT(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$qR = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M2 2H22V22H2V2ZM4 4V20H20V4H4ZM14.9142 8L10.9142 12L14.9142 16L13.5 17.4142L8.08579 12L13.5 6.58579L14.9142 8Z"
      }
    }]
  };
  var chevronLeftRectangle = vue.defineComponent({
    name: "ChevronLeftRectangleIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-chevron-left-rectangle", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$qT(_objectSpread$qT({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$qR, finalProps.value);
    }
  });

  function ownKeys$qS(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$qS(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$qS(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$qS(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$qQ = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M8.31543 12L13.2652 7.05029L14.6794 8.46451L11.1439 12L14.6794 15.5356L13.2652 16.9498L8.31543 12Z"
      }
    }]
  };
  var chevronLeftS = vue.defineComponent({
    name: "ChevronLeftSIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-chevron-left-s", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$qS(_objectSpread$qS({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$qQ, finalProps.value);
    }
  });

  function ownKeys$qR(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$qR(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$qR(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$qR(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$qP = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M15.9144 17.5L10.4144 12L15.9144 6.50003L14.5002 5.08582L7.58594 12L14.5002 18.9142L15.9144 17.5Z"
      }
    }]
  };
  var chevronLeft = vue.defineComponent({
    name: "ChevronLeftIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-chevron-left", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$qR(_objectSpread$qR({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$qP, finalProps.value);
    }
  });

  function ownKeys$qQ(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$qQ(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$qQ(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$qQ(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$qO = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M1 12C1 5.92487 5.92487 1 12 1C18.0751 1 23 5.92487 23 12C23 18.0751 18.0751 23 12 23C5.92487 23 1 18.0751 1 12ZM15.5 12L10 7.75V16.25L15.5 12Z"
      }
    }]
  };
  var chevronRightCircleFilled = vue.defineComponent({
    name: "ChevronRightCircleFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-chevron-right-circle-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$qQ(_objectSpread$qQ({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$qO, finalProps.value);
    }
  });

  function ownKeys$qP(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$qP(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$qP(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$qP(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$qN = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M12 3C7.02944 3 3 7.02944 3 12C3 16.9706 7.02944 21 12 21C16.9706 21 21 16.9706 21 12C21 7.02944 16.9706 3 12 3ZM1 12C1 5.92487 5.92487 1 12 1C18.0751 1 23 5.92487 23 12C23 18.0751 18.0751 23 12 23C5.92487 23 1 18.0751 1 12ZM10.5 6.58579L15.9142 12L10.5 17.4142L9.08579 16L13.0858 12L9.08579 8L10.5 6.58579Z"
      }
    }]
  };
  var chevronRightCircle = vue.defineComponent({
    name: "ChevronRightCircleIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-chevron-right-circle", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$qP(_objectSpread$qP({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$qN, finalProps.value);
    }
  });

  function ownKeys$qO(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$qO(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$qO(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$qO(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$qM = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M17.9118 11.4982L12.9621 16.448L11.5479 15.0337L15.0834 11.4982L11.5479 7.96268L12.9621 6.54846L17.9118 11.4982ZM12.4509 11.4982L7.50113 16.448L6.08691 15.0337L9.62245 11.4982L6.08691 7.96268L7.50113 6.54846L12.4509 11.4982Z"
      }
    }]
  };
  var chevronRightDoubleS = vue.defineComponent({
    name: "ChevronRightDoubleSIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-chevron-right-double-s", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$qO(_objectSpread$qO({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$qM, finalProps.value);
    }
  });

  function ownKeys$qN(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$qN(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$qN(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$qN(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$qL = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M5.58594 16.5L10.0859 12L5.58594 7.50003L7.00015 6.08582L12.9144 12L7.00015 17.9142L5.58594 16.5ZM12.0859 16.5L16.5859 12L12.0859 7.50003L13.5002 6.08582L19.4144 12L13.5001 17.9142L12.0859 16.5Z"
      }
    }]
  };
  var chevronRightDouble = vue.defineComponent({
    name: "ChevronRightDoubleIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-chevron-right-double", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$qN(_objectSpread$qN({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$qL, finalProps.value);
    }
  });

  function ownKeys$qM(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$qM(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$qM(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$qM(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$qK = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M2 22H22V2H2V22ZM15.5 12L10 16.25V7.75L15.5 12Z"
      }
    }]
  };
  var chevronRightRectangleFilled = vue.defineComponent({
    name: "ChevronRightRectangleFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-chevron-right-rectangle-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$qM(_objectSpread$qM({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$qK, finalProps.value);
    }
  });

  function ownKeys$qL(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$qL(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$qL(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$qL(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$qJ = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M2 2H22V22H2V2ZM4 4V20H20V4H4ZM10.5 6.58579L15.9142 12L10.5 17.4142L9.08579 16L13.0858 12L9.08579 8L10.5 6.58579Z"
      }
    }]
  };
  var chevronRightRectangle = vue.defineComponent({
    name: "ChevronRightRectangleIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-chevron-right-rectangle", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$qL(_objectSpread$qL({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$qJ, finalProps.value);
    }
  });

  function ownKeys$qK(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$qK(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$qK(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$qK(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$qI = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M15.6843 12L10.7345 16.9498L9.32031 15.5356L12.8558 12L9.32031 8.46451L10.7345 7.05029L15.6843 12Z"
      }
    }]
  };
  var chevronRightS = vue.defineComponent({
    name: "ChevronRightSIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-chevron-right-s", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$qK(_objectSpread$qK({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$qI, finalProps.value);
    }
  });

  function ownKeys$qJ(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$qJ(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$qJ(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$qJ(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$qH = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M8.08594 17.5L13.5859 12L8.08594 6.50003L9.50015 5.08582L16.4144 12L9.50015 18.9142L8.08594 17.5Z"
      }
    }]
  };
  var chevronRight = vue.defineComponent({
    name: "ChevronRightIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-chevron-right", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$qJ(_objectSpread$qJ({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$qH, finalProps.value);
    }
  });

  function ownKeys$qI(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$qI(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$qI(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$qI(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$qG = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M12 23C18.0751 23 23 18.0751 23 12C23 5.92487 18.0751 1 12 1C5.92487 1 1 5.92487 1 12C1 18.0751 5.92487 23 12 23ZM12 8.5L16.25 14H7.75L12 8.5Z"
      }
    }]
  };
  var chevronUpCircleFilled = vue.defineComponent({
    name: "ChevronUpCircleFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-chevron-up-circle-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$qI(_objectSpread$qI({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$qG, finalProps.value);
    }
  });

  function ownKeys$qH(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$qH(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$qH(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$qH(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$qF = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M12 3C7.02944 3 3 7.02944 3 12C3 16.9706 7.02944 21 12 21C16.9706 21 21 16.9706 21 12C21 7.02944 16.9706 3 12 3ZM1 12C1 5.92487 5.92487 1 12 1C18.0751 1 23 5.92487 23 12C23 18.0751 18.0751 23 12 23C5.92487 23 1 18.0751 1 12ZM12 8.08579L17.4142 13.5L16 14.9142L12 10.9142L8 14.9142L6.58579 13.5L12 8.08579Z"
      }
    }]
  };
  var chevronUpCircle = vue.defineComponent({
    name: "ChevronUpCircleIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-chevron-up-circle", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$qH(_objectSpread$qH({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$qF, finalProps.value);
    }
  });

  function ownKeys$qG(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$qG(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$qG(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$qG(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$qE = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M12.0005 6.08386L16.9503 11.0336L15.5361 12.4478L12.0005 8.91229L8.46499 12.4478L7.05078 11.0336L12.0005 6.08386ZM12.0005 11.5448L16.9503 16.4945L15.5361 17.9088L12.0005 14.3732L8.46499 17.9088L7.05078 16.4945L12.0005 11.5448Z"
      }
    }]
  };
  var chevronUpDoubleS = vue.defineComponent({
    name: "ChevronUpDoubleSIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-chevron-up-double-s", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$qG(_objectSpread$qG({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$qE, finalProps.value);
    }
  });

  function ownKeys$qF(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$qF(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$qF(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$qF(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$qD = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M16.5002 18.4142L12.0002 13.9142L7.50015 18.4142L6.08594 17L12.0002 11.0858L17.9144 17L16.5002 18.4142ZM16.5002 11.9142L12.0002 7.41424L7.50015 11.9142L6.08594 10.5L12.0002 4.58582L17.9144 10.5L16.5002 11.9142Z"
      }
    }]
  };
  var chevronUpDouble = vue.defineComponent({
    name: "ChevronUpDoubleIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-chevron-up-double", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$qF(_objectSpread$qF({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$qD, finalProps.value);
    }
  });

  function ownKeys$qE(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$qE(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$qE(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$qE(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$qC = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M22 2H2V22H22V2ZM12 8.5L16.25 14H7.75L12 8.5Z"
      }
    }]
  };
  var chevronUpRectangleFilled = vue.defineComponent({
    name: "ChevronUpRectangleFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-chevron-up-rectangle-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$qE(_objectSpread$qE({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$qC, finalProps.value);
    }
  });

  function ownKeys$qD(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$qD(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$qD(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$qD(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$qB = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M2 2H22V22H2V2ZM4 4V20H20V4H4ZM12 8.08579L17.4142 13.5L16 14.9142L12 10.9142L8 14.9142L6.58579 13.5L12 8.08579Z"
      }
    }]
  };
  var chevronUpRectangle = vue.defineComponent({
    name: "ChevronUpRectangleIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-chevron-up-rectangle", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$qD(_objectSpread$qD({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$qB, finalProps.value);
    }
  });

  function ownKeys$qC(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$qC(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$qC(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$qC(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$qA = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M11.9996 8.3158L16.9493 13.2655L15.5351 14.6798L11.9996 11.1442L8.46402 14.6798L7.0498 13.2655L11.9996 8.3158Z"
      }
    }]
  };
  var chevronUpS = vue.defineComponent({
    name: "ChevronUpSIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-chevron-up-s", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$qC(_objectSpread$qC({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$qA, finalProps.value);
    }
  });

  function ownKeys$qB(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$qB(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$qB(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$qB(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$qz = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M17.5001 15.9142L12.0002 10.4142L6.50015 15.9142L5.08594 14.5L12.0002 7.58582L18.9144 14.5L17.5001 15.9142Z"
      }
    }]
  };
  var chevronUp = vue.defineComponent({
    name: "ChevronUpIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-chevron-up", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$qB(_objectSpread$qB({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$qz, finalProps.value);
    }
  });

  function ownKeys$qA(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$qA(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$qA(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$qA(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$qy = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M20.0315 3.38038C20.1787 3.37434 20.3385 3.37584 20.5047 3.39033C20.8728 3.42241 21.3331 3.52355 21.7548 3.80599C22.2011 4.1049 22.5366 4.56303 22.686 5.17306C22.8302 5.7622 22.7688 6.32375 22.5083 6.81545C22.261 7.28229 21.8782 7.60394 21.5181 7.8267C20.989 8.154 20.351 8.35831 19.8641 8.49421L18.7916 10.3488C20.1382 11.4481 21 13.1225 21 14.999C21 16.5358 20.4223 17.9375 19.4722 18.9991H22V20.9991H2V18.9991H4.70836C3.04751 17.5332 2 15.3884 2 12.999C2 8.58059 5.58288 4.99904 10.001 4.99904H13V6.99904H10.001C6.68708 6.99904 4 9.68552 4 12.999C4 16.3128 6.68629 18.999 10 18.999H15C17.2091 18.999 19 17.2082 19 14.999C19 13.5079 18.1845 12.2059 16.9703 11.517C16.3896 11.1875 15.7183 10.999 15 10.999C14.8946 10.999 14.7666 11.005 14.6458 11.0149C14.6196 11.0171 14.5943 11.0194 14.5703 11.0218C12.5572 11.2216 11 12.9183 11 14.999V15.999H9V14.999C9 12.0415 11.1166 9.57732 13.9454 9.08949L15.6828 6.08022C15.5563 5.59012 15.4131 4.93561 15.4317 4.3146C15.4444 3.89114 15.532 3.39931 15.8134 2.95191C16.1093 2.48157 16.5643 2.14864 17.1444 1.97705C17.7479 1.79852 18.3141 1.8576 18.7984 2.09482C19.2557 2.31885 19.5739 2.66845 19.7856 2.97218C19.8817 3.11 19.9631 3.24886 20.0315 3.38038ZM16.2336 9.12619C16.5144 9.18492 16.7881 9.2633 17.0531 9.35982L18.5466 6.77736L18.9463 6.67027C19.5176 6.51719 20.0759 6.36711 20.4659 6.12585C20.647 6.0138 20.7166 5.92518 20.741 5.87924C20.7523 5.85785 20.7812 5.80332 20.7433 5.64864C20.7103 5.51377 20.6647 5.48304 20.6418 5.46768C20.5942 5.43584 20.4973 5.39727 20.331 5.38277C20.1693 5.36867 19.9984 5.38235 19.8579 5.40397C19.7904 5.41435 19.7363 5.42557 19.7018 5.43345C19.6847 5.43735 19.6728 5.44033 19.667 5.44183C19.666 5.44209 19.6652 5.4423 19.6646 5.44247C19.6634 5.44277 19.6629 5.44291 19.6632 5.44285L18.6725 5.72585L18.425 4.72425C18.4248 4.72362 18.4246 4.72279 18.4243 4.72177C18.4227 4.71597 18.4194 4.70415 18.4142 4.6873C18.4039 4.65331 18.3866 4.60063 18.362 4.53679C18.3107 4.40381 18.2375 4.2487 18.1448 4.11572C18.0494 3.97893 17.9684 3.91532 17.9185 3.89088C17.8953 3.87953 17.8458 3.85524 17.7117 3.8949C17.5536 3.94166 17.5196 3.99585 17.5064 4.01678C17.4789 4.06055 17.4372 4.16395 17.4308 4.37465C17.4172 4.82745 17.5647 5.37779 17.7184 5.95146L17.8288 6.36326L16.2336 9.12619Z"
      }
    }]
  };
  var chicken = vue.defineComponent({
    name: "ChickenIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-chicken", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$qA(_objectSpread$qA({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$qy, finalProps.value);
    }
  });

  function ownKeys$qz(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$qz(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$qz(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$qz(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$qx = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M19.7011 2.12857L19.2259 4.1012C21.2053 5.19798 22.3778 7.45528 21.9853 9.81546C21.9275 10.1634 21.8679 10.5074 21.8058 10.8471C21.4258 12.9227 20.2006 16.8795 17.7059 19.3741C14.9866 22.0935 11.402 22.6085 8.62982 22.4938C7.23244 22.436 6.00126 22.2176 5.11996 22.0143C4.67818 21.9124 4.32131 21.8136 4.0719 21.7393C3.94712 21.7021 3.84901 21.671 3.78038 21.6485C3.74606 21.6373 3.71908 21.6282 3.69981 21.6217L3.67672 21.6137L3.66958 21.6112L3.66618 21.61L0.475586 20.4816L3.76138 19.6956L3.76247 19.6953L3.7669 19.6942C3.77395 19.6923 3.78765 19.6887 3.80757 19.683C3.84745 19.6716 3.91215 19.6521 3.99831 19.6229C4.17079 19.5645 4.4283 19.4676 4.74436 19.3194C5.37709 19.0226 6.23855 18.523 7.12295 17.7199C8.87075 16.1327 10.7836 13.2931 11.1129 8.27212C11.1162 8.2205 11.1195 8.16866 11.1225 8.1166L11.1231 8.1071C11.3383 4.9474 14.4596 3.06687 17.3216 3.46628L17.7567 1.66016L19.7011 2.12857ZM7.00774 20.3351C7.52948 20.4108 8.10443 20.4704 8.71248 20.4956C11.2218 20.5994 14.1373 20.1144 16.2917 17.9599C18.1891 16.0626 19.2921 12.9815 19.7341 10.9989L18.8724 10.1499L17.2173 11.2533L16.2173 9.75331L14.7173 10.7533L13.5535 9.00763L13.0492 9.1337C12.5536 14.2317 10.5069 17.3484 8.46751 19.2005C7.96807 19.654 7.47317 20.0281 7.00774 20.3351Z"
      }
    }]
  };
  var chiliFilled = vue.defineComponent({
    name: "ChiliFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-chili-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$qz(_objectSpread$qz({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$qx, finalProps.value);
    }
  });

  function ownKeys$qy(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$qy(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$qy(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$qy(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$qw = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M19.7011 2.12857L19.2259 4.1012C21.2053 5.19798 22.3778 7.45528 21.9853 9.81546C21.9275 10.1634 21.8679 10.5074 21.8058 10.8471C21.4258 12.9227 20.2006 16.8795 17.7059 19.3741C14.9866 22.0935 11.402 22.6085 8.62982 22.4938C7.23244 22.436 6.00126 22.2176 5.11996 22.0143C4.67818 21.9124 4.32131 21.8136 4.0719 21.7393C3.94712 21.7021 3.84901 21.671 3.78038 21.6485C3.74606 21.6373 3.71908 21.6282 3.69981 21.6217L3.67672 21.6137L3.66958 21.6112L3.66618 21.61L0.475586 20.4816L3.76138 19.6956L3.76247 19.6953L3.7669 19.6942C3.77395 19.6923 3.78765 19.6887 3.80757 19.683C3.84745 19.6716 3.91215 19.6521 3.99831 19.6229C4.17079 19.5645 4.4283 19.4676 4.74436 19.3194C5.37709 19.0226 6.23855 18.523 7.12295 17.7199C8.87075 16.1327 10.7836 13.2931 11.1129 8.27212C11.1162 8.2205 11.1195 8.16866 11.1225 8.1166L11.1231 8.1071C11.3383 4.9474 14.4596 3.06687 17.3216 3.46628L17.7567 1.66016L19.7011 2.12857ZM7.00774 20.3351C7.52948 20.4108 8.10442 20.4704 8.71248 20.4956C11.2218 20.5994 14.1373 20.1144 16.2917 17.9599C18.1891 16.0626 19.2921 12.9815 19.7341 10.9989L18.8724 10.1499L17.2173 11.2533L16.2173 9.75331L14.7173 10.7533L13.5535 9.00763L13.0492 9.1337C12.5536 14.2317 10.5069 17.3484 8.46751 19.2005C7.96807 19.654 7.47317 20.0281 7.00774 20.3351ZM13.557 6.94521L14.4358 6.7255L15.272 7.97981L16.772 6.97981L17.772 8.47981L19.1169 7.58321L20.0347 8.48742C19.8754 7.18311 18.9865 6.05649 17.728 5.61313C17.5386 5.54643 17.3403 5.49497 17.134 5.46065C15.6614 5.21578 14.2499 5.87382 13.557 6.94521Z"
      }
    }]
  };
  var chili = vue.defineComponent({
    name: "ChiliIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-chili", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$qy(_objectSpread$qy({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$qw, finalProps.value);
    }
  });

  function ownKeys$qx(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$qx(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$qx(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$qx(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$qv = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M1.71875 2H13.2803L12.0133 7.06818L12.339 10H21.9995V22H16V16H14V22H1.92555L2.99071 7.08782L1.71875 2ZM10.3267 10L10.1045 8H4.93065L4.0735 20H7.99953V10H10.3267ZM4.2803 4L4.7803 6H10.2188L10.7188 4H4.2803Z"
      }
    }]
  };
  var chimney1Filled = vue.defineComponent({
    name: "Chimney1FilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-chimney-1-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$qx(_objectSpread$qx({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$qv, finalProps.value);
    }
  });

  function ownKeys$qw(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$qw(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$qw(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$qw(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$qu = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M13.2803 2H1.71875L2.99071 7.08782L1.92555 22H21.9995V10H12.339L12.0133 7.06818L13.2803 2ZM10.1045 8L10.3267 10H7.99953V20H4.0735L4.93065 8H10.1045ZM4.7803 6L4.2803 4H10.7188L10.2188 6H4.7803ZM9.99953 20V12H19.9995V20H15.9995V16H13.9995V20H9.99953Z"
      }
    }]
  };
  var chimney1 = vue.defineComponent({
    name: "Chimney1Icon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-chimney-1", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$qw(_objectSpread$qw({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$qu, finalProps.value);
    }
  });

  function ownKeys$qv(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$qv(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$qv(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$qv(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$qt = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M3.9996 2H10.9996V7.92353L11.3191 10H21.9996V22H16V16H14V22H1.83398L3.9996 7.92353V2ZM8.9996 8.07647V4H5.9996V8.07647L4.16521 20H7.9996V10H9.29552L8.9996 8.07647Z"
      }
    }]
  };
  var chimney2Filled = vue.defineComponent({
    name: "Chimney2FilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-chimney-2-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$qv(_objectSpread$qv({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$qt, finalProps.value);
    }
  });

  function ownKeys$qu(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$qu(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$qu(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$qu(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$qs = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M10.9996 2H3.9996V7.92353L1.83398 22H21.9996V10H11.3191L10.9996 7.92353V2ZM8.9996 4V8.07647L9.29552 10H7.9996V20H4.16521L5.9996 8.07647V4H8.9996ZM9.9996 20V12H19.9996V20H15.9996V16H13.9996V20H9.9996Z"
      }
    }]
  };
  var chimney2 = vue.defineComponent({
    name: "Chimney2Icon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-chimney-2", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$qu(_objectSpread$qu({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$qs, finalProps.value);
    }
  });

  function ownKeys$qt(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$qt(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$qt(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$qt(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$qr = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M13.2803 2H1.71875L2.99071 7.08782L1.92555 22H14V17H16V22H21.9995V13.382L14.9995 9.88197L12.3683 11.1976L12.0103 7.08014L13.2803 2ZM4.0735 20L4.93065 8H10.0827L10.4444 12.1595L7.99953 13.382V20H4.0735ZM10.7188 4L10.2188 6H4.7803L4.2803 4H10.7188Z"
      }
    }]
  };
  var chimneyFilled = vue.defineComponent({
    name: "ChimneyFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-chimney-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$qt(_objectSpread$qt({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$qr, finalProps.value);
    }
  });

  function ownKeys$qs(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$qs(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$qs(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$qs(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$qq = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M1.71875 2H13.2803L12.0103 7.08014L12.3683 11.1976L14.9995 9.88197L21.9995 13.382V22H1.92555L2.99071 7.08782L1.71875 2ZM4.93065 8L4.0735 20H7.99953V13.382L10.4444 12.1595L10.0827 8H4.93065ZM10.2188 6L10.7188 4H4.2803L4.7803 6H10.2188ZM9.99953 20H13.9995V17H15.9995V20H19.9995V14.618L14.9995 12.118L9.99953 14.618V20Z"
      }
    }]
  };
  var chimney = vue.defineComponent({
    name: "ChimneyIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-chimney", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$qs(_objectSpread$qs({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$qq, finalProps.value);
    }
  });

  function ownKeys$qr(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$qr(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$qr(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$qr(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$qp = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M7.18288 5.63177C7.42679 5.23482 7.71243 4.86457 8.02888 4.53174C8.10141 3.92666 8.31948 3.19189 8.78834 2.5407C9.42374 1.6582 10.474 1 11.9999 1C13.5258 1 14.576 1.6582 15.2114 2.54068C15.6803 3.19188 15.8984 3.92665 15.9709 4.53174C16.2996 4.87738 16.5877 5.24271 16.8299 5.62865C16.8941 5.61319 16.9614 5.59755 17.0315 5.582C17.601 5.45558 18.3919 5.32563 19.2074 5.34463C20.0064 5.36326 20.9561 5.52754 21.7246 6.11098C22.5464 6.73485 22.9999 7.7121 22.9999 8.99996C22.9999 10.1247 22.4677 11.0732 21.8117 11.8154C21.1553 12.5579 20.3106 13.1697 19.5154 13.648C18.832 14.0591 18.1538 14.3902 17.6032 14.6343L17.6406 14.6875C18.1081 15.3549 18.689 16.2964 19.0203 17.2799C19.3396 18.2281 19.5163 19.4976 18.731 20.539C18.0168 21.4862 16.7395 21.9295 15.0184 21.9919C14.3225 22.6306 13.3175 23 12 23C10.6825 23 9.67746 22.6306 8.98153 21.9919C7.26048 21.9295 5.98315 21.4862 5.26892 20.539C4.48365 19.4976 4.66031 18.2281 4.97967 17.2799C5.31089 16.2964 5.89188 15.3549 6.35934 14.6875L6.39676 14.6343C5.84611 14.3902 5.16796 14.0591 4.48452 13.648C3.68933 13.1697 2.8446 12.5579 2.18826 11.8154C1.5322 11.0732 1 10.1247 1 8.99996C1 7.7121 1.4535 6.73485 2.27531 6.11098C3.04388 5.52754 3.99355 5.36326 4.79255 5.34463C5.60799 5.32563 6.39892 5.45558 6.96844 5.582C7.04323 5.5986 7.11484 5.61528 7.18288 5.63177ZM11 12.3032C11.5596 12.7039 12 13 12 13C12 13 12.4403 12.7039 13 12.3032V10.4142L15.4142 8.00001L14 6.58579L13 7.5858V5H11V7.58579L10 6.58579L8.58579 8L11 10.4142V12.3032ZM8.07108 12.5219C7.02902 11.5133 6.3113 10.3259 6.29331 8.71404L4.79231 7.60112L3.60112 9.20769L8.07108 12.5219ZM17.7064 8.71421C17.6874 10.3248 16.9644 11.5177 15.9187 12.5295L20.3988 9.20769L19.2076 7.60112L17.7064 8.71421ZM9.29386 15.592L8.36403 15.336C8.25467 15.478 8.12941 15.6465 7.9975 15.8348C7.5718 16.4426 7.11648 17.2014 6.87506 17.9182C6.62179 18.6702 6.6895 19.101 6.86581 19.3349C6.9849 19.4928 7.26835 19.7172 7.90863 19.8606C7.82567 19.2109 7.91147 18.6032 8.05128 18.1837C8.12427 17.9648 8.28923 17.6091 8.45505 17.2649C8.63287 16.8957 8.8493 16.4638 9.05725 16.0548C9.13797 15.8961 9.21773 15.7402 9.29386 15.592ZM10.2569 18.1329C10.0761 18.5081 9.97337 18.742 9.94864 18.8162C9.89802 18.9681 9.85356 19.2458 9.88699 19.5594C9.91968 19.866 10.0203 20.1506 10.1997 20.3747C10.4259 20.6574 10.9051 21 12 21C13.0948 21 13.574 20.6574 13.8003 20.3747C13.9797 20.1506 14.0803 19.866 14.1129 19.5594C14.1464 19.2458 14.1019 18.9681 14.0513 18.8162C14.0266 18.742 13.9238 18.5081 13.7431 18.1329C13.2901 17.1927 12.8082 16.2659 12.3225 15.3423L12 14.3208L11.6774 15.3423C11.1925 16.2663 10.7098 17.1926 10.2569 18.1329ZM15.6359 15.336L14.7061 15.592C14.7822 15.7402 14.862 15.8961 14.9427 16.0548C15.1506 16.4638 15.3671 16.8957 15.5449 17.2649C15.7107 17.6091 15.8757 17.9648 15.9487 18.1837C16.0885 18.6032 16.1743 19.2109 16.0913 19.8606C16.7316 19.7172 17.015 19.4928 17.1341 19.3349C17.3104 19.101 17.3781 18.6702 17.1249 17.9182C16.8835 17.2014 16.4281 16.4426 16.0024 15.8348C15.8705 15.6465 15.7453 15.478 15.6359 15.336Z"
      }
    }]
  };
  var chineseCabbageFilled = vue.defineComponent({
    name: "ChineseCabbageFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-chinese-cabbage-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$qr(_objectSpread$qr({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$qp, finalProps.value);
    }
  });

  function ownKeys$qq(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$qq(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$qq(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$qq(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$qo = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M10.4115 3.7093C10.1102 4.1278 9.99994 4.66002 9.99994 5V5.52066L9.5734 5.81923C9.20707 6.07566 8.80352 6.53023 8.5661 7.15299C8.555 7.1821 8.544 7.21089 8.53312 7.23939C8.30437 7.83818 8.12567 8.30597 8.13069 8.83238C8.13529 9.31563 8.30468 9.95744 9.08296 10.7964C9.53365 11.2242 9.84948 11.4395 10.2295 11.6915C10.2494 11.7047 10.2695 11.7179 10.2897 11.7313C10.4544 11.8404 10.6309 11.9573 10.8283 12.0971L11 11.7601V10.4142L8.58575 8L9.99996 6.58579L11 7.58579V5H13V7.5858L14 6.58579L15.4142 8.00001L13 10.4142V11.7593L13.1716 12.0971C13.369 11.9573 13.5456 11.8404 13.7102 11.7313C13.7305 11.7179 13.7505 11.7047 13.7704 11.6915C14.1505 11.4395 14.4663 11.2242 14.917 10.7964C15.6953 9.95744 15.8646 9.31563 15.8692 8.83238C15.8743 8.30597 15.6956 7.83818 15.4668 7.23938C15.4559 7.21089 15.4449 7.1821 15.4338 7.15299C15.1964 6.53023 14.7929 6.07566 14.4265 5.81923L14 5.52066V5C14 4.66004 13.8898 4.12782 13.5884 3.70932C13.3238 3.3418 12.874 3 11.9999 3C11.1259 3 10.6761 3.3418 10.4115 3.7093ZM16.2726 12.2671C15.7105 12.7978 15.2911 13.0829 14.8756 13.3584C14.8562 13.3713 14.8368 13.3841 14.8174 13.3969C14.6943 13.4784 14.571 13.5601 14.4413 13.6497C14.833 13.5397 15.2427 13.4096 15.6586 13.2586C15.7835 13.2132 15.9074 13.1684 16.0303 13.124C17.3736 12.6386 18.5874 12.2 19.5156 11.5721C20.4605 10.9329 20.9999 10.1725 20.9999 8.99999C20.9999 8.09483 20.805 7.60996 20.6137 7.3554C20.4375 7.12104 20.1885 6.98 19.8199 6.92578C19.2058 6.83544 18.401 7.01206 17.6217 7.32086C17.7389 7.6977 17.8392 8.12991 17.8637 8.5976L19.2076 7.60112L20.3988 9.20769L16.2726 12.2671ZM16.8193 5.4878C17.8114 5.08637 19.0105 4.78518 20.111 4.94708C20.8899 5.06166 21.6581 5.41641 22.2123 6.15364C22.7513 6.87067 22.9999 7.83317 22.9999 8.99999C22.9999 11.0058 21.974 12.3237 20.6362 13.2287C19.7198 13.8486 18.6069 14.3078 17.5402 14.7035C17.8155 15.1289 18.0856 15.5684 18.3249 16.0064C18.7635 16.8091 19.156 17.7063 19.2432 18.5746C19.3369 19.5082 19.0733 20.467 18.1593 21.1334C17.4172 21.6745 16.3575 21.9342 15.0216 21.989C14.3255 22.6295 13.3195 23 12 23C10.6805 23 9.67442 22.6295 8.97837 21.989C7.64244 21.9342 6.58278 21.6745 5.84062 21.1334C4.92663 20.467 4.663 19.5082 4.75677 18.5746C4.84397 17.7063 5.23644 16.8091 5.67508 16.0064C5.91439 15.5684 6.18444 15.1289 6.45974 14.7035C5.39299 14.3078 4.28014 13.8486 3.36372 13.2287C2.02593 12.3237 1 11.0058 1 8.99999C1 7.83317 1.24859 6.87067 1.7876 6.15364C2.34178 5.41641 3.11001 5.06166 3.88892 4.94708C4.98947 4.78518 6.18857 5.08636 7.18065 5.4878C7.43326 5.09814 7.72631 4.76413 8.034 4.4912C8.11129 3.89404 8.32996 3.17742 8.7884 2.5407C9.4238 1.6582 10.474 1 11.9999 1C13.5259 1 14.5761 1.6582 15.2115 2.54068C15.6699 3.1774 15.8886 3.89403 15.9659 4.4912C16.2736 4.76413 16.5667 5.09814 16.8193 5.4878ZM6.37826 7.32086C5.59898 7.01206 4.79413 6.83544 4.18 6.92578C3.81145 6.98 3.56245 7.12104 3.38627 7.3554C3.19491 7.60996 3 8.09483 3 8.99999C3 10.1725 3.53945 10.9329 4.48435 11.5721C5.41254 12.2 6.62637 12.6386 7.96963 13.124C8.09249 13.1684 8.21643 13.2132 8.34133 13.2586C8.75719 13.4096 9.16698 13.5397 9.5586 13.6497C9.4289 13.5601 9.30558 13.4784 9.18252 13.3969C9.16314 13.3841 9.14377 13.3713 9.12438 13.3584C8.70881 13.0829 8.28942 12.7978 7.72731 12.2671L3.60112 9.20769L4.79231 7.60112L6.13626 8.5976C6.16069 8.12991 6.26104 7.6977 6.37826 7.32086ZM9.29243 15.6502C9.00366 15.5736 8.70539 15.4873 8.40134 15.3909C8.04936 15.9191 7.71215 16.4493 7.43016 16.9654C7.0269 17.7034 6.79299 18.3141 6.74676 18.7744C6.70709 19.1694 6.80298 19.3599 7.0189 19.5174C7.18619 19.6393 7.46521 19.7667 7.90855 19.8599C7.82573 19.2106 7.91152 18.6031 8.05128 18.1838L8.07299 18.1186L9.29243 15.6502ZM12 14.3208L11.6812 15.3302L9.93238 18.8703C9.88924 19.0291 9.85721 19.28 9.88699 19.5594C9.91968 19.866 10.0203 20.1506 10.1997 20.3748C10.4259 20.6574 10.9051 21 12 21C13.0948 21 13.574 20.6574 13.8003 20.3748C13.9797 20.1506 14.0803 19.866 14.1129 19.5594C14.1427 19.28 14.1107 19.0291 14.0676 18.8703L12.3187 15.3302L12 14.3208ZM16.0914 19.8599C16.5347 19.7667 16.8137 19.6393 16.981 19.5174C17.197 19.3599 17.2928 19.1694 17.2532 18.7744C17.2069 18.3141 16.973 17.7034 16.5698 16.9654C16.2878 16.4493 15.9506 15.9191 15.5986 15.3909C15.2945 15.4873 14.9963 15.5736 14.7075 15.6502L15.9269 18.1186L15.9487 18.1838C16.0884 18.603 16.1742 19.2106 16.0914 19.8599Z"
      }
    }]
  };
  var chineseCabbage = vue.defineComponent({
    name: "ChineseCabbageIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-chinese-cabbage", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$qq(_objectSpread$qq({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$qo, finalProps.value);
    }
  });

  function ownKeys$qp(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$qp(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$qp(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$qp(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$qn = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M11 1V3H9V5H11V5.97934L6 9.47934V12H2V22H8.5V17.5C8.5 15.567 10.067 14 12 14C13.933 14 15.5 15.567 15.5 17.5V22H22V12H18V9.47934L13 5.97934V5H15V3H13V1H11ZM6 20H4V14H6V20ZM18 20V14H20V20H18Z"
      }
    }, {
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M12 16C11.1716 16 10.5 16.6716 10.5 17.5V22H13.5V17.5C13.5 16.6716 12.8284 16 12 16Z"
      }
    }]
  };
  var churchFilled = vue.defineComponent({
    name: "ChurchFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-church-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$qp(_objectSpread$qp({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$qn, finalProps.value);
    }
  });

  function ownKeys$qo(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$qo(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$qo(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$qo(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$qm = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M11 1V3H9V5H11V5.97934L6 9.47934V12H2V22H22V12H18V9.47934L13 5.97934V5H15V3H13V1H11ZM12 7.72066L16 10.5207V20H15V16C15 14.3431 13.6569 13 12 13C10.3431 13 9 14.3431 9 16V20H8V10.5207L12 7.72066ZM6 20H4V14H6V20ZM11 20V16C11 15.4477 11.4477 15 12 15C12.5523 15 13 15.4477 13 16V20H11ZM18 20V14H20V20H18Z"
      }
    }]
  };
  var church = vue.defineComponent({
    name: "ChurchIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-church", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$qo(_objectSpread$qo({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$qm, finalProps.value);
    }
  });

  function ownKeys$qn(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$qn(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$qn(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$qn(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$ql = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M1 12C1 5.92487 5.92487 1 12 1C18.0751 1 23 5.92487 23 12C23 18.0751 18.0751 23 12 23C5.92487 23 1 18.0751 1 12Z"
      }
    }]
  };
  var circleFilled = vue.defineComponent({
    name: "CircleFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-circle-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$qn(_objectSpread$qn({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$ql, finalProps.value);
    }
  });

  function ownKeys$qm(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$qm(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$qm(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$qm(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$qk = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M12 3C7.02944 3 3 7.02944 3 12C3 16.9706 7.02944 21 12 21C16.9706 21 21 16.9706 21 12C21 7.02944 16.9706 3 12 3ZM1 12C1 5.92487 5.92487 1 12 1C18.0751 1 23 5.92487 23 12C23 18.0751 18.0751 23 12 23C5.92487 23 1 18.0751 1 12Z"
      }
    }]
  };
  var circle = vue.defineComponent({
    name: "CircleIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-circle", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$qm(_objectSpread$qm({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$qk, finalProps.value);
    }
  });

  function ownKeys$ql(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$ql(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$ql(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$ql(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$qj = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M8.00391 8.00391V6H6.00391V6.00391H6V8.00391H8.00391zM8.00391 13.0039V11H6.00391V11.0039H6V13.0039H8.00391zM8.00391 18.0039V16H6.00391V16.0039H6V18.0039H8.00391z"
      }
    }, {
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M12 2H2V22H17V16H22V10H12V2ZM10 4V20H4V4H10Z"
      }
    }, {
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M22 18H19V22H22V18Z"
      }
    }]
  };
  var city1Filled = vue.defineComponent({
    name: "City1FilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-city-1-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$ql(_objectSpread$ql({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$qj, finalProps.value);
    }
  });

  function ownKeys$qk(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$qk(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$qk(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$qk(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$qi = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M2 2H12V10H22V22H2V2ZM12 12V20H16V15H20V12H12ZM20 17H18V20H20V17ZM10 20V4H4V20H10ZM8.00391 6V8.00391H6V6.00391H6.00391V6H8.00391ZM8.00391 11V13.0039H6V11.0039H6.00391V11H8.00391ZM8.00391 16V18.0039H6V16.0039H6.00391V16H8.00391Z"
      }
    }]
  };
  var city1 = vue.defineComponent({
    name: "City1Icon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-city-1", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$qk(_objectSpread$qk({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$qi, finalProps.value);
    }
  });

  function ownKeys$qj(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$qj(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$qj(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$qj(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$qh = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M8.00391 7.99806H6V10.002H8.00391V7.99806Z"
      }
    }, {
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M14 10V0.719238L2 3.71924V22L16 22V15H18V22H22V10H14ZM12 3.28079V20H4V5.28079L12 3.28079Z"
      }
    }]
  };
  var city10Filled = vue.defineComponent({
    name: "City10FilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-city-10-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$qj(_objectSpread$qj({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$qh, finalProps.value);
    }
  });

  function ownKeys$qi(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$qi(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$qi(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$qi(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$qg = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M14 0.719238V10H22V22H2V3.71924L14 0.719238ZM14 20H15.9997L16 15H18V20H20V12H14V20ZM4 5.28079V20H12V3.28079L4 5.28079ZM6 7.99806H8.00391V10.002H6V7.99806Z"
      }
    }]
  };
  var city10 = vue.defineComponent({
    name: "City10Icon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-city-10", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$qi(_objectSpread$qi({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$qg, finalProps.value);
    }
  });

  function ownKeys$qh(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$qh(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$qh(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$qh(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$qf = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M2 2H14V10.2792L15 9.94591L22 12.2792V22H16V16H14V22H2V2ZM8 12.2792L12 10.9459V4H4V20H8V12.2792Z"
      }
    }]
  };
  var city11Filled = vue.defineComponent({
    name: "City11FilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-city-11-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$qh(_objectSpread$qh({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$qf, finalProps.value);
    }
  });

  function ownKeys$qg(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$qg(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$qg(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$qg(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$qe = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M14 2H2V22H22V12.2792L15 9.94591L14 10.2792V2ZM12 10.9459L8 12.2792V20H4V4H12V10.9459ZM10 20V13.7208L15 12.0541L20 13.7208V20H16V16H14V20H10Z"
      }
    }]
  };
  var city11 = vue.defineComponent({
    name: "City11Icon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-city-11", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$qg(_objectSpread$qg({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$qe, finalProps.value);
    }
  });

  function ownKeys$qf(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$qf(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$qf(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$qf(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$qd = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M2 2H10V10H14V5H22V22H13V15H11V22H2V2ZM4 20H6V10H8V4H4V20ZM16 10H18V20H20V7H16V10Z"
      }
    }]
  };
  var city12Filled = vue.defineComponent({
    name: "City12FilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-city-12-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$qf(_objectSpread$qf({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$qd, finalProps.value);
    }
  });

  function ownKeys$qe(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$qe(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$qe(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$qe(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$qc = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M10 2H2V22H22V5H14V10H10V2ZM8 12H16V20H13V15H11V20H8V12ZM6 20H4V4H8V10H6V20ZM18 20V10H16V7H20V20H18Z"
      }
    }]
  };
  var city12 = vue.defineComponent({
    name: "City12Icon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-city-12", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$qe(_objectSpread$qe({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$qc, finalProps.value);
    }
  });

  function ownKeys$qd(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$qd(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$qd(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$qd(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$qb = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M6 2H18V4H17V8H23V22H13V15H11V22H1V8H7V4H6V2ZM3 20H7V10H3V20ZM21 10H17V20H21V10ZM13.0039 5.99805H11V8.00195H13.0039V5.99805Z"
      }
    }]
  };
  var city13Filled = vue.defineComponent({
    name: "City13FilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-city-13-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$qd(_objectSpread$qd({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$qb, finalProps.value);
    }
  });

  function ownKeys$qc(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$qc(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$qc(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$qc(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$qa = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M18 2H6V4H7V8H1V22H23V8H17V4H18V2ZM15 4V20H13V15H11V20H9V4H15ZM7 20H3V10H7V20ZM17 20V10H21V20H17ZM13.0039 5.99805H11V8.00195H13.0039V5.99805Z"
      }
    }]
  };
  var city13 = vue.defineComponent({
    name: "City13Icon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-city-13", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$qc(_objectSpread$qc({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$qa, finalProps.value);
    }
  });

  function ownKeys$qb(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$qb(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$qb(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$qb(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$q9 = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M5.70013 4.4428L12 1.92285L18.2999 4.4428L17.5571 6.29975L17 6.07692V7.99988H23V21.9999H13V15H11V21.9999H1V7.99988H7V6.07692L6.44291 6.29975L5.70013 4.4428ZM3 19.9999H7V9.99988H3V19.9999ZM17 9.99988V19.9999H21V9.99988H17ZM13.0039 6.99805H11V9.00195H13.0039V6.99805Z"
      }
    }]
  };
  var city14Filled = vue.defineComponent({
    name: "City14FilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-city-14-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$qb(_objectSpread$qb({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$q9, finalProps.value);
    }
  });

  function ownKeys$qa(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$qa(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$qa(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$qa(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$q8 = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M12 1.92285L5.70013 4.4428L6.44291 6.29975L7 6.07692V7.99988H1V21.9999H23V7.99988H17V6.07692L17.5571 6.29975L18.2999 4.4428L12 1.92285ZM15 5.27692V19.9999H13V14.9999H11V19.9999H9V5.27692L12 4.07692L15 5.27692ZM7 19.9999H3V9.99988H7V19.9999ZM17 19.9999V9.99988H21V19.9999H17ZM13.0039 6.99793H11V9.00184H13.0039V6.99793Z"
      }
    }]
  };
  var city14 = vue.defineComponent({
    name: "City14Icon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-city-14", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$qa(_objectSpread$qa({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$q8, finalProps.value);
    }
  });

  function ownKeys$q9(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$q9(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$q9(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$q9(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$q7 = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M2 2H14V9.0202L22 10.6869V22H16V16H14V22H2V2ZM8 7.7702L12 8.60353V4H4V20H8V7.7702Z"
      }
    }]
  };
  var city15Filled = vue.defineComponent({
    name: "City15FilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-city-15-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$q9(_objectSpread$q9({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$q7, finalProps.value);
    }
  });

  function ownKeys$q8(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$q8(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$q8(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$q8(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$q6 = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M14 2H2V22H22V10.6869L14 9.0202V2ZM12 8.60353L8 7.7702V20H4V4H12V8.60353ZM10 20V10.2298L20 12.3131V20H16V16H14V20H10Z"
      }
    }]
  };
  var city15 = vue.defineComponent({
    name: "City15Icon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-city-15", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$q8(_objectSpread$q8({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$q6, finalProps.value);
    }
  });

  function ownKeys$q7(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$q7(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$q7(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$q7(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$q5 = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M6 0.698242L10 4.03158V10.8649L15 6.69824L22 12.5316V22H18.5V15H11.5V22H2V4.03158L6 0.698242ZM8 20V4.96833L6 3.30166L4 4.96833V20H8Z"
      }
    }, {
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M13.5 22V17H16.5V22H13.5Z"
      }
    }]
  };
  var city2Filled = vue.defineComponent({
    name: "City2FilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-city-2-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$q7(_objectSpread$q7({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$q5, finalProps.value);
    }
  });

  function ownKeys$q6(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$q6(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$q6(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$q6(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$q4 = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M6 0.698242L10 4.03158V10.8649L15 6.69824L22 12.5316V22H2V4.03158L6 0.698242ZM10 20H12V14H18V20H19.9994L20 13.4683L15 9.30166L10 13.4683V20ZM16 20V16H14V20H16ZM8 20V4.96833L6 3.30166L4 4.96833V20H8Z"
      }
    }]
  };
  var city2 = vue.defineComponent({
    name: "City2Icon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-city-2", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$q6(_objectSpread$q6({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$q4, finalProps.value);
    }
  });

  function ownKeys$q5(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$q5(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$q5(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$q5(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$q3 = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M15 2H22V22H13V16H11V22H2V2H9V7H15V2ZM4 20H7V4H4V20ZM17 4V20H20V4H17ZM14 11H10V13H14V11Z"
      }
    }]
  };
  var city3Filled = vue.defineComponent({
    name: "City3FilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-city-3-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$q5(_objectSpread$q5({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$q3, finalProps.value);
    }
  });

  function ownKeys$q4(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$q4(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$q4(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$q4(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$q2 = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M22 2H15V7H9V2H2V22H22V2ZM9 9H15V20H13V16H11V20H9V9ZM7 20H4V4H7V20ZM17 20V4H20V20H17ZM14 11H10V13H14V11Z"
      }
    }]
  };
  var city3 = vue.defineComponent({
    name: "City3Icon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-city-3", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$q4(_objectSpread$q4({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$q2, finalProps.value);
    }
  });

  function ownKeys$q3(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$q3(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$q3(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$q3(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$q1 = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M15 4.51924L18.5 1.71924L22 4.51924V21.9999H13V16H11V21.9999H2V4.51924L5.5 1.71924L9 4.51924V8.38183L12 6.88183L15 8.38183V4.51924ZM4 5.48049V19.9999H7V5.48049L5.5 4.28049L4 5.48049ZM17 5.48049V19.9999H20V5.48049L18.5 4.28049L17 5.48049ZM14 12H10V14H14V12Z"
      }
    }]
  };
  var city4Filled = vue.defineComponent({
    name: "City4FilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-city-4-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$q3(_objectSpread$q3({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$q1, finalProps.value);
    }
  });

  function ownKeys$q2(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$q2(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$q2(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$q2(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$q0 = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M18.5 1.71924L15 4.51924V8.38183L12 6.88183L9 8.38183V4.51924L5.5 1.71924L2 4.51924V21.9999H22V4.51924L18.5 1.71924ZM9 10.6179L12 9.1179L15 10.6179V19.9999H13V15.9999H11V19.9999H9V10.6179ZM7 19.9999H4V5.48049L5.5 4.28049L7 5.48049V19.9999ZM17 19.9999V5.48049L18.5 4.28049L20 5.48049V19.9999H17ZM14 11.9999H10V13.9999H14V11.9999Z"
      }
    }]
  };
  var city4 = vue.defineComponent({
    name: "City4Icon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-city-4", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$q2(_objectSpread$q2({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$q0, finalProps.value);
    }
  });

  function ownKeys$q1(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$q1(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$q1(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$q1(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$p$ = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M15 4.51924L18.5 1.71924L22 4.51924V21.9999H13V15H11V21.9999H2V4.51924L5.5 1.71924L9 4.51924V9.62795C10.6206 11.3538 13.3794 11.3538 15 9.62795V4.51924ZM4 5.48049V19.9999H7V5.48049L5.5 4.28049L4 5.48049ZM17 5.48049V19.9999H20V5.48049L18.5 4.28049L17 5.48049Z"
      }
    }]
  };
  var city5Filled = vue.defineComponent({
    name: "City5FilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-city-5-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$q1(_objectSpread$q1({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$p$, finalProps.value);
    }
  });

  function ownKeys$q0(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$q0(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$q0(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$q0(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$p_ = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M18.5 1.71924L15 4.51924V9.62795C13.3794 11.3538 10.6206 11.3538 9 9.62795V4.51924L5.5 1.71924L2 4.51924V21.9999H22V4.51924L18.5 1.71924ZM9 12.1412C10.8541 13.1827 13.1459 13.1827 15 12.1412V19.9999H13V14.9999H11V19.9999H9V12.1412ZM7 19.9999H4V5.48049L5.5 4.28049L7 5.48049V19.9999ZM17 19.9999V5.48049L18.5 4.28049L20 5.48049V19.9999H17Z"
      }
    }]
  };
  var city5 = vue.defineComponent({
    name: "City5Icon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-city-5", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$q0(_objectSpread$q0({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$p_, finalProps.value);
    }
  });

  function ownKeys$p$(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$p$(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$p$(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$p$(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$pZ = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M6 2H18V6H23V22H13V15H11V22H1V8H6V2ZM21 8H18V20H21V8ZM3 20H6V10H3V20Z"
      }
    }]
  };
  var city6Filled = vue.defineComponent({
    name: "City6FilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-city-6-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$p$(_objectSpread$p$({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$pZ, finalProps.value);
    }
  });

  function ownKeys$p_(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$p_(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$p_(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$p_(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$pY = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M18 2H6V8H1V22H23V6H18V2ZM18 8H21V20H18V8ZM16 20H13V15H11V20H8V4H16V20ZM6 20H3V10H6V20Z"
      }
    }]
  };
  var city6 = vue.defineComponent({
    name: "City6Icon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-city-6", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$p_(_objectSpread$p_({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$pY, finalProps.value);
    }
  });

  function ownKeys$pZ(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$pZ(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$pZ(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$pZ(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$pX = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M2 2H14V10H22V22H16V16H14V22H2V2ZM8 10H12V4H4V20H8V10Z"
      }
    }]
  };
  var city7Filled = vue.defineComponent({
    name: "City7FilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-city-7-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$pZ(_objectSpread$pZ({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$pX, finalProps.value);
    }
  });

  function ownKeys$pY(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$pY(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$pY(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$pY(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$pW = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M14 2H2V22H22V10H14V2ZM12 10H8V20H4V4H12V10ZM10 20V12H20V20H16V16H14V20H10Z"
      }
    }]
  };
  var city7 = vue.defineComponent({
    name: "City7Icon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-city-7", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$pY(_objectSpread$pY({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$pW, finalProps.value);
    }
  });

  function ownKeys$pX(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$pX(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$pX(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$pX(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$pV = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M14 2H2V22H16V16H18V22H22V10H14V2ZM12 10H9V8H12V10ZM12 20H4V16H12V20ZM12 14H9V12H12V14ZM7 8V10H4V8H7ZM4 14V12H7V14H4ZM7 6H4V4H7V6ZM9 6V4H12V6H9Z"
      }
    }]
  };
  var city8Filled = vue.defineComponent({
    name: "City8FilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-city-8-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$pX(_objectSpread$pX({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$pV, finalProps.value);
    }
  });

  function ownKeys$pW(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$pW(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$pW(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$pW(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$pU = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M2 2H14V10H22V22H2V2ZM12 10V8H9V10H12ZM9 12V14H12V12H9ZM7 10V8H4V10H7ZM4 12V14H7V12H4ZM4 16V20H12V16H4ZM14 20H16V16H18V20H20V12H14V20ZM4 6H7V4H4V6ZM9 4V6H12V4H9Z"
      }
    }]
  };
  var city8 = vue.defineComponent({
    name: "City8Icon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-city-8", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$pW(_objectSpread$pW({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$pU, finalProps.value);
    }
  });

  function ownKeys$pV(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$pV(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$pV(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$pV(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$pT = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M11.9984 4.32008L8.00905 1.82764L1.625 5.65694L2.65377 7.37206L2.99694 7.16622V22.0001H7V15H9V22.0001H15V15H17V22.0001H20.9999V7.16622L21.343 7.37206L22.3718 5.65694L15.9878 1.82764L11.9984 4.32008ZM7 8.99805H9.00391V11.002H7V8.99805ZM17.0039 8.99805V11.002H15V8.99805H17.0039Z"
      }
    }]
  };
  var city9Filled = vue.defineComponent({
    name: "City9FilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-city-9-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$pV(_objectSpread$pV({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$pT, finalProps.value);
    }
  });

  function ownKeys$pU(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$pU(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$pU(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$pU(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$pS = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M8.00905 1.82764L11.9984 4.32008L15.9878 1.82764L22.3718 5.65694L21.343 7.37206L20.9999 7.16622V22.0001H2.99694V7.16622L2.65377 7.37206L1.625 5.65694L8.00905 1.82764ZM4.99694 5.96657V20.0001H6.99987V15.0001H8.99987V20.0001H10.9969V6.05264L7.98777 4.1726L4.99694 5.96657ZM12.9999 20.0001H14.9999V15.0001H16.9999V20.0001H18.9999V5.96657L16.009 4.1726L12.9999 6.05264V20.0001ZM6.99987 8.99816H9.00378V11.0021H6.99987V8.99816ZM14.9999 8.99816H17.0038V11.0021H14.9999V8.99816Z"
      }
    }]
  };
  var city9 = vue.defineComponent({
    name: "City9Icon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-city-9", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$pU(_objectSpread$pU({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$pS, finalProps.value);
    }
  });

  function ownKeys$pT(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$pT(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$pT(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$pT(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$pR = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M9.51937 4.91466C10.442 3.97928 11.0016 2.9551 11.0016 2H13.0016C13.0016 2.95572 13.5614 3.98036 14.4838 4.91586 15.3941 5.83906 16.5215 6.53315 17.3483 6.84034 17.6848 6.96537 17.9022 7 18 7L19 7V9L18 9 18 11 6.00235 11V9L5.00002 9V7H6.00002C6.09814 7 6.3162 6.9652 6.65383 6.83965 7.48135 6.53194 8.60896 5.83767 9.51937 4.91466zM2 13.0001V15.0001H3L3 20.0001H2V22.0001H11.002L11.002 18H13.002L13.002 22.0001H22V20.0001H21V15.0001H22V13.0001H2z"
      }
    }]
  };
  var cityAncient1Filled = vue.defineComponent({
    name: "CityAncient1FilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-city-ancient-1-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$pT(_objectSpread$pT({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$pR, finalProps.value);
    }
  });

  function ownKeys$pS(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$pS(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$pS(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$pS(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$pQ = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M9.51937 4.91466C10.442 3.97928 11.0016 2.9551 11.0016 2L13.0016 2C13.0016 2.95572 13.5614 3.98036 14.4838 4.91586C15.3941 5.83906 16.5215 6.53315 17.3483 6.84034C17.6848 6.96537 17.9022 7 18 7L19 7L19 9L18 9C18 9 18 9 18 9L18 11.0001L22 11.0001L22 13.0001L21 13.0001L21 20.0001L22 20.0001L22 22.0001L2 22.0001L2 20.0001L3 20.0001L3 13.0001L2 13.0001L2 11.0001L6.00235 11.0001L6.00235 9C6.00158 9 6.0008 9 6.00002 9L5.00002 9L5.00002 7L6.00002 7C6.09814 7 6.3162 6.9652 6.65383 6.83965C7.48135 6.53194 8.60897 5.83767 9.51937 4.91466ZM8.00235 9.00007L8.00235 11.0001L16 11.0001L16 9.00007L8.00235 9.00007ZM13.7985 7.00007C13.5433 6.78639 13.2954 6.55912 13.0597 6.32012C12.6801 5.93515 12.3155 5.5021 12.0013 5.02895C11.6872 5.50172 11.3227 5.93442 10.9433 6.31911C10.7072 6.55849 10.4587 6.78609 10.2031 7.00007L13.7985 7.00007ZM5 13.0001L5.00001 20.0001L11.0016 20.0001L11.0016 16.0001L13.0016 16.0001L13.0016 20.0001L19 20.0001L19 13.0001L5 13.0001Z"
      }
    }]
  };
  var cityAncient1 = vue.defineComponent({
    name: "CityAncient1Icon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-city-ancient-1", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$pS(_objectSpread$pS({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$pQ, finalProps.value);
    }
  });

  function ownKeys$pR(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$pR(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$pR(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$pR(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$pP = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M11.9994 0.801758L18.0527 4.79461L17.0007 6.38954V9.4997L20.3352 11.9998H22.002V13.9998H21.002V21.9998H13V17H11V21.9998H3.00195V13.9998H2.00195V11.9998H3.66853L7.00065 9.4999V6.38918L5.94855 4.79491L11.9994 0.801758ZM15.6674 10.9998H8.33407L7.00117 11.9998H17.0012L15.6674 10.9998ZM13.0059 4.99805H11.002V7.00195H13.0059V4.99805Z"
      }
    }]
  };
  var cityAncient2Filled = vue.defineComponent({
    name: "CityAncient2FilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-city-ancient-2-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$pR(_objectSpread$pR({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$pP, finalProps.value);
    }
  });

  function ownKeys$pQ(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$pQ(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$pQ(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$pQ(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$pO = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M11.9985 0.801758L18.0517 4.79461L16.9997 6.38954V9.4997L20.3342 11.9998H22.001V13.9998H21.001V21.9998H3.00098V13.9998H2.00098V11.9998H3.66756L6.99967 9.4999V6.38918L5.94757 4.79491L11.9985 0.801758ZM8.99967 5.17699V8.9998H14.9997V5.17733L11.9987 3.19784L8.99967 5.17699ZM15.6664 10.9998H8.33309L7.00019 11.9998H17.0002L15.6664 10.9998ZM19.001 13.9998H5.00098V19.9998H10.9986V16.9998H12.9986V19.9998H19.001V13.9998ZM11.001 4.99785H13.0049V7.00175H11.001V4.99785Z"
      }
    }]
  };
  var cityAncient2 = vue.defineComponent({
    name: "CityAncient2Icon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-city-ancient-2", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$pQ(_objectSpread$pQ({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$pO, finalProps.value);
    }
  });

  function ownKeys$pP(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$pP(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$pP(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$pP(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$pN = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M12.0017.0664062L11.1458 1.4826 11.1444 1.48492 11.1387 1.49425 11.1147 1.5335C11.0932 1.56853 11.0609 1.62088 11.0187 1.68826 10.9344 1.82308 10.811 2.01778 10.6566 2.2542 10.3472 2.72806 9.91655 3.36466 9.42885 4.02054 8.93869 4.67972 8.40406 5.34058 7.88721 5.87187 7.3436 6.43067 6.91844 6.74123 6.65382 6.83963 6.31619 6.96518 6.09813 6.99997 6.00001 6.99997H5.00001L5.00001 8.99997 6.00235 8.99997V11H18L18 8.99998H19V6.99997H18C17.9021 6.99997 17.6848 6.96535 17.3483 6.84031 17.0841 6.74218 16.6593 6.4319 16.1157 5.87302 15.599 5.34172 15.0644 4.68075 14.5743 4.02141 14.0867 3.36538 13.656 2.72859 13.3466 2.25459 13.1922 2.01809 13.0688 1.82332 12.9845 1.68846 12.9424 1.62105 12.91 1.56869 12.8885 1.53365L12.8645 1.49438 12.8588 1.48505 12.0017.0664062zM2 13L22 13 22 15 21 15 21 22H16V17H8V22H3.00001L3 15H2V13z"
      }
    }, {
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M10 22V19H14V22H10Z"
      }
    }]
  };
  var cityAncientFilled = vue.defineComponent({
    name: "CityAncientFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-city-ancient-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$pP(_objectSpread$pP({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$pN, finalProps.value);
    }
  });

  function ownKeys$pO(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$pO(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$pO(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$pO(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$pM = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M11.1458 1.4826L12.0017 0.0664058L12.8588 1.48505L12.8645 1.49438L12.8885 1.53365C12.91 1.56869 12.9424 1.62105 12.9845 1.68846C13.0688 1.82332 13.1922 2.01809 13.3466 2.25459C13.656 2.72859 14.0867 3.36538 14.5743 4.02141C15.0644 4.68075 15.599 5.34172 16.1157 5.87302C16.6593 6.4319 17.0841 6.74218 17.3483 6.84031C17.6848 6.96535 17.9021 6.99997 18 6.99997L19 6.99997L19 8.99997L18 8.99997L18 11L22 11L22 13L21 13L21 22L3.00001 22L3 13L2 13L2 11L6.00235 11L6.00235 8.99997C6.00157 8.99997 6.00079 8.99997 6.00001 8.99997L5.00001 8.99997L5.00001 6.99997L6.00001 6.99997C6.09813 6.99997 6.31619 6.96518 6.65382 6.83963C6.91844 6.74123 7.3436 6.43067 7.88721 5.87187C8.40406 5.34058 8.93869 4.67972 9.42885 4.02054C9.91655 3.36466 10.3472 2.72806 10.6566 2.2542C10.811 2.01778 10.9344 1.82307 11.0187 1.68826C11.0609 1.62088 11.0932 1.56853 11.1147 1.5335L11.1387 1.49425L11.1444 1.48492L11.1458 1.4826ZM8.00235 8.99997L8.00235 11L16 11L16 8.99997L8.00235 8.99997ZM14.429 6.99997C13.9142 6.44134 13.4132 5.81187 12.9692 5.21456C12.6079 4.72856 12.2779 4.25512 12.0014 3.84478C11.7249 4.25494 11.395 4.72816 11.0338 5.21394C10.5895 5.81145 10.0881 6.44116 9.57296 6.99997L14.429 6.99997ZM5 13L5.00001 20L8.00001 20L8.00001 15L16 15L16 20L19 20L19 13L5 13ZM14 20L14 17L10 17L10 20L14 20Z"
      }
    }]
  };
  var cityAncient = vue.defineComponent({
    name: "CityAncientIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-city-ancient", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$pO(_objectSpread$pO({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$pM, finalProps.value);
    }
  });

  function ownKeys$pN(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$pN(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$pN(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$pN(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$pL = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M2 1.5L10 4.83333V10H22V22H18.5V16H11.5V22H2V1.5ZM8 20V6.16667L4 4.5V20H8Z"
      }
    }, {
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M16.5 22H13.5V18H16.5V22Z"
      }
    }]
  };
  var cityFilled = vue.defineComponent({
    name: "CityFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-city-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$pN(_objectSpread$pN({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$pL, finalProps.value);
    }
  });

  function ownKeys$pM(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$pM(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$pM(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$pM(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$pK = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M2 1.5L10 4.83333V10H22V22H2V1.5ZM10 12V20H12V15H18V20H20V12H10ZM16 20V17H14V20H16ZM8 20V6.16667L4 4.5V20H8Z"
      }
    }]
  };
  var city = vue.defineComponent({
    name: "CityIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-city", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$pM(_objectSpread$pM({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$pK, finalProps.value);
    }
  });

  function ownKeys$pL(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$pL(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$pL(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$pL(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$pJ = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M9 1H15V9.5H21V14H3V9.5H9V1zM3 16H21V23H16V20H14V23H3V16z"
      }
    }]
  };
  var clearFilled = vue.defineComponent({
    name: "ClearFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-clear-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$pL(_objectSpread$pL({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$pJ, finalProps.value);
    }
  });

  function ownKeys$pK(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$pK(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$pK(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$pK(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$pI = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M14.0305 1.88867L23.6874 11.5455L15.3423 19.8906L15.0729 20.1619H19.9993V22.1619L6.74742 22.1619L3.08075 18.4953C1.51865 16.9332 1.51866 14.4005 3.08075 12.8384L14.0305 1.88867ZM5.78786 12.9597L4.49497 14.2526C3.71392 15.0337 3.71392 16.3 4.49497 17.0811L7.57585 20.1619H12.2545L12.6209 19.7928L5.78786 12.9597Z"
      }
    }]
  };
  var clearFormatting1Filled = vue.defineComponent({
    name: "ClearFormatting1FilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-clear-formatting-1-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$pK(_objectSpread$pK({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$pI, finalProps.value);
    }
  });

  function ownKeys$pJ(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$pJ(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$pJ(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$pJ(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$pH = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M14.0305 1.88867L23.6874 11.5455L15.3423 19.8906L15.0729 20.1619H19.9993V22.1619L6.74742 22.1619L3.08075 18.4953C1.51865 16.9332 1.51866 14.4005 3.08075 12.8384L14.0305 1.88867ZM14.3521 18.0523L20.8589 11.5455L14.0305 4.7171L7.20207 11.5455L14.0301 18.3736L14.3506 18.0508L14.3521 18.0523ZM5.78786 12.9597L4.49497 14.2526C3.71392 15.0337 3.71392 16.3 4.49497 17.0811L7.57585 20.1619H12.2545L12.6209 19.7928L5.78786 12.9597Z"
      }
    }]
  };
  var clearFormatting1 = vue.defineComponent({
    name: "ClearFormatting1Icon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-clear-formatting-1", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$pJ(_objectSpread$pJ({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$pH, finalProps.value);
    }
  });

  function ownKeys$pI(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$pI(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$pI(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$pI(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$pG = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M14.0311 1.88843L23.688 11.5453L15.3429 19.8904L15.0735 20.1617H19.9999V22.1617L6.74802 22.1617L0.25293 15.6666L14.0311 1.88843ZM5.78846 12.9595L3.08136 15.6666L7.57645 20.1617H12.2551L12.6215 19.7925L5.78846 12.9595Z"
      }
    }]
  };
  var clearFormattingFilled = vue.defineComponent({
    name: "ClearFormattingFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-clear-formatting-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$pI(_objectSpread$pI({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$pG, finalProps.value);
    }
  });

  function ownKeys$pH(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$pH(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$pH(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$pH(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$pF = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M14.0311 1.88843L23.688 11.5453L15.3429 19.8904L15.0735 20.1617H19.9999V22.1617L6.74802 22.1617L0.25293 15.6666L14.0311 1.88843ZM14.3527 18.0521L20.8595 11.5453L14.0311 4.71685L7.20268 11.5453L14.0307 18.3733L14.3512 18.0505L14.3527 18.0521ZM5.78846 12.9595L3.08136 15.6666L7.57645 20.1617H12.2551L12.6215 19.7925L5.78846 12.9595Z"
      }
    }]
  };
  var clearFormatting = vue.defineComponent({
    name: "ClearFormattingIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-clear-formatting", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$pH(_objectSpread$pH({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$pF, finalProps.value);
    }
  });

  function ownKeys$pG(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$pG(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$pG(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$pG(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$pE = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M9 1L15 1L15 9.5L21 9.5L21 23L3 23L3 9.5L9 9.5L9 1ZM11 3L11 11.5L5 11.5V14L19 14L19 11.5H13L13 3L11 3ZM19 16L5 16L5 21H14V18L16 18V21H19V16Z"
      }
    }]
  };
  var clear = vue.defineComponent({
    name: "ClearIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-clear", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$pG(_objectSpread$pG({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$pE, finalProps.value);
    }
  });

  function ownKeys$pF(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$pF(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$pF(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$pF(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$pD = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M12 23C18.0751 23 23 18.0751 23 12C23 5.92487 18.0751 1 12 1C5.92487 1 1 5.92487 1 12C1 18.0751 5.92487 23 12 23ZM8.81753 7.40346L11.9999 10.5858L15.1815 7.40414L16.5957 8.81835L13.4141 12L16.5957 15.1816L15.1815 16.5958L11.9999 13.4142L8.81753 16.5965L7.40332 15.1823L10.5856 12L7.40332 8.81767L8.81753 7.40346Z"
      }
    }]
  };
  var closeCircleFilled = vue.defineComponent({
    name: "CloseCircleFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-close-circle-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$pF(_objectSpread$pF({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$pD, finalProps.value);
    }
  });

  function ownKeys$pE(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$pE(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$pE(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$pE(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$pC = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M12 21C16.9706 21 21 16.9706 21 12C21 7.02944 16.9706 3 12 3C7.02944 3 3 7.02944 3 12C3 16.9706 7.02944 21 12 21ZM23 12C23 18.0751 18.0751 23 12 23C5.92487 23 0.999999 18.0751 1 12C1 5.92487 5.92487 0.999999 12 1C18.0751 1 23 5.92487 23 12ZM7.40347 15.1823L10.5858 12L7.40347 8.81768L8.81768 7.40347L12 10.5858L15.1816 7.40415L16.5959 8.81836L13.4142 12L16.5959 15.1816L15.1816 16.5959L12 13.4142L8.81768 16.5965L7.40347 15.1823Z"
      }
    }]
  };
  var closeCircle = vue.defineComponent({
    name: "CloseCircleIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-close-circle", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$pE(_objectSpread$pE({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$pC, finalProps.value);
    }
  });

  function ownKeys$pD(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$pD(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$pD(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$pD(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$pB = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M22.5 7.65039L16.3492 1.49963H7.65076L1.5 7.65039V16.3489L7.65076 22.4996H16.3492L22.5 16.3489V7.65039ZM16.5957 8.81797L13.4141 11.9996L16.5957 15.1813L15.1815 16.5955L11.9999 13.4138L8.81753 16.5961L7.40332 15.1819L10.5856 11.9996L7.40332 8.81729L8.81753 7.40308L11.9999 10.5854L15.1815 7.40376L16.5957 8.81797Z"
      }
    }]
  };
  var closeOctagonFilled = vue.defineComponent({
    name: "CloseOctagonFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-close-octagon-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$pD(_objectSpread$pD({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$pB, finalProps.value);
    }
  });

  function ownKeys$pC(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$pC(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$pC(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$pC(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$pA = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M16.3492 1.49963L22.5 7.65039V16.3489L16.3492 22.4996H7.65076L1.5 16.3489L1.5 7.65039L7.65076 1.49963L16.3492 1.49963ZM15.5208 3.49963L8.47918 3.49963L3.5 8.47882L3.5 15.5204L8.47918 20.4996H15.5208L20.5 15.5204L20.5 8.47882L15.5208 3.49963ZM16.5959 8.81799L13.4142 11.9996L16.5959 15.1813L15.1816 16.5955L12 13.4138L8.81768 16.5962L7.40347 15.182L10.5858 11.9996L7.40347 8.81731L8.81768 7.4031L12 10.5854L15.1816 7.40378L16.5959 8.81799Z"
      }
    }]
  };
  var closeOctagon = vue.defineComponent({
    name: "CloseOctagonIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-close-octagon", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$pC(_objectSpread$pC({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$pA, finalProps.value);
    }
  });

  function ownKeys$pB(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$pB(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$pB(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$pB(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$pz = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M22 2V22H2V2H22ZM16.2431 9.17154L14.8289 7.75732L12.0005 10.5858L9.17203 7.75732L7.75781 9.17154L10.5862 12L7.75781 14.8284L9.17203 16.2426L12.0005 13.4142L14.8289 16.2426L16.2431 14.8284L13.4147 12L16.2431 9.17154Z"
      }
    }]
  };
  var closeRectangleFilled = vue.defineComponent({
    name: "CloseRectangleFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-close-rectangle-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$pB(_objectSpread$pB({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$pz, finalProps.value);
    }
  });

  function ownKeys$pA(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$pA(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$pA(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$pA(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$py = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M2 2H22V22H2V2ZM4 4V20H20V4H4ZM9.17157 7.75736L12 10.5858L14.8284 7.75736L16.2426 9.17157L13.4142 12L16.2426 14.8284L14.8284 16.2426L12 13.4142L9.17157 16.2426L7.75736 14.8284L10.5858 12L7.75736 9.17157L9.17157 7.75736Z"
      }
    }]
  };
  var closeRectangle = vue.defineComponent({
    name: "CloseRectangleIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-close-rectangle", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$pA(_objectSpread$pA({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$py, finalProps.value);
    }
  });

  function ownKeys$pz(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$pz(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$pz(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$pz(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$px = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M7.04996 5.63599L11.9997 10.5857L16.9494 5.63599L18.3637 7.0502L13.4139 11.9999L18.3637 16.9497L16.9494 18.3639L11.9997 13.4142L7.04996 18.3639L5.63574 16.9497L10.5855 11.9999L5.63574 7.0502L7.04996 5.63599Z"
      }
    }]
  };
  var close = vue.defineComponent({
    name: "CloseIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-close", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$pz(_objectSpread$pz({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$px, finalProps.value);
    }
  });

  function ownKeys$py(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$py(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$py(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$py(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$pw = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M4.59837 6.28287C5.1802 2.71919 8.27221 0 12 0C15.7278 0 18.8198 2.71919 19.4016 6.28287C22.0637 7.09632 24 9.57116 24 12.5C24 15.0274 22.5573 17.2161 20.4552 18.2907L19.5648 18.7459L18.6544 16.9651L19.5448 16.5099C21.0044 15.7638 22 14.2473 22 12.5C22 10.2915 20.408 8.45275 18.3089 8.07232L17.538 7.93262L17.4891 7.15072C17.3095 4.27638 14.9202 2 12 2C9.0798 2 6.69051 4.27638 6.51088 7.15072L6.46201 7.93262L5.69115 8.07232C3.59195 8.45275 2 10.2915 2 12.5C2 14.2473 2.99564 15.7638 4.45517 16.5099L5.34557 16.9651L4.43523 18.7459L3.54483 18.2907C1.44268 17.2161 0 15.0274 0 12.5C0 9.57116 1.93625 7.09632 4.59837 6.28287ZM13 10L13 19.5858L16 16.5858L17.4142 18L12 23.4142L6.58579 18L8 16.5858L11 19.5858L11 10H13Z"
      }
    }]
  };
  var cloudDownload = vue.defineComponent({
    name: "CloudDownloadIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-cloud-download", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$py(_objectSpread$py({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$pw, finalProps.value);
    }
  });

  function ownKeys$px(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$px(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$px(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$px(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$pv = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M4 10C4 6.13401 7.13401 3 11 3C14.1873 3 16.8756 5.12935 17.7225 8.04306C20.6955 8.39988 23 10.9308 23 14C23 17.3137 20.3137 20 17 20H6C3.23858 20 1 17.7614 1 15C1 12.9443 2.23985 11.18 4.01191 10.4112C4.004 10.275 4 10.1379 4 10Z"
      }
    }]
  };
  var cloudFilled = vue.defineComponent({
    name: "CloudFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-cloud-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$px(_objectSpread$px({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$pv, finalProps.value);
    }
  });

  function ownKeys$pw(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$pw(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$pw(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$pw(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$pu = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M4.59837 6.28287C5.1802 2.71919 8.27221 0 12 0C15.7278 0 18.8198 2.71919 19.4016 6.28287C22.0637 7.09632 24 9.57116 24 12.5C24 15.0274 22.5573 17.2161 20.4552 18.2907L19.5648 18.7459L18.6544 16.9651L19.5448 16.5099C21.0044 15.7638 22 14.2473 22 12.5C22 10.2915 20.408 8.45275 18.3089 8.07232L17.538 7.93262L17.4891 7.15072C17.3095 4.27638 14.9202 2 12 2C9.0798 2 6.69051 4.27638 6.51088 7.15072L6.46201 7.93262L5.69115 8.07232C3.59195 8.45275 2 10.2915 2 12.5C2 14.2473 2.99564 15.7638 4.45517 16.5099L5.34557 16.9651L4.43523 18.7459L3.54483 18.2907C1.44268 17.2161 0 15.0274 0 12.5C0 9.57116 1.93625 7.09632 4.59837 6.28287ZM12 9.58579L17.4142 15L16 16.4142L13 13.4142L13 23H11L11 13.4142L8 16.4142L6.58579 15L12 9.58579Z"
      }
    }]
  };
  var cloudUpload = vue.defineComponent({
    name: "CloudUploadIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-cloud-upload", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$pw(_objectSpread$pw({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$pu, finalProps.value);
    }
  });

  function ownKeys$pv(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$pv(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$pv(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$pv(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$pt = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M11 5C8.23858 5 6 7.23858 6 10C6 10.3148 6.02896 10.6218 6.0841 10.919L6.25897 11.8615L5.32474 12.0761C3.99272 12.382 3 13.5763 3 15C3 16.6569 4.34315 18 6 18H17C19.2091 18 21 16.2091 21 14C21 11.7909 19.2091 10 17 10C16.9778 10 16.9556 10.0002 16.9334 10.0005L16.0732 10.0145L15.9309 9.16602C15.5345 6.80174 13.4767 5 11 5ZM4 10C4 6.13401 7.13401 3 11 3C14.1873 3 16.8756 5.12935 17.7225 8.04306C20.6955 8.39988 23 10.9308 23 14C23 17.3137 20.3137 20 17 20H6C3.23858 20 1 17.7614 1 15C1 12.9443 2.23985 11.18 4.01191 10.4112C4.004 10.275 4 10.1379 4 10Z"
      }
    }]
  };
  var cloud = vue.defineComponent({
    name: "CloudIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-cloud", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$pv(_objectSpread$pv({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$pt, finalProps.value);
    }
  });

  function ownKeys$pu(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$pu(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$pu(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$pu(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$ps = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M9.4144 6.00452C10.1848 4.23654 11.9471 3 14 3C16.0515 3 17.8127 4.23474 18.584 6.00077C21.0305 6.04554 23 8.04277 23 10.5C23 11.7164 22.3825 12.8297 21.6125 13.6125C21.1455 14.0873 20.5607 14.5022 19.9229 14.7518C19.9736 15.0494 20 15.3552 20 15.6667C20 18.5938 17.6677 21 14.75 21H5.4C2.95173 21 1 18.9818 1 16.5333C1 14.7432 2.0402 13.1875 3.55599 12.4768C3.55201 12.385 3.55 12.2927 3.55 12.2C3.55 8.87357 6.13792 6.13052 9.4144 6.00452ZM9.65 8C7.40385 8 5.55 9.86201 5.55 12.2C5.55 12.4658 5.57398 12.7249 5.61959 12.9756L5.78988 13.9114L4.86377 14.1283C3.80838 14.3754 3 15.3489 3 16.5333C3 17.914 4.09273 19 5.4 19H14.75C16.5267 19 18 17.526 18 15.6667C18 15.2078 17.9101 14.7732 17.7487 14.3786C17.2531 13.1668 16.089 12.3333 14.75 12.3333C14.732 12.3333 14.7141 12.3335 14.6961 12.3338L13.8329 12.3481L13.6928 11.4962C13.385 9.62419 11.8728 8.18959 10.0276 8.01751C9.90351 8.00594 9.77757 8 9.65 8Z"
      }
    }]
  };
  var cloudyDayFilled = vue.defineComponent({
    name: "CloudyDayFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-cloudy-day-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$pu(_objectSpread$pu({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$ps, finalProps.value);
    }
  });

  function ownKeys$pt(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$pt(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$pt(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$pt(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$pr = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M9.4144 6.00452C10.1848 4.23654 11.9471 3 14 3C16.0515 3 17.8127 4.23474 18.584 6.00077C21.0305 6.04554 23 8.04277 23 10.5C23 11.7164 22.3825 12.8297 21.6125 13.6125C21.1455 14.0873 20.5607 14.5022 19.9229 14.7518C19.9736 15.0494 20 15.3552 20 15.6667C20 18.5938 17.6677 21 14.75 21H5.4C2.95173 21 1 18.9818 1 16.5333C1 14.7432 2.0402 13.1875 3.55599 12.4768C3.55201 12.385 3.55 12.2927 3.55 12.2C3.55 8.87357 6.13792 6.13052 9.4144 6.00452ZM11.528 6.29932C13.4228 6.92138 14.904 8.45739 15.4841 10.385C17.0719 10.6105 18.4254 11.5564 19.2248 12.8765C19.5308 12.752 19.8701 12.5318 20.1867 12.2099C20.7046 11.6835 21 11.0468 21 10.5C21 9.11929 19.8807 8 18.5 8C18.3496 8 18.203 8.01318 18.0612 8.03821L17.1369 8.20141L16.9155 7.28925C16.5966 5.975 15.411 5 14 5C12.9753 5 12.0693 5.51426 11.528 6.29932ZM9.65 8C7.40385 8 5.55 9.86201 5.55 12.2C5.55 12.4658 5.57398 12.7249 5.61959 12.9756L5.78988 13.9114L4.86377 14.1283C3.80838 14.3754 3 15.3489 3 16.5333C3 17.914 4.09273 19 5.4 19H14.75C16.5267 19 18 17.526 18 15.6667C18 15.2078 17.9101 14.7732 17.7487 14.3786C17.2531 13.1668 16.089 12.3333 14.75 12.3333C14.732 12.3333 14.7141 12.3335 14.6961 12.3338L13.8329 12.3481L13.6928 11.4962C13.385 9.62419 11.8728 8.18959 10.0276 8.01751C9.90351 8.00594 9.77757 8 9.65 8Z"
      }
    }]
  };
  var cloudyDay = vue.defineComponent({
    name: "CloudyDayIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-cloudy-day", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$pt(_objectSpread$pt({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$pr, finalProps.value);
    }
  });

  function ownKeys$ps(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$ps(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$ps(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$ps(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$pq = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M16.1333 0.920898L16.031 2.1055C16.0198 2.23508 16.0141 2.36645 16.0141 2.49939C16.0141 4.98797 18.0315 7.00536 20.5201 7.00536C20.653 7.00536 20.7844 6.99963 20.914 6.98845L22.0986 6.88616L21.9963 8.07076C21.8488 9.7793 21.0419 11.2971 19.8336 12.3704C20.5729 13.2765 21.0195 14.4252 21.0195 15.6805C21.0195 18.6638 18.519 21.0185 15.5147 21.0185H5.60391C3.09715 21.0185 1 19.0522 1 16.5481C1 14.7164 2.12578 13.1695 3.70861 12.4734C3.70484 12.386 3.70293 12.2982 3.70293 12.21C3.70293 9.06341 6.1015 6.51059 9.1673 6.07126C9.78028 3.34598 12.1017 1.26901 14.9487 1.02318L16.1333 0.920898ZM10.1088 8.00437C10.0874 8.00437 10.066 8.00452 10.0446 8.00481C7.60588 8.0379 5.70293 9.94228 5.70293 12.21C5.70293 12.4726 5.72801 12.7286 5.77576 12.9765L5.95986 13.9319L5.00979 14.1421C3.83284 14.4024 3 15.4033 3 16.5481C3 17.8772 4.1299 19.0185 5.60391 19.0185H15.5147C17.4863 19.0185 19.0195 17.4888 19.0195 15.6805C19.0195 14.628 18.5078 13.6794 17.6867 13.0607C17.557 12.963 17.4199 12.8738 17.2761 12.794C16.7608 12.5078 16.1602 12.3424 15.5147 12.3424C15.4949 12.3424 15.4753 12.3426 15.4557 12.3429L14.6014 12.3562L14.4548 11.5145C14.1722 9.89101 12.9017 8.55454 11.2163 8.13818C10.8636 8.05104 10.4927 8.00437 10.1088 8.00437Z"
      }
    }]
  };
  var cloudyNightFilled = vue.defineComponent({
    name: "CloudyNightFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-cloudy-night-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$ps(_objectSpread$ps({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$pq, finalProps.value);
    }
  });

  function ownKeys$pr(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$pr(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$pr(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$pr(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$pp = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M16.1313 0.901367L16.029 2.08597C16.0178 2.21553 16.0121 2.34687 16.0121 2.47979C16.0121 4.96789 18.0291 6.98489 20.5172 6.98489C20.6501 6.98489 20.7814 6.97917 20.911 6.96798L22.0956 6.8657L21.9933 8.0503C21.8458 9.75856 21.0391 11.2761 19.8311 12.3493C20.5702 13.2552 21.0167 14.4038 21.0167 15.6588C21.0167 17.871 19.634 19.7444 17.7014 20.5572L16.7796 20.9449L16.0042 19.1014L16.926 18.7137C18.1755 18.1881 19.0167 17.0041 19.0167 15.6588C19.0167 14.6066 18.5051 13.6582 17.6842 13.0396C17.5545 12.9419 17.4174 12.8527 17.2737 12.7729C16.7584 12.4868 16.1579 12.3214 15.5125 12.3214C15.5007 12.3214 15.4889 12.3215 15.4771 12.3216C15.4692 12.3217 15.4614 12.3218 15.4535 12.3219L14.5993 12.3352L14.4527 11.4935C14.1701 9.87034 12.8999 8.53412 11.2149 8.11784C10.8622 8.03072 10.4913 7.98406 10.1075 7.98406C10.0861 7.98406 10.0647 7.98421 10.0434 7.9845C7.60508 8.01758 5.70251 9.9216 5.70251 12.1889C5.70251 12.4514 5.72758 12.7074 5.77532 12.9552L5.95942 13.9106L5.00935 14.1208C3.83266 14.381 3 15.3817 3 16.5262C3 17.4741 3.56688 18.3187 4.43353 18.7334L5.33556 19.1651L4.47222 20.9692L3.57019 20.5375C2.06388 19.8166 1 18.3032 1 16.5262C1 14.6949 2.1256 13.1481 3.70819 12.4522C3.70441 12.3648 3.70251 12.277 3.70251 12.1889C3.70251 9.04272 6.1007 6.49027 9.16605 6.05095C9.77898 3.32609 12.1 1.24945 14.9467 1.00365L16.1313 0.901367ZM11.9961 13.9755H14V15.9794H11.9961V13.9755ZM7 15.9755H9.00391V17.9794H7V15.9755ZM12 18.9755H14.0039V20.9794H12V18.9755ZM7 20.9755H9.00391V22.9794H7V20.9755Z"
      }
    }]
  };
  var cloudyNightRainFilled = vue.defineComponent({
    name: "CloudyNightRainFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-cloudy-night-rain-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$pr(_objectSpread$pr({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$pp, finalProps.value);
    }
  });

  function ownKeys$pq(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$pq(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$pq(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$pq(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$po = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M17.1313 0.901367L17.029 2.08597C17.0178 2.21553 17.0121 2.34687 17.0121 2.47979C17.0121 4.96789 19.0291 6.98489 21.5172 6.98489C21.6501 6.98489 21.7814 6.97917 21.911 6.96798L23.0956 6.8657L22.9933 8.0503C22.8458 9.75856 22.0391 11.2761 20.8311 12.3493C21.5702 13.2552 22.0167 14.4038 22.0167 15.6588C22.0167 17.871 20.634 19.7444 18.7014 20.5572L17.7796 20.9449L17.0042 19.1014L17.926 18.7137C19.1755 18.1881 20.0167 17.0041 20.0167 15.6588C20.0167 14.6066 19.5051 13.6582 18.6842 13.0396C18.5545 12.9419 18.4174 12.8527 18.2737 12.7729C17.7584 12.4868 17.1579 12.3214 16.5125 12.3214C16.5007 12.3214 16.4889 12.3215 16.4771 12.3216C16.4692 12.3217 16.4614 12.3218 16.4535 12.3219L15.5993 12.3352L15.4527 11.4935C15.1701 9.87034 13.8999 8.53412 12.2149 8.11784C11.8622 8.03072 11.4913 7.98406 11.1075 7.98406C11.0861 7.98406 11.0647 7.98421 11.0434 7.9845C8.60508 8.01758 6.70251 9.9216 6.70251 12.1889C6.70251 12.4514 6.72758 12.7074 6.77532 12.9552L6.95942 13.9106L6.00935 14.1208C4.83266 14.381 4 15.3817 4 16.5262C4 17.4741 4.56688 18.3187 5.43353 18.7334L6.33556 19.1651L5.47222 20.9692L4.57019 20.5375C3.06388 19.8166 2 18.3032 2 16.5262C2 14.6949 3.1256 13.1481 4.70819 12.4522C4.70441 12.3648 4.70251 12.277 4.70251 12.1889C4.70251 9.04272 7.1007 6.49027 10.166 6.05095C10.779 3.32609 13.1 1.24945 15.9467 1.00365L17.1313 0.901367ZM12.2307 6.0793C12.3873 6.10615 12.5419 6.13852 12.6945 6.17621C14.8438 6.70718 16.5773 8.29772 17.2318 10.3667C17.9548 10.4583 18.6357 10.6863 19.2445 11.0243C19.2552 11.0303 19.2659 11.0363 19.2766 11.0423C19.9629 10.5083 20.4899 9.78093 20.7764 8.94318C17.7757 8.60303 15.3939 6.22131 15.0538 3.22058C13.7215 3.67633 12.6701 4.73959 12.2307 6.0793ZM12.9961 13.9755H15V15.9794H12.9961V13.9755ZM8 15.9755H10.0039V17.9794H8V15.9755ZM13 18.9755H15.0039V20.9794H13V18.9755ZM8 20.9755H10.0039V22.9794H8V20.9755Z"
      }
    }]
  };
  var cloudyNightRain = vue.defineComponent({
    name: "CloudyNightRainIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-cloudy-night-rain", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$pq(_objectSpread$pq({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$po, finalProps.value);
    }
  });

  function ownKeys$pp(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$pp(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$pp(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$pp(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$pn = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M17.1333 0.920898L17.031 2.1055C17.0198 2.23508 17.0141 2.36645 17.0141 2.49939C17.0141 4.98797 19.0315 7.00536 21.5201 7.00536C21.653 7.00536 21.7844 6.99963 21.914 6.98845L23.0986 6.88616L22.9963 8.07076C22.8488 9.7793 22.0419 11.2971 20.8336 12.3704C21.5729 13.2765 22.0195 14.4252 22.0195 15.6805C22.0195 18.6638 19.519 21.0185 16.5147 21.0185H6.60391C4.09715 21.0185 2 19.0522 2 16.5481C2 14.7164 3.12578 13.1695 4.70861 12.4734C4.70484 12.386 4.70293 12.2982 4.70293 12.21C4.70293 9.06341 7.1015 6.51059 10.1673 6.07126C10.7803 3.34598 13.1017 1.26901 15.9487 1.02318L17.1333 0.920898ZM12.232 6.09959C12.3886 6.12645 12.5433 6.15884 12.696 6.19655C14.8456 6.7276 16.5794 8.31838 17.2339 10.3877C17.9571 10.4793 18.638 10.7073 19.247 11.0454C19.2577 11.0514 19.2685 11.0574 19.2792 11.0634C19.9657 10.5293 20.4928 9.80169 20.7794 8.96367C17.7781 8.62355 15.3959 6.24138 15.0558 3.24009C13.7232 3.69591 12.6715 4.75949 12.232 6.09959ZM11.1088 8.00437C11.0874 8.00437 11.066 8.00452 11.0446 8.00481C8.60588 8.0379 6.70293 9.94228 6.70293 12.21C6.70293 12.4726 6.72801 12.7286 6.77576 12.9765L6.95986 13.9319L6.00979 14.1421C4.83284 14.4024 4 15.4033 4 16.5481C4 17.8772 5.1299 19.0185 6.60391 19.0185H16.5147C18.4863 19.0185 20.0195 17.4888 20.0195 15.6805C20.0195 14.628 19.5078 13.6794 18.6867 13.0607C18.557 12.963 18.4199 12.8738 18.2761 12.794C17.7608 12.5078 17.1602 12.3424 16.5147 12.3424C16.4949 12.3424 16.4753 12.3426 16.4557 12.3429L15.6014 12.3562L15.4548 11.5145C15.1722 9.89101 13.9017 8.55454 12.2163 8.13818C11.8636 8.05104 11.4927 8.00437 11.1088 8.00437Z"
      }
    }]
  };
  var cloudyNight = vue.defineComponent({
    name: "CloudyNightIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-cloudy-night", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$pp(_objectSpread$pp({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$pn, finalProps.value);
    }
  });

  function ownKeys$po(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$po(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$po(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$po(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$pm = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M16.0035 1V3.00396L14 3.00424V1.00027L16.0035 1ZM10.0524 2.63458L11.4699 4.05185L10.0529 5.4685L8.63643 4.05168L10.0524 2.63458ZM19.9515 2.63476L21.3674 4.05132L19.9516 5.46846L18.5337 4.05202L19.9515 2.63476ZM10.9588 6.05557C10.6775 6.01898 10.3908 6.00014 10.1 6.00014C6.60128 6.00014 3.7 8.74073 3.7 12.2001C3.7 12.288 3.70189 12.3755 3.70565 12.4626C2.12452 13.1582 1 14.7036 1 16.5335C1 18.3092 2.06313 19.8215 3.56833 20.5418L4.47036 20.9735L5.3337 19.1694L4.43167 18.7378C3.56612 18.3235 3 17.4801 3 16.5335C3 15.3905 3.83155 14.3911 5.00676 14.1311L5.95683 13.921L5.77273 12.9655C5.72505 12.7181 5.7 12.4623 5.7 12.2001C5.7 9.91577 7.63404 8.00014 10.1 8.00014C10.4834 8.00014 10.8538 8.04674 11.2061 8.13376C12.8892 8.54957 14.158 9.88428 14.4403 11.5056L14.5868 12.3473L15.4411 12.3339C15.4607 12.3336 15.4803 12.3335 15.5 12.3335C16.1446 12.3335 16.7444 12.4987 17.259 12.7844C18.3143 13.3703 19 14.4514 19 15.6668C19 17.0105 18.1598 18.1931 16.9118 18.718L15.99 19.1057L16.7654 20.9493L17.6872 20.5616C19.6183 19.7493 21 17.8774 21 15.6668C21 14.0925 20.2982 12.6885 19.1971 11.7183C19.7046 10.936 20 10.0022 20 9.00012C20 6.2387 17.7614 4.00012 15 4.00012C13.3383 4.00012 11.8672 4.81094 10.9588 6.05557ZM21 8.00004L23.0039 8.00029V10.0037H21V8.00004ZM11.998 13.9982H14.002V16.0021H11.998V13.9982ZM6.99805 15.9982H9.00195V18.0021H6.99805V15.9982ZM11.998 18.9982H14.002V21.0021H11.998V18.9982ZM6.99805 20.9982H9.00195V23.0021H6.99805V20.9982Z"
      }
    }]
  };
  var cloudyRainFilled = vue.defineComponent({
    name: "CloudyRainFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-cloudy-rain-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$po(_objectSpread$po({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$pm, finalProps.value);
    }
  });

  function ownKeys$pn(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$pn(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$pn(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$pn(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$pl = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "g",
      "attrs": {
        "clipPath": "url(#clip0_8726_9655)"
      },
      "children": [{
        "tag": "path",
        "attrs": {
          "fill": "currentColor",
          "d": "M17.0035 1V3.00396L15 3.00424V1.00027L17.0035 1ZM11.0524 2.63458L12.4699 4.05185L11.0529 5.4685L9.63643 4.05168L11.0524 2.63458ZM20.9515 2.63476L22.3674 4.05132L20.9516 5.46846L19.5337 4.05202L20.9515 2.63476ZM11.9588 6.05557C11.6775 6.01898 11.3908 6.00014 11.1 6.00014C7.60128 6.00014 4.7 8.74073 4.7 12.2001C4.7 12.288 4.70189 12.3755 4.70565 12.4626C3.12452 13.1582 2 14.7036 2 16.5335C2 18.3092 3.06313 19.8215 4.56833 20.5418L5.47036 20.9735L6.3337 19.1694L5.43167 18.7378C4.56612 18.3235 4 17.4801 4 16.5335C4 15.3905 4.83155 14.3911 6.00676 14.1311L6.95683 13.921L6.77273 12.9655C6.72505 12.7181 6.7 12.4623 6.7 12.2001C6.7 9.91578 8.63404 8.00014 11.1 8.00014C11.4834 8.00014 11.8538 8.04674 12.2061 8.13376C13.8892 8.54957 15.158 9.88428 15.4403 11.5056L15.5868 12.3473L16.4411 12.3339C16.4607 12.3336 16.4803 12.3335 16.5 12.3335C17.1446 12.3335 17.7444 12.4987 18.259 12.7844C19.3143 13.3703 20 14.4514 20 15.6668C20 17.0105 19.1598 18.1931 17.9118 18.718L16.99 19.1057L17.7654 20.9493L18.6872 20.5616C20.6183 19.7493 22 17.8774 22 15.6668C22 14.0925 21.2982 12.6885 20.1971 11.7183C20.7046 10.936 21 10.0022 21 9.00012C21 6.2387 18.7614 4.00012 16 4.00012C14.3383 4.00012 12.8672 4.81094 11.9588 6.05557ZM14.067 6.70559C14.5896 6.26491 15.2642 6.00012 16 6.00012C17.6569 6.00012 19 7.34327 19 9.00012C19 9.62695 18.8084 10.2082 18.4796 10.6896C18.0794 10.5399 17.6571 10.4343 17.2193 10.3788C16.7126 8.77763 15.5592 7.46331 14.067 6.70559ZM22 8.00004L24.004 8.00029V10.0037H22V8.00004ZM12.998 13.9982H15.002V16.0021H12.998V13.9982ZM7.99805 15.9982H10.002V18.0021H7.99805V15.9982ZM12.998 18.9982H15.002V21.0021H12.998V18.9982ZM7.99805 20.9982H10.002V23.0021H7.99805V20.9982Z"
        }
      }]
    }]
  };
  var cloudyRain = vue.defineComponent({
    name: "CloudyRainIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-cloudy-rain", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$pn(_objectSpread$pn({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$pl, finalProps.value);
    }
  });

  function ownKeys$pm(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$pm(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$pm(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$pm(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$pk = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M16.0035 1V3.00396L14 3.00424V1.00027L16.0035 1ZM10.0524 2.63458L11.4699 4.05185L10.0529 5.4685L8.63643 4.05168L10.0524 2.63458ZM19.9515 2.63476L21.3674 4.05132L19.9516 5.46846L18.5337 4.05202L19.9515 2.63476ZM10.9588 6.05557C11.8672 4.81094 13.3383 4.00012 15 4.00012C17.7614 4.00012 20 6.2387 20 9.00012C20 10.0022 19.7046 10.936 19.1971 11.7183C20.2982 12.6885 21 14.0925 21 15.6668C21 18.6476 18.5017 21.0001 15.5 21.0001H5.6C3.0954 21.0001 1 19.0356 1 16.5335C1 14.7036 2.12452 13.1582 3.70565 12.4626C3.70189 12.3755 3.7 12.288 3.7 12.2001C3.7 8.74073 6.60128 6.00013 10.1 6.00013C10.3908 6.00013 10.6775 6.01898 10.9588 6.05557ZM10.1 8.00013C7.63404 8.00013 5.7 9.91577 5.7 12.2001C5.7 12.4623 5.72505 12.718 5.77273 12.9655L5.95683 13.921L5.00676 14.1311C3.83155 14.3911 3 15.3905 3 16.5335C3 17.8605 4.12815 19.0001 5.6 19.0001H15.5C17.4689 19.0001 19 17.4725 19 15.6668C19 14.4514 18.3143 13.3703 17.259 12.7844C16.7444 12.4986 16.1446 12.3335 15.5 12.3335C15.4803 12.3335 15.4607 12.3336 15.4411 12.3339L14.5868 12.3473L14.4403 11.5056C14.158 9.88428 12.8892 8.54957 11.2061 8.13376C10.8538 8.04674 10.4834 8.00013 10.1 8.00013ZM21 8.00004L23.0039 8.00028V10.0037H21V8.00004Z"
      }
    }]
  };
  var cloudySunnyFilled = vue.defineComponent({
    name: "CloudySunnyFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-cloudy-sunny-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$pm(_objectSpread$pm({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$pk, finalProps.value);
    }
  });

  function ownKeys$pl(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$pl(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$pl(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$pl(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$pj = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "g",
      "attrs": {
        "clipPath": "url(#clip0_8726_9651)"
      },
      "children": [{
        "tag": "path",
        "attrs": {
          "fill": "currentColor",
          "d": "M17.0035 1V3.00396L15 3.00424V1.00027L17.0035 1ZM11.0524 2.63458L12.4699 4.05185L11.0529 5.4685L9.63643 4.05168L11.0524 2.63458ZM20.9515 2.63476L22.3674 4.05132L20.9516 5.46846L19.5337 4.05202L20.9515 2.63476ZM11.9588 6.05557C12.8672 4.81094 14.3383 4.00012 16 4.00012C18.7614 4.00012 21 6.2387 21 9.00012C21 10.0022 20.7046 10.936 20.1971 11.7183C21.2982 12.6885 22 14.0925 22 15.6668C22 18.6476 19.5017 21.0001 16.5 21.0001H6.6C4.0954 21.0001 2 19.0356 2 16.5335C2 14.7036 3.12452 13.1582 4.70565 12.4626C4.70189 12.3755 4.7 12.288 4.7 12.2001C4.7 8.74073 7.60128 6.00014 11.1 6.00014C11.3908 6.00014 11.6775 6.01898 11.9588 6.05557ZM14.067 6.70559C15.5592 7.46331 16.7126 8.77763 17.2193 10.3788C17.6571 10.4343 18.0794 10.5399 18.4796 10.6896C18.8084 10.2082 19 9.62695 19 9.00012C19 7.34327 17.6569 6.00012 16 6.00012C15.2642 6.00012 14.5896 6.26491 14.067 6.70559ZM11.1 8.00014C8.63404 8.00014 6.7 9.91578 6.7 12.2001C6.7 12.4623 6.72505 12.7181 6.77273 12.9655L6.95683 13.921L6.00676 14.1311C4.83155 14.3911 4 15.3905 4 16.5335C4 17.8605 5.12815 19.0001 6.6 19.0001H16.5C18.4689 19.0001 20 17.4725 20 15.6668C20 14.4514 19.3143 13.3703 18.259 12.7844C17.7444 12.4987 17.1446 12.3335 16.5 12.3335C16.4803 12.3335 16.4607 12.3336 16.4411 12.3339L15.5868 12.3473L15.4403 11.5056C15.158 9.88428 13.8892 8.54957 12.2061 8.13376C11.8538 8.04674 11.4834 8.00014 11.1 8.00014ZM22 8.00004L24.004 8.00029V10.0037H22V8.00004Z"
        }
      }]
    }]
  };
  var cloudySunny = vue.defineComponent({
    name: "CloudySunnyIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-cloudy-sunny", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$pl(_objectSpread$pl({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$pj, finalProps.value);
    }
  });

  function ownKeys$pk(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$pk(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$pk(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$pk(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$pi = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M0.585938 11.9997L5.53569 7.04993L6.9499 8.46414L3.41436 11.9997L6.9499 15.5352L5.53569 16.9494L0.585938 11.9997ZM17.0504 15.5352L20.5859 11.9997L17.0504 8.46414L18.4646 7.04993L23.4144 11.9997L18.4646 16.9494L17.0504 15.5352Z"
      }
    }]
  };
  var code1 = vue.defineComponent({
    name: "Code1Icon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-code-1", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$pk(_objectSpread$pk({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$pi, finalProps.value);
    }
  });

  function ownKeys$pj(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$pj(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$pj(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$pj(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$ph = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M23.4142 11.9995L18.4646 7.04991L17.0504 8.46412L20.5861 11.9998L18.0862 14.501L19.5007 15.9149L23.4142 11.9995ZM21.4144 20.0006L4.00015 2.58643L2.58594 4.00064L5.58575 7.00045L0.585938 12.0003L5.53568 16.95L6.9499 15.5358L3.41436 12.0003L6.99996 8.41466L20.0002 21.4149L21.4144 20.0006Z"
      }
    }]
  };
  var codeOff = vue.defineComponent({
    name: "CodeOffIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-code-off", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$pj(_objectSpread$pj({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$ph, finalProps.value);
    }
  });

  function ownKeys$pi(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$pi(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$pi(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$pi(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$pg = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M0.585938 12L5.53569 7.05028L6.9499 8.46449L3.41436 12L6.9499 15.5356L5.53569 16.9498L0.585938 12ZM8.78747 20.728L13.2725 2.78772L15.2128 3.27279L10.7278 21.2131L8.78747 20.728ZM17.0504 15.5356L20.5859 12L17.0504 8.46449L18.4646 7.05027L23.4144 12L18.4646 16.9498L17.0504 15.5356Z"
      }
    }]
  };
  var code = vue.defineComponent({
    name: "CodeIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-code", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$pi(_objectSpread$pi({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$pg, finalProps.value);
    }
  });

  function ownKeys$ph(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$ph(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$ph(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$ph(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$pf = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M16.5717 1.01367L22.9863 7.42827L22.11 11.7814L19.0679 14.8234L19.0719 14.8273C19.0103 14.8889 18.9442 14.9525 18.8735 15.0179L11.7833 22.1081L7.4302 22.9844L1.01562 16.5698L1.88954 12.2148L12.2167 1.88767L16.5717 1.01367ZM9.69294 18.1763L11.2898 19.7732L13.2592 17.8037C12.1975 18.0429 11.0078 18.1861 9.69294 18.1763ZM9.26342 20.5752L3.42361 14.7354L3.18729 15.913L8.08641 20.8122L9.26342 20.5752ZM4.31984 12.8032C10.7341 13.3003 14.6277 10.4229 16.6536 8.16643L12.71 4.22283L4.22471 12.7081L4.31984 12.8032ZM14.7373 3.4217L20.5771 9.26153L20.8141 8.08446L15.915 3.18535L14.7373 3.4217Z"
      }
    }]
  };
  var colaFilled = vue.defineComponent({
    name: "ColaFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-cola-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$ph(_objectSpread$ph({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$pf, finalProps.value);
    }
  });

  function ownKeys$pg(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$pg(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$pg(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$pg(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$pe = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "g",
      "attrs": {
        "clipPath": "url(#clip0_8726_9398)"
      },
      "children": [{
        "tag": "path",
        "attrs": {
          "fill": "currentColor",
          "d": "M17.3068 0.892578L23.1075 6.69331L21.903 11.5113L18.7295 14.6848C18.5966 14.8344 18.4397 14.9924 18.2592 15.1551L11.5113 21.903L6.69329 23.1075L0.892578 17.3068L2.09706 12.4888L12.4888 2.09711L17.3068 0.892578ZM16.8807 13.7051L19.5858 11.0001L18.0562 9.47045C15.951 11.7693 12.1533 14.6621 6.42274 15.0085L7.46405 16.0499C12.3764 16.6092 15.6007 14.837 16.8807 13.7051ZM9.56842 18.1542L11 19.5859L12.8046 17.7813C11.8268 17.9987 10.7462 18.1363 9.56842 18.1542ZM9.04405 20.4583L3.54181 14.956L3.1075 16.6933L7.30679 20.8926L9.04405 20.4583ZM4.43747 13.0233C10.6351 13.3114 14.5825 10.3319 16.6407 8.05497L13 4.41428L4.41424 13.0001L4.43747 13.0233ZM14.956 3.54184L20.4583 9.04407L20.8926 7.30681L16.6933 3.10751L14.956 3.54184Z"
        }
      }]
    }]
  };
  var cola = vue.defineComponent({
    name: "ColaIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-cola", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$pg(_objectSpread$pg({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$pe, finalProps.value);
    }
  });

  function ownKeys$pf(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$pf(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$pf(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$pf(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$pd = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M9.29434 22H22V18.1952L11.5196 13.4698 9.29434 22zM22 16.0013V2H14.5117L12.0317 11.5068 22 16.0013zM12.4448 2H2V22H7.2274L12.4448 2z"
      }
    }]
  };
  var collageFilled = vue.defineComponent({
    name: "CollageFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-collage-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$pf(_objectSpread$pf({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$pd, finalProps.value);
    }
  });

  function ownKeys$pe(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$pe(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$pe(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$pe(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$pc = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M2 2L22 2L22 22L2 22L2 2ZM4 4L4 20H8.19783L11.7534 4L4 4ZM13.8022 4L12.1606 11.3872L20 14.523L20 4L13.8022 4ZM20 16.677L11.721 13.3654L10.2466 20L20 20V16.677Z"
      }
    }]
  };
  var collage = vue.defineComponent({
    name: "CollageIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-collage", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$pe(_objectSpread$pe({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$pc, finalProps.value);
    }
  });

  function ownKeys$pd(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$pd(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$pd(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$pd(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$pb = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M19 4V2H5V4L19 4ZM21 7.5L3 7.5V5.5L21 5.5V7.5ZM23 9V22H1V9L23 9Z"
      }
    }]
  };
  var collectionFilled = vue.defineComponent({
    name: "CollectionFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-collection-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$pd(_objectSpread$pd({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$pb, finalProps.value);
    }
  });

  function ownKeys$pc(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$pc(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$pc(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$pc(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$pa = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M18 4H19V2H18H6H5V4H6L18 4ZM21 7.5H20L4 7.5H3V5.5L4 5.5L20 5.5H21V7.5ZM23 9V10V21V22H22H2H1V21V10V9H2L22 9H23ZM21 11L3 11L3 20H21V11Z"
      }
    }]
  };
  var collection = vue.defineComponent({
    name: "CollectionIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-collection", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$pc(_objectSpread$pc({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$pa, finalProps.value);
    }
  });

  function ownKeys$pb(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$pb(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$pb(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$pb(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$p9 = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M11 2.58569L5.98959 7.5961C2.67014 10.9156 2.67014 16.2975 5.98959 19.6169 7.39452 21.0218 9.1689 21.8322 11 22.0478V2.58569zM13 22.0478C13.8092 21.9525 14.6073 21.7411 15.3673 21.4135 15.6098 21.3117 15.8485 21.1951 16.0852 21.063 16.7711 20.6868 17.4161 20.2089 17.998 19.6293 18.8886 18.7953 19.5191 17.7894 19.9155 16.71 21.1094 13.6604 20.4744 10.0601 18.0104 7.5961L13 2.58569V22.0478z"
      }
    }]
  };
  var colorInvertFilled = vue.defineComponent({
    name: "ColorInvertFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-color-invert-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$pb(_objectSpread$pb({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$p9, finalProps.value);
    }
  });

  function ownKeys$pa(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$pa(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$pa(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$pa(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$p8 = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M12 1.58569L18.0104 7.5961C20.4744 10.0601 21.1094 13.6604 19.9155 16.71C19.5191 17.7894 18.8886 18.7953 17.998 19.6293C17.4161 20.2089 16.7711 20.6868 16.0852 21.063C15.8485 21.1951 15.6098 21.3117 15.3673 21.4135C12.2635 22.7512 8.52496 22.1523 5.98959 19.6169C2.67014 16.2975 2.67014 10.9156 5.98959 7.5961L12 1.58569ZM15.1574 19.29C15.6096 19.0318 16.0836 18.6781 16.6084 18.1904C17.2562 17.5392 17.7377 16.785 18.0527 15.9806C18.3232 15.2296 18.4494 14.4169 18.4343 13.5927C18.4023 11.8508 17.7388 10.1529 16.5962 9.01031L13 5.41412V19.9556C13.5116 19.9047 13.9641 19.8071 14.3962 19.6472C14.4468 19.6285 14.4974 19.6088 14.5482 19.5881C14.7552 19.5 14.9586 19.4006 15.1574 19.29ZM11 5.41412L7.40381 9.01031C4.8654 11.5487 4.8654 15.6643 7.40381 18.2027C8.41787 19.2168 9.68364 19.8257 11 20.0296V5.41412Z"
      }
    }]
  };
  var colorInvert = vue.defineComponent({
    name: "ColorInvertIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-color-invert", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$pa(_objectSpread$pa({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$p8, finalProps.value);
    }
  });

  function ownKeys$p9(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$p9(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$p9(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$p9(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$p7 = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M12 1.14795L18.1597 10.75H5.8403L12 1.14795ZM2 13H11V22H2V13ZM13 17.5C13 15.0147 15.0147 13 17.5 13C19.9853 13 22 15.0147 22 17.5C22 19.9853 19.9853 22 17.5 22C15.0147 22 13 19.9853 13 17.5Z"
      }
    }]
  };
  var combinationFilled = vue.defineComponent({
    name: "CombinationFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-combination-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$p9(_objectSpread$p9({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$p7, finalProps.value);
    }
  });

  function ownKeys$p8(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$p8(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$p8(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$p8(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$p6 = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M12 1.14795L18.1597 10.75H5.8403L12 1.14795ZM12 4.852L9.49945 8.74998H14.5006L12 4.852ZM2 13H11V22H2V13ZM4 15V20H9V15H4ZM17.5 15C16.1193 15 15 16.1193 15 17.5C15 18.8807 16.1193 20 17.5 20C18.8807 20 20 18.8807 20 17.5C20 16.1193 18.8807 15 17.5 15ZM13 17.5C13 15.0147 15.0147 13 17.5 13C19.9853 13 22 15.0147 22 17.5C22 19.9853 19.9853 22 17.5 22C15.0147 22 13 19.9853 13 17.5Z"
      }
    }]
  };
  var combination = vue.defineComponent({
    name: "CombinationIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-combination", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$p8(_objectSpread$p8({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$p6, finalProps.value);
    }
  });

  function ownKeys$p7(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$p7(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$p7(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$p7(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$p5 = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M6.5 4.5C7.60457 4.5 8.5 5.39543 8.5 6.5V8.5H6.5C5.39543 8.5 4.5 7.60457 4.5 6.5C4.5 5.39543 5.39543 4.5 6.5 4.5ZM10.5 8.5V6.5C10.5 4.29086 8.70914 2.5 6.5 2.5C4.29086 2.5 2.5 4.29086 2.5 6.5C2.5 8.70914 4.29086 10.5 6.5 10.5H8.5V13.5H6.5C4.29086 13.5 2.5 15.2909 2.5 17.5C2.5 19.7091 4.29086 21.5 6.5 21.5C8.70914 21.5 10.5 19.7091 10.5 17.5V15.5H13.5V17.5C13.5 19.7091 15.2909 21.5 17.5 21.5C19.7091 21.5 21.5 19.7091 21.5 17.5C21.5 15.2909 19.7091 13.5 17.5 13.5H15.5V10.5H17.5C19.7091 10.5 21.5 8.70914 21.5 6.5C21.5 4.29086 19.7091 2.5 17.5 2.5C15.2909 2.5 13.5 4.29086 13.5 6.5V8.5H10.5ZM10.5 10.5H13.5V13.5H10.5V10.5ZM15.5 8.5V6.5C15.5 5.39543 16.3954 4.5 17.5 4.5C18.6046 4.5 19.5 5.39543 19.5 6.5C19.5 7.60457 18.6046 8.5 17.5 8.5H15.5ZM15.5 15.5H17.5C18.6046 15.5 19.5 16.3954 19.5 17.5C19.5 18.6046 18.6046 19.5 17.5 19.5C16.3954 19.5 15.5 18.6046 15.5 17.5V15.5ZM8.5 15.5V17.5C8.5 18.6046 7.60457 19.5 6.5 19.5C5.39543 19.5 4.5 18.6046 4.5 17.5C4.5 16.3954 5.39543 15.5 6.5 15.5H8.5Z"
      }
    }]
  };
  var command = vue.defineComponent({
    name: "CommandIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-command", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$p7(_objectSpread$p7({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$p5, finalProps.value);
    }
  });

  function ownKeys$p6(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$p6(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$p6(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$p6(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$p4 = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M14 12C14 13.1046 13.1046 14 12 14C10.8954 14 10 13.1046 10 12C10 10.8954 10.8954 10 12 10C13.1046 10 14 10.8954 14 12Z"
      }
    }, {
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M12 23C18.0751 23 23 18.0751 23 12C23 5.92487 18.0751 1 12 1C12 1 12 1 12 1C5.92496 1.00006 1.00006 5.92484 1 11.9999C1 11.9999 1 11.9999 1 11.9999C1 18.075 5.92487 23 12 23ZM1 11.9999L9.68913 9.68913L12 1L14.3106 9.68913L23 12L14.3106 14.3106L12 23L9.68913 14.3106L1 11.9999Z"
      }
    }]
  };
  var compass1Filled = vue.defineComponent({
    name: "Compass1FilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-compass-1-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$p6(_objectSpread$p6({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$p4, finalProps.value);
    }
  });

  function ownKeys$p5(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$p5(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$p5(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$p5(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$p3 = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M5.891 12L10.2322 13.1545C10.0151 12.8227 9.88889 12.4261 9.88889 12C9.88889 11.5739 10.0151 11.1773 10.2322 10.8455L5.891 12ZM10.8455 10.2322C11.1773 10.0151 11.5739 9.88889 12 9.88889C12.4261 9.88889 12.8227 10.0151 13.1545 10.2322L12 5.891L10.8455 10.2322ZM13.3265 3.09707L14.9181 9.08191L20.9029 10.6735C20.3255 6.76477 17.2352 3.67447 13.3265 3.09707ZM18.109 12L13.7678 10.8455C13.9849 11.1773 14.1111 11.5739 14.1111 12C14.1111 12.4261 13.9849 12.8227 13.7678 13.1545L18.109 12ZM13.1545 13.7678C12.8227 13.9849 12.4261 14.1111 12 14.1111C11.5739 14.1111 11.1773 13.9849 10.8455 13.7678L12 18.109L13.1545 13.7678ZM10.6735 20.9029L9.08191 14.9181L3.09707 13.3265C3.67447 17.2352 6.76477 20.3255 10.6735 20.9029ZM3.09707 10.6735L9.08191 9.08191L10.6735 3.09707C6.76477 3.67447 3.67447 6.76477 3.09707 10.6735ZM13.3265 20.9029C17.2352 20.3255 20.3255 17.2352 20.9029 13.3265L14.9181 14.9181L13.3265 20.9029ZM1 12C1 5.92487 5.92487 1 12 1C18.0751 1 23 5.92487 23 12C23 18.0751 18.0751 23 12 23C5.92487 23 1 18.0751 1 12ZM12 11.8889C11.9386 11.8889 11.8889 11.9386 11.8889 12C11.8889 12.0614 11.9386 12.1111 12 12.1111C12.0614 12.1111 12.1111 12.0614 12.1111 12C12.1111 11.9386 12.0614 11.8889 12 11.8889Z"
      }
    }]
  };
  var compass1 = vue.defineComponent({
    name: "Compass1Icon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-compass-1", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$p5(_objectSpread$p5({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$p3, finalProps.value);
    }
  });

  function ownKeys$p4(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$p4(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$p4(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$p4(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$p2 = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M23 12C23 5.92487 18.0751 1 12 1C5.92487 1 1 5.92487 1 12C1 18.0751 5.92487 23 12 23C18.0751 23 23 18.0751 23 12ZM14.3976 14.3983L7.3379 16.6628L9.60251 9.60305L16.6622 7.3385L14.3976 14.3983Z"
      }
    }]
  };
  var compassFilled = vue.defineComponent({
    name: "CompassFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-compass-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$p4(_objectSpread$p4({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$p2, finalProps.value);
    }
  });

  function ownKeys$p3(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$p3(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$p3(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$p3(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$p1 = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M21 12C21 7.02944 16.9706 3 12 3C7.02944 3 3 7.02944 3 12C3 16.9706 7.02944 21 12 21C16.9706 21 21 16.9706 21 12ZM12 1C18.0751 0.999999 23 5.92487 23 12C23 18.0751 18.0751 23 12 23C5.92487 23 1 18.0751 1 12C1 5.92487 5.92487 1 12 1ZM17.4348 6.5652L14.7947 14.7956L6.56435 17.4357L9.20448 9.20526L17.4348 6.5652ZM10.7947 10.7955L9.65667 14.3434L13.2045 13.2054L14.3425 9.65749L10.7947 10.7955Z"
      }
    }]
  };
  var compass = vue.defineComponent({
    name: "CompassIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-compass", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$p3(_objectSpread$p3({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$p1, finalProps.value);
    }
  });

  function ownKeys$p2(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$p2(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$p2(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$p2(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$p0 = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M2 6.50017L2 17.5002L9.91421 17.5002L15.4142 12.0002L9.91421 6.50017L2 6.50017ZM14.5858 7.50015L19.0858 12.0002L14.5858 16.5001L16 17.9144L21.9142 12.0002L16 6.08594L14.5858 7.50015Z"
      }
    }]
  };
  var componentBreadcrumbFilled = vue.defineComponent({
    name: "ComponentBreadcrumbFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-component-breadcrumb-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$p2(_objectSpread$p2({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$p0, finalProps.value);
    }
  });

  function ownKeys$p1(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$p1(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$p1(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$p1(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$o$ = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M2 6.50017L2 17.5002L9.91421 17.5002L15.4142 12.0002L9.91421 6.50017L2 6.50017ZM4 8.50017L9.08578 8.50017L12.5858 12.0002L9.08579 15.5002L4 15.5002V8.50017ZM14.5858 7.50015L19.0858 12.0002L14.5858 16.5001L16 17.9144L21.9142 12.0002L16 6.08594L14.5858 7.50015Z"
      }
    }]
  };
  var componentBreadcrumb = vue.defineComponent({
    name: "ComponentBreadcrumbIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-component-breadcrumb", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$p1(_objectSpread$p1({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$o$, finalProps.value);
    }
  });

  function ownKeys$p0(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$p0(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$p0(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$p0(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$o_ = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M15 2H2V15H7.5V13H4V4H13V7.5H15V2Z"
      }
    }, {
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M22 9H9V22H22V9ZM13.5002 14.0859L15.0002 15.5859L18.0002 12.5859L19.4144 14.0002L15.0002 18.4144L12.0859 15.5002L13.5002 14.0859Z"
      }
    }]
  };
  var componentCheckboxFilled = vue.defineComponent({
    name: "ComponentCheckboxFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-component-checkbox-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$p0(_objectSpread$p0({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$o_, finalProps.value);
    }
  });

  function ownKeys$o$(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$o$(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$o$(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$o$(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$oZ = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M2 2L15 2V7.5H13V4L4 4L4 13H7.5V15H2L2 2ZM9 9L22 9L22 22L9 22L9 9ZM11 11L11 20L20 20L20 11L11 11ZM19.4142 14L15 18.4142L12.0858 15.5L13.5 14.0858L15 15.5858L18 12.5858L19.4142 14Z"
      }
    }]
  };
  var componentCheckbox = vue.defineComponent({
    name: "ComponentCheckboxIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-component-checkbox", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$o$(_objectSpread$o$({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$oZ, finalProps.value);
    }
  });

  function ownKeys$o_(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$o_(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$o_(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$o_(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$oY = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M13 2L13 22H11L11 2L13 2ZM2 5L9 5L9 19H2L2 5ZM15 5L22 5V19H15L15 5Z"
      }
    }]
  };
  var componentDividerHorizontalFilled = vue.defineComponent({
    name: "ComponentDividerHorizontalFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-component-divider-horizontal-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$o_(_objectSpread$o_({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$oY, finalProps.value);
    }
  });

  function ownKeys$oZ(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$oZ(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$oZ(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$oZ(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$oX = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M13 2L13 22H11L11 2L13 2ZM2 5L9 5L9 19H2L2 5ZM4 7L4 17H7L7 7L4 7ZM15 5L22 5V19H15L15 5ZM17 7L17 17H20V7L17 7Z"
      }
    }]
  };
  var componentDividerHorizontal = vue.defineComponent({
    name: "ComponentDividerHorizontalIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-component-divider-horizontal", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$oZ(_objectSpread$oZ({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$oX, finalProps.value);
    }
  });

  function ownKeys$oY(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$oY(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$oY(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$oY(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$oW = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M5 2H19V9H5V2ZM2 11H22V13H2V11ZM5 15H19V22H5V15Z"
      }
    }]
  };
  var componentDividerVerticalFilled = vue.defineComponent({
    name: "ComponentDividerVerticalFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-component-divider-vertical-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$oY(_objectSpread$oY({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$oW, finalProps.value);
    }
  });

  function ownKeys$oX(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$oX(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$oX(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$oX(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$oV = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M5 2L19 2V9L5 9L5 2ZM7 4L7 7L17 7V4L7 4ZM2 11L22 11V13L2 13L2 11ZM5 15L19 15V22L5 22L5 15ZM7 17V20L17 20L17 17H7Z"
      }
    }]
  };
  var componentDividerVertical = vue.defineComponent({
    name: "ComponentDividerVerticalIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-component-divider-vertical", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$oX(_objectSpread$oX({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$oV, finalProps.value);
    }
  });

  function ownKeys$oW(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$oW(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$oW(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$oW(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$oU = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M2 2H22V9H2V2ZM4 11L4 20L20 20V11H22V22L2 22L2 11H4ZM6 12L18 12V14L6 14V12ZM6 16H18V18H6V16Z"
      }
    }]
  };
  var componentDropdownFilled = vue.defineComponent({
    name: "ComponentDropdownFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-component-dropdown-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$oW(_objectSpread$oW({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$oU, finalProps.value);
    }
  });

  function ownKeys$oV(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$oV(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$oV(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$oV(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$oT = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M2 2H22V9H2V2ZM4 4V7H20V4H4ZM4 11L4 20L20 20V11H22V22L2 22L2 11H4ZM6 12L18 12V14L6 14V12ZM6 16L18 16V18H6V16Z"
      }
    }]
  };
  var componentDropdown = vue.defineComponent({
    name: "ComponentDropdownIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-component-dropdown", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$oV(_objectSpread$oV({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$oT, finalProps.value);
    }
  });

  function ownKeys$oU(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$oU(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$oU(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$oU(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$oS = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M7.25 2.04297H2V7.29297L7.25 7.29297V2.04297ZM9.25 2.04297V7.29297H14.75V2.04297H9.25ZM16.75 2.04297V7.29297L22 7.29297V2.04297H16.75ZM22 9.29297L16.75 9.29297V14.793H22V9.29297ZM22 16.793H16.75V22.043H22V16.793ZM14.75 22.043V16.793L9.25 16.793V22.043H14.75ZM7.25 22.043V16.793H2V22.043H7.25ZM2 14.793H7.25V9.29297L2 9.29297V14.793ZM9.25 14.793V9.29297L14.75 9.29297V14.793L9.25 14.793Z"
      }
    }]
  };
  var componentGridFilled = vue.defineComponent({
    name: "ComponentGridFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-component-grid-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$oU(_objectSpread$oU({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$oS, finalProps.value);
    }
  });

  function ownKeys$oT(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$oT(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$oT(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$oT(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$oR = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M2 2H22V22H2V2ZM4 4V8L8 8V4H4ZM10 4V8H14V4H10ZM16 4V8L20 8V4H16ZM20 10L16 10V14H20V10ZM20 16H16V20H20V16ZM14 20V16L10 16V20H14ZM8 20V16H4V20H8ZM4 14H8V10L4 10V14ZM10 10V14L14 14V10H10Z"
      }
    }]
  };
  var componentGrid = vue.defineComponent({
    name: "ComponentGridIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-component-grid", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$oT(_objectSpread$oT({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$oR, finalProps.value);
    }
  });

  function ownKeys$oS(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$oS(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$oS(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$oS(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$oQ = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M22 7H2V16H22V7ZM6 13V10H8V13H6Z"
      }
    }]
  };
  var componentInputFilled = vue.defineComponent({
    name: "ComponentInputFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-component-input-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$oS(_objectSpread$oS({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$oQ, finalProps.value);
    }
  });

  function ownKeys$oR(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$oR(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$oR(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$oR(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$oP = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M2 7L22 7V16L2 16L2 7ZM4 9L4 14L20 14V9L4 9ZM8 10V13H6V10H8Z"
      }
    }]
  };
  var componentInput = vue.defineComponent({
    name: "ComponentInputIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-component-input", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$oR(_objectSpread$oR({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$oP, finalProps.value);
    }
  });

  function ownKeys$oQ(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$oQ(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$oQ(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$oQ(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$oO = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M11 2H2V11H11V2zM2 13V22H11V13H2zM13 22H22V2H13V22z"
      }
    }]
  };
  var componentLayoutFilled = vue.defineComponent({
    name: "ComponentLayoutFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-component-layout-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$oQ(_objectSpread$oQ({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$oO, finalProps.value);
    }
  });

  function ownKeys$oP(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$oP(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$oP(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$oP(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$oN = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M2 2L22 2L22 22L2 22L2 2ZM4 4L4 11L11 11L11 4L4 4ZM13 4L13 20L20 20L20 4L13 4ZM11 20L11 13L4 13L4 20H11Z"
      }
    }]
  };
  var componentLayout = vue.defineComponent({
    name: "ComponentLayoutIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-component-layout", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$oP(_objectSpread$oP({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$oN, finalProps.value);
    }
  });

  function ownKeys$oO(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$oO(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$oO(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$oO(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$oM = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M12 4C7.58172 4 4 7.58172 4 12C4 16.4183 7.58172 20 12 20C16.4183 20 20 16.4183 20 12C20 7.58172 16.4183 4 12 4ZM2 12C2 6.47715 6.47715 2 12 2C17.5228 2 22 6.47715 22 12C22 17.5228 17.5228 22 12 22C6.47715 22 2 17.5228 2 12ZM12 8C9.79086 8 8 9.79086 8 12C8 14.2091 9.79086 16 12 16C14.2091 16 16 14.2091 16 12C16 9.79086 14.2091 8 12 8ZM6 12C6 8.68629 8.68629 6 12 6C15.3137 6 18 8.68629 18 12C18 15.3137 15.3137 18 12 18C8.68629 18 6 15.3137 6 12Z"
      }
    }]
  };
  var componentRadio = vue.defineComponent({
    name: "ComponentRadioIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-component-radio", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$oO(_objectSpread$oO({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$oM, finalProps.value);
    }
  });

  function ownKeys$oN(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$oN(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$oN(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$oN(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$oL = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M22 3H2V11H22V3zM22 13H2V21H22V13z"
      }
    }]
  };
  var componentSpaceFilled = vue.defineComponent({
    name: "ComponentSpaceFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-component-space-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$oN(_objectSpread$oN({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$oL, finalProps.value);
    }
  });

  function ownKeys$oM(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$oM(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$oM(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$oM(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$oK = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M2 3L22 3V11L2 11L2 3ZM4 5L4 9L20 9V5L4 5ZM2 13L22 13L22 21L2 21L2 13ZM4 15L4 19L20 19V15L4 15Z"
      }
    }]
  };
  var componentSpace = vue.defineComponent({
    name: "ComponentSpaceIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-component-space", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$oM(_objectSpread$oM({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$oK, finalProps.value);
    }
  });

  function ownKeys$oL(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$oL(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$oL(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$oL(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$oJ = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M1 12C1 10.067 2.567 8.5 4.5 8.5C6.08551 8.5 7.42479 9.55426 7.85506 11H8.64494C9.07521 9.55426 10.4145 8.5 12 8.5C13.5855 8.5 14.9248 9.55426 15.3551 11H16.1449C16.5752 9.55426 17.9145 8.5 19.5 8.5C21.433 8.5 23 10.067 23 12C23 13.933 21.433 15.5 19.5 15.5C17.9145 15.5 16.5752 14.4457 16.1449 13H15.3551C14.9248 14.4457 13.5855 15.5 12 15.5C10.4145 15.5 9.07521 14.4457 8.64494 13H7.85506C7.42479 14.4457 6.08551 15.5 4.5 15.5C2.567 15.5 1 13.933 1 12Z"
      }
    }]
  };
  var componentStepsFilled = vue.defineComponent({
    name: "ComponentStepsFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-component-steps-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$oL(_objectSpread$oL({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$oJ, finalProps.value);
    }
  });

  function ownKeys$oK(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$oK(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$oK(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$oK(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$oI = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M1 12C1 10.067 2.567 8.5 4.5 8.5C6.08551 8.5 7.42479 9.55426 7.85506 11H8.64494C9.07521 9.55426 10.4145 8.5 12 8.5C13.5855 8.5 14.9248 9.55426 15.3551 11H16.1449C16.5752 9.55426 17.9145 8.5 19.5 8.5C21.433 8.5 23 10.067 23 12C23 13.933 21.433 15.5 19.5 15.5C17.9145 15.5 16.5752 14.4457 16.1449 13H15.3551C14.9248 14.4457 13.5855 15.5 12 15.5C10.4145 15.5 9.07521 14.4457 8.64494 13H7.85506C7.42479 14.4457 6.08551 15.5 4.5 15.5C2.567 15.5 1 13.933 1 12ZM4.5 10.5C3.67157 10.5 3 11.1716 3 12C3 12.8284 3.67157 13.5 4.5 13.5C5.32843 13.5 6 12.8284 6 12C6 11.1716 5.32843 10.5 4.5 10.5ZM12 10.5C11.1716 10.5 10.5 11.1716 10.5 12C10.5 12.8284 11.1716 13.5 12 13.5C12.8284 13.5 13.5 12.8284 13.5 12C13.5 11.1716 12.8284 10.5 12 10.5ZM19.5 10.5C18.6716 10.5 18 11.1716 18 12C18 12.8284 18.6716 13.5 19.5 13.5C20.3284 13.5 21 12.8284 21 12C21 11.1716 20.3284 10.5 19.5 10.5Z"
      }
    }]
  };
  var componentSteps = vue.defineComponent({
    name: "ComponentStepsIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-component-steps", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$oK(_objectSpread$oK({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$oI, finalProps.value);
    }
  });

  function ownKeys$oJ(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$oJ(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$oJ(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$oJ(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$oH = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M11.7428 8.5C12.5282 9.45094 13 10.6704 13 12C13 13.3296 12.5282 14.5491 11.7428 15.5H16.5C18.433 15.5 20 13.933 20 12C20 10.067 18.433 8.5 16.5 8.5H11.7428ZM2 12C2 8.96243 4.46243 6.5 7.5 6.5H16.5C19.5376 6.5 22 8.96243 22 12C22 15.0376 19.5376 17.5 16.5 17.5H7.5C4.46243 17.5 2 15.0376 2 12Z"
      }
    }]
  };
  var componentSwitchFilled = vue.defineComponent({
    name: "ComponentSwitchFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-component-switch-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$oJ(_objectSpread$oJ({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$oH, finalProps.value);
    }
  });

  function ownKeys$oI(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$oI(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$oI(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$oI(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$oG = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M7.5 8.5C5.567 8.5 4 10.067 4 12C4 13.933 5.567 15.5 7.5 15.5C9.433 15.5 11 13.933 11 12C11 10.067 9.433 8.5 7.5 8.5ZM11.7428 8.5C12.5282 9.45094 13 10.6704 13 12C13 13.3296 12.5282 14.5491 11.7428 15.5H16.5C18.433 15.5 20 13.933 20 12C20 10.067 18.433 8.5 16.5 8.5H11.7428ZM2 12C2 8.96243 4.46243 6.5 7.5 6.5H16.5C19.5376 6.5 22 8.96243 22 12C22 15.0376 19.5376 17.5 16.5 17.5H7.5C4.46243 17.5 2 15.0376 2 12Z"
      }
    }]
  };
  var componentSwitch = vue.defineComponent({
    name: "ComponentSwitchIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-component-switch", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$oI(_objectSpread$oI({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$oG, finalProps.value);
    }
  });

  function ownKeys$oH(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$oH(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$oH(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$oH(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$oF = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M10.0001 8L6.20065 8.00036C3.8305 8.02562 2 9.85117 2 12.0001C2 14.149 3.83048 15.9745 6.20061 15.9998H10V17.9998H6.18584C2.80939 17.9671 -1.19209e-07 15.338 0 12.0001C5.96047e-08 8.66217 2.80939 6.03309 6.18584 6.0004L6.19543 6.00031L9.99991 6L10.0001 8ZM14 6.00008L17.75 6.00009C21.1552 6.00009 24 8.64097 24 12.0001C24 15.3592 21.1552 18.0001 17.75 18.0001L14 18.0001L14 16.0001L17.75 16.0001C20.1437 16.0001 22 14.1638 22 12.0001C22 9.83637 20.1437 8.00009 17.75 8.00009L14 8.00008L14 6.00008ZM7 11.0001H17V13.0001H7V11.0001Z"
      }
    }]
  };
  var constraint = vue.defineComponent({
    name: "ConstraintIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-constraint", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$oH(_objectSpread$oH({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$oF, finalProps.value);
    }
  });

  function ownKeys$oG(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$oG(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$oG(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$oG(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$oE = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M13 3.05493V4.83987L15.1835 3.57924C14.4922 3.31778 13.7604 3.13899 13 3.05493ZM17.255 4.69266L13 7.14927V11.1908L19.693 7.32655C19.0642 6.29365 18.2332 5.39736 17.255 4.69266ZM20.5386 9.14773L13 13.5002V17.5417L20.9503 12.9516C20.9832 12.6389 21 12.3214 21 12C21 11.0031 20.8379 10.044 20.5386 9.14773ZM20.2126 15.6869L13 19.8511V20.9451C16.2239 20.5887 18.9345 18.5295 20.2126 15.6869ZM1 12C1 5.92487 5.92487 1 12 1C18.0751 1 23 5.92487 23 12C23 18.0751 18.0751 23 12 23C5.92487 23 1 18.0751 1 12Z"
      }
    }]
  };
  var contrast1Filled = vue.defineComponent({
    name: "Contrast1FilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-contrast-1-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$oG(_objectSpread$oG({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$oE, finalProps.value);
    }
  });

  function ownKeys$oF(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$oF(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$oF(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$oF(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$oD = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M11 3.05493C6.50005 3.55237 3 7.36745 3 12C3 16.6326 6.50005 20.4476 11 20.9451V3.05493ZM13 3.05493V4.83987L15.1835 3.57924C14.4922 3.31778 13.7604 3.13899 13 3.05493ZM17.255 4.69266L13 7.14927V11.1908L19.693 7.32655C19.0642 6.29365 18.2332 5.39736 17.255 4.69266ZM20.5386 9.14773L13 13.5002V17.5417L20.9503 12.9516C20.9832 12.6389 21 12.3214 21 12C21 11.0031 20.8379 10.044 20.5386 9.14773ZM20.2126 15.6869L13 19.8511V20.9451C16.2239 20.5887 18.9345 18.5295 20.2126 15.6869ZM1 12C1 5.92487 5.92487 1 12 1C18.0751 1 23 5.92487 23 12C23 18.0751 18.0751 23 12 23C5.92487 23 1 18.0751 1 12Z"
      }
    }]
  };
  var contrast1 = vue.defineComponent({
    name: "Contrast1Icon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-contrast-1", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$oF(_objectSpread$oF({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$oD, finalProps.value);
    }
  });

  function ownKeys$oE(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$oE(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$oE(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$oE(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$oC = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M12 1C5.92487 1 1 5.92487 1 12C1 18.0751 5.92487 23 12 23C18.0751 23 23 18.0751 23 12C23 5.92487 18.0751 1 12 1ZM19.5 12C19.5 16.1421 16.1421 19.5 12 19.5V4.5C16.1421 4.5 19.5 7.85786 19.5 12Z"
      }
    }]
  };
  var contrastFilled = vue.defineComponent({
    name: "ContrastFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-contrast-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$oE(_objectSpread$oE({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$oC, finalProps.value);
    }
  });

  function ownKeys$oD(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$oD(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$oD(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$oD(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$oB = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M12 3C7.02944 3 3 7.02944 3 12C3 16.9706 7.02944 21 12 21C16.9706 21 21 16.9706 21 12C21 7.02944 16.9706 3 12 3ZM1 12C1 5.92487 5.92487 1 12 1C18.0751 1 23 5.92487 23 12C23 18.0751 18.0751 23 12 23C5.92487 23 1 18.0751 1 12ZM11 4.5H12C16.1421 4.5 19.5 7.85786 19.5 12C19.5 16.1421 16.1421 19.5 12 19.5H11V4.5ZM13 6.59069V17.4093C15.5601 16.9391 17.5 14.6961 17.5 12C17.5 9.30393 15.5601 7.06094 13 6.59069Z"
      }
    }]
  };
  var contrast = vue.defineComponent({
    name: "ContrastIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-contrast", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$oD(_objectSpread$oD({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$oB, finalProps.value);
    }
  });

  function ownKeys$oC(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$oC(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$oC(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$oC(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$oA = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M20.9999 5.65341L11.9983.450195 2.99917 5.65195 11.9984 10.8458 20.9999 5.65341zM21.9983 7.38641L12.9983 12.5779V22.9725L21.9983 17.7705V7.38641zM10.9983 22.9655V12.5778L1.99829 7.3835V17.7005L10.9983 22.9655z"
      }
    }]
  };
  var controlPlatformFilled = vue.defineComponent({
    name: "ControlPlatformFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-control-platform-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$oC(_objectSpread$oC({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$oA, finalProps.value);
    }
  });

  function ownKeys$oB(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$oB(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$oB(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$oB(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$oz = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M12 0.855957L22 6.41151V17.5883L12 23.1439L2 17.5883V6.41151L12 0.855957ZM4 8.89612V16.4115L11 20.3004V12.602L4 8.89612ZM13 20.3004L20 16.4115V8.89612L13 12.602V20.3004ZM12 10.8684L19.1196 7.09922L12 3.14387L4.88039 7.09922L12 10.8684Z"
      }
    }]
  };
  var controlPlatform = vue.defineComponent({
    name: "ControlPlatformIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-control-platform", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$oB(_objectSpread$oB({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$oz, finalProps.value);
    }
  });

  function ownKeys$oA(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$oA(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$oA(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$oA(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$oy = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M9.00015 1.58569L12.0002 4.58569L15.0002 1.58569L23.9144 10.4999L12.0002 22.4141L0.0859375 10.4999L9.00015 1.58569ZM10.5859 5.99991L9.00015 4.41412L2.91436 10.4999L12.0002 19.5857L12.9543 18.6315L10.5859 16.2632L12.0002 14.849L14.3685 17.2173L15.3227 16.2632L12.9543 13.8948L14.3685 12.4806L16.7369 14.849L18.0859 13.4999L15.0002 10.4141L12.0002 13.4141L7.58594 8.99991L10.5859 5.99991Z"
      }
    }]
  };
  var cooperateFilled = vue.defineComponent({
    name: "CooperateFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-cooperate-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$oA(_objectSpread$oA({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$oy, finalProps.value);
    }
  });

  function ownKeys$oz(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$oz(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$oz(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$oz(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$ox = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M9.00015 1.58594L12.0002 4.58594L15.0002 1.58594L23.9144 10.5002L12.0002 22.4144L0.0859375 10.5002L9.00015 1.58594ZM10.5859 6.00015L9.00015 4.41436L2.91436 10.5002L12.0002 19.5859L12.9543 18.6318L10.5859 16.2634L12.0002 14.8492L14.3685 17.2176L15.3227 16.2634L12.9543 13.8951L14.3685 12.4808L16.7369 14.8492L18.0859 13.5002L15.0002 10.4144L12.0002 13.4144L7.58594 9.00015L10.5859 6.00015ZM19.5002 12.0859L21.0859 10.5002L15.0002 4.41436L10.4144 9.00015L12.0002 10.5859L15.0002 7.58594L19.5002 12.0859Z"
      }
    }]
  };
  var cooperate = vue.defineComponent({
    name: "CooperateIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-cooperate", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$oz(_objectSpread$oz({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$ox, finalProps.value);
    }
  });

  function ownKeys$oy(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$oy(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$oy(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$oy(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$ow = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M23.2579 20.5H0.741211L11.9995 1L23.2579 20.5ZM12.9992 12.5316V9H10.9992V12.5316L7.59082 15.372L8.87119 16.9084L11.9992 14.3017L15.1273 16.9084L16.4076 15.372L12.9992 12.5316Z"
      }
    }]
  };
  var coordinateSystemFilled = vue.defineComponent({
    name: "CoordinateSystemFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-coordinate-system-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$oy(_objectSpread$oy({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$ow, finalProps.value);
    }
  });

  function ownKeys$ox(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$ox(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$ox(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$ox(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$ov = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M11.9995 1L23.2579 20.5H0.741211L11.9995 1ZM4.20531 18.5H19.7938L11.9995 5L4.20531 18.5ZM12.9995 9V12.5316L16.4079 15.372L15.1276 16.9084L11.9995 14.3017L8.8715 16.9084L7.59114 15.372L10.9995 12.5316V9H12.9995Z"
      }
    }]
  };
  var coordinateSystem = vue.defineComponent({
    name: "CoordinateSystemIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-coordinate-system", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$ox(_objectSpread$ox({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$ov, finalProps.value);
    }
  });

  function ownKeys$ow(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$ow(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$ow(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$ow(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$ou = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M2 2H15V7.5H13V4H4V13H7.5V15H2V2ZM9 9H22V22H9V9Z"
      }
    }]
  };
  var copyFilled = vue.defineComponent({
    name: "CopyFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-copy-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$ow(_objectSpread$ow({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$ou, finalProps.value);
    }
  });

  function ownKeys$ov(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$ov(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$ov(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$ov(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$ot = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M2 2H15V7.5H13V4H4V13H7.5V15H2V2ZM9 9H22V22H9V9ZM11 11V20H20V11H11Z"
      }
    }]
  };
  var copy = vue.defineComponent({
    name: "CopyIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-copy", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$ov(_objectSpread$ov({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$ot, finalProps.value);
    }
  });

  function ownKeys$ou(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$ou(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$ou(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$ou(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$os = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M12 1C18.0751 1 23 5.92487 23 12C23 18.0751 18.0751 23 12 23C5.92487 23 1 18.0751 1 12C1 5.92487 5.92487 1 12 1ZM9.52513 14.4756C8.15829 13.1088 8.15829 10.8927 9.52513 9.52586C10.892 8.15902 13.108 8.15902 14.4749 9.52586L15.182 10.233L16.5962 8.81875L15.8891 8.11165C13.7412 5.96376 10.2588 5.96376 8.11091 8.11165C5.96303 10.2595 5.96303 13.7419 8.11091 15.8898C10.2588 18.0377 13.7412 18.0377 15.8891 15.8898L16.5962 15.1827L15.182 13.7685L14.4749 14.4756C13.108 15.8424 10.892 15.8424 9.52513 14.4756Z"
      }
    }]
  };
  var copyrightFilled = vue.defineComponent({
    name: "CopyrightFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-copyright-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$ou(_objectSpread$ou({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$os, finalProps.value);
    }
  });

  function ownKeys$ot(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$ot(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$ot(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$ot(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$or = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M12 21C16.9706 21 21 16.9706 21 12C21 7.02944 16.9706 3 12 3C7.02944 3 3 7.02944 3 12C3 16.9706 7.02944 21 12 21ZM23 12C23 18.0751 18.0751 23 12 23C5.92487 23 0.999999 18.0751 1 12C1 5.92487 5.92487 0.999999 12 1C18.0751 1 23 5.92487 23 12ZM9.52512 9.52581C8.15829 10.8926 8.15829 13.1087 9.52513 14.4756C10.892 15.8424 13.108 15.8424 14.4749 14.4756L15.182 13.7684L16.5962 15.1827L15.8891 15.8898C13.7412 18.0377 10.2588 18.0377 8.11091 15.8898C5.96303 13.7419 5.96303 10.2595 8.11091 8.11159C10.2588 5.96371 13.7412 5.96371 15.8891 8.11159L16.5962 8.8187L15.182 10.2329L14.4749 9.52581C13.108 8.15897 10.892 8.15897 9.52512 9.52581Z"
      }
    }]
  };
  var copyright = vue.defineComponent({
    name: "CopyrightIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-copyright", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$ot(_objectSpread$ot({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$or, finalProps.value);
    }
  });

  function ownKeys$os(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$os(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$os(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$os(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$oq = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M16.5246 4.11021L17.5038 5.08941L19.5902 3.00476C19.2207 2.94277 18.8053 2.99898 18.3327 3.15729C17.7228 3.36155 17.1007 3.71562 16.5246 4.11021ZM20.9977 4.42572L18.918 6.50363L19.89 7.47562C20.2837 6.90148 20.637 6.2816 20.8414 5.67359C20.9989 5.20542 21.0561 4.79309 20.9977 4.42572ZM18.6616 9.07563L17.5032 7.91725L15.9294 9.48978L17.2666 10.828C17.7317 10.244 18.1967 9.65983 18.6616 9.07563ZM16.0121 12.4022L14.5146 10.9034L12.4548 12.9614C13.4509 12.9075 14.4489 13.0014 15.3573 13.2236L16.0121 12.4022ZM17.3218 13.9678C17.7182 14.1751 18.0571 14.3896 18.3319 14.5822C19.1723 15.1711 19.8585 15.9441 20.5811 16.6667L18.6772 16.984C18.6231 16.9961 18.5698 17.012 18.517 17.0285C18.3718 17.0739 18.1301 17.16 17.7916 17.3151C17.1145 17.6254 16.0505 18.2119 14.6 19.2998C14.45 19.4123 14.2745 19.5497 14.0768 19.7044C13.0734 20.49 11.5006 21.7213 9.82029 22.3912C8.79099 22.8015 7.62428 23.0466 6.4386 22.8139C5.26564 22.5836 4.19192 21.9088 3.28527 20.7145C2.09096 19.8079 1.41616 18.7341 1.18589 17.5612C0.953135 16.3755 1.19824 15.2088 1.60857 14.1795C2.27844 12.4991 3.50973 10.9264 4.29534 9.92294C4.45007 9.7253 4.58752 9.54974 4.69998 9.39979C5.78787 7.94926 6.37433 6.88523 6.68466 6.20814C6.83978 5.86969 6.92591 5.62793 6.97128 5.48277C7.00004 5.39072 7.01246 5.33739 7.01572 5.32258L7.33304 3.41864C8.05329 4.13889 8.82424 4.82302 9.41213 5.66004C9.60312 5.93196 9.8159 6.26716 10.0221 6.65915L14.3778 3.21689C15.2029 2.55707 16.404 1.69406 17.6975 1.26084C19.0262 0.815796 20.6308 0.781808 21.9279 2.08584C23.2204 3.38528 23.1827 4.98598 22.7371 6.31104C22.303 7.60204 21.4411 8.79998 20.7816 9.62355L20.7805 9.62494L20.7777 9.62852C19.6262 11.0754 18.4744 12.5219 17.3218 13.9678ZM14.9218 5.33577L13.165 6.72309L14.5158 8.07499L16.089 6.50304L14.9218 5.33577ZM13.101 9.48861L11.5856 7.97204L10.7701 8.6181C10.9971 9.53509 11.0931 10.5435 11.0382 11.5497L13.101 9.48861Z"
      }
    }]
  };
  var cornFilled = vue.defineComponent({
    name: "CornFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-corn-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$os(_objectSpread$os({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$oq, finalProps.value);
    }
  });

  function ownKeys$or(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$or(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$or(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$or(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$op = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M16.5246 4.11021L17.5038 5.08941L19.5902 3.00476C19.2207 2.94277 18.8053 2.99898 18.3327 3.15729C17.7228 3.36155 17.1007 3.71562 16.5246 4.11021ZM20.9977 4.42572L18.918 6.50363L19.89 7.47562C20.2837 6.90148 20.637 6.2816 20.8414 5.67359C20.9989 5.20542 21.0561 4.79309 20.9977 4.42572ZM18.6616 9.07563L17.5032 7.91725L15.9294 9.48978L17.2666 10.828C17.5986 10.4111 17.9469 9.97363 18.2559 9.58546L18.6616 9.07563ZM16.0121 12.4022L14.5146 10.9034L12.4548 12.9614C13.4509 12.9075 14.4489 13.0014 15.3573 13.2236L16.0121 12.4022ZM17.3218 13.9678C17.7182 14.1751 18.0571 14.3896 18.3319 14.5822C18.6011 14.7708 18.8123 14.9409 18.9595 15.0671C19.0331 15.1303 19.0911 15.1827 19.1325 15.2213C19.1533 15.2406 19.1699 15.2564 19.1824 15.2685L19.1979 15.2836L19.2033 15.2889L19.2054 15.291L19.2063 15.2919L19.2071 15.2927L20.5811 16.6667L18.6772 16.984L18.6744 16.9847C18.6714 16.9853 18.6675 16.9862 18.6627 16.9874C18.6381 16.9933 18.5896 17.0058 18.517 17.0285C18.3718 17.0739 18.1301 17.16 17.7916 17.3151C17.1145 17.6254 16.0505 18.2119 14.6 19.2998C14.45 19.4123 14.2745 19.5497 14.0768 19.7044C13.0734 20.49 11.5006 21.7213 9.82029 22.3912C8.79099 22.8015 7.62428 23.0466 6.4386 22.8139C5.26564 22.5836 4.19192 21.9088 3.28527 20.7145C2.09096 19.8079 1.41616 18.7341 1.18589 17.5612C0.953135 16.3755 1.19824 15.2088 1.60857 14.1795C2.27844 12.4991 3.50973 10.9264 4.29534 9.92294C4.45007 9.7253 4.58752 9.54974 4.69998 9.39979C5.78787 7.94926 6.37433 6.88523 6.68466 6.20814C6.83978 5.86969 6.92591 5.62793 6.97128 5.48277C6.99397 5.41016 7.00649 5.36162 7.01236 5.33711C7.01393 5.33055 7.01503 5.32571 7.01572 5.32258L7.33304 3.41864L8.70708 4.79268L8.70877 4.79438L8.71085 4.79647L8.71614 4.80182L8.73114 4.81723C8.74307 4.82958 8.75878 4.84608 8.77792 4.86663C8.81616 4.90772 8.86815 4.96514 8.93082 5.03816C9.05599 5.18402 9.22475 5.39326 9.41213 5.66004C9.60312 5.93196 9.8159 6.26716 10.0221 6.65915L14.3778 3.21689C15.2029 2.55707 16.404 1.69406 17.6975 1.26084C19.0262 0.815796 20.6308 0.781808 21.9279 2.08584C23.2204 3.38528 23.1827 4.98598 22.7371 6.31104C22.303 7.60204 21.4411 8.79998 20.7816 9.62355L20.7805 9.62494L20.7777 9.62852L19.8207 10.831C19.2793 11.5111 18.6168 12.3432 18.1327 12.9505L17.3218 13.9678ZM14.9218 5.33577L13.165 6.72309L14.5158 8.07499L16.089 6.50304L14.9218 5.33577ZM13.101 9.48861L11.5856 7.97204L10.7701 8.6181C10.9971 9.53509 11.0931 10.5435 11.0382 11.5497L13.101 9.48861ZM9.62731 15.7867L5.36104 20.0529C5.8558 20.5288 6.35143 20.7586 6.82386 20.8513C7.50068 20.9842 8.25896 20.8606 9.07967 20.5334C10.4623 19.9822 11.7473 18.9814 12.7652 18.1885C12.9905 18.013 13.2027 17.8478 13.4 17.6998C14.6424 16.768 15.6511 16.1567 16.4263 15.7566C16.1258 15.5975 15.7835 15.4439 15.4053 15.3171C13.584 14.7065 11.1777 14.8398 9.62731 15.7867ZM3.94683 18.6387L8.2131 14.3725C9.16379 12.8158 9.29439 10.398 8.67535 8.57277C8.54999 8.20316 8.39918 7.86817 8.24317 7.57345C7.84305 8.34868 7.23178 9.35738 6.29998 10.5998C6.15201 10.7971 5.98672 11.0093 5.81125 11.2346C5.01841 12.2525 4.01759 13.5374 3.46639 14.9201C3.13921 15.7408 3.01557 16.4991 3.14844 17.1759C3.24118 17.6483 3.47094 18.144 3.94683 18.6387Z"
      }
    }]
  };
  var corn = vue.defineComponent({
    name: "CornIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-corn", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$or(_objectSpread$or({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$op, finalProps.value);
    }
  });

  function ownKeys$oq(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$oq(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$oq(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$oq(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$oo = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M3 21.0001H21V1.13159L17.0537 3.76245L14.5 1.71948L12 3.71948L9.5 1.71948L6.94629 3.76245L3 1.13159V21.0001ZM17 12H11V10H17V12ZM7 16V14H17V16H7ZM9.00391 10V12.0039H7V10H9.00391Z"
      }
    }]
  };
  var couponFilled = vue.defineComponent({
    name: "CouponFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-coupon-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$oq(_objectSpread$oq({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$oo, finalProps.value);
    }
  });

  function ownKeys$op(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$op(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$op(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$op(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$on = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M4 21.0001H3V20.0001V3.00011V1.13159L4.5547 2.16806L6.94629 3.76245L8.87531 2.21924L9.5 1.71948L10.1247 2.21924L12 3.71948L13.8753 2.21924L14.5 1.71948L15.1247 2.21924L17.0537 3.76245L19.4453 2.16806L21 1.13159V3.00011V20.0001V21.0001H20H4ZM5 4.86863V19.0001H19V4.86863L17.5547 5.83216L16.9463 6.23777L16.3753 5.78098L14.5 4.28073L12.6247 5.78098L12 6.28073L11.3753 5.78098L9.5 4.28073L7.62469 5.78098L7.05371 6.23777L6.4453 5.83216L5 4.86863ZM8 16.0001H7V14.0001H8H16H17V16.0001H16H8ZM11 12.0001H12H16H17V10.0001H16H12H11V12.0001ZM8 10.0001H7V11.0001V11.004V12.004H8H8.00391H9.00391V11.004V11.0001V10.0001H8.00391H8Z"
      }
    }]
  };
  var coupon = vue.defineComponent({
    name: "CouponIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-coupon", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$op(_objectSpread$op({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$on, finalProps.value);
    }
  });

  function ownKeys$oo(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$oo(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$oo(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$oo(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$om = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M3 23H21V1H3V23ZM14.0021 6.68761L11.504 8.75011V3.00011L16.5001 3.00011L16.5001 8.75011L14.0021 6.68761Z"
      }
    }]
  };
  var courseFilled = vue.defineComponent({
    name: "CourseFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-course-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$oo(_objectSpread$oo({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$om, finalProps.value);
    }
  });

  function ownKeys$on(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$on(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$on(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$on(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$ol = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M19 3H17L17 9.5L14 7.25L11 9.5V3L5 3L5 21H19V3ZM13 3V5.5L14 4.75L15 5.5V3H13ZM21 23H3L3 1L21 1V23Z"
      }
    }]
  };
  var course = vue.defineComponent({
    name: "CourseIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-course", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$on(_objectSpread$on({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$ol, finalProps.value);
    }
  });

  function ownKeys$om(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$om(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$om(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$om(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$ok = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M14.5 9.5H9.5V14.5H14.5V9.5Z"
      }
    }, {
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M9 0.5V3H15V0.5H17V3H21V7H23.5V9H21V15H23.5V17H21V21H17V23.5H15V21H9V23.5H7V21H3V17H0.5V15H3V9H0.5V7H3V3H7V0.5H9ZM7.5 7.5V16.5H16.5V7.5H7.5Z"
      }
    }]
  };
  var cpuFilled = vue.defineComponent({
    name: "CpuFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-cpu-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$om(_objectSpread$om({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$ok, finalProps.value);
    }
  });

  function ownKeys$ol(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$ol(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$ol(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$ol(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$oj = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "g",
      "attrs": {
        "clipPath": "url(#clip0_8726_7691)"
      },
      "children": [{
        "tag": "path",
        "attrs": {
          "fill": "currentColor",
          "d": "M9 0.5V3H15V0.5H17V3H21V7H23.5V9H21V15H23.5V17H21V21H17V23.5H15V21H9V23.5H7V21H3V17H0.5V15H3V9H0.5V7H3V3H7V0.5H9ZM5 5V19H19V5H5ZM8 8H16V16H8V8ZM10 10V14H14V10H10Z"
        }
      }]
    }]
  };
  var cpu = vue.defineComponent({
    name: "CpuIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-cpu", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$ol(_objectSpread$ol({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$oj, finalProps.value);
    }
  });

  function ownKeys$ok(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$ok(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$ok(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$ok(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$oi = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M12.4766 1.01014C12.3186 1.0034 12.1597 1 12 1C5.92487 1 1 5.92487 1 12C1 17.5603 5.12559 22.1571 10.4827 22.8962L12.4519 18.0218L12.4318 17.9816C12.2895 17.9938 12.1455 18 12 18C10.1481 18 8.53256 16.9926 7.66955 15.5007L7.16882 14.6351L8.90004 13.6337L9.40076 14.4993C9.82666 15.2355 10.5539 15.7721 11.4123 15.9425L10.441 13.9999L12.441 9.99994L10.4519 6.0218L12.4766 1.01014ZM9 8V12H7V8H9Z"
      }
    }, {
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M13.452 17.7858C14.6772 17.4145 15.7028 16.5858 16.3305 15.5007L16.8312 14.6351L15.1 13.6337L14.5993 14.4993C14.1647 15.2505 13.4164 15.7938 12.5353 15.9524L11.559 13.9999L13.559 9.99994L11.5481 5.97809L13.5173 1.10379C18.8744 1.84288 23 6.43964 23 12C23 18.0751 18.0751 23 12 23C11.8403 23 11.6814 22.9966 11.5234 22.9899L13.5481 17.9781L13.452 17.7858ZM17 8H15V12H17V8Z"
      }
    }]
  };
  var crackFilled = vue.defineComponent({
    name: "CrackFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-crack-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$ok(_objectSpread$ok({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$oi, finalProps.value);
    }
  });

  function ownKeys$oj(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$oj(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$oj(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$oj(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$oh = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M11.3875 3.02051C6.7026 3.33536 3 7.23528 3 12C3 16.4346 6.20806 20.1211 10.4295 20.8636L11.8799 17.9986C10.0783 17.9561 8.51385 16.9603 7.66955 15.5007L7.16882 14.6351L8.90004 13.6337L9.40076 14.4993C9.7109 15.0354 10.1808 15.4657 10.7448 15.7257L9.88197 14L11.882 10L9.88057 5.99721L11.3875 3.02051ZM13.5705 3.13641L12.1194 6.00279L14.118 10L12.118 14L13.0278 15.8195C13.6927 15.5771 14.2483 15.106 14.5993 14.4993L15.1 13.6337L16.8312 14.6351L16.3305 15.5007C15.7856 16.4427 14.9408 17.1915 13.9258 17.6155L14.1194 18.0028L12.6125 20.9795C17.2974 20.6646 21 16.7647 21 12C21 7.56538 17.7919 3.87892 13.5705 3.13641ZM1 12C1 5.92487 5.92487 1 12 1C12.3705 1 12.7371 1.01836 13.0988 1.05427C18.6585 1.60627 23 6.29551 23 12C23 18.0751 18.0751 23 12 23C11.6295 23 11.2629 22.9816 10.9012 22.9457C5.34148 22.3937 1 17.7045 1 12ZM9 8V12H7V8H9ZM17 8V12H15V8H17Z"
      }
    }]
  };
  var crack = vue.defineComponent({
    name: "CrackIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-crack", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$oj(_objectSpread$oj({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$oh, finalProps.value);
    }
  });

  function ownKeys$oi(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$oi(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$oi(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$oi(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$og = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M23 9V3H1V9L23 9zM23 11.0004V13.3895C22.1372 12.8269 21.1068 12.5 20 12.5 16.9624 12.5 14.5 14.9624 14.5 18 14.5 19.1068 14.8269 20.1372 15.3895 21L1 21V11.0004H23zM9 17.0001V15.0001L4 15.0001 4 17.0001 9 17.0001z"
      }
    }, {
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M21 17V14H19V17H16V19H19V22H21V19H24V17H21Z"
      }
    }]
  };
  var creditcardAddFilled = vue.defineComponent({
    name: "CreditcardAddFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-creditcard-add-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$oi(_objectSpread$oi({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$og, finalProps.value);
    }
  });

  function ownKeys$oh(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$oh(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$oh(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$oh(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$of = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M1 3L23 3V12H21V11H3L3 19H14V21H1L1 3ZM3 9H21V5L3 5L3 9ZM5 14H10V16H5V14ZM21 14V17H24V19H21V22H19V19H16V17H19V14H21Z"
      }
    }]
  };
  var creditcardAdd = vue.defineComponent({
    name: "CreditcardAddIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-creditcard-add", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$oh(_objectSpread$oh({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$of, finalProps.value);
    }
  });

  function ownKeys$og(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$og(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$og(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$og(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$oe = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M23 9V3H1V9L23 9zM23 11.0004V21L1 21V11.0004H23zM9 17.0001V15.0001L4 15.0001 4 17.0001 9 17.0001z"
      }
    }]
  };
  var creditcardFilled = vue.defineComponent({
    name: "CreditcardFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-creditcard-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$og(_objectSpread$og({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$oe, finalProps.value);
    }
  });

  function ownKeys$of(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$of(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$of(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$of(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$od = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M2.0043.589966L2.00015.585815.585938 2.00003 1.58591 3H1V9L7.58591 9 9.58628 11.0004H1V21L19.5859 21 22.0002 23.4142 23.4101 22.0043 2 .594267 2.0043.589966zM9 17.0001H4L4 15.0001 9 15.0001V17.0001zM23 18.7658V11.0004H15.2345L23 18.7658zM13.2342 9L23 9V3H7.23416L13.2342 9z"
      }
    }]
  };
  var creditcardOffFilled = vue.defineComponent({
    name: "CreditcardOffFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-creditcard-off-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$of(_objectSpread$of({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$od, finalProps.value);
    }
  });

  function ownKeys$oe(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$oe(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$oe(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$oe(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$oc = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "g",
      "attrs": {
        "clipPath": "url(#clip0_8726_7171)"
      },
      "children": [{
        "tag": "path",
        "attrs": {
          "fill": "currentColor",
          "d": "M2.00015 0.585815L23.4144 22L22.0002 23.4142L19.5859 21H1.00015V3.00003H1.58594L0.585938 2.00003L2.00015 0.585815ZM3.00015 5.00003V9.00003L7.58594 9.00003L3.58594 5.00003H3.00015ZM3.00015 11V19H17.5859L9.58594 11H3.00015ZM7.58104 2.99856L23.0001 3.00072L23.0035 12.4186L23.0001 12.4152L23.0035 18.4186L21.0001 16.4152V11.0013L15.5872 11.002L13.5819 8.99856L21.0001 9.00128V5.00128L9.58732 5.00198L7.58104 2.99856ZM5.00015 14H10.0002V16H5.00015V14Z"
        }
      }]
    }]
  };
  var creditcardOff = vue.defineComponent({
    name: "CreditcardOffIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-creditcard-off", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$oe(_objectSpread$oe({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$oc, finalProps.value);
    }
  });

  function ownKeys$od(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$od(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$od(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$od(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$ob = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M23 3V21L1 21L1 3L23 3ZM21 5L3 5L3 9H21V5ZM21 11L3 11L3 19H21V11ZM10 16L5 16L5 14L10 14V16Z"
      }
    }]
  };
  var creditcard = vue.defineComponent({
    name: "CreditcardIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-creditcard", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$od(_objectSpread$od({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$ob, finalProps.value);
    }
  });

  function ownKeys$oc(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$oc(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$oc(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$oc(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$oa = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M12 23C5.92487 23 1 18.0751 1 12C1 5.92487 5.92487 1 12 1C18.0751 1 23 5.92487 23 12C23 18.0751 18.0751 23 12 23ZM9 12V8H7V12H9ZM17 12V8H15V12H17ZM16.4684 14.7493L16.7177 13.7808L14.7808 13.2823L14.5316 14.2507C14.3566 14.9306 14.063 15.3307 13.7101 15.5769C13.3431 15.8331 12.8008 16 12 16H11V18H12C13.063 18 14.0487 17.7795 14.8547 17.217C15.6749 16.6446 16.1994 15.7946 16.4684 14.7493Z"
      }
    }]
  };
  var crookedSmileFilled = vue.defineComponent({
    name: "CrookedSmileFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-crooked-smile-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$oc(_objectSpread$oc({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$oa, finalProps.value);
    }
  });

  function ownKeys$ob(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$ob(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$ob(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$ob(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$o9 = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M12 3C7.02944 3 3 7.02944 3 12C3 16.9706 7.02944 21 12 21C16.9706 21 21 16.9706 21 12C21 7.02944 16.9706 3 12 3ZM1 12C1 5.92487 5.92487 1 12 1C18.0751 1 23 5.92487 23 12C23 18.0751 18.0751 23 12 23C5.92487 23 1 18.0751 1 12ZM9 8V12H7V8H9ZM17 8V12H15V8H17ZM16.7177 13.7808L16.4684 14.7493C16.1994 15.7946 15.6749 16.6446 14.8547 17.217C14.0487 17.7795 13.063 18 12 18H11V16H12C12.8008 16 13.3431 15.8331 13.7101 15.5769C14.063 15.3307 14.3566 14.9306 14.5316 14.2507L14.7808 13.2823L16.7177 13.7808Z"
      }
    }]
  };
  var crookedSmile = vue.defineComponent({
    name: "CrookedSmileIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-crooked-smile", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$ob(_objectSpread$ob({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$o9, finalProps.value);
    }
  });

  function ownKeys$oa(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$oa(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$oa(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$oa(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$o8 = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M23 12C23 5.92487 18.0751 1 12 1C5.92487 1 1 5.92487 1 12C1 18.0751 5.92487 23 12 23C18.0751 23 23 18.0751 23 12ZM6 9H10V11H9V14H7V11H6V9ZM14 9H18V11H17V14H15V11H14V9ZM11.9998 18.9998C9.9093 18.9998 8.41829 17.1984 8.01905 15.1953L15.9805 15.1953C15.5812 17.1984 14.0902 18.9998 11.9998 18.9998Z"
      }
    }]
  };
  var cryAndLaughFilled = vue.defineComponent({
    name: "CryAndLaughFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-cry-and-laugh-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$oa(_objectSpread$oa({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$o8, finalProps.value);
    }
  });

  function ownKeys$o9(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$o9(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$o9(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$o9(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$o7 = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M12 3C7.02944 3 3 7.02944 3 12C3 16.9706 7.02944 21 12 21C16.9706 21 21 16.9706 21 12C21 7.02944 16.9706 3 12 3ZM1 12C1 5.92487 5.92487 1 12 1C18.0751 1 23 5.92487 23 12C23 18.0751 18.0751 23 12 23C5.92487 23 1 18.0751 1 12ZM6 9H10V11H9V13H15V11H14V9H18V11H17V14H16.0197L15.9807 14.1955C15.5815 16.1985 14.0905 18 12 18C9.90954 18 8.41853 16.1985 8.01929 14.1955L7.98033 14H7V11H6V9ZM10.4446 15C10.8666 15.6617 11.4646 16 12 16C12.5354 16 13.1334 15.6617 13.5554 15L10.4446 15Z"
      }
    }]
  };
  var cryAndLaugh = vue.defineComponent({
    name: "CryAndLaughIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-cry-and-laugh", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$o9(_objectSpread$o9({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$o7, finalProps.value);
    }
  });

  function ownKeys$o8(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$o8(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$o8(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$o8(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$o6 = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M12 23C5.92487 23 1 18.0751 1 12C1 5.92487 5.92487 1 12 1C18.0751 1 23 5.92487 23 12C23 18.0751 18.0751 23 12 23ZM10 9H6V11H7V15H9V11H10V9ZM18 9H14V11H15V15H17V11H18V9ZM13 16V13H11V16H13Z"
      }
    }]
  };
  var cryLoudlyFilled = vue.defineComponent({
    name: "CryLoudlyFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-cry-loudly-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$o8(_objectSpread$o8({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$o6, finalProps.value);
    }
  });

  function ownKeys$o7(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$o7(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$o7(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$o7(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$o5 = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M12 3C7.02944 3 3 7.02944 3 12C3 16.9706 7.02944 21 12 21C16.9706 21 21 16.9706 21 12C21 7.02944 16.9706 3 12 3ZM1 12C1 5.92487 5.92487 1 12 1C18.0751 1 23 5.92487 23 12C23 18.0751 18.0751 23 12 23C5.92487 23 1 18.0751 1 12ZM6 9H10V11H9V15H7V11H6V9ZM14 9H18V11H17V15H15V11H14V9ZM13 13V16H11V13H13Z"
      }
    }]
  };
  var cryLoudly = vue.defineComponent({
    name: "CryLoudlyIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-cry-loudly", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$o7(_objectSpread$o7({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$o5, finalProps.value);
    }
  });

  function ownKeys$o6(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$o6(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$o6(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$o6(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$o4 = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M22.059 1L20.9614 20.2076L12.0002 23.568L3.03898 20.2076L1.94141 1H22.059ZM6.26746 15.4632L6.26764 15.4665L6.38163 17.4612L11.9998 19.568L17.6179 17.4612L18.0227 10.3768L10.9321 10.3768L18.2221 6.88688L18.33 5H5.48242L5.74635 7.01163L12.0007 7H13.3541L5.98542 10.5276L6.09109 12.3768L15.9052 12.3768L15.6955 16.0461L11.9998 17.432L8.30403 16.0461L8.26464 15.3568L8.20278 14.0734H6.19261L6.26746 15.4632Z"
      }
    }]
  };
  var css3Filled = vue.defineComponent({
    name: "Css3FilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-css3-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$o6(_objectSpread$o6({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$o4, finalProps.value);
    }
  });

  function ownKeys$o5(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$o5(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$o5(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$o5(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$o3 = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M1.94141 1H22.059L20.9614 20.2076L12.0002 23.568L3.03898 20.2076L1.94141 1ZM4.05895 3L4.96138 18.7924L12.0002 21.432L19.039 18.7924L19.9414 3H4.05895ZM5.48248 5H18.33L18.2222 6.88688L10.9322 10.3768L18.0228 10.3768L17.618 17.4612L11.9999 19.568L6.38168 17.4612L6.2677 15.4665L6.26752 15.4632L6.19267 14.0734H8.20284L8.2647 15.3568L8.30408 16.0461L11.9999 17.432L15.6956 16.0461L15.9052 12.3768L6.09115 12.3768L5.98548 10.5276L13.3541 7H12.0007L5.74641 7.01163L5.48248 5Z"
      }
    }]
  };
  var css3 = vue.defineComponent({
    name: "Css3Icon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-css3", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$o5(_objectSpread$o5({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$o3, finalProps.value);
    }
  });

  function ownKeys$o4(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$o4(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$o4(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$o4(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$o2 = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M14.7256 2.18086C16.8852 1.49713 18.7178 1.77554 20.0857 2.76274C20.3091 2.92397 20.5164 3.10165 20.7076 3.29288C20.9361 3.52135 21.1451 3.77265 21.3299 4.04689C22.2599 5.42745 22.4877 7.24841 21.7857 9.37997C21.0928 11.4839 19.4897 13.925 16.7076 16.7071C13.8799 19.5348 11.4037 21.1452 9.27536 21.8191C7.11573 22.5028 5.2832 22.2244 3.9153 21.2372C3.69188 21.076 3.48461 20.8983 3.29338 20.7071C3.06491 20.4786 2.85585 20.2273 2.6711 19.953C1.74119 18.5725 1.5134 16.7516 2.21534 14.62C2.9082 12.516 4.51129 10.075 7.29338 7.29288C10.1211 4.46516 12.5972 2.8547 14.7256 2.18086ZM15.3293 4.08758C13.6243 4.62737 11.4158 5.99893 8.70759 8.70709C6.04411 11.3706 4.67289 13.5514 4.11499 15.2456C3.92793 15.8136 3.83309 16.3221 3.80987 16.776C6.93378 11.664 11.9132 6.83777 16.9982 3.80352C16.5107 3.80356 15.9568 3.88889 15.3293 4.08758ZM19.2008 4.8537C13.5451 7.88493 7.79691 13.4689 4.74625 19.1614C7.42476 17.6676 10.2743 15.3786 12.8564 12.7887C15.4144 10.2229 17.6658 7.40599 19.2008 4.8537ZM6.92244 20.1956C7.42912 20.2055 8.00937 20.122 8.67171 19.9123C10.3767 19.3726 12.5852 18.001 15.2934 15.2929C17.9569 12.6294 19.3282 10.4485 19.8861 8.75438C20.1013 8.10076 20.1945 7.52607 20.1969 7.02247C18.6205 9.41319 16.5516 11.915 14.2728 14.2007C11.9763 16.5042 9.43337 18.6218 6.92244 20.1956Z"
      }
    }]
  };
  var cucumber = vue.defineComponent({
    name: "CucumberIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-cucumber", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$o4(_objectSpread$o4({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$o2, finalProps.value);
    }
  });

  function ownKeys$o3(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$o3(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$o3(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$o3(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$o1 = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M20.4997 5.83468C18.5918 3.20865 15.4961 1.5 11.9997 1.5C6.57341 1.5 2.10958 5.61542 1.55717 10.896L1.45312 11.8905L3.44227 12.0986L3.54632 11.104C3.9933 6.83125 7.60814 3.5 11.9997 3.5C15.0404 3.5 17.7099 5.09688 19.2125 7.5H17.4997V9.5H22.4997V2.5H20.4997V5.83468ZM10.9997 6V7C9.34288 7 7.99974 8.34315 7.99974 10C7.99974 11.6569 9.34288 13 10.9997 13H12.9997C13.552 13 13.9997 13.4477 13.9997 14C13.9997 14.5523 13.552 15 12.9997 15H8.49974V17H10.9997V18H12.9997V17C14.6566 17 15.9997 15.6569 15.9997 14C15.9997 12.3431 14.6566 11 12.9997 11H10.9997C10.4475 11 9.99974 10.5523 9.99974 10C9.99974 9.44772 10.4475 9 10.9997 9H15.4997V7H12.9997V6H10.9997ZM20.5572 11.9014L20.4532 12.896C20.0062 17.1687 16.3913 20.5 11.9997 20.5C8.95904 20.5 6.28956 18.9031 4.78702 16.5H6.49974V14.5H1.49974V21.5H3.49974V18.1653C5.40769 20.7914 8.50342 22.5 11.9997 22.5C17.4261 22.5 21.8899 18.3846 22.4423 13.104L22.5464 12.1095L20.5572 11.9014Z"
      }
    }]
  };
  var currencyExchange = vue.defineComponent({
    name: "CurrencyExchangeIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-currency-exchange", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$o3(_objectSpread$o3({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$o1, finalProps.value);
    }
  });

  function ownKeys$o2(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$o2(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$o2(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$o2(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$o0 = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M19.9708 9.0385L3.10742 3.11353L9.0324 19.9769L12.4098 15.2485L18.1833 21.022L21.0117 18.1936L15.2376 12.4194L19.9708 9.0385Z"
      }
    }]
  };
  var cursorFilled = vue.defineComponent({
    name: "CursorFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-cursor-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$o2(_objectSpread$o2({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$o0, finalProps.value);
    }
  });

  function ownKeys$o1(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$o1(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$o1(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$o1(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$n$ = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M3.1084 3.11353L19.9718 9.0385L15.6534 12.123L21.3595 17.8291L17.8239 21.3646L12.1179 15.6586L9.03337 19.9769L3.1084 3.11353ZM6.37651 6.38164L9.64393 15.6812L11.8627 12.5749L17.8239 18.5362L18.531 17.8291L12.5698 11.8678L15.6761 9.64905L6.37651 6.38164Z"
      }
    }]
  };
  var cursor = vue.defineComponent({
    name: "CursorIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-cursor", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$o1(_objectSpread$o1({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$n$, finalProps.value);
    }
  });

  function ownKeys$o0(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$o0(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$o0(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$o0(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$n_ = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M2 21.9999V8.62515C2.90587 9.30584 4.02447 9.71972 5.23964 9.7484L6.98987 21.9999H2zM6.92487 7.40291C6.45495 7.62549 5.92952 7.75 5.375 7.75 5.23145 7.75 5.08984 7.74166 4.95064 7.72543 3.6022 7.5682 2.47969 6.67094 2 5.45053V2H22V5.45053C21.5203 6.67094 20.3978 7.5682 19.0494 7.72543 18.9102 7.74166 18.7686 7.75 18.625 7.75 18.0705 7.75 17.545 7.62549 17.0751 7.40291 16.9488 7.34307 16.8265 7.27614 16.7087 7.20263 16.0976 6.82133 15.6083 6.2631 15.3125 5.59962 15.0167 6.2631 14.5274 6.82133 13.9163 7.20263 13.3604 7.54955 12.7036 7.75 12 7.75 11.2964 7.75 10.6396 7.54955 10.0837 7.20263 9.47259 6.82133 8.98331 6.2631 8.6875 5.59962 8.3917 6.2631 7.90241 6.82133 7.29134 7.20263 7.17354 7.27614 7.05121 7.34307 6.92487 7.40291zM7.21614 9.44172C7.74738 9.25773 8.24229 8.9964 8.6875 8.67138 9.61594 9.34917 10.7605 9.75 12 9.75 13.2395 9.75 14.3841 9.34917 15.3125 8.67138 15.7577 8.99639 16.2526 9.25773 16.7839 9.44172L14.9898 21.9999H9.01018L7.21614 9.44172zM17.0101 21.9999L18.7604 9.7484C19.9755 9.71972 21.0941 9.30584 22 8.62515V21.9999H17.0101z"
      }
    }]
  };
  var curtainFilled = vue.defineComponent({
    name: "CurtainFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-curtain-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$o0(_objectSpread$o0({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$n_, finalProps.value);
    }
  });

  function ownKeys$n$(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$n$(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$n$(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$n$(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$nZ = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M2 2H22V22H2V2ZM4 9.46487V20H6.91447L6.09273 9.99894C6.0619 9.99965 6.03099 10 6 10C5.27143 10 4.58835 9.80521 4 9.46487ZM8.053 9.43337L8.92121 20H15.0788L15.947 9.43337C15.592 9.22065 15.2726 8.95441 15.0001 8.64573C14.2671 9.4762 13.1947 10 12 10C10.8053 10 9.73286 9.4762 8.99992 8.64573C8.7274 8.95441 8.40802 9.22065 8.053 9.43337ZM8 6H10C10 7.10457 10.8954 8 12 8C13.1046 8 14 7.10457 14 6H16C16 6.86925 16.5551 7.61142 17.3332 7.88646C17.5405 7.9597 17.7645 8 18 8C19.1046 8 20 7.10457 20 6V4H4V6C4 7.10457 4.89543 8 6 8C6.23555 8 6.45952 7.9597 6.66675 7.88646C7.4449 7.61142 8 6.86925 8 6ZM20 9.46487C19.4117 9.80521 18.7286 10 18 10C17.969 10 17.9381 9.99965 17.9073 9.99894L17.0855 20H20V9.46487Z"
      }
    }]
  };
  var curtain = vue.defineComponent({
    name: "CurtainIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-curtain", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$n$(_objectSpread$n$({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$nZ, finalProps.value);
    }
  });

  function ownKeys$n_(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$n_(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$n_(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$n_(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$nY = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M4.32799 7.43769C3.5036 8.99443 3 10.7687 3 11.7576V12.7576H1V11.7576C1 10.3222 1.65181 8.21769 2.56052 6.50171C3.02178 5.63069 3.58262 4.79463 4.21995 4.16167C4.83934 3.54654 5.65775 3 6.62162 3C7.5601 3 8.35682 3.48963 8.97581 4.07853C9.60292 4.67516 10.1503 5.46824 10.611 6.30601C11.5327 7.98192 12.2098 10.026 12.4848 11.5837L12.4871 11.597L12.4891 11.6103C12.6624 12.7739 13.293 14.7276 14.1631 16.3833C14.5968 17.2085 15.0627 17.9067 15.52 18.3838C15.9997 18.8844 16.331 19 16.5 19C16.686 19 17.0129 18.8851 17.4609 18.4242C17.8934 17.9793 18.3288 17.3207 18.7195 16.5277C19.5077 14.9282 20 13.0197 20 11.7576V10.7576H22V11.7576C22 13.4045 21.3978 15.6172 20.5136 17.4117C20.0681 18.3157 19.523 19.1722 18.8951 19.8182C18.2827 20.4482 17.4694 21 16.5 21C15.5136 21 14.6903 20.4086 14.0761 19.7677C13.4394 19.1034 12.872 18.2258 12.3927 17.3137C11.4399 15.5007 10.7275 13.3414 10.513 11.919C10.273 10.5689 9.66756 8.74085 8.85855 7.26975C8.45271 6.53176 8.02123 5.9309 7.59725 5.52753C7.16514 5.11643 6.83855 5 6.62162 5C6.43009 5 6.09309 5.12013 5.62929 5.58075C5.18343 6.02355 4.73329 6.67234 4.32799 7.43769ZM4 11H9V13H4V11ZM14 11H19V13H14V11Z"
      }
    }]
  };
  var curve = vue.defineComponent({
    name: "CurveIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-curve", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$n_(_objectSpread$n_({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$nY, finalProps.value);
    }
  });

  function ownKeys$nZ(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$nZ(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$nZ(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$nZ(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$nX = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M13 1V3.5H11V1H13ZM21.4142 3.5L15 9.91421L13.5858 8.5L20 2.08579L21.4142 3.5ZM4 2.08579L15.9678 14.0536C17.5017 13.1476 19.5105 13.3536 20.8284 14.6716C22.3905 16.2337 22.3905 18.7663 20.8284 20.3284C19.2663 21.8905 16.7337 21.8905 15.1716 20.3284C13.8536 19.0105 13.6476 17.0017 14.5536 15.4678L12 12.9142L9.44643 15.4678C10.3524 17.0017 10.1464 19.0105 8.82843 20.3284C7.26633 21.8905 4.73367 21.8905 3.17157 20.3284C1.60948 18.7663 1.60948 16.2337 3.17157 14.6716C4.48951 13.3536 6.49831 13.1476 8.03221 14.0536L10.5858 11.5L2.58579 3.5L4 2.08579ZM13 5V7.5H11V5H13ZM7.41421 16.0858C6.63316 15.3047 5.36683 15.3047 4.58579 16.0858C3.80474 16.8668 3.80474 18.1332 4.58579 18.9142C5.36684 19.6953 6.63316 19.6953 7.41421 18.9142C8.19526 18.1332 8.19526 16.8668 7.41421 16.0858ZM19.4142 16.0858C18.6332 15.3047 17.3668 15.3047 16.5858 16.0858C15.8047 16.8668 15.8047 18.1332 16.5858 18.9142C17.3668 19.6953 18.6332 19.6953 19.4142 18.9142C20.1953 18.1332 20.1953 16.8668 19.4142 16.0858Z"
      }
    }]
  };
  var cut1 = vue.defineComponent({
    name: "Cut1Icon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-cut-1", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$nZ(_objectSpread$nZ({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$nX, finalProps.value);
    }
  });

  function ownKeys$nY(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$nY(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$nY(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$nY(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$nW = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M7.41421 4.58579C6.63317 3.80474 5.36684 3.80474 4.58579 4.58579C3.80474 5.36684 3.80474 6.63316 4.58579 7.41421C5.36684 8.19526 6.63317 8.19526 7.41421 7.41421C8.19526 6.63316 8.19526 5.36684 7.41421 4.58579ZM3.17157 3.17157C4.73367 1.60948 7.26633 1.60948 8.82843 3.17157C10.1464 4.48951 10.3524 6.49831 9.44643 8.03221L12 10.5858L20 2.58579L21.4142 4L9.44643 15.9678C10.3524 17.5017 10.1464 19.5105 8.82843 20.8284C7.26633 22.3905 4.73367 22.3905 3.17157 20.8284C1.60948 19.2663 1.60948 16.7337 3.17157 15.1716C4.48951 13.8536 6.49831 13.6476 8.03221 14.5536L10.5858 12L8.03221 9.44643C6.49831 10.3524 4.48951 10.1464 3.17157 8.82843C1.60948 7.26633 1.60948 4.73367 3.17157 3.17157ZM15 13.5858L21.4142 20L20 21.4142L13.5858 15L15 13.5858ZM7.41421 16.5858C6.63316 15.8047 5.36684 15.8047 4.58579 16.5858C3.80474 17.3668 3.80474 18.6332 4.58579 19.4142C5.36684 20.1953 6.63316 20.1953 7.41421 19.4142C8.19526 18.6332 8.19526 17.3668 7.41421 16.5858Z"
      }
    }]
  };
  var cut = vue.defineComponent({
    name: "CutIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-cut", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$nY(_objectSpread$nY({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$nW, finalProps.value);
    }
  });

  function ownKeys$nX(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$nX(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$nX(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$nX(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$nV = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M21 20V10.1C21 5.0905 17.0419 1 12 1C6.95806 1 3 5.0905 3 10.1V20H2V22H10V20H9V10.1C9 8.44315 10.3431 7.1 12 7.1C13.6569 7.1 15 8.44315 15 10.1V20H14V22H22V20H21Z"
      }
    }]
  };
  var dam1Filled = vue.defineComponent({
    name: "Dam1FilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-dam-1-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$nX(_objectSpread$nX({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$nV, finalProps.value);
    }
  });

  function ownKeys$nW(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$nW(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$nW(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$nW(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$nU = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M12 3C15.9051 3 19 6.16249 19 10.1V20H17V10.1C17 7.33858 14.7614 5.1 12 5.1C9.23858 5.1 7 7.33858 7 10.1V20H5V10.1C5 6.16249 8.09493 3 12 3ZM21 20V10.1C21 5.0905 17.0419 1 12 1C6.95806 1 3 5.0905 3 10.1V20H2V22H10V20H9V10.1C9 8.44315 10.3431 7.1 12 7.1C13.6569 7.1 15 8.44315 15 10.1V20H14V22H22V20H21Z"
      }
    }]
  };
  var dam1 = vue.defineComponent({
    name: "Dam1Icon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-dam-1", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$nW(_objectSpread$nW({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$nU, finalProps.value);
    }
  });

  function ownKeys$nV(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$nV(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$nV(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$nV(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$nT = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M3 2H21V20H22V22H13V20H14V10H10V20H11V22H2V20H3V2ZM5.00079 20H7.99921L8 10H5L5.00079 20ZM19 10H16V20H19L19 10Z"
      }
    }]
  };
  var dam2Filled = vue.defineComponent({
    name: "Dam2FilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-dam-2-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$nV(_objectSpread$nV({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$nT, finalProps.value);
    }
  });

  function ownKeys$nU(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$nU(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$nU(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$nU(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$nS = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M3 2H21V20H22V22H13V20H14V10H10V20H11V22H2V20H3V2ZM5.00079 20H7.99921L8 10H5L5.00079 20ZM5 8H19V4H5V8ZM19 10H16V20H19L19 10Z"
      }
    }]
  };
  var dam2 = vue.defineComponent({
    name: "Dam2Icon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-dam-2", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$nU(_objectSpread$nU({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$nS, finalProps.value);
    }
  });

  function ownKeys$nT(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$nT(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$nT(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$nT(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$nR = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M22 20H21V10C21 4.39943 16.4712 1 12 1C7.52879 1 3 4.39943 3 10V20H2V22H10V20H9V11H15V20H14V22H22V20ZM17 11H19V20H17V11ZM5 11H7V20H5V11ZM14 7H10V5H14V7Z"
      }
    }]
  };
  var dam3Filled = vue.defineComponent({
    name: "Dam3FilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-dam-3-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$nT(_objectSpread$nT({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$nR, finalProps.value);
    }
  });

  function ownKeys$nS(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$nS(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$nS(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$nS(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$nQ = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M5.06373 9H18.9363C18.4493 5.25455 15.2491 3 12 3C8.75093 3 5.55066 5.25455 5.06373 9ZM19 11H17V20H19V11ZM21 20H22V22H14V20H15V11H9V20H10V22H2V20H3V10C3 4.39943 7.52879 1 12 1C16.4712 1 21 4.39943 21 10V20ZM7 11H5V20H7V11ZM10 5H14V7H10V5Z"
      }
    }]
  };
  var dam3 = vue.defineComponent({
    name: "Dam3Icon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-dam-3", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$nS(_objectSpread$nS({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$nQ, finalProps.value);
    }
  });

  function ownKeys$nR(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$nR(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$nR(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$nR(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$nP = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M9.5 13H14.5V22H9.5V13Z"
      }
    }, {
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M13 2H22V22H16.5V11H13V2zM2 2H11V11H7.5V22H2V2z"
      }
    }]
  };
  var dam4Filled = vue.defineComponent({
    name: "Dam4FilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-dam-4-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$nR(_objectSpread$nR({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$nP, finalProps.value);
    }
  });

  function ownKeys$nQ(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$nQ(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$nQ(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$nQ(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$nO = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M2 2H22V22H2V2ZM4 4V20H8V10H11V4H4ZM13 4V10H16V20H20V4H13ZM14 20V12H10V20H14Z"
      }
    }]
  };
  var dam4 = vue.defineComponent({
    name: "Dam4Icon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-dam-4", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$nQ(_objectSpread$nQ({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$nO, finalProps.value);
    }
  });

  function ownKeys$nP(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$nP(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$nP(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$nP(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$nN = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M2 2H22V4H21V20H22V22H2V20H3V4H2V2ZM5 4V20H6.99914L7 4.00031L5 4ZM17 4V20H19V4H17ZM15 20V15C15 13.3431 13.6569 12 12 12C10.3431 12 9 13.3431 9 15V20H15Z"
      }
    }]
  };
  var dam5Filled = vue.defineComponent({
    name: "Dam5FilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-dam-5-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$nP(_objectSpread$nP({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$nN, finalProps.value);
    }
  });

  function ownKeys$nO(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$nO(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$nO(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$nO(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$nM = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M2 2H22V4H21V20H22V22H2V20H3V4H2V2ZM5 4V20H6.99914L7 4.00031L5 4ZM9 4.00031V10.9996C9.83566 10.3719 10.8744 10 12 10C13.1256 10 14.1643 10.3719 15 10.9996V4L9 4.00031ZM17 4V20H19V4H17ZM15 20V15C15 13.3431 13.6569 12 12 12C10.3431 12 9 13.3431 9 15V20H15Z"
      }
    }]
  };
  var dam5 = vue.defineComponent({
    name: "Dam5Icon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-dam-5", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$nO(_objectSpread$nO({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$nM, finalProps.value);
    }
  });

  function ownKeys$nN(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$nN(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$nN(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$nN(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$nL = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M21 2H3V6H2V8H22V6H21V2zM21 10H3V20H2V22H10.5V20H9.5V15.5C9.5 14.1193 10.6193 13 12 13 13.3807 13 14.5 14.1193 14.5 15.5V20H13.5V22H22V20H21V10z"
      }
    }]
  };
  var dam6Filled = vue.defineComponent({
    name: "Dam6FilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-dam-6-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$nN(_objectSpread$nN({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$nL, finalProps.value);
    }
  });

  function ownKeys$nM(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$nM(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$nM(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$nM(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$nK = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M3 2H21V7H22V9H21V20H22V22H13V20H14V15C14 13.8954 13.1046 13 12 13C10.8954 13 10 13.8954 10 15V20H11V22H2V20H3V9H2V7H3V2ZM5 9V20H8V15C8 12.7909 9.79086 11 12 11C14.2091 11 16 12.7909 16 15V20H19V9H5ZM19 7V4H5V7H19Z"
      }
    }]
  };
  var dam6 = vue.defineComponent({
    name: "Dam6Icon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-dam-6", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$nM(_objectSpread$nM({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$nK, finalProps.value);
    }
  });

  function ownKeys$nL(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$nL(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$nL(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$nL(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$nJ = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M6.21922 1H17.7808L18.7808 5H21V20H22V22H16.5V13H7.5V22H2V20H3V5H5.21922L6.21922 1ZM7.28078 5H16.7192L16.2192 3H7.78078L7.28078 5Z"
      }
    }, {
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M9.5 22V15H14.5V22H9.5Z"
      }
    }]
  };
  var dam7Filled = vue.defineComponent({
    name: "Dam7FilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-dam-7-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$nL(_objectSpread$nL({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$nJ, finalProps.value);
    }
  });

  function ownKeys$nK(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$nK(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$nK(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$nK(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$nI = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M6.21922 1H17.7808L18.7808 5H21V20H22V22H2V20H3V5H5.21922L6.21922 1ZM7.28078 5H16.7192L16.2192 3H7.78078L7.28078 5ZM5 20H8V12H16V20H19V7H5V20ZM14 20V14H10V20H14Z"
      }
    }]
  };
  var dam7 = vue.defineComponent({
    name: "Dam7Icon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-dam-7", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$nK(_objectSpread$nK({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$nI, finalProps.value);
    }
  });

  function ownKeys$nJ(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$nJ(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$nJ(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$nJ(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$nH = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M12 0.671387L21 8.54639V20.0002H22V22.0002H13V20.0002H14V10.0002H10V20.0002H11V22.0002H2V20.0002H3V8.54639L12 0.671387ZM5.00079 20.0002H7.99921L8 10.0002H5L5.00079 20.0002ZM19 10.0002H16V20.0002H19L19 10.0002Z"
      }
    }]
  };
  var damFilled = vue.defineComponent({
    name: "DamFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-dam-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$nJ(_objectSpread$nJ({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$nH, finalProps.value);
    }
  });

  function ownKeys$nI(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$nI(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$nI(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$nI(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$nG = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M12 0.671387L21 8.54639V20.0002H22V22.0002H13V20.0002H14V10.0002H10V20.0002H11V22.0002H2V20.0002H3V8.54639L12 0.671387ZM5.00079 20.0002H7.99921L8 10.0002H5L5.00079 20.0002ZM6.66145 8.00015H17.3386L12 3.32892L6.66145 8.00015ZM19 10.0002H16V20.0002H19L19 10.0002Z"
      }
    }]
  };
  var dam = vue.defineComponent({
    name: "DamIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-dam", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$nI(_objectSpread$nI({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$nG, finalProps.value);
    }
  });

  function ownKeys$nH(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$nH(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$nH(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$nH(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$nF = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M7 12C7 9.23858 9.23858 7 12 7C14.7614 7 17 9.23858 17 12C17 14.7614 14.7614 17 12 17C9.23858 17 7 14.7614 7 12ZM12 10C10.8954 10 10 10.8954 10 12C10 13.1046 10.8954 14 12 14C13.1046 14 14 13.1046 14 12C14 10.8954 13.1046 10 12 10Z"
      }
    }, {
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M12 1C18.0751 1 23 5.92487 23 12C23 18.0751 18.0751 23 12 23C5.92487 23 1 18.0751 1 12C1 5.92487 5.92487 1 12 1ZM12 5C8.13401 5 5 8.13401 5 12C5 15.866 8.13401 19 12 19C15.866 19 19 15.866 19 12C19 8.13401 15.866 5 12 5Z"
      }
    }]
  };
  var dartBoardFilled = vue.defineComponent({
    name: "DartBoardFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-dart-board-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$nH(_objectSpread$nH({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$nF, finalProps.value);
    }
  });

  function ownKeys$nG(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$nG(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$nG(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$nG(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$nE = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M12 3C7.02944 3 3 7.02944 3 12C3 16.9706 7.02944 21 12 21C16.9706 21 21 16.9706 21 12C21 7.02944 16.9706 3 12 3ZM1 12C1 5.92487 5.92487 1 12 1C18.0751 1 23 5.92487 23 12C23 18.0751 18.0751 23 12 23C5.92487 23 1 18.0751 1 12ZM12 7C9.23858 7 7 9.23858 7 12C7 14.7614 9.23858 17 12 17C14.7614 17 17 14.7614 17 12C17 9.23858 14.7614 7 12 7ZM5 12C5 8.13401 8.13401 5 12 5C15.866 5 19 8.13401 19 12C19 15.866 15.866 19 12 19C8.13401 19 5 15.866 5 12ZM10 12C10 10.8954 10.8954 10 12 10C13.1046 10 14 10.8954 14 12C14 13.1046 13.1046 14 12 14C10.8954 14 10 13.1046 10 12Z"
      }
    }]
  };
  var dartBoard = vue.defineComponent({
    name: "DartBoardIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-dart-board", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$nG(_objectSpread$nG({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$nE, finalProps.value);
    }
  });

  function ownKeys$nF(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$nF(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$nF(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$nF(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$nD = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M2 2H11V9H2V2ZM13 2H22V13H13V2ZM2 11H11V22H2V11ZM13 15H22V22H13V15Z"
      }
    }]
  };
  var dashboard1Filled = vue.defineComponent({
    name: "Dashboard1FilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-dashboard-1-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$nF(_objectSpread$nF({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$nD, finalProps.value);
    }
  });

  function ownKeys$nE(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$nE(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$nE(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$nE(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$nC = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M2 2H11V9H2V2ZM4 4V7H9V4H4ZM13 2H22V13H13V2ZM15 4V11H20V4H15ZM2 11H11V22H2V11ZM4 13V20H9V13H4ZM13 15H22V22H13V15ZM15 17V20H20V17H15Z"
      }
    }]
  };
  var dashboard1 = vue.defineComponent({
    name: "Dashboard1Icon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-dashboard-1", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$nE(_objectSpread$nE({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$nC, finalProps.value);
    }
  });

  function ownKeys$nD(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$nD(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$nD(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$nD(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$nB = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M12 3C7.02944 3 3 7.02944 3 12C3 15.3297 4.80766 18.2384 7.49994 19.7961L8.36549 20.2969L7.36386 22.028L6.49831 21.5272C3.21354 19.6266 1 16.0724 1 12C1 5.92487 5.92487 1 12 1C13.2027 1 14.3623 1.19339 15.4481 1.55154L16.3977 1.86478L15.7713 3.76412L14.8216 3.45088C13.9354 3.15858 12.9872 3 12 3ZM20.981 4.41444L15.4386 9.95577C15.7949 10.554 16 11.2535 16 12.0001C16 14.2092 14.2091 16.0001 12 16.0001C9.79086 16.0001 8 14.2092 8 12.0001C8 9.79095 9.79086 8.00009 12 8.00009C12.7362 8.00009 13.4266 8.19956 14.0193 8.54668L19.5669 3.00009L20.981 4.41444ZM22.1352 7.60226L22.4485 8.55193C22.8066 9.63775 23 10.7973 23 12C23 16.0713 20.7877 19.6247 17.5044 21.5257L16.639 22.0267L15.6369 20.2959L16.5023 19.7948C19.1933 18.2367 21 15.3288 21 12C21 11.0128 20.8414 10.0646 20.5491 9.17841L20.2359 8.22874L22.1352 7.60226Z"
      }
    }]
  };
  var dashboardFilled = vue.defineComponent({
    name: "DashboardFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-dashboard-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$nD(_objectSpread$nD({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$nB, finalProps.value);
    }
  });

  function ownKeys$nC(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$nC(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$nC(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$nC(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$nA = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M12 3C7.02944 3 3 7.02944 3 12C3 15.3297 4.80766 18.2384 7.49994 19.7961L8.36549 20.2969L7.36386 22.028L6.49831 21.5272C3.21354 19.6266 1 16.0724 1 12C1 5.92487 5.92487 1 12 1C13.2027 1 14.3623 1.19339 15.4481 1.55154L16.3977 1.86478L15.7713 3.76412L14.8216 3.45088C13.9354 3.15858 12.9872 3 12 3ZM20.981 4.41444L15.4386 9.95577C15.7949 10.554 16 11.2535 16 12.0001C16 14.2092 14.2091 16.0001 12 16.0001C9.79086 16.0001 8 14.2092 8 12.0001C8 9.79095 9.79086 8.00009 12 8.00009C12.7362 8.00009 13.4266 8.19956 14.0193 8.54668L19.5669 3.00009L20.981 4.41444ZM22.1352 7.60226L22.4485 8.55193C22.8066 9.63775 23 10.7973 23 12C23 16.0713 20.7877 19.6247 17.5044 21.5257L16.639 22.0267L15.6369 20.2959L16.5023 19.7948C19.1933 18.2367 21 15.3288 21 12C21 11.0128 20.8414 10.0646 20.5491 9.17841L20.2359 8.22874L22.1352 7.60226ZM12 10.0001C10.8954 10.0001 10 10.8955 10 12.0001C10 13.1047 10.8954 14.0001 12 14.0001C13.1046 14.0001 14 13.1047 14 12.0001C14 11.4442 13.7745 10.9428 13.4075 10.5792C13.045 10.2201 12.5492 10.0001 12 10.0001Z"
      }
    }]
  };
  var dashboard = vue.defineComponent({
    name: "DashboardIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-dashboard", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$nC(_objectSpread$nC({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$nA, finalProps.value);
    }
  });

  function ownKeys$nB(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$nB(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$nB(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$nB(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$nz = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M19.7035 8.58772C17.64 9.27555 14.9166 9.66667 12 9.66667C9.08343 9.66667 6.35996 9.27555 4.29648 8.58772C3.46874 8.31181 2.6742 7.96429 2 7.52506V11.8301C2 13.671 6.47715 15.1634 12 15.1634C17.5228 15.1634 22 13.671 22 11.8301V7.52506C21.3258 7.96429 20.5313 8.31181 19.7035 8.58772Z"
      }
    }, {
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M22 15.0218C21.3258 15.461 20.5313 15.8086 19.7035 16.0845 17.64 16.7723 14.9166 17.1634 12 17.1634 9.08343 17.1634 6.35996 16.7723 4.29648 16.0845 3.46874 15.8086 2.6742 15.461 2 15.0218V19.6666C2 21.5075 6.47715 22.9999 12 22.9999 17.5228 22.9999 22 21.5075 22 19.6666L22 19.6562 22 15.0218zM12 7.66667C6.47715 7.66667 2 6.17428 2 4.33333L2 4.33008C2.00528 2.49063 6.48041 1 12 1 16.1421 1 19.6961 1.83947 21.2141 3.03585 21.7202 3.43464 22 3.8731 22 4.33333 22 6.17428 17.5228 7.66667 12 7.66667z"
      }
    }]
  };
  var dataBaseFilled = vue.defineComponent({
    name: "DataBaseFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-data-base-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$nB(_objectSpread$nB({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$nz, finalProps.value);
    }
  });

  function ownKeys$nA(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$nA(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$nA(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$nA(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$ny = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M4 5C3.99999 4.99813 3.99651 4.98139 4.03507 4.91857C4.07752 4.84943 4.16408 4.74547 4.32624 4.61768C4.65642 4.35747 5.19616 4.0794 5.95227 3.82736C7.45402 3.32678 9.59229 3 12 3C14.4077 3 16.546 3.32678 18.0477 3.82736C18.8038 4.0794 19.3436 4.35747 19.6738 4.61768C19.8359 4.74547 19.9225 4.84943 19.9649 4.91857C20.004 4.98219 20 4.99871 20 5.00022C20 5.00016 20 5.00027 20 5.00022C20 5.00276 20.0026 5.0201 19.9649 5.08143C19.9225 5.15057 19.8359 5.25453 19.6738 5.38232C19.3436 5.64253 18.8038 5.9206 18.0477 6.17264C16.546 6.67322 14.4077 7 12 7C9.59229 7 7.45402 6.67322 5.95227 6.17264C5.19616 5.9206 4.65642 5.64253 4.32624 5.38232C4.16408 5.25453 4.07752 5.15057 4.03507 5.08143C3.99767 5.0205 4.00002 5.0027 4 5ZM20 7.5266V12.0002C20 12.0002 20 12.0003 20 12.0002C20 12.0014 19.9999 12.0057 19.9969 12.0153C19.9935 12.0264 19.9852 12.0485 19.9649 12.0814C19.9225 12.1506 19.8359 12.2545 19.6738 12.3823C19.3436 12.6425 18.8038 12.9206 18.0477 13.1726C16.546 13.6732 14.4077 14 12 14C9.59229 14 7.45402 13.6732 5.95227 13.1726C5.19616 12.9206 4.65642 12.6425 4.32624 12.3823C4.16408 12.2545 4.07752 12.1506 4.03507 12.0814C4.01483 12.0485 4.00645 12.0264 4.00305 12.0153C4.00018 12.0058 4.00001 12.0012 4 12V7.5266C4.40123 7.73177 4.84666 7.91229 5.31981 8.07C7.07541 8.6552 9.43715 9 12 9C14.5629 9 16.9246 8.6552 18.6802 8.07C19.1533 7.91229 19.5988 7.73177 20 7.5266ZM20 14.5266V19C20 19.0007 20.0001 19.0049 19.9969 19.0153C19.9935 19.0264 19.9852 19.0485 19.9649 19.0814C19.9225 19.1506 19.8359 19.2545 19.6738 19.3823C19.3436 19.6425 18.8038 19.9206 18.0477 20.1726C16.546 20.6732 14.4077 21 12 21C9.59229 21 7.45402 20.6732 5.95227 20.1726C5.19616 19.9206 4.65642 19.6425 4.32624 19.3823C4.16408 19.2545 4.07752 19.1506 4.03507 19.0814C4.01483 19.0485 4.00645 19.0264 4.00305 19.0153C3.9999 19.0049 4 19.0007 4 19V14.5266C4.40123 14.7318 4.84666 14.9123 5.31981 15.07C7.07541 15.6552 9.43715 16 12 16C14.5629 16 16.9246 15.6552 18.6802 15.07C19.1533 14.9123 19.5988 14.7318 20 14.5266ZM2 19C2 19.8519 2.51889 20.5044 3.08829 20.9531C3.66896 21.4108 4.44724 21.7791 5.31981 22.07C7.07541 22.6552 9.43715 23 12 23C14.5629 23 16.9246 22.6552 18.6802 22.07C19.5528 21.7791 20.331 21.4108 20.9117 20.9531C21.4811 20.5044 22 19.8519 22 19V5C22 4.14805 21.4811 3.49559 20.9117 3.04685C20.331 2.58923 19.5528 2.22085 18.6802 1.93C16.9246 1.3448 14.5629 1 12 1C9.43715 1 7.07541 1.3448 5.31981 1.93C4.44724 2.22085 3.66896 2.58923 3.08829 3.04685C2.51889 3.49559 2 4.14805 2 5V19Z"
      }
    }]
  };
  var dataBase = vue.defineComponent({
    name: "DataBaseIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-data-base", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$nA(_objectSpread$nA({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$ny, finalProps.value);
    }
  });

  function ownKeys$nz(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$nz(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$nz(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$nz(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$nx = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 25 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M2.22632 2H22.2263V11H2.22632V2zM8.22827 5.5H6.22437V7.50391H8.22827V5.5zM2.22632 13H22.2263V14.5997C21.4762 14.2163 20.6265 14 19.7263 14 16.6888 14 14.2263 16.4624 14.2263 19.5 14.2263 20.4002 14.4426 21.2499 14.826 22H2.22632V13zM8.22827 16.5H6.22437V18.5039H8.22827V16.5z"
      }
    }, {
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M18.6622 23.1013L24.3191 17.4445L22.9049 16.0303L18.6622 20.2729L16.5409 18.1516L15.1267 19.5658L18.6622 23.1013Z"
      }
    }]
  };
  var dataCheckedFilled = vue.defineComponent({
    name: "DataCheckedFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-data-checked-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$nz(_objectSpread$nz({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$nx, finalProps.value);
    }
  });

  function ownKeys$ny(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$ny(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$ny(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$ny(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$nw = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M2 2H22V14H20V13H4L4 20.0004H12.5V22.0004H2L2 2ZM4 11H20V4H4V11ZM5.99805 6.5H8.00195V8.50391H5.99805V6.5ZM5.99805 15.5H8.00195V17.5039H5.99805V15.5ZM23.5961 16.9393L17.9392 22.5962L14.4037 19.0606L15.8179 17.6464L17.9392 19.7677L22.1819 15.5251L23.5961 16.9393Z"
      }
    }]
  };
  var dataChecked = vue.defineComponent({
    name: "DataCheckedIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-data-checked", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$ny(_objectSpread$ny({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$nw, finalProps.value);
    }
  });

  function ownKeys$nx(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$nx(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$nx(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$nx(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$nv = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M22 18H3L3 20H22V18ZM20 16C21.1046 16 22 15.1046 22 14V6C22 4.89543 21.1046 4 20 4L16 4V6H20V9H16.5V11H20V14H16V16H20ZM15 14H11V11H13C14.1046 11 15 10.1046 15 9V6C15 4.89543 14.1046 4 13 4L9 4V6L13 6V9H11C9.89543 9 9 9.89543 9 11V16H15V14ZM8 14H6.5L6.5 6C6.5 4.89543 5.60457 4 4.5 4L3 4L3 6H4.5V14H3L3 16H8V14Z"
      }
    }]
  };
  var dataDisplay = vue.defineComponent({
    name: "DataDisplayIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-data-display", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$nx(_objectSpread$nx({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$nv, finalProps.value);
    }
  });

  function ownKeys$nw(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$nw(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$nw(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$nw(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$nu = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 25 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M2.22632 2H22.2263V11H2.22632V2zM8.22827 5.5H6.22437V7.50391H8.22827V5.5zM2.22632 13H22.2263V14.5997C21.4762 14.2163 20.6265 14 19.7263 14 16.6888 14 14.2263 16.4624 14.2263 19.5 14.2263 20.4002 14.4426 21.2499 14.826 22H2.22632V13zM8.22827 16.5H6.22437V18.5039H8.22827V16.5z"
      }
    }, {
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M19.7218 18.0813L17.6005 15.96L16.1863 17.3742L18.3076 19.4955L16.1863 21.6168L17.6005 23.031L19.7218 20.9097L21.8431 23.031L23.2573 21.6168L21.136 19.4955L23.2573 17.3742L21.8431 15.96L19.7218 18.0813Z"
      }
    }]
  };
  var dataErrorFilled = vue.defineComponent({
    name: "DataErrorFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-data-error-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$nw(_objectSpread$nw({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$nu, finalProps.value);
    }
  });

  function ownKeys$nv(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$nv(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$nv(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$nv(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$nt = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M2 2H22V14H20V13H4L4 20.0004H14V22.0004H2L2 2ZM4 11H20V4H4V11ZM5.99805 6.5H8.00195V8.50391H5.99805V6.5ZM16.8789 15.4644L19.0002 17.5858L21.1215 15.4644L22.5358 16.8787L20.4144 19L22.5358 21.1213L21.1215 22.5355L19.0002 20.4142L16.8789 22.5355L15.4647 21.1213L17.586 19L15.4647 16.8787L16.8789 15.4644ZM5.99805 15.5H8.00195V17.5039H5.99805V15.5Z"
      }
    }]
  };
  var dataError = vue.defineComponent({
    name: "DataErrorIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-data-error", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$nv(_objectSpread$nv({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$nt, finalProps.value);
    }
  });

  function ownKeys$nu(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$nu(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$nu(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$nu(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$ns = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 25 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M2.22632 2H22.2263V11H2.22632V2zM8.22827 5.5H6.22437V7.50391H8.22827V5.5zM2.22632 13H22.2263V22H2.22632V13zM8.22827 16.5H6.22437V18.5039H8.22827V16.5z"
      }
    }]
  };
  var dataFilled = vue.defineComponent({
    name: "DataFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-data-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$nu(_objectSpread$nu({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$ns, finalProps.value);
    }
  });

  function ownKeys$nt(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$nt(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$nt(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$nt(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$nr = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 25 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M2.22632 2H22.2263V11H2.22632V2zM8.22827 6.5H6.22437V8.50391H8.22827V6.5zM2.22632 13H18.9763C16.0768 13 13.7263 15.3505 13.7263 18.25 13.7263 19.719 14.3297 21.0471 15.3021 22H2.22632V13zM8.22827 15.5H6.22437V17.5039H8.22827V15.5z"
      }
    }, {
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M18.9763 14.5C16.9053 14.5 15.2263 16.1789 15.2263 18.25C15.2263 20.3211 16.9053 22 18.9763 22C19.6487 22 20.2797 21.8231 20.8253 21.5132L22.4763 23.1642L23.8905 21.75L22.2395 20.099C22.5494 19.5533 22.7263 18.9223 22.7263 18.25C22.7263 16.1789 21.0474 14.5 18.9763 14.5ZM17.2263 18.25C17.2263 17.2835 18.0098 16.5 18.9763 16.5C19.9428 16.5 20.7263 17.2835 20.7263 18.25C20.7263 19.2165 19.9428 20 18.9763 20C18.0098 20 17.2263 19.2165 17.2263 18.25Z"
      }
    }]
  };
  var dataSearchFilled = vue.defineComponent({
    name: "DataSearchFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-data-search-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$nt(_objectSpread$nt({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$nr, finalProps.value);
    }
  });

  function ownKeys$ns(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$ns(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$ns(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$ns(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$nq = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M2 2H22V13H4L4 20.0004H13V22.0004H2L2 2ZM4 11H20V4H4V11ZM5.99805 6.5H8.00195V8.50391H5.99805V6.5ZM17.75 16C16.7835 16 16 16.7835 16 17.75C16 18.7165 16.7835 19.5 17.75 19.5C18.7165 19.5 19.5 18.7165 19.5 17.75C19.5 16.7835 18.7165 16 17.75 16ZM14 17.75C14 15.6789 15.6789 14 17.75 14C19.8211 14 21.5 15.6789 21.5 17.75C21.5 18.4223 21.3231 19.0533 21.0132 19.599L22.6642 21.25L21.25 22.6642L19.599 21.0132C19.0533 21.3231 18.4223 21.5 17.75 21.5C15.6789 21.5 14 19.8211 14 17.75ZM5.99805 15.5H8.00195V17.5039H5.99805V15.5Z"
      }
    }]
  };
  var dataSearch = vue.defineComponent({
    name: "DataSearchIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-data-search", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$ns(_objectSpread$ns({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$nq, finalProps.value);
    }
  });

  function ownKeys$nr(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$nr(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$nr(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$nr(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$np = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M2 2H22V22H2V2ZM4 4V11H5.99805V10.998H8.00195V11H20V4H4ZM20 13H8.00195V13.002H5.99805V13H4V20H20V13ZM5.99805 6.5H8.00195V8.50391H5.99805V6.5ZM5.99805 15.5H8.00195V17.5039H5.99805V15.5Z"
      }
    }]
  };
  var data = vue.defineComponent({
    name: "DataIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-data", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$nr(_objectSpread$nr({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$np, finalProps.value);
    }
  });

  function ownKeys$nq(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$nq(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$nq(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$nq(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$no = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M7.5 3H16.5V1H7.5V3zM22 6V4H2V6H4.02898L4.52898 23H19.471L19.971 6H22zM16.2431 10.6715L13.4147 13.5 16.2431 16.3284 14.8289 17.7426 12.0005 14.9142 9.17203 17.7426 7.75781 16.3284 10.5862 13.5 7.75781 10.6715 9.17203 9.25732 12.0005 12.0858 14.8289 9.25732 16.2431 10.6715z"
      }
    }]
  };
  var delete1Filled = vue.defineComponent({
    name: "Delete1FilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-delete-1-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$nq(_objectSpread$nq({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$no, finalProps.value);
    }
  });

  function ownKeys$np(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$np(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$np(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$np(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$nn = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M7.5 1H16.5V4H22V6H19.971L19.471 23H4.52898L4.02898 6H2V4H7.5V1ZM9.5 4H14.5V3H9.5V4ZM6.02984 6L6.47102 21H17.529L17.9702 6H6.02984ZM9.17158 9.25736L12 12.0858L14.8284 9.25736L16.2426 10.6716L13.4142 13.5L16.2426 16.3284L14.8284 17.7426L12 14.9142L9.17158 17.7426L7.75737 16.3284L10.5858 13.5L7.75737 10.6716L9.17158 9.25736Z"
      }
    }]
  };
  var delete1 = vue.defineComponent({
    name: "Delete1Icon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-delete-1", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$np(_objectSpread$np({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$nn, finalProps.value);
    }
  });

  function ownKeys$no(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$no(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$no(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$no(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$nm = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M7.5 3H16.5V1H7.5V3zM22 6V4H2V6H4.02898L4.52898 23H19.471L19.971 6H22zM11 19V8H13V19H11z"
      }
    }]
  };
  var deleteFilled = vue.defineComponent({
    name: "DeleteFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-delete-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$no(_objectSpread$no({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$nm, finalProps.value);
    }
  });

  function ownKeys$nn(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$nn(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$nn(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$nn(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$nl = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M7.5 3H16.5V1H7.5V3zM22 6V4H2V6H4.02898L4.52898 23H12.4994C11.5579 21.7465 11 20.1884 11 18.5V8H13V13.4009C14.3697 11.9242 16.3269 11 18.5 11 18.9506 11 19.3919 11.0397 19.8206 11.1159L19.971 6H22z"
      }
    }, {
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M13 18.5C13 15.4624 15.4624 13 18.5 13C21.5376 13 24 15.4624 24 18.5C24 21.5376 21.5376 24 18.5 24C15.4624 24 13 21.5376 13 18.5ZM20.9142 19.5001L19.5 18.0857V16.252H17.5V18.9141L19.4999 20.9142L20.9142 19.5001Z"
      }
    }]
  };
  var deleteTimeFilled = vue.defineComponent({
    name: "DeleteTimeFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-delete-time-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$nn(_objectSpread$nn({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$nl, finalProps.value);
    }
  });

  function ownKeys$nm(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$nm(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$nm(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$nm(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$nk = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M7.5 1H16.5V4H22V6H19.971L19.8084 11.529L17.8093 11.4702L17.9702 6H6.02984L6.47102 21H11.5V23H4.52898L4.02898 6H2V4H7.5V1ZM9.5 4H14.5V3H9.5V4ZM13 8V15H11V8H13ZM18.5 15C16.567 15 15 16.567 15 18.5C15 20.433 16.567 22 18.5 22C20.433 22 22 20.433 22 18.5C22 16.567 20.433 15 18.5 15ZM13 18.5C13 15.4624 15.4624 13 18.5 13C21.5376 13 24 15.4624 24 18.5C24 21.5376 21.5376 24 18.5 24C15.4624 24 13 21.5376 13 18.5ZM19.5 16.252V18.0858L20.9142 19.5001L19.4999 20.9142L17.5 18.9141V16.252H19.5Z"
      }
    }]
  };
  var deleteTime = vue.defineComponent({
    name: "DeleteTimeIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-delete-time", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$nm(_objectSpread$nm({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$nk, finalProps.value);
    }
  });

  function ownKeys$nl(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$nl(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$nl(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$nl(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$nj = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M7.5 1H16.5V4H22V6H19.971L19.471 23H4.52898L4.02898 6H2V4H7.5V1ZM9.5 4H14.5V3H9.5V4ZM6.02984 6L6.47102 21H17.529L17.9702 6H6.02984ZM13 8V19H11V8H13Z"
      }
    }]
  };
  var _delete = vue.defineComponent({
    name: "DeleteIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-delete", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$nl(_objectSpread$nl({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$nj, finalProps.value);
    }
  });

  function ownKeys$nk(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$nk(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$nk(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$nk(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$ni = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M19.0001 2.09155V22.7897L3.17212 13.0494L19.0001 2.09155Z"
      }
    }]
  };
  var deltaFilled = vue.defineComponent({
    name: "DeltaFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-delta-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$nk(_objectSpread$nk({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$ni, finalProps.value);
    }
  });

  function ownKeys$nj(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$nj(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$nj(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$nj(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$nh = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M18.9999 2.09131V22.7894L3.17188 13.0491L18.9999 2.09131ZM6.82784 12.9506L16.9999 19.2103V5.90845L6.82784 12.9506Z"
      }
    }]
  };
  var delta = vue.defineComponent({
    name: "DeltaIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-delta", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$nj(_objectSpread$nj({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$nh, finalProps.value);
    }
  });

  function ownKeys$ni(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$ni(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$ni(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$ni(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$ng = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M12 23C5.92487 23 1 18.0751 1 12C1 5.92487 5.92487 1 12 1C18.0751 1 23 5.92487 23 12C23 18.0751 18.0751 23 12 23ZM6.76855 11.8658L10.2327 9.86584L9.23266 8.13379L5.76855 10.1338L6.76855 11.8658ZM18.2327 10.1338L14.7686 8.13379L13.7686 9.86584L17.2327 11.8658L18.2327 10.1338ZM11.9998 12.9998C10.1479 12.9998 8.53238 14.0072 7.66936 15.4991L7.16864 16.3647L8.89985 17.3661L9.40058 16.5005C9.9208 15.6012 10.8907 14.9998 11.9998 14.9998C13.109 14.9998 14.0789 15.6012 14.5991 16.5005L15.0998 17.3661L16.831 16.3647L16.3303 15.4991C15.4673 14.0072 13.8518 12.9998 11.9998 12.9998Z"
      }
    }]
  };
  var depressedFilled = vue.defineComponent({
    name: "DepressedFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-depressed-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$ni(_objectSpread$ni({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$ng, finalProps.value);
    }
  });

  function ownKeys$nh(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$nh(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$nh(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$nh(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$nf = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M12 3C7.02944 3 3 7.02944 3 12C3 16.9706 7.02944 21 12 21C16.9706 21 21 16.9706 21 12C21 7.02944 16.9706 3 12 3ZM1 12C1 5.92487 5.92487 1 12 1C18.0751 1 23 5.92487 23 12C23 18.0751 18.0751 23 12 23C5.92487 23 1 18.0751 1 12ZM10.2328 9.86603L6.76874 11.866L5.76874 10.134L9.23284 8.13397L10.2328 9.86603ZM14.7687 8.13397L18.2328 10.134L17.2328 11.866L13.7687 9.86603L14.7687 8.13397ZM7.66955 15.4993C8.53256 14.0074 10.1481 13 12 13C13.852 13 15.4675 14.0074 16.3305 15.4993L16.8312 16.3649L15.1 17.3663L14.5993 16.5007C14.0791 15.6014 13.1092 15 12 15C10.8909 15 9.92099 15.6014 9.40076 16.5007L8.90004 17.3663L7.16882 16.3649L7.66955 15.4993Z"
      }
    }]
  };
  var depressed = vue.defineComponent({
    name: "DepressedIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-depressed", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$nh(_objectSpread$nh({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$nf, finalProps.value);
    }
  });

  function ownKeys$ng(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$ng(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$ng(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$ng(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$ne = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M23 3H1V14H23V3zM23 16H1V19H11V20H7V22H17V20H13V19H23V16z"
      }
    }]
  };
  var desktop1Filled = vue.defineComponent({
    name: "Desktop1FilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-desktop-1-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$ng(_objectSpread$ng({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$ne, finalProps.value);
    }
  });

  function ownKeys$nf(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$nf(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$nf(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$nf(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$nd = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M1 3H23V19H13V20H17V22H7V20H11V19H1V3ZM3 5V14H21V5H3ZM21 16H3V17H21V16Z"
      }
    }]
  };
  var desktop1 = vue.defineComponent({
    name: "Desktop1Icon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-desktop-1", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$nf(_objectSpread$nf({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$nd, finalProps.value);
    }
  });

  function ownKeys$ne(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$ne(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$ne(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$ne(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$nc = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M1 3H23V18H13V20H17V22H7V20H11V18H1V3Z"
      }
    }]
  };
  var desktopFilled = vue.defineComponent({
    name: "DesktopFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-desktop-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$ne(_objectSpread$ne({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$nc, finalProps.value);
    }
  });

  function ownKeys$nd(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$nd(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$nd(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$nd(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$nb = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M1 3H23V18H13V20H17V22H7V20H11V18H1V3ZM3 5V16H21V5H3Z"
      }
    }]
  };
  var desktop = vue.defineComponent({
    name: "DesktopIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-desktop", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$nd(_objectSpread$nd({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$nb, finalProps.value);
    }
  });

  function ownKeys$nc(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$nc(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$nc(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$nc(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$na = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M12 23C5.92487 23 1 18.0751 1 12C1 5.92487 5.92487 1 12 1C18.0751 1 23 5.92487 23 12C23 18.0751 18.0751 23 12 23ZM10 9H6V11H7V13H9V11H10V9ZM18 9H14V11H15V13H17V11H18V9ZM12 13C10.1481 13 8.53256 14.0074 7.66955 15.4993L7.16882 16.3649L8.90004 17.3663L9.40076 16.5007C9.92099 15.6014 10.8909 15 12 15C13.1092 15 14.0791 15.6014 14.5993 16.5007L15.1 17.3663L16.8312 16.3649L16.3305 15.4993C15.4675 14.0074 13.852 13 12 13Z"
      }
    }]
  };
  var despiseFilled = vue.defineComponent({
    name: "DespiseFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-despise-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$nc(_objectSpread$nc({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$na, finalProps.value);
    }
  });

  function ownKeys$nb(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$nb(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$nb(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$nb(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$n9 = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M12 3C7.02944 3 3 7.02944 3 12C3 16.9706 7.02944 21 12 21C16.9706 21 21 16.9706 21 12C21 7.02944 16.9706 3 12 3ZM1 12C1 5.92487 5.92487 1 12 1C18.0751 1 23 5.92487 23 12C23 18.0751 18.0751 23 12 23C5.92487 23 1 18.0751 1 12ZM6 9H10V11H9V13H7V11H6V9ZM14 9H18V11H17V13H15V11H14V9ZM7.66955 15.4993C8.53256 14.0074 10.1481 13 12 13C13.852 13 15.4675 14.0074 16.3305 15.4993L16.8312 16.3649L15.1 17.3663L14.5993 16.5007C14.0791 15.6014 13.1092 15 12 15C10.8909 15 9.92099 15.6014 9.40076 16.5007L8.90004 17.3663L7.16882 16.3649L7.66955 15.4993Z"
      }
    }]
  };
  var despise = vue.defineComponent({
    name: "DespiseIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-despise", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$nb(_objectSpread$nb({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$n9, finalProps.value);
    }
  });

  function ownKeys$na(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$na(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$na(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$na(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$n8 = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M23 2H1V19H12.5V6.5H23V2zM12.5 20H5V22H12.5V20z"
      }
    }, {
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M14.5 8.5H24V22H14.5V8.5ZM18.248 16.998V19.002H20.252V16.998H18.248Z"
      }
    }]
  };
  var deviceFilled = vue.defineComponent({
    name: "DeviceFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-device-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$na(_objectSpread$na({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$n8, finalProps.value);
    }
  });

  function ownKeys$n9(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$n9(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$n9(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$n9(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$n7 = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M1 2H23V6H21V4H3V17H12V19H1V2ZM14 8H24V22H14V8ZM16 10V20H22V10H16ZM17.998 16.998H20.002V19.002H17.998V16.998ZM5 20H12V22H5V20Z"
      }
    }]
  };
  var device = vue.defineComponent({
    name: "DeviceIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-device", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$n9(_objectSpread$n9({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$n7, finalProps.value);
    }
  });

  function ownKeys$n8(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$n8(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$n8(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$n8(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$n6 = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M16.4737 7.52441C15.888 6.93862 14.9382 6.93862 14.3524 7.52441C13.7666 8.11019 13.7666 9.05994 14.3524 9.64573C14.9382 10.2315 15.888 10.2315 16.4737 9.64573C17.0595 9.05994 17.0595 8.11019 16.4737 7.52441Z"
      }
    }, {
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M22.0028 1.99757L22.811 12.5032L11.8791 23.435L0.56543 12.1213L11.4973 1.18945L22.0028 1.99757ZM13.292 6.46375C12.1205 7.63532 12.1205 9.53482 13.292 10.7064C14.4636 11.878 16.3631 11.878 17.5347 10.7064C18.7063 9.53482 18.7063 7.63532 17.5347 6.46375C16.3631 5.29218 14.4636 5.29218 13.292 6.46375Z"
      }
    }]
  };
  var discountFilled = vue.defineComponent({
    name: "DiscountFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-discount-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$n8(_objectSpread$n8({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$n6, finalProps.value);
    }
  });

  function ownKeys$n7(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$n7(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$n7(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$n7(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$n5 = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M11.4963 1.18945L22.0019 1.99757L22.81 12.5032L11.8782 23.435L0.564453 12.1213L11.4963 1.18945ZM12.26 3.25411L3.39288 12.1213L11.8782 20.6066L20.7453 11.7394L20.1392 3.8602L12.26 3.25411ZM16.1203 7.87789C15.7298 7.48737 15.0967 7.48737 14.7061 7.87789C14.3156 8.26842 14.3156 8.90158 14.7061 9.29211C15.0967 9.68263 15.7298 9.68263 16.1203 9.2921C16.5109 8.90158 16.5109 8.26842 16.1203 7.87789ZM13.2919 6.46368C14.4635 5.29211 16.363 5.2921 17.5346 6.46368C18.7061 7.63525 18.7061 9.53475 17.5346 10.7063C16.363 11.8779 14.4635 11.8779 13.2919 10.7063C12.1203 9.53475 12.1203 7.63525 13.2919 6.46368Z"
      }
    }]
  };
  var discount = vue.defineComponent({
    name: "DiscountIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-discount", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$n7(_objectSpread$n7({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$n5, finalProps.value);
    }
  });

  function ownKeys$n6(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$n6(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$n6(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$n6(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$n4 = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M12 23C5.92487 23 1 18.0751 1 12C1 5.92487 5.92487 1 12 1C18.0751 1 23 5.92487 23 12C23 18.0751 18.0751 23 12 23ZM8 9.5V8.5H6V9.5C6 10.8807 7.11929 12 8.5 12C9.88071 12 11 10.8807 11 9.5V8.5H9V9.5C9 9.77614 8.77614 10 8.5 10C8.22386 10 8 9.77614 8 9.5ZM15 9.5V8.5H13V9.5C13 10.8807 14.1193 12 15.5 12C16.8807 12 18 10.8807 18 9.5V8.5H16V9.5C16 9.77614 15.7761 10 15.5 10C15.2239 10 15 9.77614 15 9.5ZM12 13C10.1481 13 8.53256 14.0074 7.66955 15.4993L7.16882 16.3649L8.90004 17.3663L9.40076 16.5007C9.92099 15.6014 10.8909 15 12 15C13.1092 15 14.0791 15.6014 14.5993 16.5007L15.1 17.3663L16.8312 16.3649L16.3305 15.4993C15.4675 14.0074 13.852 13 12 13Z"
      }
    }]
  };
  var dissatisfactionFilled = vue.defineComponent({
    name: "DissatisfactionFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-dissatisfaction-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$n6(_objectSpread$n6({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$n4, finalProps.value);
    }
  });

  function ownKeys$n5(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$n5(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$n5(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$n5(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$n3 = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M12 3C7.02944 3 3 7.02944 3 12C3 16.9706 7.02944 21 12 21C16.9706 21 21 16.9706 21 12C21 7.02944 16.9706 3 12 3ZM1 12C1 5.92487 5.92487 1 12 1C18.0751 1 23 5.92487 23 12C23 18.0751 18.0751 23 12 23C5.92487 23 1 18.0751 1 12ZM8 8.5V9.5C8 9.77614 8.22386 10 8.5 10C8.77614 10 9 9.77614 9 9.5V8.5H11V9.5C11 10.8807 9.88071 12 8.5 12C7.11929 12 6 10.8807 6 9.5V8.5H8ZM15 8.5V9.5C15 9.77614 15.2239 10 15.5 10C15.7761 10 16 9.77614 16 9.5V8.5H18V9.5C18 10.8807 16.8807 12 15.5 12C14.1193 12 13 10.8807 13 9.5V8.5H15ZM7.66955 15.4993C8.53256 14.0074 10.1481 13 12 13C13.852 13 15.4675 14.0074 16.3305 15.4993L16.8312 16.3649L15.1 17.3663L14.5993 16.5007C14.0791 15.6014 13.1092 15 12 15C10.8909 15 9.92099 15.6014 9.40076 16.5007L8.90004 17.3663L7.16882 16.3649L7.66955 15.4993Z"
      }
    }]
  };
  var dissatisfaction = vue.defineComponent({
    name: "DissatisfactionIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-dissatisfaction", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$n5(_objectSpread$n5({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$n3, finalProps.value);
    }
  });

  function ownKeys$n4(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$n4(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$n4(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$n4(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$n2 = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M11 7L13.0039 7V9.00391L11 9.00391V7ZM6.5 11H17.5V13H6.5V11ZM11 15H13.0039V17.0039H11V15Z"
      }
    }]
  };
  var divide = vue.defineComponent({
    name: "DivideIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-divide", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$n4(_objectSpread$n4({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$n2, finalProps.value);
    }
  });

  function ownKeys$n3(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$n3(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$n3(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$n3(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$n1 = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M12.9996 1V4.53223C14.9448 4.97174 16.4268 6.66549 16.4268 8.73684C16.4268 9.66591 16.1286 10.519 15.6243 11.217L18.1114 16.0951C18.7122 15.8916 19.3047 15.6572 19.8867 15.3919L20.7965 14.977L21.6263 16.7968L20.7164 17.2116C20.1619 17.4645 19.5987 17.6919 19.0285 17.8939L21.6318 23H19.3833L17.08 18.4796C13.7473 19.3072 10.2517 19.3072 6.91907 18.4796L4.61573 23H2.36719L4.97052 17.8939C4.40036 17.6919 3.83716 17.4645 3.28268 17.2116L2.3728 16.7968L3.20251 14.977L4.1124 15.3919C4.69431 15.6572 5.28689 15.8916 5.88765 16.0951L8.37486 11.2168C7.8706 10.5188 7.57252 9.66581 7.57252 8.73684C7.57252 6.66549 9.05446 4.97174 10.9996 4.53223V1H12.9996ZM7.85381 16.6451C10.5816 17.252 13.4175 17.252 16.1452 16.6451L14.0616 12.5558C13.443 12.8737 12.7402 13.0526 11.9996 13.0526C11.2591 13.0526 10.5561 12.8736 9.9375 12.5557L7.85381 16.6451ZM11.9996 6.42105C10.6278 6.42105 9.57252 7.48874 9.57252 8.73684C9.57252 9.98494 10.6278 11.0526 11.9996 11.0526C13.3715 11.0526 14.4268 9.98494 14.4268 8.73684C14.4268 7.48874 13.3715 6.42105 11.9996 6.42105Z"
      }
    }]
  };
  var dividers1 = vue.defineComponent({
    name: "Dividers1Icon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-dividers-1", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$n3(_objectSpread$n3({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$n1, finalProps.value);
    }
  });

  function ownKeys$n2(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$n2(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$n2(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$n2(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$n0 = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M13.0004 1V2.23201C14.9312 2.68154 16.3754 4.40425 16.3754 6.47059C16.3754 7.3274 16.1259 8.12713 15.6965 8.80043L18.9664 15H22.0004V17H20.0213L22.3515 21.418L20.5825 22.351L17.7601 17L13.0004 17V19H11.0004V17H6.24077L3.41843 22.351L1.64941 21.418L3.97963 17H2.00045L2.00045 15H5.0345L8.30439 8.80043C7.87499 8.12713 7.62545 7.3274 7.62545 6.47059C7.62545 4.40425 9.06968 2.68154 11.0004 2.23201V1H13.0004ZM9.80743 10.2378L7.29564 15L11.0004 15V13H13.0004V15L16.7053 15L14.1935 10.2378C13.5485 10.6101 12.799 10.8235 12.0004 10.8235C11.2019 10.8235 10.4524 10.6101 9.80743 10.2378ZM12.0004 4.11765C10.6826 4.11765 9.62545 5.17727 9.62545 6.47059C9.62545 7.0719 9.85186 7.61927 10.2278 8.03654C10.6633 8.52001 11.2948 8.82353 12.0004 8.82353C12.7061 8.82353 13.3375 8.52001 13.7731 8.03654C14.149 7.61927 14.3754 7.0719 14.3754 6.47059C14.3754 5.17727 13.3183 4.11765 12.0004 4.11765Z"
      }
    }]
  };
  var dividers = vue.defineComponent({
    name: "DividersIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-dividers", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$n2(_objectSpread$n2({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$n0, finalProps.value);
    }
  });

  function ownKeys$n1(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$n1(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$n1(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$n1(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$m$ = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M11.6888 16.3932C11.5575 16.1688 11.433 15.9214 11.3215 15.6767C11.5625 15.5415 11.7901 15.3731 12.0009 15.1741C12.2117 15.3731 12.4393 15.5415 12.6803 15.6767C12.5688 15.9214 12.4443 16.1688 12.3129 16.3932C12.1993 16.5872 12.0934 16.7416 12.0009 16.8552C11.9084 16.7416 11.8025 16.5872 11.6888 16.3932Z"
      }
    }, {
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M5.73855 1L7.77322 2.97293C9.07653 2.45921 10.5049 2.17647 12 2.17647C13.4563 2.17647 14.8492 2.44471 16.125 2.93337L17.6204 1H23V13H22.9916C22.7627 18.611 17.8742 23 12 23C6.1258 23 1.23734 18.611 1.00838 13H1V1H5.73855ZM5.88772 3.93049L4.92812 3H3V6.60011C3.78224 5.54914 4.76333 4.64321 5.88772 3.93049ZM21 3H18.6019L17.9569 3.83381C19.1464 4.56056 20.1819 5.50101 21 6.60011V3ZM9 12V9H7V12H9ZM17 12V9H15V12H17ZM12.8953 13.0528L12.0009 11.2639L11.1065 13.0528C10.7281 13.8096 10.2496 14.0383 9.91785 14.066C9.70198 14.0839 9.47133 14.028 9.24985 13.8774L8.42295 13.315L7.29825 14.9688L8.12515 15.5312C8.48154 15.7736 8.87721 15.9396 9.29144 16.0179C9.46978 16.4569 9.69992 16.9545 9.96294 17.4037C10.1624 17.7443 10.4061 18.1014 10.6908 18.3859C10.9504 18.6455 11.3985 19 12.0009 19C12.6033 19 13.0514 18.6455 13.311 18.3859C13.5957 18.1014 13.8394 17.7443 14.0388 17.4037C14.3019 16.9545 14.532 16.4569 14.7104 16.0179C15.1246 15.9396 15.5203 15.7736 15.8766 15.5312L16.7035 14.9688L15.5788 13.315L14.7519 13.8774C14.5305 14.028 14.2998 14.0839 14.0839 14.066C13.7522 14.0383 13.2737 13.8096 12.8953 13.0528Z"
      }
    }]
  };
  var dogeFilled = vue.defineComponent({
    name: "DogeFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-doge-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$n1(_objectSpread$n1({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$m$, finalProps.value);
    }
  });

  function ownKeys$n0(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$n0(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$n0(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$n0(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$m_ = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M1 1H5.73855L7.77322 2.97293C9.07653 2.45921 10.5049 2.17647 12 2.17647C13.4563 2.17647 14.8492 2.44471 16.125 2.93337L17.6204 1H23V13H22.9916C22.7627 18.611 17.8742 23 12 23C6.1258 23 1.23734 18.611 1.00838 13H1V1ZM3 6.60011C3.78224 5.54914 4.76333 4.64321 5.88772 3.93049L4.92812 3H3V6.60011ZM3 12.5882C3 17.1777 6.97146 21 12 21C17.0285 21 21 17.1777 21 12.5882C21 9.32002 18.9986 6.45339 16.0208 5.06061C14.8132 4.49579 13.4486 4.17647 12 4.17647C10.5514 4.17647 9.18682 4.49579 7.97923 5.06061C5.00144 6.45339 3 9.32002 3 12.5882ZM21 6.60011V3H18.6019L17.9569 3.83381C19.1464 4.56056 20.1819 5.50101 21 6.60011ZM9 9V12H7V9H9ZM17 9V12H15V9H17ZM12.0009 11.2639L12.8953 13.0528C13.2737 13.8096 13.7522 14.0383 14.0839 14.066C14.2998 14.0839 14.5305 14.028 14.7519 13.8774L15.5788 13.315L16.7035 14.9688L15.8766 15.5312C15.5203 15.7736 15.1246 15.9396 14.7104 16.0179C14.532 16.4569 14.3019 16.9545 14.0388 17.4037C13.8394 17.7443 13.5957 18.1014 13.311 18.3859C13.0514 18.6455 12.6033 19 12.0009 19C11.3985 19 10.9504 18.6455 10.6908 18.3859C10.4061 18.1014 10.1624 17.7443 9.96294 17.4037C9.69992 16.9545 9.46978 16.4569 9.29144 16.0179C8.87721 15.9396 8.48154 15.7736 8.12515 15.5312L7.29825 14.9688L8.42295 13.315L9.24985 13.8774C9.47133 14.028 9.70198 14.0839 9.91785 14.066C10.2496 14.0383 10.7281 13.8096 11.1065 13.0528L12.0009 11.2639ZM11.3215 15.6767C11.433 15.9214 11.5575 16.1688 11.6888 16.3932C11.8025 16.5872 11.9084 16.7416 12.0009 16.8552C12.0934 16.7416 12.1993 16.5872 12.3129 16.3932C12.4443 16.1688 12.5688 15.9214 12.6803 15.6767C12.4393 15.5415 12.2117 15.3731 12.0009 15.1741C11.7901 15.3731 11.5625 15.5415 11.3215 15.6767Z"
      }
    }]
  };
  var doge = vue.defineComponent({
    name: "DogeIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-doge", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$n0(_objectSpread$n0({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$m_, finalProps.value);
    }
  });

  function ownKeys$m$(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$m$(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$m$(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$m$(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$mZ = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M2 10H22V12H21V20H22V22H16V15H8V22H2V20H3V12H2V10Z"
      }
    }, {
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M10 22V17H14V22H10zM19 2H5V4H6V8H18V4H19V2zM13.002 3.99805V6.00195H10.998V3.99805H13.002z"
      }
    }]
  };
  var doubleStoreyFilled = vue.defineComponent({
    name: "DoubleStoreyFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-double-storey-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$m$(_objectSpread$m$({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$mZ, finalProps.value);
    }
  });

  function ownKeys$m_(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$m_(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$m_(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$m_(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$mY = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M5 2H19V4H18V8H22V10H21V20H22V22H2V20H3V10H2V8H6V4H5V2ZM8 4V8H16V4H8ZM5 10V20H8V13H16V20H19V10H5ZM14 20V15H10V20H14ZM10.998 4.99805H13.002V7.00195H10.998V4.99805Z"
      }
    }]
  };
  var doubleStorey = vue.defineComponent({
    name: "DoubleStoreyIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-double-storey", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$m_(_objectSpread$m_({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$mY, finalProps.value);
    }
  });

  function ownKeys$mZ(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$mZ(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$mZ(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$mZ(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$mX = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M13 3L13 12.5858L17 8.58579L18.4142 10L12 16.4142L5.58579 10L7 8.58579L11 12.5858L11 3L13 3ZM3 18H21V20H3V18Z"
      }
    }]
  };
  var download1 = vue.defineComponent({
    name: "Download1Icon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-download-1", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$mZ(_objectSpread$mZ({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$mX, finalProps.value);
    }
  });

  function ownKeys$mY(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$mY(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$mY(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$mY(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$mW = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M23 2H1V18H23V2zM15.9137 10.6356L11.9998 14.3848 8.08594 10.6356 9.46942 9.19136 10.9998 10.6573V6H12.9998V10.6573L14.5302 9.19136 15.9137 10.6356zM21 20H3V22H21V20z"
      }
    }]
  };
  var download2Filled = vue.defineComponent({
    name: "Download2FilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-download-2-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$mY(_objectSpread$mY({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$mW, finalProps.value);
    }
  });

  function ownKeys$mX(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$mX(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$mX(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$mX(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$mV = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M1 2H23V18H1V2ZM3 4V16H21V4H3ZM13 6V10.6573L14.5304 9.19136L15.9139 10.6356L12 14.3848L8.08611 10.6356L9.4696 9.19136L11 10.6573V6H13ZM3 20H21V22H3V20Z"
      }
    }]
  };
  var download2 = vue.defineComponent({
    name: "Download2Icon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-download-2", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$mX(_objectSpread$mX({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$mV, finalProps.value);
    }
  });

  function ownKeys$mW(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$mW(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$mW(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$mW(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$mU = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M13 3L13 12.5858L16.5 9.08579L17.9142 10.5L12 16.4142L6.08579 10.5L7.5 9.08579L11 12.5858L11 3L13 3ZM4.5 14V19H19.5V14H21.5V21H2.5V14H4.5Z"
      }
    }]
  };
  var download = vue.defineComponent({
    name: "DownloadIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-download", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$mW(_objectSpread$mW({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$mU, finalProps.value);
    }
  });

  function ownKeys$mV(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$mV(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$mV(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$mV(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$mT = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M2 2H11V4H4V10H2V2ZM21.4142 3.99961L16.3872 9.02659L19.914 9.04675L19.9026 11.0467L12.9924 11.0072L12.9529 4.097L14.9529 4.08557L14.973 7.61238L20 2.58539L21.4142 3.99961ZM2 12H6V14H4V16H2V12ZM8 12H12V16H10V14H8V12ZM22 13V22H14V20H20V13H22ZM4 18V20H6V22H2V18H4ZM12 18V22H8V20H10V18H12Z"
      }
    }]
  };
  var downscale = vue.defineComponent({
    name: "DownscaleIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-downscale", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$mV(_objectSpread$mV({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$mT, finalProps.value);
    }
  });

  function ownKeys$mU(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$mU(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$mU(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$mU(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$mS = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M1.99902 15V2H14.999V7H12.999V4L3.99902 4L3.99902 13H6.99902L6.99902 15H1.99902ZM7.99902 20L7.99902 8L19.999 8V13.5L17.999 13.5L17.999 10H9.99902L9.99902 18H13.499V20H7.99902ZM16.7771 23.6838L13.4096 13.3784L23.6684 16.7845L19.0116 19.0116L16.7771 23.6838Z"
      }
    }]
  };
  var dragDrop = vue.defineComponent({
    name: "DragDropIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-drag-drop", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$mU(_objectSpread$mU({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$mS, finalProps.value);
    }
  });

  function ownKeys$mT(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$mT(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$mT(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$mT(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$mR = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "g",
      "attrs": {
        "clipPath": "url(#clip0_8726_9921)"
      },
      "children": [{
        "tag": "path",
        "attrs": {
          "fill": "currentColor",
          "d": "M12.0001 23.4144L7.58593 19.0001L9.00015 17.5859L11.0001 19.5859L11.0001 13.0001L4.41436 13.0001L6.41437 15.0002L5.00015 16.4144L0.585938 12.0001L5.00015 7.58593L6.41437 9.00014L4.41436 11.0001L11.0001 11.0001L11.0001 4.41436L9.00015 6.41437L7.58593 5.00015L12.0001 0.585938L16.4144 5.00015L15.0001 6.41436L13.0001 4.41437L13.0001 11.0001L19.5859 11.0002L17.5859 9.00015L19.0002 7.58594L23.4144 12.0002L19.0001 16.4144L17.5859 15.0002L19.5859 13.0002L13.0001 13.0001L13.0001 19.5859L15.0002 17.5859L16.4144 19.0002L12.0001 23.4144Z"
        }
      }]
    }]
  };
  var dragMove = vue.defineComponent({
    name: "DragMoveIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-drag-move", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$mT(_objectSpread$mT({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$mR, finalProps.value);
    }
  });

  function ownKeys$mS(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$mS(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$mS(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$mS(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$mQ = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M19.9998 1H14.4805L13.245 5.22222H10.3406C9.88411 3.39335 8.20414 2.05566 6.23139 2.05566C3.91363 2.05566 2 3.90217 2 6.22233C2 8.23985 3.47483 9.86381 5.34902 10.2782L6.2174 23H18.8567L20.0704 5.22222H15.3289L15.9791 3H19.9998V1ZM7.38113 10.7041L7.14471 7.22233L12.6597 7.22222L11.4475 11.365L7.38113 10.7041ZM17.9292 7.22222L17.5771 12.3794L13.4357 11.692L14.7436 7.22222H17.9292Z"
      }
    }]
  };
  var drinkFilled = vue.defineComponent({
    name: "DrinkFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-drink-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$mS(_objectSpread$mS({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$mQ, finalProps.value);
    }
  });

  function ownKeys$mR(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$mR(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$mR(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$mR(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$mP = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M14.4807 1H20V3H15.9794L15.3291 5.22222H20.0706L18.8569 23H6.21764L5.34779 10.2778C3.47418 9.86298 2 8.2393 2 6.22222C2 3.90206 3.91363 2.05556 6.23139 2.05556C8.20418 2.05556 9.88418 3.39329 10.3406 5.22222H13.2452L14.4807 1ZM12.66 7.22222H7.14471L7.38137 10.7041L11.4477 11.365L12.66 7.22222ZM11.9956 13.4803L7.52121 12.753L8.08548 21H16.9888L17.4405 14.384L11.9989 13.4809L11.9956 13.4803ZM17.5773 12.3794L17.9294 7.22222H14.7439L13.4359 11.692L17.5773 12.3794ZM8.2106 5.22222C7.84137 4.5343 7.10214 4.05556 6.23139 4.05556C4.97986 4.05556 4 5.04458 4 6.22222C4 7.01865 4.48089 7.74502 5.20097 8.11792L5.00415 5.22222H8.2106Z"
      }
    }]
  };
  var drink = vue.defineComponent({
    name: "DrinkIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-drink", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$mR(_objectSpread$mR({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$mP, finalProps.value);
    }
  });

  function ownKeys$mQ(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$mQ(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$mQ(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$mQ(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$mO = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M11.1168 15.9959C8.66121 14.6301 6.99976 12.009 6.99976 8.99976C6.99976 4.58148 10.5815 0.999756 14.9998 0.999756C18.009 0.999756 20.6302 2.66126 21.996 5.11694C21.9957 5.11624 21.9955 5.11554 21.9952 5.11484C22.6355 6.26517 23.0002 7.58986 23.0002 8.99976C23.0002 13.418 19.4184 16.9998 15.0002 16.9998C15 16.9998 15.0003 16.9998 15.0002 16.9998C14.9656 16.9998 14.9308 16.9995 14.8964 16.9991C14.6904 16.9965 14.4864 16.9861 14.2845 16.9682L12.8606 18.3672C12.2247 19.0002 11.3485 19.0713 10.613 18.9372C10.1023 18.8441 9.57464 18.6419 9.05869 18.3586L7.99976 19.4151C7.99503 19.9211 7.96394 20.59 7.78528 21.1848C7.66339 21.5905 7.45155 22.043 7.06388 22.4023C6.65633 22.78 6.13071 22.9838 5.52596 22.9994C4.89679 23.0157 4.36516 22.8121 3.95883 22.4576C3.57509 22.1228 3.35816 21.7028 3.23231 21.3546C3.1752 21.1966 3.13251 21.0414 3.10047 20.8967C2.95675 20.8644 2.80273 20.8216 2.64595 20.7646C2.2987 20.6383 1.88023 20.4215 1.54603 20.0395C1.19233 19.6353 0.98676 19.1059 1.00039 18.478C1.01356 17.8717 1.21822 17.3451 1.59708 16.9376C1.95678 16.5507 2.40985 16.3391 2.81533 16.2171C3.41122 16.0379 4.08045 16.0056 4.58601 16.0004L5.69246 14.8967C5.44702 14.4112 5.27466 13.9163 5.20125 13.4366C5.09266 12.7269 5.187 11.8987 5.79306 11.2927L5.79929 11.2864L6.0588 11.0315C6.08707 11.1055 6.11639 11.1792 6.14678 11.2526C6.79012 12.8057 7.87959 14.1332 9.27741 15.0672C9.85367 15.4523 10.4717 15.7633 11.1168 15.9959ZM6.84848 16.5685L5.41364 17.9998H5.00016C4.40872 17.9998 3.83061 18.0002 3.39145 18.1323C3.18751 18.1937 3.09729 18.2613 3.06189 18.2993C3.04541 18.3171 3.00338 18.3622 2.99992 18.5215C2.99691 18.6603 3.03301 18.7018 3.05119 18.7225C3.08887 18.7656 3.17248 18.8279 3.3294 18.885C3.48199 18.9405 3.65058 18.9715 3.79188 18.987C3.85974 18.9944 3.91492 18.9976 3.9503 18.9989C3.96784 18.9996 3.98006 18.9997 3.98603 18.9998L3.98858 18.9998L3.99005 18.9998L5.02016 18.9829L5.00006 20.0129L5.00006 20.0144L5.00007 20.017C5.0001 20.023 5.00026 20.0353 5.00086 20.0529C5.00209 20.0884 5.00511 20.1437 5.01237 20.2118C5.02748 20.3535 5.0581 20.5223 5.1132 20.6747C5.16988 20.8315 5.23172 20.9139 5.27358 20.9505C5.29301 20.9674 5.33459 21.0037 5.47436 21.0001C5.63914 20.9958 5.6861 20.9523 5.70423 20.9355C5.74216 20.9004 5.80919 20.8113 5.86984 20.6094C6.00017 20.1755 6.00016 19.6058 6.00016 19.0119V18.5849L7.42686 17.1615C7.35258 17.0922 7.27926 17.0215 7.20727 16.9495C7.0834 16.8256 6.96354 16.6981 6.84848 16.5685Z"
      }
    }]
  };
  var drumstickFilled = vue.defineComponent({
    name: "DrumstickFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-drumstick-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$mQ(_objectSpread$mQ({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$mO, finalProps.value);
    }
  });

  function ownKeys$mP(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$mP(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$mP(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$mP(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$mN = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M15.0004 3C11.6867 3 9.00041 5.68629 9.00041 9C9.00041 9.40938 9.04127 9.80819 9.1188 10.1929C9.36013 11.3904 9.95889 12.4602 10.8013 13.2858L11.5156 13.9857L10.1158 15.4141L9.40153 14.7142C8.68366 14.0108 8.09725 13.1723 7.68366 12.2393L7.20648 12.7082C7.20436 12.7105 7.20138 12.7142 7.19751 12.7215C7.19265 12.7306 7.18443 12.749 7.17703 12.7807C7.16159 12.8468 7.15209 12.9618 7.17848 13.1343C7.23226 13.4857 7.41881 13.9665 7.77791 14.508C8.00252 14.8466 8.29383 15.2076 8.62173 15.5355C8.89959 15.8134 9.20522 16.0686 9.49435 16.2738C10.0651 16.6789 10.5855 16.8994 10.972 16.9699C11.1624 17.0046 11.2916 16.9978 11.3673 16.982C11.4035 16.9744 11.4245 16.9655 11.4348 16.9601C11.4445 16.9552 11.4483 16.9517 11.4502 16.9497L11.4564 16.9435L13.5835 14.8536L14.0789 14.9298C14.3788 14.976 14.6865 15 15.0004 15C18.3141 15 21.0004 12.3137 21.0004 9C21.0004 5.68629 18.3141 3 15.0004 3ZM7.06761 10.0408C7.02325 9.69975 7.00041 9.35233 7.00041 9C7.00041 4.58172 10.5821 1 15.0004 1C19.4187 1 23.0004 4.58172 23.0004 9C23.0004 13.4183 19.4187 17 15.0004 17C14.7594 17 14.5207 16.9893 14.2848 16.9684L12.8609 18.3674C12.225 19.0004 11.3487 19.0715 10.6133 18.9375C10.1026 18.8443 9.57489 18.6421 9.05893 18.3588L8 19.4153C7.99528 19.9213 7.96419 20.5903 7.78552 21.185C7.66364 21.5908 7.4518 22.0432 7.06412 22.4025C6.65658 22.7802 6.13095 22.9841 5.5262 22.9997C4.89704 23.0159 4.3654 22.8123 3.95908 22.4578C3.57534 22.1231 3.35841 21.703 3.23256 21.3548C3.17545 21.1969 3.13275 21.0417 3.10072 20.8969C2.95699 20.8647 2.80298 20.8218 2.64619 20.7648C2.29894 20.6386 1.88048 20.4217 1.54627 20.0398C1.19257 19.6356 0.987004 19.1062 1.00064 18.4783C1.01381 17.8719 1.21847 17.3454 1.59732 16.9378C1.95702 16.5509 2.4101 16.3393 2.81557 16.2174C3.41146 16.0381 4.08069 16.0059 4.58626 16.0007L5.6927 14.897C5.44726 14.4114 5.27491 13.9166 5.20149 13.4368C5.0929 12.7271 5.18724 11.899 5.7933 11.2929L5.79953 11.2867L7.06761 10.0408ZM6.84872 16.5687L5.41389 18H5.0004C4.40896 18 3.83085 18.0005 3.3917 18.1326C3.18775 18.1939 3.09754 18.2615 3.06214 18.2996C3.04565 18.3173 3.00362 18.3625 3.00017 18.5217C2.99715 18.6605 3.03326 18.702 3.05144 18.7228C3.08911 18.7659 3.17273 18.8282 3.32964 18.8852C3.48223 18.9407 3.65083 18.9717 3.79212 18.9872C3.85999 18.9946 3.91516 18.9978 3.95054 18.9991C3.96808 18.9998 3.98031 19 3.98628 19C3.98733 19 3.98818 19.0001 3.98882 19.0001C3.99001 19.0001 3.99051 19.0001 3.99029 19.0001L5.0204 18.9831L5.00031 20.0132C5.00031 20.0129 5.00031 20.0135 5.00031 20.0146C5.00031 20.0153 5.00031 20.0162 5.00032 20.0172C5.00035 20.0232 5.0005 20.0355 5.00111 20.0531C5.00233 20.0886 5.00535 20.144 5.01261 20.212C5.02773 20.3537 5.05834 20.5225 5.11344 20.675C5.17013 20.8318 5.23196 20.9142 5.27382 20.9507C5.29326 20.9677 5.33483 21.0039 5.4746 21.0003C5.63938 20.9961 5.68634 20.9526 5.70448 20.9357C5.7424 20.9006 5.80944 20.8115 5.87008 20.6096C6.00041 20.1758 6.00041 19.606 6.0004 19.0121V18.5851L7.4271 17.1617C7.35282 17.0925 7.27951 17.0217 7.20752 16.9497C7.08364 16.8259 6.96378 16.6984 6.84872 16.5687Z"
      }
    }]
  };
  var drumstick = vue.defineComponent({
    name: "DrumstickIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-drumstick", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$mP(_objectSpread$mP({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$mN, finalProps.value);
    }
  });

  function ownKeys$mO(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$mO(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$mO(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$mO(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$mM = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M2 2H12V8.68241C12.4561 9.36872 12.7749 10.1548 12.9169 11H14V7H22V17H14V13H12.9169C12.7749 13.8452 12.4561 14.6313 12 15.3176V22H2V15.3176C1.36833 14.3671 1 13.2254 1 12C1 10.7746 1.36833 9.63288 2 8.68241V2ZM7 8C5.69217 8 4.53097 8.6266 3.79949 9.60019C3.29723 10.2687 3 11.0982 3 12C3 12.9018 3.29723 13.7313 3.79949 14.3998C4.53097 15.3734 5.69217 16 7 16C8.30784 16 9.46903 15.3734 10.2005 14.3998C10.7028 13.7313 11 12.9018 11 12C11 11.0982 10.7028 10.2687 10.2005 9.60019C9.46903 8.6266 8.30784 8 7 8Z"
      }
    }]
  };
  var dvFilled = vue.defineComponent({
    name: "DvFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-dv-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$mO(_objectSpread$mO({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$mM, finalProps.value);
    }
  });

  function ownKeys$mN(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$mN(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$mN(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$mN(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$mL = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M2 2H12V8.68241C12.4561 9.36872 12.7749 10.1548 12.9169 11H14V7H22V17H14V13H12.9169C12.7749 13.8452 12.4561 14.6313 12 15.3176V22H2V15.3176C1.36833 14.3671 1 13.2254 1 12C1 10.7746 1.36833 9.63288 2 8.68241V2ZM4 6.80293C4.88231 6.29257 5.90703 6 7 6C8.09297 6 9.11769 6.29257 10 6.80293V4H4V6.80293ZM4 17.1971V20H10V17.1971C9.11769 17.7074 8.09297 18 7 18C5.90703 18 4.88231 17.7074 4 17.1971ZM7 8C5.69217 8 4.53097 8.6266 3.79949 9.60019C3.29723 10.2687 3 11.0982 3 12C3 12.9018 3.29723 13.7313 3.79949 14.3998C4.53097 15.3734 5.69217 16 7 16C8.30783 16 9.46903 15.3734 10.2005 14.3998C10.7028 13.7313 11 12.9018 11 12C11 11.0982 10.7028 10.2687 10.2005 9.60019C9.46903 8.6266 8.30783 8 7 8ZM16 9V15H20V9H16Z"
      }
    }]
  };
  var dv = vue.defineComponent({
    name: "DvIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-dv", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$mN(_objectSpread$mN({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$mL, finalProps.value);
    }
  });

  function ownKeys$mM(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$mM(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$mM(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$mM(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$mK = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M8 12C8 9.79086 9.79086 8 12 8C14.2091 8 16 9.79086 16 12C16 14.2091 14.2091 16 12 16C9.79086 16 8 14.2091 8 12ZM12 10C10.8954 10 10 10.8954 10 12C10 13.1046 10.8954 14 12 14C13.1046 14 14 13.1046 14 12C14 10.8954 13.1046 10 12 10Z"
      }
    }, {
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M22 2V22H2V2H22ZM12 6C8.68629 6 6 8.68629 6 12C6 15.3137 8.68629 18 12 18C15.3137 18 18 15.3137 18 12C18 8.68629 15.3137 6 12 6Z"
      }
    }]
  };
  var dvdFilled = vue.defineComponent({
    name: "DvdFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-dvd-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$mM(_objectSpread$mM({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$mK, finalProps.value);
    }
  });

  function ownKeys$mL(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$mL(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$mL(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$mL(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$mJ = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M2 2H22V22H2V2ZM4 4V20H20V4H4ZM12 8C9.79086 8 8 9.79086 8 12C8 14.2091 9.79086 16 12 16C14.2091 16 16 14.2091 16 12C16 9.79086 14.2091 8 12 8ZM6 12C6 8.68629 8.68629 6 12 6C15.3137 6 18 8.68629 18 12C18 15.3137 15.3137 18 12 18C8.68629 18 6 15.3137 6 12ZM10 12C10 10.8954 10.8954 10 12 10C13.1046 10 14 10.8954 14 12C14 13.1046 13.1046 14 12 14C10.8954 14 10 13.1046 10 12Z"
      }
    }]
  };
  var dvd = vue.defineComponent({
    name: "DvdIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-dvd", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$mL(_objectSpread$mL({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$mJ, finalProps.value);
    }
  });

  function ownKeys$mK(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$mK(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$mK(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$mK(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$mI = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M12 4C7.58867 4 4 7.6046 4 12.0667V13H5.99979C7.65665 13 9 14.3431 9 16V18C9 19.6569 7.65685 21 6 21H2V12.0667C2 6.51397 6.47021 2 12 2C17.5298 2 22 6.51397 22 12.0667V21H18C16.3431 21 15 19.6569 15 18V16C15 14.3431 16.3431 13 18 13H20V12.0667C20 7.6046 16.4113 4 12 4Z"
      }
    }]
  };
  var earphoneFilled = vue.defineComponent({
    name: "EarphoneFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-earphone-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$mK(_objectSpread$mK({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$mI, finalProps.value);
    }
  });

  function ownKeys$mJ(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$mJ(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$mJ(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$mJ(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$mH = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M12 4C7.58867 4 4 7.6046 4 12.0667V13H5.99979C7.65665 13 9 14.3431 9 16V18C9 19.6569 7.65685 21 6 21H2V12.0667C2 6.51397 6.47021 2 12 2C17.5298 2 22 6.51397 22 12.0667V21H18C16.3431 21 15 19.6569 15 18V16C15 14.3431 16.3431 13 18 13H20V12.0667C20 7.6046 16.4113 4 12 4ZM20 15H18C17.4477 15 17 15.4477 17 16V18C17 18.5523 17.4477 19 18 19H20V15ZM4 15V19H6C6.55228 19 7 18.5523 7 18V16C7 15.4477 6.55228 15 6 15H4Z"
      }
    }]
  };
  var earphone = vue.defineComponent({
    name: "EarphoneIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-earphone", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$mJ(_objectSpread$mJ({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$mH, finalProps.value);
    }
  });

  function ownKeys$mI(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$mI(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$mI(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$mI(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$mG = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M1.00268 11.7909C1.00138 11.8603 1.00073 11.93 1.00073 11.9998C1.00073 14.7844 2.03545 17.3274 3.74138 19.2652L6.55581 13.6775L1.00268 11.7909Z"
      }
    }, {
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M1.22979 9.75577L9.37644 12.5234L5.2611 20.6939C7.12288 22.1393 9.46131 22.9998 12.0007 22.9998C18.0759 22.9998 23.0007 18.0749 23.0007 11.9998C23.0007 11.834 22.9971 11.6691 22.9898 11.5052L20.6429 12.8645L16.2579 17.9474L14.27 13.9148L10.976 12.8012V8.73405L9.24126 8.14755L7.21923 10.1984L1.70484 8.119C1.50593 8.64648 1.34638 9.19326 1.22979 9.75577Z"
      }
    }, {
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M2.58303 6.31269L6.70807 7.86821L8.69594 5.85197L12.976 7.29902V11.3661L15.6969 12.286L16.7164 14.3542L19.3488 11.3028L22.6846 9.37069C21.506 4.56507 17.1697 0.999756 12.0007 0.999756C8.00689 0.999756 4.51017 3.12822 2.58303 6.31269Z"
      }
    }]
  };
  var earthFilled = vue.defineComponent({
    name: "EarthFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-earth-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$mI(_objectSpread$mI({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$mG, finalProps.value);
    }
  });

  function ownKeys$mH(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$mH(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$mH(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$mH(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$mF = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M1.04484 11.0032L0.96875 11.7805L1.00221 11.7919C1.00093 11.8611 1.00028 11.9305 1.00028 12C1.00028 18.0751 5.92515 23 12.0003 23C18.0754 23 23.0003 18.0751 23.0003 12C23.0003 5.92487 18.0754 1 12.0003 1C8.00707 1 4.51082 3.12779 2.5835 6.31142L2.54577 6.29718L2.16489 7.06869C1.56097 8.27084 1.17097 9.59899 1.04484 11.0032ZM3.14507 10.4074C3.24447 9.86063 3.39044 9.33128 3.57943 8.82512L7.21857 10.1989L9.24077 8.14779L10.9755 8.7343V12.8014L14.2695 13.9151L16.2574 17.9477L20.6429 12.8642L20.9757 12.6708C20.6325 17.3281 16.7452 21 12.0003 21C9.78126 21 7.7498 20.1969 6.1807 18.8656L9.37616 12.5236L3.14507 10.4074ZM20.8626 10.4232L19.3478 11.3037L16.7159 14.3544L15.6964 12.2863L12.9755 11.3664V7.29926L8.69545 5.85221L6.70775 7.86827L4.49408 7.03264C6.10559 4.60237 8.86581 3 12.0003 3C16.4329 3 20.1171 6.20447 20.8626 10.4232ZM4.72819 17.3036C3.72885 15.9356 3.10613 14.2751 3.01258 12.4746L6.55511 13.6777L4.72819 17.3036Z"
      }
    }]
  };
  var earth = vue.defineComponent({
    name: "EarthIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-earth", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$mH(_objectSpread$mH({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$mF, finalProps.value);
    }
  });

  function ownKeys$mG(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$mG(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$mG(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$mG(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$mE = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M22.5828 7.17043L16.8279 1.41553 12.4872 5.75656 18.2421 11.5115 22.5828 7.17043zM16.8279 12.9257L11.073 7.17082 1.99976 16.2448 1.99976 21.9997 7.75469 21.9997 16.8279 12.9257z"
      }
    }]
  };
  var edit1Filled = vue.defineComponent({
    name: "Edit1FilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-edit-1-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$mG(_objectSpread$mG({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$mE, finalProps.value);
    }
  });

  function ownKeys$mF(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$mF(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$mF(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$mF(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$mD = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M16.8281 1.41602L22.583 7.17092L7.75494 22.0001L2 22.0002L2 16.2453L16.8281 1.41602ZM16.8281 10.0974L19.7546 7.17092L16.8281 4.24444L13.9017 7.17092L16.8281 10.0974ZM12.4875 8.58517L4 17.0736L4 20.0001H6.92644L15.414 11.5116L12.4875 8.58517Z"
      }
    }]
  };
  var edit1 = vue.defineComponent({
    name: "Edit1Icon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-edit-1", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$mF(_objectSpread$mF({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$mD, finalProps.value);
    }
  });

  function ownKeys$mE(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$mE(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$mE(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$mE(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$mC = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M22.0375 7.57319L16.4272 1.96289 12.2309 6.15922 17.8412 11.7695 22.0375 7.57319zM16.427 13.1837L10.817 7.57373 1.99976 16.3904V22.0007L7.61005 22.0007 16.427 13.1837zM12.6815 22.0007H22.2245V20.0007L12.6815 20.0007V22.0007z"
      }
    }]
  };
  var edit2Filled = vue.defineComponent({
    name: "Edit2FilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-edit-2-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$mE(_objectSpread$mE({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$mC, finalProps.value);
    }
  });

  function ownKeys$mD(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$mD(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$mD(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$mD(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$mB = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M16.4275 1.96289L22.0378 7.57319L7.6103 22.0007L2 22.0007L2 16.3904L16.4275 1.96289ZM16.4275 4.79132L13.6456 7.57319L16.4275 10.3551L19.2093 7.57319L16.4275 4.79132ZM15.0133 11.7693L12.2314 8.9874L4 17.2188L4 20.0007H6.78187L15.0133 11.7693ZM22.2248 22.0007H12.6818V20.0007L22.2248 20.0007V22.0007Z"
      }
    }]
  };
  var edit2 = vue.defineComponent({
    name: "Edit2Icon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-edit-2", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$mD(_objectSpread$mD({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$mB, finalProps.value);
    }
  });

  function ownKeys$mC(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$mC(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$mC(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$mC(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$mA = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M18.58 2.94425C17.799 2.1632 16.5327 2.1632 15.7516 2.94425L14.1069 4.58892 19.4102 9.89222 21.0549 8.24755C21.836 7.4665 21.836 6.20017 21.0549 5.41912L18.58 2.94425zM17.9958 11.307L12.6925 6.00372 3.85818 14.8391 2.78174 21.2188 9.16148 20.1424 17.9958 11.307z"
      }
    }]
  };
  var editFilled = vue.defineComponent({
    name: "EditFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-edit-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$mC(_objectSpread$mC({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$mA, finalProps.value);
    }
  });

  function ownKeys$mB(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$mB(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$mB(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$mB(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$mz = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M15.7479 2.94711C16.5289 2.16607 17.7953 2.16607 18.5763 2.94711L21.0512 5.42199C21.8322 6.20304 21.8322 7.46937 21.0512 8.25042L16.4983 12.8031L15.0842 11.3889L16.5799 9.89322L14.105 7.41834L12.6092 8.91406L11.1951 7.49981L15.7479 2.94711ZM3.99991 2.58564L21.4141 19.9998L19.9999 21.4141L13.9435 15.3577L9.15772 20.1435L2.77797 21.2199L3.85442 14.8402L8.64023 10.0544L2.58569 3.99985L3.99991 2.58564ZM10.0544 11.4686L5.72027 15.8028L5.21793 18.78L8.19515 18.2776L12.5293 13.9435L10.0544 11.4686Z"
      }
    }]
  };
  var editOffFilled = vue.defineComponent({
    name: "EditOffFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-edit-off-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$mB(_objectSpread$mB({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$mz, finalProps.value);
    }
  });

  function ownKeys$mA(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$mA(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$mA(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$mA(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$my = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M15.7481 2.94736C16.5292 2.16631 17.7955 2.16631 18.5766 2.94736L21.0514 5.42223C21.8325 6.20328 21.8325 7.46961 21.0514 8.25066L18.7015 10.6006L16.4986 12.8034L15.0844 11.3891L16.5802 9.89346L14.1053 7.41859L12.6095 8.91431L11.1953 7.50005L13.3982 5.29729L15.7481 2.94736ZM15.5195 6.00439L17.9944 8.47927L19.6372 6.83645L17.1623 4.36157L15.5195 6.00439ZM4.00015 2.58588L21.4144 20.0001L20.0002 21.4143L13.9438 15.3579L9.15796 20.1437L2.77822 21.2202L3.85466 14.8404L8.64047 10.0546L2.58594 4.00009L4.00015 2.58588ZM10.0547 11.4688L5.72052 15.803L5.21818 18.7802L8.19539 18.2779L12.5296 13.9437L10.0547 11.4688Z"
      }
    }]
  };
  var editOff = vue.defineComponent({
    name: "EditOffIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-edit-off", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$mA(_objectSpread$mA({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$my, finalProps.value);
    }
  });

  function ownKeys$mz(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$mz(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$mz(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$mz(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$mx = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M15.7478 2.94736C16.5289 2.16631 17.7952 2.16631 18.5763 2.94736L21.0511 5.42223C21.8322 6.20328 21.8322 7.46961 21.0511 8.25066L9.15806 20.1437L2.77832 21.2202L3.85476 14.8404L15.7478 2.94736ZM15.5192 6.00439L17.9941 8.47927L19.6369 6.83645L17.1621 4.36157L15.5192 6.00439ZM16.5799 9.89348L14.105 7.41861L5.72062 15.803L5.21828 18.7802L8.19549 18.2779L16.5799 9.89348Z"
      }
    }]
  };
  var edit = vue.defineComponent({
    name: "EditIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-edit", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$mz(_objectSpread$mz({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$mx, finalProps.value);
    }
  });

  function ownKeys$my(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$my(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$my(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$my(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$mw = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M23.8348 8.49981L11.9999 0.807129L0.165039 8.49981L11.9999 16.1925L19.9999 10.9925V15.9998H21.9999V9.6925L23.8348 8.49981Z"
      }
    }, {
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M5 17.4997V13.835L11.9999 18.385L19 13.835V17.4997C19 18.9695 17.986 20.1153 16.7465 20.8384C15.4825 21.5757 13.8021 21.9997 12 21.9997C10.1979 21.9997 8.51754 21.5757 7.25349 20.8384C6.01399 20.1153 5 18.9695 5 17.4997Z"
      }
    }]
  };
  var educationFilled = vue.defineComponent({
    name: "EducationFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-education-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$my(_objectSpread$my({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$mw, finalProps.value);
    }
  });

  function ownKeys$mx(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$mx(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$mx(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$mx(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$mv = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M11.9999 0.807129L23.8348 8.49981L21.9999 9.6925V15.9998H19.9999V10.9925L18.9999 11.6425V17.4998C18.9999 18.9696 17.986 20.1154 16.7465 20.8385C15.4824 21.5758 13.802 21.9998 11.9999 21.9998C10.1979 21.9998 8.51748 21.5758 7.25343 20.8385C6.01393 20.1154 4.99994 18.9696 4.99994 17.4998V11.6425L0.165039 8.49981L11.9999 0.807129ZM6.99994 12.9425V17.4998C6.99994 17.963 7.3291 18.5672 8.26117 19.1109C9.16869 19.6403 10.4883 19.9998 11.9999 19.9998C13.5116 19.9998 14.8312 19.6403 15.7387 19.1109C16.6708 18.5672 16.9999 17.963 16.9999 17.4998V12.9425L11.9999 16.1925L6.99994 12.9425ZM20.165 8.49981L11.9999 3.1925L3.83484 8.49981L11.9999 13.8071L20.165 8.49981Z"
      }
    }]
  };
  var education = vue.defineComponent({
    name: "EducationIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-education", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$mx(_objectSpread$mx({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$mv, finalProps.value);
    }
  });

  function ownKeys$mw(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$mw(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$mw(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$mw(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$mu = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M11.0869 5.89858L9.60155 5.20575L10.6113 4.19601C12.932 1.87531 16.5704 1.67603 19.1178 3.59822L20.6055 2.85438L21.4999 4.64324L20.5664 5.11C22.3112 7.64249 22.0573 11.1369 19.8047 13.3894L18.795 14.3992L18.1012 12.9118C17.639 13.4037 17.0887 13.9813 16.6218 14.4481C16.1637 14.9063 15.9595 15.5212 15.6268 16.5228C15.5975 16.6111 15.5672 16.7024 15.5356 16.7968C15.1693 17.8928 14.6678 19.226 13.4415 20.4567C12.2333 21.6692 10.5966 22.5013 8.8194 22.6059C7.0177 22.7119 5.15084 22.0642 3.54366 20.4571C1.93712 18.8505 1.28771 16.9861 1.39273 15.1847C1.49632 13.4078 2.32809 11.7711 3.54076 10.5584C4.77314 9.32605 6.10706 8.82434 7.204 8.45892C7.30132 8.4265 7.39525 8.39543 7.48599 8.36542C8.4835 8.03548 9.09441 7.83341 9.55075 7.37707C10.0175 6.91034 10.5949 6.36047 11.0869 5.89858ZM17.179 10.9347L13.6271 10.3736L13.0661 6.82172L13.0415 6.81027C12.9173 6.92545 12.7753 7.05762 12.6222 7.20079C12.1017 7.68765 11.4619 8.2943 10.965 8.79128C10.1495 9.60677 9.05819 9.95993 8.15508 10.2522C8.04572 10.2876 7.93912 10.3221 7.83611 10.3564C6.81223 10.6975 5.84719 11.0804 4.95496 11.9726C4.04302 12.8846 3.46084 14.0747 3.38934 15.3011C3.31927 16.5031 3.73363 17.8186 4.95788 19.0429C6.1815 20.2665 7.4987 20.6802 8.70192 20.6094C9.92964 20.5371 11.1188 19.9542 12.0248 19.045C12.9128 18.1538 13.296 17.1882 13.6388 16.1627C13.6729 16.0607 13.7072 15.9552 13.7424 15.847C14.0365 14.9422 14.3916 13.8499 15.2076 13.0339C15.7049 12.5367 16.312 11.8969 16.7991 11.3765C16.9423 11.2236 17.0745 11.0817 17.1897 10.9575L17.179 10.9347Z"
      }
    }]
  };
  var eggplantFilled = vue.defineComponent({
    name: "EggplantFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-eggplant-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$mw(_objectSpread$mw({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$mu, finalProps.value);
    }
  });

  function ownKeys$mv(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$mv(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$mv(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$mv(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$mt = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M11.0869 5.89858L9.60155 5.20575L10.6113 4.19601C12.932 1.87531 16.5704 1.67603 19.1178 3.59822L20.6055 2.85438L21.4999 4.64324L20.5664 5.11C22.3112 7.64249 22.0573 11.1369 19.8047 13.3894L18.795 14.3992L18.1012 12.9118C17.639 13.4037 17.0887 13.9813 16.6218 14.4481C16.1637 14.9063 15.9595 15.5212 15.6268 16.5228C15.5975 16.6111 15.5672 16.7024 15.5356 16.7968C15.1693 17.8928 14.6678 19.226 13.4415 20.4566C12.2333 21.6692 10.5966 22.5013 8.8194 22.6059C7.0177 22.7119 5.15084 22.0642 3.54366 20.4571C1.93711 18.8505 1.28771 16.9861 1.39273 15.1847C1.49632 13.4078 2.32809 11.7711 3.54076 10.5584C4.77314 9.32604 6.10706 8.82434 7.204 8.45892C7.30131 8.4265 7.39525 8.39543 7.48599 8.36542C8.4835 8.03548 9.09441 7.83341 9.55075 7.37707C10.0175 6.91034 10.5949 6.36047 11.0869 5.89858ZM13.2905 4.71955L14.8756 5.45887L15.3757 8.62502L18.5419 9.12514L19.2812 10.7102C20.0667 9.04138 19.7698 6.98954 18.3905 5.61022C18.3579 5.57766 18.325 5.54571 18.2917 5.51437C16.9149 4.21749 14.9201 3.95254 13.2905 4.71955ZM17.179 10.9347L13.6271 10.3736L13.0661 6.82172L13.0415 6.81027C12.9173 6.92545 12.7753 7.05762 12.6222 7.20079C12.1017 7.68764 11.4619 8.2943 10.965 8.79128C10.1495 9.60677 9.05819 9.95993 8.15508 10.2522C8.04572 10.2876 7.93912 10.3221 7.83611 10.3564C6.81222 10.6975 5.84719 11.0804 4.95496 11.9726C4.04302 12.8846 3.46084 14.0747 3.38934 15.3011C3.31927 16.5031 3.73363 17.8186 4.95788 19.0429C6.18149 20.2665 7.4987 20.6801 8.70192 20.6093C9.92964 20.5371 11.1188 19.9542 12.0248 19.045C12.9128 18.1538 13.296 17.1882 13.6388 16.1627C13.6729 16.0607 13.7072 15.9552 13.7424 15.847C14.0365 14.9422 14.3916 13.8499 15.2076 13.0339C15.7049 12.5367 16.3119 11.8969 16.7991 11.3765C16.9423 11.2236 17.0745 11.0816 17.1897 10.9575L17.179 10.9347Z"
      }
    }]
  };
  var eggplant = vue.defineComponent({
    name: "EggplantIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-eggplant", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$mv(_objectSpread$mv({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$mt, finalProps.value);
    }
  });

  function ownKeys$mu(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$mu(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$mu(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$mu(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$ms = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M3 10.5H6V13.5H3V10.5ZM10.5 10.5H13.5V13.5H10.5V10.5ZM18 10.5H21V13.5H18V10.5Z"
      }
    }]
  };
  var ellipsis = vue.defineComponent({
    name: "EllipsisIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-ellipsis", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$mu(_objectSpread$mu({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$ms, finalProps.value);
    }
  });

  function ownKeys$mt(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$mt(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$mt(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$mt(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$mr = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M12 23C5.92487 23 1 18.0751 1 12C1 5.92487 5.92487 1 12 1C18.0751 1 23 5.92487 23 12C23 18.0751 18.0751 23 12 23ZM9 12V8H7V12H9ZM17 12V8H15V12H17ZM16 16V14H8V16H16Z"
      }
    }]
  };
  var emoEmotionalFilled = vue.defineComponent({
    name: "EmoEmotionalFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-emo-emotional-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$mt(_objectSpread$mt({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$mr, finalProps.value);
    }
  });

  function ownKeys$ms(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$ms(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$ms(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$ms(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$mq = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M12 3C7.02944 3 3 7.02944 3 12C3 16.9706 7.02944 21 12 21C16.9706 21 21 16.9706 21 12C21 7.02944 16.9706 3 12 3ZM1 12C1 5.92487 5.92487 1 12 1C18.0751 1 23 5.92487 23 12C23 18.0751 18.0751 23 12 23C5.92487 23 1 18.0751 1 12ZM9 8V12H7V8H9ZM17 8V12H15V8H17ZM8 14H16V16H8V14Z"
      }
    }]
  };
  var emoEmotional = vue.defineComponent({
    name: "EmoEmotionalIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-emo-emotional", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$ms(_objectSpread$ms({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$mq, finalProps.value);
    }
  });

  function ownKeys$mr(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$mr(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$mr(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$mr(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$mp = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M20.0002 4L20.0002 13C20.0002 15.2091 18.2093 17 16.0001 17L6.91437 17L9.41437 19.5L8.00015 20.9142L3.08594 16L8.00015 11.0858L9.41436 12.5L6.91436 15L16.0001 15C17.1047 15 18.0002 14.1046 18.0002 13L18.0002 4L20.0002 4Z"
      }
    }]
  };
  var enter = vue.defineComponent({
    name: "EnterIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-enter", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$mr(_objectSpread$mr({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$mp, finalProps.value);
    }
  });

  function ownKeys$mq(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$mq(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$mq(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$mq(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$mo = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M4 7H20V9H4V7ZM4 15H20V17H4V15Z"
      }
    }]
  };
  var equal = vue.defineComponent({
    name: "EqualIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-equal", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$mq(_objectSpread$mq({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$mo, finalProps.value);
    }
  });

  function ownKeys$mp(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$mp(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$mp(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$mp(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$mn = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M12 1C18.0751 1 23 5.92487 23 12C23 18.0751 18.0751 23 12 23C5.92487 23 1 18.0751 1 12C1 5.92487 5.92487 1 12 1ZM11.0001 14H13.0001V6.49998H11.0001V14ZM13.004 15.5H11.0001V17.5039H13.004V15.5Z"
      }
    }]
  };
  var errorCircleFilled = vue.defineComponent({
    name: "ErrorCircleFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-error-circle-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$mp(_objectSpread$mp({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$mn, finalProps.value);
    }
  });

  function ownKeys$mo(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$mo(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$mo(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$mo(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$mm = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M12 3C7.02944 3 3 7.02944 3 12C3 16.9706 7.02944 21 12 21C16.9706 21 21 16.9706 21 12C21 7.02944 16.9706 3 12 3ZM1 12C1 5.92487 5.92487 1 12 1C18.0751 1 23 5.92487 23 12C23 18.0751 18.0751 23 12 23C5.92487 23 1 18.0751 1 12ZM13 6.5V14H11V6.5H13ZM11 15.5H13.0039V17.5039H11V15.5Z"
      }
    }]
  };
  var errorCircle = vue.defineComponent({
    name: "ErrorCircleIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-error-circle", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$mo(_objectSpread$mo({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$mm, finalProps.value);
    }
  });

  function ownKeys$mn(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$mn(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$mn(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$mn(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$ml = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M23.9511 21.7H0.0488281L12 1L23.9511 21.7ZM11 15H13V9.5H11V15ZM13.0039 16.5H11V18.5039H13.0039V16.5Z"
      }
    }]
  };
  var errorTriangleFilled = vue.defineComponent({
    name: "ErrorTriangleFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-error-triangle-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$mn(_objectSpread$mn({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$ml, finalProps.value);
    }
  });

  function ownKeys$mm(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$mm(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$mm(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$mm(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$mk = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M12 1L23.9511 21.7H0.0488281L12 1ZM3.51293 19.7H20.487L12 5L3.51293 19.7ZM12.9996 9.5V15H10.9996V9.5H12.9996ZM10.9996 16.5H13.0035V18.5039H10.9996V16.5Z"
      }
    }]
  };
  var errorTriangle = vue.defineComponent({
    name: "ErrorTriangleIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-error-triangle", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$mm(_objectSpread$mm({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$mk, finalProps.value);
    }
  });

  function ownKeys$ml(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$ml(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$ml(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$ml(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$mj = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M13 2L13 16.5H11L11 2L13 2ZM11 19H13.0039V21.0039H11V19Z"
      }
    }]
  };
  var error = vue.defineComponent({
    name: "ErrorIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-error", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$ml(_objectSpread$ml({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$mj, finalProps.value);
    }
  });

  function ownKeys$mk(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$mk(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$mk(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$mk(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$mi = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M12 23C5.92487 23 1 18.0751 1 12C1 5.92487 5.92487 1 12 1C18.0751 1 23 5.92487 23 12C23 18.0751 18.0751 23 12 23ZM10.9996 9.04019L7.61829 7.13818L6.63776 8.88133L8.45877 9.90565L6.59961 11.3L7.79961 12.9L10.9996 10.5L10.9996 9.04019ZM15.5404 9.90565L17.3614 8.88133L16.3809 7.13818L12.9996 9.04019L12.9996 10.5L16.1996 12.9L17.3996 11.3L15.5404 9.90565ZM9.40036 14.4993L8.89964 13.6337L7.16843 14.6351L7.66915 15.5007C8.53217 16.9926 10.1477 18 11.9996 18C13.8516 18 15.4671 16.9926 16.3301 15.5007L16.8308 14.6351L15.0996 13.6337L14.5989 14.4993C14.0787 15.3986 13.1088 16 11.9996 16C10.8905 16 9.92059 15.3986 9.40036 14.4993Z"
      }
    }]
  };
  var excited1Filled = vue.defineComponent({
    name: "Excited1FilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-excited-1-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$mk(_objectSpread$mk({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$mi, finalProps.value);
    }
  });

  function ownKeys$mj(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$mj(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$mj(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$mj(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$mh = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M12 3C7.02944 3 3 7.02944 3 12C3 16.9706 7.02944 21 12 21C16.9706 21 21 16.9706 21 12C21 7.02944 16.9706 3 12 3ZM1 12C1 5.92487 5.92487 1 12 1C18.0751 1 23 5.92487 23 12C23 18.0751 18.0751 23 12 23C5.92487 23 1 18.0751 1 12ZM7.61869 7.13816L11 9.04017L11 10.5L7.80001 12.9L6.60001 11.3L8.45917 9.90563L6.63816 8.88131L7.61869 7.13816ZM17.3618 8.88131L15.5408 9.90563L17.4 11.3L16.2 12.9L13 10.5L13 9.04017L16.3813 7.13816L17.3618 8.88131ZM8.90004 13.6337L9.40076 14.4993C9.92099 15.3986 10.8909 16 12 16C13.1092 16 14.0791 15.3986 14.5993 14.4993L15.1 13.6337L16.8312 14.6351L16.3305 15.5007C15.4675 16.9926 13.852 18 12 18C10.1481 18 8.53256 16.9926 7.66955 15.5007L7.16882 14.6351L8.90004 13.6337Z"
      }
    }]
  };
  var excited1 = vue.defineComponent({
    name: "Excited1Icon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-excited-1", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$mj(_objectSpread$mj({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$mh, finalProps.value);
    }
  });

  function ownKeys$mi(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$mi(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$mi(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$mi(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$mg = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M11.6884 16.3932C11.5571 16.1688 11.4326 15.9214 11.3211 15.6767C11.5621 15.5415 11.7897 15.3731 12.0005 15.1742C12.2113 15.3731 12.4389 15.5415 12.6799 15.6767C12.5684 15.9214 12.4439 16.1688 12.3125 16.3932C12.1989 16.5872 12.093 16.7416 12.0005 16.8552C11.908 16.7416 11.8021 16.5872 11.6884 16.3932Z"
      }
    }, {
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M12 23C5.92487 23 1 18.0751 1 12C1 5.92487 5.92487 1 12 1C18.0751 1 23 5.92487 23 12C23 18.0751 18.0751 23 12 23ZM10.9996 9.04019L7.61829 7.13818L6.63776 8.88133L8.45877 9.90565L6.59961 11.3L7.79961 12.9L10.9996 10.5L10.9996 9.04019ZM15.5404 9.90565L17.3614 8.88133L16.3809 7.13818L12.9996 9.04019L12.9996 10.5L16.1996 12.9L17.3996 11.3L15.5404 9.90565ZM12.8949 13.0528L12.0005 11.264L11.1061 13.0528C10.7277 13.8096 10.2492 14.0383 9.91745 14.066C9.70158 14.084 9.47094 14.028 9.24945 13.8774L8.42255 13.3151L7.29785 14.9689L8.12475 15.5312C8.48114 15.7736 8.87681 15.9396 9.29104 16.0179C9.46938 16.4569 9.69952 16.9545 9.96254 17.4037C10.162 17.7443 10.4057 18.1014 10.6904 18.386C10.95 18.6455 11.3981 19 12.0005 19C12.6029 19 13.051 18.6455 13.3106 18.386C13.5953 18.1014 13.839 17.7443 14.0384 17.4037C14.3015 16.9545 14.5316 16.4569 14.71 16.0179C15.1242 15.9396 15.5199 15.7736 15.8762 15.5312L16.7031 14.9689L15.5784 13.3151L14.7515 13.8774C14.5301 14.028 14.2994 14.084 14.0835 14.066C13.7518 14.0383 13.2733 13.8096 12.8949 13.0528Z"
      }
    }]
  };
  var excitedFilled = vue.defineComponent({
    name: "ExcitedFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-excited-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$mi(_objectSpread$mi({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$mg, finalProps.value);
    }
  });

  function ownKeys$mh(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$mh(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$mh(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$mh(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$mf = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M12 3C7.02944 3 3 7.02944 3 12C3 16.9706 7.02944 21 12 21C16.9706 21 21 16.9706 21 12C21 7.02944 16.9706 3 12 3ZM1 12C1 5.92487 5.92487 1 12 1C18.0751 1 23 5.92487 23 12C23 18.0751 18.0751 23 12 23C5.92487 23 1 18.0751 1 12ZM7.61869 7.13816L11 9.04017L11 10.5L7.80001 12.9L6.60001 11.3L8.45917 9.90563L6.63816 8.88131L7.61869 7.13816ZM17.3618 8.88131L15.5408 9.90563L17.4 11.3L16.2 12.9L13 10.5L13 9.04017L16.3813 7.13816L17.3618 8.88131ZM12.0009 11.2639L12.8953 13.0528C13.2737 13.8096 13.7522 14.0383 14.0839 14.066C14.2998 14.0839 14.5305 14.028 14.7519 13.8774L15.5788 13.315L16.7035 14.9688L15.8766 15.5312C15.5203 15.7736 15.1246 15.9396 14.7104 16.0179C14.532 16.4569 14.3019 16.9545 14.0388 17.4037C13.8394 17.7443 13.5957 18.1014 13.311 18.3859C13.0514 18.6455 12.6033 19 12.0009 19C11.3985 19 10.9504 18.6455 10.6908 18.3859C10.4061 18.1014 10.1624 17.7443 9.96294 17.4037C9.69992 16.9545 9.46978 16.4569 9.29144 16.0179C8.87721 15.9396 8.48154 15.7736 8.12515 15.5312L7.29825 14.9688L8.42295 13.315L9.24985 13.8774C9.47133 14.028 9.70198 14.0839 9.91785 14.066C10.2496 14.0383 10.7281 13.8096 11.1065 13.0528L12.0009 11.2639ZM11.3215 15.6767C11.433 15.9214 11.5575 16.1688 11.6888 16.3932C11.8025 16.5872 11.9084 16.7416 12.0009 16.8552C12.0934 16.7416 12.1993 16.5872 12.3129 16.3932C12.4443 16.1688 12.5688 15.9214 12.6803 15.6767C12.4393 15.5415 12.2117 15.3731 12.0009 15.1741C11.7901 15.3731 11.5625 15.5415 11.3215 15.6767Z"
      }
    }]
  };
  var excited = vue.defineComponent({
    name: "ExcitedIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-excited", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$mh(_objectSpread$mh({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$mf, finalProps.value);
    }
  });

  function ownKeys$mg(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$mg(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$mg(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$mg(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$me = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M22 2H2V15H22V2zM16.5 7L12.0001 11.5 7.5 7H16.5zM22 22V17H2V22H22z"
      }
    }]
  };
  var expandDownFilled = vue.defineComponent({
    name: "ExpandDownFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-expand-down-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$mg(_objectSpread$mg({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$me, finalProps.value);
    }
  });

  function ownKeys$mf(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$mf(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$mf(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$mf(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$md = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M2 2H22V22H2V2ZM4 4V15H20V4H4ZM20 17H4V20H20V17Z"
      }
    }, {
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M12.0001 12L16.5 7.5H7.5L12.0001 12Z"
      }
    }]
  };
  var expandDown = vue.defineComponent({
    name: "ExpandDownIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-expand-down", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$mf(_objectSpread$mf({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$md, finalProps.value);
    }
  });

  function ownKeys$me(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$me(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$me(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$me(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$mc = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M3.5 4V20H1.5L1.5 4L3.5 4ZM4.08579 12L9 7.08579L10.4142 8.5L7.91421 11L16.0858 11L13.5858 8.50001L15 7.08579L19.9142 12L15 16.9142L13.5858 15.5L16.0858 13L7.91422 13L10.4142 15.5L9 16.9142L4.08579 12ZM22.5 4V20H20.5V4L22.5 4Z"
      }
    }]
  };
  var expandHorizontal = vue.defineComponent({
    name: "ExpandHorizontalIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-expand-horizontal", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$me(_objectSpread$me({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$mc, finalProps.value);
    }
  });

  function ownKeys$md(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$md(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$md(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$md(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$mb = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M22 22H2V9H22V22zM16.5 17L12.0001 12.5 7.5 17H16.5zM22 2V7H2V2H22z"
      }
    }]
  };
  var expandUpFilled = vue.defineComponent({
    name: "ExpandUpFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-expand-up-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$md(_objectSpread$md({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$mb, finalProps.value);
    }
  });

  function ownKeys$mc(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$mc(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$mc(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$mc(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$ma = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M2 2H22V22H2V2ZM4 4V7H20V4H4ZM20 9H4V20H20V9Z"
      }
    }, {
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M12.0001 12L16.5 16.5H7.5L12.0001 12Z"
      }
    }]
  };
  var expandUp = vue.defineComponent({
    name: "ExpandUpIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-expand-up", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$mc(_objectSpread$mc({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$ma, finalProps.value);
    }
  });

  function ownKeys$mb(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$mb(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$mb(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$mb(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$m9 = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M20 3.5L4 3.5L4 1.5L20 1.5V3.5ZM12 4.08579L16.9142 9L15.5 10.4142L13 7.91421L13 16.0858L15.5 13.5858L16.9142 15L12 19.9142L7.08579 15L8.5 13.5858L11 16.0858L11 7.91422L8.5 10.4142L7.08579 9L12 4.08579ZM20 22.5L4 22.5L4 20.5L20 20.5V22.5Z"
      }
    }]
  };
  var expandVertical = vue.defineComponent({
    name: "ExpandVerticalIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-expand-vertical", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$mb(_objectSpread$mb({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$m9, finalProps.value);
    }
  });

  function ownKeys$ma(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$ma(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$ma(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$ma(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$m8 = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M23 12C23 18.0751 18.0751 23 12 23C5.92487 23 1 18.0751 1 12C1 5.92487 5.92487 1 12 1C18.0751 1 23 5.92487 23 12ZM12.6095 18.72L17.1903 6.81L5.28027 11.3908L10.6715 13.3288L12.6095 18.72Z"
      }
    }]
  };
  var exploreFilled = vue.defineComponent({
    name: "ExploreFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-explore-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$ma(_objectSpread$ma({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$m8, finalProps.value);
    }
  });

  function ownKeys$m9(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$m9(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$m9(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$m9(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$m7 = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M2.00406.590088L1.99991.585938.585693 2.00015 3.54649 4.96094C1.95638 6.86844.999756 9.3225.999756 12 .999756 18.0751 5.92462 23 11.9998 23 14.6773 23 17.1313 22.0434 19.0388 20.4533L21.9999 23.4144 23.4098 22.0045 1.99976.594389 2.00406.590088zM5.28003 11.3908L8.67179 10.0862 13.9138 15.3282 12.6093 18.72 10.6712 13.3288 5.28003 11.3908zM21.6028 17.369C22.4925 15.781 22.9998 13.9497 22.9998 12 22.9998 5.92487 18.0749 1 11.9998 1 10.05 1 8.21879 1.50726 6.63079 2.397L12.7511 8.51729 17.19 6.81 15.4827 11.2489 21.6028 17.369z"
      }
    }]
  };
  var exploreOffFilled = vue.defineComponent({
    name: "ExploreOffFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-explore-off-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$m9(_objectSpread$m9({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$m7, finalProps.value);
    }
  });

  function ownKeys$m8(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$m8(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$m8(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$m8(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$m6 = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M7.47173 1.9726C8.854 1.34749 10.3878 1 12 1C18.0752 1 23 5.92487 23 12C23 13.6122 22.6525 15.146 22.0274 16.5283L21.6154 17.4395L19.7931 16.6153L20.2051 15.7042C20.7154 14.5757 21 13.3225 21 12C21 7.02944 16.9706 3 12 3C10.6776 3 9.4243 3.28459 8.29585 3.79492L7.38469 4.20698L6.56057 2.38466L7.47173 1.9726ZM3 1.58579L10.6036 9.18941L10.6052 9.18879L14.8129 13.3965L14.8123 13.3981L22.4142 21L21 22.4142L19.039 20.4532C17.1321 22.0426 14.6771 23 12 23C5.92487 23 1 18.0751 1 12C1 9.3229 1.95737 6.86792 3.54676 4.96098L1.58579 3L3 1.58579ZM4.96806 6.38227C3.73579 7.9224 3 9.87458 3 12C3 16.9706 7.02944 21 12 21C14.1254 21 16.0776 20.2642 17.6177 19.0319L14.0266 15.4408L12.4772 19.4693L10.3764 13.6253L4.53238 11.5245L8.56087 9.97509L4.96806 6.38227ZM17.4426 6.55882L15.5057 11.5945L13.639 10.8766L13.9605 10.0409L13.1248 10.3623L12.4068 8.49564L17.4426 6.55882Z"
      }
    }]
  };
  var exploreOff = vue.defineComponent({
    name: "ExploreOffIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-explore-off", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$m8(_objectSpread$m8({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$m6, finalProps.value);
    }
  });

  function ownKeys$m7(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$m7(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$m7(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$m7(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$m5 = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M18.364 5.63604C14.8492 2.12132 9.15076 2.12132 5.63604 5.63604C2.12132 9.15076 2.12132 14.8492 5.63604 18.364C9.15076 21.8787 14.8492 21.8787 18.364 18.364C21.8787 14.8492 21.8787 9.15076 18.364 5.63604ZM4.22182 4.22183C8.51759 -0.0739422 15.4824 -0.0739415 19.7782 4.22183C24.0739 8.51759 24.0739 15.4824 19.7782 19.7782C15.4824 24.0739 8.5176 24.0739 4.22183 19.7782C-0.0739408 15.4824 -0.0739427 8.51759 4.22182 4.22183ZM17.4427 6.55891L12.4772 19.4692L10.3764 13.6252L4.53238 11.5244L17.4427 6.55891ZM10.2684 11.4611L11.9397 12.0619L12.5405 13.7332L13.9606 10.041L10.2684 11.4611Z"
      }
    }]
  };
  var explore = vue.defineComponent({
    name: "ExploreIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-explore", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$m7(_objectSpread$m7({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$m5, finalProps.value);
    }
  });

  function ownKeys$m6(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$m6(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$m6(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$m6(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$m4 = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M12 1C18.0751 1 23 5.92487 23 12C23 18.0751 18.0751 23 12 23C5.92487 23 1 18.0751 1 12C1 5.92487 5.92487 1 12 1ZM13 9V6H11V9H8V11H11V14H13V11H16V9H13ZM16 18V16H8V18H16Z"
      }
    }]
  };
  var exposureFilled = vue.defineComponent({
    name: "ExposureFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-exposure-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$m6(_objectSpread$m6({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$m4, finalProps.value);
    }
  });

  function ownKeys$m5(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$m5(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$m5(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$m5(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$m3 = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M12 3C7.02944 3 3 7.02944 3 12C3 16.9706 7.02944 21 12 21C16.9706 21 21 16.9706 21 12C21 7.02944 16.9706 3 12 3ZM1 12C1 5.92487 5.92487 1 12 1C18.0751 1 23 5.92487 23 12C23 18.0751 18.0751 23 12 23C5.92487 23 1 18.0751 1 12ZM13 6V9H16V11H13V14H11V11H8V9H11V6H13ZM8 16H16V18H8V16Z"
      }
    }]
  };
  var exposure = vue.defineComponent({
    name: "ExposureIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-exposure", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$m5(_objectSpread$m5({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$m3, finalProps.value);
    }
  });

  function ownKeys$m4(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$m4(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$m4(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$m4(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$m2 = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M11 1C9.34315 1 8 2.34315 8 4H2V10C3.65685 10 5 11.3431 5 13C5 14.6569 3.65685 16 2 16V22H8C8 20.3431 9.34315 19 11 19C12.6569 19 14 20.3431 14 22H20V16C21.6569 16 23 14.6569 23 13C23 11.3431 21.6569 10 20 10V4H14C14 2.34315 12.6569 1 11 1Z"
      }
    }]
  };
  var extensionFilled = vue.defineComponent({
    name: "ExtensionFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-extension-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$m4(_objectSpread$m4({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$m2, finalProps.value);
    }
  });

  function ownKeys$m3(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$m3(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$m3(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$m3(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$m1 = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M2.0043.590088L2.00015.585938.585938 2.00015 2.58579 4H2V10C3.65685 10 5 11.3431 5 13 5 14.6569 3.65685 16 2 16V22H8C8 20.3431 9.34315 19 11 19 12.6569 19 14 20.3431 14 22H20V21.4142L22.0002 23.4144 23.4101 22.0045 2 .594389 2.0043.590088zM20.2257 15.9916C21.7771 15.8763 23 14.5809 23 13 23 11.3431 21.6569 10 20 10V4H14C14 2.34315 12.6569 1 11 1 9.41906 1 8.12374 2.22288 8.00836 3.77432L20.2257 15.9916z"
      }
    }]
  };
  var extensionOffFilled = vue.defineComponent({
    name: "ExtensionOffFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-extension-off-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$m3(_objectSpread$m3({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$m1, finalProps.value);
    }
  });

  function ownKeys$m2(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$m2(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$m2(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$m2(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$m0 = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "g",
      "attrs": {
        "clipPath": "url(#clip0_8726_7305)"
      },
      "children": [{
        "tag": "path",
        "attrs": {
          "fill": "currentColor",
          "d": "M8.0004 3.99C8.00579 2.33775 9.34686 1 11.0004 1C12.6572 1 14.0004 2.34315 14.0004 4H20.0004V10C21.6572 10 23.0004 11.3431 23.0004 13C23.0004 14.6536 21.6625 15.9947 20.0101 16L20.0595 18.5158L18.0006 16.4075L18.0009 14H20.0004C20.5527 14 21.0004 13.5523 21.0004 13C21.0004 12.4477 20.5527 12 20.0004 12H18.0004V6H12.0004V4C12.0004 3.44772 11.5527 3 11.0004 3C10.4481 3 10.0004 3.44772 10.0004 4V6H7.58618L5.52765 3.94152L8.0004 3.99ZM1.00015 1.58579L22.4144 23L21.0002 24.4142L18.5859 22H13.5976L13.4748 21.1416C13.3016 19.931 12.2587 19 11.0002 19C9.74156 19 8.69868 19.931 8.52552 21.1416L8.40273 22H2.00015V15.5974L2.85855 15.4746C4.06915 15.3015 5.00015 14.2586 5.00015 13C5.00015 11.7414 4.06915 10.6985 2.85855 10.5254L2.00015 10.4026V5.41421L-0.414062 3L1.00015 1.58579ZM4.00015 7.41421V8.75633C5.74813 9.37425 7.00015 11.0403 7.00015 13C7.00015 14.9597 5.74813 16.6257 4.00015 17.2437V20H6.75648C7.3744 18.252 9.04042 17 11.0002 17C12.9599 17 14.6259 18.252 15.2438 20H16.5859L4.00015 7.41421Z"
        }
      }]
    }]
  };
  var extensionOff = vue.defineComponent({
    name: "ExtensionOffIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-extension-off", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$m2(_objectSpread$m2({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$m0, finalProps.value);
    }
  });

  function ownKeys$m1(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$m1(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$m1(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$m1(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$l$ = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M8 4C8 2.34315 9.34315 1 11 1C12.6569 1 14 2.34315 14 4H20V10C21.6569 10 23 11.3431 23 13C23 14.6569 21.6569 16 20 16V22H13.5974L13.4746 21.1416C13.3015 19.931 12.2586 19 11 19C9.74141 19 8.69853 19.931 8.52537 21.1416L8.40258 22H2V15.5974L2.8584 15.4746C4.069 15.3015 5 14.2586 5 13C5 11.7414 4.069 10.6985 2.8584 10.5254L2 10.4026V4H8ZM11 3C10.4477 3 10 3.44772 10 4V6H4V8.75633C5.74798 9.37425 7 11.0403 7 13C7 14.9597 5.74798 16.6257 4 17.2437V20H6.75633C7.37425 18.252 9.04027 17 11 17C12.9597 17 14.6257 18.252 15.2437 20H18V14H20C20.5523 14 21 13.5523 21 13C21 12.4477 20.5523 12 20 12H18V6H12V4C12 3.44772 11.5523 3 11 3Z"
      }
    }]
  };
  var extension = vue.defineComponent({
    name: "ExtensionIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-extension", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$m1(_objectSpread$m1({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$l$, finalProps.value);
    }
  });

  function ownKeys$m0(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$m0(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$m0(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$m0(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$l_ = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M3.99609 7.99616C6.20523 7.99616 7.99609 6.2053 7.99609 3.99616C7.99609 3.26136 7.79797 2.57285 7.45222 1.98111C8.83829 1.35094 10.3782 0.999941 12 0.999941C18.0751 0.999941 23 5.92481 23 11.9999C23 18.0751 18.0751 22.9999 12 22.9999C5.92487 22.9999 1 18.0751 1 11.9999C1 10.3782 1.35097 8.83834 1.9811 7.45231C2.57282 7.79804 3.26132 7.99616 3.99609 7.99616ZM16.5161 8.93354H14.5122V10.9374H16.5161V8.93354ZM10.3979 14.0583L9.90942 13.1857L8.16432 14.1628L8.65284 15.0353C9.30758 16.2048 10.5608 16.9989 12.0008 16.9989C13.4408 16.9989 14.694 16.2048 15.3488 15.0353L15.8373 14.1628L14.0922 13.1857L13.6037 14.0583C13.2882 14.6217 12.6879 14.9989 12.0008 14.9989C11.3137 14.9989 10.7134 14.6217 10.3979 14.0583ZM7.46289 8.93421V10.9381H9.4668V8.93421H7.46289Z"
      }
    }, {
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M3.99646.695068L5.09356 2.89911 7.2976 3.99621 5.09356 5.09332 3.99646 7.29736 2.89935 5.09332.695312 3.99621 2.89935 2.89911 3.99646.695068zM20.8313 20.8188L19.2625 21.5997 20.8313 22.3806 21.6122 23.9495 22.3932 22.3806 23.962 21.5997 22.3932 20.8188 21.6122 19.25 20.8313 20.8188z"
      }
    }]
  };
  var faceRetouchingFilled = vue.defineComponent({
    name: "FaceRetouchingFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-face-retouching-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$m0(_objectSpread$m0({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$l_, finalProps.value);
    }
  });

  function ownKeys$l$(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$l$(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$l$(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$l$(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$lZ = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M3.99646 0.695068L5.09356 2.89911L7.2976 3.99621L5.09356 5.09332L3.99646 7.29736L2.89935 5.09332L0.695312 3.99621L2.89935 2.89911L3.99646 0.695068ZM12.0002 2.99998C11.3776 2.99998 10.7708 3.06306 10.1854 3.18284L9.2057 3.38331L8.80475 1.42391L9.78445 1.22344C10.501 1.07682 11.2422 0.999985 12.0002 0.999985C18.0754 0.999985 23.0002 5.92485 23.0002 12C23.0002 18.0751 18.0754 23 12.0002 23C5.9251 23 1.00023 18.0751 1.00023 12C1.00023 11.1153 1.10488 10.2537 1.30292 9.42744L1.53601 8.45499L3.48092 8.92116L3.24783 9.89362C3.08611 10.5683 3.00023 11.2735 3.00023 12C3.00023 16.9705 7.02967 21 12.0002 21C16.9708 21 21.0002 16.9705 21.0002 12C21.0002 7.02942 16.9708 2.99998 12.0002 2.99998ZM14.5125 8.93358H16.5164V10.9375H14.5125V8.93358ZM7.46312 8.93425H9.46703V10.9382H7.46312V8.93425ZM9.90965 13.1858L10.3982 14.0583C10.7136 14.6217 11.3139 14.9989 12.001 14.9989C12.6881 14.9989 13.2885 14.6217 13.6039 14.0583L14.0924 13.1858L15.8375 14.1628L15.349 15.0354C14.6943 16.2048 13.4411 16.9989 12.001 16.9989C10.561 16.9989 9.30781 16.2048 8.65307 15.0354L8.16455 14.1628L9.90965 13.1858ZM20.8308 20.8188L19.2619 21.5997L20.8308 22.3806L21.6117 23.9495L22.3926 22.3806L23.9615 21.5997L22.3926 20.8188L21.6117 19.25L20.8308 20.8188Z"
      }
    }]
  };
  var faceRetouching = vue.defineComponent({
    name: "FaceRetouchingIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-face-retouching", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$l$(_objectSpread$l$({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$lZ, finalProps.value);
    }
  });

  function ownKeys$l_(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$l_(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$l_(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$l_(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$lY = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M23 3L1 3L1 21H23V3ZM19.9142 10.5L15 15.4142L12.0858 12.5L13.5 11.0858L15 12.5858L18.5 9.08579L19.9142 10.5ZM11 17H5L5 15H11V17ZM11 9L5 9V7L11 7V9ZM11 13H5V11H11V13Z"
      }
    }]
  };
  var factCheckFilled = vue.defineComponent({
    name: "FactCheckFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-fact-check-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$l_(_objectSpread$l_({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$lY, finalProps.value);
    }
  });

  function ownKeys$lZ(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$lZ(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$lZ(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$lZ(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$lX = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M23 3V21L1 21L1 3L23 3ZM21 5L3 5L3 19H21V5ZM19.9142 10.5L15 15.4142L12.0858 12.5L13.5 11.0858L15 12.5858L18.5 9.08579L19.9142 10.5ZM11 17H5L5 15H11V17ZM11 9L5 9V7L11 7V9ZM11 13H5V11H11V13Z"
      }
    }]
  };
  var factCheck = vue.defineComponent({
    name: "FactCheckIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-fact-check", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$lZ(_objectSpread$lZ({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$lX, finalProps.value);
    }
  });

  function ownKeys$lY(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$lY(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$lY(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$lY(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$lW = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M6.5 6C6.22386 6 6 6.22386 6 6.5C6 6.77614 6.22386 7 6.5 7C6.77614 7 7 6.77614 7 6.5C7 6.22386 6.77614 6 6.5 6ZM4 6.5C4 5.11929 5.11929 4 6.5 4C7.88071 4 9 5.11929 9 6.5C9 7.88071 7.88071 9 6.5 9C5.11929 9 4 7.88071 4 6.5ZM11 6C11 4.89543 11.8954 4 13 4H20V6H13V11H20V13H13V20H11V6Z"
      }
    }]
  };
  var fahrenheitScale = vue.defineComponent({
    name: "FahrenheitScaleIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-fahrenheit-scale", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$lY(_objectSpread$lY({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$lW, finalProps.value);
    }
  });

  function ownKeys$lX(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$lX(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$lX(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$lX(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$lV = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M12 23C5.92487 23 1 18.0751 1 12C1 5.92487 5.92487 1 12 1C18.0751 1 23 5.92487 23 12C23 18.0751 18.0751 23 12 23ZM8 9.5V8.5H6V9.5C6 10.8807 7.11929 12 8.5 12C9.88071 12 11 10.8807 11 9.5V8.5H9V9.5C9 9.77614 8.77614 10 8.5 10C8.22386 10 8 9.77614 8 9.5ZM15 9.5V8.5H13V9.5C13 10.8807 14.1193 12 15.5 12C16.8807 12 18 10.8807 18 9.5V8.5H16V9.5C16 9.77614 15.7761 10 15.5 10C15.2239 10 15 9.77614 15 9.5ZM9.40076 14.4993L8.90004 13.6337L7.16882 14.6351L7.66955 15.5007C8.53256 16.9926 10.1481 18 12 18C13.852 18 15.4675 16.9926 16.3305 15.5007L16.8312 14.6351L15.1 13.6337L14.5993 14.4993C14.0791 15.3986 13.1092 16 12 16C10.8909 16 9.92099 15.3986 9.40076 14.4993Z"
      }
    }]
  };
  var feelAtEaseFilled = vue.defineComponent({
    name: "FeelAtEaseFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-feel-at-ease-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$lX(_objectSpread$lX({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$lV, finalProps.value);
    }
  });

  function ownKeys$lW(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$lW(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$lW(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$lW(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$lU = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M12 3C7.02944 3 3 7.02944 3 12C3 16.9706 7.02944 21 12 21C16.9706 21 21 16.9706 21 12C21 7.02944 16.9706 3 12 3ZM1 12C1 5.92487 5.92487 1 12 1C18.0751 1 23 5.92487 23 12C23 18.0751 18.0751 23 12 23C5.92487 23 1 18.0751 1 12ZM8 8.5V9.5C8 9.77614 8.22386 10 8.5 10C8.77614 10 9 9.77614 9 9.5V8.5H11V9.5C11 10.8807 9.88071 12 8.5 12C7.11929 12 6 10.8807 6 9.5V8.5H8ZM15 8.5V9.5C15 9.77614 15.2239 10 15.5 10C15.7761 10 16 9.77614 16 9.5V8.5H18V9.5C18 10.8807 16.8807 12 15.5 12C14.1193 12 13 10.8807 13 9.5V8.5H15ZM8.90004 13.6337L9.40076 14.4993C9.92099 15.3986 10.8909 16 12 16C13.1092 16 14.0791 15.3986 14.5993 14.4993L15.1 13.6337L16.8312 14.6351L16.3305 15.5007C15.4675 16.9926 13.852 18 12 18C10.1481 18 8.53256 16.9926 7.66955 15.5007L7.16882 14.6351L8.90004 13.6337Z"
      }
    }]
  };
  var feelAtEase = vue.defineComponent({
    name: "FeelAtEaseIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-feel-at-ease", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$lW(_objectSpread$lW({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$lU, finalProps.value);
    }
  });

  function ownKeys$lV(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$lV(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$lV(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$lV(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$lT = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M12 23C5.92487 23 1 18.0751 1 12C1 5.92487 5.92487 1 12 1C18.0751 1 23 5.92487 23 12C23 18.0751 18.0751 23 12 23ZM10.2327 10.1338L6.76855 8.13379L5.76855 9.86584L9.23266 11.8658L10.2327 10.1338ZM14.7686 11.8658L18.2327 9.86584L17.2327 8.13379L13.7686 10.1338L14.7686 11.8658ZM15.9998 17.0996V12.7914L7.8127 14.3508L7.90501 16.3286L15.9998 17.0996Z"
      }
    }]
  };
  var ferociousFilled = vue.defineComponent({
    name: "FerociousFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-ferocious-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$lV(_objectSpread$lV({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$lT, finalProps.value);
    }
  });

  function ownKeys$lU(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$lU(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$lU(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$lU(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$lS = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M12 3C7.02944 3 3 7.02944 3 12C3 16.9706 7.02944 21 12 21C16.9706 21 21 16.9706 21 12C21 7.02944 16.9706 3 12 3ZM1 12C1 5.92487 5.92487 1 12 1C18.0751 1 23 5.92487 23 12C23 18.0751 18.0751 23 12 23C5.92487 23 1 18.0751 1 12ZM6.76874 8.13397L10.2328 10.134L9.23284 11.866L5.76874 9.86603L6.76874 8.13397ZM18.2328 9.86603L14.7687 11.866L13.7687 10.134L17.2328 8.13397L18.2328 9.86603ZM16 12.7915V17.0998L7.90519 16.3288L7.81289 14.351L16 12.7915Z"
      }
    }]
  };
  var ferocious = vue.defineComponent({
    name: "FerociousIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-ferocious", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$lU(_objectSpread$lU({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$lS, finalProps.value);
    }
  });

  function ownKeys$lT(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$lT(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$lT(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$lT(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$lR = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M12.9993 1L12.9997 3.06187C13.7363 3.1537 14.4418 3.34567 15.1021 3.62372L16.1328 1.83856L17.8648 2.83856L16.8335 4.62481C17.4138 5.0655 17.9322 5.5836 18.3731 6.16374L20.1583 5.13305L21.1583 6.8651L19.3749 7.89475C19.6536 8.5559 19.846 9.26236 19.938 10H21.9995V12H19.938C19.8461 12.7372 19.6538 13.4432 19.3754 14.1038L21.1579 15.1329L20.1579 16.865L18.3739 15.835C17.7311 16.681 16.9238 17.3951 16.0001 17.9294V21.0002H18.9995V23.0002H4.99952V21.0002H8.00009L8.00009 17.9296C7.07564 17.3949 6.26781 16.6803 5.62471 15.8334L3.83777 16.8651L2.83777 15.133L4.62359 14.102C4.34562 13.4419 4.15365 12.7366 4.06179 12.0001L2.00018 12.0003L2 10.0003L4.06177 10.0001C4.15366 9.26308 4.34581 8.55721 4.62413 7.89655L2.83743 6.865L3.83743 5.13295L5.62551 6.1653C6.06626 5.58509 6.58441 5.06689 7.16457 4.62609L6.13276 2.83893L7.86481 1.83893L8.89573 3.62454C9.55652 3.34609 10.2625 3.15385 10.9997 3.06191L10.9993 1.00036L12.9993 1ZM10.0001 18.7478V21.0002H14.0001V18.7477C13.3602 18.9124 12.6898 19 11.9999 19C11.3101 19 10.6398 18.9125 10.0001 18.7478ZM15.4387 15.9176C16.1011 15.4535 16.6651 14.8593 17.0938 14.1722L17.2993 13.8163C17.7466 12.9763 17.9999 12.0175 17.9999 11C17.9999 9.96622 17.7384 8.99351 17.2781 8.14437L17.1176 7.86643C16.608 7.036 15.902 6.33911 15.0643 5.84047L14.9263 5.76081C14.0606 5.27623 13.0625 5 11.9999 5C8.68617 5 5.99988 7.68629 5.99988 11C5.99988 13.0334 7.01134 14.832 8.56129 15.9178L11.9993 8.66636L15.4387 15.9176Z"
      }
    }]
  };
  var ferrisWheelFilled = vue.defineComponent({
    name: "FerrisWheelFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-ferris-wheel-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$lT(_objectSpread$lT({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$lR, finalProps.value);
    }
  });

  function ownKeys$lS(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$lS(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$lS(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$lS(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$lQ = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M12.9993 1L12.9997 3.06187C13.7363 3.1537 14.4418 3.34567 15.1021 3.62372L16.1328 1.83856L17.8648 2.83856L16.8335 4.62481C17.4138 5.06549 17.9322 5.5836 18.3731 6.16374L20.1583 5.13305L21.1583 6.8651L19.3749 7.89475C19.6536 8.5559 19.846 9.26236 19.938 10H21.9995V12H19.938C19.8461 12.7372 19.6538 13.4432 19.3754 14.1038L21.1579 15.1329L20.1579 16.865L18.3739 15.835C17.7311 16.681 16.9238 17.3951 16.0001 17.9294V21.0002H18.9995V23.0002H4.99952V21.0002H8.00009L8.00009 17.9296C7.07564 17.3949 6.26781 16.6803 5.62471 15.8334L3.83777 16.8651L2.83777 15.133L4.62359 14.102C4.34562 13.4419 4.15365 12.7366 4.06179 12.0001L2.00018 12.0003L2 10.0003L4.06177 10.0001C4.15366 9.26308 4.34581 8.55721 4.62413 7.89655L2.83743 6.865L3.83743 5.13295L5.62551 6.1653C6.06626 5.58509 6.58441 5.06689 7.16457 4.62609L6.13275 2.83893L7.86481 1.83893L8.89573 3.62454C9.55651 3.34609 10.2625 3.15385 10.9997 3.06191L10.9993 1.00036L12.9993 1ZM10.0001 18.7478V21.0002H14.0001V18.7477C13.3602 18.9124 12.6898 19 11.9999 19C11.3101 19 10.6398 18.9125 10.0001 18.7478ZM15.4387 15.9176C16.1011 15.4535 16.6651 14.8593 17.0938 14.1722L17.2993 13.8163C17.7466 12.9763 17.9999 12.0175 17.9999 11C17.9999 9.96622 17.7384 8.9935 17.2781 8.14437L17.1176 7.86643C16.608 7.036 15.902 6.33911 15.0643 5.84047L14.9263 5.76081C14.0606 5.27623 13.0625 5 11.9999 5C8.68617 5 5.99988 7.68629 5.99988 11C5.99988 13.0334 7.01134 14.832 8.56129 15.9178L11.9993 8.66635L15.4387 15.9176ZM10.3679 16.7757C10.8862 16.9217 11.4334 17 11.9999 17C12.5665 17 13.1138 16.9217 13.6321 16.7756L11.9997 13.334L10.3679 16.7757Z"
      }
    }]
  };
  var ferrisWheel = vue.defineComponent({
    name: "FerrisWheelIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-ferris-wheel", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$lS(_objectSpread$lS({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$lQ, finalProps.value);
    }
  });

  function ownKeys$lR(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$lR(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$lR(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$lR(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$lP = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M15.4142 1H3V23H21V6.58579L15.4142 1ZM14.5 7.5V3L19 7.5H14.5ZM17 14H7V12H17V14ZM17 18H7V16H17V18Z"
      }
    }]
  };
  var file1Filled = vue.defineComponent({
    name: "File1FilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-file-1-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$lR(_objectSpread$lR({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$lP, finalProps.value);
    }
  });

  function ownKeys$lQ(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$lQ(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$lQ(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$lQ(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$lO = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M3 1H15.4142L21 6.58579V23H3V1ZM18.5858 7L15 3.41421V7H18.5858ZM13 3H5V21H19V9H13V3ZM7 12H17V14H7V12ZM7 16H17V18H7V16Z"
      }
    }]
  };
  var file1 = vue.defineComponent({
    name: "File1Icon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-file-1", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$lQ(_objectSpread$lQ({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$lO, finalProps.value);
    }
  });

  function ownKeys$lP(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$lP(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$lP(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$lP(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$lN = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M15.4142 1H3V23H21V6.58579L15.4142 1ZM14.5 7.5V3L19 7.5H14.5ZM16 16H13V19H11V16H8V14H11V11H13V14H16V16Z",
        "fillOpacity": 0.9
      }
    }]
  };
  var fileAdd1Filled = vue.defineComponent({
    name: "FileAdd1FilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-file-add-1-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$lP(_objectSpread$lP({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$lN, finalProps.value);
    }
  });

  function ownKeys$lO(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$lO(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$lO(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$lO(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$lM = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M3 1H15.4142L21 6.58579V23H3V1ZM18.5858 7L15 3.41421V7H18.5858ZM13 3H5V21H19V9H13V3ZM13 11V14H16V16H13V19H11V16H8V14H11V11H13Z"
      }
    }]
  };
  var fileAdd1 = vue.defineComponent({
    name: "FileAdd1Icon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-file-add-1", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$lO(_objectSpread$lO({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$lM, finalProps.value);
    }
  });

  function ownKeys$lN(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$lN(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$lN(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$lN(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$lL = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M15.4142 1H3V23H13.8762C13.0139 21.897 12.5 20.5085 12.5 19C12.5 15.4101 15.4101 12.5 19 12.5C19.6978 12.5 20.3699 12.61 21 12.8135V6.58579L15.4142 1ZM14.5 7.5V3L19 7.5H14.5Z"
      }
    }, {
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M20 14V18H24V20H20V24H18V20H14V18H18V14H20Z"
      }
    }]
  };
  var fileAddFilled = vue.defineComponent({
    name: "FileAddFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-file-add-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$lN(_objectSpread$lN({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$lL, finalProps.value);
    }
  });

  function ownKeys$lM(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$lM(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$lM(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$lM(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$lK = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M3 1H15.4142L21 6.58579V12H19V9H13V3H5V21H12V23H3V1ZM15 3.41421V7H18.5858L15 3.41421ZM20 14V18H24V20H20V24H18V20H14V18H18V14H20Z"
      }
    }]
  };
  var fileAdd = vue.defineComponent({
    name: "FileAddIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-file-add", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$lM(_objectSpread$lM({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$lK, finalProps.value);
    }
  });

  function ownKeys$lL(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$lL(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$lL(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$lL(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$lJ = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M3 1H15.4142L21 6.58579V12.6713C20.175 11.6518 18.9136 11 17.5 11C15.0147 11 13 13.0147 13 15.5V21.5C13 22.026 13.0902 22.5308 13.2561 23H3V1ZM14.5 3V7.5H19L14.5 3Z"
      }
    }, {
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M17.5 13C16.1193 13 15 14.1193 15 15.5V20C15 22.2091 16.7909 24 19 24C21.2091 24 23 22.2091 23 20V15.5H21V20C21 21.1046 20.1046 22 19 22C17.8954 22 17 21.1046 17 20V15.5C17 15.2239 17.2239 15 17.5 15C17.7761 15 18 15.2239 18 15.5V20H20V15.5C20 14.1193 18.8807 13 17.5 13Z"
      }
    }]
  };
  var fileAttachmentFilled = vue.defineComponent({
    name: "FileAttachmentFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-file-attachment-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$lL(_objectSpread$lL({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$lJ, finalProps.value);
    }
  });

  function ownKeys$lK(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$lK(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$lK(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$lK(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$lI = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M3 1H15.4142L21 6.58579V12H19V9H13V3H5V21H12V23H3V1ZM15 3.41421V7H18.5858L15 3.41421ZM14 15.5C14 14.1193 15.1193 13 16.5 13C17.8807 13 19 14.1193 19 15.5V20H17V15.5C17 15.2239 16.7761 15 16.5 15C16.2239 15 16 15.2239 16 15.5V20C16 21.1046 16.8954 22 18 22C19.1046 22 20 21.1046 20 20V16H22V20C22 22.2091 20.2091 24 18 24C15.7909 24 14 22.2091 14 20V15.5Z"
      }
    }]
  };
  var fileAttachment = vue.defineComponent({
    name: "FileAttachmentIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-file-attachment", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$lK(_objectSpread$lK({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$lI, finalProps.value);
    }
  });

  function ownKeys$lJ(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$lJ(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$lJ(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$lJ(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$lH = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M15.4142 1H3V23H13.101C11.8045 21.7295 11 19.9587 11 18C11 14.134 14.134 11 18 11C19.0736 11 20.0907 11.2417 21 11.6736V6.58579L15.4142 1ZM14.5 7.5V3L19 7.5H14.5Z"
      }
    }, {
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M18 14.5C16.067 14.5 14.5 16.067 14.5 18C14.5 18.6031 14.652 19.17 14.9205 19.6652L19.6654 14.9206C19.1701 14.6521 18.6032 14.5 18 14.5ZM21.0795 16.3348L16.3346 21.0794C16.8299 21.3479 17.3968 21.5 18 21.5C19.933 21.5 21.5 19.933 21.5 18C21.5 17.3969 21.348 16.83 21.0795 16.3348ZM12.5 18C12.5 14.9624 14.9624 12.5 18 12.5C19.5186 12.5 20.895 13.1168 21.8892 14.111C22.8833 15.1052 23.5 16.4816 23.5 18C23.5 21.0376 21.0376 23.5 18 23.5C16.4814 23.5 15.105 22.8832 14.1108 21.889C13.1167 20.8948 12.5 19.5184 12.5 18Z"
      }
    }]
  };
  var fileBlockedFilled = vue.defineComponent({
    name: "FileBlockedFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-file-blocked-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$lJ(_objectSpread$lJ({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$lH, finalProps.value);
    }
  });

  function ownKeys$lI(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$lI(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$lI(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$lI(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$lG = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M3 1H15.4142L21 6.58579V11H19V9H13V3H5V21H11V23H3V1ZM15 3.41421V7H18.5858L15 3.41421ZM18 14.5C16.067 14.5 14.5 16.067 14.5 18C14.5 18.6031 14.652 19.17 14.9205 19.6652L19.6654 14.9206C19.1701 14.6521 18.6032 14.5 18 14.5ZM21.0795 16.3348L16.3346 21.0794C16.8299 21.3479 17.3968 21.5 18 21.5C19.933 21.5 21.5 19.933 21.5 18C21.5 17.3969 21.348 16.83 21.0795 16.3348ZM12.5 18C12.5 14.9624 14.9624 12.5 18 12.5C19.5186 12.5 20.895 13.1168 21.8892 14.111C22.8833 15.1052 23.5 16.4816 23.5 18C23.5 21.0376 21.0376 23.5 18 23.5C16.4814 23.5 15.105 22.8832 14.1108 21.889C13.1167 20.8948 12.5 19.5184 12.5 18Z"
      }
    }]
  };
  var fileBlocked = vue.defineComponent({
    name: "FileBlockedIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-file-blocked", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$lI(_objectSpread$lI({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$lG, finalProps.value);
    }
  });

  function ownKeys$lH(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$lH(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$lH(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$lH(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$lF = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M15.4142 1H3V23H21V6.58579L15.4142 1ZM14.5 7.5V3L19 7.5H14.5ZM9.29305 18.2072L6.08594 15.0001L9.29304 11.793L10.7073 13.2072L8.91437 15.0001L10.7073 16.793L9.29305 18.2072ZM13.2929 16.793L15.0858 15.0001L13.2929 13.2072L14.7071 11.793L17.9142 15.0001L14.7071 18.2072L13.2929 16.793Z"
      }
    }]
  };
  var fileCode1Filled = vue.defineComponent({
    name: "FileCode1FilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-file-code-1-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$lH(_objectSpread$lH({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$lF, finalProps.value);
    }
  });

  function ownKeys$lG(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$lG(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$lG(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$lG(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$lE = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M3 1H15.4142L21 6.58579V23H3V1ZM5 3V21H19V9H13V3H5ZM15 3.41421V7H18.5858L15 3.41421ZM11.2072 12.2072L9.41429 14.0001L11.2072 15.793L9.79298 17.2072L6.58586 14.0001L9.79297 10.793L11.2072 12.2072ZM14.207 10.793L17.4141 14.0001L14.207 17.2072L12.7928 15.793L14.5857 14.0001L12.7928 12.2072L14.207 10.793Z"
      }
    }]
  };
  var fileCode1 = vue.defineComponent({
    name: "FileCode1Icon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-file-code-1", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$lG(_objectSpread$lG({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$lE, finalProps.value);
    }
  });

  function ownKeys$lF(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$lF(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$lF(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$lF(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$lD = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M15.4142 1H3V23H11V18.9994H16.2076L15.202 18.004L21 12.2645V6.58579L15.4142 1ZM14.5 7.5V3L19 7.5H14.5Z"
      }
    }, {
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M23.6632 15.2563L20.8868 18.0047L23.6632 20.7531L22.2562 22.1745L18.0439 18.0047L22.2562 13.835L23.6632 15.2563ZM12.999 21.0002H17.499V23.0002H12.999V21.0002Z"
      }
    }]
  };
  var fileCodeFilled = vue.defineComponent({
    name: "FileCodeFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-file-code-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$lF(_objectSpread$lF({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$lD, finalProps.value);
    }
  });

  function ownKeys$lE(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$lE(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$lE(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$lE(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$lC = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M3.00098 1.00073H15.4152L21.001 6.58652V13.0007H19.001V9.00073H13.001V3.00073H5.00098V21.0007H11.001V23.0007H3.00098V1.00073ZM15.001 3.41495V7.00073H18.5868L15.001 3.41495ZM23.6644 15.2561L20.888 18.0045L23.6644 20.7528L22.2574 22.1742L18.0451 18.0045L22.2574 13.8347L23.6644 15.2561ZM13.0002 20.9999H17.5002V22.9999H13.0002V20.9999Z"
      }
    }]
  };
  var fileCode = vue.defineComponent({
    name: "FileCodeIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-file-code", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$lE(_objectSpread$lE({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$lC, finalProps.value);
    }
  });

  function ownKeys$lD(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$lD(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$lD(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$lD(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$lB = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M4 5V21H15V23H2V5H4Z"
      }
    }, {
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M6 1H16L21 6V19H6V1ZM15 3V7H19L15 3Z"
      }
    }]
  };
  var fileCopyFilled = vue.defineComponent({
    name: "FileCopyFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-file-copy-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$lD(_objectSpread$lD({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$lB, finalProps.value);
    }
  });

  function ownKeys$lC(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$lC(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$lC(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$lC(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$lA = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M6 1H15.4142L21 6.58579V19H6V1ZM8 3V17H19V9H13V3H8ZM15 3.41421V7H18.5858L15 3.41421ZM4 5V21H15V23H2V5H4Z"
      }
    }]
  };
  var fileCopy = vue.defineComponent({
    name: "FileCopyIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-file-copy", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$lC(_objectSpread$lC({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$lA, finalProps.value);
    }
  });

  function ownKeys$lB(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$lB(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$lB(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$lB(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$lz = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M15.4142 1H3V23H14.8464C13.4127 21.8077 12.5 20.0104 12.5 18C12.5 14.4101 15.4101 11.5 19 11.5C19.6978 11.5 20.3699 11.61 21 11.8135V6.58579L15.4142 1ZM14.5 7.5V3L19 7.5H14.5Z"
      }
    }, {
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M20.0001 13V20.1092L22.5082 17.6297L23.9143 19.0519L19.0001 23.9103L14.0859 19.0519L15.492 17.6297L18.0001 20.1092V13H20.0001Z"
      }
    }]
  };
  var fileDownloadFilled = vue.defineComponent({
    name: "FileDownloadFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-file-download-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$lB(_objectSpread$lB({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$lz, finalProps.value);
    }
  });

  function ownKeys$lA(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$lA(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$lA(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$lA(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$ly = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M3 1H15.4142L21 6.58579V11.5H19V9H13V3H5V21H13V23H3V1ZM15 3.41421V7H18.5858L15 3.41421ZM20 13V20.1092L22.5081 17.6297L23.9142 19.0519L19 23.9103L14.0858 19.0519L15.4919 17.6297L18 20.1092V13H20Z"
      }
    }]
  };
  var fileDownload = vue.defineComponent({
    name: "FileDownloadIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-file-download", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$lA(_objectSpread$lA({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$ly, finalProps.value);
    }
  });

  function ownKeys$lz(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$lz(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$lz(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$lz(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$lx = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M15.4142 1H3V23H21V6.58579L15.4142 1ZM14.5 7.5V3L19 7.5H14.5ZM15 11.6465C15 12.1896 14.7792 12.7093 14.3883 13.0862L13.4406 14L14.3883 14.9138C14.7792 15.2907 15 15.8104 15 16.3535V18H13L13 16.3535L12 15.3892L11 16.3535L11 18L9.00001 18L9.00001 16.3535C9.00001 15.8104 9.22083 15.2907 9.61173 14.9138L10.5594 14L9.61173 13.0862C9.22083 12.7093 9.00001 12.1896 9.00001 11.6465L9 10L11 10L11 11.6465L12 12.6108L13 11.6465L13 10L15 10L15 11.6465Z"
      }
    }]
  };
  var fileExcelFilled = vue.defineComponent({
    name: "FileExcelFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-file-excel-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$lz(_objectSpread$lz({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$lx, finalProps.value);
    }
  });

  function ownKeys$ly(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$ly(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$ly(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$ly(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$lw = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M3 1H15.4142L21 6.58579V23H3V1ZM5 3V21H19V9H13V3H5ZM15 3.41421V7H18.5858L15 3.41421ZM15 9.99999L15 11.6465C15 12.1896 14.7792 12.7093 14.3883 13.0862L13.4406 14L14.3883 14.9138C14.7792 15.2907 15 15.8104 15 16.3535V18H13L13 16.3535L12 15.3892L11 16.3535L11 18L9.00001 18L9.00001 16.3535C9.00001 15.8104 9.22083 15.2907 9.61173 14.9138L10.5594 14L9.61174 13.0862C9.22083 12.7093 9.00002 12.1896 9.00001 11.6465L9 10L11 10L11 11.6465L12 12.6108L13 11.6465L13 10L15 9.99999Z"
      }
    }]
  };
  var fileExcel = vue.defineComponent({
    name: "FileExcelIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-file-excel", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$ly(_objectSpread$ly({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$lw, finalProps.value);
    }
  });

  function ownKeys$lx(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$lx(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$lx(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$lx(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$lv = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M15.4142 1H3V23H12.8762C12.0139 21.897 11.5 20.5085 11.5 19C11.5 15.4101 14.4101 12.5 18 12.5C19.0821 12.5 20.1025 12.7644 21 13.2322V6.58579L15.4142 1ZM14.5 7.5V3L19 7.5H14.5Z"
      }
    }, {
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M19.05 14.0879L23.9083 19.0021L19.05 23.9163L17.6277 22.5102L20.1073 20.0021L12.998 20.0021V18.0021L20.1073 18.0021L17.6277 15.494L19.05 14.0879Z"
      }
    }]
  };
  var fileExportFilled = vue.defineComponent({
    name: "FileExportFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-file-export-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$lx(_objectSpread$lx({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$lv, finalProps.value);
    }
  });

  function ownKeys$lw(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$lw(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$lw(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$lw(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$lu = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M3 1H15.4142L21 6.58579V12H19V9H13V3H5V21H11V23H3V1ZM15 3.41421V7H18.5858L15 3.41421ZM19.05 14.0879L23.9083 19.0021L19.05 23.9163L17.6277 22.5102L20.1073 20.0021L12.998 20.0021V18.0021L20.1073 18.0021L17.6277 15.494L19.05 14.0879Z"
      }
    }]
  };
  var fileExport = vue.defineComponent({
    name: "FileExportIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-file-export", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$lw(_objectSpread$lw({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$lu, finalProps.value);
    }
  });

  function ownKeys$lv(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$lv(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$lv(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$lv(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$lt = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M3 1H15.4142L21 6.58579V23H3V1ZM14.5 3V7.5H19L14.5 3Z"
      }
    }]
  };
  var fileFilled = vue.defineComponent({
    name: "FileFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-file-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$lv(_objectSpread$lv({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$lt, finalProps.value);
    }
  });

  function ownKeys$lu(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$lu(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$lu(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$lu(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$ls = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M13.5 18V14H14V18H13.5Z"
      }
    }, {
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M15.4142 1H3V23H21V20H19V14H18.5V20H16.5V12H19.25C20.2165 12 21 12.7835 21 13.75V6.58579L15.4142 1ZM14.5 7.5V3L19 7.5H14.5ZM7 12V20H5V12H7ZM9.5 14V18H11V20H9.25C8.2835 20 7.5 19.2165 7.5 18.25V13.75C7.5 12.7835 8.2835 12 9.25 12H11V14H9.5ZM13.25 12H14.25C15.2165 12 16 12.7835 16 13.75V18.25C16 19.2165 15.2165 20 14.25 20H13.25C12.2835 20 11.5 19.2165 11.5 18.25V13.75C11.5 12.7835 12.2835 12 13.25 12Z"
      }
    }]
  };
  var fileIconFilled = vue.defineComponent({
    name: "FileIconFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-file-icon-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$lu(_objectSpread$lu({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$ls, finalProps.value);
    }
  });

  function ownKeys$lt(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$lt(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$lt(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$lt(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$lr = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M3 1H15.4142L21 6.58579V11H19V9H13V3H5V21H21V23H3V1ZM15 3.41421V7H18.5858L15 3.41421ZM8 12V20H6V12H8ZM8.50002 14C8.50002 12.8954 9.39545 12 10.5 12H12V14H10.5V18H12V20H10.5C9.39545 20 8.50002 19.1046 8.50002 18V14ZM12.5 14C12.5 12.8954 13.3954 12 14.5 12H15.5C16.6046 12 17.5 12.8954 17.5 14V18C17.5 19.1046 16.6046 20 15.5 20H14.5C13.3954 20 12.5 19.1046 12.5 18V14ZM18 12H21C22.1046 12 23 12.8954 23 14V20H21V14H20V20H18V12ZM14.5 14V18H15.5V14H14.5Z"
      }
    }]
  };
  var fileIcon = vue.defineComponent({
    name: "FileIconIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-file-icon", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$lt(_objectSpread$lt({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$lr, finalProps.value);
    }
  });

  function ownKeys$ls(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$ls(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$ls(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$ls(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$lq = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M15.4142 1H3V23H21V6.58579L15.4142 1ZM14.5 7.5V3L19 7.5H14.5ZM10.0039 11V13.0039H8V11H10.0039ZM15.3761 18.4142L12.7283 15.7665L11.1163 17.3794L10.4645 16.5951L9.76475 17.2717L8.62222 18.4142L7.20801 17L8.36237 15.8456L10.6243 13.6583L11.2524 14.414L12.7279 12.9376L16.7903 17L15.3761 18.4142Z"
      }
    }]
  };
  var fileImageFilled = vue.defineComponent({
    name: "FileImageFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-file-image-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$ls(_objectSpread$ls({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$lq, finalProps.value);
    }
  });

  function ownKeys$lr(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$lr(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$lr(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$lr(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$lp = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M3 1H15.4142L21 6.58579V23H3V1ZM5 3V21H19V9H13V3H5ZM15 3.41421V7H18.5858L15 3.41421ZM8 11H10.0039V13.0039H8V11ZM12.7279 12.9376L16.7903 17L15.3761 18.4142L12.7283 15.7665L11.1163 17.3794L10.4645 16.5951L9.76475 17.2717L8.62222 18.4142L7.20801 17L8.36237 15.8456L10.6243 13.6583L11.2524 14.414L12.7279 12.9376Z"
      }
    }]
  };
  var fileImage = vue.defineComponent({
    name: "FileImageIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-file-image", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$lr(_objectSpread$lr({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$lp, finalProps.value);
    }
  });

  function ownKeys$lq(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$lq(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$lq(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$lq(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$lo = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M15.4142 1H3V13.2322C3.89751 12.7644 4.91787 12.5 6 12.5C9.58985 12.5 12.5 15.4101 12.5 19C12.5 20.5085 11.9861 21.897 11.1238 23H21V6.58579L15.4142 1ZM14.5 7.5V3L19 7.5H14.5Z"
      }
    }, {
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M7.04998 14.0879L11.9083 19.0021L7.04999 23.9163L5.62771 22.5102L8.10728 20.0021L0.998047 20.0021L0.998047 18.0021L8.10728 18.0021L5.62771 15.494L7.04998 14.0879Z"
      }
    }]
  };
  var fileImportFilled = vue.defineComponent({
    name: "FileImportFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-file-import-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$lq(_objectSpread$lq({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$lo, finalProps.value);
    }
  });

  function ownKeys$lp(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$lp(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$lp(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$lp(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$ln = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M3 1H15.4142L21 6.58579V23H12V21H19V9H13V3H5V13H3V1ZM15 3.41421V7H18.5858L15 3.41421ZM7.04998 14.0879L11.9083 19.0021L7.04999 23.9163L5.62771 22.5102L8.10728 20.0021L0.998047 20.0021L0.998047 18.0021L8.10728 18.0021L5.62771 15.494L7.04998 14.0879Z"
      }
    }]
  };
  var fileImport = vue.defineComponent({
    name: "FileImportIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-file-import", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$lp(_objectSpread$lp({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$ln, finalProps.value);
    }
  });

  function ownKeys$lo(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$lo(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$lo(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$lo(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$lm = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M15.4142 1H3V23H11.5V17C11.5 13.4101 14.4101 10.5 18 10.5C19.0821 10.5 20.1025 10.7644 21 11.2322V6.58579L15.4142 1ZM14.5 7.5V3L19 7.5H14.5Z"
      }
    }, {
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M18.001 14.5C18.6913 14.5 19.251 15.0596 19.251 15.75V16.5H16.751V15.75C16.751 15.0596 17.3106 14.5 18.001 14.5ZM21.251 16.5V15.75C21.251 13.9551 19.7959 12.5 18.001 12.5C16.2061 12.5 14.751 13.9551 14.751 15.75V16.5H13.5V23H22.5V16.5H21.251Z"
      }
    }]
  };
  var fileLockedFilled = vue.defineComponent({
    name: "FileLockedFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-file-locked-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$lo(_objectSpread$lo({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$lm, finalProps.value);
    }
  });

  function ownKeys$ln(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$ln(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$ln(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$ln(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$ll = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M3 1H15.4142L21 6.58579V11H19V9H13V3H5V21H11.5V23H3V1ZM15 3.41421V7H18.5858L15 3.41421ZM18 14.5C18.6904 14.5 19.25 15.0596 19.25 15.75V16.5H16.75V15.75C16.75 15.0596 17.3096 14.5 18 14.5ZM21.25 16.5V15.75C21.25 13.9551 19.7949 12.5 18 12.5C16.2051 12.5 14.75 13.9551 14.75 15.75V16.5H13.499V23H22.499V16.5H21.25ZM20.499 18.5V21H15.499V18.5H20.499Z"
      }
    }]
  };
  var fileLocked = vue.defineComponent({
    name: "FileLockedIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-file-locked", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$ln(_objectSpread$ln({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$ll, finalProps.value);
    }
  });

  function ownKeys$lm(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$lm(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$lm(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$lm(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$lk = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M15.4142 1H3V23H21V6.58579L15.4142 1ZM14.5 7.5V3L19 7.5H14.5ZM16 16H8V14H16V16Z"
      }
    }]
  };
  var fileMinusFilled = vue.defineComponent({
    name: "FileMinusFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-file-minus-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$lm(_objectSpread$lm({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$lk, finalProps.value);
    }
  });

  function ownKeys$ll(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$ll(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$ll(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$ll(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$lj = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M3 1H15.4142L21 6.58579V23H3V1ZM18.5858 7L15 3.41421V7H18.5858ZM13 3H5V21H19V9H13V3ZM8 14H16V16H8V14Z"
      }
    }]
  };
  var fileMinus = vue.defineComponent({
    name: "FileMinusIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-file-minus", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$ll(_objectSpread$ll({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$lj, finalProps.value);
    }
  });

  function ownKeys$lk(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$lk(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$lk(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$lk(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$li = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M15.4142 1H3V23H21V6.58579L15.4142 1ZM14.5 7.5V3L19 7.5H14.5ZM16 12.5H14V16.5C14 17.8807 12.8807 19 11.5 19C10.1193 19 9 17.8807 9 16.5C9 15.1193 10.1193 14 11.5 14C11.6712 14 11.8384 14.0172 12 14.05V10.5H16V12.5Z"
      }
    }]
  };
  var fileMusicFilled = vue.defineComponent({
    name: "FileMusicFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-file-music-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$lk(_objectSpread$lk({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$li, finalProps.value);
    }
  });

  function ownKeys$lj(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$lj(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$lj(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$lj(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$lh = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M3 1H15.4142L21 6.58579V23H3V1ZM18.5858 7L15 3.41421V7H18.5858ZM13 3H5V21H19V9H13V3ZM12 10H16V12H14V16C14 17.3807 12.8807 18.5 11.5 18.5C10.1193 18.5 9 17.3807 9 16C9 14.6193 10.1193 13.5 11.5 13.5C11.6712 13.5 11.8384 13.5172 12 13.55V10ZM12 16C12 15.7239 11.7761 15.5 11.5 15.5C11.2239 15.5 11 15.7239 11 16C11 16.2761 11.2239 16.5 11.5 16.5C11.7761 16.5 12 16.2761 12 16Z"
      }
    }]
  };
  var fileMusic = vue.defineComponent({
    name: "FileMusicIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-file-music", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$lj(_objectSpread$lj({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$lh, finalProps.value);
    }
  });

  function ownKeys$li(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$li(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$li(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$li(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$lg = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M15.4142 1L21 6.58579V23H3V1H15.4142ZM14.5 7.5H19L14.5 3V7.5ZM13 10H9L9 18H11V12H13V18H15L15 12C15 10.8954 14.1046 10 13 10Z"
      }
    }]
  };
  var fileOnenoteFilled = vue.defineComponent({
    name: "FileOnenoteFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-file-onenote-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$li(_objectSpread$li({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$lg, finalProps.value);
    }
  });

  function ownKeys$lh(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$lh(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$lh(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$lh(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$lf = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M3 1H15.4142L21 6.58579V23H3V1ZM5 3V21H19V9H13V3H5ZM15 3.41421V7H18.5858L15 3.41421ZM9 10H13C14.1046 10 15 10.8954 15 12L15 18H13V12H11V18H9L9 10Z"
      }
    }]
  };
  var fileOnenote = vue.defineComponent({
    name: "FileOnenoteIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-file-onenote", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$lh(_objectSpread$lh({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$lf, finalProps.value);
    }
  });

  function ownKeys$lg(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$lg(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$lg(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$lg(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$le = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M10.5 12H13.5V16H10.5V12Z"
      }
    }, {
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M15.4142 1L21 6.58579V23H3V1H15.4142ZM14.5 7.5H19L14.5 3V7.5ZM10.5 10C9.39543 10 8.5 10.8954 8.5 12V16C8.5 17.1046 9.39543 18 10.5 18H13.5C14.6046 18 15.5 17.1046 15.5 16V12C15.5 10.8954 14.6046 10 13.5 10H10.5Z"
      }
    }]
  };
  var fileOutlookFilled = vue.defineComponent({
    name: "FileOutlookFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-file-outlook-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$lg(_objectSpread$lg({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$le, finalProps.value);
    }
  });

  function ownKeys$lf(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$lf(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$lf(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$lf(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$ld = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M3 1H15.4142L21 6.58579V23H3V1ZM5 3V21H19V9H13V3H5ZM15 3.41421V7H18.5858L15 3.41421ZM8.5 12C8.5 10.8954 9.39543 10 10.5 10H13.5C14.6046 10 15.5 10.8954 15.5 12V16C15.5 17.1046 14.6046 18 13.5 18H10.5C9.39543 18 8.5 17.1046 8.5 16V12ZM13.5 12H10.5V16H13.5V12Z"
      }
    }]
  };
  var fileOutlook = vue.defineComponent({
    name: "FileOutlookIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-file-outlook", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$lf(_objectSpread$lf({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$ld, finalProps.value);
    }
  });

  function ownKeys$le(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$le(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$le(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$le(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$lc = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M13 18V16H15V18H13Z"
      }
    }, {
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M15.4142 1H3V23H21V6.58579L15.4142 1ZM14.5 7.5V3L19 7.5H14.5ZM9.6 10V12H9V12.6H7V10H9.6ZM13 10V12.6H11V12H10.4V10H13ZM9 13.4V14H9.6V16H7V13.4H9ZM17 14V20H11V14H17Z"
      }
    }]
  };
  var filePasteFilled = vue.defineComponent({
    name: "FilePasteFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-file-paste-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$le(_objectSpread$le({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$lc, finalProps.value);
    }
  });

  function ownKeys$ld(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$ld(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$ld(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$ld(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$lb = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M3 1H15.4142L21 6.58579V23H3V1ZM19 9H13V3H5V21H19V9ZM15 3.41745V7H18.5853L15 3.41745ZM7 10H9.6V12H9V12.6H7V10ZM10.4 10H13V12.6H11V12H10.4V10ZM9 14V13.4H7V16H9.6V14H9ZM11 14H17V20H11V14ZM13 16V18H15V16H13Z"
      }
    }]
  };
  var filePaste = vue.defineComponent({
    name: "FilePasteIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-file-paste", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$ld(_objectSpread$ld({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$lb, finalProps.value);
    }
  });

  function ownKeys$lc(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$lc(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$lc(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$lc(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$la = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M8 15.2496V14.0002L8.75003 14.0001V15.2494L8 15.2496zM13.5 14.0005L14.25 14.0003V17.9999L13.5 18.0003V14.0005z"
      }
    }, {
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M15.4142 1H3V23H21V17.2497H19V20.0002H17V13.5006C17 12.6724 17.6713 12.0008 18.4996 12.0006L20.9998 12L21 12.8889V6.58579L15.4142 1ZM14.5 7.5V3L19 7.5H14.5ZM9.25031 17.2493L8 17.2496V20.0003H6V12.0004L9.24988 12C10.0784 12 10.75 12.6716 10.75 13.5V15.7493C10.75 16.5777 10.0786 17.2492 9.25031 17.2493ZM16.25 13.5001V18.4997C16.25 19.3279 15.5789 19.9993 14.7507 19.9997L11.5 20.0012V12.001L14.7496 12.0001C15.5782 11.9999 16.25 12.6716 16.25 13.5001Z"
      }
    }, {
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M21 14L19 14.0005V15.2497H21V14Z"
      }
    }]
  };
  var filePdfFilled = vue.defineComponent({
    name: "FilePdfFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-file-pdf-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$lc(_objectSpread$lc({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$la, finalProps.value);
    }
  });

  function ownKeys$lb(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$lb(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$lb(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$lb(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$l9 = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M3 1H15.4142L21 6.58579V11H19V9H13V3H5V21H21V23H3V1ZM15 3.41421V7H18.5858L15 3.41421ZM6 12H9.71428C10.4244 12 11 12.5756 11 13.2857V15.7143C11 16.4244 10.4244 17 9.71428 17H8V20H6V12ZM8 15H9V14H8V15ZM11.5 12H15.2143C15.9244 12 16.5 12.5756 16.5 13.2857V18.7143C16.5 19.4244 15.9244 20 15.2143 20H11.5V12ZM13.5 14V18H14.5V14H13.5ZM17 13.2857C17 12.5756 17.5756 12 18.2857 12H21.6667V14H19V15H21.6667V17H19V20H17V13.2857Z"
      }
    }]
  };
  var filePdf = vue.defineComponent({
    name: "FilePdfIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-file-pdf", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$lb(_objectSpread$lb({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$l9, finalProps.value);
    }
  });

  function ownKeys$la(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$la(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$la(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$la(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$l8 = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M13 13.6L11 13.6V12H13V13.6Z",
        "fillOpacity": 0.9
      }
    }, {
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M15.4142 1H3V23H21V6.58579L15.4142 1ZM14.5 7.5V3L19 7.5H14.5ZM13 10C14.1046 10 15 10.8954 15 12V13.6C15 14.7046 14.1046 15.6 13 15.6H11V18H9V10H13Z",
        "fillOpacity": 0.9
      }
    }]
  };
  var filePowerpointFilled = vue.defineComponent({
    name: "FilePowerpointFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-file-powerpoint-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$la(_objectSpread$la({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$l8, finalProps.value);
    }
  });

  function ownKeys$l9(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$l9(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$l9(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$l9(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$l7 = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M3 1H15.4142L21 6.58579V23H3V1ZM5 3V21H19V9H13V3H5ZM15 3.41421V7H18.5858L15 3.41421ZM9 10H13C14.1046 10 15 10.8954 15 12V13.6C15 14.7046 14.1046 15.6 13 15.6H11V18H9V10ZM11 13.6L13 13.6V12H11V13.6Z"
      }
    }]
  };
  var filePowerpoint = vue.defineComponent({
    name: "FilePowerpointIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-file-powerpoint", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$l9(_objectSpread$l9({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$l7, finalProps.value);
    }
  });

  function ownKeys$l8(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$l8(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$l8(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$l8(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$l6 = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M3 1H15.4142L21 6.58579V11.6241C20.0813 11.2227 19.0667 11 18 11C13.8579 11 10.5 14.3579 10.5 18.5C10.5 20.1884 11.0579 21.7465 11.9995 23H3V1ZM14.5 3V7.5H19L14.5 3Z"
      }
    }, {
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M17.4142 14.0002L18.4142 13.0002L17 11.5859L13.5858 15.0002L17 18.4144L18.4142 17.0002L17.4142 16.0002H18C19.6569 16.0002 21 17.3433 21 19.0002C21 20.657 19.6569 22.0002 18 22.0002C16.3431 22.0002 15 20.657 15 19.0002V18.0002H13V19.0002C13 21.7616 15.2386 24.0002 18 24.0002C20.7614 24.0002 23 21.7616 23 19.0002C23 16.2387 20.7614 14.0002 18 14.0002H17.4142Z"
      }
    }]
  };
  var fileRestoreFilled = vue.defineComponent({
    name: "FileRestoreFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-file-restore-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$l8(_objectSpread$l8({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$l6, finalProps.value);
    }
  });

  function ownKeys$l7(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$l7(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$l7(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$l7(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$l5 = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M3 1H15.4142L21 6.58579V12H19V9H13V3H5V21H12V23H3V1ZM15 3.41421V7H18.5858L15 3.41421ZM18.4142 13L17.4142 14H18C20.7614 14 23 16.2386 23 19C23 21.7614 20.7614 24 18 24C15.2386 24 13 21.7614 13 19V18H15V19C15 20.6569 16.3431 22 18 22C19.6569 22 21 20.6569 21 19C21 17.3431 19.6569 16 18 16H17.4142L18.4142 17L17 18.4142L13.5858 15L17 11.5858L18.4142 13Z"
      }
    }]
  };
  var fileRestore = vue.defineComponent({
    name: "FileRestoreIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-file-restore", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$l7(_objectSpread$l7({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$l5, finalProps.value);
    }
  });

  function ownKeys$l6(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$l6(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$l6(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$l6(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$l4 = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M15.4142 1H3V23H13.3276C12.1768 22.0565 11.498 20.6405 11.498 19.1336V11.5H21V6.58579L15.4142 1ZM14.5 7.5V3L19 7.5H14.5Z"
      }
    }, {
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M13.498 13.5H22.498V19.1336C22.498 20.1466 21.9868 21.0912 21.1388 21.6452L17.998 23.6969L14.8573 21.6452C14.0093 21.0912 13.498 20.1466 13.498 19.1336V13.5Z"
      }
    }]
  };
  var fileSafetyFilled = vue.defineComponent({
    name: "FileSafetyFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-file-safety-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$l6(_objectSpread$l6({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$l4, finalProps.value);
    }
  });

  function ownKeys$l5(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$l5(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$l5(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$l5(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$l3 = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M3 1H15.4142L21 6.58579V11.5H19V9H13V3H5V21H11.5V23H3V1ZM15 3.41421V7H18.5858L15 3.41421ZM13.498 13.5H22.498V19.1336C22.498 20.1466 21.9868 21.0912 21.1388 21.6452L17.998 23.6969L14.8573 21.6452C14.0093 21.0912 13.498 20.1466 13.498 19.1336V13.5ZM15.498 15.5V19.1336C15.498 19.4713 15.6685 19.7861 15.9511 19.9708L17.998 21.308L20.045 19.9708C20.3276 19.7861 20.498 19.4713 20.498 19.1336V15.5H15.498Z"
      }
    }]
  };
  var fileSafety = vue.defineComponent({
    name: "FileSafetyIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-file-safety", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$l5(_objectSpread$l5({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$l3, finalProps.value);
    }
  });

  function ownKeys$l4(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$l4(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$l4(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$l4(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$l2 = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M15.4142 1H3V23H14.7964C12.5643 22.0463 11 19.8308 11 17.25C11 13.7982 13.7982 11 17.25 11C18.657 11 19.9554 11.4649 21 12.2495V6.58579L15.4142 1ZM14.5 7.5V3L19 7.5H14.5Z"
      }
    }, {
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M17.25 14.5C15.7312 14.5 14.5 15.7312 14.5 17.25C14.5 18.7688 15.7312 20 17.25 20C18.7688 20 20 18.7688 20 17.25C20 15.7312 18.7688 14.5 17.25 14.5ZM12.5 17.25C12.5 14.6266 14.6266 12.5 17.25 12.5C19.8734 12.5 22 14.6266 22 17.25C22 18.2002 21.721 19.0852 21.2405 19.8276L22.9142 21.499L21.501 22.9142L19.826 21.2415C19.0839 21.7214 18.1995 22 17.25 22C14.6266 22 12.5 19.8734 12.5 17.25Z"
      }
    }]
  };
  var fileSearchFilled = vue.defineComponent({
    name: "FileSearchFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-file-search-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$l4(_objectSpread$l4({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$l2, finalProps.value);
    }
  });

  function ownKeys$l3(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$l3(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$l3(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$l3(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$l1 = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M3 1H15.4142L21 6.58579V11.5H19V9H13V3H5V21H12.5V23H3V1ZM15 3.41421V7H18.5858L15 3.41421ZM17.25 14.5C15.7312 14.5 14.5 15.7312 14.5 17.25C14.5 18.7688 15.7312 20 17.25 20C18.7688 20 20 18.7688 20 17.25C20 15.7312 18.7688 14.5 17.25 14.5ZM12.5 17.25C12.5 14.6266 14.6266 12.5 17.25 12.5C19.8734 12.5 22 14.6266 22 17.25C22 18.2002 21.721 19.0852 21.2405 19.8276L22.9142 21.499L21.501 22.9142L19.826 21.2415C19.0839 21.7214 18.1995 22 17.25 22C14.6266 22 12.5 19.8734 12.5 17.25Z"
      }
    }]
  };
  var fileSearch = vue.defineComponent({
    name: "FileSearchIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-file-search", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$l3(_objectSpread$l3({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$l1, finalProps.value);
    }
  });

  function ownKeys$l2(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$l2(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$l2(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$l2(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$l0 = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M15.4142 1H3V23H13.8464C12.4127 21.8077 11.5 20.0104 11.5 18C11.5 14.4101 14.4101 11.5 18 11.5C19.0821 11.5 20.1025 11.7644 21 12.2322V6.58579L15.4142 1ZM14.5 7.5V3L19 7.5H14.5Z"
      }
    }, {
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M18.9998 12.75V14.126C19.7147 14.31 20.3523 14.6867 20.8539 15.1975L22.0464 14.509L23.0464 16.241L21.8548 16.929C21.9493 17.2699 21.9998 17.629 21.9998 18C21.9998 18.371 21.9493 18.7301 21.8548 19.071L23.0464 19.759L22.0464 21.491L20.8539 20.8025C20.3523 21.3133 19.7147 21.69 18.9998 21.874V23.25H16.9998V21.874C16.2848 21.69 15.6472 21.3133 15.1457 20.8025L13.9531 21.491L12.9531 19.759L14.1447 19.071C14.0503 18.7301 13.9998 18.371 13.9998 18C13.9998 17.629 14.0503 17.2699 14.1447 16.929L12.9531 16.241L13.9531 14.509L15.1457 15.1975C15.6472 14.6867 16.2848 14.31 16.9998 14.126V12.75H18.9998ZM16.2485 17.0333C16.09 17.3198 15.9998 17.6494 15.9998 18C15.9998 18.3506 16.09 18.6802 16.2485 18.9667L16.2851 19.03C16.6349 19.6112 17.2719 20 17.9998 20C18.7276 20 19.3646 19.6112 19.7145 19.03L19.751 18.9668C19.9095 18.6802 19.9998 18.3507 19.9998 18C19.9998 17.6493 19.9095 17.3197 19.751 17.0332L19.7145 16.97C19.3646 16.3888 18.7276 16 17.9998 16C17.2719 16 16.6349 16.3888 16.285 16.97L16.2485 17.0333Z"
      }
    }]
  };
  var fileSettingFilled = vue.defineComponent({
    name: "FileSettingFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-file-setting-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$l2(_objectSpread$l2({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$l0, finalProps.value);
    }
  });

  function ownKeys$l1(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$l1(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$l1(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$l1(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$k$ = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M3 1H15.4142L21 6.58579V11H19V9H13V3H5V21H11V23H3V1ZM15 3.41421V7H18.5858L15 3.41421ZM18.9999 12.75V14.126C19.7149 14.31 20.3525 14.6867 20.854 15.1975L22.0466 14.509L23.0466 16.241L21.855 16.929C21.9494 17.2699 21.9999 17.629 21.9999 18C21.9999 18.371 21.9494 18.7301 21.855 19.071L23.0466 19.759L22.0466 21.491L20.854 20.8025C20.3525 21.3133 19.7149 21.69 18.9999 21.874V23.25H16.9999V21.874C16.285 21.69 15.6474 21.3133 15.1458 20.8025L13.9533 21.491L12.9533 19.759L14.1449 19.071C14.0504 18.7301 13.9999 18.371 13.9999 18C13.9999 17.629 14.0504 17.2699 14.1449 16.929L12.9533 16.241L13.9533 14.509L15.1458 15.1975C15.6474 14.6867 16.285 14.31 16.9999 14.126V12.75H18.9999ZM16.2487 17.0333C16.0902 17.3198 15.9999 17.6494 15.9999 18C15.9999 18.3506 16.0902 18.6802 16.2487 18.9667L16.2852 19.03C16.6351 19.6112 17.2721 20 17.9999 20C18.7278 20 19.3648 19.6112 19.7147 19.03L19.7512 18.9668C19.9097 18.6802 19.9999 18.3507 19.9999 18C19.9999 17.6493 19.9097 17.3197 19.7512 17.0332L19.7147 16.97C19.3648 16.3888 18.7278 16 17.9999 16C17.2721 16 16.6351 16.3888 16.2852 16.97L16.2487 17.0333Z"
      }
    }]
  };
  var fileSetting = vue.defineComponent({
    name: "FileSettingIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-file-setting", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$l1(_objectSpread$l1({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$k$, finalProps.value);
    }
  });

  function ownKeys$l0(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$l0(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$l0(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$l0(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$k_ = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M15.4142 1H3V23H21V6.58579L15.4142 1ZM14.5 7.5V3L19 7.5H14.5ZM15 10V12H13V18H11V12H9V10H15Z"
      }
    }]
  };
  var fileTeamsFilled = vue.defineComponent({
    name: "FileTeamsFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-file-teams-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$l0(_objectSpread$l0({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$k_, finalProps.value);
    }
  });

  function ownKeys$k$(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$k$(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$k$(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$k$(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$kZ = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M3 1H15.4142L21 6.58579V23H3V1ZM5 3V21H19V9H13V3H5ZM15 3.41421V7H18.5858L15 3.41421ZM9 10H15V12H13V18H11V12H9V10Z"
      }
    }]
  };
  var fileTeams = vue.defineComponent({
    name: "FileTeamsIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-file-teams", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$k$(_objectSpread$k$({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$kZ, finalProps.value);
    }
  });

  function ownKeys$k_(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$k_(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$k_(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$k_(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$kY = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M4.79575 16.2884L6.08705 15.0001L4.79575 13.7115L6.20847 12.2958L8.91859 15.0002L6.20835 17.7043L4.79575 16.2884Z"
      }
    }, {
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M0 3H7.41421L11 6.58579V3H18.4142L24 8.58579V21H0V3ZM11 19V11H5V5H2V19H11ZM7 5.41421V9H10.5858L7 5.41421ZM18 5.5V9H21.5L18 5.5ZM19.2041 16.2883L17.9128 14.9999L19.2041 13.7113L17.7914 12.2956L15.0813 15L17.7915 17.7041L19.2041 16.2883Z"
      }
    }]
  };
  var fileTransmitDoubleFilled = vue.defineComponent({
    name: "FileTransmitDoubleFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-file-transmit-double-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$k_(_objectSpread$k_({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$kY, finalProps.value);
    }
  });

  function ownKeys$kZ(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$kZ(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$kZ(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$kZ(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$kX = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M6.0872 14.9999L4.7959 16.2883 6.20851 17.7041 8.91874 15 6.20862 12.2956 4.7959 13.7113 6.0872 14.9999zM19.2041 16.2883L17.9128 14.9999 19.2041 13.7113 17.7914 12.2956 15.0813 15 17.7915 17.7041 19.2041 16.2883z"
      }
    }, {
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M7.41421 3L11 6.58579V3H18.4142L24 8.58579V21H0V3H7.41421ZM11 11H5V5H2V19H11V11ZM13 19H22V11H16V5H13V19ZM7 9H10.5858L7 5.41421V9ZM18 9H21.5858L18 5.41421V9Z"
      }
    }]
  };
  var fileTransmitDouble = vue.defineComponent({
    name: "FileTransmitDoubleIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-file-transmit-double", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$kZ(_objectSpread$kZ({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$kX, finalProps.value);
    }
  });

  function ownKeys$kY(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$kY(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$kY(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$kY(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$kW = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M15.4142 1H3V23H21V6.58579L15.4142 1ZM14.5 7.5V3L19 7.5H14.5ZM13.3623 10.5902L15.5001 13.0979V14.5047H8.50005V12.5047H12.3662L11.8403 11.8877L13.3623 10.5902ZM8.5 15.4953H15.4964V17.4953H11.6338L12.1598 18.1123L10.6377 19.4097L8.5 16.9021V15.4953Z"
      }
    }]
  };
  var fileTransmitFilled = vue.defineComponent({
    name: "FileTransmitFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-file-transmit-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$kY(_objectSpread$kY({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$kW, finalProps.value);
    }
  });

  function ownKeys$kX(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$kX(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$kX(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$kX(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$kV = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M3 1H15.4142L21 6.58579V23H3V1ZM5 3V21H19V9H13V3H5ZM15 3.41421V7H18.5858L15 3.41421Z"
      }
    }, {
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M13.3623 10.5902L15.5001 13.0979V14.5047H8.50005V12.5047H12.3662L11.8403 11.8877L13.3623 10.5902ZM8.5 15.4953H15.4964V17.4953H11.6338L12.1598 18.1123L10.6377 19.4097L8.5 16.9021V15.4953Z"
      }
    }]
  };
  var fileTransmit = vue.defineComponent({
    name: "FileTransmitIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-file-transmit", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$kX(_objectSpread$kX({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$kV, finalProps.value);
    }
  });

  function ownKeys$kW(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$kW(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$kW(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$kW(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$kU = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M15.4142 1H3V23H13.8464C12.4127 21.8077 11.5 20.0104 11.5 18C11.5 14.4101 14.4101 11.5 18 11.5C19.0821 11.5 20.1025 11.7644 21 12.2322V6.58579L15.4142 1ZM14.5 7.5V3L19 7.5H14.5Z"
      }
    }, {
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M18 15C17.0694 15 16.5 15.6561 16.5 16.2489V17.2489H14.5V16.2489C14.5 14.3576 16.1692 13 18 13C19.8308 13 21.5 14.3576 21.5 16.2489C21.5 17.1643 21.0934 17.9745 20.4734 18.5489L19 19.9388V20.6223H17V19.0759L19.1123 17.0834C19.3677 16.8476 19.5 16.5523 19.5 16.2489C19.5 15.6561 18.9306 15 18 15ZM16.9991 21.9961H19.003V24H16.9991V21.9961Z"
      }
    }]
  };
  var fileUnknownFilled = vue.defineComponent({
    name: "FileUnknownFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-file-unknown-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$kW(_objectSpread$kW({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$kU, finalProps.value);
    }
  });

  function ownKeys$kV(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$kV(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$kV(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$kV(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$kT = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M3 1H15.4142L21 6.58579V11.5H19V9H13V3H5V21H14.5V23H3V1ZM15 3.41421V7H18.5858L15 3.41421ZM18 15C17.0694 15 16.5 15.6561 16.5 16.2489V17.2489H14.5V16.2489C14.5 14.3576 16.1692 13 18 13C19.8308 13 21.5 14.3576 21.5 16.2489C21.5 17.1643 21.0934 17.9745 20.4734 18.5489L19 19.9388V20.6223H17V19.0759L19.1123 17.0834C19.3677 16.8476 19.5 16.5523 19.5 16.2489C19.5 15.6561 18.9306 15 18 15ZM16.9991 21.9961H19.003V24H16.9991V21.9961Z"
      }
    }]
  };
  var fileUnknown = vue.defineComponent({
    name: "FileUnknownIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-file-unknown", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$kV(_objectSpread$kV({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$kT, finalProps.value);
    }
  });

  function ownKeys$kU(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$kU(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$kU(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$kU(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$kS = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M15.4142 1H3V23H11.5V17C11.5 13.4101 14.4101 10.5 18 10.5C19.0821 10.5 20.1025 10.7644 21 11.2322V6.58579L15.4142 1ZM14.5 7.5V3L19 7.5H14.5Z"
      }
    }, {
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M18.001 14.5C17.3106 14.5 16.751 15.0596 16.751 15.75V16.5H22.5V23H13.5V16.5H14.751V15.75C14.751 13.9551 16.2061 12.5 18.001 12.5C18.8945 12.5 19.7055 12.8619 20.292 13.4448L21.0013 14.1498L19.5914 15.5683L18.8821 14.8634C18.6551 14.6377 18.3451 14.5 18.001 14.5Z"
      }
    }]
  };
  var fileUnlockedFilled = vue.defineComponent({
    name: "FileUnlockedFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-file-unlocked-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$kU(_objectSpread$kU({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$kS, finalProps.value);
    }
  });

  function ownKeys$kT(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$kT(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$kT(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$kT(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$kR = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M3 1H15.4142L21 6.58579V11H19V9H13V3H5V21H11.5V23H3V1ZM15 3.41421V7H18.5858L15 3.41421ZM18 14.5C17.3096 14.5 16.75 15.0596 16.75 15.75V16.5H22.499V23H13.499V16.5H14.75V15.75C14.75 13.9551 16.2051 12.5 18 12.5C18.8936 12.5 19.7045 12.8619 20.291 13.4448L21.0003 14.1498L19.5904 15.5683L18.8811 14.8634C18.6541 14.6377 18.3441 14.5 18 14.5ZM15.499 18.5V21H20.499V18.5H15.499Z"
      }
    }]
  };
  var fileUnlocked = vue.defineComponent({
    name: "FileUnlockedIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-file-unlocked", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$kT(_objectSpread$kT({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$kR, finalProps.value);
    }
  });

  function ownKeys$kS(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$kS(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$kS(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$kS(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$kQ = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M15.4142 1H3V23H21V6.58579L15.4142 1ZM14.5 7.5V3L19 7.5H14.5ZM10 16H11L11 11H13L13 16H14V11H16V16C16 17.1046 15.1046 18 14 18H10C8.89543 18 8 17.1046 8 16V11H10V16Z"
      }
    }]
  };
  var fileWordFilled = vue.defineComponent({
    name: "FileWordFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-file-word-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$kS(_objectSpread$kS({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$kQ, finalProps.value);
    }
  });

  function ownKeys$kR(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$kR(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$kR(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$kR(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$kP = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M3 1H15.4142L21 6.58579V23H3V1ZM5 3V21H19V9H13V3H5ZM15 3.41421V7H18.5858L15 3.41421ZM10 11V16H11L11 11H13L13 16H14V11H16V16C16 17.1046 15.1046 18 14 18H10C8.89543 18 8 17.1046 8 16V11H10Z"
      }
    }]
  };
  var fileWord = vue.defineComponent({
    name: "FileWordIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-file-word", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$kR(_objectSpread$kR({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$kP, finalProps.value);
    }
  });

  function ownKeys$kQ(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$kQ(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$kQ(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$kQ(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$kO = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M15.4142 1H3V23H21V6.58579L15.4142 1ZM14.5 7.5V3L19 7.5H14.5ZM10.0039 3V5.00393H8.00391V7.00002H10.0039V9.00393H8.00391V11H10.0039V13.0039H8.00391V15.0039H6V13H8V11.0039H6V9.00002H8V7.00393H6V5.00002H8V3.00002L10.0039 3Z"
      }
    }]
  };
  var fileZipFilled = vue.defineComponent({
    name: "FileZipFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-file-zip-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$kQ(_objectSpread$kQ({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$kO, finalProps.value);
    }
  });

  function ownKeys$kP(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$kP(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$kP(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$kP(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$kN = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M3 1H15.4142L21 6.58579V23H3V1ZM5 3V21H19V9H13V3H11.0039V5.00391H9.00391V7H11.0039V9.00391H9.00391V11H11.0039V13.0039H9.00391V15.0039H7V13H9V11.0039H7V9H9V7.00391H7V5H9V3H5ZM15 3.41421V7H18.5858L15 3.41421Z"
      }
    }]
  };
  var fileZip = vue.defineComponent({
    name: "FileZipIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-file-zip", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$kP(_objectSpread$kP({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$kN, finalProps.value);
    }
  });

  function ownKeys$kO(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$kO(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$kO(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$kO(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$kM = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M3 1H15.4142L21 6.58579V23H3V1ZM5 3V21H19V9H13V3H5ZM15 3.41421V7H18.5858L15 3.41421Z"
      }
    }]
  };
  var file = vue.defineComponent({
    name: "FileIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-file", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$kO(_objectSpread$kO({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$kM, finalProps.value);
    }
  });

  function ownKeys$kN(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$kN(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$kN(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$kN(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$kL = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M12 0.0524902L23.9478 12.0003L22 13.9482V13.9999H21.9482L14.8284 21.1197C13.2663 22.6818 10.7336 22.6818 9.17154 21.1197L2.88056 14.8288C1.31846 13.2667 1.31846 10.734 2.88056 9.1719L7.31915 4.73331L4.58575 1.99991L5.99996 0.585693L8.73336 3.31909L12 0.0524902ZM8.73336 6.14752L4.29477 10.5861C3.90435 10.9765 3.70909 11.4882 3.70898 11.9999H21.119L12 2.88092L10.1476 4.73331L13.4142 7.99991L12 9.41412L8.73336 6.14752ZM21.75 18.3889L23.0643 20.049C23.6452 20.7827 23.6452 21.8965 23.0643 22.6302C22.7497 23.0276 22.2804 23.2869 21.75 23.2869C21.2195 23.2869 20.7503 23.0276 20.4356 22.6302C19.8548 21.8965 19.8548 20.7827 20.4356 20.049L21.75 18.3889Z"
      }
    }]
  };
  var fillColor1Filled = vue.defineComponent({
    name: "FillColor1FilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-fill-color-1-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$kN(_objectSpread$kN({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$kL, finalProps.value);
    }
  });

  function ownKeys$kM(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$kM(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$kM(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$kM(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$kK = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M12 0.0524902L23.9478 12.0003L22 13.9482V13.9999H21.9482L14.8284 21.1197C13.2663 22.6818 10.7336 22.6818 9.17154 21.1197L2.88056 14.8288C1.31846 13.2667 1.31846 10.734 2.88056 9.1719L7.31915 4.73331L4.58575 1.99991L5.99996 0.585693L8.73336 3.31909L12 0.0524902ZM8.73336 6.14752L4.29477 10.5861C3.90435 10.9765 3.70909 11.4882 3.70898 11.9999H21.119L12 2.88092L10.1476 4.73331L13.4142 7.99991L12 9.41412L8.73336 6.14752ZM4.88014 13.9999L10.5858 19.7055C11.3668 20.4866 12.6331 20.4866 13.4142 19.7055L19.1198 13.9999H4.88014ZM21.75 18.3889L23.0643 20.049C23.6452 20.7827 23.6452 21.8965 23.0643 22.6302C22.7497 23.0276 22.2804 23.2869 21.75 23.2869C21.2195 23.2869 20.7503 23.0276 20.4356 22.6302C19.8548 21.8965 19.8548 20.7827 20.4356 20.049L21.75 18.3889Z"
      }
    }]
  };
  var fillColor1 = vue.defineComponent({
    name: "FillColor1Icon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-fill-color-1", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$kM(_objectSpread$kM({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$kK, finalProps.value);
    }
  });

  function ownKeys$kL(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$kL(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$kL(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$kL(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$kJ = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M9.52521 0.625977L21.8996 13.0003L12.0001 22.8998L2.10059 13.0003L10.5859 4.51506L8.11099 2.04019L9.52521 0.625977ZM5.92921 12.0002H18.071L12.0001 5.92928L5.92921 12.0002ZM20.7498 17.3891L22.0642 19.0493C22.645 19.7829 22.645 20.8968 22.0642 21.6304C21.7495 22.0279 21.2803 22.2872 20.7498 22.2872C20.2193 22.2872 19.7501 22.0279 19.4355 21.6304C18.8546 20.8968 18.8546 19.7829 19.4355 19.0493L20.7498 17.3891Z"
      }
    }]
  };
  var fillColorFilled = vue.defineComponent({
    name: "FillColorFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-fill-color-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$kL(_objectSpread$kL({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$kJ, finalProps.value);
    }
  });

  function ownKeys$kK(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$kK(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$kK(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$kK(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$kI = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M9.52521 0.625977L10.2323 1.33308L12.7072 3.80796L21.1925 12.2932L21.8996 13.0003L21.1925 13.7075L12.7072 22.1927L12.0001 22.8998L11.293 22.1927L2.80769 13.7075L2.10059 13.0003L2.80769 12.2932L10.5859 4.51506L8.8181 2.7473L8.11099 2.04019L9.52521 0.625977ZM5.92921 12.0002H5.99982H18.071L12.0001 5.92928L5.92921 12.0002ZM18.0713 14.0002H5.99982H5.92882L12.0001 20.0714L18.0713 14.0002ZM20.7498 17.3891L21.5338 18.3794L22.0642 19.0493C22.645 19.7829 22.645 20.8968 22.0642 21.6304C21.7495 22.0279 21.2803 22.2872 20.7498 22.2872C20.2193 22.2872 19.7501 22.0279 19.4355 21.6304C18.8546 20.8968 18.8546 19.7829 19.4355 19.0493L19.9658 18.3794L20.7498 17.3891Z"
      }
    }]
  };
  var fillColor = vue.defineComponent({
    name: "FillColorIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-fill-color", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$kK(_objectSpread$kK({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$kI, finalProps.value);
    }
  });

  function ownKeys$kJ(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$kJ(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$kJ(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$kJ(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$kH = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M2 2H22V22H2V2ZM4 4V6H6V4H4ZM18 4V6H20V4H18ZM20 8H18V11H20V8ZM20 13H18V16H20V13ZM20 18H18V20H20V18ZM16 13V11H8V13H16ZM6 20V18H4V20H6ZM4 16H6V13H4V16ZM4 11H6V8H4V11Z"
      }
    }]
  };
  var film1Filled = vue.defineComponent({
    name: "Film1FilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-film-1-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$kJ(_objectSpread$kJ({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$kH, finalProps.value);
    }
  });

  function ownKeys$kI(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$kI(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$kI(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$kI(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$kG = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M2 2L22 2L22 22L2 22L2 2ZM4 4V6H6L6 4L4 4ZM8 4L8 11H16V4L8 4ZM18 4V6L20 6V4H18ZM20 8H18V11L20 11V8ZM20 13L18 13L18 16L20 16L20 13ZM20 18L18 18V20H20V18ZM16 20L16 13H8L8 20L16 20ZM6 20V18H4L4 20H6ZM4 16H6L6 13H4V16ZM4 11H6L6 8L4 8L4 11Z"
      }
    }]
  };
  var film1 = vue.defineComponent({
    name: "Film1Icon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-film-1", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$kI(_objectSpread$kI({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$kG, finalProps.value);
    }
  });

  function ownKeys$kH(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$kH(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$kH(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$kH(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$kF = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 25 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M20.0819 19.7C19.6133 20.178 19.1014 20.6134 18.5523 21H24.2263V23H12.2263C6.15119 23 1.22632 18.0751 1.22632 12C1.22632 5.92487 6.15118 1 12.2263 1C18.3014 1 23.2263 5.92487 23.2263 12C23.2263 14.9977 22.0259 17.7169 20.0819 19.7ZM12.2263 5C11.1217 5 10.2263 5.89543 10.2263 7C10.2263 8.10457 11.1217 9 12.2263 9C13.3309 9 14.2263 8.10457 14.2263 7C14.2263 5.89543 13.3309 5 12.2263 5ZM17.2263 10C16.1217 10 15.2263 10.8954 15.2263 12C15.2263 13.1046 16.1217 14 17.2263 14C18.3309 14 19.2263 13.1046 19.2263 12C19.2263 10.8954 18.3309 10 17.2263 10ZM5.22632 12C5.22632 13.1046 6.12175 14 7.22632 14C8.33089 14 9.22632 13.1046 9.22632 12C9.22632 10.8954 8.33089 10 7.22632 10C6.12175 10 5.22632 10.8954 5.22632 12ZM12.2263 15C11.1217 15 10.2263 15.8954 10.2263 17C10.2263 18.1046 11.1217 19 12.2263 19C13.3309 19 14.2263 18.1046 14.2263 17C14.2263 15.8954 13.3309 15 12.2263 15Z"
      }
    }]
  };
  var filmFilled = vue.defineComponent({
    name: "FilmFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-film-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$kH(_objectSpread$kH({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$kF, finalProps.value);
    }
  });

  function ownKeys$kG(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$kG(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$kG(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$kG(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$kE = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M12 3C16.9706 3 21 7.02944 21 12C21 14.4533 20.0198 16.6756 18.4273 18.3C17.6236 19.1198 16.665 19.7861 15.5996 20.2516C14.4986 20.7326 13.2818 21 12 21C7.02944 21 3 16.9706 3 12C3 7.02944 7.02944 3 12 3ZM18.326 21C18.8751 20.6134 19.387 20.178 19.8555 19.7C21.7996 17.7169 23 14.9977 23 12C23 5.92487 18.0751 1 12 1C5.92487 1 1 5.92487 1 12C1 18.0751 5.92487 23 12 23H24V21H18.326ZM12 6C11.4477 6 11 6.44772 11 7C11 7.55229 11.4477 8 12 8C12.5523 8 13 7.55229 13 7C13 6.44772 12.5523 6 12 6ZM9 7C9 5.34315 10.3431 4 12 4C13.6569 4 15 5.34315 15 7C15 8.65686 13.6569 10 12 10C10.3431 10 9 8.65686 9 7ZM7 11C6.44772 11 6 11.4477 6 12C6 12.5523 6.44772 13 7 13C7.55228 13 8 12.5523 8 12C8 11.4477 7.55228 11 7 11ZM4 12C4 10.3432 5.34315 9 7 9C8.65685 9 10 10.3432 10 12C10 13.6569 8.65685 15 7 15C5.34315 15 4 13.6569 4 12ZM17 11C16.4477 11 16 11.4477 16 12C16 12.5523 16.4477 13 17 13C17.5523 13 18 12.5523 18 12C18 11.4477 17.5523 11 17 11ZM14 12C14 10.3432 15.3431 9 17 9C18.6569 9 20 10.3432 20 12C20 13.6569 18.6569 15 17 15C15.3431 15 14 13.6569 14 12ZM12 16C11.4477 16 11 16.4477 11 17C11 17.5523 11.4477 18 12 18C12.5523 18 13 17.5523 13 17C13 16.4477 12.5523 16 12 16ZM9 17C9 15.3432 10.3431 14 12 14C13.6569 14 15 15.3431 15 17C15 18.6569 13.6569 20 12 20C10.3431 20 9 18.6569 9 17Z"
      }
    }]
  };
  var film = vue.defineComponent({
    name: "FilmIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-film", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$kG(_objectSpread$kG({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$kE, finalProps.value);
    }
  });

  function ownKeys$kF(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$kF(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$kF(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$kF(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$kD = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M4.55083 5.5C4.58882 5.53787 4.648 5.5889 4.73888 5.6521C5.04513 5.86506 5.55354 6.09716 6.27176 6.3084C7.6951 6.72703 9.72062 7 12 7C14.2794 7 16.3049 6.72703 17.7282 6.3084C18.4465 6.09716 18.9549 5.86506 19.2611 5.6521C19.352 5.5889 19.4112 5.53787 19.4492 5.5C19.4112 5.46213 19.352 5.4111 19.2611 5.3479C18.9549 5.13494 18.4465 4.90284 17.7282 4.6916C16.3049 4.27297 14.2794 4 12 4C9.72062 4 7.6951 4.27297 6.27176 4.6916C5.55354 4.90284 5.04513 5.13494 4.73888 5.3479C4.648 5.4111 4.58882 5.46213 4.55083 5.5ZM21.5 5.5V6.35504L15 14.355V17C15 19.7614 12.7614 22 10 22H9V14.355L2.5 6.35504V5.5C2.5 4.66086 3.0725 4.07064 3.59706 3.70587C4.15106 3.32064 4.88745 3.01404 5.70743 2.77287C7.36048 2.28668 9.58496 2 12 2C14.415 2 16.6395 2.28668 18.2926 2.77287C19.1125 3.01404 19.8489 3.32064 20.4029 3.70587C20.9275 4.07064 21.5 4.66086 21.5 5.5Z"
      }
    }]
  };
  var filter1Filled = vue.defineComponent({
    name: "Filter1FilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-filter-1-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$kF(_objectSpread$kF({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$kD, finalProps.value);
    }
  });

  function ownKeys$kE(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$kE(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$kE(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$kE(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$kC = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M4.55083 5.5C4.58882 5.53787 4.648 5.5889 4.73888 5.6521C5.04513 5.86506 5.55354 6.09716 6.27176 6.3084C7.6951 6.72703 9.72062 7 12 7C14.2794 7 16.3049 6.72703 17.7282 6.3084C18.4465 6.09716 18.9549 5.86506 19.2611 5.6521C19.352 5.5889 19.4112 5.53787 19.4492 5.5C19.4112 5.46213 19.352 5.4111 19.2611 5.3479C18.9549 5.13494 18.4465 4.90284 17.7282 4.6916C16.3049 4.27297 14.2794 4 12 4C9.72062 4 7.6951 4.27297 6.27176 4.6916C5.55354 4.90284 5.04513 5.13494 4.73888 5.3479C4.648 5.4111 4.58882 5.46213 4.55083 5.5ZM17.1744 8.50722C15.6931 8.82146 13.9059 9 12 9C10.0941 9 8.30692 8.82146 6.82559 8.50722L11 13.645V19.8293C12.1652 19.4175 13 18.3062 13 17V13.645L17.1744 8.50722ZM21.5 5.5V6.35504L15 14.355V17C15 19.7614 12.7614 22 10 22H9V14.355L2.5 6.35504V5.5C2.5 4.66086 3.0725 4.07064 3.59706 3.70587C4.15106 3.32064 4.88745 3.01404 5.70743 2.77287C7.36048 2.28668 9.58496 2 12 2C14.415 2 16.6395 2.28668 18.2926 2.77287C19.1125 3.01404 19.8489 3.32064 20.4029 3.70587C20.9275 4.07064 21.5 4.66086 21.5 5.5Z"
      }
    }]
  };
  var filter1 = vue.defineComponent({
    name: "Filter1Icon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-filter-1", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$kE(_objectSpread$kE({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$kC, finalProps.value);
    }
  });

  function ownKeys$kD(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$kD(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$kD(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$kD(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$kB = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 25 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M19.3175 3.05085L20.8863 2.26995 21.6672.701172 22.4481 2.26996 24.0169 3.05085 22.4481 3.83175 21.6672 5.40053 20.8863 3.83175 19.3175 3.05085zM9.05475 3.71882L7.95764 1.51477 6.86054 3.71882 4.6565 4.81592 6.86054 5.91302 7.95764 8.11706 9.05475 5.91302 11.2588 4.81592 9.05475 3.71882zM17.5544 13.3825L12.4057 8.23379 2.14819 18.4913 7.29695 23.64 17.5544 13.3825zM22.3861 8.55085L17.2373 3.4021 13.8201 6.81934 18.9688 11.9681 22.3861 8.55085z"
      }
    }]
  };
  var filter2Filled = vue.defineComponent({
    name: "Filter2FilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-filter-2-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$kD(_objectSpread$kD({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$kB, finalProps.value);
    }
  });

  function ownKeys$kC(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$kC(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$kC(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$kC(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$kA = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 25 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M20.8875 2.26995L19.3187 3.05085L20.8875 3.83175L21.6684 5.40053L22.4493 3.83175L24.0181 3.05085L22.4493 2.26996L21.6684 0.701172L20.8875 2.26995ZM7.95887 1.51477L9.05597 3.71882L11.26 4.81592L9.05597 5.91302L7.95887 8.11706L6.86176 5.91302L4.65772 4.81592L6.86176 3.71882L7.95887 1.51477ZM17.2386 3.40212L22.3873 8.55087L7.29817 23.64L2.14941 18.4913L17.2386 3.40212ZM15.2341 8.23507L17.5544 10.5554L19.5589 8.55087L17.2386 6.23055L15.2341 8.23507ZM16.1402 11.9696L13.8198 9.64928L4.97784 18.4913L7.29817 20.8116L16.1402 11.9696Z"
      }
    }]
  };
  var filter2 = vue.defineComponent({
    name: "Filter2Icon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-filter-2", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$kC(_objectSpread$kC({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$kA, finalProps.value);
    }
  });

  function ownKeys$kB(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$kB(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$kB(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$kB(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$kz = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 25 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M12.0194 0.00219727L15.5094 7.99035L23.4976 11.4804L15.5094 14.9704L12.0194 22.9585L8.52942 14.9704L0.54126 11.4804L8.52942 7.99035L12.0194 0.00219727ZM21.3247 3.32469L19.7559 4.10559L21.3247 4.8865L22.1056 6.45532L22.8865 4.8865L24.4553 4.10559L22.8865 3.32469L22.1056 1.75586L21.3247 3.32469ZM19.3353 14.7559L20.6346 17.3661L23.2449 18.6654L20.6346 19.9647L19.3353 22.575L18.0361 19.9647L15.4258 18.6654L18.0361 17.3661L19.3353 14.7559Z"
      }
    }]
  };
  var filter3Filled = vue.defineComponent({
    name: "Filter3FilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-filter-3-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$kB(_objectSpread$kB({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$kz, finalProps.value);
    }
  });

  function ownKeys$kA(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$kA(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$kA(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$kA(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$ky = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 25 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M12.0192 0.00219727L15.5092 7.99035L23.4973 11.4804L15.5092 14.9704L12.0192 22.9585L8.52917 14.9704L0.541016 11.4804L8.52917 7.99035L12.0192 0.00219727ZM21.3244 3.32469L19.7556 4.10559L21.3244 4.8865L22.1054 6.45532L22.8863 4.8865L24.4551 4.10559L22.8863 3.32469L22.1054 1.75586L21.3244 3.32469ZM12.0192 4.99776L10.0481 9.50928L5.53658 11.4804L10.0481 13.4514L12.0192 17.9629L13.9902 13.4514L18.5018 11.4804L13.9902 9.50928L12.0192 4.99776ZM19.3351 14.7559L20.6344 17.3661L23.2446 18.6654L20.6344 19.9647L19.3351 22.575L18.0358 19.9647L15.4256 18.6654L18.0358 17.3661L19.3351 14.7559Z"
      }
    }]
  };
  var filter3 = vue.defineComponent({
    name: "Filter3Icon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-filter-3", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$kA(_objectSpread$kA({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$ky, finalProps.value);
    }
  });

  function ownKeys$kz(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$kz(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$kz(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$kz(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$kx = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M22.1218 13.4647L23.536 14.8789 21.4147 17.0002 23.536 19.1215 22.1218 20.5358 20.0005 18.4144 17.8791 20.5358 16.4649 19.1215 18.5862 17.0002 16.4649 14.8789 17.8791 13.4647 20.0005 15.586 22.1218 13.4647zM3 3H21L14 12.8174V21H10V12.8174L3 3z"
      }
    }]
  };
  var filterClearFilled = vue.defineComponent({
    name: "FilterClearFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-filter-clear-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$kz(_objectSpread$kz({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$kx, finalProps.value);
    }
  });

  function ownKeys$ky(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$ky(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$ky(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$ky(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$kw = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M2.57031 3H21.4302L14.5002 12.8174V21H9.50023V12.8174L2.57031 3ZM6.43015 5L11.5002 12.1826V19H12.5002V12.1826L17.5703 5H6.43015ZM17.8791 13.4647L20.0005 15.586L22.1218 13.4647L23.536 14.8789L21.4147 17.0002L23.536 19.1215L22.1218 20.5358L20.0005 18.4144L17.8791 20.5358L16.4649 19.1215L18.5862 17.0002L16.4649 14.8789L17.8791 13.4647Z"
      }
    }]
  };
  var filterClear = vue.defineComponent({
    name: "FilterClearIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-filter-clear", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$ky(_objectSpread$ky({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$kw, finalProps.value);
    }
  });

  function ownKeys$kx(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$kx(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$kx(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$kx(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$kv = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M3 3H21L14 12.8174V21H10V12.8174L3 3Z"
      }
    }]
  };
  var filterFilled = vue.defineComponent({
    name: "FilterFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-filter-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$kx(_objectSpread$kx({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$kv, finalProps.value);
    }
  });

  function ownKeys$kw(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$kw(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$kw(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$kw(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$ku = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M3.0043 1.59007L3.00017 1.58594 1.58594 3.00013 6.51395 7.92826 10 12.8174V21H14V15.4145L20.9997 22.4144 22.4097 21.0045 3 1.59437 3.0043 1.59007zM15.27 11.0362L21 3H7.23399L15.27 11.0362z"
      }
    }]
  };
  var filterOffFilled = vue.defineComponent({
    name: "FilterOffFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-filter-off-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$kw(_objectSpread$kw({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$ku, finalProps.value);
    }
  });

  function ownKeys$kv(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$kv(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$kv(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$kv(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$kt = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M3.00015 1.58594L21.4144 20.0002L20.0002 21.4144L14.5002 15.9144V21.0002H9.50015V12.8175L4.93253 6.34675L1.58594 3.00015L3.00015 1.58594ZM11.5002 12.9144V19.0002H12.5002V13.9144L11.5002 12.9144ZM6.54483 3.00015H21.4301L15.3956 11.549L13.7617 10.3956L17.5702 5.00015H9.51012L8.61122 5.01807L6.54483 3.00015Z"
      }
    }]
  };
  var filterOff = vue.defineComponent({
    name: "FilterOffIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-filter-off", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$kv(_objectSpread$kv({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$kt, finalProps.value);
    }
  });

  function ownKeys$ku(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$ku(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$ku(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$ku(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$ks = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M18.3818 17.3513L20 18.9738 21.618 17.3513 23.0342 18.7634 20.0002 21.8062 16.9657 18.7636 18.3818 17.3513zM18.3808 16.6366L20 15.0152 21.6189 16.6366 23.0342 15.2234 20.0002 12.1848 16.9657 15.2233 18.3808 16.6366zM3 3H21L14 12.8174V21H10V12.8174L3 3z"
      }
    }]
  };
  var filterSortFilled = vue.defineComponent({
    name: "FilterSortFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-filter-sort-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$ku(_objectSpread$ku({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$ks, finalProps.value);
    }
  });

  function ownKeys$kt(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$kt(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$kt(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$kt(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$kr = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M2.57007 3H21.4299L14.5 12.8174V21H9.49999V12.8174L2.57007 3zM6.42991 5L11.5 12.1826V19H12.5V12.1826L17.5701 5H6.42991zM18.3817 17.3513L20 18.9738 21.618 17.3513 23.0342 18.7634 20.0002 21.8062 16.9657 18.7636 18.3817 17.3513zM18.3808 16.6366L20 15.0152 21.6189 16.6366 23.0342 15.2234 20.0002 12.1848 16.9657 15.2233 18.3808 16.6366z"
      }
    }]
  };
  var filterSort = vue.defineComponent({
    name: "FilterSortIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-filter-sort", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$kt(_objectSpread$kt({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$kr, finalProps.value);
    }
  });

  function ownKeys$ks(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$ks(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$ks(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$ks(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$kq = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M2.57031 3H21.4302L14.5002 12.8174V21H9.50023V12.8174L2.57031 3ZM6.43015 5L11.5002 12.1826V19H12.5002V12.1826L17.5703 5H6.43015Z"
      }
    }]
  };
  var filter = vue.defineComponent({
    name: "FilterIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-filter", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$ks(_objectSpread$ks({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$kq, finalProps.value);
    }
  });

  function ownKeys$kr(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$kr(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$kr(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$kr(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$kp = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M2 12C2 6.47715 6.47715 2 12 2C17.5228 2 22 6.47715 22 12V21H20V12C20 7.58172 16.4183 4 12 4C7.58172 4 4 7.58172 4 12V21H2V12ZM6.5 12C6.5 8.96243 8.96243 6.5 12 6.5C15.0376 6.5 17.5 8.96243 17.5 12V21H15.5V12C15.5 10.067 13.933 8.5 12 8.5C10.067 8.5 8.5 10.067 8.5 12V21H6.5V12ZM13 11V21H11V11H13Z"
      }
    }]
  };
  var fingerprint1 = vue.defineComponent({
    name: "Fingerprint1Icon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-fingerprint-1", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$kr(_objectSpread$kr({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$kp, finalProps.value);
    }
  });

  function ownKeys$kq(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$kq(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$kq(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$kq(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$ko = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M22 11C22 5.47715 17.5228 1 12 1C6.47715 1 2 5.47715 2 11V14C2 16.6404 2.56914 19.1505 3.59239 21.4122L4.00459 22.3233L5.82677 21.4989L5.41457 20.5878C4.5062 18.58 4 16.3505 4 14V11C4 6.58172 7.58172 3 12 3C16.4183 3 20 6.58172 20 11V14H22V11ZM17.5 11C17.5 7.96243 15.0376 5.5 12 5.5C8.96243 5.5 6.5 7.96243 6.5 11V14C6.5 16.7998 7.35337 19.4032 8.81431 21.5607L9.37501 22.3887L11.0311 21.2673L10.4704 20.4393C9.22649 18.6024 8.5 16.3876 8.5 14V11C8.5 9.067 10.067 7.5 12 7.5C13.933 7.5 15.5 9.067 15.5 11V14C15.5 16.4853 17.5147 18.5 20 18.5H22V16.5H20C18.6193 16.5 17.5 15.3807 17.5 14V11ZM11 10V14C11 17.3899 12.8746 20.3405 15.6388 21.8744L16.5132 22.3596L17.4836 20.6108L16.6092 20.1256C14.4547 18.93 13 16.6342 13 14V10H11Z"
      }
    }]
  };
  var fingerprint2 = vue.defineComponent({
    name: "Fingerprint2Icon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-fingerprint-2", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$kq(_objectSpread$kq({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$ko, finalProps.value);
    }
  });

  function ownKeys$kp(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$kp(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$kp(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$kp(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$kn = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M2 11C2 5.47715 6.47715 1 12 1C13.4836 1 14.8943 1.32372 16.163 1.90532L17.072 2.32203L16.2386 4.14011L15.3296 3.72339C14.317 3.25924 13.1902 3 12 3C7.58172 3 4 6.58172 4 11V14H2V11ZM18.9565 3.74724L19.606 4.50755C21.0981 6.25405 22 8.52297 22 11V14C22 16.6404 21.4309 19.1505 20.4076 21.4122L19.9954 22.3233L18.1732 21.4989L18.5854 20.5878C19.4938 18.58 20 16.3505 20 14V11C20 9.01697 19.2798 7.2047 18.0854 5.80666L17.4358 5.04635L18.9565 3.74724ZM11 5.5H12C15.0376 5.5 17.5 7.96243 17.5 11V12H15.5V11C15.5 9.067 13.933 7.5 12 7.5H11V5.5ZM9.82921 8.07892L9.22062 8.8724C8.76833 9.46211 8.5 10.1983 8.5 11V13H6.5V11C6.5 9.74299 6.9229 8.58192 7.63365 7.65523L8.24223 6.86174L9.82921 8.07892ZM13 10V14C13 17.3899 11.1254 20.3405 8.36118 21.8744L7.48678 22.3596L6.51637 20.6108L7.39077 20.1256C9.54534 18.93 11 16.6342 11 14V10H13ZM17.5364 14.082L17.4575 15.0789C17.2683 17.4683 16.4568 19.6835 15.1857 21.5607L14.625 22.3887L12.9689 21.2673L13.5296 20.4393C14.6123 18.8405 15.3027 16.9557 15.4637 14.9211L15.5426 13.9242L17.5364 14.082ZM8.37263 15.4634L7.85652 16.3199C7.07066 17.6241 5.63811 18.5 4 18.5H2V16.5H4C4.90822 16.5 5.70444 16.0163 6.14347 15.2877L6.65958 14.4312L8.37263 15.4634Z"
      }
    }]
  };
  var fingerprint3 = vue.defineComponent({
    name: "Fingerprint3Icon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-fingerprint-3", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$kp(_objectSpread$kp({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$kn, finalProps.value);
    }
  });

  function ownKeys$ko(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$ko(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$ko(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$ko(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$km = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M2 11C2 5.47715 6.47715 1 12 1C17.5228 1 22 5.47715 22 11V14C22 16.6404 21.4309 19.1505 20.4076 21.4122L19.9954 22.3233L18.1732 21.4989L18.5854 20.5878C19.4938 18.58 20 16.3505 20 14V11C20 6.58172 16.4183 3 12 3C7.58172 3 4 6.58172 4 11V14H2V11ZM6.5 11C6.5 7.96243 8.96243 5.5 12 5.5C15.0376 5.5 17.5 7.96243 17.5 11V14C17.5 16.7998 16.6466 19.4032 15.1857 21.5607L14.625 22.3887L12.9689 21.2673L13.5296 20.4393C14.7735 18.6024 15.5 16.3876 15.5 14V11C15.5 9.067 13.933 7.5 12 7.5C10.067 7.5 8.5 9.067 8.5 11V14C8.5 16.4853 6.48528 18.5 4 18.5H2V16.5H4C5.38071 16.5 6.5 15.3807 6.5 14V11ZM13 10V14C13 17.3899 11.1254 20.3405 8.36118 21.8744L7.48678 22.3596L6.51637 20.6108L7.39077 20.1256C9.54534 18.93 11 16.6342 11 14V10H13Z"
      }
    }]
  };
  var fingerprint = vue.defineComponent({
    name: "FingerprintIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-fingerprint", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$ko(_objectSpread$ko({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$km, finalProps.value);
    }
  });

  function ownKeys$kn(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$kn(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$kn(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$kn(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$kl = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M13.0003 3.57339C13.0265 7.04273 14.9123 10.0695 17.7103 11.7062C14.0995 10.7591 11.3743 7.62526 11.0355 3.80541C11.0211 3.80517 11.0067 3.80495 10.9923 3.80477C10.3318 3.79621 9.60889 3.84736 8.90924 3.9476C8.21144 4.04759 7.51241 4.19989 6.90495 4.40331C6.32977 4.5959 5.71185 4.87424 5.2932 5.29289L4.71351 5.87258L6.80029 9.00275C5.98691 10.2591 5.20065 11.7141 5.03302 14.0575C4.84375 14.0766 4.63389 14.1023 4.41075 14.1366C3.55384 14.2685 2.37934 14.5455 1.4456 15.1679L0.430664 15.8446L8.15573 23.5696L8.83235 22.5547C9.39533 21.7102 9.70212 20.9649 9.85588 20.1961C9.93856 19.7827 9.97393 19.3732 9.98905 18.9649C11.6933 18.8476 13.8257 18.42 15.6011 17.4421L16.7209 19.6918L17.7038 18.7088C18.8923 17.5203 19.5832 16.1272 19.9767 15.0562C20.1749 14.5168 20.3017 14.048 20.3796 13.7102C20.4064 13.5941 20.4275 13.4931 20.4438 13.4095C21.7293 11.65 22.1957 9.59882 22.3087 7.85937C22.4261 6.05294 22.169 4.48803 21.9654 3.73802L21.8011 3.13295L21.1849 3.01719C18.073 2.43258 15.2739 2.50377 13.0003 3.57339ZM19.4174 6.49726L18.0002 7.91415L16.5834 6.49726L18.0002 5.08026L19.4174 6.49726Z"
      }
    }]
  };
  var fishFilled = vue.defineComponent({
    name: "FishFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-fish-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$kn(_objectSpread$kn({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$kl, finalProps.value);
    }
  });

  function ownKeys$km(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$km(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$km(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$km(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$kk = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M13.4968 4.56424C15.146 3.65794 17.3556 3.42743 20.1659 3.87039C20.2849 4.55513 20.3875 5.58145 20.3129 6.7297C20.2108 8.30174 19.7831 10.0075 18.711 11.3861L18.5462 11.5979L18.51 11.8611L18.5098 11.8627L18.5096 11.8638L18.5076 11.8771C18.5052 11.892 18.5011 11.917 18.4949 11.9514C18.4825 12.02 18.462 12.1255 18.4308 12.2607C18.3683 12.5317 18.264 12.9185 18.0994 13.3664C17.8958 13.9205 17.6061 14.5514 17.201 15.1681L16.3606 13.4798L15.4003 14.2C13.6497 15.5129 10.9041 16 9.0003 16H8.0003L8.0003 17C8.0003 17.7703 7.99685 18.2933 7.89472 18.8039C7.8604 18.9755 7.81373 19.1501 7.74806 19.3335L3.73687 15.3223C4.05726 15.2316 4.39116 15.1632 4.71486 15.1134C5.08423 15.0565 5.41219 15.028 5.64674 15.0138C5.76355 15.0067 5.85597 15.0033 5.91734 15.0016C5.94799 15.0007 5.9708 15.0003 5.98493 15.0002L6.0003 15L6.00164 15L7.0003 15V14C7.0003 11.3028 7.86415 10.007 8.83 8.55823L9.20215 7.99999L7.42792 5.33865C7.46381 5.32577 7.50116 5.31281 7.53999 5.29981C8.00576 5.14384 8.58212 5.0149 9.19291 4.92739C9.80186 4.84013 10.4207 4.79753 10.9663 4.8046C11.1679 4.80721 11.3509 4.81653 11.5141 4.83106C11.6042 5.59931 11.8873 6.47413 12.3752 7.30596C13.1003 8.54211 14.3135 9.74797 16.1491 10.4363L17.0854 10.7874L17.7877 8.91479L16.8513 8.56367C15.4869 8.05202 14.6168 7.17455 14.1003 6.29403C13.7163 5.63938 13.5445 5.01399 13.4968 4.56424ZM20.4438 12.4095C21.7293 10.65 22.1957 8.59882 22.3087 6.85937C22.4261 5.05294 22.169 3.48803 21.9654 2.73802L21.8011 2.13295L21.1849 2.01719C17.7599 1.37376 14.7138 1.52473 12.3302 2.92691C11.9131 2.84563 11.4507 2.81071 10.9923 2.80477C10.3318 2.79621 9.60889 2.84736 8.90924 2.9476C8.21144 3.04759 7.51241 3.1999 6.90495 3.40331C6.32977 3.59591 5.71185 3.87424 5.2932 4.29289L4.71351 4.87258L6.80029 8.00275C5.98691 9.25912 5.20065 10.7141 5.03302 13.0575C4.84375 13.0766 4.63389 13.1023 4.41075 13.1366C3.55384 13.2685 2.37934 13.5455 1.4456 14.1679L0.430664 14.8446L8.15573 22.5696L8.83235 21.5547C9.39533 20.7102 9.70212 19.9649 9.85588 19.1961C9.93856 18.7827 9.97393 18.3732 9.98905 17.9649C11.6933 17.8476 13.8257 17.42 15.6011 16.4421L16.7209 18.6918L17.7038 17.7088C18.8923 16.5203 19.5832 15.1272 19.9767 14.0562C20.1749 13.5168 20.3017 13.048 20.3796 12.7102C20.4064 12.5941 20.4275 12.4931 20.4438 12.4095ZM17.5002 4.58026L18.9174 5.99726L17.5002 7.41415L16.0834 5.99726L17.5002 4.58026Z"
      }
    }]
  };
  var fish = vue.defineComponent({
    name: "FishIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-fish", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$km(_objectSpread$km({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$kk, finalProps.value);
    }
  });

  function ownKeys$kl(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$kl(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$kl(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$kl(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$kj = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M11.4142 2H3V7.5H11.4142L13.4142 9.5H19.4277L21.4277 4H13.4142L11.4142 2zM19.4277 11.5H12.5858L10.5858 9.5H3V22.5H5V15H10.5858L12.5858 17H21.4277L19.4277 11.5z"
      }
    }]
  };
  var flag1Filled = vue.defineComponent({
    name: "Flag1FilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-flag-1-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$kl(_objectSpread$kl({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$kj, finalProps.value);
    }
  });

  function ownKeys$kk(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$kk(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$kk(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$kk(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$ki = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M3 2H11.4142L13.4142 4H21.4277L19.0641 10.5L21.4277 17H12.5858L10.5858 15H5V22.5H3V2ZM5 13H11.4142L13.4142 15H18.5723L17.2996 11.5H12.5858L10.5858 9.5H5V13ZM5 7.5H11.4142L13.4142 9.5H17.2996L18.5723 6H12.5858L10.5858 4H5V7.5Z"
      }
    }]
  };
  var flag1 = vue.defineComponent({
    name: "Flag1Icon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-flag-1", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$kk(_objectSpread$kk({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$ki, finalProps.value);
    }
  });

  function ownKeys$kj(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$kj(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$kj(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$kj(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$kh = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M3 2H11.4142L13.4142 4H21.4277L19.0641 10.5L21.4277 17H12.5858L10.5858 15H5V22.5H3V2ZM5 13H7V4H5V13Z"
      }
    }]
  };
  var flag2Filled = vue.defineComponent({
    name: "Flag2FilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-flag-2-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$kj(_objectSpread$kj({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$kh, finalProps.value);
    }
  });

  function ownKeys$ki(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$ki(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$ki(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$ki(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$kg = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M3 2H11.4142L13.4142 4H21.4277L19.0641 10.5L21.4277 17H12.5858L10.5858 15H5V22.5H3V2ZM5 13H7V4H5V13ZM9 4V13H11.4142L13.4142 15H18.5723L16.9359 10.5L18.5723 6H12.5858L10.5858 4H9Z"
      }
    }]
  };
  var flag2 = vue.defineComponent({
    name: "Flag2Icon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-flag-2", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$ki(_objectSpread$ki({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$kg, finalProps.value);
    }
  });

  function ownKeys$kh(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$kh(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$kh(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$kh(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$kf = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M23 10L8 18.6603L8 1.33975L23 10ZM4 1L6 1L6 23H4L4 1Z"
      }
    }]
  };
  var flag3Filled = vue.defineComponent({
    name: "Flag3FilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-flag-3-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$kh(_objectSpread$kh({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$kf, finalProps.value);
    }
  });

  function ownKeys$kg(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$kg(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$kg(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$kg(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$ke = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M23 10L8 18.6603L8 1.33975L23 10ZM10 4.80385L10 15.1962L19 10L10 4.80385ZM4 1L6 1L6 23H4L4 1Z"
      }
    }]
  };
  var flag3 = vue.defineComponent({
    name: "Flag3Icon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-flag-3", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$kg(_objectSpread$kg({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$ke, finalProps.value);
    }
  });

  function ownKeys$kf(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$kf(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$kf(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$kf(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$kd = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M2 2H16V3H22V17H14V16H4V22H2V2ZM16 5V15H18V5H16Z"
      }
    }]
  };
  var flag4Filled = vue.defineComponent({
    name: "Flag4FilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-flag-4-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$kf(_objectSpread$kf({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$kd, finalProps.value);
    }
  });

  function ownKeys$ke(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$ke(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$ke(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$ke(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$kc = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M2 2L16 2V3L22 3L22 17L14 17V16L4 16L4 22H2L2 2ZM4 14L14 14L14 4L4 4L4 14ZM16 5V15L20 15L20 5L16 5Z"
      }
    }]
  };
  var flag4 = vue.defineComponent({
    name: "Flag4Icon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-flag-4", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$ke(_objectSpread$ke({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$kc, finalProps.value);
    }
  });

  function ownKeys$kd(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$kd(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$kd(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$kd(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$kb = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M3 2H11.4142L13.4142 4H21.4277L19.0641 10.5L21.4277 17H12.5858L10.5858 15H5V22.5H3V2Z"
      }
    }]
  };
  var flagFilled = vue.defineComponent({
    name: "FlagFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-flag-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$kd(_objectSpread$kd({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$kb, finalProps.value);
    }
  });

  function ownKeys$kc(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$kc(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$kc(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$kc(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$ka = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M3 2H11.4142L13.4142 4H21.4277L19.0641 10.5L21.4277 17H12.5858L10.5858 15H5V22.5H3V2ZM5 13H11.4142L13.4142 15H18.5723L16.9359 10.5L18.5723 6H12.5858L10.5858 4H5V13Z"
      }
    }]
  };
  var flag = vue.defineComponent({
    name: "FlagIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-flag", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$kc(_objectSpread$kc({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$ka, finalProps.value);
    }
  });

  function ownKeys$kb(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$kb(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$kb(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$kb(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$k9 = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M4 0H20V3H4V0zM4 5H20V7.4141L17 10.4141V23.9999H7V10.4141L4 7.4141V5zM13.0039 10H11V12.0039H13.0039V10z"
      }
    }]
  };
  var flashlightFilled = vue.defineComponent({
    name: "FlashlightFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-flashlight-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$kb(_objectSpread$kb({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$k9, finalProps.value);
    }
  });

  function ownKeys$ka(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$ka(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$ka(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$ka(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$k8 = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M4 0H20V7.41421L17 10.4142V24H7V10.4142L4 7.41421V0ZM6 2V3.5H18V2H6ZM18 5.5H6V6.58579L9 9.58579V22H15V9.58579L18 6.58579V5.5ZM11 10H13.0039V12.0039H11V10Z"
      }
    }]
  };
  var flashlight = vue.defineComponent({
    name: "FlashlightIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-flashlight", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$ka(_objectSpread$ka({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$k8, finalProps.value);
    }
  });

  function ownKeys$k9(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$k9(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$k9(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$k9(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$k7 = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M9.30175 1.20258L13.0176 2.19824L15.5835 11.168L20.5424 12.4967C21.8761 12.8541 22.6675 14.2249 22.3102 15.5586C21.9528 16.8922 20.582 17.6837 19.2483 17.3263L1.55273 12.5848L2.01217 5.461L5.1862 6.31147L5.82767 8.55391L9.16304 9.44762L9.30175 1.20258ZM1.99991 19H21.9999V21H1.99991V19Z"
      }
    }]
  };
  var flightLandingFilled = vue.defineComponent({
    name: "FlightLandingFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-flight-landing-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$k9(_objectSpread$k9({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$k7, finalProps.value);
    }
  });

  function ownKeys$k8(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$k8(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$k8(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$k8(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$k6 = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M9.30175 1.20264L13.0176 2.1983L15.5835 11.168L20.5424 12.4968C21.8761 12.8541 22.6675 14.225 22.3102 15.5586C21.9528 16.8923 20.582 17.6838 19.2483 17.3264L1.55273 12.5849L2.01217 5.46106L5.1862 6.31154L5.82767 8.55397L9.16304 9.44768L9.30175 1.20264ZM11.2584 3.79747L11.1197 12.0425L4.21624 10.1927L3.80409 8.75196L3.65411 11.0774L19.7659 15.3945C20.0327 15.466 20.3068 15.3077 20.3783 15.041C20.4498 14.7743 20.2915 14.5001 20.0248 14.4286L13.9721 12.8068L11.4062 3.83707L11.2584 3.79747ZM1.99991 19.0001H21.9999V21.0001H1.99991V19.0001Z"
      }
    }]
  };
  var flightLanding = vue.defineComponent({
    name: "FlightLandingIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-flight-landing", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$k8(_objectSpread$k8({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$k6, finalProps.value);
    }
  });

  function ownKeys$k7(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$k7(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$k7(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$k7(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$k5 = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M8.32492 2.38751L15.0319 8.87259L19.9908 7.54386C21.3245 7.18651 22.6953 7.97796 23.0527 9.31163C23.41 10.6453 22.6186 12.0161 21.2849 12.3735L3.58932 17.115L0.425293 10.7159L3.59932 9.86539L5.27607 11.4867L8.61144 10.5929L4.60904 3.38318L8.32492 2.38751ZM2.00005 19H22V21H2.00005V19Z"
      }
    }]
  };
  var flightTakeoffFilled = vue.defineComponent({
    name: "FlightTakeoffFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-flight-takeoff-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$k7(_objectSpread$k7({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$k5, finalProps.value);
    }
  });

  function ownKeys$k6(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$k6(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$k6(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$k6(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$k4 = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M8.32444 2.38745L15.0314 8.87253L19.9903 7.5438C21.324 7.18644 22.6948 7.9779 23.0522 9.31157C23.4095 10.6452 22.6181 12.0161 21.2844 12.3734L3.58883 17.1149L0.424805 10.7158L3.59883 9.86533L5.27558 11.4866L8.61095 10.5929L4.60855 3.38312L8.32444 2.38745ZM7.60046 4.65199L11.6029 11.8618L4.69942 13.7115L3.6221 12.6699L4.65494 14.7587L20.7668 10.4416C21.0335 10.3701 21.1918 10.0959 21.1203 9.8292C21.0488 9.56247 20.7747 9.40418 20.5079 9.47565L14.4553 11.0975L7.74828 4.61238L7.60046 4.65199ZM1.99956 18.9999H21.9996V20.9999H1.99956V18.9999Z"
      }
    }]
  };
  var flightTakeoff = vue.defineComponent({
    name: "FlightTakeoffIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-flight-takeoff", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$k6(_objectSpread$k6({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$k4, finalProps.value);
    }
  });

  function ownKeys$k5(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$k5(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$k5(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$k5(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$k3 = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M12 23C5.92487 23 1 18.0751 1 12C1 5.92487 5.92487 1 12 1C18.0751 1 23 5.92487 23 12C23 18.0751 18.0751 23 12 23ZM12 6C10.1481 6 8.53257 7.00738 7.66955 8.49927L7.16883 9.36488L8.90004 10.3663L9.40076 9.50073C9.92099 8.60142 10.8909 8 12 8C13.1092 8 14.0791 8.60141 14.5993 9.50073L15.1 10.3663L16.8312 9.36488L16.3305 8.49927C15.4675 7.00738 13.852 6 12 6ZM9 16V12H7V16H9ZM17 16V12H15V16H17Z"
      }
    }]
  };
  var flipSmilingFaceFilled = vue.defineComponent({
    name: "FlipSmilingFaceFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-flip-smiling-face-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$k5(_objectSpread$k5({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$k3, finalProps.value);
    }
  });

  function ownKeys$k4(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$k4(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$k4(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$k4(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$k2 = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M12 3C7.02944 3 3 7.02944 3 12C3 16.9706 7.02944 21 12 21C16.9706 21 21 16.9706 21 12C21 7.02944 16.9706 3 12 3ZM1 12C1 5.92487 5.92487 1 12 1C18.0751 1 23 5.92487 23 12C23 18.0751 18.0751 23 12 23C5.92487 23 1 18.0751 1 12ZM7.66955 8.49927C8.53257 7.00738 10.1481 6 12 6C13.852 6 15.4675 7.00738 16.3305 8.49927L16.8312 9.36488L15.1 10.3663L14.5993 9.50072C14.0791 8.60141 13.1092 8 12 8C10.8909 8 9.92099 8.60141 9.40076 9.50072L8.90004 10.3663L7.16883 9.36488L7.66955 8.49927ZM9 12V16L7 16V12L9 12ZM17 12L17 16H15V12H17Z"
      }
    }]
  };
  var flipSmilingFace = vue.defineComponent({
    name: "FlipSmilingFaceIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-flip-smiling-face", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$k4(_objectSpread$k4({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$k2, finalProps.value);
    }
  });

  function ownKeys$k3(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$k3(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$k3(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$k3(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$k1 = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M10.5 3H7V6.5H9V5H10.5V3zM15.5 3H12.5V5H15.5V3zM21 3H17.5V5H19V6.5H21V3zM5 19V7.5H3V21H16.5V19H5z"
      }
    }, {
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M9 11.5V8.5H7V11.5H9zM21 11.5V8.5H19V11.5H21zM9 15V13.5H7V17H10.5V15H9zM21 17V13.5H19V15H17.5V17H21zM15.5 15H12.5V17H15.5V15zM17 7H11V13H17V7z"
      }
    }]
  };
  var flipToBackFilled = vue.defineComponent({
    name: "FlipToBackFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-flip-to-back-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$k3(_objectSpread$k3({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$k1, finalProps.value);
    }
  });

  function ownKeys$k2(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$k2(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$k2(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$k2(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$k0 = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M7 3H10.5V5H9V6.5H7V3ZM12.5 3H15.5V5H12.5V3ZM17.5 3H21V6.5H19V5H17.5V3ZM5 7.5V19H16.5V21H3V7.5H5ZM9 8.5V11.5H7V8.5H9ZM21 8.5V11.5H19V8.5H21ZM9 13.5V15H10.5V17H7V13.5H9ZM21 13.5V17H17.5V15H19V13.5H21ZM12.5 15H15.5V17H12.5V15Z"
      }
    }]
  };
  var flipToBack = vue.defineComponent({
    name: "FlipToBackIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-flip-to-back", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$k2(_objectSpread$k2({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$k0, finalProps.value);
    }
  });

  function ownKeys$k1(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$k1(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$k1(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$k1(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$j$ = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M17 7H11V13H17V7Z"
      }
    }, {
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M7 3H21V17H7V3zM9 5V15H19V5H9zM5 7.5V10.5H3V7.5H5zM5 12.5V15.5H3V12.5H5zM5 17.5V19H6.5V21H3V17.5H5zM11.5 19V21H8.5V19H11.5zM13.5 19H16.5V21H13.5V19z"
      }
    }]
  };
  var flipToFrontFilled = vue.defineComponent({
    name: "FlipToFrontFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-flip-to-front-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$k1(_objectSpread$k1({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$j$, finalProps.value);
    }
  });

  function ownKeys$k0(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$k0(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$k0(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$k0(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$j_ = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M7 3H21V17H7V3ZM9 5V15H19V5H9ZM5 7.5V10.5H3V7.5H5ZM5 12.5V15.5H3V12.5H5ZM5 17.5V19H6.5V21H3V17.5H5ZM11.5 19V21H8.5V19H11.5ZM13.5 19H16.5V21H13.5V19Z"
      }
    }]
  };
  var flipToFront = vue.defineComponent({
    name: "FlipToFrontIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-flip-to-front", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$k0(_objectSpread$k0({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$j_, finalProps.value);
    }
  });

  function ownKeys$j$(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$j$(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$j$(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$j$(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$jZ = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M13 4.06189V1H11V4.06189C7.38128 4.51314 4.51314 7.38128 4.06189 11H1V13H4.06189C4.51314 16.6187 7.38128 19.4869 11 19.9381V23H13V19.9381C16.6187 19.4869 19.4869 16.6187 19.9381 13H23V11H19.9381C19.4869 7.38128 16.6187 4.51314 13 4.06189ZM12 10C13.1046 10 14 10.8954 14 12C14 13.1046 13.1046 14 12 14C10.8954 14 10 13.1046 10 12C10 10.8954 10.8954 10 12 10Z"
      }
    }]
  };
  var focusFilled = vue.defineComponent({
    name: "FocusFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-focus-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$j$(_objectSpread$j$({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$jZ, finalProps.value);
    }
  });

  function ownKeys$j_(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$j_(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$j_(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$j_(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$jY = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M13 1V4.06189C16.6187 4.51314 19.4869 7.38128 19.9381 11H23V13H19.9381C19.4869 16.6187 16.6187 19.4869 13 19.9381V23H11V19.9381C7.38128 19.4869 4.51314 16.6187 4.06189 13H1V11H4.06189C4.51314 7.38128 7.38128 4.51314 11 4.06189V1H13ZM12 6C8.68629 6 6 8.68629 6 12C6 15.3137 8.68629 18 12 18C15.3137 18 18 15.3137 18 12C18 8.68629 15.3137 6 12 6ZM10 12C10 10.8954 10.8954 10 12 10C13.1046 10 14 10.8954 14 12C14 13.1046 13.1046 14 12 14C10.8954 14 10 13.1046 10 12Z"
      }
    }]
  };
  var focus = vue.defineComponent({
    name: "FocusIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-focus", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$j_(_objectSpread$j_({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$jY, finalProps.value);
    }
  });

  function ownKeys$jZ(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$jZ(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$jZ(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$jZ(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$jX = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M2 13C2 11.343 3.12378 9.81486 4.7012 9.32086C4.7004 9.28066 4.7 9.24037 4.7 9.2C4.7 5.7406 7.60128 3 11.1 3C11.646 3 12.1775 3.06644 12.6858 3.192C14.8331 3.7225 16.5652 5.31155 17.2193 7.37863C17.9416 7.47026 18.6217 7.69802 19.2299 8.03569C20.9409 8.9857 22 11.0856 22 13C13.7464 13 5.87993 13 2 13ZM2 15H8V17H2V15ZM10 15H22V17H10V15ZM17 19H22V21H17V19ZM2 21L2 19L15 19V21L2 21Z"
      }
    }]
  };
  var fogFilled = vue.defineComponent({
    name: "FogFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-fog-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$jZ(_objectSpread$jZ({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$jX, finalProps.value);
    }
  });

  function ownKeys$jY(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$jY(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$jY(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$jY(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$jW = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M10.9158 0.585449L10.4657 2.25967C10.1658 3.37554 10.1958 4.59695 10.5353 5.86378C11.5359 9.59804 15.3742 11.8141 19.1085 10.8135C19.5546 10.694 19.9781 10.5344 20.3766 10.3398L21.917 9.58766L21.8135 11.2988C21.7509 12.3323 21.4388 13.3586 20.8944 14.4473L20.618 15.0001H2.82804L2.52422 14.2542C2.49437 14.1797 2.45369 14.0772 2.41064 13.9662C2.33368 13.7676 2.22031 13.4689 2.17013 13.2816C0.74071 7.94694 3.90653 2.46357 9.2412 1.03415L10.9158 0.585449ZM2.00098 17.0001H8.00098V19.0001H2.00098V17.0001ZM10.001 17.0001H22.001V19.0001H10.001V17.0001ZM17.001 21.0001H22.001V23.0001H17.001V21.0001ZM2.00098 21.0001H15.001V23.0001H2.00098V21.0001Z"
      }
    }]
  };
  var fogNightFilled = vue.defineComponent({
    name: "FogNightFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-fog-night-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$jY(_objectSpread$jY({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$jW, finalProps.value);
    }
  });

  function ownKeys$jX(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$jX(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$jX(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$jX(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$jV = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M10.916 0.585449L10.466 2.25967C10.166 3.37554 10.1961 4.59695 10.5355 5.86378C11.5361 9.59804 15.3745 11.8141 19.1087 10.8135C19.5548 10.694 19.9783 10.5344 20.3768 10.3398L21.9173 9.58766L21.8137 11.2988C21.7512 12.3323 21.439 13.3586 20.8947 14.4473L20.4475 15.3417L18.6586 14.4473L19.1058 13.5529C19.2386 13.2874 19.3507 13.0346 19.4441 12.7922C14.7009 13.9595 9.87389 11.1219 8.60368 6.38142C8.35026 5.43563 8.22923 4.47658 8.26596 3.52925C4.92368 5.18739 3.09941 9.02142 4.10222 12.764C4.11869 12.8254 4.18731 13.0153 4.27567 13.2433C4.31527 13.3454 4.35308 13.4407 4.38107 13.5105L4.4143 13.5931L4.42329 13.6153L4.42604 13.622L4.80397 14.5481L2.95222 15.3038L2.57439 14.3779L2.57052 14.3684L2.5604 14.3435L2.52446 14.2542C2.49462 14.1797 2.45393 14.0772 2.41088 13.9662C2.33392 13.7676 2.22056 13.4689 2.17037 13.2816C0.740954 7.94694 3.90678 2.46357 9.24144 1.03415L10.916 0.585449ZM2.00122 17.0001H8.00122V19.0001H2.00122V17.0001ZM10.0012 17.0001H22.0012V19.0001H10.0012V17.0001ZM17.0012 21.0001H22.0012V23.0001H17.0012V21.0001ZM2.00122 21.0001H15.0012V23.0001H2.00122V21.0001Z"
      }
    }]
  };
  var fogNight = vue.defineComponent({
    name: "FogNightIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-fog-night", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$jX(_objectSpread$jX({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$jV, finalProps.value);
    }
  });

  function ownKeys$jW(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$jW(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$jW(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$jW(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$jU = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M13 1V4H11V1H13ZM20.4853 4.92848L18.364 7.0498L16.9497 5.63559L19.0711 3.51426L20.4853 4.92848ZM4.9289 3.51431L7.05022 5.63563L5.63601 7.04984L3.51469 4.92852L4.9289 3.51431ZM6 12C6 8.68629 8.68629 6 12 6C15.3137 6 18 8.68629 18 12C18 12.8515 17.822 13.664 17.5003 14.4004L17.2383 15H6.76168L6.49969 14.4004C6.17797 13.664 6 12.8515 6 12ZM1 11H4V13H1V11ZM20 11H23V13H20V11ZM2 17H8V19H2V17ZM10 17H22V19H10V17ZM17 21H22V23H17V21ZM2 21H15V23H2V21Z"
      }
    }]
  };
  var fogSunnyFilled = vue.defineComponent({
    name: "FogSunnyFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-fog-sunny-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$jW(_objectSpread$jW({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$jU, finalProps.value);
    }
  });

  function ownKeys$jV(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$jV(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$jV(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$jV(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$jT = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M13 1V4H11V1H13ZM20.4853 4.92848L18.364 7.0498L16.9497 5.63559L19.0711 3.51426L20.4853 4.92848ZM4.9289 3.51431L7.05022 5.63563L5.63601 7.04984L3.51469 4.92852L4.9289 3.51431ZM12 8C9.79086 8 8 9.79086 8 12C8 12.5707 8.11893 13.111 8.3324 13.5996L8.73277 14.516L6.90006 15.3167L6.49969 14.4004C6.17797 13.664 6 12.8515 6 12C6 8.68629 8.68629 6 12 6C15.3137 6 18 8.68629 18 12C18 12.8515 17.822 13.664 17.5003 14.4004L17.0999 15.3167L15.2672 14.516L15.6676 13.5996C15.8811 13.111 16 12.5707 16 12C16 9.79086 14.2091 8 12 8ZM1 11H4V13H1V11ZM20 11H23V13H20V11ZM2 17H8V19H2V17ZM10 17H22V19H10V17ZM17 21H22V23H17V21ZM2 21H15V23H2V21Z"
      }
    }]
  };
  var fogSunny = vue.defineComponent({
    name: "FogSunnyIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-fog-sunny", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$jV(_objectSpread$jV({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$jT, finalProps.value);
    }
  });

  function ownKeys$jU(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$jU(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$jU(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$jU(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$jS = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M11.1 4C8.63404 4 6.7 5.91564 6.7 8.2C6.7 8.46219 6.72505 8.71791 6.77273 8.9654L7.00186 10.1546H5.79079C4.83859 10.1546 4 11.0183 4 12V13H2V12C2 10.343 3.12378 8.81486 4.7012 8.32086C4.7004 8.28066 4.7 8.24037 4.7 8.2C4.7 4.7406 7.60128 2 11.1 2C11.646 2 12.1775 2.06644 12.6858 2.192C14.8331 2.7225 16.5652 4.31155 17.2193 6.37863C17.9416 6.47026 18.6217 6.69802 19.2299 7.03569C20.9409 7.9857 22 10.0856 22 12V13H20V12C20 10.7021 19.2442 9.33123 18.259 8.78426C17.7444 8.49852 17.1446 8.33333 16.5 8.33333C16.4803 8.33333 16.4607 8.33349 16.4411 8.33379L15.5868 8.34716L15.4403 7.50544C15.158 5.88414 13.8892 4.54944 12.2061 4.13363C11.8538 4.0466 11.4834 4 11.1 4ZM2 14H8V16H2V14ZM10 14H22V16H10V14ZM17 18H22V20H17V18ZM2 20L2 18L15 18V20L2 20Z"
      }
    }]
  };
  var fog = vue.defineComponent({
    name: "FogIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-fog", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$jU(_objectSpread$jU({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$jS, finalProps.value);
    }
  });

  function ownKeys$jT(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$jT(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$jT(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$jT(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$jR = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M9.48063 2.5H1V9H23V5H11.4806L9.48063 2.5zM23 11H1V21H23V11z"
      }
    }]
  };
  var folder1Filled = vue.defineComponent({
    name: "Folder1FilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-folder-1-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$jT(_objectSpread$jT({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$jR, finalProps.value);
    }
  });

  function ownKeys$jS(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$jS(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$jS(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$jS(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$jQ = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M1 2.5L9.48063 2.5L11.4806 5L23 5L23 21L1 21L1 2.5ZM3 4.5L3 8.75L21 8.75V7L10.5194 7L8.51937 4.5L3 4.5ZM21 10.75L3 10.75L3 19L21 19L21 10.75Z"
      }
    }]
  };
  var folder1 = vue.defineComponent({
    name: "Folder1Icon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-folder-1", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$jS(_objectSpread$jS({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$jQ, finalProps.value);
    }
  });

  function ownKeys$jR(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$jR(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$jR(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$jR(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$jP = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M9.48063 2.5H1V21H23V5H11.4806L9.48063 2.5ZM16 14H13V17H11V14H8V12H11V9H13V12H16V14Z"
      }
    }]
  };
  var folderAdd1Filled = vue.defineComponent({
    name: "FolderAdd1FilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-folder-add-1-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$jR(_objectSpread$jR({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$jP, finalProps.value);
    }
  });

  function ownKeys$jQ(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$jQ(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$jQ(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$jQ(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$jO = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M1 2.5H9.48063L11.4806 5H23V21H1V2.5ZM3 4.5V19H21V7H10.5194L8.51937 4.5H3ZM13 9V12H16V14H13V17H11V14H8V12H11V9H13Z"
      }
    }]
  };
  var folderAdd1 = vue.defineComponent({
    name: "FolderAdd1Icon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-folder-add-1", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$jQ(_objectSpread$jQ({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$jO, finalProps.value);
    }
  });

  function ownKeys$jP(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$jP(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$jP(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$jP(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$jN = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M1 2.5H9.48063L11.4806 5H23V12.8027C22.1175 12.2922 21.0929 12 20 12C16.6863 12 14 14.6863 14 18C14 19.0929 14.2922 20.1175 14.8027 21H1V2.5Z"
      }
    }, {
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M21 17V14H19V17H16V19H19V22H21V19H24V17H21Z"
      }
    }]
  };
  var folderAddFilled = vue.defineComponent({
    name: "FolderAddFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-folder-add-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$jP(_objectSpread$jP({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$jN, finalProps.value);
    }
  });

  function ownKeys$jO(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$jO(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$jO(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$jO(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$jM = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M1 2.5L9.48063 2.5L11.4806 5H23V12H21V7H10.5194L8.51938 4.5L3 4.5L3 19H14V21H1L1 2.5ZM21 14V17H24V19H21V22H19V19H16V17H19V14H21Z"
      }
    }]
  };
  var folderAdd = vue.defineComponent({
    name: "FolderAddIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-folder-add", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$jO(_objectSpread$jO({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$jM, finalProps.value);
    }
  });

  function ownKeys$jN(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$jN(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$jN(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$jN(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$jL = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M1 2.5H9.48063L11.4806 5H23V11.6379C21.7832 10.6157 20.2135 10 18.5 10C14.634 10 11.5 13.134 11.5 17C11.5 18.4872 11.9638 19.8662 12.7547 21H1V2.5Z"
      }
    }, {
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M18.5 11.5C15.4624 11.5 13 13.9624 13 17C13 18.5184 13.6167 19.8948 14.6108 20.889C15.605 21.8832 16.9814 22.5 18.5 22.5C21.5376 22.5 24 20.0376 24 17C24 15.4816 23.3833 14.1052 22.3892 13.111C21.395 12.1168 20.0186 11.5 18.5 11.5ZM15 17C15 15.067 16.567 13.5 18.5 13.5C19.1032 13.5 19.6701 13.6521 20.1654 13.9206L15.4205 18.6652C15.152 18.17 15 17.6031 15 17ZM16.8346 20.0794L21.5795 15.3348C21.848 15.83 22 16.3969 22 17C22 18.933 20.433 20.5 18.5 20.5C17.8968 20.5 17.3299 20.3479 16.8346 20.0794Z"
      }
    }]
  };
  var folderBlockedFilled = vue.defineComponent({
    name: "FolderBlockedFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-folder-blocked-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$jN(_objectSpread$jN({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$jL, finalProps.value);
    }
  });

  function ownKeys$jM(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$jM(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$jM(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$jM(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$jK = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M1 2.5H9.48063L11.4806 5H23V10H21V7H10.5194L8.51937 4.5H3V19H11.5V21H1V2.5ZM18.5 13.5C16.567 13.5 15 15.067 15 17C15 17.6031 15.152 18.17 15.4205 18.6652L20.1654 13.9206C19.6701 13.6521 19.1032 13.5 18.5 13.5ZM21.5795 15.3348L16.8346 20.0794C17.3299 20.3479 17.8968 20.5 18.5 20.5C20.433 20.5 22 18.933 22 17C22 16.3969 21.848 15.83 21.5795 15.3348ZM13 17C13 13.9624 15.4624 11.5 18.5 11.5C20.0186 11.5 21.395 12.1168 22.3892 13.111C23.3833 14.1052 24 15.4816 24 17C24 20.0376 21.5376 22.5 18.5 22.5C16.9814 22.5 15.605 21.8832 14.6108 20.889C13.6167 19.8948 13 18.5184 13 17Z"
      }
    }]
  };
  var folderBlocked = vue.defineComponent({
    name: "FolderBlockedIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-folder-blocked", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$jM(_objectSpread$jM({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$jK, finalProps.value);
    }
  });

  function ownKeys$jL(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$jL(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$jL(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$jL(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$jJ = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M9.48063 2.5H1V21H23V5H11.4806L9.48063 2.5ZM6.99805 11.998H9.00195V14.002H6.99805V11.998ZM10.998 11.998H13.002V14.002H10.998V11.998ZM17.002 11.998V14.002H14.998V11.998H17.002Z"
      }
    }]
  };
  var folderDetailsFilled = vue.defineComponent({
    name: "FolderDetailsFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-folder-details-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$jL(_objectSpread$jL({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$jJ, finalProps.value);
    }
  });

  function ownKeys$jK(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$jK(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$jK(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$jK(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$jI = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M1 2.5H9.48063L11.4806 5H23V21H1V2.5ZM3 4.5V19H21V7H10.5194L8.51937 4.5H3ZM6.99805 11.998H9.00195V14.002H6.99805V11.998ZM10.998 11.998H13.002V14.002H10.998V11.998ZM14.998 11.998H17.002V14.002H14.998V11.998Z"
      }
    }]
  };
  var folderDetails = vue.defineComponent({
    name: "FolderDetailsIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-folder-details", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$jK(_objectSpread$jK({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$jI, finalProps.value);
    }
  });

  function ownKeys$jJ(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$jJ(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$jJ(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$jJ(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$jH = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M1 2.5H9.48062L11.4806 5H23V13.8464C21.8077 12.4127 20.0104 11.5 18 11.5C14.4101 11.5 11.5 14.4102 11.5 18C11.5 19.0821 11.7644 20.1025 12.2322 21H1V2.5Z"
      }
    }, {
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M23.9083 18.0021L19.05 13.0879L17.6277 14.494L20.1073 17.0021L12.998 17.0021V19.0021L20.1073 19.0021L17.6277 21.5102L19.05 22.9163L23.9083 18.0021Z"
      }
    }]
  };
  var folderExportFilled = vue.defineComponent({
    name: "FolderExportFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-folder-export-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$jJ(_objectSpread$jJ({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$jH, finalProps.value);
    }
  });

  function ownKeys$jI(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$jI(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$jI(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$jI(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$jG = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M1 2.5H9.48063L11.4806 5H23V13H21V7H10.5194L8.51937 4.5H3V19H11.5V21H1V2.5ZM19.05 13.0878L23.9083 18.002L19.05 22.9162L17.6277 21.5101L20.1073 19.002L12.998 19.002V17.002L20.1073 17.002L17.6277 14.4939L19.05 13.0878Z"
      }
    }]
  };
  var folderExport = vue.defineComponent({
    name: "FolderExportIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-folder-export", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$jI(_objectSpread$jI({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$jG, finalProps.value);
    }
  });

  function ownKeys$jH(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$jH(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$jH(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$jH(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$jF = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M1 2.5L9.48063 2.5L11.4806 5L23 5L23 21L1 21L1 2.5Z"
      }
    }]
  };
  var folderFilled = vue.defineComponent({
    name: "FolderFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-folder-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$jH(_objectSpread$jH({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$jF, finalProps.value);
    }
  });

  function ownKeys$jG(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$jG(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$jG(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$jG(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$jE = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M1 2.5H9.48063L11.4806 5H23V21H11.2678C11.7356 20.1025 12 19.0821 12 18C12 14.4102 9.08985 11.5 5.5 11.5C3.75351 11.5 2.16789 12.1888 1 13.3096V2.5Z"
      }
    }, {
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M10.9083 18.002L6.04998 13.0878L4.62771 14.4939L7.10728 17.002L-0.00195312 17.002V19.002L7.10728 19.002L4.62771 21.5101L6.04999 22.9162L10.9083 18.002Z"
      }
    }]
  };
  var folderImportFilled = vue.defineComponent({
    name: "FolderImportFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-folder-import-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$jG(_objectSpread$jG({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$jE, finalProps.value);
    }
  });

  function ownKeys$jF(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$jF(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$jF(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$jF(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$jD = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 25 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M2 2.5H10.4806L12.4806 5H24V21H13V19H22V7H11.5194L9.51937 4.5H4V12.75H2V2.5ZM7.04998 13.0878L11.9083 18.002L7.04999 22.9162L5.62771 21.5101L8.10728 19.002L0.998047 19.002L0.998047 17.002L8.10728 17.002L5.62771 14.4939L7.04998 13.0878Z"
      }
    }]
  };
  var folderImport = vue.defineComponent({
    name: "FolderImportIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-folder-import", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$jF(_objectSpread$jF({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$jD, finalProps.value);
    }
  });

  function ownKeys$jE(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$jE(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$jE(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$jE(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$jC = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M1 2.5H9.48063L11.4806 5H23V10.5218C21.9897 9.875 20.7886 9.5 19.5 9.5C15.9101 9.5 13 12.4101 13 16V21H1V2.5Z"
      }
    }, {
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M22.75 14.75V15.5H23.999V22H14.999V15.5H16.25V14.75C16.25 12.9551 17.7051 11.5 19.5 11.5C21.2949 11.5 22.75 12.9551 22.75 14.75ZM20.75 14.75C20.75 14.0596 20.1904 13.5 19.5 13.5C18.8096 13.5 18.25 14.0596 18.25 14.75V15.5H20.75V14.75Z"
      }
    }]
  };
  var folderLockedFilled = vue.defineComponent({
    name: "FolderLockedFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-folder-locked-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$jE(_objectSpread$jE({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$jC, finalProps.value);
    }
  });

  function ownKeys$jD(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$jD(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$jD(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$jD(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$jB = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M1 2.5H9.48063L11.4806 5H23V10H21V7H10.5194L8.51937 4.5H3V19H13V21H1V2.5ZM19.5 13.5C20.1904 13.5 20.75 14.0596 20.75 14.75V15.5H18.25V14.75C18.25 14.0596 18.8096 13.5 19.5 13.5ZM22.75 15.5V14.75C22.75 12.9551 21.2949 11.5 19.5 11.5C17.7051 11.5 16.25 12.9551 16.25 14.75V15.5H14.999V22H23.999V15.5H22.75ZM21.999 17.5V20H16.999V17.5H21.999Z"
      }
    }]
  };
  var folderLocked = vue.defineComponent({
    name: "FolderLockedIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-folder-locked", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$jD(_objectSpread$jD({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$jB, finalProps.value);
    }
  });

  function ownKeys$jC(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$jC(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$jC(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$jC(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$jA = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M9.48063 2.5H1V21H23V5H11.4806L9.48063 2.5ZM16 14H8V12H16V14Z"
      }
    }]
  };
  var folderMinusFilled = vue.defineComponent({
    name: "FolderMinusFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-folder-minus-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$jC(_objectSpread$jC({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$jA, finalProps.value);
    }
  });

  function ownKeys$jB(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$jB(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$jB(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$jB(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$jz = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M1 2.5H9.48063L11.4806 5H23V21H1V2.5ZM3 4.5V19H21V7H10.5194L8.51937 4.5H3ZM8 12H16V14H8V12Z"
      }
    }]
  };
  var folderMinus = vue.defineComponent({
    name: "FolderMinusIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-folder-minus", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$jB(_objectSpread$jB({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$jz, finalProps.value);
    }
  });

  function ownKeys$jA(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$jA(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$jA(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$jA(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$jy = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M9.48063 2.5H1V21H23V5H11.4806L9.48063 2.5ZM12.6573 11.9988L11.1914 10.4685L12.6356 9.08496L16.3848 12.9988L12.6356 16.9127L11.1914 15.5293L12.6573 13.9988H8V11.9988H12.6573Z"
      }
    }]
  };
  var folderMoveFilled = vue.defineComponent({
    name: "FolderMoveFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-folder-move-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$jA(_objectSpread$jA({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$jy, finalProps.value);
    }
  });

  function ownKeys$jz(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$jz(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$jz(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$jz(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$jx = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M1 2.5H9.48063L11.4806 5H23V21H1V2.5ZM3 4.5V19H21V7H10.5194L8.51937 4.5H3Z"
      }
    }, {
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M8 11.9988H12.6573L11.1914 10.4684L12.6356 9.08489L16.3848 12.9988L12.6356 16.9127L11.1914 15.5292L12.6573 13.9988H8V11.9988Z"
      }
    }]
  };
  var folderMove = vue.defineComponent({
    name: "FolderMoveIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-folder-move", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$jz(_objectSpread$jz({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$jx, finalProps.value);
    }
  });

  function ownKeys$jy(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$jy(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$jy(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$jy(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$jw = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M1.58018 21.7502L20.994 2.33594 22.4082 3.75013 21.1584 5H23V21H5.15873L2.99441 23.1644 1.58018 21.7502zM11.4806 5H15.5102L1 19.5105V2.5H9.48063L11.4806 5z"
      }
    }]
  };
  var folderOffFilled = vue.defineComponent({
    name: "FolderOffFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-folder-off-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$jy(_objectSpread$jy({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$jw, finalProps.value);
    }
  });

  function ownKeys$jx(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$jx(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$jx(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$jx(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$jv = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M9.48159 2.5L11.4816 5 14.001 5V7L10.5203 7 8.52034 4.5 3.00106 4.5 3 15.998 3 15.9991 3 16.0013 3.00276 17.4134 1.00324 19.413 1 16.002 1 16.0009 1.00089 2.5H9.48159zM21.4142 4L20.4142 5H23V20H5.4142L2.99999 22.4142 1.58577 21 20 2.58579 21.4142 4zM18.4142 7L7.4142 18H21V7H18.4142z"
      }
    }]
  };
  var folderOff = vue.defineComponent({
    name: "FolderOffIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-folder-off", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$jx(_objectSpread$jx({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$jv, finalProps.value);
    }
  });

  function ownKeys$jw(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$jw(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$jw(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$jw(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$ju = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M2.50001 9L20.5 9L20.5 5H10.362L7.36205 2.5H0V21H20L24 11L4 11L0 21L2.50001 9Z"
      }
    }]
  };
  var folderOpen1Filled = vue.defineComponent({
    name: "FolderOpen1FilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-folder-open-1-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$jw(_objectSpread$jw({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$ju, finalProps.value);
    }
  });

  function ownKeys$jv(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$jv(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$jv(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$jv(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$jt = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M23.844 9L20.244 21H0L8.08661e-07 2.5L7.36205 2.5L10.3621 5H20.5L20.5 9H23.844ZM18.5 9L18.5 7H9.63795L6.63795 4.5L2 4.5L2 13.1866L3.25597 9L18.5 9ZM2.34403 19H18.756L21.156 11L4.74403 11L2.34403 19Z"
      }
    }]
  };
  var folderOpen1 = vue.defineComponent({
    name: "FolderOpen1Icon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-folder-open-1", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$jv(_objectSpread$jv({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$jt, finalProps.value);
    }
  });

  function ownKeys$ju(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$ju(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$ju(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$ju(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$js = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M1 2.5L11.4806 2.5L13.4806 5H23V7H12.5194L10.5194 4.5L1 4.5L1 2.5ZM1 6.5L9.48063 6.5L11.4806 9H23V21H1L1 6.5Z"
      }
    }]
  };
  var folderOpenFilled = vue.defineComponent({
    name: "FolderOpenFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-folder-open-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$ju(_objectSpread$ju({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$js, finalProps.value);
    }
  });

  function ownKeys$jt(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$jt(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$jt(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$jt(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$jr = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M1 2.5L11.4806 2.5L13.4806 5H23V7H12.5194L10.5194 4.5L1 4.5L1 2.5ZM1 6.5L9.48063 6.5L11.4806 9H23V21H1L1 6.5ZM3 8.5L3 19H21V11H10.5194L8.51938 8.5L3 8.5Z"
      }
    }]
  };
  var folderOpen = vue.defineComponent({
    name: "FolderOpenIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-folder-open", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$jt(_objectSpread$jt({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$jr, finalProps.value);
    }
  });

  function ownKeys$js(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$js(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$js(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$js(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$jq = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M1 2.5H9.48062L11.4806 5H23V13.1878C21.8537 11.8487 20.151 11 18.25 11C14.7982 11 12 13.7982 12 17.25C12 18.657 12.4649 19.9554 13.2495 21H1V2.5Z"
      }
    }, {
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M23 17.25C23 18.1992 22.7216 19.0834 22.2419 19.8254L23.9142 21.5017L22.4983 22.9142L20.8282 21.2401C20.0857 21.7209 19.2004 22 18.25 22C15.6266 22 13.5 19.8734 13.5 17.25C13.5 14.6266 15.6266 12.5 18.25 12.5C20.8734 12.5 23 14.6266 23 17.25ZM21 17.25C21 15.7312 19.7688 14.5 18.25 14.5C16.7312 14.5 15.5 15.7312 15.5 17.25C15.5 18.7688 16.7312 20 18.25 20C19.0061 20 19.6908 19.6949 20.188 19.2011L20.1963 19.1928C20.6929 18.6952 21 18.0085 21 17.25Z"
      }
    }]
  };
  var folderSearchFilled = vue.defineComponent({
    name: "FolderSearchFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-folder-search-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$js(_objectSpread$js({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$jq, finalProps.value);
    }
  });

  function ownKeys$jr(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$jr(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$jr(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$jr(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$jp = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M1 2.5H9.48063L11.4806 5H23V12.5H21V7H10.5194L8.51937 4.5H3V19H11.5V21H1V2.5ZM17.25 14.5C18.7688 14.5 20 15.7312 20 17.25C20 18.0085 19.6929 18.6952 19.1963 19.1927C19.1936 19.1955 19.1908 19.1983 19.188 19.2011C18.6908 19.6949 18.0061 20 17.25 20C15.7312 20 14.5 18.7688 14.5 17.25C14.5 15.7312 15.7312 14.5 17.25 14.5ZM21.2419 19.8254C21.7216 19.0834 22 18.1992 22 17.25C22 14.6266 19.8734 12.5 17.25 12.5C14.6266 12.5 12.5 14.6266 12.5 17.25C12.5 19.8734 14.6266 22 17.25 22C18.2004 22 19.0857 21.7209 19.8282 21.2401L21.4983 22.9142L22.9142 21.5017L21.2419 19.8254Z"
      }
    }]
  };
  var folderSearch = vue.defineComponent({
    name: "FolderSearchIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-folder-search", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$jr(_objectSpread$jr({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$jp, finalProps.value);
    }
  });

  function ownKeys$jq(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$jq(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$jq(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$jq(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$jo = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M1 2.5H9.48063L11.4806 5H23V12.8464C21.8077 11.4127 20.0104 10.5 18 10.5C14.4101 10.5 11.5 13.4101 11.5 17C11.5 18.5085 12.0139 19.897 12.8762 21H1V2.5Z"
      }
    }, {
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M18.9999 13.126V11.75H16.9999V13.126C16.285 13.31 15.6474 13.6867 15.1458 14.1975L13.9533 13.509L12.9533 15.241L14.1449 15.929C14.0504 16.2699 13.9999 16.629 13.9999 17C13.9999 17.371 14.0504 17.7301 14.1449 18.071L12.9533 18.759L13.9533 20.491L15.1458 19.8025C15.6474 20.3133 16.285 20.69 16.9999 20.874V22.25H18.9999V20.874C19.7149 20.69 20.3525 20.3133 20.854 19.8025L22.0466 20.491L23.0466 18.759L21.855 18.071C21.9494 17.7301 21.9999 17.371 21.9999 17C21.9999 16.629 21.9494 16.2699 21.855 15.929L23.0466 15.241L22.0466 13.509L20.854 14.1975C20.3525 13.6867 19.7149 13.31 18.9999 13.126ZM16.2852 15.97C16.6351 15.3888 17.2721 15 17.9999 15C18.7278 15 19.3648 15.3888 19.7147 15.97L19.7512 16.0332C19.9097 16.3198 19.9999 16.6493 19.9999 17C19.9999 17.3507 19.9097 17.6802 19.7512 17.9668L19.7147 18.03C19.3648 18.6112 18.7278 19 17.9999 19C17.2721 19 16.6351 18.6112 16.2852 18.03L16.2487 17.9667C16.0902 17.6802 15.9999 17.3506 15.9999 17C15.9999 16.6494 16.0902 16.3198 16.2487 16.0333L16.2852 15.97Z"
      }
    }]
  };
  var folderSettingFilled = vue.defineComponent({
    name: "FolderSettingFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-folder-setting-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$jq(_objectSpread$jq({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$jo, finalProps.value);
    }
  });

  function ownKeys$jp(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$jp(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$jp(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$jp(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$jn = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M1 2.5H9.48063L11.4806 5H23V11H21V7H10.5194L8.51937 4.5H3V19H11V21H1V2.5ZM18.9999 11.75V13.126C19.7149 13.31 20.3525 13.6867 20.854 14.1975L22.0466 13.509L23.0466 15.241L21.855 15.929C21.9494 16.2699 21.9999 16.629 21.9999 17C21.9999 17.371 21.9494 17.7301 21.855 18.071L23.0466 18.759L22.0466 20.491L20.854 19.8025C20.3525 20.3133 19.7149 20.69 18.9999 20.874V22.25H16.9999V20.874C16.285 20.69 15.6474 20.3133 15.1458 19.8025L13.9533 20.491L12.9533 18.759L14.1449 18.071C14.0504 17.7301 13.9999 17.371 13.9999 17C13.9999 16.629 14.0504 16.2699 14.1449 15.929L12.9533 15.241L13.9533 13.509L15.1458 14.1975C15.6474 13.6867 16.285 13.31 16.9999 13.126V11.75H18.9999ZM16.2487 16.0333C16.0902 16.3198 15.9999 16.6494 15.9999 17C15.9999 17.3506 16.0902 17.6802 16.2487 17.9667L16.2852 18.03C16.6351 18.6112 17.2721 19 17.9999 19C18.7278 19 19.3648 18.6112 19.7147 18.03L19.7512 17.9668C19.9097 17.6802 19.9999 17.3507 19.9999 17C19.9999 16.6493 19.9097 16.3198 19.7512 16.0332L19.7147 15.97C19.3648 15.3888 18.7278 15 17.9999 15C17.2721 15 16.6351 15.3888 16.2852 15.97L16.2487 16.0333Z"
      }
    }]
  };
  var folderSetting = vue.defineComponent({
    name: "FolderSettingIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-folder-setting", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$jp(_objectSpread$jp({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$jn, finalProps.value);
    }
  });

  function ownKeys$jo(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$jo(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$jo(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$jo(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$jm = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M9.48063 2.5H1V21H23V5H11.4806L9.48063 2.5ZM14.5 11.5C14.5 12.2402 14.1783 12.9052 13.6672 13.3629C15.0439 13.9951 16 15.3859 16 17V18H8V17C8 15.3859 8.95606 13.9951 10.3328 13.3629C9.82165 12.9052 9.5 12.2402 9.5 11.5C9.5 10.1193 10.6193 9 12 9C13.3807 9 14.5 10.1193 14.5 11.5Z"
      }
    }]
  };
  var folderSharedFilled = vue.defineComponent({
    name: "FolderSharedFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-folder-shared-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$jo(_objectSpread$jo({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$jm, finalProps.value);
    }
  });

  function ownKeys$jn(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$jn(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$jn(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$jn(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$jl = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M1 2.5H9.48063L11.4806 5H23V21H1V2.5ZM3 4.5V19H21V7H10.5194L8.51937 4.5H3ZM12 10.5C12.5523 10.5 13 10.9477 13 11.5C13 12.0523 12.5523 12.5 12 12.5C11.4477 12.5 11 12.0523 11 11.5C11 10.9477 11.4477 10.5 12 10.5ZM14.4003 13.2999C14.7769 12.7985 15 12.1753 15 11.5C15 9.84315 13.6569 8.5 12 8.5C10.3431 8.5 9 9.84315 9 11.5C9 12.1753 9.22314 12.7985 9.59972 13.2999C8.62832 14.0297 8 15.1915 8 16.5V17.5H10V16.5C10 15.3954 10.8954 14.5 12 14.5C13.1046 14.5 14 15.3954 14 16.5V17.5H16V16.5C16 15.1915 15.3717 14.0297 14.4003 13.2999Z"
      }
    }]
  };
  var folderShared = vue.defineComponent({
    name: "FolderSharedIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-folder-shared", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$jn(_objectSpread$jn({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$jl, finalProps.value);
    }
  });

  function ownKeys$jm(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$jm(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$jm(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$jm(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$jk = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M1 2.5H9.48063L11.4806 5H23V10.5218C21.9897 9.875 20.7886 9.5 19.5 9.5C15.9101 9.5 13 12.4101 13 16V21H1V2.5Z"
      }
    }, {
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M18.25 14.75C18.25 14.0596 18.8096 13.5 19.5 13.5C19.8441 13.5 20.1541 13.6377 20.3811 13.8634L21.0904 14.5683L22.5003 13.1498L21.791 12.4448C21.2045 11.8619 20.3936 11.5 19.5 11.5C17.7051 11.5 16.25 12.9551 16.25 14.75V15.5H14.999V22H23.999V15.5H18.25V14.75Z"
      }
    }]
  };
  var folderUnlockedFilled = vue.defineComponent({
    name: "FolderUnlockedFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-folder-unlocked-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$jm(_objectSpread$jm({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$jk, finalProps.value);
    }
  });

  function ownKeys$jl(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$jl(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$jl(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$jl(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$jj = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M1 2.5H9.48063L11.4806 5H23V10H21V7H10.5194L8.51937 4.5H3V19H13V21H1V2.5ZM19.5 13.5C18.8096 13.5 18.25 14.0596 18.25 14.75V15.5H23.999V22H14.999V15.5H16.25V14.75C16.25 12.9551 17.7051 11.5 19.5 11.5C20.3936 11.5 21.2045 11.8619 21.791 12.4448L22.5003 13.1498L21.0904 14.5683L20.3811 13.8634C20.1541 13.6377 19.8441 13.5 19.5 13.5ZM16.999 17.5V20H21.999V17.5H16.999Z"
      }
    }]
  };
  var folderUnlocked = vue.defineComponent({
    name: "FolderUnlockedIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-folder-unlocked", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$jl(_objectSpread$jl({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$jj, finalProps.value);
    }
  });

  function ownKeys$jk(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$jk(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$jk(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$jk(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$ji = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M9.48063 2.5L11.4806 5H23V21H1V2.5H9.48063ZM14 19H16.0039V17.0039H18.0039V15H16.0039V13.0039H18.0039V11H16.0039V9.00391H18.0039V7H16V9H14V11.0039H16V13H14V15.0039H16V17H14V19Z"
      }
    }]
  };
  var folderZipFilled = vue.defineComponent({
    name: "FolderZipFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-folder-zip-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$jk(_objectSpread$jk({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$ji, finalProps.value);
    }
  });

  function ownKeys$jj(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$jj(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$jj(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$jj(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$jh = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M1 2.5H9.48063L11.4806 5H23V21H1V2.5ZM3 4.5V19H14V17H16V15.0039H14V13H16V11.0039H14V9H16V7H10.5194L8.51937 4.5H3ZM16.0039 9.00391V11H18.0039V13.0039H16.0039V15H18.0039V17.0039H16.0039V19H21V7H18.0039V9.00391H16.0039Z"
      }
    }]
  };
  var folderZip = vue.defineComponent({
    name: "FolderZipIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-folder-zip", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$jj(_objectSpread$jj({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$jh, finalProps.value);
    }
  });

  function ownKeys$ji(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$ji(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$ji(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$ji(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$jg = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M1 2.5L9.48063 2.5L11.4806 5L23 5L23 21L1 21L1 2.5ZM3 4.5L3 19L21 19L21 7L10.5194 7L8.51937 4.5L3 4.5Z"
      }
    }]
  };
  var folder = vue.defineComponent({
    name: "FolderIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-folder", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$ji(_objectSpread$ji({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$jg, finalProps.value);
    }
  });

  function ownKeys$jh(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$jh(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$jh(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$jh(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$jf = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M7.00094 0.213867L12.001 13.2139L17.001 0.213867L23.457 17.0001L18.001 16.9998V22H16.001V16.9997H8.00096V22H6.00096V16.9998L0.544922 17.0001L7.00094 0.213867Z"
      }
    }]
  };
  var forestFilled = vue.defineComponent({
    name: "ForestFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-forest-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$jh(_objectSpread$jh({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$jf, finalProps.value);
    }
  });

  function ownKeys$jg(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$jg(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$jg(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$jg(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$je = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M6.99997 0.213867L12 13.2139L17 0.213867L23.456 17.0001L18 16.9998V22H16V16.9997H7.99998V22H5.99998V16.9998L0.543945 17.0001L6.99997 0.213867ZM7.99998 14.9997L10.544 14.9996L7.99998 8.38526V14.9997ZM5.99998 8.38542L3.45602 14.9999L5.99998 14.9998V8.38542ZM13.456 14.9996L16 14.9997V8.38526L13.456 14.9996ZM18 8.38542V14.9998L20.5439 14.9999L18 8.38542Z"
      }
    }]
  };
  var forest = vue.defineComponent({
    name: "ForestIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-forest", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$jg(_objectSpread$jg({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$je, finalProps.value);
    }
  });

  function ownKeys$jf(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$jf(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$jf(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$jf(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$jd = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M19.5 1C17.567 1 16 2.567 16 4.5C16 6.08551 17.0543 7.42479 18.5 7.85506V9.99996C18.5 10.5522 18.0523 11 17.5 11H6.5C5.94772 11 5.5 10.5522 5.5 9.99996L5.5 7.85506C6.94574 7.42479 8 6.08551 8 4.5C8 2.567 6.433 1 4.5 1C2.567 1 1 2.567 1 4.5C1 6.08551 2.05425 7.42479 3.5 7.85506V9.99996C3.5 11.6568 4.84315 13 6.5 13H11L11 16.1449C9.55426 16.5752 8.5 17.9145 8.5 19.5C8.5 21.433 10.067 23 12 23C13.933 23 15.5 21.433 15.5 19.5C15.5 17.9145 14.4457 16.5752 13 16.1449L13 13H17.5C19.1569 13 20.5 11.6568 20.5 9.99996V7.85506C21.9457 7.42479 23 6.08551 23 4.5C23 2.567 21.433 1 19.5 1Z"
      }
    }]
  };
  var forkFilled = vue.defineComponent({
    name: "ForkFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-fork-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$jf(_objectSpread$jf({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$jd, finalProps.value);
    }
  });

  function ownKeys$je(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$je(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$je(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$je(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$jc = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M12 21C13.1046 21 14 20.1046 14 19C14 17.8954 13.1046 17 12 17C10.8954 17 10 17.8954 10 19C10 20.1046 10.8954 21 12 21ZM13 15.126C14.7252 15.5701 16 17.1362 16 19C16 21.2091 14.2091 23 12 23C9.79086 23 8 21.2091 8 19C8 17.1362 9.27477 15.5701 11 15.126L11 13L7 13C5.34314 13 4 11.6569 4 10L4 8.87398C2.27477 8.42994 0.999997 6.86384 0.999997 5C0.999996 2.79086 2.79086 1 5 0.999999C7.20914 0.999999 9 2.79086 9 5C9 6.86384 7.72522 8.42994 6 8.87398L6 10C6 10.5523 6.44771 11 7 11L17 11C17.5523 11 18 10.5523 18 10L18 8.87398C16.2748 8.42994 15 6.86384 15 5C15 2.79086 16.7909 0.999997 19 0.999997C21.2091 0.999996 23 2.79086 23 5C23 6.86384 21.7252 8.42994 20 8.87398L20 10C20 11.6569 18.6569 13 17 13L13 13L13 15.126ZM4.99721 7L5.00279 7C6.10608 6.99849 7 6.10364 7 5C7 3.89543 6.10457 3 5 3C3.89543 3 3 3.89543 3 5C3 6.10364 3.89392 6.99849 4.99721 7ZM19 7C20.1046 7 21 6.10456 21 5C21 3.89543 20.1046 3 19 3C17.8954 3 17 3.89543 17 5C17 6.10457 17.8954 7 19 7Z"
      }
    }]
  };
  var fork = vue.defineComponent({
    name: "ForkIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-fork", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$je(_objectSpread$je({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$jc, finalProps.value);
    }
  });

  function ownKeys$jd(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$jd(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$jd(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$jd(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$jb = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M2 2H22V7H2V2zM2 9H22V22L2 22V9zM18 14.5V12.5H6V14.5L18 14.5zM14 18.5V16.5L6 16.5V18.5L14 18.5z"
      }
    }]
  };
  var formFilled = vue.defineComponent({
    name: "FormFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-form-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$jd(_objectSpread$jd({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$jb, finalProps.value);
    }
  });

  function ownKeys$jc(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$jc(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$jc(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$jc(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$ja = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M2 2H22V22L2 22V2ZM4 4V7H20V4H4ZM20 9H4V20L20 20V9ZM6 11.5L18 11.5V13.5L6 13.5V11.5ZM6 15.5L14 15.5V17.5L6 17.5L6 15.5Z"
      }
    }]
  };
  var form = vue.defineComponent({
    name: "FormIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-form", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$jc(_objectSpread$jc({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$ja, finalProps.value);
    }
  });

  function ownKeys$jb(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$jb(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$jb(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$jb(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$j9 = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M6 2V22H4V2H6ZM20 2V22H18L18 2L20 2ZM13 8L13 22H11L11 8H13Z"
      }
    }]
  };
  var formatHorizontalAlignBottom = vue.defineComponent({
    name: "FormatHorizontalAlignBottomIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-format-horizontal-align-bottom", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$jb(_objectSpread$jb({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$j9, finalProps.value);
    }
  });

  function ownKeys$ja(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$ja(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$ja(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$ja(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$j8 = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M6 2V22H4V2H6ZM20 2V22H18L18 2L20 2ZM13 5L13 19H11L11 5H13Z"
      }
    }]
  };
  var formatHorizontalAlignCenter = vue.defineComponent({
    name: "FormatHorizontalAlignCenterIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-format-horizontal-align-center", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$ja(_objectSpread$ja({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$j8, finalProps.value);
    }
  });

  function ownKeys$j9(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$j9(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$j9(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$j9(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$j7 = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M6 2V22H4V2H6ZM13 2L13 16H11L11 2L13 2ZM20 2V22H18L18 2L20 2Z"
      }
    }]
  };
  var formatHorizontalAlignTop = vue.defineComponent({
    name: "FormatHorizontalAlignTopIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-format-horizontal-align-top", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$j9(_objectSpread$j9({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$j7, finalProps.value);
    }
  });

  function ownKeys$j8(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$j8(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$j8(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$j8(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$j6 = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M2 4H3H21H22V6H21H3H2V4ZM5 11H6H18H19V13H18H6H5V11ZM3 18H2V20H3H21H22V18H21H3Z"
      }
    }]
  };
  var formatVerticalAlignCenter = vue.defineComponent({
    name: "FormatVerticalAlignCenterIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-format-vertical-align-center", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$j8(_objectSpread$j8({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$j6, finalProps.value);
    }
  });

  function ownKeys$j7(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$j7(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$j7(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$j7(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$j5 = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M2 4H3H21H22V6H21H3H2V4ZM2 11H3H15H16V13H15H3H2V11ZM3 18H2V20H3H21H22V18H21H3Z"
      }
    }]
  };
  var formatVerticalAlignLeft = vue.defineComponent({
    name: "FormatVerticalAlignLeftIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-format-vertical-align-left", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$j7(_objectSpread$j7({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$j5, finalProps.value);
    }
  });

  function ownKeys$j6(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$j6(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$j6(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$j6(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$j4 = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M2 4H3H21H22V6H21H3H2V4ZM8 11H9H21H22V13H21H9H8V11ZM3 18H2V20H3H21H22V18H21H3Z"
      }
    }]
  };
  var formatVerticalAlignRight = vue.defineComponent({
    name: "FormatVerticalAlignRightIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-format-vertical-align-right", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$j6(_objectSpread$j6({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$j4, finalProps.value);
    }
  });

  function ownKeys$j5(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$j5(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$j5(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$j5(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$j3 = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M12.75 4.33594V11.3359L5.75 4.33594V19.6644L12.75 12.6644V19.6644L20.4142 12.0002L12.75 4.33594Z"
      }
    }]
  };
  var forwardFilled = vue.defineComponent({
    name: "ForwardFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-forward-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$j5(_objectSpread$j5({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$j3, finalProps.value);
    }
  });

  function ownKeys$j4(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$j4(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$j4(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$j4(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$j2 = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M12.75 4.33594V11.3359L5.75 4.33594V19.6644L12.75 12.6644V19.6644L20.4142 12.0002L12.75 4.33594ZM17.5858 12.0002L14.75 14.8359V9.16436L17.5858 12.0002ZM10.5858 12.0002L7.75 14.8359V9.16436L10.5858 12.0002Z"
      }
    }]
  };
  var forward = vue.defineComponent({
    name: "ForwardIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-forward", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$j4(_objectSpread$j4({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$j2, finalProps.value);
    }
  });

  function ownKeys$j3(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$j3(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$j3(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$j3(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$j1 = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M2 2H7.33057L7.33057 22H2V2zM9.33471 2H14.6653V22H9.33471V2zM22 2H16.6694V22H22V2z"
      }
    }]
  };
  var frame1Filled = vue.defineComponent({
    name: "Frame1FilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-frame-1-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$j3(_objectSpread$j3({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$j1, finalProps.value);
    }
  });

  function ownKeys$j2(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$j2(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$j2(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$j2(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$j0 = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M2 2L22 2L22 22L2 22L2 2ZM4 4L4 20H8L8 4L4 4ZM10 4L10 20L14 20L14 4L10 4ZM16 4L16 20H20L20 4L16 4Z"
      }
    }]
  };
  var frame1 = vue.defineComponent({
    name: "Frame1Icon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-frame-1", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$j2(_objectSpread$j2({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$j0, finalProps.value);
    }
  });

  function ownKeys$j1(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$j1(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$j1(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$j1(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$i$ = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M11 2H2V11H11V2zM13 2V11H22V2H13zM22 13H13V22H22V13zM11 22V13H2V22H11z"
      }
    }]
  };
  var frameFilled = vue.defineComponent({
    name: "FrameFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-frame-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$j1(_objectSpread$j1({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$i$, finalProps.value);
    }
  });

  function ownKeys$j0(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$j0(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$j0(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$j0(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$i_ = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M2 2L22 2L22 22L2 22L2 2ZM4 4L4 11L11 11L11 4L4 4ZM13 4L13 11L20 11V4L13 4ZM20 13L13 13L13 20L20 20L20 13ZM11 20L11 13L4 13L4 20H11Z"
      }
    }]
  };
  var frame = vue.defineComponent({
    name: "FrameIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-frame", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$j0(_objectSpread$j0({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$i_, finalProps.value);
    }
  });

  function ownKeys$i$(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$i$(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$i$(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$i$(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$iZ = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M21.0001 4.52967L17.4646.994141 15.3432 3.11546 13.2219.994141 9.31493 4.90115 7.8009 3.38712 4.79958 8.39001 15.6098 19.2002 20.6122 16.1984 19.2144 14.8006 22.4143 11.6007 20.293 9.47942 22.4143 7.3581 20.293 5.23678 21.0001 4.52967zM13.5576 9.14379L12.8505 8.43668 17.4646 3.82257 18.1717 4.52968 13.5576 9.14379zM14.9718 10.558L18.8788 6.651 19.5859 7.3581 15.6789 11.2651 14.9718 10.558zM17.8002 13.3864L17.0931 12.6793 18.8788 10.8936 19.5859 11.6007 17.8002 13.3864zM11.4362 7.02247L10.7291 6.31536 13.2219 3.82257 13.929 4.52968 11.4362 7.02247zM13.8421 20.261L3.73901 10.1579.740967 15.1553 8.84514 23.2595 13.8421 20.261z"
      }
    }]
  };
  var friesFilled = vue.defineComponent({
    name: "FriesFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-fries-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$i$(_objectSpread$i$({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$iZ, finalProps.value);
    }
  });

  function ownKeys$i_(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$i_(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$i_(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$i_(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$iY = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M17.4648 0.994141L21.0003 4.52967L20.2932 5.23678L22.4146 7.3581L20.2932 9.47942L22.4146 11.6007L19.2147 14.8006L20.6124 16.1984L8.84539 23.2595L0.741211 15.1553L7.80114 3.38712L9.31517 4.90115L13.2222 0.994141L15.3435 3.11546L17.4648 0.994141ZM12.8507 8.43668L13.5578 9.14379L18.1719 4.52968L17.4648 3.82257L12.8507 8.43668ZM18.879 6.651L14.972 10.558L15.6791 11.2651L19.5861 7.3581L18.879 6.651ZM17.0933 12.6793L17.8005 13.3864L19.5861 11.6007L18.879 10.8936L17.0933 12.6793ZM17.3869 15.8013L8.19822 6.61262L6.25888 9.84485L14.1547 17.7407L17.3869 15.8013ZM12.387 18.8014L5.19834 11.6127L3.25946 14.8451L9.15529 20.741L12.387 18.8014ZM10.7294 6.31536L11.4365 7.02247L13.9293 4.52968L13.2222 3.82257L10.7294 6.31536Z"
      }
    }]
  };
  var fries = vue.defineComponent({
    name: "FriesIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-fries", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$i_(_objectSpread$i_({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$iY, finalProps.value);
    }
  });

  function ownKeys$iZ(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$iZ(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$iZ(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$iZ(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$iX = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M4 4H10V6H6V10H4V4ZM14 4H20V10H18V6H14V4ZM6 14V18H10V20H4V14H6ZM20 14V20H14V18H18V14H20Z"
      }
    }]
  };
  var fullscreen1 = vue.defineComponent({
    name: "Fullscreen1Icon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-fullscreen-1", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$iZ(_objectSpread$iZ({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$iX, finalProps.value);
    }
  });

  function ownKeys$iY(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$iY(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$iY(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$iY(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$iW = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M4 4H10V6H7.41421L10.4142 9L9 10.4142L6 7.41421V10H4V4ZM14 4H20V10H18V7.41421L15 10.4142L13.5858 9L16.5858 6H14V4ZM10.4142 15L7.41421 18H10V20H4V14H6V16.5858L9 13.5858L10.4142 15ZM15 13.5858L18 16.5858V14H20V20H14V18H16.5858L13.5858 15L15 13.5858Z"
      }
    }]
  };
  var fullscreen2 = vue.defineComponent({
    name: "Fullscreen2Icon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-fullscreen-2", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$iY(_objectSpread$iY({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$iW, finalProps.value);
    }
  });

  function ownKeys$iX(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$iX(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$iX(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$iX(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$iV = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M14 20V14H20V16H16V20H14ZM8 20V16H4V14H10V20H8ZM20 10H14V4H16V8H20V10ZM10 10H4V8H8V4H10V10Z"
      }
    }]
  };
  var fullscreenExit1 = vue.defineComponent({
    name: "FullscreenExit1Icon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-fullscreen-exit-1", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$iX(_objectSpread$iX({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$iV, finalProps.value);
    }
  });

  function ownKeys$iW(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$iW(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$iW(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$iW(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$iU = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M20.4144 5.00003L15.9144 9.50003H20.0002V11.5H12.5002V4.00003H14.5002V8.08582L19.0002 3.58582L20.4144 5.00003ZM4.00015 12.5H11.5002V20H9.50015V15.9142L5.00015 20.4142L3.58594 19L8.08594 14.5H4.00015V12.5Z"
      }
    }]
  };
  var fullscreenExit = vue.defineComponent({
    name: "FullscreenExitIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-fullscreen-exit", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$iW(_objectSpread$iW({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$iU, finalProps.value);
    }
  });

  function ownKeys$iV(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$iV(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$iV(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$iV(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$iT = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M12 4.5H19.5V12H17.5V7.91421L7.91421 17.5H12V19.5H4.5V12H6.5V16.0858L16.0858 6.5H12V4.5Z"
      }
    }]
  };
  var fullscreen = vue.defineComponent({
    name: "FullscreenIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-fullscreen", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$iV(_objectSpread$iV({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$iT, finalProps.value);
    }
  });

  function ownKeys$iU(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$iU(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$iU(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$iU(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$iS = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M8 2L8 15H16.7899C16.9078 14.7422 17.0212 14.4752 17.1302 14.1998C18.3233 11.1848 18.8713 7.46033 19.0013 4.94832L19.053 3.94965L21.0503 4.05302L20.9987 5.05168C20.862 7.69247 20.29 11.6504 18.9898 14.9358C18.9814 14.9572 18.9728 14.9786 18.9643 15H22V17H18.0154C17.5388 17.8431 16.9861 18.6101 16.3446 19.2426C15.1852 20.3857 13.715 21.1037 11.9351 20.9879C10.3655 20.8857 9.06814 20.2149 8 19.2224V22H6V17H2V15H5.20296C5.13734 14.8481 5.07384 14.6958 5.0124 14.5432C3.71255 11.3156 3.13875 7.54614 3.00151 5.05501L2.94651 4.05652L4.94348 3.94651L4.99849 4.94499C5.09105 6.6252 5.39678 8.91344 6 11.1647L6 2H8ZM8.65924 17C9.61785 18.1876 10.7504 18.9065 12.0649 18.9921C13.165 19.0636 14.1014 18.6456 14.9404 17.8184C15.1847 17.5775 15.4186 17.3035 15.642 17H8.65924Z"
      }
    }]
  };
  var functionCurve = vue.defineComponent({
    name: "FunctionCurveIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-function-curve", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$iU(_objectSpread$iU({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$iS, finalProps.value);
    }
  });

  function ownKeys$iT(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$iT(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$iT(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$iT(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$iR = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M2 5C2 3.89543 2.89543 3 4 3H12V5H4V11H12V13H4V21H2V5ZM22 9.99999L22 12.1363C22 12.7327 21.7339 13.298 21.2742 13.6779L19.0696 15.5L21.2742 17.3221C21.7338 17.702 22 18.2673 22 18.8637L22 21L20 21L20 18.8637L17.5 16.7974L15 18.8637L15 21L13 21L13 18.8637C13 18.2673 13.2662 17.702 13.7258 17.3221L15.9304 15.5L13.7258 13.6779C13.2662 13.298 13 12.7327 13 12.1363L13 10L15 10L15 12.1363L17.5 14.2026L20 12.1363L20 10L22 9.99999Z"
      }
    }]
  };
  var functions1 = vue.defineComponent({
    name: "Functions1Icon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-functions-1", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$iT(_objectSpread$iT({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$iR, finalProps.value);
    }
  });

  function ownKeys$iS(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$iS(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$iS(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$iS(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$iQ = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M4 3H20V5H7.13955L15.4151 12L7.13955 19H20V21H4V19.0361L12.3182 12L4 4.9639V3Z"
      }
    }]
  };
  var functions = vue.defineComponent({
    name: "FunctionsIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-functions", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$iS(_objectSpread$iS({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$iQ, finalProps.value);
    }
  });

  function ownKeys$iR(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$iR(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$iR(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$iR(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$iP = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M11 4V6H2V20H22V6H13V4H17V2H13C11.8954 2 11 2.89543 11 4ZM9 10V12H11V14H9V16H7V14H5V12H7V10H9ZM15 10H17.0035V12H19.0035V14.004H17.0035V16.004H15V14.004H13V12H15V10ZM15.0035 12.004V14H17V12.004H15.0035Z"
      }
    }]
  };
  var gamepad1Filled = vue.defineComponent({
    name: "Gamepad1FilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-gamepad-1-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$iR(_objectSpread$iR({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$iP, finalProps.value);
    }
  });

  function ownKeys$iQ(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$iQ(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$iQ(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$iQ(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$iO = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M11 4C11 2.89543 11.8954 2 13 2H17V4H13V6H22V20H2V6H11V4ZM4 8V18H20V8H4ZM9 10V12H11V14H9V16H7V14H5V12H7V10H9ZM15 10H17.0035V12H19.0035V14.004H17.0035V16.004H15V14.004H13V12H15V10ZM15.0035 12.004V14H17V12.004H15.0035Z"
      }
    }]
  };
  var gamepad1 = vue.defineComponent({
    name: "Gamepad1Icon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-gamepad-1", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$iQ(_objectSpread$iQ({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$iO, finalProps.value);
    }
  });

  function ownKeys$iP(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$iP(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$iP(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$iP(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$iN = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M21.9395 3H2.06055L0.935547 21H7.72076L8.72076 18H15.2792L16.2792 21H23.0645L21.9395 3ZM11 9.5V11.5H9V13.5H7L7 11.5L5 11.5V9.5H7V7.5H9V9.5L11 9.5ZM16 7.5H18.0039V9.50391H16V7.5ZM18.0039 11.4961V13.5H16V11.4961H18.0039Z"
      }
    }]
  };
  var gamepadFilled = vue.defineComponent({
    name: "GamepadFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-gamepad-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$iP(_objectSpread$iP({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$iN, finalProps.value);
    }
  });

  function ownKeys$iO(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$iO(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$iO(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$iO(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$iM = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M2.06055 3H21.9394L23.0644 21H16.2792L15.2792 18H8.72076L7.72076 21H0.935547L2.06055 3ZM3.93945 5L3.06445 19H6.27924L7.27924 16H16.7208L17.7208 19H20.9355L20.0605 5H3.93945ZM9 7.5V9.5L11 9.5V11.5H9V13.5H7L7 11.5L5 11.5L5 9.5H7V7.5H9ZM16 7.5H18.0039V9.50391H16V7.5ZM16 11.4961H18.0039V13.5H16V11.4961Z"
      }
    }]
  };
  var gamepad = vue.defineComponent({
    name: "GamepadIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-gamepad", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$iO(_objectSpread$iO({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$iM, finalProps.value);
    }
  });

  function ownKeys$iN(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$iN(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$iN(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$iN(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$iL = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M6.26231 1.45703L12.8307 14.2038L18.5015 1.67661L20.3235 2.50139L13.889 16.7158V22H11.889V16.7425L6.18229 5.66799L4.37945 8.86239L2.6377 7.87939L6.26231 1.45703Z"
      }
    }]
  };
  var gamma = vue.defineComponent({
    name: "GammaIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-gamma", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$iN(_objectSpread$iN({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$iL, finalProps.value);
    }
  });

  function ownKeys$iM(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$iM(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$iM(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$iM(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$iK = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M14.6488 2.00005V0.195801L8.5 4.15756C8.93879 4.7735 9.19161 5.47283 9.30843 6.20754C9.58723 7.96087 9.0912 9.91567 8.49976 11.4197C6.20884 16.4663 6.45993 20.5529 8.94494 22.2446C9.15608 22.3883 9.39476 22.5204 9.66348 22.6324C9.6635 22.6324 9.66346 22.6324 9.66348 22.6324C10.1991 22.8559 10.8541 23.0001 11.6483 23.0001C14.726 23.0001 16.3615 20.4924 15.8945 17.5734C15.7073 16.4037 15.2655 15.3468 14.8631 14.384C14.2612 12.944 13.7472 11.7145 14.3048 10.6332C14.3804 10.4866 14.4502 10.3434 14.5146 10.2039C14.1987 11.8326 14.9066 12.8259 15.7558 14.0177C16.3497 14.8511 17.0128 15.7815 17.4431 17.094C18.1804 19.3425 17.7248 21.5241 16.2934 22.8886C18.4071 22.9856 20.0409 22.4469 21.1924 21.391C22.7392 19.9726 23.1517 17.8587 22.9493 15.943C22.6458 13.0706 20.4209 10.461 18.5388 8.78656C16.4195 6.90099 14.6488 5.30194 14.6488 2.00005Z"
      }
    }, {
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M7.27505 8.47933C6.89071 8.76038 6.50031 9.01684 6.08574 9.28918C5.71968 9.52965 5.33466 9.78259 4.91847 10.0757C3.95772 10.7522 2.96562 11.5631 2.22137 12.6798C1.46396 13.8161 0.999927 15.2125 1 17.0016C1.00013 20.1022 2.73113 22.9998 6.64811 22.9998C6.69013 22.9998 6.73179 22.9997 6.77313 22.9993C5.58863 21.7228 5.01885 20.0103 4.93355 18.1835C4.82788 15.9204 5.44163 13.333 6.65623 10.6425C6.92067 9.96276 7.14678 9.21724 7.27505 8.47933Z"
      }
    }]
  };
  var garlicFilled = vue.defineComponent({
    name: "GarlicFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-garlic-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$iM(_objectSpread$iM({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$iK, finalProps.value);
    }
  });

  function ownKeys$iL(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$iL(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$iL(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$iL(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$iJ = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M15.5002 0.280273V1.99992C15.5002 2.10965 15.4988 2.22351 15.4972 2.34156C15.4878 3.07644 15.4762 3.97376 15.8036 5.04915C16.1753 6.26971 17.0087 7.76821 18.9454 9.34268C21.1031 11.0968 22.9564 14.1454 22.9997 16.9847C23.0239 18.5726 22.4835 20.1229 21.1833 21.2612C19.8996 22.3851 17.9984 22.9999 15.4998 22.9999C15.0013 22.9999 14.544 22.7934 14.2955 22.6655C13.5784 22.9119 12.7924 22.9999 11.9998 22.9999C11.0816 22.9999 10.3496 22.8072 9.77291 22.5221C9.63701 22.5689 9.47631 22.6203 9.29465 22.6715C8.71865 22.8336 7.90946 22.9999 6.99979 22.9999C4.0516 22.9999 2.26295 20.4737 1.87507 17.8397C1.47904 15.1505 2.42438 11.9502 5.25946 9.97472C6.42888 9.15984 7.50067 8.26233 8.31593 7.50847C8.72321 7.13188 9.06107 6.79612 9.31115 6.52982C9.41681 6.41731 9.50395 6.32023 9.57251 6.24002C9.5652 5.56635 9.46489 5.07995 9.376 4.64895C9.37044 4.622 9.36493 4.59526 9.35949 4.56871L9.21372 3.85771L15.5002 0.280273ZM9.02526 9.55939C8.26659 10.2219 7.36854 10.9427 6.40288 11.6156C4.27633 13.0974 3.55201 15.4995 3.85373 17.5483C4.16358 19.6524 5.44005 20.9999 6.99979 20.9999C7.3536 20.9999 7.69257 20.9656 8.00098 20.9144C6.6412 18.8368 6.55659 15.4315 8.37784 11.4196C8.64739 10.7341 8.8595 10.1165 9.02526 9.55939ZM16.4642 20.9622C18.1052 20.828 19.1872 20.3506 19.8659 19.7564C20.653 19.0673 21.0167 18.1177 20.9999 17.0152C20.9678 14.9136 19.5098 12.3791 17.6838 10.8946C15.4594 9.08624 14.3856 7.25832 13.8904 5.6317C13.6768 4.93019 13.5755 4.27475 13.5291 3.70314L11.4561 4.8828C11.5302 5.3377 11.59 5.90698 11.5684 6.61268C11.5274 7.94891 11.1989 9.71718 10.2291 12.1768L10.2196 12.201L10.2088 12.2246C8.05533 16.9515 9.15477 19.7285 10.4221 20.5912C10.709 20.7865 11.1924 20.9999 11.9998 20.9999C12.8291 20.9999 13.4717 20.8808 13.9431 20.6521C14.4403 20.4109 14.8111 20.0199 15.0125 19.3165C15.2278 18.5643 15.2546 17.424 14.9077 15.7319C14.7398 14.9129 14.4743 14.2203 14.1706 13.4281C14.1342 13.3331 14.0972 13.2366 14.0598 13.1384C13.715 12.2326 13.3537 11.22 13.1641 9.92523L13.0192 8.93579L14.9981 8.646L15.1429 9.63545C15.3001 10.7086 15.5976 11.5566 15.9289 12.4267C15.9649 12.5212 16.0016 12.6166 16.0386 12.713C16.3382 13.4926 16.664 14.3402 16.8669 15.3302C17.245 17.1743 17.276 18.6765 16.9353 19.8669C16.8189 20.2733 16.6605 20.6381 16.4642 20.9622Z"
      }
    }]
  };
  var garlic = vue.defineComponent({
    name: "GarlicIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-garlic", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$iL(_objectSpread$iL({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$iJ, finalProps.value);
    }
  });

  function ownKeys$iK(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$iK(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$iK(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$iK(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$iI = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M12 4.00635C14.7614 4.00635 17 6.24492 17 9.00635C17 11.6834 14.8962 13.869 12.2517 14.0001H11.7483C9.10382 13.869 7 11.6834 7 9.00635C7 6.24492 9.23858 4.00635 12 4.00635ZM13 15.9355C16.3923 15.4502 19 12.5328 19 9.00635C19 5.14035 15.866 2.00635 12 2.00635C8.13401 2.00635 5 5.14035 5 9.00635C5 12.5328 7.60771 15.4502 11 15.9355L11 17.0001H8V19.0001H11L11 22.0001H13L13 19.0001H16V17.0001L13 17.0001V15.9355Z"
      }
    }]
  };
  var genderFemale = vue.defineComponent({
    name: "GenderFemaleIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-gender-female", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$iK(_objectSpread$iK({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$iI, finalProps.value);
    }
  });

  function ownKeys$iJ(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$iJ(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$iJ(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$iJ(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$iH = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M13.5 3H21V10.5H19V6.41421L15.6064 9.80783C16.4816 10.9764 17 12.4277 17 14C17 17.866 13.866 21 10 21C6.13401 21 3 17.866 3 14C3 10.134 6.13401 7 10 7C11.5723 7 13.0236 7.5184 14.1922 8.39362L17.5858 5H13.5V3ZM10 9C7.23858 9 5 11.2386 5 14C5 16.7614 7.23858 19 10 19C12.7614 19 15 16.7614 15 14C15 11.2386 12.7614 9 10 9Z"
      }
    }]
  };
  var genderMale = vue.defineComponent({
    name: "GenderMaleIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-gender-male", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$iJ(_objectSpread$iJ({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$iH, finalProps.value);
    }
  });

  function ownKeys$iI(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$iI(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$iI(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$iI(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$iG = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M3.00015 0.585938L5.41436 3.00015L4.00015 4.41436L1.58594 2.00015L3.00015 0.585938ZM22.4144 2.00015L20.0002 4.41436L18.5859 3.00015L21.0002 0.585938L22.4144 2.00015ZM10.3566 3.30271C10.0441 3.2966 9.77107 3.51304 9.70576 3.81877L7.42519 14.4933L6.20845 15.71L8.90974 18.4113L10.4369 16.8841C10.7951 16.5259 10.9964 16.0401 10.9964 15.5335L10.9964 3.9551C10.9964 3.5997 10.712 3.30966 10.3566 3.30271ZM7.74989 3.4009C8.01542 2.15809 9.12513 1.27824 10.3957 1.30309C11.0026 1.31497 11.5585 1.52992 11.9992 1.88235C12.4399 1.52992 12.9958 1.31497 13.6026 1.30309C14.8733 1.27824 15.983 2.15809 16.2485 3.4009L18.4055 13.4972L22.6761 17.7678L17.1464 23.2975L12.1473 18.2983C12.0963 18.2474 12.047 18.1952 11.9992 18.1419C11.9514 18.1952 11.902 18.2474 11.8511 18.2983L6.85199 23.2975L1.32227 17.7678L5.59287 13.4972L7.74989 3.4009ZM14.2926 3.81877C14.2273 3.51304 13.9543 3.2966 13.6418 3.30271C13.2864 3.30966 13.002 3.5997 13.002 3.9551L13.002 15.5335C13.002 16.0401 13.2033 16.5259 13.5615 16.8841L15.0886 18.4113L17.7899 15.71L16.5732 14.4933L14.2926 3.81877ZM5.41436 7.00015L3.00015 9.41436L1.58594 8.00015L4.00015 5.58594L5.41436 7.00015ZM20.0002 5.58594L22.4144 8.00015L21.0002 9.41436L18.5859 7.00015L20.0002 5.58594Z"
      }
    }]
  };
  var gestureApplauseFilled = vue.defineComponent({
    name: "GestureApplauseFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-gesture-applause-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$iI(_objectSpread$iI({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$iG, finalProps.value);
    }
  });

  function ownKeys$iH(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$iH(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$iH(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$iH(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$iF = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M3.00015 0.585938L5.41436 3.00015L4.00015 4.41436L1.58594 2.00015L3.00015 0.585938ZM22.4144 2.00015L20.0002 4.41436L18.5859 3.00015L21.0002 0.585938L22.4144 2.00015ZM10.3566 3.30271C10.0441 3.2966 9.77107 3.51304 9.70576 3.81877L7.42519 14.4933L6.20845 15.71L8.90974 18.4113L10.4369 16.8841C10.7951 16.5259 10.9964 16.0401 10.9964 15.5335L10.9964 3.9551C10.9964 3.5997 10.712 3.30966 10.3566 3.30271ZM7.49553 19.8255L4.79423 17.1242L4.15069 17.7678L6.85199 20.4691L7.49553 19.8255ZM7.74989 3.4009C8.01542 2.15809 9.12513 1.27824 10.3957 1.30309C11.0026 1.31497 11.5585 1.52992 11.9992 1.88235C12.4399 1.52992 12.9958 1.31497 13.6026 1.30309C14.8733 1.27824 15.983 2.15809 16.2485 3.4009L18.4055 13.4972L22.6761 17.7678L17.1464 23.2975L12.1473 18.2983C12.0963 18.2474 12.047 18.1952 11.9992 18.1419C11.9514 18.1952 11.902 18.2474 11.8511 18.2983L6.85199 23.2975L1.32227 17.7678L5.59287 13.4972L7.74989 3.4009ZM14.2926 3.81877C14.2273 3.51304 13.9543 3.2966 13.6418 3.30271C13.2864 3.30966 13.002 3.5997 13.002 3.9551L13.002 15.5335C13.002 16.0401 13.2033 16.5259 13.5615 16.8841L15.0886 18.4113L17.7899 15.71L16.5732 14.4933L14.2926 3.81877ZM19.2042 17.1242L16.5029 19.8255L17.1464 20.4691L19.8477 17.7678L19.2042 17.1242ZM5.41436 7.00015L3.00015 9.41436L1.58594 8.00015L4.00015 5.58594L5.41436 7.00015ZM20.0002 5.58594L22.4144 8.00015L21.0002 9.41436L18.5859 7.00015L20.0002 5.58594Z"
      }
    }]
  };
  var gestureApplause = vue.defineComponent({
    name: "GestureApplauseIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-gesture-applause", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$iH(_objectSpread$iH({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$iF, finalProps.value);
    }
  });

  function ownKeys$iG(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$iG(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$iG(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$iG(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$iE = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M10 3.91421V.5H12V3.91421H10zM7.41436 5.49917L5.00015 3.08496 3.58594 4.49917 6.00015 6.91339 7.41436 5.49917zM10.9999 4.81055C9.75169 4.81055 8.73986 5.82239 8.73986 7.07055V15.1342L6.06333 14.6054C5.31798 14.4582 4.55733 14.7744 4.13607 15.4067L3.18652 16.8319 7.48485 22.4232C8.00666 23.1019 8.81424 23.4997 9.67042 23.4997H16.7559C17.9427 23.4997 18.9963 22.7402 19.3714 21.6143L21.1538 16.2637C21.566 15.0262 21.0545 13.6691 19.928 13.0116L16.3033 10.8959C15.8816 10.6497 15.402 10.52 14.9137 10.52H13.2599V7.07055C13.2599 5.82238 12.248 4.81055 10.9999 4.81055zM16.9998 3.08496L14.5856 5.49917 15.9998 6.91339 18.4141 4.49917 16.9998 3.08496z"
      }
    }]
  };
  var gestureClickFilled = vue.defineComponent({
    name: "GestureClickFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-gesture-click-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$iG(_objectSpread$iG({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$iE, finalProps.value);
    }
  });

  function ownKeys$iF(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$iF(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$iF(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$iF(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$iD = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M11.9999 0.5V3.91421H9.99986V0.5H11.9999ZM4.99986 3.08481L7.41407 5.49902L5.99986 6.91324L3.58564 4.49902L4.99986 3.08481ZM18.4141 4.49902L15.9999 6.91324L14.5856 5.49902L16.9999 3.08481L18.4141 4.49902ZM10.9997 6.81C10.5823 6.81 10.244 7.14833 10.244 7.56568V17.5973L5.74583 16.5971L5.64522 16.7481L9.07046 21.2037C9.2137 21.39 9.43539 21.4992 9.67042 21.4992H16.7559C17.0817 21.4992 17.3709 21.2907 17.4739 20.9816L19.2563 15.6311C19.3695 15.2914 19.229 14.9188 18.9198 14.7383L15.2951 12.6226C15.1794 12.5551 15.0477 12.5195 14.9137 12.5195H11.7553V7.56568C11.7553 7.14833 11.417 6.81 10.9997 6.81ZM8.24398 7.56568C8.24398 6.04376 9.47774 4.81 10.9997 4.81C12.5216 4.81 13.7553 6.04376 13.7553 7.56568V10.5195H14.9137C15.402 10.5195 15.8816 10.6492 16.3033 10.8954L19.928 13.0111C21.0545 13.6686 21.566 15.0257 21.1538 16.2632L19.3714 21.6137C18.9963 22.7397 17.9427 23.4992 16.7559 23.4992H9.67042C8.81424 23.4992 8.00666 23.1014 7.48485 22.4226L3.18652 16.8313L4.12764 15.4188C4.55791 14.773 5.34103 14.4583 6.09855 14.6267L8.24398 15.1038V7.56568Z"
      }
    }]
  };
  var gestureClick = vue.defineComponent({
    name: "GestureClickIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-gesture-click", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$iF(_objectSpread$iF({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$iD, finalProps.value);
    }
  });

  function ownKeys$iE(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$iE(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$iE(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$iE(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$iC = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M7.75011 20C7.75011 21.3807 8.8694 22.5 10.2501 22.5C11.6308 22.5 12.7501 21.3807 12.7501 20V16H14.7094C15.2406 16 15.7622 15.859 16.221 15.5913L20.3506 13.1824C21.5771 12.4669 22.134 10.9895 21.685 9.64242L19.6546 3.55132C19.2463 2.32629 18.0999 1.5 16.8086 1.5H8.73492C7.80351 1.5 6.92493 1.93261 6.35705 2.67087L1.52051 8.95837L2.54659 10.4975C2.99614 11.1718 3.80821 11.5082 4.60292 11.3492L7.75011 10.7198V20Z"
      }
    }]
  };
  var gestureDownFilled = vue.defineComponent({
    name: "GestureDownFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-gesture-down-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$iE(_objectSpread$iE({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$iC, finalProps.value);
    }
  });

  function ownKeys$iD(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$iD(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$iD(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$iD(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$iB = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M7.57043 19.5C7.57043 21.1569 8.91357 22.5 10.5704 22.5C12.2273 22.5 13.5704 21.1569 13.5704 19.5V16H15.0297C15.5609 16 16.0825 15.859 16.5413 15.5913L20.6709 13.1824C21.8974 12.4669 22.4544 10.9895 22.0053 9.64242L19.975 3.55132C19.5666 2.32629 18.4202 1.5 17.1289 1.5H9.05523C8.12382 1.5 7.24525 1.93261 6.67736 2.67087L1.84082 8.95837L2.85829 10.4846C3.31645 11.1718 4.14996 11.5067 4.95625 11.3275L7.57043 10.7466V19.5ZM10.5704 20.5C10.0181 20.5 9.57043 20.0523 9.57043 19.5V8.25338L4.52239 9.37517L4.30003 9.04163L8.26261 3.89029C8.4519 3.6442 8.74476 3.5 9.05523 3.5H17.1289C17.5593 3.5 17.9415 3.77543 18.0776 4.18377L20.108 10.2749C20.2576 10.7239 20.072 11.2164 19.6631 11.4549L15.5336 13.8638C15.3807 13.953 15.2068 14 15.0297 14H11.5704V19.5C11.5704 20.0523 11.1227 20.5 10.5704 20.5Z"
      }
    }]
  };
  var gestureDown = vue.defineComponent({
    name: "GestureDownIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-gesture-down", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$iD(_objectSpread$iD({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$iB, finalProps.value);
    }
  });

  function ownKeys$iC(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$iC(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$iC(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$iC(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$iA = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M10.74 7.07006C10.74 5.8219 11.7518 4.81006 13 4.81006 14.2482 4.81006 15.26 5.8219 15.26 7.07006V10.5195H16.9138C17.4021 10.5195 17.8817 10.6492 18.3035 10.8954L21.9282 13.0111C23.0547 13.6687 23.5662 15.0257 23.1539 16.2632L21.3715 21.6138C20.9964 22.7397 19.9428 23.4992 18.7561 23.4992H11.6706C10.8144 23.4992 10.0068 23.1014 9.48499 22.4227L5.18666 16.8314 6.13621 15.4062C6.55747 14.7739 7.31812 14.4577 8.06347 14.6049L10.74 15.1337V7.07006zM6 0H11V5H9V3.41421L5.41421 7H7V9H2V4H4V5.58579L7.58579 2H6V0z"
      }
    }]
  };
  var gestureExpansionFilled = vue.defineComponent({
    name: "GestureExpansionFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-gesture-expansion-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$iC(_objectSpread$iC({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$iA, finalProps.value);
    }
  });

  function ownKeys$iB(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$iB(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$iB(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$iB(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$iz = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M6 0H11V5H9V3.41421L5.41421 7H7V9H2V4H4V5.58579L7.58579 2H6V0ZM10.2441 7.56574C10.2441 6.04382 11.4779 4.81006 12.9998 4.81006C14.5217 4.81006 15.7555 6.04382 15.7555 7.56573V10.5195H16.9138C17.4021 10.5195 17.8817 10.6492 18.3035 10.8954L21.9282 13.0111C23.0547 13.6687 23.5662 15.0257 23.1539 16.2632L21.3715 21.6138C20.9964 22.7397 19.9428 23.4992 18.7561 23.4992H11.6706C10.8144 23.4992 10.0068 23.1014 9.48499 22.4227L5.18667 16.8314L6.12778 15.4189C6.55806 14.7731 7.34118 14.4583 8.0987 14.6268L10.2441 15.1038V7.56574ZM12.9998 6.81006C12.5825 6.81006 12.2441 7.14839 12.2441 7.56574V17.5974L7.74597 16.5972L7.64537 16.7482L11.0706 21.2037C11.2138 21.39 11.4355 21.4992 11.6706 21.4992H18.7561C19.0818 21.4992 19.3711 21.2908 19.474 20.9817L21.2564 15.6311C21.3696 15.2914 21.2292 14.9189 20.92 14.7384L17.2953 12.6227C17.1795 12.5551 17.0479 12.5195 16.9138 12.5195H13.7555V7.56573C13.7555 7.14839 13.4171 6.81006 12.9998 6.81006Z"
      }
    }]
  };
  var gestureExpansion = vue.defineComponent({
    name: "GestureExpansionIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-gesture-expansion", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$iB(_objectSpread$iB({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$iz, finalProps.value);
    }
  });

  function ownKeys$iA(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$iA(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$iA(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$iA(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$iy = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M4 8.07043C2.61929 8.07043 1.5 9.18972 1.5 10.5704C1.5 11.9511 2.61929 13.0704 4 13.0704L8 13.0704V15.0297C8 15.5609 8.14102 16.0825 8.40866 16.5413L10.8176 20.6709C11.5331 21.8974 13.0105 22.4544 14.3576 22.0053L20.4487 19.975C21.6737 19.5666 22.5 18.4202 22.5 17.1289V9.05523C22.5 8.12382 22.0674 7.24525 21.3291 6.67736L15.0416 1.84082L13.5025 2.8669C12.8282 3.31645 12.4918 4.12852 12.6508 4.92323L13.2802 8.07043L4 8.07043Z"
      }
    }]
  };
  var gestureLeftFilled = vue.defineComponent({
    name: "GestureLeftFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-gesture-left-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$iA(_objectSpread$iA({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$iy, finalProps.value);
    }
  });

  function ownKeys$iz(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$iz(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$iz(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$iz(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$ix = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M19.7768 6.22427C15.8549 2.30235 9.70827 1.96104 5.39914 5.20031L7.49862 5.20031L7.49862 7.20031L2.51334 7.20031L2.5127 1.50059L4.5127 1.50027L4.513 3.37133C9.5866 -0.210129 16.6504 0.269448 21.191 4.81005L21.8981 5.51716L20.4839 6.93137L19.7768 6.22427Z"
      }
    }, {
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M12.0008 4.81006C10.7527 4.81006 9.74083 5.8219 9.74083 7.07006V15.1337L7.0643 14.6049C6.31896 14.4577 5.5583 14.7739 5.13705 15.4062L4.1875 16.8314L8.48582 22.4227C9.00764 23.1014 9.81522 23.4993 10.6714 23.4993H17.7569C18.9437 23.4993 19.9973 22.7397 20.3723 21.6138L22.1548 16.2632C22.567 15.0257 22.0555 13.6687 20.929 13.0111L17.3043 10.8954C16.8826 10.6492 16.403 10.5195 15.9146 10.5195H14.2608V7.07006C14.2608 5.8219 13.249 4.81006 12.0008 4.81006Z"
      }
    }]
  };
  var gestureLeftSlipFilled = vue.defineComponent({
    name: "GestureLeftSlipFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-gesture-left-slip-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$iz(_objectSpread$iz({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$ix, finalProps.value);
    }
  });

  function ownKeys$iy(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$iy(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$iy(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$iy(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$iw = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M5.39914 5.20031C9.70827 1.96104 15.8549 2.30235 19.7768 6.22427L20.4839 6.93137L21.8981 5.51716L21.191 4.81005C16.6504 0.269448 9.5866 -0.210129 4.513 3.37132L4.5127 1.50027L2.5127 1.50059L2.51334 7.20031L7.49862 7.20031L7.49862 5.20031L5.39914 5.20031ZM9.24428 7.56574C9.24428 6.04382 10.478 4.81006 12 4.81006C13.5219 4.81006 14.7556 6.04382 14.7556 7.56573V10.5195H15.914C16.4023 10.5195 16.8819 10.6492 17.3036 10.8954L20.9283 13.0111C22.0548 13.6687 22.5663 15.0257 22.1541 16.2632L20.3717 21.6138C19.9966 22.7397 18.943 23.4992 17.7562 23.4992H10.6707C9.81455 23.4992 9.00697 23.1014 8.48515 22.4227L4.18683 16.8314L5.12794 15.4189C5.55822 14.7731 6.34134 14.4583 7.09886 14.6268L9.24428 15.1038V7.56574ZM12 6.81006C11.5826 6.81006 11.2443 7.14839 11.2443 7.56574V17.5974L6.74613 16.5972L6.64553 16.7482L10.0708 21.2037C10.214 21.39 10.4357 21.4992 10.6707 21.4992H17.7562C18.082 21.4992 18.3712 21.2908 18.4742 20.9817L20.2566 15.6311C20.3698 15.2914 20.2294 14.9189 19.9201 14.7384L16.2954 12.6227C16.1797 12.5551 16.048 12.5195 15.914 12.5195H12.7556V7.56573C12.7556 7.14839 12.4173 6.81006 12 6.81006Z"
      }
    }]
  };
  var gestureLeftSlip = vue.defineComponent({
    name: "GestureLeftSlipIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-gesture-left-slip", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$iy(_objectSpread$iy({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$iw, finalProps.value);
    }
  });

  function ownKeys$ix(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$ix(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$ix(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$ix(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$iv = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M4.5 7.57043C2.84315 7.57043 1.5 8.91357 1.5 10.5704C1.5 12.2273 2.84315 13.5704 4.5 13.5704H8V15.0297C8 15.5609 8.14102 16.0825 8.40866 16.5413L10.8176 20.6709C11.5331 21.8974 13.0105 22.4544 14.3576 22.0053L20.4487 19.975C21.6737 19.5666 22.5 18.4202 22.5 17.1289V9.05523C22.5 8.12382 22.0674 7.24525 21.3291 6.67736L15.0416 1.84082L13.5154 2.85829C12.8282 3.31645 12.4933 4.14996 12.6725 4.95625L13.2534 7.57043L4.5 7.57043ZM3.5 10.5704C3.5 10.0181 3.94772 9.57043 4.5 9.57043L15.7466 9.57043L14.6248 4.52239L14.9584 4.30003L20.1097 8.26261C20.3558 8.4519 20.5 8.74476 20.5 9.05523V17.1289C20.5 17.5593 20.2246 17.9415 19.8162 18.0776L13.7251 20.108C13.2761 20.2576 12.7836 20.072 12.5451 19.6631L10.1362 15.5336C10.047 15.3807 10 15.2068 10 15.0297V11.5704H4.5C3.94772 11.5704 3.5 11.1227 3.5 10.5704Z"
      }
    }]
  };
  var gestureLeft = vue.defineComponent({
    name: "GestureLeftIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-gesture-left", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$ix(_objectSpread$ix({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$iv, finalProps.value);
    }
  });

  function ownKeys$iw(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$iw(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$iw(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$iw(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$iu = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M7.03637 4.98642C6.86149 4.81163 6.57888 4.8089 6.40064 4.9803C6.2642 5.11149 6.22498 5.31183 6.29589 5.48179C6.35723 5.62879 6.44097 5.76613 6.50707 5.91109L8.467 9.91488L6.30851 14.5684L9.9516 15.6836L10.9537 9.70995L10.9635 9.67127C10.9913 9.56033 10.9993 9.49196 11 9.45083C11 9.4465 11 9.44216 11 9.43781C10.9998 9.4287 10.9993 9.4213 10.9985 9.41535C10.9559 9.07237 10.8002 8.75116 10.5533 8.50423L7.03637 4.98642ZM4.27993 14.1887L6.25157 9.93805L4.69677 6.76189C4.61945 6.58957 4.5229 6.42636 4.45013 6.25196C4.06625 5.33198 4.27432 4.25032 5.01435 3.53869C5.97781 2.61221 7.50552 2.62715 8.45067 3.5723L11.9675 7.09001C11.9784 7.10089 11.9893 7.11192 12 7.12292C12.0107 7.11192 12.0215 7.10098 12.0324 7.0901L15.5492 3.57239C16.4944 2.62724 18.0222 2.61221 18.9856 3.53869C19.7257 4.25032 19.9337 5.33198 19.5499 6.25196C19.4771 6.42636 19.3806 6.58957 19.3032 6.76189L17.7484 9.93805L19.7201 14.1887L22 14.189V21.146L12.9368 21.1458L12 15.5617L11.0632 21.1458L2 21.146L2 14.189L4.27993 14.1887ZM13 9.45082C13.0007 9.49195 13.0087 9.56032 13.0365 9.67127L13.0463 9.70995L14.0484 15.6836L17.6915 14.5684L15.533 9.91488L17.4929 5.91108C17.559 5.76612 17.6428 5.62879 17.7041 5.48179C17.775 5.31183 17.7358 5.11149 17.5994 4.9803C17.4211 4.8089 17.1385 4.81163 16.9636 4.98642L13.4468 8.50414C13.1998 8.75107 13.0441 9.07237 13.0015 9.41535C13.0007 9.42131 13.0002 9.4287 13 9.43782"
      }
    }]
  };
  var gestureOpenFilled = vue.defineComponent({
    name: "GestureOpenFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-gesture-open-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$iw(_objectSpread$iw({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$iu, finalProps.value);
    }
  });

  function ownKeys$iv(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$iv(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$iv(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$iv(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$it = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M7.03637 4.98667C6.86149 4.81188 6.57888 4.80914 6.40064 4.98054C6.2642 5.11174 6.22498 5.31208 6.29589 5.48203C6.35724 5.62905 6.44097 5.76638 6.50707 5.91134L8.467 9.91512L6.30851 14.5686L9.9516 15.6838L10.9537 9.7102L10.9635 9.67151C10.9913 9.56057 10.9993 9.49221 11 9.45107C11 9.44674 11 9.4424 11 9.43805C10.9998 9.42894 10.9993 9.42155 10.9985 9.4156C10.9559 9.07261 10.8002 8.7514 10.5533 8.50447L7.03637 4.98667C7.03634 4.98664 7.0364 4.9867 7.03637 4.98667ZM9.61785 17.6733L4.76887 16.1889L4 16.189L4 19.1462L9.37078 19.1461L9.61785 17.6733ZM4.27993 14.189L6.25157 9.9383L4.69677 6.76213C4.61945 6.58981 4.5229 6.42661 4.45013 6.25221C4.06625 5.33222 4.27432 4.25057 5.01435 3.53894C5.97781 2.61246 7.50552 2.62739 8.45067 3.57254L11.9675 7.09026C11.9675 7.09028 11.9675 7.09023 11.9675 7.09026C11.9784 7.10113 11.9893 7.11216 12 7.12316C12.0107 7.11216 12.0215 7.10122 12.0324 7.09034C12.0324 7.09031 12.0324 7.09037 12.0324 7.09034L15.5492 3.57263C16.4944 2.62748 18.0222 2.61246 18.9856 3.53894C19.7257 4.25057 19.9337 5.33222 19.5499 6.25221C19.4771 6.42661 19.3806 6.58981 19.3032 6.76213L17.7484 9.9383L19.7201 14.189L22 14.1892V21.1463L12.9368 21.146L12 15.5619L11.0632 21.146L2 21.1463L2 14.1892L4.27993 14.189ZM13 9.45107C13.0007 9.4922 13.0087 9.56056 13.0365 9.67151L13.0463 9.7102L14.0484 15.6838L17.6915 14.5686L15.533 9.91512L17.4929 5.91132C17.559 5.76637 17.6428 5.62904 17.7041 5.48203C17.775 5.31208 17.7358 5.11174 17.5994 4.98054C17.4211 4.80914 17.1385 4.81188 16.9636 4.98667C16.9636 4.9867 16.9637 4.98664 16.9636 4.98667L13.4468 8.50438C13.1998 8.75132 13.0441 9.07261 13.0015 9.4156C13.0007 9.42155 13.0002 9.42895 13 9.43806M19.2311 16.1889L14.3821 17.6733L14.6292 19.1461L20 19.1462V16.189L19.2311 16.1889Z"
      }
    }]
  };
  var gestureOpen = vue.defineComponent({
    name: "GestureOpenIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-gesture-open", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$iv(_objectSpread$iv({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$it, finalProps.value);
    }
  });

  function ownKeys$iu(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$iu(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$iu(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$iu(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$is = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M10.3566 3.30238C10.0441 3.29626 9.77107 3.5127 9.70576 3.81843L7.42519 14.4929L6.20845 15.7097L8.90974 18.411L10.4369 16.8838C10.7951 16.5256 10.9964 16.0397 10.9964 15.5331L10.9964 3.95476C10.9964 3.59937 10.712 3.30933 10.3566 3.30238ZM7.74989 3.40057C8.01542 2.15776 9.12513 1.2779 10.3957 1.30276C11.0026 1.31463 11.5585 1.52959 11.9992 1.88202C12.4399 1.52959 12.9958 1.31463 13.6026 1.30276C14.8733 1.2779 15.983 2.15776 16.2485 3.40057L18.4055 13.4968L22.6761 17.7674L17.1464 23.2971L12.1473 18.298C12.0963 18.2471 12.047 18.1949 11.9992 18.1416C11.9514 18.1949 11.902 18.2471 11.8511 18.298L6.85199 23.2971L1.32227 17.7674L5.59287 13.4968L7.74989 3.40057ZM14.2926 3.81843C14.2273 3.5127 13.9543 3.29626 13.6418 3.30238C13.2864 3.30933 13.002 3.59937 13.002 3.95476L13.002 15.5331C13.002 16.0397 13.2033 16.5256 13.5615 16.8838L15.0886 18.411L17.7899 15.7097L16.5732 14.4929L14.2926 3.81843Z"
      }
    }]
  };
  var gesturePrayFilled = vue.defineComponent({
    name: "GesturePrayFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-gesture-pray-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$iu(_objectSpread$iu({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$is, finalProps.value);
    }
  });

  function ownKeys$it(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$it(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$it(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$it(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$ir = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M10.3566 3.30238C10.0441 3.29626 9.77107 3.5127 9.70576 3.81843L7.42519 14.4929L6.20845 15.7097L8.90974 18.411L10.4369 16.8838C10.7951 16.5256 10.9964 16.0397 10.9964 15.5331L10.9964 3.95476C10.9964 3.59937 10.712 3.30933 10.3566 3.30238ZM7.49553 19.8252L4.79423 17.1239L4.15069 17.7674L6.85199 20.4687L7.49553 19.8252ZM7.74989 3.40057C8.01542 2.15776 9.12513 1.2779 10.3957 1.30276C11.0026 1.31463 11.5585 1.52959 11.9992 1.88202C12.4399 1.52959 12.9958 1.31463 13.6026 1.30276C14.8733 1.2779 15.983 2.15776 16.2485 3.40057L18.4055 13.4968L22.6761 17.7674L17.1464 23.2971L12.1473 18.298C12.0963 18.2471 12.047 18.1949 11.9992 18.1416C11.9514 18.1949 11.902 18.2471 11.8511 18.298L6.85199 23.2971L1.32227 17.7674L5.59287 13.4968L7.74989 3.40057ZM14.2926 3.81843C14.2273 3.5127 13.9543 3.29626 13.6418 3.30238C13.2864 3.30933 13.002 3.59937 13.002 3.95476L13.002 15.5331C13.002 16.0397 13.2033 16.5256 13.5615 16.8838L15.0886 18.411L17.7899 15.7097L16.5732 14.4929L14.2926 3.81843ZM19.2042 17.1239L16.5029 19.8252L17.1464 20.4687L19.8477 17.7674L19.2042 17.1239Z"
      }
    }]
  };
  var gesturePray = vue.defineComponent({
    name: "GesturePrayIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-gesture-pray", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$it(_objectSpread$it({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$ir, finalProps.value);
    }
  });

  function ownKeys$is(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$is(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$is(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$is(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$iq = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M17.5 7C17.5 7.90672 17.3143 8.77007 16.979 9.55412C16.3475 9.20375 15.6368 9.01952 14.9137 9.01952H14.7599V7.07006C14.7599 4.99347 13.0765 3.31006 10.9999 3.31006C8.92326 3.31006 7.23986 4.99347 7.23986 7.07006V12.3027C5.58179 11.1248 4.5 9.18872 4.5 7C4.5 3.41015 7.41015 0.5 11 0.5C14.5899 0.5 17.5 3.41015 17.5 7Z"
      }
    }, {
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M14.9137 10.5195C15.3752 10.5195 15.8289 10.6354 16.2333 10.8559C16.2568 10.8687 16.2802 10.8819 16.3033 10.8954L19.928 13.0111C21.0545 13.6687 21.566 15.0257 21.1538 16.2632L19.3714 21.6138C18.9963 22.7397 17.9427 23.4993 16.7559 23.4993H9.67042C8.81424 23.4993 8.00666 23.1014 7.48485 22.4227L3.18652 16.8314L4.13607 15.4062C4.55733 14.7739 5.31798 14.4577 6.06333 14.6049L8.73986 15.1337V7.07006C8.73986 5.8219 9.75169 4.81006 10.9999 4.81006C12.248 4.81006 13.2599 5.8219 13.2599 7.07006V10.5195H14.9137Z"
      }
    }]
  };
  var gesturePressFilled = vue.defineComponent({
    name: "GesturePressFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-gesture-press-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$is(_objectSpread$is({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$iq, finalProps.value);
    }
  });

  function ownKeys$ir(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$ir(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$ir(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$ir(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$ip = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M10.9999 2.5C13.7613 2.5 15.9999 4.73858 15.9999 7.5C15.9999 8.63542 15.6224 9.68101 14.9849 10.5204C14.9612 10.5198 14.9374 10.5195 14.9137 10.5195H13.7553V7.56573C13.7553 6.04382 12.5216 4.81006 10.9997 4.81006C9.47774 4.81006 8.24398 6.04382 8.24398 7.56574V11.6729C6.89129 10.7776 5.99986 9.24213 5.99986 7.5C5.99986 4.73858 8.23843 2.5 10.9999 2.5ZM16.9113 11.2503C17.6003 10.1663 17.9999 8.87917 17.9999 7.5C17.9999 3.63401 14.8659 0.5 10.9999 0.5C7.13387 0.5 3.99986 3.63401 3.99986 7.5C3.99986 10.3886 5.74892 12.8666 8.24398 13.9363V15.1038L6.09855 14.6268C5.34103 14.4583 4.55791 14.7731 4.12764 15.4189L3.18652 16.8314L7.48485 22.4227C8.00666 23.1014 8.81424 23.4992 9.67042 23.4992H16.7559C17.9427 23.4992 18.9963 22.7397 19.3714 21.6138L21.1538 16.2632C21.566 15.0257 21.0545 13.6687 19.928 13.0111L16.9113 11.2503ZM10.9997 6.81006C11.417 6.81006 11.7553 7.14839 11.7553 7.56573V12.5195H14.9137C14.9838 12.5195 15.0534 12.5293 15.1203 12.5483C15.1812 12.5656 15.24 12.5905 15.2951 12.6227L18.9198 14.7384C19.229 14.9189 19.3695 15.2914 19.2563 15.6311L17.4739 20.9817C17.3709 21.2908 17.0817 21.4992 16.7559 21.4992H9.67042C9.43539 21.4992 9.2137 21.39 9.07046 21.2037L5.64522 16.7482L5.74583 16.5972L10.244 17.5974V7.56574C10.244 7.14839 10.5823 6.81006 10.9997 6.81006Z"
      }
    }]
  };
  var gesturePress = vue.defineComponent({
    name: "GesturePressIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-gesture-press", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$ir(_objectSpread$ir({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$ip, finalProps.value);
    }
  });

  function ownKeys$iq(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$iq(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$iq(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$iq(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$io = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M10.75 1.5C10.75 0.671573 11.4216 0 12.25 0C13.0784 0 13.75 0.671573 13.75 1.5V10H14.5V3.68609C14.5 2.85766 15.1716 2.18609 16 2.18609C16.8284 2.18609 17.5 2.85766 17.5 3.68609V10H18.25V7.02237C18.25 6.19416 18.9214 5.52275 19.7496 5.52275C20.5778 5.52275 21.2492 6.19416 21.2492 7.02237V15C21.2492 19.4183 17.6675 23 13.2492 23H11.8988C8.26329 23 5.08487 20.5486 4.1613 17.0323L2.66256 11.3262C2.47142 10.5985 2.79088 9.83284 3.44259 9.45678C4.22141 9.00736 5.21628 9.25578 5.69241 10.0186L7.00001 12.1133L7.00001 3.68609C7.00001 2.85766 7.67158 2.18609 8.50001 2.18609C9.32843 2.18609 10 2.85766 10 3.68609V10H10.75V1.5Z"
      }
    }]
  };
  var gestureRanslationFilled = vue.defineComponent({
    name: "GestureRanslationFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-gesture-ranslation-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$iq(_objectSpread$iq({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$io, finalProps.value);
    }
  });

  function ownKeys$ip(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$ip(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$ip(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$ip(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$in = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "g",
      "attrs": {
        "clipPath": "url(#clip0_8792_6967)"
      },
      "children": [{
        "tag": "path",
        "attrs": {
          "fill": "currentColor",
          "d": "M9.8654 2.18609C10.0504 0.948859 11.1176 0 12.4064 0C13.7186 0 14.801 0.983655 14.9566 2.25382C15.1456 2.20952 15.3426 2.18609 15.5451 2.18609C16.9642 2.18609 18.1145 3.33644 18.1145 4.75547V5.58561C18.297 5.54447 18.4868 5.52275 18.6817 5.52275C20.0995 5.52275 21.2488 6.6721 21.2488 8.08989V15C21.2488 19.4183 17.6671 23 13.2488 23H11.8984C8.26285 23 5.08443 20.5486 4.16086 17.0323L2.89247 12.2032C2.54975 10.8984 3.40075 9.58074 4.73105 9.35646C5.45737 9.234 6.18339 9.46825 6.69823 9.9599V4.75547C6.69823 3.33644 7.84859 2.18609 9.26762 2.18609H9.8654ZM9.837 4.75547C9.837 4.44101 9.58208 4.18609 9.26762 4.18609C8.95316 4.18609 8.69823 4.44101 8.69823 4.75547V13.5045C8.69823 14.5761 7.26566 14.8779 6.80879 13.9667L5.36861 11.4723C5.3069 11.3654 5.18526 11.3081 5.06355 11.3286C4.89229 11.3575 4.78273 11.5271 4.82685 11.6951L6.09525 16.5242C6.78793 19.1614 9.17174 21 11.8984 21H13.2488C16.5625 21 19.2488 18.3137 19.2488 15V8.08989C19.2488 7.77667 18.9949 7.52275 18.6817 7.52275C18.3684 7.52275 18.1145 7.77667 18.1145 8.08989V12H16.1145V4.75547C16.1145 4.44101 15.8596 4.18609 15.5451 4.18609C15.2307 4.18609 14.9758 4.44101 14.9758 4.75547V12H12.9758V2.56938C12.9758 2.25492 12.7208 2 12.4064 2C12.0919 2 11.837 2.25492 11.837 2.56938V12H9.837V4.75547Z"
        }
      }]
    }]
  };
  var gestureRanslation = vue.defineComponent({
    name: "GestureRanslationIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-gesture-ranslation", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$ip(_objectSpread$ip({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$in, finalProps.value);
    }
  });

  function ownKeys$io(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$io(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$io(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$io(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$im = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M20 8.07043C21.3807 8.07043 22.5 9.18972 22.5 10.5704C22.5 11.9511 21.3807 13.0704 20 13.0704L16 13.0704V15.0297C16 15.5609 15.859 16.0825 15.5913 16.5413L13.1824 20.6709C12.4669 21.8974 10.9895 22.4544 9.64242 22.0053L3.55132 19.975C2.32629 19.5666 1.5 18.4202 1.5 17.1289L1.5 9.05523C1.5 8.12382 1.93261 7.24525 2.67087 6.67736L8.95837 1.84082L10.4975 2.8669C11.1718 3.31645 11.5082 4.12852 11.3492 4.92323L10.7198 8.07043L20 8.07043Z"
      }
    }]
  };
  var gestureRightFilled = vue.defineComponent({
    name: "GestureRightFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-gesture-right-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$io(_objectSpread$io({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$im, finalProps.value);
    }
  });

  function ownKeys$in(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$in(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$in(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$in(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$il = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M4.21995 6.22427C8.14187 2.30235 14.2885 1.96104 18.5976 5.20031H16.4981V7.20031H21.4834L21.4861 1.50132L19.4861 1.49996L19.4849 3.37211C14.4112 -0.210199 7.34668 0.269114 2.80574 4.81005L2.09863 5.51716L3.51285 6.93137L4.21995 6.22427Z"
      }
    }, {
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M12.0008 4.81006C10.7527 4.81006 9.74083 5.8219 9.74083 7.07006V15.1337L7.0643 14.6049C6.31896 14.4577 5.5583 14.7739 5.13705 15.4062L4.1875 16.8314L8.48582 22.4227C9.00764 23.1014 9.81522 23.4993 10.6714 23.4993H17.7569C18.9437 23.4993 19.9973 22.7397 20.3723 21.6138L22.1548 16.2632C22.567 15.0257 22.0555 13.6687 20.929 13.0111L17.3043 10.8954C16.8826 10.6492 16.403 10.5195 15.9146 10.5195H14.2608V7.07006C14.2608 5.8219 13.249 4.81006 12.0008 4.81006Z"
      }
    }]
  };
  var gestureRightSlipFilled = vue.defineComponent({
    name: "GestureRightSlipFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-gesture-right-slip-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$in(_objectSpread$in({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$il, finalProps.value);
    }
  });

  function ownKeys$im(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$im(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$im(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$im(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$ik = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M18.5979 5.20031C14.2887 1.96104 8.14211 2.30235 4.2202 6.22427L3.51309 6.93137L2.09888 5.51716L2.80598 4.81005C7.34692 0.269114 14.4114 -0.210199 19.4851 3.37211L19.4864 1.49996L21.4864 1.50132L21.4837 7.20031H16.4984V5.20031H18.5979ZM9.24403 7.56574C9.24403 6.04382 10.4778 4.81006 11.9997 4.81006C13.5216 4.81006 14.7554 6.04382 14.7554 7.56574V10.5195H15.9137C16.4021 10.5195 16.8816 10.6492 17.3034 10.8954L20.9281 13.0111C22.0546 13.6687 22.5661 15.0257 22.1538 16.2632L20.3714 21.6138C19.9963 22.7397 18.9427 23.4992 17.756 23.4992H10.6705C9.81429 23.4992 9.00672 23.1014 8.4849 22.4227L4.18658 16.8314L5.12769 15.4189C5.55797 14.7731 6.34109 14.4583 7.09861 14.6268L9.24403 15.1038V7.56574ZM11.9997 6.81006C11.5824 6.81006 11.244 7.14839 11.244 7.56574V17.5974L6.74588 16.5972L6.64528 16.7482L10.0705 21.2037C10.2138 21.39 10.4354 21.4992 10.6705 21.4992H17.756C18.0817 21.4992 18.371 21.2908 18.4739 20.9817L20.2563 15.6311C20.3695 15.2914 20.2291 14.9189 19.9199 14.7384L16.2952 12.6227C16.1794 12.5551 16.0478 12.5195 15.9137 12.5195H12.7554V7.56574C12.7554 7.14839 12.4171 6.81006 11.9997 6.81006Z"
      }
    }]
  };
  var gestureRightSlip = vue.defineComponent({
    name: "GestureRightSlipIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-gesture-right-slip", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$im(_objectSpread$im({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$ik, finalProps.value);
    }
  });

  function ownKeys$il(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$il(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$il(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$il(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$ij = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M19.5 7.57043C21.1569 7.57043 22.5 8.91357 22.5 10.5704C22.5 12.2273 21.1569 13.5704 19.5 13.5704H16V15.0297C16 15.5609 15.859 16.0825 15.5913 16.5413L13.1824 20.6709C12.4669 21.8974 10.9895 22.4544 9.64242 22.0053L3.55132 19.975C2.32629 19.5666 1.5 18.4202 1.5 17.1289L1.5 9.05523C1.5 8.12382 1.93261 7.24525 2.67087 6.67736L8.95837 1.84082L10.4846 2.85829C11.1718 3.31645 11.5067 4.14996 11.3275 4.95625L10.7466 7.57043L19.5 7.57043ZM20.5 10.5704C20.5 10.0181 20.0523 9.57043 19.5 9.57043L8.25338 9.57043L9.37517 4.52239L9.04163 4.30003L3.89029 8.26261C3.6442 8.4519 3.5 8.74476 3.5 9.05523L3.5 17.1289C3.5 17.5593 3.77543 17.9415 4.18377 18.0776L10.2749 20.108C10.7239 20.2576 11.2164 20.072 11.4549 19.6631L13.8638 15.5336C13.953 15.3807 14 15.2068 14 15.0297V11.5704H19.5C20.0523 11.5704 20.5 11.1227 20.5 10.5704Z"
      }
    }]
  };
  var gestureRight = vue.defineComponent({
    name: "GestureRightIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-gesture-right", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$il(_objectSpread$il({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$ij, finalProps.value);
    }
  });

  function ownKeys$ik(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$ik(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$ik(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$ik(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$ii = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M18.5981 5.20031C14.6997 2.26982 9.29751 2.26982 5.39914 5.20031L7.49862 5.20031L7.49862 7.20031L2.51334 7.20031L2.5127 1.50059L4.5127 1.50027L4.513 3.37132C8.98782 0.212551 15.0108 0.212814 19.4854 3.37211L19.4866 1.49996L21.4866 1.50132L21.4839 7.20031H16.4986V5.20031H18.5981Z"
      }
    }, {
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M12.0008 4.81006C10.7527 4.81006 9.74083 5.8219 9.74083 7.07006V15.1337L7.0643 14.6049C6.31896 14.4577 5.5583 14.7739 5.13705 15.4062L4.1875 16.8314L8.48582 22.4227C9.00764 23.1014 9.81522 23.4993 10.6714 23.4993H17.7569C18.9437 23.4993 19.9973 22.7397 20.3723 21.6138L22.1548 16.2632C22.567 15.0257 22.0555 13.6687 20.929 13.0111L17.3043 10.8954C16.8826 10.6492 16.403 10.5195 15.9146 10.5195H14.2608V7.07006C14.2608 5.8219 13.249 4.81006 12.0008 4.81006Z"
      }
    }]
  };
  var gestureSlideLeftAndRightFilled = vue.defineComponent({
    name: "GestureSlideLeftAndRightFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-gesture-slide-left-and-right-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$ik(_objectSpread$ik({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$ii, finalProps.value);
    }
  });

  function ownKeys$ij(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$ij(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$ij(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$ij(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$ih = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M5.39889 5.20031C9.29726 2.26982 14.6995 2.26982 18.5979 5.20031H16.4984V7.20031H21.4837L21.4864 1.50132L19.4864 1.49996L19.4851 3.37211C15.0106 0.212814 8.98757 0.212551 4.51275 3.37132L4.51245 1.50027L2.51245 1.50059L2.5131 7.20031L7.49838 7.20031L7.49838 5.20031L5.39889 5.20031ZM9.24404 7.56574C9.24404 6.04382 10.4778 4.81006 11.9997 4.81006C13.5216 4.81006 14.7554 6.04382 14.7554 7.56574V10.5195H15.9137C16.4021 10.5195 16.8816 10.6492 17.3034 10.8954L20.9281 13.0111C22.0546 13.6687 22.5661 15.0257 22.1538 16.2633L20.3714 21.6138C19.9963 22.7397 18.9428 23.4993 17.756 23.4993H10.6705C9.8143 23.4993 9.00672 23.1014 8.4849 22.4227L4.18658 16.8314L5.1277 15.4189C5.55797 14.7731 6.34109 14.4583 7.09861 14.6268L9.24404 15.1038V7.56574ZM11.9997 6.81006C11.5824 6.81006 11.244 7.14839 11.244 7.56574V17.5974L6.74588 16.5972L6.64528 16.7482L10.0705 21.2037C10.2138 21.39 10.4354 21.4993 10.6705 21.4993H17.756C18.0818 21.4993 18.371 21.2908 18.4739 20.9817L20.2563 15.6311C20.3695 15.2914 20.2291 14.9189 19.9199 14.7384L16.2952 12.6227C16.1794 12.5551 16.0478 12.5195 15.9137 12.5195H12.7554V7.56574C12.7554 7.14839 12.4171 6.81006 11.9997 6.81006Z"
      }
    }]
  };
  var gestureSlideLeftAndRight = vue.defineComponent({
    name: "GestureSlideLeftAndRightIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-gesture-slide-left-and-right", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$ij(_objectSpread$ij({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$ih, finalProps.value);
    }
  });

  function ownKeys$ii(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$ii(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$ii(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$ii(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$ig = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M6.19787 1.51543L.498877 1.5127.497514 3.51269 2.36967 3.51397C-1.21264 8.58765-.733326 15.6522 3.80761 20.1931L4.51472 20.9002 5.92893 19.486 5.22183 18.7789C1.29991 14.857.958594 8.71037 4.19787 4.40123V6.50071H6.19787V1.51543zM7.97413 6.63763C6.89318 7.26172 6.52283 8.64391 7.14691 9.72485L11.1787 16.7082 8.59641 17.5885C7.87729 17.8337 7.37667 18.4879 7.32799 19.2461L7.21825 20.9551 13.7363 23.6481C14.5276 23.975 15.4259 23.9158 16.1674 23.4877L22.3036 19.9449C23.3314 19.3515 23.8641 18.167 23.6259 17.0043L22.4943 11.4794C22.2325 10.2016 21.111 9.28206 19.8067 9.27588L15.6098 9.25597C15.1214 9.25365 14.6412 9.3811 14.2183 9.62527L12.7861 10.4522 11.0613 7.46485C10.4373 6.38391 9.05507 6.01355 7.97413 6.63763z"
      }
    }]
  };
  var gestureSlideUpFilled = vue.defineComponent({
    name: "GestureSlideUpFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-gesture-slide-up-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$ii(_objectSpread$ii({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$ig, finalProps.value);
    }
  });

  function ownKeys$ih(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$ih(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$ih(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$ih(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$if = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "g",
      "attrs": {
        "fill": "currentColor",
        "clipPath": "url(#clip0_8792_7019)"
      },
      "children": [{
        "tag": "path",
        "attrs": {
          "d": "M.498877 1.5127L6.19787 1.51543V6.50071H4.19787V4.40123C.958594 8.71037 1.29991 14.857 5.22183 18.7789L5.92893 19.486 4.51472 20.9002 3.80761 20.1931C-.733326 15.6522-1.21264 8.58765 2.36967 3.51397L.497514 3.51269.498877 1.5127zM10.0068 8.64645C9.79809 8.28502 9.33593 8.16118 8.97449 8.36985 8.61306 8.57853 8.48922 9.04069 8.6979 9.40213L13.7137 18.0898 9.3181 19.4727 9.30647 19.6537 14.5006 21.7997C14.7178 21.8895 14.9644 21.8732 15.1679 21.7557L21.3042 18.2129C21.5863 18.05 21.7325 17.7249 21.6671 17.4057L20.5355 11.8808C20.4636 11.53 20.1558 11.2776 19.7977 11.2759L15.6008 11.256C15.4668 11.2554 15.3349 11.2904 15.2188 11.3574L12.4837 12.9366 10.0068 8.64645zM7.97449 6.6378C9.29251 5.87684 10.9779 6.32843 11.7388 7.64645L13.2157 10.2045 14.2188 9.62534C14.6418 9.38117 15.122 9.25372 15.6103 9.25604L19.8072 9.27595C21.1116 9.28213 22.2331 10.2016 22.4948 11.4795L23.6265 17.0044C23.8646 18.167 23.3319 19.3516 22.3042 19.945L16.1679 23.4877C15.4265 23.9158 14.5282 23.9751 13.7369 23.6482L7.21879 20.9552 7.32755 19.2613C7.37728 18.4869 7.89811 17.8228 8.63836 17.5899L10.7349 16.9303 6.96585 10.4021C6.20489 9.08411 6.65647 7.39876 7.97449 6.6378z"
        }
      }]
    }]
  };
  var gestureSlideUp = vue.defineComponent({
    name: "GestureSlideUpIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-gesture-slide-up", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$ih(_objectSpread$ih({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$if, finalProps.value);
    }
  });

  function ownKeys$ig(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$ig(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$ig(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$ig(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$ie = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M4 0C2.89543 0 2 .89543 2 2 2 3.10457 2.89543 4 4 4 5.10457 4 6 3.10457 6 2 6 .89543 5.10457 0 4 0zM11 0C9.89543 0 9 .89543 9 2 9 3.10457 9.89543 4 11 4 12.1046 4 13 3.10457 13 2 13 .895431 12.1046 0 11 0zM18 0C16.8954 0 16 .895431 16 2 16 3.10457 16.8954 4 18 4 19.1046 4 20 3.10457 20 2 20 .895431 19.1046 0 18 0zM4 6C2.89543 6 2 6.89543 2 8 2 9.10457 2.89543 10 4 10 5.10457 10 6 9.10457 6 8 6 6.89543 5.10457 6 4 6zM18 6C16.8954 6 16 6.89543 16 8 16 9.10457 16.8954 10 18 10 19.1046 10 20 9.10457 20 8 20 6.89543 19.1046 6 18 6zM10.9999 5.31104C9.75169 5.31104 8.73986 6.32287 8.73986 7.57104V15.6347L6.06333 15.1059C5.31798 14.9587 4.55733 15.2749 4.13607 15.9072L3.18652 17.3324 7.48485 22.9236C8.00666 23.6024 8.81424 24.0002 9.67042 24.0002H16.7559C17.9427 24.0002 18.9963 23.2407 19.3714 22.1147L21.1538 16.7642C21.566 15.5267 21.0545 14.1696 19.928 13.5121L16.3033 11.3964C15.8816 11.1502 15.402 11.0205 14.9137 11.0205H13.2599V7.57104C13.2599 6.32287 12.248 5.31104 10.9999 5.31104z"
      }
    }]
  };
  var gestureTypingFilled = vue.defineComponent({
    name: "GestureTypingFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-gesture-typing-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$ig(_objectSpread$ig({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$ie, finalProps.value);
    }
  });

  function ownKeys$if(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$if(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$if(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$if(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$id = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M2 2C2 0.89543 2.89543 0 4 0C5.10457 0 6 0.89543 6 2C6 3.10457 5.10457 4 4 4C2.89543 4 2 3.10457 2 2ZM9 2C9 0.89543 9.89543 0 11 0C12.1046 0 13 0.895431 13 2C13 3.10457 12.1046 4 11 4C9.89543 4 9 3.10457 9 2ZM16 2C16 0.895431 16.8954 0 18 0C19.1046 0 20 0.895431 20 2C20 3.10457 19.1046 4 18 4C16.8954 4 16 3.10457 16 2ZM8.24413 8.06574C8.24413 6.54382 9.47789 5.31006 10.9998 5.31006C12.5217 5.31006 13.7555 6.54382 13.7555 8.06573V11.0195H14.9138C15.4022 11.0195 15.8817 11.1492 16.3035 11.3954L19.9282 13.5111C21.0547 14.1687 21.5662 15.5257 21.1539 16.7632L19.3715 22.1138C18.9964 23.2397 17.9428 23.9992 16.7561 23.9992H9.67057C8.81439 23.9992 8.00681 23.6014 7.48499 22.9227L3.18667 17.3314L4.12779 15.9189C4.55806 15.2731 5.34118 14.9583 6.0987 15.1268L8.24413 15.6038V8.06574ZM10.9998 7.31006C10.5825 7.31006 10.2441 7.64839 10.2441 8.06574V18.0974L5.74598 17.0972L5.64537 17.2482L9.0706 21.7037C9.21385 21.89 9.43554 21.9992 9.67057 21.9992H16.7561C17.0818 21.9992 17.3711 21.7908 17.474 21.4817L19.2564 16.1311C19.3696 15.7914 19.2292 15.4189 18.92 15.2384L15.2953 13.1227C15.1795 13.0551 15.0479 13.0195 14.9138 13.0195H11.7555V8.06573C11.7555 7.64839 11.4172 7.31006 10.9998 7.31006ZM2 8C2 6.89543 2.89543 6 4 6C5.10457 6 6 6.89543 6 8C6 9.10457 5.10457 10 4 10C2.89543 10 2 9.10457 2 8ZM16 8C16 6.89543 16.8954 6 18 6C19.1046 6 20 6.89543 20 8C20 9.10457 19.1046 10 18 10C16.8954 10 16 9.10457 16 8Z"
      }
    }]
  };
  var gestureTyping = vue.defineComponent({
    name: "GestureTypingIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-gesture-typing", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$if(_objectSpread$if({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$id, finalProps.value);
    }
  });

  function ownKeys$ie(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$ie(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$ie(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$ie(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$ic = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M6.19787.515433L.498877.512695.497514 2.51269 2.36967 2.51397C-.789628 6.98854-.78989 13.0115 2.36888 17.4863L.497831 17.4866.498152 19.4866 6.19787 19.486 6.19787 14.5007H4.19787L4.19787 16.6002C1.26738 12.7018 1.26738 7.2996 4.19787 3.40123L4.19787 5.50071 6.19787 5.50071 6.19787.515433zM7.97413 5.63763C6.89318 6.26172 6.52283 7.64391 7.14691 8.72485L11.1787 15.7082 8.59641 16.5885C7.87729 16.8337 7.37667 17.4879 7.32799 18.2461L7.21825 19.9551 13.7363 22.6481C14.5276 22.975 15.4259 22.9158 16.1674 22.4877L22.3036 18.9449C23.3314 18.3515 23.8641 17.167 23.6259 16.0043L22.4943 10.4794C22.2325 9.20158 21.111 8.28206 19.8067 8.27588L15.6098 8.25597C15.1214 8.25365 14.6412 8.3811 14.2183 8.62527L12.7861 9.45217 11.0613 6.46485C10.4373 5.38391 9.05507 5.01355 7.97413 5.63763z"
      }
    }]
  };
  var gestureUpAndDownFilled = vue.defineComponent({
    name: "GestureUpAndDownFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-gesture-up-and-down-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$ie(_objectSpread$ie({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$ic, finalProps.value);
    }
  });

  function ownKeys$id(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$id(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$id(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$id(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$ib = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "g",
      "attrs": {
        "clipPath": "url(#clip0_8792_7013)"
      },
      "children": [{
        "tag": "path",
        "attrs": {
          "fill": "currentColor",
          "d": "M0.498878 0.512695L6.19787 0.515433L6.19787 5.50071L4.19787 5.50071L4.19787 3.40123C1.26738 7.2996 1.26738 12.7018 4.19787 16.6002L4.19787 14.5007H6.19787L6.19787 19.486L0.498152 19.4866L0.497831 17.4866L2.36888 17.4863C-0.78989 13.0115 -0.789628 6.98854 2.36967 2.51397L0.497514 2.51269L0.498878 0.512695ZM10.0068 7.6463C9.79809 7.28486 9.33593 7.16103 8.97449 7.3697C8.61306 7.57837 8.48922 8.04054 8.6979 8.40197L13.7137 17.0896L9.3181 18.4725L9.30647 18.6536L14.5006 20.7996C14.7178 20.8893 14.9644 20.873 15.1679 20.7555L21.3042 17.2128C21.5863 17.0499 21.7325 16.7247 21.6671 16.4056L20.5355 10.8807C20.4636 10.5299 20.1558 10.2775 19.7977 10.2758L15.6008 10.2559C15.4668 10.2552 15.3349 10.2902 15.2188 10.3572L12.4837 11.9364L10.0068 7.6463ZM7.97449 5.63765C9.29251 4.87669 10.9779 5.32828 11.7388 6.6463L13.2157 9.20435L14.2188 8.62519C14.6418 8.38101 15.122 8.25357 15.6103 8.25588L19.8072 8.27579C21.1116 8.28198 22.2331 9.20149 22.4948 10.4793L23.6265 16.0042C23.8646 17.1669 23.3319 18.3514 22.3042 18.9448L16.1679 22.4876C15.4265 22.9157 14.5282 22.975 13.7369 22.648L7.21879 19.955L7.32755 18.2612C7.37728 17.4867 7.89811 16.8226 8.63836 16.5897L10.7349 15.9301L6.96585 9.40197C6.20489 8.08396 6.65647 6.39861 7.97449 5.63765Z"
        }
      }]
    }]
  };
  var gestureUpAndDown = vue.defineComponent({
    name: "GestureUpAndDownIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-gesture-up-and-down", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$id(_objectSpread$id({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$ib, finalProps.value);
    }
  });

  function ownKeys$ic(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$ic(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$ic(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$ic(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$ia = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M7.75011 4C7.75011 2.61929 8.8694 1.5 10.2501 1.5C11.6308 1.5 12.7501 2.61929 12.7501 4V8H14.7094C15.2406 8 15.7622 8.14103 16.221 8.40866L20.3506 10.8176C21.5771 11.5331 22.134 13.0105 21.685 14.3576L19.6546 20.4487C19.2463 21.6737 18.0999 22.5 16.8086 22.5H8.73492C7.80351 22.5 6.92493 22.0674 6.35705 21.3291L1.52051 15.0416L2.54659 13.5025C2.99614 12.8282 3.80821 12.4918 4.60292 12.6508L7.75011 13.2802V4Z"
      }
    }]
  };
  var gestureUpFilled = vue.defineComponent({
    name: "GestureUpFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-gesture-up-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$ic(_objectSpread$ic({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$ia, finalProps.value);
    }
  });

  function ownKeys$ib(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$ib(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$ib(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$ib(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$i9 = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M7.25011 4.5C7.25011 2.84315 8.59326 1.5 10.2501 1.5C11.907 1.5 13.2501 2.84315 13.2501 4.5V8H14.7094C15.2406 8 15.7622 8.14103 16.221 8.40866L20.3506 10.8176C21.5771 11.5331 22.134 13.0105 21.685 14.3576L19.6546 20.4487C19.2463 21.6737 18.0999 22.5 16.8086 22.5H8.73492C7.80351 22.5 6.92493 22.0674 6.35705 21.3291L1.52051 15.0416L2.53798 13.5154C2.99614 12.8282 3.82964 12.4933 4.63594 12.6725L7.25011 13.2534V4.5ZM10.2501 3.5C9.69783 3.5 9.25011 3.94772 9.25011 4.5V15.7466L4.20208 14.6248L3.97972 14.9584L7.94229 20.1097C8.13159 20.3558 8.42445 20.5 8.73492 20.5H16.8086C17.239 20.5 17.6212 20.2246 17.7573 19.8162L19.7876 13.7251C19.9373 13.2761 19.7517 12.7836 19.3428 12.5451L15.2133 10.1362C15.0604 10.047 14.8865 10 14.7094 10H11.2501V4.5C11.2501 3.94772 10.8024 3.5 10.2501 3.5Z"
      }
    }]
  };
  var gestureUp = vue.defineComponent({
    name: "GestureUpIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-gesture-up", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$ib(_objectSpread$ib({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$i9, finalProps.value);
    }
  });

  function ownKeys$ia(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$ia(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$ia(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$ia(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$i8 = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M5.22182 3.22239L5.92893 2.51529 4.51472 1.10107 3.80761 1.80818C-.732993 6.34879-1.21257 13.4126 2.36888 18.4862L.497831 18.4865.498152 20.4865 6.19787 20.4858 6.19787 15.5006H4.19787L4.19787 17.6C.958594 13.2909 1.29991 7.14431 5.22182 3.22239zM7.97413 4.63763C6.89318 5.26171 6.52283 6.64391 7.14691 7.72485L11.1787 14.7082 8.59641 15.5885C7.87729 15.8337 7.37667 16.4879 7.32799 17.2461L7.21825 18.9551 13.7363 21.6481C14.5276 21.975 15.4259 21.9157 16.1674 21.4877L22.3036 17.9449C23.3314 17.3515 23.8641 16.167 23.6259 15.0043L22.4943 9.47943C22.2325 8.20158 21.111 7.28206 19.8067 7.27587L15.6098 7.25597C15.1214 7.25365 14.6412 7.3811 14.2183 7.62527L12.7861 8.45217 11.0613 5.46485C10.4373 4.38391 9.05507 4.01355 7.97413 4.63763z"
      }
    }]
  };
  var gestureWipeDownFilled = vue.defineComponent({
    name: "GestureWipeDownFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-gesture-wipe-down-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$ia(_objectSpread$ia({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$i8, finalProps.value);
    }
  });

  function ownKeys$i9(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$i9(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$i9(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$i9(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$i7 = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "g",
      "attrs": {
        "fill": "currentColor",
        "clipPath": "url(#clip0_8792_7016)"
      },
      "children": [{
        "tag": "path",
        "attrs": {
          "d": "M5.92893 2.51529L5.22183 3.22239C1.29991 7.14431.958594 13.2909 4.19787 17.6001L4.19787 15.5006H6.19787L6.19787 20.4858.498152 20.4865.497831 18.4865 2.36888 18.4862C-1.21257 13.4126-.732993 6.34879 3.80761 1.80818L4.51472 1.10107 5.92893 2.51529zM10.0068 6.64646C9.79809 6.28502 9.33593 6.16119 8.97449 6.36986 8.61306 6.57853 8.48922 7.0407 8.6979 7.40213L13.7137 16.0898 9.3181 17.4727 9.30647 17.6537 14.5006 19.7997C14.7178 19.8895 14.9644 19.8732 15.1679 19.7557L21.3042 16.2129C21.5863 16.0501 21.7325 15.7249 21.6671 15.4057L20.5355 9.88083C20.4636 9.53004 20.1558 9.27763 19.7977 9.27593L15.6008 9.25602C15.4668 9.25538 15.3349 9.29037 15.2188 9.3574L12.4837 10.9366 10.0068 6.64646zM7.97449 4.63781C9.29251 3.87685 10.9779 4.32844 11.7388 5.64646L13.2157 8.20451 14.2188 7.62535C14.6418 7.38117 15.122 7.25373 15.6103 7.25604L19.8072 7.27595C21.1116 7.28214 22.2331 8.20166 22.4948 9.4795L23.6265 15.0044C23.8646 16.167 23.3319 17.3516 22.3042 17.945L16.1679 21.4877C15.4265 21.9158 14.5282 21.9751 13.7369 21.6482L7.21879 18.9552 7.32755 17.2613C7.37728 16.4869 7.89811 15.8228 8.63836 15.5899L10.7349 14.9303 6.96585 8.40213C6.20489 7.08412 6.65647 5.39877 7.97449 4.63781z"
        }
      }]
    }]
  };
  var gestureWipeDown = vue.defineComponent({
    name: "GestureWipeDownIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-gesture-wipe-down", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$i9(_objectSpread$i9({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$i7, finalProps.value);
    }
  });

  function ownKeys$i8(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$i8(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$i8(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$i8(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$i6 = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M23 22V6L18.4649 6C18.8052 5.41165 19 4.72857 19 4C19 1.79086 17.2091 -9.65645e-08 15 0C13.8053 5.22217e-08 12.7329 0.523756 12 1.35418C11.2671 0.523756 10.1947 2.10047e-07 9 2.62269e-07C6.79086 3.58834e-07 5 1.79086 5 4C5 4.72858 5.19479 5.41165 5.53513 6H1L1 22H23ZM13 4C13 2.89543 13.8954 2 15 2C16.1046 2 17 2.89543 17 4C17 5.10457 16.1046 6 15 6C13.8954 6 13 5.10457 13 4ZM14.4142 8L21 8V14H3L3 8L9.58579 8L6.58579 11L8 12.4142L12 8.41421L16 12.4142L17.4142 11L14.4142 8ZM11 4C11 5.10457 10.1046 6 9 6C7.89543 6 7 5.10457 7 4C7 2.89543 7.89543 2 9 2C10.1046 2 11 2.89543 11 4Z"
      }
    }]
  };
  var giftFilled = vue.defineComponent({
    name: "GiftFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-gift-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$i8(_objectSpread$i8({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$i6, finalProps.value);
    }
  });

  function ownKeys$i7(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$i7(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$i7(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$i7(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$i5 = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M23 22V6L18.4649 6C18.8052 5.41165 19 4.72857 19 4C19 1.79086 17.2091 -9.65645e-08 15 0C13.8053 5.22217e-08 12.7329 0.523756 12 1.35418C11.2671 0.523756 10.1947 2.10047e-07 9 2.62268e-07C6.79086 3.58833e-07 5 1.79086 5 4C5 4.72858 5.19479 5.41165 5.53513 6H1L1 22H23ZM13 4C13 2.89543 13.8954 2 15 2C16.1046 2 17 2.89543 17 4C17 5.10457 16.1046 6 15 6C13.8954 6 13 5.10457 13 4ZM14.4142 8L21 8V14H3L3 8L9.58579 8L6.58579 11L8 12.4142L12 8.41421L16 12.4142L17.4142 11L14.4142 8ZM3 16H21V20H3L3 16ZM11 4C11 5.10457 10.1046 6 9 6C7.89543 6 7 5.10457 7 4C7 2.89543 7.89543 2 9 2C10.1046 2 11 2.89543 11 4Z"
      }
    }]
  };
  var gift = vue.defineComponent({
    name: "GiftIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-gift", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$i7(_objectSpread$i7({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$i5, finalProps.value);
    }
  });

  function ownKeys$i6(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$i6(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$i6(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$i6(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$i4 = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M12 23C5.92487 23 1 18.0751 1 12C1 5.92487 5.92487 1 12 1C18.0751 1 23 5.92487 23 12C23 18.0751 18.0751 23 12 23ZM15.5408 9.90565L17.3618 8.88133L16.3813 7.13818L13 9.04019L13 10.5L16.2 12.9L17.4 11.3L15.5408 9.90565ZM9 12V8.00002H7V12H9ZM12 19C14.7614 19 17 16.7614 17 14H7C7 16.7614 9.23858 19 12 19Z"
      }
    }]
  };
  var giggleFilled = vue.defineComponent({
    name: "GiggleFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-giggle-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$i6(_objectSpread$i6({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$i4, finalProps.value);
    }
  });

  function ownKeys$i5(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$i5(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$i5(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$i5(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$i3 = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M12 3C7.02944 3 3 7.02944 3 12C3 16.9706 7.02944 21 12 21C16.9706 21 21 16.9706 21 12C21 7.02944 16.9706 3 12 3ZM1 12C1 5.92487 5.92487 1 12 1C18.0751 1 23 5.92487 23 12C23 18.0751 18.0751 23 12 23C5.92487 23 1 18.0751 1 12ZM17.3618 8.88131L15.5408 9.90563L17.4 11.3L16.2 12.9L13 10.5L13 9.04017L16.3813 7.13816L17.3618 8.88131ZM9 8V12H7V8H9ZM7 13H17V14C17 16.7614 14.7614 19 12 19C9.23858 19 7 16.7614 7 14V13ZM9.17071 15C9.58254 16.1652 10.6938 17 12 17C13.3062 17 14.4175 16.1652 14.8293 15H9.17071Z"
      }
    }]
  };
  var giggle = vue.defineComponent({
    name: "GiggleIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-giggle", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$i5(_objectSpread$i5({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$i3, finalProps.value);
    }
  });

  function ownKeys$i4(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$i4(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$i4(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$i4(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$i2 = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M2 18C2 19.933 3.567 21.5 5.5 21.5C7.433 21.5 9 19.933 9 18C9 16.4761 8.02611 15.1797 6.66677 14.6992C6.97558 13.9933 7.68018 13.5 8.5 13.5H15.5C17.7091 13.5 19.5 11.7091 19.5 9.5V9.35506C20.9457 8.92479 22 7.58551 22 6C22 4.067 20.433 2.5 18.5 2.5C16.567 2.5 15 4.067 15 6C15 7.58551 16.0543 8.92479 17.5 9.35506V9.5C17.5 10.6046 16.6046 11.5 15.5 11.5H8.5C7.77143 11.5 7.08835 11.6948 6.5 12.0351V9.35506C7.94574 8.92479 9 7.58551 9 6C9 4.067 7.433 2.5 5.5 2.5C3.567 2.5 2 4.067 2 6C2 7.58551 3.05426 8.92479 4.5 9.35506V14.6449C3.05426 15.0752 2 16.4145 2 18Z"
      }
    }]
  };
  var gitBranchFilled = vue.defineComponent({
    name: "GitBranchFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-git-branch-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$i4(_objectSpread$i4({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$i2, finalProps.value);
    }
  });

  function ownKeys$i3(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$i3(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$i3(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$i3(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$i1 = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M5.5 19.5C4.67157 19.5 4 18.8284 4 18C4 17.1716 4.67157 16.5 5.5 16.5C6.32843 16.5 7 17.1716 7 18C7 18.8284 6.32843 19.5 5.5 19.5ZM2 18C2 19.933 3.567 21.5 5.5 21.5C7.433 21.5 9 19.933 9 18C9 16.4761 8.02611 15.1797 6.66677 14.6992C6.97558 13.9933 7.68018 13.5 8.5 13.5H15.5C17.7091 13.5 19.5 11.7091 19.5 9.5V9.35506C20.9457 8.92479 22 7.58551 22 6C22 4.067 20.433 2.5 18.5 2.5C16.567 2.5 15 4.067 15 6C15 7.58551 16.0543 8.92479 17.5 9.35506V9.5C17.5 10.6046 16.6046 11.5 15.5 11.5H8.5C7.77143 11.5 7.08835 11.6948 6.5 12.0351V9.35506C7.94574 8.92479 9 7.58551 9 6C9 4.067 7.433 2.5 5.5 2.5C3.567 2.5 2 4.067 2 6C2 7.58551 3.05426 8.92479 4.5 9.35506V14.6449C3.05426 15.0752 2 16.4145 2 18ZM18.5 7.5C17.6716 7.5 17 6.82843 17 6C17 5.17157 17.6716 4.5 18.5 4.5C19.3284 4.5 20 5.17157 20 6C20 6.82843 19.3284 7.5 18.5 7.5ZM5.5 7.5C4.67157 7.5 4 6.82843 4 6C4 5.17157 4.67157 4.5 5.5 4.5C6.32843 4.5 7 5.17157 7 6C7 6.82843 6.32843 7.5 5.5 7.5Z"
      }
    }]
  };
  var gitBranch = vue.defineComponent({
    name: "GitBranchIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-git-branch", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$i3(_objectSpread$i3({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$i1, finalProps.value);
    }
  });

  function ownKeys$i2(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$i2(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$i2(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$i2(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$i0 = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M7.10002 11C7.56329 8.71776 9.58104 7 12 7C14.419 7 16.4367 8.71776 16.9 11H23V13H16.9C16.4367 15.2822 14.419 17 12 17C9.58104 17 7.56329 15.2822 7.10002 13H1V11H7.10002Z"
      }
    }]
  };
  var gitCommitFilled = vue.defineComponent({
    name: "GitCommitFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-git-commit-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$i2(_objectSpread$i2({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$i0, finalProps.value);
    }
  });

  function ownKeys$i1(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$i1(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$i1(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$i1(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$h$ = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M12 9C10.3431 9 9 10.3431 9 12C9 13.6569 10.3431 15 12 15C13.6569 15 15 13.6569 15 12C15 10.3431 13.6569 9 12 9ZM7.10002 11C7.56329 8.71776 9.58104 7 12 7C14.419 7 16.4367 8.71776 16.9 11H23V13H16.9C16.4367 15.2822 14.419 17 12 17C9.58104 17 7.56329 15.2822 7.10002 13H1V11H7.10002Z"
      }
    }]
  };
  var gitCommit = vue.defineComponent({
    name: "GitCommitIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-git-commit", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$i1(_objectSpread$i1({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$h$, finalProps.value);
    }
  });

  function ownKeys$i0(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$i0(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$i0(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$i0(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$h_ = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M2 6C2 4.067 3.567 2.5 5.5 2.5C7.433 2.5 9 4.067 9 6C9 7.52388 8.02611 8.8203 6.66677 9.30081C6.97558 10.0067 7.68018 10.5 8.5 10.5H15.5C17.7091 10.5 19.5 12.2909 19.5 14.5V14.6449C20.9457 15.0752 22 16.4145 22 18C22 19.933 20.433 21.5 18.5 21.5C16.567 21.5 15 19.933 15 18C15 16.4145 16.0543 15.0752 17.5 14.6449V14.5C17.5 13.3954 16.6046 12.5 15.5 12.5H8.5C7.77143 12.5 7.08835 12.3052 6.5 11.9649V14.6449C7.94574 15.0752 9 16.4145 9 18C9 19.933 7.433 21.5 5.5 21.5C3.567 21.5 2 19.933 2 18C2 16.4145 3.05426 15.0752 4.5 14.6449V9.35506C3.05426 8.92479 2 7.58551 2 6Z"
      }
    }]
  };
  var gitMergeFilled = vue.defineComponent({
    name: "GitMergeFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-git-merge-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$i0(_objectSpread$i0({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$h_, finalProps.value);
    }
  });

  function ownKeys$h$(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$h$(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$h$(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$h$(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$hZ = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M5.5 4.5C4.67157 4.5 4 5.17157 4 6C4 6.82843 4.67157 7.5 5.5 7.5C6.32843 7.5 7 6.82843 7 6C7 5.17157 6.32843 4.5 5.5 4.5ZM2 6C2 4.067 3.567 2.5 5.5 2.5C7.433 2.5 9 4.067 9 6C9 7.52388 8.02611 8.8203 6.66677 9.30081C6.97558 10.0067 7.68018 10.5 8.5 10.5H15.5C17.7091 10.5 19.5 12.2909 19.5 14.5V14.6449C20.9457 15.0752 22 16.4145 22 18C22 19.933 20.433 21.5 18.5 21.5C16.567 21.5 15 19.933 15 18C15 16.4145 16.0543 15.0752 17.5 14.6449V14.5C17.5 13.3954 16.6046 12.5 15.5 12.5H8.5C7.77143 12.5 7.08835 12.3052 6.5 11.9649V14.6449C7.94574 15.0752 9 16.4145 9 18C9 19.933 7.433 21.5 5.5 21.5C3.567 21.5 2 19.933 2 18C2 16.4145 3.05426 15.0752 4.5 14.6449V9.35506C3.05426 8.92479 2 7.58551 2 6ZM18.5 16.5C17.6716 16.5 17 17.1716 17 18C17 18.8284 17.6716 19.5 18.5 19.5C19.3284 19.5 20 18.8284 20 18C20 17.1716 19.3284 16.5 18.5 16.5ZM5.5 16.5C4.67157 16.5 4 17.1716 4 18C4 18.8284 4.67157 19.5 5.5 19.5C6.32843 19.5 7 18.8284 7 18C7 17.1716 6.32843 16.5 5.5 16.5Z"
      }
    }]
  };
  var gitMerge = vue.defineComponent({
    name: "GitMergeIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-git-merge", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$h$(_objectSpread$h$({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$hZ, finalProps.value);
    }
  });

  function ownKeys$h_(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$h_(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$h_(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$h_(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$hY = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M16.4142 3.00003L14.4142 5.00003H19.5V14.645C20.9457 15.0752 22 16.4145 22 18C22 19.933 20.433 21.5 18.5 21.5C16.567 21.5 15 19.933 15 18C15 16.4145 16.0543 15.0752 17.5 14.645V7.00003H14.4142L16.4142 9.00003L15 10.4142L10.5858 6.00003L15 1.58582L16.4142 3.00003ZM2 6.00003C2 4.06703 3.567 2.50003 5.5 2.50003C7.433 2.50003 9 4.06703 9 6.00003C9 7.58554 7.94574 8.92482 6.5 9.35509V14.645C7.94574 15.0752 9 16.4145 9 18C9 19.933 7.433 21.5 5.5 21.5C3.567 21.5 2 19.933 2 18C2 16.4145 3.05426 15.0752 4.5 14.645V9.35509C3.05426 8.92482 2 7.58554 2 6.00003Z"
      }
    }]
  };
  var gitPullRequestFilled = vue.defineComponent({
    name: "GitPullRequestFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-git-pull-request-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$h_(_objectSpread$h_({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$hY, finalProps.value);
    }
  });

  function ownKeys$hZ(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$hZ(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$hZ(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$hZ(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$hX = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M16.4142 3.00003L14.4142 5.00003H19.5V14.645C20.9457 15.0752 22 16.4145 22 18C22 19.933 20.433 21.5 18.5 21.5C16.567 21.5 15 19.933 15 18C15 16.4145 16.0543 15.0752 17.5 14.645V7.00003H14.4142L16.4142 9.00003L15 10.4142L10.5858 6.00003L15 1.58582L16.4142 3.00003ZM5.5 4.50003C4.67157 4.50003 4 5.1716 4 6.00003C4 6.82846 4.67157 7.50003 5.5 7.50003C6.32843 7.50003 7 6.82846 7 6.00003C7 5.1716 6.32843 4.50003 5.5 4.50003ZM2 6.00003C2 4.06703 3.567 2.50003 5.5 2.50003C7.433 2.50003 9 4.06703 9 6.00003C9 7.58554 7.94574 8.92482 6.5 9.35509V14.645C7.94574 15.0752 9 16.4145 9 18C9 19.933 7.433 21.5 5.5 21.5C3.567 21.5 2 19.933 2 18C2 16.4145 3.05426 15.0752 4.5 14.645V9.35509C3.05426 8.92482 2 7.58554 2 6.00003ZM5.5 16.5C4.67157 16.5 4 17.1716 4 18C4 18.8285 4.67157 19.5 5.5 19.5C6.32843 19.5 7 18.8285 7 18C7 17.1716 6.32843 16.5 5.5 16.5ZM18.5 16.5C17.6716 16.5 17 17.1716 17 18C17 18.8285 17.6716 19.5 18.5 19.5C19.3284 19.5 20 18.8285 20 18C20 17.1716 19.3284 16.5 18.5 16.5Z"
      }
    }]
  };
  var gitPullRequest = vue.defineComponent({
    name: "GitPullRequestIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-git-pull-request", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$hZ(_objectSpread$hZ({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$hX, finalProps.value);
    }
  });

  function ownKeys$hY(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$hY(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$hY(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$hY(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$hW = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M7 1C4.79086 1 3 2.79086 3 5V19C3 21.2091 4.79086 23 7 23H10V21H7.5C6.11929 21 5 19.8807 5 18.5C5 17.1193 6.11929 16 7.5 16H8.96776C9.70411 14.5183 11.2331 13.5 13 13.5C14.7669 13.5 16.2959 14.5183 17.0322 16H19V21H16V23H21V1H7ZM8 5H10.0039V7.00391H8V5ZM8 8H10.0039V10.0039H8V8Z"
      }
    }, {
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M16.9137 18.3644L12.9998 14.6152L9.08594 18.3644L10.4694 19.8086L11.9998 18.3427V23H13.9998V18.3427L15.5302 19.8086L16.9137 18.3644Z"
      }
    }]
  };
  var gitRepositoryCommitsFilled = vue.defineComponent({
    name: "GitRepositoryCommitsFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-git-repository-commits-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$hY(_objectSpread$hY({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$hW, finalProps.value);
    }
  });

  function ownKeys$hX(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$hX(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$hX(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$hX(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$hV = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M3 5.5C3 3.01472 5.01472 1 7.5 1H21V23H16V21H19V16H16.5V14H19V3H7.5C6.11929 3 5 4.11929 5 5.5V14.7578C5.71505 14.2791 6.57493 14 7.5 14H9.5V16H7.5C6.11929 16 5 17.1193 5 18.5C5 19.8807 6.11929 21 7.5 21H10V23H7.5C5.01472 23 3 20.9853 3 18.5V5.5ZM8 5H10.0039V7.00391H8V5ZM8 8H10.0039V10.0039H8V8ZM13 14.6152L16.9139 18.3644L15.5304 19.8086L14 18.3427V23H12V18.3427L10.4696 19.8086L9.08611 18.3644L13 14.6152Z"
      }
    }]
  };
  var gitRepositoryCommits = vue.defineComponent({
    name: "GitRepositoryCommitsIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-git-repository-commits", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$hX(_objectSpread$hX({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$hV, finalProps.value);
    }
  });

  function ownKeys$hW(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$hW(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$hW(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$hW(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$hU = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M3 5C3 2.79086 4.79086 1 7 1H21V23H7C4.79086 23 3 21.2091 3 19V5ZM10.0039 5H8V7.00391H10.0039V5ZM10.0039 8H8V10.0039H10.0039V8ZM7.5 16C6.11929 16 5 17.1193 5 18.5C5 19.8807 6.11929 21 7.5 21H19V16H12L12 19.75L10 18.4049L8 19.75L8 16H7.5Z"
      }
    }]
  };
  var gitRepositoryFilled = vue.defineComponent({
    name: "GitRepositoryFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-git-repository-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$hW(_objectSpread$hW({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$hU, finalProps.value);
    }
  });

  function ownKeys$hV(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$hV(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$hV(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$hV(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$hT = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M12 1C8.41015 1 5.5 3.91015 5.5 7.5V9H3V23H21V9H18.5V7.5C18.5 3.91015 15.5899 1 12 1ZM16.5 7.5V9H7.5V7.5C7.5 5.01472 9.51472 3 12 3C14.4853 3 16.5 5.01472 16.5 7.5ZM7 12.5039H9.00391V15H7V12.5039ZM7 16.5H9.00391V19.0039H7V16.5Z"
      }
    }]
  };
  var gitRepositoryPrivateFilled = vue.defineComponent({
    name: "GitRepositoryPrivateFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-git-repository-private-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$hV(_objectSpread$hV({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$hT, finalProps.value);
    }
  });

  function ownKeys$hU(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$hU(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$hU(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$hU(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$hS = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M5.5 7.5C5.5 3.91015 8.41015 1 12 1C15.5899 1 18.5 3.91015 18.5 7.5V9H21V23H3V9H5.5V7.5ZM7.5 9H16.5V7.5C16.5 5.01472 14.4853 3 12 3C9.51472 3 7.5 5.01472 7.5 7.5V9ZM5 11V21H19V11H5ZM7 12.5039H9.00391V15H7V12.5039ZM7 16.5H9.00391V19.0039H7V16.5Z"
      }
    }]
  };
  var gitRepositoryPrivate = vue.defineComponent({
    name: "GitRepositoryPrivateIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-git-repository-private", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$hU(_objectSpread$hU({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$hS, finalProps.value);
    }
  });

  function ownKeys$hT(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$hT(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$hT(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$hT(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$hR = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M3 5.5C3 3.01472 5.01472 1 7.5 1L21 1L21 23L7.5 23C5.01472 23 3 20.9853 3 18.5L3 5.5ZM5 14.7578C5.71505 14.2791 6.57493 14 7.5 14L19 14L19 3L7.5 3C6.11929 3 5 4.11929 5 5.5L5 14.7578ZM8 16H7.5C6.11929 16 5 17.1193 5 18.5C5 19.8807 6.11929 21 7.5 21L19 21V16H14L14 20.618L11 19.118L8 20.618V16ZM12 16H10V17.382L11 16.882L12 17.382V16ZM8 5L10.0039 5V7.00391H8V5ZM8 8H10.0039L10.0039 10.0039L8 10.0039L8 8Z"
      }
    }]
  };
  var gitRepository = vue.defineComponent({
    name: "GitRepositoryIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-git-repository", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$hT(_objectSpread$hT({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$hR, finalProps.value);
    }
  });

  function ownKeys$hS(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$hS(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$hS(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$hS(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$hQ = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 25 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M12.2258 3.00098C7.26577 3.00098 3.24487 7.02187 3.24487 11.9819C3.24487 14.3317 4.14601 16.4688 5.62336 18.0701L6.30146 18.805L4.83152 20.1612L4.15342 19.4263C2.34869 17.4702 1.24487 14.8538 1.24487 11.9819C1.24487 5.9173 6.1612 1.00098 12.2258 1.00098C18.2904 1.00098 23.2067 5.9173 23.2067 11.9819C23.2067 14.8538 22.1029 17.4702 20.2982 19.4263L19.6201 20.1612L18.1501 18.805L18.8282 18.0701C20.3056 16.4688 21.2067 14.3317 21.2067 11.9819C21.2067 7.02187 17.1858 3.00098 12.2258 3.00098ZM12.2262 7.50007C9.74096 7.50007 7.72624 9.51479 7.72624 12.0001C7.72624 13.1777 8.17732 14.2478 8.91792 15.0505L9.59602 15.7855L8.12608 17.1417L7.44798 16.4067C6.38 15.2492 5.72624 13.6998 5.72624 12.0001C5.72624 8.41022 8.63639 5.50007 12.2262 5.50007C15.8161 5.50007 18.7262 8.41022 18.7262 12.0001C18.7262 13.6998 18.0725 15.2492 17.0045 16.4067L16.3264 17.1417L14.8565 15.7855L15.5346 15.0505C16.2752 14.2478 16.7262 13.1777 16.7262 12.0001C16.7262 9.51479 14.7115 7.50007 12.2262 7.50007ZM10.2262 12.0001C10.2262 10.8955 11.1217 10.0001 12.2262 10.0001C13.3308 10.0001 14.2262 10.8955 14.2262 12.0001C14.2262 13.1047 13.3308 14.0001 12.2262 14.0001C11.1217 14.0001 10.2262 13.1047 10.2262 12.0001ZM12.1733 15.9671L17.1623 22.9989H7.18541L12.1733 15.9671Z"
      }
    }]
  };
  var gpsFilled = vue.defineComponent({
    name: "GpsFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-gps-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$hS(_objectSpread$hS({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$hQ, finalProps.value);
    }
  });

  function ownKeys$hR(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$hR(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$hR(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$hR(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$hP = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M11.9995 3.00098C7.03945 3.00098 3.01855 7.02187 3.01855 11.9819C3.01855 14.3317 3.91969 16.4688 5.39704 18.0701L6.07514 18.805L4.6052 20.1612L3.9271 19.4263C2.12238 17.4702 1.01855 14.8538 1.01855 11.9819C1.01855 5.9173 5.93488 1.00098 11.9995 1.00098C18.0641 1.00098 22.9804 5.9173 22.9804 11.9819C22.9804 14.8538 21.8766 17.4702 20.0718 19.4263L19.3937 20.1612L17.9238 18.805L18.6019 18.0701C20.0793 16.4688 20.9804 14.3317 20.9804 11.9819C20.9804 7.02187 16.9595 3.00098 11.9995 3.00098ZM11.9999 7.50007C9.51464 7.50007 7.49992 9.51479 7.49992 12.0001C7.49992 13.1777 7.951 14.2478 8.6916 15.0505L9.3697 15.7855L7.89976 17.1417L7.22166 16.4067C6.15368 15.2492 5.49992 13.6998 5.49992 12.0001C5.49992 8.41022 8.41007 5.50007 11.9999 5.50007C15.5898 5.50007 18.4999 8.41022 18.4999 12.0001C18.4999 13.6998 17.8462 15.2492 16.7782 16.4067L16.1001 17.1417L14.6301 15.7855L15.3082 15.0505C16.0488 14.2478 16.4999 13.1777 16.4999 12.0001C16.4999 9.51479 14.4852 7.50007 11.9999 7.50007ZM9.99992 12.0001C9.99992 10.8955 10.8953 10.0001 11.9999 10.0001C13.1045 10.0001 13.9999 10.8955 13.9999 12.0001C13.9999 13.1047 13.1045 14.0001 11.9999 14.0001C10.8953 14.0001 9.99992 13.1047 9.99992 12.0001ZM11.947 15.9671L16.936 22.9989H6.95909L11.947 15.9671ZM11.9471 19.4237L10.8298 20.9989H13.0647L11.9471 19.4237Z"
      }
    }]
  };
  var gps = vue.defineComponent({
    name: "GpsIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-gps", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$hR(_objectSpread$hR({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$hP, finalProps.value);
    }
  });

  function ownKeys$hQ(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$hQ(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$hQ(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$hQ(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$hO = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M18.3254 5.15039C18.7878 5.15039 19.236 5.21104 19.6626 5.32482 20.2771 5.02855 20.9439 4.77761 21.6395 4.51579L22.7891 4.08216 22.0831 2.21094 21.1475 2.56397 20.9 2.65702C19.9213 3.02443 18.7833 3.45164 17.7849 4.07517 17.572 4.20812 17.3629 4.3514 17.1604 4.50661 16.6722 3.04976 15.2962 2 13.675 2 11.6454 2 10 3.64535 10 5.675 10 7.55985 11.419 9.11329 13.2469 9.32534 13.7128 6.94583 15.8094 5.15039 18.3254 5.15039zM18.3254 15.5004C16.6293 15.5004 15.1238 14.6845 14.18 13.4237 13.8439 13.9785 13.6504 14.6294 13.6504 15.3254 13.6504 17.355 15.2957 19.0004 17.3254 19.0004 19.355 19.0004 21.0004 17.355 21.0004 15.3254 21.0004 15.1402 20.9867 14.9582 20.9603 14.7803 20.1885 15.2378 19.2876 15.5004 18.3254 15.5004zM13.4083 11.9433C13.291 11.5865 13.2114 11.2125 13.1743 10.8261 11.821 10.6962 10.6199 10.045 9.77423 9.07579 8.89355 9.74717 8.3252 10.8073 8.3252 12.0002 8.3252 14.0298 9.97055 15.6752 12.0002 15.6752 12.0543 15.6752 12.1082 15.674 12.1618 15.6717 12.1542 15.5572 12.1504 15.4418 12.1504 15.3254 12.1504 14.0325 12.6245 12.8504 13.4083 11.9433zM9.09577 3.26211C8.95769 3.24637 8.81729 3.23828 8.675 3.23828 6.64535 3.23828 5 4.88364 5 6.91328 5 8.39077 5.8719 9.66461 7.12923 10.2484 7.48361 9.26316 8.12839 8.41653 8.96031 7.8117 8.66465 7.16035 8.5 6.4369 8.5 5.675 8.5 4.80363 8.71537 3.98255 9.09577 3.26211zM6.83111 11.7505C5.9209 11.4033 5.13389 10.8066 4.55373 10.0439 3.90201 10.7071 3.5 11.6165 3.5 12.6197 3.5 14.37 4.72362 15.8345 6.3621 16.2045 6.46145 15.3742 6.75741 14.6042 7.2021 13.9426 6.95905 13.3429 6.8252 12.6872 6.8252 12.0002 6.8252 11.9165 6.82718 11.8333 6.83111 11.7505zM8.10765 15.4104C7.92569 15.846 7.8252 16.3242 7.8252 16.8258 7.8252 18.8554 9.47055 20.5008 11.5002 20.5008 12.53 20.5008 13.4609 20.0772 14.1281 19.3948 13.393 18.8165 12.8185 18.0432 12.4824 17.153 12.3236 17.1677 12.1628 17.1752 12.0002 17.1752 10.4484 17.1752 9.05616 16.4922 8.10765 15.4104zM6.40539 17.7383C5.04182 17.535 3.85197 16.7997 3.05373 15.7504 2.40201 16.4135 2 17.3229 2 18.3262 2 20.3558 3.64535 22.0012 5.675 22.0012 6.70479 22.0012 7.63566 21.5776 8.30288 20.8952 7.32565 20.1263 6.63216 19.013 6.40539 17.7383z"
      }
    }, {
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M18.3254 14.0004C20.355 14.0004 22.0004 12.355 22.0004 10.3254C22.0004 8.29574 20.355 6.65039 18.3254 6.65039C16.2957 6.65039 14.6504 8.29574 14.6504 10.3254C14.6504 12.355 16.2957 14.0004 18.3254 14.0004Z"
      }
    }]
  };
  var grapeFilled = vue.defineComponent({
    name: "GrapeFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-grape-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$hQ(_objectSpread$hQ({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$hO, finalProps.value);
    }
  });

  function ownKeys$hP(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$hP(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$hP(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$hP(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$hN = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M13.5882 4C14.7902 4 15.7647 4.97444 15.7647 6.17647C15.7647 6.39514 15.7179 6.6227 15.6315 6.85625C15.0708 7.20246 14.5985 7.67736 14.2554 8.2402C14.0389 8.31323 13.8148 8.35294 13.5882 8.35294C13.016 8.35294 12.4973 8.13343 12.1081 7.77216C11.6784 7.37336 11.4117 6.80682 11.4117 6.17647C11.4117 5.74219 11.5379 5.34042 11.7552 5.0022C12.144 4.39723 12.82 4 13.5882 4ZM17.5576 4.87389C17.0103 3.20514 15.44 2 13.5882 2C12.4212 2 11.3664 2.47915 10.6095 3.24913C10.21 3.12507 9.78595 3.05884 9.35292 3.05884C7.04632 3.05884 5.17645 4.92871 5.17645 7.23531C5.17645 7.77079 5.27755 8.28324 5.4615 8.75415C4.04281 9.41849 3.05884 10.855 3.05884 12.5294C3.05884 13.2663 3.25017 13.9591 3.58519 14.5602C2.62186 15.3192 2 16.4921 2 17.8235C2 20.1301 3.86987 22 6.17647 22C7.49923 22 8.6606 21.3492 9.42062 20.404C10.0261 20.7457 10.7258 20.9412 11.4706 20.9412C13.1383 20.9412 14.5962 19.9705 15.2671 18.5467C15.7322 18.7254 16.2373 18.8235 16.7647 18.8235C19.0713 18.8235 20.9412 16.9537 20.9412 14.6471C20.9412 14.2175 20.8803 13.7907 20.7571 13.3843C21.5234 12.6278 22 11.5756 22 10.4118C22 8.47197 20.6775 6.84106 18.885 6.3714C19.7741 5.5335 20.7212 4.86267 21.853 4.43561L22.7886 4.08258L22.0826 2.21136L21.147 2.56439C19.7284 3.09966 18.5709 3.92722 17.5576 4.87389ZM18.9326 14.4391C18.9383 14.5072 18.9412 14.5766 18.9412 14.6471C18.9412 15.8491 17.9668 16.8235 16.7647 16.8235C16.2079 16.8235 15.702 16.6157 15.3166 16.2719C14.8682 15.8719 14.5883 15.2928 14.5883 14.6471C14.5883 14.606 14.5894 14.5654 14.5916 14.5251C14.6182 14.1256 14.7497 13.7611 14.9624 13.4541C15.7092 14.1566 16.7156 14.5882 17.8235 14.5882C18.207 14.5882 18.5791 14.5363 18.9326 14.4391ZM12.7153 13.6393C12.6541 13.6444 12.5922 13.6471 12.5294 13.6471C11.9585 13.6471 11.4409 13.4286 11.0521 13.0688C10.6208 12.6699 10.353 12.1023 10.353 11.4706C10.353 11.2122 10.3968 10.9687 10.4758 10.745C10.6307 10.307 10.9252 9.93379 11.3104 9.67751C11.9654 10.1043 12.7485 10.3529 13.5882 10.3529C13.608 10.3529 13.6277 10.3528 13.6474 10.3525C13.6472 10.3722 13.647 10.392 13.647 10.4118C13.647 10.8581 13.7174 11.289 13.8477 11.6934C13.3054 12.2164 12.9074 12.8832 12.7153 13.6393ZM9.93672 8.20477C9.52919 8.5248 9.18346 8.91907 8.91989 9.36883C8.4569 9.27556 8.04737 9.03539 7.74053 8.69726C7.38924 8.31017 7.17645 7.79875 7.17645 7.23531C7.17645 6.03328 8.15089 5.05884 9.35292 5.05884C9.42283 5.05884 9.49213 5.0621 9.56057 5.06845C9.46355 5.42169 9.41174 5.79336 9.41174 6.17647C9.41174 6.91237 9.60255 7.60427 9.93672 8.20477ZM8.3567 11.2921C8.35422 11.3513 8.35297 11.4108 8.35297 11.4706C8.35297 12.2089 8.54502 12.9029 8.88122 13.5048C8.4937 13.8072 8.15793 14.1773 7.89718 14.6037C7.68924 14.67 7.46713 14.7059 7.23531 14.7059C6.66296 14.7059 6.14414 14.4863 5.75491 14.1249C5.32542 13.7261 5.05884 13.1596 5.05884 12.5294C5.05884 11.526 5.7396 10.6829 6.66837 10.4347C7.15011 10.8392 7.72527 11.1374 8.3567 11.2921ZM10.2583 14.976C10.912 15.4001 11.6925 15.6471 12.5294 15.6471C12.5892 15.6471 12.6487 15.6458 12.708 15.6433C12.8649 16.2841 13.1697 16.8669 13.5833 17.3529C13.3318 18.2663 12.4848 18.9412 11.4706 18.9412C10.8401 18.9412 10.2734 18.6743 9.87459 18.2445C9.51352 17.8553 9.29413 17.3368 9.29413 16.7647C9.29413 16.4325 9.36787 16.1203 9.49894 15.8412L9.49904 15.841L9.50115 15.8365L9.50504 15.8283C9.66778 15.4876 9.92991 15.1927 10.2583 14.976ZM7.29454 16.7055C7.29427 16.7252 7.29413 16.7449 7.29413 16.7647C7.29413 17.597 7.53832 18.3735 7.95816 19.0249C7.54904 19.6102 6.88278 20 6.17647 20C4.97444 20 4 19.0256 4 17.8235C4 17.0768 4.37732 16.4211 4.95915 16.0315C5.61386 16.4577 6.39625 16.7059 7.23531 16.7059C7.25508 16.7059 7.27483 16.7057 7.29454 16.7055ZM17.8235 8.23529C19.0255 8.23529 20 9.20973 20 10.4118C20 11.1772 19.6056 11.8511 19.0043 12.2406C18.6647 12.4605 18.2605 12.5882 17.8235 12.5882C17.0192 12.5882 16.3154 12.1524 15.9376 11.4993C15.753 11.1802 15.647 10.8099 15.647 10.4118C15.647 10.0705 15.7249 9.75026 15.8628 9.46527C16.0735 9.03002 16.4257 8.67464 16.8588 8.45998C17.1484 8.31645 17.475 8.23529 17.8235 8.23529Z"
      }
    }]
  };
  var grape = vue.defineComponent({
    name: "GrapeIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-grape", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$hP(_objectSpread$hP({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$hN, finalProps.value);
    }
  });

  function ownKeys$hO(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$hO(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$hO(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$hO(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$hM = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M4.4349 1.70361L21.7348 8.50002L4.4349 15.2964L3.7036 13.4349L16.2652 8.50002L3.7036 3.56512L4.4349 1.70361ZM3 19H21V21H3V19Z"
      }
    }]
  };
  var greaterThanOrEqual = vue.defineComponent({
    name: "GreaterThanOrEqualIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-greater-than-or-equal", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$hO(_objectSpread$hO({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$hM, finalProps.value);
    }
  });

  function ownKeys$hN(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$hN(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$hN(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$hN(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$hL = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M3.63574 4.37223L16.9846 12.0001L3.63574 19.628L4.62802 21.3645L21.0157 12.0001L4.62802 2.63574L3.63574 4.37223Z"
      }
    }]
  };
  var greaterThan = vue.defineComponent({
    name: "GreaterThanIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-greater-than", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$hN(_objectSpread$hN({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$hL, finalProps.value);
    }
  });

  function ownKeys$hM(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$hM(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$hM(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$hM(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$hK = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M14.5454 0.913574L14.5733 1.91319C14.5749 1.97212 14.5765 2.0306 14.5782 2.08863C14.6594 4.99062 14.709 6.76266 14.0927 8.30287C14.0471 8.41691 13.9979 8.52935 13.9452 8.64063L20.2884 2.2974L21.7026 3.71161L15.3594 10.0548C15.4707 10.0021 15.5831 9.95295 15.6971 9.90732C17.2374 9.29099 19.0094 9.3406 21.9114 9.42184C21.9694 9.42347 22.0279 9.42511 22.0868 9.42675L23.0864 9.45465L23.0306 11.4539L22.031 11.426C18.8463 11.3371 17.5353 11.3259 16.4402 11.7642C15.9121 11.9755 15.4197 12.2971 14.7997 12.8271C15.5249 12.6838 16.2457 12.6324 16.9691 12.6798C18.6682 12.7911 20.2822 13.4413 21.9123 14.5526L22.7386 15.1158L21.6121 16.7684L20.7858 16.2052C19.365 15.2366 18.0896 14.7575 16.8383 14.6755C15.5869 14.5935 14.2599 14.902 12.7248 15.6769C11.7689 16.1593 11.0399 17.0234 10.3222 18.0835C10.1099 18.3971 9.93565 18.6692 9.75755 18.9473C9.60786 19.1811 9.45543 19.4191 9.27532 19.6897C8.92436 20.217 8.53876 20.7545 8.09627 21.2069C7.30573 22.0153 6.34468 22.6937 5.28568 22.9204C4.15704 23.162 3.02447 22.8637 2.0804 21.9196C1.13607 20.9753 0.838361 19.8423 1.08006 18.7138C1.30686 17.6548 1.98514 16.6938 2.79306 15.9037C3.2456 15.4612 3.78318 15.0756 4.31056 14.7247C4.58138 14.5445 4.8195 14.3921 5.05333 14.2424C5.33137 14.0645 5.60334 13.8904 5.91699 13.6781C6.97725 12.9605 7.84133 12.2317 8.32365 11.2758C9.09834 9.74055 9.40677 8.4135 9.32468 7.16201C9.24259 5.91052 8.76345 4.63513 7.79485 3.2142L7.2316 2.38792L8.88417 1.26141L9.44742 2.0877C10.5587 3.71792 11.2089 5.33187 11.3204 7.0311C11.3678 7.75421 11.3165 8.47476 11.1734 9.19971C11.7031 8.58001 12.0246 8.08779 12.2358 7.55984C12.6741 6.4647 12.6629 5.15369 12.574 1.96897L12.5461 0.969364L14.5454 0.913574ZM9.04369 13.6833C8.42409 14.3477 7.71034 14.8794 7.03797 15.3344C6.74625 15.5319 6.40177 15.7534 6.07877 15.9611C5.83604 16.1171 5.60544 16.2654 5.41846 16.3898C4.91716 16.7234 4.5063 17.0257 4.19139 17.3337C3.53032 17.9801 3.14809 18.6079 3.03571 19.1326C2.93822 19.5878 3.02265 20.0334 3.49461 20.5054C3.96683 20.9776 4.41233 21.062 4.8671 20.9647C5.39152 20.8525 6.01923 20.4704 6.66636 19.8086C6.97436 19.4937 7.27678 19.0828 7.6104 18.5815C7.73487 18.3945 7.88311 18.1641 8.03915 17.9215C8.2469 17.5985 8.46844 17.2541 8.66604 16.9623C9.12119 16.29 9.6529 15.5764 10.3173 14.9569L10.0354 14.6771L10.038 14.6744L9.32557 13.962L9.32289 13.9646L9.04369 13.6833Z"
      }
    }]
  };
  var greenOnion = vue.defineComponent({
    name: "GreenOnionIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-green-onion", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$hM(_objectSpread$hM({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$hK, finalProps.value);
    }
  });

  function ownKeys$hL(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$hL(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$hL(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$hL(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$hJ = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M11 2H2V11H11V2zM22 2H13V11H22V2zM11 13H2V22H11V13zM18.5 12.9999H16.5V16.5H13V18.5H16.5V22H18.5V18.5H22V16.5H18.5V12.9999z"
      }
    }]
  };
  var gridAddFilled = vue.defineComponent({
    name: "GridAddFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-grid-add-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$hL(_objectSpread$hL({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$hJ, finalProps.value);
    }
  });

  function ownKeys$hK(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$hK(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$hK(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$hK(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$hI = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M2 2H11V11H2V2ZM4 4V9H9V4H4ZM13 2H22V11H13V2ZM15 4V9H20V4H15ZM2 13H11V22H2V13ZM4 15V20H9V15H4ZM16.5 13.5H18.5V16.5H21.5V18.5H18.5V21.5H16.5V18.5H13.5V16.5H16.5V13.5Z"
      }
    }]
  };
  var gridAdd = vue.defineComponent({
    name: "GridAddIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-grid-add", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$hK(_objectSpread$hK({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$hI, finalProps.value);
    }
  });

  function ownKeys$hJ(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$hJ(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$hJ(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$hJ(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$hH = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M2 2H11V11H2V2ZM13 2H22V11H13V2ZM2 13H11V22H2V13ZM13 13H22V22H13V13Z"
      }
    }]
  };
  var gridViewFilled = vue.defineComponent({
    name: "GridViewFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-grid-view-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$hJ(_objectSpread$hJ({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$hH, finalProps.value);
    }
  });

  function ownKeys$hI(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$hI(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$hI(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$hI(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$hG = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M2 2H11V11H2V2ZM4 4V9H9V4H4ZM13 2H22V11H13V2ZM15 4V9H20V4H15ZM2 13H11V22H2V13ZM4 15V20H9V15H4ZM13 13H22V22H13V13ZM15 15V20H20V15H15Z"
      }
    }]
  };
  var gridView = vue.defineComponent({
    name: "GridViewIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-grid-view", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$hI(_objectSpread$hI({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$hG, finalProps.value);
    }
  });

  function ownKeys$hH(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$hH(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$hH(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$hH(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$hF = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M6.5 16C6.5 15.1716 7.17157 14.5 8 14.5C8.82843 14.5 9.5 15.1716 9.5 16C9.5 16.8284 8.82843 17.5 8 17.5C7.17157 17.5 6.5 16.8284 6.5 16Z"
      }
    }, {
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M22.4142 5.00015L20.9999 6.41437L19.9999 5.41437L19.4142 6.00015L19.9142 6.50015L18.4999 7.91437L17.9999 7.41436L17.1715 8.24284C17.6947 9.03311 18 9.98149 18 11.0002C18 13.0559 16.7601 14.8202 14.9881 15.589C14.996 15.7251 15 15.8622 15 16.0002C15 19.8661 11.866 23.0002 8 23.0002C4.13401 23.0002 1 19.8661 1 16.0002C1 12.1342 4.13401 9.00015 8 9.00015C8.13795 9.00015 8.27505 9.00416 8.41119 9.01206C9.17998 7.24001 10.9443 6.00015 13 6.00015C14.0186 6.00015 14.967 6.30548 15.7572 6.82864L16.5857 6.00015L16.0857 5.50015L17.4999 4.08594L17.9999 4.58594L18.5857 4.00015L17.5857 3.00015L18.9999 1.58594L22.4142 5.00015ZM8 12.5C6.067 12.5 4.5 14.067 4.5 16C4.5 17.933 6.067 19.5 8 19.5C9.933 19.5 11.5 17.933 11.5 16C11.5 14.067 9.933 12.5 8 12.5Z"
      }
    }]
  };
  var guitarFilled = vue.defineComponent({
    name: "GuitarFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-guitar-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$hH(_objectSpread$hH({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$hF, finalProps.value);
    }
  });

  function ownKeys$hG(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$hG(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$hG(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$hG(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$hE = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M18.9999 1.58594L22.4142 5.00015L20.9999 6.41436L19.9999 5.41437L19.4142 6.00015L19.9142 6.50015L18.4999 7.91436L17.9999 7.41436L17.1715 8.24284C17.6947 9.03311 18 9.98149 18 11.0002C18 13.0559 16.7601 14.8202 14.9881 15.589C14.996 15.7251 15 15.8622 15 16.0002C15 19.8661 11.866 23.0002 8 23.0002C4.13401 23.0002 1 19.8661 1 16.0002C1 12.1342 4.13401 9.00015 8 9.00015C8.13795 9.00015 8.27505 9.00416 8.41119 9.01206C9.17998 7.24001 10.9443 6.00015 13 6.00015C14.0186 6.00015 14.967 6.30548 15.7572 6.82864L16.5857 6.00015L16.0857 5.50015L17.4999 4.08594L17.9999 4.58594L18.5857 4.00015L17.5857 3.00015L18.9999 1.58594ZM13 8.00015C11.5763 8.00015 10.382 8.99287 10.0761 10.3249L9.86149 11.2591L8.91903 11.0842C8.62185 11.0291 8.31475 11.0002 8 11.0002C5.23858 11.0002 3 13.2387 3 16.0002C3 18.7616 5.23858 21.0002 8 21.0002C10.7614 21.0002 13 18.7616 13 16.0002C13 15.6854 12.971 15.3783 12.9159 15.0811L12.741 14.1387L13.6753 13.9241C15.0073 13.6181 16 12.4239 16 11.0002C16 10.1714 15.6653 9.4228 15.1213 8.87881C14.5773 8.33483 13.8287 8.00015 13 8.00015ZM8 15.0002C7.44772 15.0002 7 15.4479 7 16.0002C7 16.5524 7.44772 17.0002 8 17.0002C8.55228 17.0002 9 16.5524 9 16.0002C9 15.7237 8.88917 15.4751 8.70711 15.293C8.52505 15.111 8.27642 15.0002 8 15.0002ZM5 16.0002C5 14.3433 6.34315 13.0002 8 13.0002C8.82815 13.0002 9.57952 13.337 10.1213 13.8788C10.6631 14.4206 11 15.172 11 16.0002C11 17.657 9.65685 19.0002 8 19.0002C6.34315 19.0002 5 17.657 5 16.0002Z"
      }
    }]
  };
  var guitar = vue.defineComponent({
    name: "GuitarIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-guitar", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$hG(_objectSpread$hG({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$hE, finalProps.value);
    }
  });

  function ownKeys$hF(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$hF(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$hF(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$hF(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$hD = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M5.70574 4.07265C7.36549 2.69952 9.60453 2 12 2C14.3955 2 16.6346 2.69952 18.2943 4.07265C19.9732 5.46161 21 7.49484 21 10V11H3.00003V10C3.00003 7.49484 4.02686 5.46161 5.70574 4.07265ZM6.00003 11.7981L9.00003 13.7981L12 11.7981L15 13.7982L18 11.7981L22.3868 14.7226L21.2774 16.3868L18 14.2018L15 16.2019L12 14.2018L9.00003 16.2019L6.00003 14.2019L2.72268 16.3868L1.61328 14.7226L6.00003 11.7981ZM3.00003 17H21V18C21 20.7614 18.7615 23 16 23H8.00003C5.23861 23 3.00003 20.7614 3.00003 18V17Z"
      }
    }]
  };
  var hamburgerFilled = vue.defineComponent({
    name: "HamburgerFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-hamburger-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$hF(_objectSpread$hF({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$hD, finalProps.value);
    }
  });

  function ownKeys$hE(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$hE(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$hE(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$hE(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$hC = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M5.70574 4.07265C7.36549 2.69952 9.60453 2 12 2C14.3955 2 16.6346 2.69952 18.2943 4.07265C19.9732 5.46161 21 7.49484 21 10V11H3.00003V10C3.00003 7.49484 4.02685 5.46161 5.70574 4.07265ZM5.07406 9H18.926C18.707 7.56829 18.0146 6.43696 17.0194 5.61364C15.7838 4.59135 14.0228 4 12 4C9.97726 4 8.21631 4.59135 6.98062 5.61364C5.98546 6.43696 5.29309 7.56829 5.07406 9ZM6.00003 11.7981L9.00003 13.7981L12 11.7981L15 13.7982L18 11.7981L22.3868 14.7226L21.2774 16.3868L18 14.2018L15 16.2019L12 14.2018L9.00003 16.2019L6.00003 14.2019L2.72268 16.3868L1.61328 14.7226L6.00003 11.7981ZM3.00003 17H21V18C21 20.7614 18.7615 23 16 23H8.00003C5.23861 23 3.00003 20.7614 3.00003 18V17ZM5.17074 19C5.58257 20.1652 6.69381 21 8.00003 21H16C17.3062 21 18.4175 20.1652 18.8293 19H5.17074Z"
      }
    }]
  };
  var hamburger = vue.defineComponent({
    name: "HamburgerIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-hamburger", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$hE(_objectSpread$hE({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$hC, finalProps.value);
    }
  });

  function ownKeys$hD(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$hD(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$hD(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$hD(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$hB = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M12 23C5.92487 23 1 18.0751 1 12C1 5.92487 5.92487 1 12 1C18.0751 1 23 5.92487 23 12C23 18.0751 18.0751 23 12 23ZM9 12V8H7V12H9ZM17 12V8H15V12H17ZM12 19C14.7614 19 17 16.7614 17 14H7C7 16.7614 9.23858 19 12 19Z"
      }
    }]
  };
  var happyFilled = vue.defineComponent({
    name: "HappyFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-happy-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$hD(_objectSpread$hD({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$hB, finalProps.value);
    }
  });

  function ownKeys$hC(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$hC(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$hC(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$hC(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$hA = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M12 3C7.02944 3 3 7.02944 3 12C3 16.9706 7.02944 21 12 21C16.9706 21 21 16.9706 21 12C21 7.02944 16.9706 3 12 3ZM1 12C1 5.92487 5.92487 1 12 1C18.0751 1 23 5.92487 23 12C23 18.0751 18.0751 23 12 23C5.92487 23 1 18.0751 1 12ZM9 8V12H7V8H9ZM17 8V12H15V8H17ZM7 13H17V14C17 16.7614 14.7614 19 12 19C9.23858 19 7 16.7614 7 14V13ZM9.17071 15C9.58254 16.1652 10.6938 17 12 17C13.3062 17 14.4175 16.1652 14.8293 15H9.17071Z"
      }
    }]
  };
  var happy = vue.defineComponent({
    name: "HappyIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-happy", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$hC(_objectSpread$hC({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$hA, finalProps.value);
    }
  });

  function ownKeys$hB(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$hB(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$hB(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$hB(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$hz = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M6.5 2H2V22H22V2H17.5V9.875H6.5V2Z"
      }
    }, {
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M15.5 2H8.5V7.875H15.5V2ZM14 4V7H12V4H14Z"
      }
    }]
  };
  var hardDiskStorageFilled = vue.defineComponent({
    name: "HardDiskStorageFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-hard-disk-storage-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$hB(_objectSpread$hB({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$hz, finalProps.value);
    }
  });

  function ownKeys$hA(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$hA(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$hA(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$hA(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$hy = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M2 2H22V22H2V2ZM4 4V20H20V4H17.5V11.875H6.5V4H4ZM8.5 4V9.875H15.5V4H8.5ZM14 6V9H12V6H14Z"
      }
    }]
  };
  var hardDiskStorage = vue.defineComponent({
    name: "HardDiskStorageIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-hard-disk-storage", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$hA(_objectSpread$hA({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$hy, finalProps.value);
    }
  });

  function ownKeys$hz(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$hz(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$hz(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$hz(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$hx = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M22 2H2V22H22V2ZM4 14V4H20V14H4ZM8.00195 16.998V19.002H5.99805V16.998H8.00195ZM11.002 16.998V19.002H8.99805V16.998H11.002Z"
      }
    }]
  };
  var hardDriveFilled = vue.defineComponent({
    name: "HardDriveFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-hard-drive-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$hz(_objectSpread$hz({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$hx, finalProps.value);
    }
  });

  function ownKeys$hy(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$hy(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$hy(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$hy(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$hw = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M2 2H22V22H2V2ZM4 4V14H20V4H4ZM20 16H4V20H20V16ZM5.99805 16.998H8.00195V19.002H5.99805V16.998ZM8.99805 16.998H11.002V19.002H8.99805V16.998Z"
      }
    }]
  };
  var hardDrive = vue.defineComponent({
    name: "HardDriveIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-hard-drive", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$hy(_objectSpread$hy({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$hw, finalProps.value);
    }
  });

  function ownKeys$hx(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$hx(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$hx(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$hx(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$hv = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M10.6043 2.11661L10.0062 7.50007H14.9938L15.6165 1.89575L17.6043 2.11661L17.0062 7.50007H22V9.50007H16.7839L16.2284 14.5001H22V16.5001H16.0062L15.3835 22.1044L13.3957 21.8835L13.9938 16.5001H9.00615L8.38345 22.1044L6.39568 21.8835L6.99385 16.5001H2L2 14.5001H7.21607L7.77162 9.50007L2 9.50007L2 7.50007L7.99385 7.50007L8.61655 1.89575L10.6043 2.11661ZM9.78393 9.50007L9.22838 14.5001H14.2161L14.7716 9.50007H9.78393Z"
      }
    }]
  };
  var hashtag = vue.defineComponent({
    name: "HashtagIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-hashtag", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$hx(_objectSpread$hx({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$hv, finalProps.value);
    }
  });

  function ownKeys$hw(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$hw(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$hw(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$hw(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$hu = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M15 14V10H17V14H15Z"
      }
    }, {
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M23 3H1V21H23V3ZM7 11H9V8H11V16H9V13H7V16H5V8H7V11ZM17 8C18.1046 8 19 8.89543 19 10V14C19 15.1046 18.1046 16 17 16H13V8H17Z"
      }
    }]
  };
  var hdFilled = vue.defineComponent({
    name: "HdFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-hd-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$hw(_objectSpread$hw({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$hu, finalProps.value);
    }
  });

  function ownKeys$hv(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$hv(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$hv(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$hv(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$ht = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M1 3L23 3V21H1L1 3ZM3 5L3 19H21V5L3 5ZM7 8V11H9V8H11V16H9V13H7V16H5V8H7ZM13 8H17C18.1046 8 19 8.89543 19 10V14C19 15.1046 18.1046 16 17 16H13V8ZM15 10V14H17V10H15Z"
      }
    }]
  };
  var hd = vue.defineComponent({
    name: "HdIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-hd", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$hv(_objectSpread$hv({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$ht, finalProps.value);
    }
  });

  function ownKeys$hu(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$hu(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$hu(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$hu(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$hs = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M12.0022 4.81816C14.4485 2.66879 18.1771 2.7618 20.5125 5.09718C22.9448 7.52943 22.9448 11.4729 20.5125 13.9051L15.2875 19.1302L15.2867 19.1295L12.0009 22.4153L4.72154 15.136L3.49007 13.9036C1.05808 11.4714 1.05791 7.52784 3.49008 5.09567C5.82601 2.75974 9.55583 2.66724 12.0022 4.81816Z"
      }
    }]
  };
  var heartFilled = vue.defineComponent({
    name: "HeartFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-heart-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$hu(_objectSpread$hu({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$hs, finalProps.value);
    }
  });

  function ownKeys$ht(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$ht(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$ht(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$ht(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$hr = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M12.0012 3.81816C14.4475 1.66879 18.1762 1.7618 20.5115 4.09718C22.9438 6.52943 22.9438 10.4729 20.5115 12.9051L15.2865 18.1302L15.2858 18.1295L11.9999 21.4153L4.72056 14.136L3.4891 12.9036C3.48901 12.9035 3.48918 12.9037 3.4891 12.9036C1.0571 10.4714 1.05693 6.52784 3.4891 4.09567C5.82503 1.75974 9.55485 1.66724 12.0012 3.81816ZM15.2856 15.3027L19.0973 11.4909C20.7485 9.83973 20.7485 7.1626 19.0973 5.5114C17.4461 3.86019 14.769 3.86019 13.1178 5.51139L12.0001 6.62714L10.8828 5.50989C9.23165 3.85868 6.55452 3.85868 4.90331 5.50989C3.25211 7.16109 3.25211 9.83822 4.90331 11.4894L6.13477 12.7218L11.9999 18.5869L15.2848 15.3019L15.2856 15.3027Z"
      }
    }]
  };
  var heart = vue.defineComponent({
    name: "HeartIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-heart", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$ht(_objectSpread$ht({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$hr, finalProps.value);
    }
  });

  function ownKeys$hs(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$hs(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$hs(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$hs(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$hq = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M12 23C18.0751 23 23 18.0751 23 12C23 5.92487 18.0751 1 12 1C5.92487 1 1 5.92487 1 12C1 18.0751 5.92487 23 12 23ZM11.8265 11.8902C12.2582 11.3593 12.8004 10.9159 13.2365 10.5723C13.7034 10.2045 14.0002 9.63718 14.0002 9C14.0002 7.89543 13.1048 7 12.0002 7C11.131 7 10.3888 7.5551 10.1138 8.33325L9.78055 9.27609L7.89487 8.6096L8.22811 7.66676C8.77675 6.11451 10.2571 5 12.0002 5C14.2094 5 16.0002 6.79086 16.0002 9C16.0002 10.2759 15.4018 11.4125 14.4742 12.1433C14.0426 12.4834 13.6573 12.8088 13.3783 13.1519C13.1038 13.4896 13.0002 13.762 13.0002 14V15.25H11.0002V14C11.0002 13.1334 11.3905 12.4265 11.8265 11.8902ZM11.0001 18.2539V16.25H13.004V18.2539H11.0001Z"
      }
    }]
  };
  var helpCircleFilled = vue.defineComponent({
    name: "HelpCircleFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-help-circle-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$hs(_objectSpread$hs({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$hq, finalProps.value);
    }
  });

  function ownKeys$hr(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$hr(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$hr(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$hr(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$hp = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M12 21C16.9706 21 21 16.9706 21 12C21 7.02944 16.9706 3 12 3C7.02944 3 3 7.02944 3 12C3 16.9706 7.02944 21 12 21ZM23 12C23 18.0751 18.0751 23 12 23C5.92487 23 0.999999 18.0751 1 12C1 5.92487 5.92487 0.999999 12 1C18.0751 1 23 5.92487 23 12ZM13.0039 18.2539L11 18.2539L11 16.25H13.0039L13.0039 18.2539ZM11.0002 15.25V14C11.0002 13.1334 11.3904 12.4265 11.8265 11.8902C12.2582 11.3592 12.8004 10.9159 13.2364 10.5723C13.7034 10.2045 14.0002 9.63718 14.0002 9C14.0002 7.89543 13.1048 7 12.0002 7C11.1309 7 10.3888 7.5551 10.1137 8.33325L9.78049 9.27609L7.89481 8.60959L8.22806 7.66675C8.7767 6.11451 10.257 5 12.0002 5C14.2093 5 16.0002 6.79086 16.0002 9C16.0002 10.2759 15.4017 11.4125 14.4742 12.1433C14.0426 12.4834 13.6572 12.8088 13.3783 13.1519C13.1037 13.4896 13.0002 13.762 13.0002 14V15.25H11.0002Z"
      }
    }]
  };
  var helpCircle = vue.defineComponent({
    name: "HelpCircleIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-help-circle", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$hr(_objectSpread$hr({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$hp, finalProps.value);
    }
  });

  function ownKeys$hq(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$hq(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$hq(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$hq(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$ho = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M22 2V22H2V2H22ZM10.1135 8.58325C10.3885 7.8051 11.1307 7.25 11.9999 7.25C13.1045 7.25 13.9999 8.14543 13.9999 9.25C13.9999 9.88718 13.7031 10.4545 13.2361 10.8223C12.8001 11.1659 12.2579 11.6092 11.8262 12.1402C11.3901 12.6765 10.9999 13.3834 10.9999 14.25V15.5H12.9999V14.25C12.9999 14.012 13.1034 13.7396 13.378 13.4019C13.657 13.0588 14.0423 12.7334 14.4739 12.3933C15.4014 11.6625 15.9999 10.5259 15.9999 9.25C15.9999 7.04086 14.2091 5.25 11.9999 5.25C10.2567 5.25 8.77642 6.36451 8.22778 7.91675L7.89453 8.85959L9.78021 9.52609L10.1135 8.58325ZM13.0036 16.5H10.9997V18.5039H13.0036V16.5Z"
      }
    }]
  };
  var helpRectangleFilled = vue.defineComponent({
    name: "HelpRectangleFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-help-rectangle-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$hq(_objectSpread$hq({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$ho, finalProps.value);
    }
  });

  function ownKeys$hp(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$hp(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$hp(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$hp(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$hn = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M2 2H22V22H2V2ZM4 4V20H20V4H4ZM12.0002 7.25C11.1309 7.25 10.3888 7.8051 10.1137 8.58325L9.78049 9.52609L7.89481 8.85959L8.22806 7.91675C8.7767 6.36451 10.257 5.25 12.0002 5.25C14.2093 5.25 16.0002 7.04086 16.0002 9.25C16.0002 10.5259 15.4017 11.6625 14.4742 12.3933C14.0426 12.7334 13.6572 13.0588 13.3783 13.4019C13.1037 13.7396 13.0002 14.012 13.0002 14.25V15.5H11.0002V14.25C11.0002 13.3834 11.3904 12.6765 11.8265 12.1402C12.2582 11.6092 12.8004 11.1659 13.2364 10.8223C13.7034 10.4545 14.0002 9.88718 14.0002 9.25C14.0002 8.14543 13.1048 7.25 12.0002 7.25ZM11 16.5H13.0039V18.5039H11V16.5Z"
      }
    }]
  };
  var helpRectangle = vue.defineComponent({
    name: "HelpRectangleIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-help-rectangle", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$hp(_objectSpread$hp({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$hn, finalProps.value);
    }
  });

  function ownKeys$ho(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$ho(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$ho(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$ho(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$hm = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M12.9951 21.0058L10.9951 20.9999L10.9951 18.994H13.0069L12.9951 21.0058ZM10.9954 17.4497V15.071C10.9954 13.9201 11.5127 12.9612 12.1317 12.1999C12.7463 11.444 13.5272 10.8027 14.1866 10.2832C15.0124 9.63256 15.5397 8.62673 15.5397 7.49717C15.5397 5.53971 13.9528 3.95288 11.9954 3.95288C10.4537 3.95288 9.13955 4.93771 8.65252 6.31565L8.31927 7.25849L6.43359 6.592L6.76684 5.64916C7.52748 3.49712 9.57981 1.95288 11.9954 1.95288C15.0574 1.95288 17.5397 4.43514 17.5397 7.49717C17.5397 9.26542 16.7108 10.8406 15.4243 11.8542C14.7694 12.3702 14.1453 12.8935 13.6835 13.4616C13.226 14.0242 12.9954 14.5487 12.9954 15.071V17.4497H10.9954Z"
      }
    }]
  };
  var help = vue.defineComponent({
    name: "HelpIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-help", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$ho(_objectSpread$ho({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$hm, finalProps.value);
    }
  });

  function ownKeys$hn(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$hn(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$hn(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$hn(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$hl = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M12 1C18.0751 1 23 5.92487 23 12C23 18.0751 18.0751 23 12 23C5.92487 23 1 18.0751 1 12C1 5.92487 5.92487 1 12 1ZM7.64574 9.54082C8.50589 8.02163 10.1345 7 12.0004 7H13.0004V5H12.0004C9.385 5 7.10601 6.4348 5.90534 8.55543L5.41264 9.42563L7.15305 10.411L7.64574 9.54082ZM7.00391 13.2091L7.00402 11.1329L5.00402 11.1328L5.00391 13.209L7.00391 13.2091Z"
      }
    }]
  };
  var highlight1Filled = vue.defineComponent({
    name: "Highlight1FilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-highlight-1-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$hn(_objectSpread$hn({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$hl, finalProps.value);
    }
  });

  function ownKeys$hm(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$hm(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$hm(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$hm(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$hk = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M12 3C7.02944 3 3 7.02944 3 12C3 16.9706 7.02944 21 12 21C16.9706 21 21 16.9706 21 12C21 7.02944 16.9706 3 12 3ZM1 12C1 5.92487 5.92487 1 12 1C18.0751 1 23 5.92487 23 12C23 18.0751 18.0751 23 12 23C5.92487 23 1 18.0751 1 12ZM12.0003 7C10.1344 7 8.50583 8.02163 7.64569 9.54082L7.15299 10.411L5.41259 9.42563L5.90528 8.55543C7.10595 6.4348 9.38494 5 12.0003 5H13.0003V7H12.0003ZM7.00397 11.1329L7.00385 13.2091L5.00385 13.209L5.00397 11.1328L7.00397 11.1329Z"
      }
    }]
  };
  var highlight1 = vue.defineComponent({
    name: "Highlight1Icon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-highlight-1", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$hm(_objectSpread$hm({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$hk, finalProps.value);
    }
  });

  function ownKeys$hl(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$hl(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$hl(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$hl(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$hj = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M2 2H5.5V4H4V5.5H2V2ZM7.5 2H10.5V4H7.5V2ZM12.5 2H15.5V4H12.5V2ZM17.5 2H21V5.5H19V4H17.5V2ZM4 7.5V10.5H2L2 7.5H4ZM21 7.5V10.5H19V7.5H21ZM4 12.5V15.5H2L2 12.5H4ZM20 14V16H17.4142L21.4142 20L20 21.4142L16 17.4142V20H14V14H20ZM4 17.5V19H5.5V21H2V17.5H4ZM7.5 19H10.5V21H7.5V19Z"
      }
    }]
  };
  var highlight = vue.defineComponent({
    name: "HighlightIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-highlight", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$hl(_objectSpread$hl({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$hj, finalProps.value);
    }
  });

  function ownKeys$hk(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$hk(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$hk(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$hk(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$hi = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M11.9997 3.5C10.5412 3.5 9.17133 3.86651 7.9741 4.51164C6.6697 5.21451 5.56985 6.24843 4.78714 7.5H8.49974V9.5H1.49974V2.5H3.49974V5.83442C4.42555 4.56009 5.63073 3.50248 7.02537 2.75098C8.50694 1.95264 10.202 1.5 11.9997 1.5C17.7987 1.5 22.4997 6.20101 22.4997 12V13H20.4997V12C20.4997 7.30558 16.6942 3.5 11.9997 3.5ZM12.9997 6V11.5858L14.664 13.25L13.2497 14.6642L10.9997 12.4142V6H12.9997ZM3.44227 11.9014L3.54631 12.896C3.9933 17.1687 7.60814 20.5 11.9997 20.5H12.9997V22.5H11.9997C6.57341 22.5 2.10958 18.3846 1.55717 13.104L1.45312 12.1095L3.44227 11.9014ZM19.4997 14.0046V15.145C20.0328 15.3037 20.5126 15.5859 20.906 15.9584L21.8948 15.3875L22.8948 17.1195L21.9057 17.6906C21.9672 17.9504 21.9997 18.2215 21.9997 18.5001C21.9997 18.7802 21.9668 19.0525 21.9047 19.3136L22.8949 19.8853L21.8949 21.6173L20.9029 21.0446C20.5101 21.4158 20.0314 21.6969 19.4997 21.8551V23.0001H17.4997V21.8551C16.968 21.6969 16.4893 21.4157 16.0965 21.0446L15.1045 21.6172L14.1045 19.8852L15.0948 19.3135C15.0326 19.0525 14.9997 18.7801 14.9997 18.5001C14.9997 18.2215 15.0323 17.9505 15.0938 17.6907L14.1046 17.1196L15.1046 15.3876L16.0934 15.9585C16.4868 15.5859 16.9667 15.3037 17.4997 15.145V14.0046H19.4997ZM18.4997 17.0001C17.6713 17.0001 16.9997 17.6717 16.9997 18.5001C16.9997 19.3285 17.6713 20.0001 18.4997 20.0001C19.3282 20.0001 19.9997 19.3285 19.9997 18.5001C19.9997 17.6717 19.3282 17.0001 18.4997 17.0001Z"
      }
    }]
  };
  var historySetting = vue.defineComponent({
    name: "HistorySettingIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-history-setting", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$hk(_objectSpread$hk({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$hi, finalProps.value);
    }
  });

  function ownKeys$hj(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$hj(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$hj(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$hj(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$hh = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M22.4997 12C22.4997 6.20101 17.7987 1.5 11.9997 1.5C10.202 1.5 8.50694 1.95264 7.02537 2.75098C5.63073 3.50248 4.42555 4.56009 3.49974 5.83442V2.5H1.49974V9.5H8.49974V7.5H4.78715C5.56985 6.24843 6.6697 5.21451 7.9741 4.51164C9.17133 3.86651 10.5412 3.5 11.9997 3.5C16.6942 3.5 20.4997 7.30558 20.4997 12C20.4997 16.6944 16.6942 20.5 11.9997 20.5C7.60814 20.5 3.9933 17.1687 3.54632 12.896L3.44227 11.9014L1.45312 12.1095L1.55717 13.104C2.10958 18.3846 6.57341 22.5 11.9997 22.5C17.7987 22.5 22.4997 17.799 22.4997 12ZM10.9997 6V12.4142L14.4997 15.9142L15.914 14.5L12.9997 11.5858V6H10.9997Z"
      }
    }]
  };
  var history = vue.defineComponent({
    name: "HistoryIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-history", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$hj(_objectSpread$hj({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$hh, finalProps.value);
    }
  });

  function ownKeys$hi(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$hi(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$hi(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$hi(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$hg = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M22 9.53158L12 1.19824L2 9.53158V22H7.5V13.5H16.5V22H22V9.53158Z"
      }
    }, {
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M14.5 22H9.5V15.5H14.5V22Z"
      }
    }]
  };
  var homeFilled = vue.defineComponent({
    name: "HomeFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-home-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$hi(_objectSpread$hi({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$hg, finalProps.value);
    }
  });

  function ownKeys$hh(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$hh(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$hh(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$hh(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$hf = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M12 1.19824L22 9.53158V22H2V9.53158L12 1.19824ZM10 20H14V15H10V20ZM16 20H20V10.4683L12 3.80166L4 10.4683V20H8V13H16V20Z"
      }
    }]
  };
  var home = vue.defineComponent({
    name: "HomeIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-home", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$hh(_objectSpread$hh({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$hf, finalProps.value);
    }
  });

  function ownKeys$hg(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$hg(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$hg(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$hg(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$he = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M2 2L22 2V8L2 8L2 2ZM2 10L22 10L22 22L2 22L2 10Z"
      }
    }]
  };
  var horizontalFilled = vue.defineComponent({
    name: "HorizontalFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-horizontal-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$hg(_objectSpread$hg({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$he, finalProps.value);
    }
  });

  function ownKeys$hf(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$hf(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$hf(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$hf(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$hd = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M2 2L22 2V8L2 8L2 2ZM4 4L4 6L20 6V4L4 4ZM2 10L22 10L22 22L2 22L2 10ZM4 12L4 20L20 20L20 12L4 12Z"
      }
    }]
  };
  var horizontal = vue.defineComponent({
    name: "HorizontalIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-horizontal", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$hf(_objectSpread$hf({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$hd, finalProps.value);
    }
  });

  function ownKeys$he(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$he(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$he(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$he(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$hc = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M22.4127 10.9169L11.9994 1.66064L4.33865 8.50064L1.58984 10.9058L2.90685 12.411L4.00092 11.4537V21.9999H8.5V16H15.5V21.9999H20.0009V11.449L21.084 12.4117L22.4127 10.9169ZM13 9H15V11H13V13H11V11H9V9H11V7H13V9Z"
      }
    }, {
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M10.5 22V18H13.5V22H10.5Z"
      }
    }]
  };
  var hospital1Filled = vue.defineComponent({
    name: "Hospital1FilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-hospital-1-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$he(_objectSpread$he({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$hc, finalProps.value);
    }
  });

  function ownKeys$hd(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$hd(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$hd(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$hd(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$hb = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M11.9985 1.66064L22.4117 10.9169L21.083 12.4117L19.9999 11.449V21.9999H3.99995V11.4537L2.90588 12.411L1.58887 10.9058L4.33767 8.50064L11.9985 1.66064ZM5.99995 9.69765V19.9999H8.99995V14.9999H14.9999V19.9999H17.9999V9.6712L12.0014 4.33919L5.99995 9.69765ZM12.9999 19.9999V16.9999H10.9999V19.9999H12.9999ZM12.9999 6.99992V8.99992H14.9999V10.9999H12.9999V12.9999H10.9999V10.9999H8.99995V8.99992H10.9999V6.99992H12.9999Z"
      }
    }]
  };
  var hospital1 = vue.defineComponent({
    name: "Hospital1Icon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-hospital-1", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$hd(_objectSpread$hd({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$hb, finalProps.value);
    }
  });

  function ownKeys$hc(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$hc(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$hc(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$hc(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$ha = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M20 2H4V4H5V8H2V22H8.5V15H15.5V22H22V8H19V4H20V2ZM13 7H15V9H13V11H11V9H9V7H11V5H13V7Z"
      }
    }, {
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M10.5 22V17H13.5V22H10.5Z"
      }
    }]
  };
  var hospitalFilled = vue.defineComponent({
    name: "HospitalFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-hospital-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$hc(_objectSpread$hc({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$ha, finalProps.value);
    }
  });

  function ownKeys$hb(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$hb(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$hb(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$hb(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$h9 = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M4 2H20V4H19V8H22V22H2V8H5V4H4V2ZM7 4V10H4.0006L4 20H9V14H15V20H20V10H17V4H7ZM13 20V16H11V20H13ZM13 5V7H15V9H13V11H11V9H9V7H11V5H13Z"
      }
    }]
  };
  var hospital = vue.defineComponent({
    name: "HospitalIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-hospital", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$hb(_objectSpread$hb({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$h9, finalProps.value);
    }
  });

  function ownKeys$ha(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$ha(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$ha(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$ha(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$h8 = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M13 0H12V2H13C16.866 2 20 5.13401 20 9V10H22V9C22 4.02944 17.9706 0 13 0zM10 2H4V24H20V12H18V18H6V4H10V2zM13.0039 20V22.0039H11V20H13.0039z"
      }
    }, {
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M13 4H12V6H13C14.6569 6 16 7.34315 16 9V10H18V9C18 6.23858 15.7614 4 13 4Z"
      }
    }, {
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M14.0039 8H12V10.0039H14.0039V8Z"
      }
    }]
  };
  var hotspotWaveFilled = vue.defineComponent({
    name: "HotspotWaveFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-hotspot-wave-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$ha(_objectSpread$ha({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$h8, finalProps.value);
    }
  });

  function ownKeys$h9(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$h9(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$h9(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$h9(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$h7 = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M12 0H13C17.9706 0 22 4.02944 22 9V10H20V9C20 5.13401 16.866 2 13 2H12V0ZM4 2H10V4H6V22H18V12H20V24H4V2ZM12 4H13C15.7614 4 18 6.23858 18 9V10H16V9C16 7.34315 14.6569 6 13 6H12V4ZM12 8H14.0039V10.0039H12V8Z"
      }
    }]
  };
  var hotspotWave = vue.defineComponent({
    name: "HotspotWaveIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-hotspot-wave", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$h9(_objectSpread$h9({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$h7, finalProps.value);
    }
  });

  function ownKeys$h8(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$h8(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$h8(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$h8(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$h6 = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M4 2H20V5C20 8.01203 18.3354 10.6353 15.876 12C18.3354 13.3647 20 15.988 20 19V22H4V19C4 15.988 5.66458 13.3647 8.124 12C5.66458 10.6353 4 8.01203 4 5V2ZM18 5V4H6V5C6 5.89221 6.19474 6.73894 6.54404 7.5H17.456C17.8053 6.73894 18 5.89221 18 5ZM11.002 13.0826C8.16328 13.5579 6 16.0263 6 19V20H7.10002C7.49783 18.0402 9.0419 16.4967 11.002 16.0996V13.0826ZM12.998 16.0996C14.9581 16.4967 16.5022 18.0402 16.9 20H18V19C18 16.0263 15.8367 13.5579 12.998 13.0826V16.0996Z"
      }
    }]
  };
  var hourglassFilled = vue.defineComponent({
    name: "HourglassFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-hourglass-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$h8(_objectSpread$h8({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$h6, finalProps.value);
    }
  });

  function ownKeys$h7(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$h7(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$h7(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$h7(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$h5 = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M4 2H20V5C20 8.01203 18.3354 10.6353 15.876 12C18.3354 13.3647 20 15.988 20 19V22H4V19C4 15.988 5.66458 13.3647 8.12399 12C5.66458 10.6353 4 8.01203 4 5V2ZM12 13C8.68629 13 6 15.6863 6 19V20H18V19C18 15.6863 15.3137 13 12 13ZM6 4V5C6 8.31371 8.68629 11 12 11C15.3137 11 18 8.31371 18 5V4H6Z"
      }
    }]
  };
  var hourglass = vue.defineComponent({
    name: "HourglassIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-hourglass", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$h7(_objectSpread$h7({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$h5, finalProps.value);
    }
  });

  function ownKeys$h6(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$h6(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$h6(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$h6(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$h4 = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M2 2H22V22H16.5V14H7.5V22H2V2ZM8 9V6H6V9H8ZM13 9V6H11V9H13ZM16 9H18V6H16V9Z"
      }
    }, {
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M9.5 22V16H14.5V22H9.5Z"
      }
    }]
  };
  var houses1Filled = vue.defineComponent({
    name: "Houses1FilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-houses-1-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$h6(_objectSpread$h6({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$h4, finalProps.value);
    }
  });

  function ownKeys$h5(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$h5(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$h5(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$h5(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$h3 = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M2 2H22V22H2V2ZM4 4V20H8V13H16V20H20V4H4ZM14 20V15H10V20H14ZM8 6V9H6V6H8ZM13 6V9H11V6H13ZM18 6V9H16V6H18Z"
      }
    }]
  };
  var houses1 = vue.defineComponent({
    name: "Houses1Icon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-houses-1", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$h5(_objectSpread$h5({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$h3, finalProps.value);
    }
  });

  function ownKeys$h4(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$h4(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$h4(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$h4(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$h2 = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M9.00057 3.99951V1.99951H7.00057V3.99951H5.43437L1.23438 10.9995H22.7668L18.5668 3.99951H9.00057zM21 12.9995H3V21.9995H8.50098V16H15.501V21.9995H21V12.9995z"
      }
    }, {
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M10.501 18V22H13.501V18H10.501Z"
      }
    }]
  };
  var houses2Filled = vue.defineComponent({
    name: "Houses2FilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-houses-2-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$h4(_objectSpread$h4({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$h2, finalProps.value);
    }
  });

  function ownKeys$h3(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$h3(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$h3(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$h3(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$h1 = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M8.99959 1.99951V3.99951H18.5658L22.7658 10.9995H20.9996V21.9999H2.99959V10.9995H1.2334L5.4334 3.99951H6.99959V1.99951H8.99959ZM4.99959 10.9995V19.9999H8.99959V14.9999H14.9996V19.9999H18.9996V10.9995H4.99959ZM19.2334 8.99951L17.4334 5.99951H6.56578L4.76578 8.99951H19.2334ZM12.9996 19.9999V16.9999H10.9996V19.9999H12.9996Z"
      }
    }]
  };
  var houses2 = vue.defineComponent({
    name: "Houses2Icon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-houses-2", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$h3(_objectSpread$h3({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$h1, finalProps.value);
    }
  });

  function ownKeys$h2(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$h2(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$h2(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$h2(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$h0 = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M11.9968 1.6582L22.4127 10.9168L21.084 12.4116L20.0009 11.4489V21.9998H15.5V15H8.5V21.9998H4.00092V11.4536L2.90685 12.4109L1.58984 10.9058L6.00092 7.04607V2.99984H8.00092V5.25448L11.9968 1.6582Z"
      }
    }, {
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M10.5 22V17H13.5V22H10.5Z"
      }
    }]
  };
  var housesFilled = vue.defineComponent({
    name: "HousesFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-houses-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$h2(_objectSpread$h2({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$h0, finalProps.value);
    }
  });

  function ownKeys$h1(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$h1(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$h1(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$h1(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$g$ = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M11.9958 1.6582L22.4117 10.9168L21.083 12.4116L19.9999 11.4489V21.9998H3.99995V11.4536L2.90588 12.4109L1.58887 10.9058L5.99995 7.04607V2.99984H7.99995V5.25448L11.9958 1.6582ZM5.99995 9.70361V19.9998H8.99995V13.9998H14.9999V19.9998H17.9999V9.67113L12.0041 4.34147L7.65852 8.25249L5.99995 9.70361ZM12.9999 19.9998V15.9998H10.9999V19.9998H12.9999Z"
      }
    }]
  };
  var houses = vue.defineComponent({
    name: "HousesIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-houses", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$h1(_objectSpread$h1({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$g$, finalProps.value);
    }
  });

  function ownKeys$h0(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$h0(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$h0(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$h0(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$g_ = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M22.059 1L20.9614 20.2076L12.0002 23.568L3.03898 20.2076L1.94141 1H22.059ZM7.78747 7H16.4952L18.215 7.01719L18.3304 5H5.66992L6.09145 12.3768L15.9055 12.3768L15.6959 16.0461L12.0002 17.432L8.30439 16.0461L8.25566 15.1933L8.2117 14.0734H6.1884L6.38199 17.4612L12.0002 19.568L17.6183 17.4612L18.0231 10.3768L7.98043 10.3768L7.78747 7Z"
      }
    }]
  };
  var html5Filled = vue.defineComponent({
    name: "Html5FilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-html5-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$h0(_objectSpread$h0({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$g_, finalProps.value);
    }
  });

  function ownKeys$g$(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$g$(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$g$(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$g$(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$gZ = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M1.94141 1H22.059L20.9614 20.2076L12.0002 23.568L3.03898 20.2076L1.94141 1ZM4.05895 3L4.96138 18.7924L12.0002 21.432L19.039 18.7924L19.9414 3H4.05895ZM5.66992 5H18.3304L18.215 7.01719L16.4952 7H7.78747L7.98043 10.3768L18.0231 10.3768L17.6183 17.4612L12.0002 19.568L6.38199 17.4612L6.1884 14.0734H8.2117L8.25566 15.1933L8.30439 16.0461L12.0002 17.432L15.6959 16.0461L15.9055 12.3768L6.09145 12.3768L5.66992 5Z"
      }
    }]
  };
  var html5 = vue.defineComponent({
    name: "Html5Icon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-html5", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$g$(_objectSpread$g$({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$gZ, finalProps.value);
    }
  });

  function ownKeys$g_(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$g_(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$g_(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$g_(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$gY = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M17.9995 7V10.5H20.4995V22H3.49951V10.5H5.99951V7C5.99951 3.68629 8.6858 1 11.9995 1C15.3132 1 17.9995 3.68629 17.9995 7ZM7.99951 7V10.5H15.9995V7C15.9995 4.79086 14.2087 3 11.9995 3C9.79037 3 7.99951 4.79086 7.99951 7ZM11.9995 14.25C10.8949 14.25 9.99951 15.1454 9.99951 16.25C9.99951 17.3546 10.8949 18.25 11.9995 18.25C13.1041 18.25 13.9995 17.3546 13.9995 16.25C13.9995 15.1454 13.1041 14.25 11.9995 14.25Z"
      }
    }]
  };
  var httpsFilled = vue.defineComponent({
    name: "HttpsFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-https-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$g_(_objectSpread$g_({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$gY, finalProps.value);
    }
  });

  function ownKeys$gZ(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$gZ(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$gZ(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$gZ(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$gX = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M5.5 7.5C5.5 3.91015 8.41015 1 12 1C15.5899 1 18.5 3.91015 18.5 7.5V9H20.5V22H3.5V9H5.5V7.5ZM7.5 9H16.5V7.5C16.5 5.01472 14.4853 3 12 3C9.51472 3 7.5 5.01472 7.5 7.5V9ZM5.5 11V20H18.5V11H5.5ZM10 15.5C10 14.3954 10.8954 13.5 12 13.5C13.1046 13.5 14 14.3954 14 15.5C14 16.6046 13.1046 17.5 12 17.5C10.8954 17.5 10 16.6046 10 15.5Z"
      }
    }]
  };
  var https = vue.defineComponent({
    name: "HttpsIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-https", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$gZ(_objectSpread$gZ({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$gX, finalProps.value);
    }
  });

  function ownKeys$gY(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$gY(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$gY(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$gY(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$gW = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M14.9996 2.71706C13.2435 1.56387 10.8296 1.75582 9.29248 3.29289C8.33207 4.2533 7.88892 5.55643 7.97647 6.824L2.0726 19.291L2.06524 19.3082C1.35405 20.9677 3.03193 22.6455 4.69137 21.9343L4.70855 21.927L17.1756 16.0231C18.4432 16.1107 19.7463 15.6675 20.7067 14.7071C22.2438 13.17 22.4357 10.7561 21.2825 9.00001C22.4357 7.24393 22.2438 4.82996 20.7067 3.29289C19.1696 1.75582 16.7557 1.56387 14.9996 2.71706ZM16.4142 4.21327C17.3546 3.77683 18.5268 3.94144 19.2925 4.7071C20.2678 5.68246 20.2678 7.31754 19.2925 8.2929C18.5268 9.05856 17.3546 9.22317 16.4141 8.78673C17.2273 7.38246 17.2273 5.61753 16.4142 4.21327ZM19.7863 10.4146C20.2228 11.355 20.0581 12.5272 19.2925 13.2929C18.7924 13.793 18.1192 14.0451 17.4475 14.0337L9.96589 6.55208C9.95447 5.88041 10.2066 5.2072 10.7067 4.7071C11.6821 3.73175 13.3171 3.73175 14.2925 4.7071C15.2678 5.68246 15.2678 7.31753 14.2925 8.29289L13.5854 9L14.2925 9.7071C15.7682 11.1828 18.0523 11.4187 19.7863 10.4146Z"
      }
    }]
  };
  var iceCreamFilled = vue.defineComponent({
    name: "IceCreamFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-ice-cream-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$gY(_objectSpread$gY({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$gW, finalProps.value);
    }
  });

  function ownKeys$gX(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$gX(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$gX(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$gX(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$gV = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M14.9996 2.71706C13.2435 1.56387 10.8296 1.75582 9.29248 3.29289C8.33207 4.2533 7.88892 5.55643 7.97647 6.824L2.0726 19.291L2.06524 19.3082C1.35405 20.9677 3.03193 22.6455 4.69137 21.9343L4.70855 21.927L17.1756 16.0231C18.4432 16.1107 19.7463 15.6675 20.7067 14.7071C22.2438 13.17 22.4357 10.7561 21.2825 9.00001C22.4357 7.24393 22.2438 4.82996 20.7067 3.29289C19.1696 1.75582 16.7557 1.56387 14.9996 2.71706ZM16.4142 4.21327C17.3546 3.77683 18.5268 3.94144 19.2925 4.7071C20.2678 5.68246 20.2678 7.31754 19.2925 8.2929C18.5268 9.05856 17.3546 9.22317 16.4141 8.78673C17.2273 7.38246 17.2273 5.61753 16.4142 4.21327ZM19.7863 10.4146C20.2228 11.355 20.0581 12.5272 19.2925 13.2929C18.7924 13.793 18.1192 14.0451 17.4475 14.0337L9.96589 6.55208C9.95447 5.88041 10.2066 5.2072 10.7067 4.7071C11.6821 3.73175 13.3171 3.73175 14.2925 4.7071C15.2678 5.68246 15.2678 7.31753 14.2925 8.29289L13.5854 9L14.2925 9.7071C15.7682 11.1828 18.0523 11.4187 19.7863 10.4146ZM15.289 14.7036L3.905 20.0946L9.29598 8.7106L15.289 14.7036Z"
      }
    }]
  };
  var iceCream = vue.defineComponent({
    name: "IceCreamIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-ice-cream", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$gX(_objectSpread$gX({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$gV, finalProps.value);
    }
  });

  function ownKeys$gW(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$gW(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$gW(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$gW(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$gU = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M22 2H8V7.15003C4.57664 7.84493 2 10.8716 2 14.5C2 18.6421 5.35786 22 9.5 22C13.1284 22 16.1551 19.4234 16.85 16H22V2ZM16.9836 14C16.7372 10.2562 13.7438 7.26282 10 7.0164V4H20V14H16.9836Z"
      }
    }]
  };
  var iconFilled = vue.defineComponent({
    name: "IconFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-icon-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$gW(_objectSpread$gW({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$gU, finalProps.value);
    }
  });

  function ownKeys$gV(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$gV(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$gV(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$gV(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$gT = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M22 2H8V7.15003C4.57664 7.84493 2 10.8716 2 14.5C2 18.6421 5.35786 22 9.5 22C13.1284 22 16.1551 19.4234 16.85 16H22V2ZM16.9836 14C16.7372 10.2562 13.7438 7.26282 10 7.0164V4H20V14H16.9836ZM9.5 9C12.5376 9 15 11.4624 15 14.5C15 17.5376 12.5376 20 9.5 20C6.46243 20 4 17.5376 4 14.5C4 11.4624 6.46243 9 9.5 9Z"
      }
    }]
  };
  var icon = vue.defineComponent({
    name: "IconIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-icon", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$gV(_objectSpread$gV({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$gT, finalProps.value);
    }
  });

  function ownKeys$gU(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$gU(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$gU(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$gU(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$gS = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M13.0014 6C13.0014 3.79086 14.7922 2 17.0014 2C19.2105 2 21.0014 3.79086 21.0014 6C21.0014 8.20914 19.2105 10 17.0014 10C14.7922 10 13.0014 8.20914 13.0014 6ZM8.99708 8.14409L13.4895 15.1322L15.9263 11.2333L24.0014 22H0.179688L8.99708 8.14409Z"
      }
    }]
  };
  var image1Filled = vue.defineComponent({
    name: "Image1FilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-image-1-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$gU(_objectSpread$gU({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$gS, finalProps.value);
    }
  });

  function ownKeys$gT(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$gT(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$gT(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$gT(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$gR = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M17.0001 4C15.8956 4 15.0001 4.89543 15.0001 6C15.0001 7.10457 15.8956 8 17.0001 8C18.1047 8 19.0001 7.10457 19.0001 6C19.0001 4.89543 18.1047 4 17.0001 4ZM13.0001 6C13.0001 3.79086 14.791 2 17.0001 2C19.2093 2 21.0001 3.79086 21.0001 6C21.0001 8.20914 19.2093 10 17.0001 10C14.791 10 13.0001 8.20914 13.0001 6ZM9.92833 8.12361L14.3467 15.1388L16.9283 11.1641L23.9664 22H1.18848L9.92833 8.12361ZM9.92833 11.8764L4.81179 20H20.2825L16.9283 14.8359L14.3208 18.8504L9.92833 11.8764Z"
      }
    }]
  };
  var image1 = vue.defineComponent({
    name: "Image1Icon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-image-1", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$gT(_objectSpread$gT({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$gR, finalProps.value);
    }
  });

  function ownKeys$gS(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$gS(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$gS(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$gS(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$gQ = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M22 2H2V22H13.2322C12.7644 21.1025 12.5 20.0821 12.5 19C12.5 17.0997 13.3155 15.3899 14.6156 14.2013L9 8.58579L4 13.5858V4H20V12.5764C20.7113 12.6863 21.3845 12.9114 22 13.2322V2Z"
      }
    }, {
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M16 5.25C14.4812 5.25 13.25 6.48122 13.25 8 13.25 9.51878 14.4812 10.75 16 10.75 17.5188 10.75 18.75 9.51878 18.75 8 18.75 6.48122 17.5188 5.25 16 5.25zM18 24H20V20H24V18H20V14H18V18H14V20H18V24z"
      }
    }]
  };
  var imageAddFilled = vue.defineComponent({
    name: "ImageAddFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-image-add-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$gS(_objectSpread$gS({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$gQ, finalProps.value);
    }
  });

  function ownKeys$gR(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$gR(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$gR(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$gR(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$gP = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M2 2H22V12H20V4H4V13.5858L9 8.58579L14.4142 14L13 15.4142L9 11.4142L4 16.4142V20H12V22H2V2ZM15.5469 7C14.9946 7 14.5469 7.44772 14.5469 8C14.5469 8.55228 14.9946 9 15.5469 9C16.0992 9 16.5469 8.55228 16.5469 8C16.5469 7.44772 16.0992 7 15.5469 7ZM12.5469 8C12.5469 6.34315 13.89 5 15.5469 5C17.2037 5 18.5469 6.34315 18.5469 8C18.5469 9.65685 17.2037 11 15.5469 11C13.89 11 12.5469 9.65685 12.5469 8ZM20 14V18H24V20H20V24H18V20H14V18H18V14H20Z"
      }
    }]
  };
  var imageAdd = vue.defineComponent({
    name: "ImageAddIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-image-add", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$gR(_objectSpread$gR({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$gP, finalProps.value);
    }
  });

  function ownKeys$gQ(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$gQ(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$gQ(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$gQ(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$gO = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M22 2H2V22H10.501L10.5 18.5445L14.7294 14.3151L9 8.58579L4 13.5858V4H20V9.47063L22 11.4706V2Z"
      }
    }, {
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M16 5.25C14.4812 5.25 13.25 6.48122 13.25 8 13.25 9.51878 14.4812 10.75 16 10.75 17.5188 10.75 18.75 9.51878 18.75 8 18.75 6.48122 17.5188 5.25 16 5.25zM23.9143 16.2133L19.7867 12.0857 12.5 19.3724 12.5012 23.4999H16.6277L23.9143 16.2133zM17.4507 17.2501L18.7499 18.5493 15.7993 21.4999H14.5006L14.5002 20.2006 17.4507 17.2501z"
      }
    }]
  };
  var imageEditFilled = vue.defineComponent({
    name: "ImageEditFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-image-edit-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$gQ(_objectSpread$gQ({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$gO, finalProps.value);
    }
  });

  function ownKeys$gP(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$gP(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$gP(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$gP(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$gN = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M2 2H22V10H20V4H4V13.5858L9 8.58579L14.9142 14.5L13.5 15.9142L9 11.4142L4 16.4142V20H10V22H2V2ZM15.5469 7C14.9946 7 14.5469 7.44772 14.5469 8C14.5469 8.55228 14.9946 9 15.5469 9C16.0992 9 16.5469 8.55228 16.5469 8C16.5469 7.44772 16.0992 7 15.5469 7ZM12.5469 8C12.5469 6.34315 13.89 5 15.5469 5C17.2037 5 18.5469 6.34315 18.5469 8C18.5469 9.65685 17.2037 11 15.5469 11C13.89 11 12.5469 9.65685 12.5469 8ZM19.7866 12.0858L23.9142 16.2134L16.6276 23.5H12.5011L12.4999 19.3725L19.7866 12.0858ZM18.8648 15.836L20.164 17.1352L21.0858 16.2134L19.7866 14.9142L18.8648 15.836ZM18.7498 18.5494L17.4506 17.2502L14.5001 20.2007L14.5005 21.5H15.7992L18.7498 18.5494Z"
      }
    }]
  };
  var imageEdit = vue.defineComponent({
    name: "ImageEditIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-image-edit", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$gP(_objectSpread$gP({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$gN, finalProps.value);
    }
  });

  function ownKeys$gO(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$gO(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$gO(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$gO(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$gM = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M22 2H2V22H13.2322C12.7644 21.1025 12.5 20.0821 12.5 19C12.5 17.0997 13.3155 15.3899 14.6156 14.2013L9 8.58579L4 13.5858V4H20V12.5764C20.7113 12.6863 21.3845 12.9114 22 13.2322V2Z"
      }
    }, {
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M16 5.25C14.4812 5.25 13.25 6.48122 13.25 8 13.25 9.51878 14.4812 10.75 16 10.75 17.5188 10.75 18.75 9.51878 18.75 8 18.75 6.48122 17.5188 5.25 16 5.25zM21.8289 23.2426L23.2431 21.8284 20.4147 19 23.2431 16.1715 21.8289 14.7573 19.0005 17.5857 16.172 14.7573 14.7578 16.1715 17.5862 19 14.7578 21.8284 16.172 23.2426 19.0005 20.4142 21.8289 23.2426z"
      }
    }]
  };
  var imageErrorFilled = vue.defineComponent({
    name: "ImageErrorFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-image-error-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$gO(_objectSpread$gO({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$gM, finalProps.value);
    }
  });

  function ownKeys$gN(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$gN(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$gN(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$gN(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$gL = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M2 2H22V12H20V4H4V13.5858L9 8.58579L14.4142 14L13 15.4142L9 11.4142L4 16.4142V20H12V22H2V2ZM15.5469 7C14.9946 7 14.5469 7.44772 14.5469 8C14.5469 8.55228 14.9946 9 15.5469 9C16.0992 9 16.5469 8.55228 16.5469 8C16.5469 7.44772 16.0992 7 15.5469 7ZM12.5469 8C12.5469 6.34315 13.89 5 15.5469 5C17.2037 5 18.5469 6.34315 18.5469 8C18.5469 9.65685 17.2037 11 15.5469 11C13.89 11 12.5469 9.65685 12.5469 8ZM16.1716 14.7574L19 17.5858L21.8284 14.7574L23.2426 16.1716L20.4142 19L23.2426 21.8284L21.8284 23.2426L19 20.4142L16.1716 23.2426L14.7574 21.8284L17.5858 19L14.7574 16.1716L16.1716 14.7574Z"
      }
    }]
  };
  var imageError = vue.defineComponent({
    name: "ImageErrorIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-image-error", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$gN(_objectSpread$gN({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$gL, finalProps.value);
    }
  });

  function ownKeys$gM(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$gM(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$gM(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$gM(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$gK = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M16 5.25C14.4812 5.25 13.25 6.48122 13.25 8C13.25 9.51878 14.4812 10.75 16 10.75C17.5188 10.75 18.75 9.51878 18.75 8C18.75 6.48122 17.5188 5.25 16 5.25Z"
      }
    }, {
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M22 2H2V22H22V2ZM20 4V19.5858L9 8.58579L4 13.5858V4H20Z"
      }
    }]
  };
  var imageFilled = vue.defineComponent({
    name: "ImageFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-image-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$gM(_objectSpread$gM({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$gK, finalProps.value);
    }
  });

  function ownKeys$gL(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$gL(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$gL(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$gL(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$gJ = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M17.759 2H2.00088V17.7582L10.0871 9.67197 9.00088 8.58579 4.00088 13.5858V4H15.759L17.759 2zM.583008 22.0045L21.9931.594389 21.9888.590088 21.9929.585938 23.4071 2.00015 22.0009 3.4064V22H3.40728L1.99292 23.4144.583008 22.0045zM16.0009 10.75C15.6058 10.75 15.2302 10.6667 14.8906 10.5167L12.9112 12.4961 20.0009 19.5858V5.4064L18.5175 6.88973C18.6676 7.22929 18.7509 7.60492 18.7509 8 18.7509 9.51878 17.5197 10.75 16.0009 10.75z"
      }
    }]
  };
  var imageOffFilled = vue.defineComponent({
    name: "ImageOffFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-image-off-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$gL(_objectSpread$gL({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$gJ, finalProps.value);
    }
  });

  function ownKeys$gK(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$gK(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$gK(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$gK(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$gI = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M22.0002 0.585693L0.585938 21.9999L2.00015 23.4141L3.41427 22H22.0003V21.9998H22.0004V19.9998H22.0003V3.41397L23.4144 1.99991L22.0002 0.585693ZM11.5003 13.914L17.5863 20H5.41427L11.5003 13.914ZM20.0003 19.5855L12.9145 12.4998L13.9759 11.4383C14.4918 11.7922 15.1168 12 15.7903 12C17.5634 12 19.0009 10.5626 19.0009 8.78942C19.0009 8.11591 18.7931 7.49089 18.4392 6.97507L20.0003 5.41397V19.5855ZM15.5305 9.97216L16.973 8.52966C16.9913 8.61336 17.0009 8.70027 17.0009 8.78943C17.0009 9.45801 16.4589 10 15.7903 10C15.7011 10 15.6142 9.99041 15.5305 9.97216ZM2.00303 1.99974L1.99835 17.658L4.00302 15.962L4.00303 4.00028L15.3649 4.0018L17.7348 1.99766L2.00303 1.99974Z"
      }
    }]
  };
  var imageOff = vue.defineComponent({
    name: "ImageOffIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-image-off", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$gK(_objectSpread$gK({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$gI, finalProps.value);
    }
  });

  function ownKeys$gJ(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$gJ(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$gJ(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$gJ(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$gH = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M22 2H2V22H12.5057C11.5642 20.8397 11 19.3607 11 17.75C11 15.7807 11.8434 14.0083 13.1886 12.7744L9 8.58579L4 13.5858V4H20V11.3841C20.7331 11.6432 21.408 12.0253 22 12.5057V2Z"
      }
    }, {
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M16 5.25C14.4812 5.25 13.25 6.48122 13.25 8 13.25 9.51878 14.4812 10.75 16 10.75 17.5188 10.75 18.75 9.51878 18.75 8 18.75 6.48122 17.5188 5.25 16 5.25zM17.6538 12.5C14.8075 12.5 12.5 14.8075 12.5 17.6538 12.5 20.5002 14.8075 22.8077 17.6538 22.8077 18.7156 22.8077 19.7032 22.4859 20.5232 21.9356L22.499 23.9142 23.9142 22.501 21.937 20.521C22.4865 19.7014 22.8077 18.7146 22.8077 17.6538 22.8077 14.8075 20.5002 12.5 17.6538 12.5zM14.5 17.6538C14.5 15.912 15.912 14.5 17.6538 14.5 19.3957 14.5 20.8077 15.912 20.8077 17.6538 20.8077 18.5245 20.4562 19.3112 19.885 19.8829 19.3131 20.4554 18.5256 20.8077 17.6538 20.8077 15.912 20.8077 14.5 19.3957 14.5 17.6538z"
      }
    }]
  };
  var imageSearchFilled = vue.defineComponent({
    name: "ImageSearchFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-image-search-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$gJ(_objectSpread$gJ({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$gH, finalProps.value);
    }
  });

  function ownKeys$gI(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$gI(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$gI(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$gI(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$gG = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M2 2H22V11H20V4H4V13.5858L9 8.58579L12.9142 12.5L11.5 13.9142L9 11.4142L4 16.4142V20H11V22H2V2ZM15.5469 7C14.9946 7 14.5469 7.44772 14.5469 8C14.5469 8.55228 14.9946 9 15.5469 9C16.0992 9 16.5469 8.55228 16.5469 8C16.5469 7.44772 16.0992 7 15.5469 7ZM12.5469 8C12.5469 6.34315 13.89 5 15.5469 5C17.2037 5 18.5469 6.34315 18.5469 8C18.5469 9.65685 17.2037 11 15.5469 11C13.89 11 12.5469 9.65685 12.5469 8ZM17.6538 14.5C15.912 14.5 14.5 15.912 14.5 17.6538C14.5 19.3957 15.912 20.8077 17.6538 20.8077C18.5256 20.8077 19.3131 20.4554 19.885 19.8829C20.4562 19.3112 20.8077 18.5245 20.8077 17.6538C20.8077 15.912 19.3957 14.5 17.6538 14.5ZM12.5 17.6538C12.5 14.8075 14.8075 12.5 17.6538 12.5C20.5002 12.5 22.8077 14.8075 22.8077 17.6538C22.8077 18.7146 22.4865 19.7014 21.937 20.521L23.9142 22.501L22.499 23.9142L20.5232 21.9356C19.7032 22.4859 18.7156 22.8077 17.6538 22.8077C14.8075 22.8077 12.5 20.5002 12.5 17.6538Z"
      }
    }]
  };
  var imageSearch = vue.defineComponent({
    name: "ImageSearchIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-image-search", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$gI(_objectSpread$gI({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$gG, finalProps.value);
    }
  });

  function ownKeys$gH(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$gH(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$gH(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$gH(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$gF = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M2 2H22V22H2V2ZM4 20H17.5858L9 11.4142L4 16.4142V20ZM20 19.5858V4H4V13.5858L9 8.58579L20 19.5858ZM15.5469 7C14.9946 7 14.5469 7.44772 14.5469 8C14.5469 8.55228 14.9946 9 15.5469 9C16.0992 9 16.5469 8.55228 16.5469 8C16.5469 7.44772 16.0992 7 15.5469 7ZM12.5469 8C12.5469 6.34315 13.89 5 15.5469 5C17.2037 5 18.5469 6.34315 18.5469 8C18.5469 9.65685 17.2037 11 15.5469 11C13.89 11 12.5469 9.65685 12.5469 8Z"
      }
    }]
  };
  var image = vue.defineComponent({
    name: "ImageIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-image", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$gH(_objectSpread$gH({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$gF, finalProps.value);
    }
  });

  function ownKeys$gG(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$gG(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$gG(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$gG(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$gE = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M2.00015 4V6H22.0002V4H2.00015zM8.00015 11V13H22.0002V11H8.00015zM2.00015 18H22.0002V20H2.00015V18zM1.58594 11.9998L4.76792 15.1818 6.18213 13.7676 4.41436 11.9998 6.18213 10.232 4.76792 8.81783 1.58594 11.9998z"
      }
    }]
  };
  var indentLeft = vue.defineComponent({
    name: "IndentLeftIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-indent-left", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$gG(_objectSpread$gG({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$gE, finalProps.value);
    }
  });

  function ownKeys$gF(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$gF(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$gF(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$gF(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$gD = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M3.00034 4H2.00034V6H3.00034H21.0003H22.0003V4H21.0003H3.00034ZM9.00034 11H8.00034V13H9.00034H21.0003H22.0003V11H21.0003H9.00034ZM2.00034 18H3.00034H21.0003H22.0003V20H21.0003H3.00034H2.00034V18ZM5.8051 12.7073L6.51221 12.0002L5.8051 11.2931L4.03734 9.52532L3.33023 8.81821L1.91602 10.2324L2.62312 10.9395L3.68378 12.0002L2.62312 13.0608L1.91602 13.768L3.33023 15.1822L4.03734 14.4751L5.8051 12.7073Z"
      }
    }]
  };
  var indentRight = vue.defineComponent({
    name: "IndentRightIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-indent-right", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$gF(_objectSpread$gF({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$gD, finalProps.value);
    }
  });

  function ownKeys$gE(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$gE(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$gE(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$gE(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$gC = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M10.3529 1V4H13.6471V1H15.6471V4H17.5376L21.6335 7L17.5376 10H15.6471V12.1111H22V18.1111H15.6471V23H13.6471V18.1111H10.3529V23H8.35294V18.1111H6.46243L2.36645 15.1111L6.46243 12.1111H8.35294V10H2V4H8.35294V1H10.3529ZM13.6471 10H10.3529V12.1111H13.6471V10Z"
      }
    }]
  };
  var indicatorFilled = vue.defineComponent({
    name: "IndicatorFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-indicator-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$gE(_objectSpread$gE({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$gC, finalProps.value);
    }
  });

  function ownKeys$gD(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$gD(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$gD(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$gD(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$gB = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M10.3529 1V4H13.6471V1H15.6471V4H17.5376L21.6335 7L17.5376 10H15.6471V12.1111H22V18.1111H15.6471V23H13.6471V18.1111H10.3529V23H8.35294V18.1111H6.46243L2.36645 15.1111L6.46243 12.1111H8.35294V10H2V4H8.35294V1H10.3529ZM4 6V8H16.8835L18.2488 7L16.8835 6H4ZM13.6471 10H10.3529V12.1111H13.6471V10ZM7.11652 14.1111L5.75119 15.1111L7.11652 16.1111H20V14.1111H7.11652Z"
      }
    }]
  };
  var indicator = vue.defineComponent({
    name: "IndicatorIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-indicator", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$gD(_objectSpread$gD({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$gB, finalProps.value);
    }
  });

  function ownKeys$gC(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$gC(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$gC(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$gC(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$gA = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M12 23C18.0751 23 23 18.0751 23 12C23 5.92487 18.0751 1 12 1C5.92487 1 1 5.92487 1 12C1 18.0751 5.92487 23 12 23ZM10.996 8.50002V6.49611H12.9999V8.50002H10.996ZM12.9999 10L12.9999 17.5H10.9999V10L12.9999 10Z"
      }
    }]
  };
  var infoCircleFilled = vue.defineComponent({
    name: "InfoCircleFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-info-circle-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$gC(_objectSpread$gC({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$gA, finalProps.value);
    }
  });

  function ownKeys$gB(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$gB(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$gB(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$gB(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$gz = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M12 21C16.9706 21 21 16.9706 21 12C21 7.02944 16.9706 3 12 3C7.02944 3 3 7.02944 3 12C3 16.9706 7.02944 21 12 21ZM23 12C23 18.0751 18.0751 23 12 23C5.92487 23 0.999999 18.0751 1 12C1 5.92487 5.92487 0.999999 12 1C18.0751 1 23 5.92487 23 12ZM11 17.5L11 10H13L13 17.5L11 17.5ZM13 8.5H10.9961L10.9961 6.49609H13L13 8.5Z"
      }
    }]
  };
  var infoCircle = vue.defineComponent({
    name: "InfoCircleIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-info-circle", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$gB(_objectSpread$gB({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$gz, finalProps.value);
    }
  });

  function ownKeys$gA(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$gA(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$gA(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$gA(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$gy = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M6.2002 8.5V3H17.8002V8.5H6.2002zM22 21.0001V14.5L19.5 10.5044 4.5 10.5044 2 14.5V21.0001H22z"
      }
    }]
  };
  var inkFilled = vue.defineComponent({
    name: "InkFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-ink-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$gA(_objectSpread$gA({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$gy, finalProps.value);
    }
  });

  function ownKeys$gz(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$gz(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$gz(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$gz(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$gx = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M22 12.8963V21H2L2 12.8963L4.19556 8.71429L6.2 8.71429L6.2 3L17.8 3V8.71429H19.8044L22 12.8963ZM15.8 8.71429V5L8.2 5V8.71429H15.8ZM20 13.3894L18.5956 10.7143L5.40443 10.7143L4 13.3894L4 19L20 19V13.3894Z"
      }
    }]
  };
  var ink = vue.defineComponent({
    name: "InkIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-ink", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$gz(_objectSpread$gz({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$gx, finalProps.value);
    }
  });

  function ownKeys$gy(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$gy(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$gy(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$gy(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$gw = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M0.999512 3H13.9995V5H2.99951V15H20.9995V11H22.9995V19H0.999512V3ZM3.99951 21H19.9995V23H3.99951V21Z"
      }
    }, {
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M20.0006 1.00195V5.58769L21.5011 4.08706L22.9154 5.50125L19.0006 9.41619L15.0838 5.49941L16.4981 4.0852L18.0006 5.58772V1.00195L20.0006 1.00195Z"
      }
    }]
  };
  var installDesktopFilled = vue.defineComponent({
    name: "InstallDesktopFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-install-desktop-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$gy(_objectSpread$gy({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$gw, finalProps.value);
    }
  });

  function ownKeys$gx(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$gx(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$gx(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$gx(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$gv = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M20 2V6.65733L21.5304 5.19136L22.9139 6.63564L19 10.3848L15.0861 6.63565L16.4696 5.19136L18 6.65734V2H20ZM1 3H14V5H3V16H21V12H23V18H1V3ZM5 20H19V22H5V20Z"
      }
    }]
  };
  var installDesktop = vue.defineComponent({
    name: "InstallDesktopIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-install-desktop", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$gx(_objectSpread$gx({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$gv, finalProps.value);
    }
  });

  function ownKeys$gw(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$gw(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$gw(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$gw(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$gu = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M13 9.10923V2H11V9.10924L8.49191 6.62966L7.08581 8.05194L12 12.9103L16.9142 8.05193L15.5081 6.62966L13 9.10923Z"
      }
    }, {
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M9 2.00008H2V22.0001H22V2.00008H15V4.00008H20V14.0001H4V4.00008H9V2.00008ZM8.00195 16.998V19.002H5.99805V16.998H8.00195ZM11.002 16.998V19.002H8.99805V16.998H11.002Z"
      }
    }]
  };
  var installFilled = vue.defineComponent({
    name: "InstallFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-install-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$gw(_objectSpread$gw({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$gu, finalProps.value);
    }
  });

  function ownKeys$gv(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$gv(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$gv(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$gv(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$gt = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M14.9995 1H3.99951V23H19.9995V11H17.9995V17H5.99951V3H14.9995V1ZM13.0034 19V21.0039H10.9995V19H13.0034Z"
      }
    }, {
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M20.0006 1.00195V5.58769L21.5011 4.08706L22.9154 5.50125L19.0006 9.41619L15.0838 5.49941L16.4981 4.0852L18.0006 5.58772V1.00195L20.0006 1.00195Z"
      }
    }]
  };
  var installMobileFilled = vue.defineComponent({
    name: "InstallMobileFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-install-mobile-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$gv(_objectSpread$gv({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$gt, finalProps.value);
    }
  });

  function ownKeys$gu(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$gu(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$gu(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$gu(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$gs = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M4 1H15V3H6V21H18V11H20V23H4V1ZM20 1V5.65732L21.5304 4.19136L22.9139 5.63564L19 9.38477L15.0861 5.63565L16.4696 4.19136L18 5.65734V1H20ZM11 17H13.0039V19.0039H11V17Z"
      }
    }]
  };
  var installMobile = vue.defineComponent({
    name: "InstallMobileIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-install-mobile", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$gu(_objectSpread$gu({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$gs, finalProps.value);
    }
  });

  function ownKeys$gt(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$gt(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$gt(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$gt(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$gr = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M13 2V9.10923L15.5081 6.62966L16.9142 8.05193L12 12.9103L7.08581 8.05194L8.49191 6.62966L11 9.10924V2H13ZM2 2.00008H9V4.00008H4V14.0001H20V4.00008H15V2.00008H22V22.0001H2V2.00008ZM20 16.0001H4V20.0001H20V16.0001ZM5.99805 16.9981H8.00195V19.002H5.99805V16.9981ZM8.99805 16.9981H11.002V19.002H8.99805V16.9981Z"
      }
    }]
  };
  var install$1 = vue.defineComponent({
    name: "InstallIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-install", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$gt(_objectSpread$gt({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$gr, finalProps.value);
    }
  });

  function ownKeys$gs(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$gs(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$gs(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$gs(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$gq = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M11 0.856049L21 6.41161V9.00001H1V6.41161L11 0.856049ZM6 11V19H4V11H6ZM12 11V19H10V11H12ZM18 11V17H16V11H18ZM22.5961 17.9394L16.9392 23.5963L13.4037 20.0608L14.8179 18.6466L16.9392 20.7679L21.1819 16.5252L22.5961 17.9394ZM1 21H12V23H1V21Z"
      }
    }]
  };
  var institutionCheckedFilled = vue.defineComponent({
    name: "InstitutionCheckedFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-institution-checked-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$gs(_objectSpread$gs({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$gq, finalProps.value);
    }
  });

  function ownKeys$gr(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$gr(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$gr(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$gr(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$gp = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M11 0.856079L21 6.41163V9.00004H1V6.41163L11 0.856079ZM4.05913 7.00004H17.9409L11 3.144L4.05913 7.00004ZM6 11V19H4V11H6ZM12 11V19H10V11H12ZM18 11V17H16V11H18ZM22.5961 17.9395L16.9392 23.5963L13.4037 20.0608L14.8179 18.6466L16.9392 20.7679L21.1819 16.5253L22.5961 17.9395ZM1 21H12V23H1V21Z"
      }
    }]
  };
  var institutionChecked = vue.defineComponent({
    name: "InstitutionCheckedIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-institution-checked", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$gr(_objectSpread$gr({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$gp, finalProps.value);
    }
  });

  function ownKeys$gq(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$gq(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$gq(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$gq(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$go = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M12 .856079L22 6.41163V9.00004H2V6.41163L12 .856079zM2 21H22V23H2V21zM7 19H5V11H7V19zM13 19H11V11H13V19zM19 19H17V11H19V19z"
      }
    }]
  };
  var institutionFilled = vue.defineComponent({
    name: "InstitutionFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-institution-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$gq(_objectSpread$gq({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$go, finalProps.value);
    }
  });

  function ownKeys$gp(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$gp(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$gp(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$gp(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$gn = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M12 0.856079L22 6.41163V9.00004H2V6.41163L12 0.856079ZM5.05913 7.00004H18.9409L12 3.144L5.05913 7.00004ZM7 11V19H5V11H7ZM13 11V19H11V11H13ZM19 11V19H17V11H19ZM2 21H22V23H2V21Z"
      }
    }]
  };
  var institution = vue.defineComponent({
    name: "InstitutionIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-institution", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$gp(_objectSpread$gp({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$gn, finalProps.value);
    }
  });

  function ownKeys$go(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$go(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$go(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$go(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$gm = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M14.7211 22.6609C19.1678 21.5294 22.5327 17.6889 22.9552 13.0001H17.974C17.7884 16.5472 16.6179 19.8471 14.7211 22.6609zM22.9552 11.0001C22.5326 6.30957 19.1656 2.46808 14.7166 1.33799 16.6152 4.15179 17.787 7.45222 17.9738 11.0001H22.9552zM9.28355 1.33799C4.83458 2.46808 1.46758 6.30957 1.04492 11.0001H6.02641C6.21312 7.45222 7.38502 4.15178 9.28355 1.33799zM1.04493 13.0001C1.4675 17.6889 4.83239 21.5294 9.27912 22.6609 7.38225 19.8471 6.21181 16.5472 6.02613 13.0001H1.04493zM12.0001 22.962C9.69262 20.1775 8.24832 16.7407 8.02922 13.0001H15.971C15.7518 16.7407 14.3075 20.1775 12.0001 22.962zM12.0001 1.04346C14.3065 3.82658 15.7505 7.26153 15.9706 11.0001H8.02953C8.24969 7.26153 9.69371 3.82658 12.0001 1.04346z"
      }
    }]
  };
  var internetFilled = vue.defineComponent({
    name: "InternetFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-internet-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$go(_objectSpread$go({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$gm, finalProps.value);
    }
  });

  function ownKeys$gn(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$gn(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$gn(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$gn(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$gl = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M3.05493 11C3.45261 7.40254 5.97062 4.44413 9.33156 3.40217C8.00851 5.65483 7.1892 8.23957 7.02895 11H3.05493ZM10.9922 1.04555C5.38944 1.55442 1 6.26461 1 12C1 17.7354 5.3894 22.4455 10.9922 22.9545L11 22.9643L11.4254 22.9853C11.4932 22.9887 11.5611 22.9916 11.6292 22.9939C11.7523 22.9979 11.8759 23 12 23C12.1187 23 12.2369 22.9981 12.3546 22.9944C12.4281 22.9921 12.5015 22.989 12.5746 22.9853L13 22.9643L13.0078 22.9545C18.6106 22.4455 23 17.7354 23 12C23 6.26461 18.6106 1.55443 13.0078 1.04555L12.9999 1.03571L12.5736 1.0147C12.4767 1.00972 12.3795 1.006 12.2819 1.00354C12.1882 1.00119 12.0942 1 12 1C11.9051 1 11.8104 1.0012 11.7161 1.00359C11.6192 1.00605 11.5226 1.00976 11.4263 1.0147L11.0001 1.03571L10.9922 1.04555ZM12.0011 3C13.6972 5.25767 14.7704 8.00828 14.9672 11H9.03278C9.22955 8.00828 10.3028 5.25767 11.9989 3C11.9992 3 11.9996 3 12 3C12.0004 3 12.0008 3 12.0011 3ZM7.02894 13C7.18917 15.7604 8.00847 18.3452 9.3315 20.5978C5.97059 19.5558 3.45261 16.5974 3.05493 13H7.02894ZM11.9988 21C10.3028 18.7423 9.22953 15.9917 9.03277 13H14.9672C14.7705 15.9917 13.6972 18.7423 12.0012 21C12.0008 21 12.0004 21 12 21C11.9996 21 11.9992 21 11.9988 21ZM14.6685 20.5978C15.9915 18.3452 16.8108 15.7604 16.9711 13H20.9451C20.5474 16.5974 18.0294 19.5558 14.6685 20.5978ZM16.9711 11C16.8108 8.23957 15.9915 5.65483 14.6684 3.40217C18.0294 4.44413 20.5474 7.40254 20.9451 11H16.9711Z"
      }
    }]
  };
  var internet = vue.defineComponent({
    name: "InternetIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-internet", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$gn(_objectSpread$gn({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$gl, finalProps.value);
    }
  });

  function ownKeys$gm(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$gm(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$gm(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$gm(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$gk = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M21 1H3V23H21V1ZM5 13V3H19V13H17V7H15V13H13V5H11V13H9V9H7V13H5ZM12 16C13.1046 16 14 16.8954 14 18C14 19.1046 13.1046 20 12 20C10.8954 20 10 19.1046 10 18C10 16.8954 10.8954 16 12 16Z"
      }
    }]
  };
  var ipodFilled = vue.defineComponent({
    name: "IpodFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-ipod-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$gm(_objectSpread$gm({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$gk, finalProps.value);
    }
  });

  function ownKeys$gl(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$gl(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$gl(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$gl(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$gj = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M3 1H21V23H3V1ZM5 3V13H7V9H9V13H11V5H13V13H15V7H17V13H19V3H5ZM19 15H5V21H19V15ZM10 18C10 16.8954 10.8954 16 12 16C13.1046 16 14 16.8954 14 18C14 19.1046 13.1046 20 12 20C10.8954 20 10 19.1046 10 18Z"
      }
    }]
  };
  var ipod = vue.defineComponent({
    name: "IpodIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-ipod", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$gl(_objectSpread$gl({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$gj, finalProps.value);
    }
  });

  function ownKeys$gk(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$gk(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$gk(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$gk(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$gi = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M12 23C5.92487 23 1 18.0751 1 12C1 5.92487 5.92487 1 12 1C18.0751 1 23 5.92487 23 12C23 18.0751 18.0751 23 12 23ZM10.9996 9.04019L7.61829 7.13818L6.63776 8.88133L8.45877 9.90565L6.59961 11.3L7.79961 12.9L10.9996 10.5L10.9996 9.04019ZM15.5404 9.90565L17.3614 8.88133L16.3809 7.13818L12.9996 9.04019L12.9996 10.5L16.1996 12.9L17.3996 11.3L15.5404 9.90565ZM11.9996 19C14.761 19 16.9996 16.7614 16.9996 14H6.9996C6.9996 16.7614 9.23818 19 11.9996 19Z"
      }
    }]
  };
  var joyfulFilled = vue.defineComponent({
    name: "JoyfulFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-joyful-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$gk(_objectSpread$gk({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$gi, finalProps.value);
    }
  });

  function ownKeys$gj(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$gj(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$gj(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$gj(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$gh = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M12 3C7.02944 3 3 7.02944 3 12C3 16.9706 7.02944 21 12 21C16.9706 21 21 16.9706 21 12C21 7.02944 16.9706 3 12 3ZM1 12C1 5.92487 5.92487 1 12 1C18.0751 1 23 5.92487 23 12C23 18.0751 18.0751 23 12 23C5.92487 23 1 18.0751 1 12ZM7.61869 7.13816L11 9.04017L11 10.5L7.80001 12.9L6.60001 11.3L8.45917 9.90563L6.63816 8.88131L7.61869 7.13816ZM17.3618 8.88131L15.5408 9.90563L17.4 11.3L16.2 12.9L13 10.5L13 9.04017L16.3813 7.13816L17.3618 8.88131ZM7 13H17V14C17 16.7614 14.7614 19 12 19C9.23858 19 7 16.7614 7 14V13ZM9.17071 15C9.58254 16.1652 10.6938 17 12 17C13.3062 17 14.4175 16.1652 14.8293 15H9.17071Z"
      }
    }]
  };
  var joyful = vue.defineComponent({
    name: "JoyfulIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-joyful", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$gj(_objectSpread$gj({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$gh, finalProps.value);
    }
  });

  function ownKeys$gi(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$gi(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$gi(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$gi(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$gg = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M22 2V16H19V14H20V4L10 4V5H8V2L22 2ZM2 7H8V9H4V20H15V16H17V22H2V7ZM10 7H17V14H15V10.4142L10 15.4142L8.58579 14L13.5858 9H10V7Z"
      }
    }]
  };
  var jumpDouble = vue.defineComponent({
    name: "JumpDoubleIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-jump-double", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$gi(_objectSpread$gi({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$gg, finalProps.value);
    }
  });

  function ownKeys$gh(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$gh(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$gh(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$gh(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$gf = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M22.4144 20.9999L3.00015 1.58569L1.58594 2.99991L3.00015 4.41412L3.00016 20.9999L19.5859 20.9999L21.0002 22.4141L22.4144 20.9999ZM17.5859 18.9999H5.00016L5.00015 6.41412L10.586 11.9999L10.0841 12.502L11.5008 13.9187L12.0029 13.4168L17.5859 18.9999ZM21.0059 17.4189L21.0001 14.4999V13.4899H19.0001V15.4131L21.0059 17.4189ZM21.0002 2.9999L13.0002 2.9999V4.9999L17.5859 4.9999L13.0859 9.49991L14.5002 10.9141L19.0002 6.41412V10.9999H21.0002L21.0002 2.9999ZM10.5099 3.00186L9.49992 3.00186L6.58083 2.99601L8.58668 5.00186H10.5099V3.00186Z"
      }
    }]
  };
  var jumpOff = vue.defineComponent({
    name: "JumpOffIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-jump-off", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$gh(_objectSpread$gh({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$gf, finalProps.value);
    }
  });

  function ownKeys$gg(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$gg(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$gg(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$gg(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$ge = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M3 21L3 3L10.0909 3V5H5L5 19H19V13.9091H21V21H3ZM10.5858 12L17.5858 5L13 5V3L21 3L21 11H19V6.41421L12 13.4142L10.5858 12Z"
      }
    }]
  };
  var jump = vue.defineComponent({
    name: "JumpIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-jump", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$gg(_objectSpread$gg({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$ge, finalProps.value);
    }
  });

  function ownKeys$gf(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$gf(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$gf(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$gf(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$gd = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M3.75736 7.75736C6.10051 5.41421 9.8995 5.41421 12.2426 7.75736C13.1589 8.67365 13.7169 9.81257 13.9166 11H22V13H20.5V15H18.5V13H17.5V15.9985H15.5V13H13.9166C13.7169 14.1874 13.1589 15.3264 12.2426 16.2426C9.8995 18.5858 6.10051 18.5858 3.75736 16.2426C1.41421 13.8995 1.41421 10.1005 3.75736 7.75736Z"
      }
    }]
  };
  var keyFilled = vue.defineComponent({
    name: "KeyFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-key-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$gf(_objectSpread$gf({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$gd, finalProps.value);
    }
  });

  function ownKeys$ge(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$ge(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$ge(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$ge(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$gc = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M10.8284 9.17157C9.26633 7.60948 6.73367 7.60948 5.17157 9.17157C3.60948 10.7337 3.60948 13.2663 5.17157 14.8284C6.73367 16.3905 9.26633 16.3905 10.8284 14.8284C12.3905 13.2663 12.3905 10.7337 10.8284 9.17157ZM3.75736 7.75736C6.10051 5.41421 9.8995 5.41421 12.2426 7.75736C13.1589 8.67365 13.7169 9.81257 13.9166 11H22V13H20.5V15H18.5V13H17.5V15.9985H15.5V13H13.9166C13.7169 14.1874 13.1589 15.3264 12.2426 16.2426C9.8995 18.5858 6.10051 18.5858 3.75736 16.2426C1.41421 13.8995 1.41421 10.1005 3.75736 7.75736Z"
      }
    }]
  };
  var key = vue.defineComponent({
    name: "KeyIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-key", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$ge(_objectSpread$ge({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$gc, finalProps.value);
    }
  });

  function ownKeys$gd(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$gd(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$gd(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$gd(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$gb = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M23 3H1V21H23V3ZM4.99609 7.5H7V9.50391H4.99609V7.5ZM19 15V17H5V15H19ZM11 7.5V9.50391H8.99609V7.5H11ZM12.9961 7.5H15V9.50391H12.9961V7.5ZM19 7.5V9.50391H16.9961V7.5H19ZM4.99609 10.5H7V12.5039H4.99609V10.5ZM11 10.5V12.5039H8.99609V10.5H11ZM12.9961 10.5H15V12.5039H12.9961V10.5ZM19 10.5V12.5039H16.9961V10.5H19Z"
      }
    }]
  };
  var keyboardFilled = vue.defineComponent({
    name: "KeyboardFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-keyboard-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$gd(_objectSpread$gd({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$gb, finalProps.value);
    }
  });

  function ownKeys$gc(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$gc(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$gc(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$gc(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$ga = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M1 3H23V21H1V3ZM3 5V19H21V5H3ZM4.99609 7.5H7V9.50391H4.99609V7.5ZM8.99609 7.5H11V9.50391H8.99609V7.5ZM12.9961 7.5H15V9.50391H12.9961V7.5ZM16.9961 7.5H19V9.50391H16.9961V7.5ZM4.99609 10.5H7V12.5039H4.99609V10.5ZM8.99609 10.5H11V12.5039H8.99609V10.5ZM12.9961 10.5H15V12.5039H12.9961V10.5ZM16.9961 10.5H19V12.5039H16.9961V10.5ZM5 15H19V17H5V15Z"
      }
    }]
  };
  var keyboard = vue.defineComponent({
    name: "KeyboardIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-keyboard", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$gc(_objectSpread$gc({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$ga, finalProps.value);
    }
  });

  function ownKeys$gb(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$gb(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$gb(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$gb(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$g9 = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M1 3H23V18H1V3ZM0 19H24V21H0V19Z"
      }
    }]
  };
  var laptopFilled = vue.defineComponent({
    name: "LaptopFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-laptop-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$gb(_objectSpread$gb({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$g9, finalProps.value);
    }
  });

  function ownKeys$ga(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$ga(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$ga(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$ga(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$g8 = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M1 3H23V18H1V3ZM3 5V16H21V5H3ZM0 19H24V21H0V19Z"
      }
    }]
  };
  var laptop = vue.defineComponent({
    name: "LaptopIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-laptop", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$ga(_objectSpread$ga({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$g8, finalProps.value);
    }
  });

  function ownKeys$g9(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$g9(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$g9(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$g9(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$g7 = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M11.9999 1.9165L22.0999 6.12484L11.9999 10.3332L1.8999 6.12484L11.9999 1.9165ZM1.9999 9.9802L11.9999 14.2881L21.9999 9.9802V12.1611L11.9999 16.4657L1.9999 12.1611L1.9999 9.9802ZM1.9999 15.9802L11.9999 20.2881L21.9999 15.9802V18.1611L11.9999 22.4657L1.9999 18.1611L1.9999 15.9802Z"
      }
    }]
  };
  var layersFilled = vue.defineComponent({
    name: "LayersFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-layers-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$g9(_objectSpread$g9({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$g7, finalProps.value);
    }
  });

  function ownKeys$g8(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$g8(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$g8(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$g8(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$g6 = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M12.0004 1.9165L22.1004 6.12484L12.0004 10.3332L1.90039 6.12484L12.0004 1.9165ZM7.10039 6.12484L12.0004 8.1665L16.9004 6.12484L12.0004 4.08317L7.10039 6.12484ZM2.00039 9.9802L12.0004 14.2881L22.0004 9.9802V12.1611L12.396 16.2954L12.0004 16.4657L11.605 16.2955L2.00039 12.1611L2.00039 9.9802ZM2.00039 15.9802L12.0004 20.2881L22.0004 15.9802V18.1611L12.3967 22.2951L12.0004 22.4657L11.605 22.2955L2.00039 18.1611L2.00039 15.9802Z"
      }
    }]
  };
  var layers = vue.defineComponent({
    name: "LayersIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-layers", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$g8(_objectSpread$g8({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$g6, finalProps.value);
    }
  });

  function ownKeys$g7(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$g7(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$g7(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$g7(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$g5 = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M2 2H22V9H2V2ZM2 11H11L11 22H2V11ZM22 11H13V22H22V11Z",
        "fillRule": "evenodd",
        "clipRule": "evenodd"
      }
    }]
  };
  var layoutFilled = vue.defineComponent({
    name: "LayoutFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-layout-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$g7(_objectSpread$g7({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$g5, finalProps.value);
    }
  });

  function ownKeys$g6(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$g6(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$g6(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$g6(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$g4 = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M2 2L22 2L22 22L2 22L2 2ZM4 4L4 9L20 9V4L4 4ZM20 11L13 11L13 20L20 20L20 11ZM11 20L11 11L4 11L4 20H11Z"
      }
    }]
  };
  var layout = vue.defineComponent({
    name: "LayoutIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-layout", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$g6(_objectSpread$g6({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$g4, finalProps.value);
    }
  });

  function ownKeys$g5(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$g5(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$g5(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$g5(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$g3 = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M9.36842 3H14.6316V21H9.36842V3zM2 9H7.26316V21H2V9zM22 11H16.7368V21H22V11z"
      }
    }]
  };
  var leaderboardFilled = vue.defineComponent({
    name: "LeaderboardFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-leaderboard-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$g5(_objectSpread$g5({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$g3, finalProps.value);
    }
  });

  function ownKeys$g4(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$g4(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$g4(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$g4(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$g2 = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M8 3H16V11H22V21H2V9H8V3ZM10 19H14V5H10V19ZM16 19H20V13H16V19ZM8 19V11H4V19H8Z"
      }
    }]
  };
  var leaderboard = vue.defineComponent({
    name: "LeaderboardIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-leaderboard", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$g4(_objectSpread$g4({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$g2, finalProps.value);
    }
  });

  function ownKeys$g3(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$g3(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$g3(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$g3(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$g1 = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M5.29305 5.29303C3.00651 7.57957 1.86301 9.89683 1.61995 12.1275C1.39531 14.1892 1.9511 16.0747 2.92257 17.6706L2.52038 19.2175L2.51283 19.2645C2.30071 20.5849 3.45103 21.7217 4.76881 21.4941L4.81331 21.4864L6.33439 21.0796C7.92904 22.0453 9.81416 22.5982 11.8743 22.3743C14.1054 22.1318 16.4232 20.9913 18.7072 18.7073C20.9913 16.4232 22.1318 14.1054 22.3743 11.8743C22.5982 9.81417 22.0453 7.92906 21.0796 6.33441L21.4864 4.8133L21.4941 4.76879C21.7218 3.45101 20.5849 2.30069 19.2645 2.51282L19.2175 2.52036L17.6706 2.92258C16.0747 1.95112 14.1892 1.39532 12.1275 1.61995C9.89684 1.863 7.57959 3.00649 5.29305 5.29303ZM10.4126 7.58787L11.8295 6.1709L13.2465 7.58787L11.8295 9.00485L10.4126 7.58787ZM8.294 6.878L9.71098 8.29498L8.294 9.71196L6.87703 8.29498L8.294 6.878ZM7.5869 10.4135L9.00387 11.8305L7.5869 13.2475L6.16992 11.8305L7.5869 10.4135Z"
      }
    }]
  };
  var lemonFilled = vue.defineComponent({
    name: "LemonFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-lemon-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$g3(_objectSpread$g3({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$g1, finalProps.value);
    }
  });

  function ownKeys$g2(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$g2(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$g2(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$g2(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$g0 = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M6.75927 10.8021L0 17.5614 1.41229 18.9737C3.13356 20.6949 5.24765 21.784 7.46598 22.2408L6.75927 10.8021zM9.48466 22.4813C12.38 22.5804 15.3044 21.6371 17.647 19.6515L8.76082 10.7654 9.48466 22.4813zM19.0611 18.2373C21.0464 15.8948 21.9896 12.9706 21.8905 10.0755L10.1751 9.35126 19.0611 18.2373zM21.65 8.05681C21.1932 5.83847 20.1041 3.72438 18.3829 2.00311L16.9706.59082 10.2117 7.3497 21.65 8.05681z"
      }
    }]
  };
  var lemonSliceFilled = vue.defineComponent({
    name: "LemonSliceFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-lemon-slice-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$g2(_objectSpread$g2({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$g0, finalProps.value);
    }
  });

  function ownKeys$g1(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$g1(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$g1(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$g1(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$f$ = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M17.9948 0.59082L1.59101 16.9946L2.28767 17.7017C3.32811 18.7576 4.81067 19.8194 6.41297 20.62C8.00676 21.4163 9.81034 21.9998 11.4882 21.9998C14.6668 21.9998 17.5461 20.7102 19.6283 18.6281C21.7104 16.546 23 13.6667 23 10.488C23 8.81017 22.4165 7.00659 21.6202 5.41278C20.8196 3.81048 19.7578 2.32791 18.7018 1.28747L17.9948 0.59082ZM20.8989 9.38974L12.7266 8.68746L17.9697 3.44435C18.636 4.24026 19.2958 5.23532 19.8311 6.30668C20.35 7.3453 20.7281 8.40801 20.8989 9.38974ZM13.1452 10.7308L20.9567 11.4021C20.7747 13.3126 20.028 15.0576 18.8842 16.4698L13.1452 10.7308ZM17.47 17.884C16.0578 19.0278 14.3128 19.7745 12.4022 19.9565L11.731 12.145L17.47 17.884ZM9.68765 11.7264L10.3899 19.8987C9.40819 19.7279 8.34549 19.3498 7.30687 18.8308C6.23552 18.2956 5.24046 17.6358 4.44455 16.9695L9.68765 11.7264Z"
      }
    }]
  };
  var lemonSlice = vue.defineComponent({
    name: "LemonSliceIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-lemon-slice", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$g1(_objectSpread$g1({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$f$, finalProps.value);
    }
  });

  function ownKeys$g0(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$g0(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$g0(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$g0(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$f_ = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M3.60819 12.3442C3.42529 14.0227 3.91964 15.5836 4.83088 16.9435L5.08105 17.3168L4.51446 19.496L6.67884 18.9172L7.05517 19.1683C8.4143 20.0752 9.97751 20.5687 11.6582 20.386C13.3382 20.2034 15.2539 19.3321 17.293 17.293C19.3321 15.254 20.2034 13.3382 20.386 11.6582C20.5687 9.97752 20.0752 8.41431 19.1683 7.05518L18.9172 6.67885L19.4961 4.51444L17.3168 5.08107L16.9435 4.8309C15.5836 3.91964 14.0227 3.4253 12.3442 3.60818C10.6658 3.79105 8.75032 4.66419 6.70726 6.70725C4.66421 8.7503 3.79106 10.6658 3.60819 12.3442ZM1.61995 12.1275C1.86301 9.89683 3.00651 7.57957 5.29305 5.29303C7.57959 3.00649 9.89684 1.863 12.1275 1.61995C14.1892 1.39532 16.0747 1.95112 17.6706 2.92258L19.2175 2.52036L19.2645 2.51282C20.5849 2.30069 21.7218 3.45101 21.4941 4.76879L21.4864 4.8133L21.0796 6.33441C22.0453 7.92906 22.5982 9.81417 22.3743 11.8743C22.1318 14.1054 20.9913 16.4232 18.7072 18.7073C16.4232 20.9913 14.1054 22.1318 11.8743 22.3743C9.81416 22.5982 7.92904 22.0453 6.33439 21.0796L4.81331 21.4864L4.76881 21.4941C3.45103 21.7217 2.30071 20.5849 2.51283 19.2645L2.52038 19.2175L2.92257 17.6706C1.9511 16.0747 1.39531 14.1892 1.61995 12.1275ZM7.87689 9.29513L9.29386 7.87816L10.7108 9.29513L9.29386 10.7121L7.87689 9.29513ZM7.16978 12.8307L8.58675 11.4137L10.0037 12.8307L8.58675 14.2476L7.16978 12.8307ZM11.4124 8.58803L12.8294 7.17105L14.2464 8.58803L12.8294 10.005L11.4124 8.58803Z"
      }
    }]
  };
  var lemon = vue.defineComponent({
    name: "LemonIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-lemon", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$g0(_objectSpread$g0({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$f_, finalProps.value);
    }
  });

  function ownKeys$f$(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$f$(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$f$(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$f$(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$fZ = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M20.2969 3.56512L7.7353 8.50002L20.2969 13.4349L19.5656 15.2964L2.26562 8.50002L19.5656 1.70361L20.2969 3.56512ZM3.00046 19H21.0005V21H3.00046V19Z"
      }
    }]
  };
  var lessThanOrEqual = vue.defineComponent({
    name: "LessThanOrEqualIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-less-than-or-equal", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$f$(_objectSpread$f$({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$fZ, finalProps.value);
    }
  });

  function ownKeys$f_(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$f_(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$f_(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$f_(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$fY = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M20.3643 4.37223L7.0155 12.0001L20.3643 19.628L19.372 21.3645L2.98438 12.0001L19.372 2.63574L20.3643 4.37223Z"
      }
    }]
  };
  var lessThan = vue.defineComponent({
    name: "LessThanIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-less-than", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$f_(_objectSpread$f_({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$fY, finalProps.value);
    }
  });

  function ownKeys$fZ(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$fZ(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$fZ(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$fZ(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$fX = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M17 20V6C17 4.89543 16.1046 4 15 4L9 4C7.89543 4 7 4.89543 7 6L7 20H9V13H15V20H17ZM15 11H9L9 6H15L15 11Z"
      }
    }]
  };
  var lettersA = vue.defineComponent({
    name: "LettersAIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-letters-a", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$fZ(_objectSpread$fZ({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$fX, finalProps.value);
    }
  });

  function ownKeys$fY(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$fY(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$fY(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$fY(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$fW = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M7 4H15C16.1046 4 17 4.89543 17 6V18C17 19.1046 16.1046 20 15 20H7V4ZM9 6V11H15V6H9ZM15 13H9V18H15V13Z"
      }
    }]
  };
  var lettersB = vue.defineComponent({
    name: "LettersBIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-letters-b", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$fY(_objectSpread$fY({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$fW, finalProps.value);
    }
  });

  function ownKeys$fX(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$fX(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$fX(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$fX(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$fV = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M17 4H9C7.89543 4 7 4.89543 7 6V18C7 19.1046 7.89543 20 9 20H17V18H9V6H17V4Z"
      }
    }]
  };
  var lettersC = vue.defineComponent({
    name: "LettersCIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-letters-c", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$fX(_objectSpread$fX({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$fV, finalProps.value);
    }
  });

  function ownKeys$fW(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$fW(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$fW(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$fW(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$fU = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M7 4H15C16.1046 4 17 4.89543 17 6V18C17 19.1046 16.1046 20 15 20H7V4ZM9 6V18H15V6H9Z"
      }
    }]
  };
  var lettersD = vue.defineComponent({
    name: "LettersDIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-letters-d", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$fW(_objectSpread$fW({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$fU, finalProps.value);
    }
  });

  function ownKeys$fV(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$fV(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$fV(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$fV(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$fT = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M7 6C7 4.89543 7.89543 4 9 4H17V6H9V11H17V13H9V18H17V20H9C7.89543 20 7 19.1046 7 18V6Z"
      }
    }]
  };
  var lettersE = vue.defineComponent({
    name: "LettersEIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-letters-e", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$fV(_objectSpread$fV({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$fT, finalProps.value);
    }
  });

  function ownKeys$fU(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$fU(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$fU(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$fU(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$fS = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M8 6C8 4.89543 8.89543 4 10 4H17V6H10V11H17V13H10V20H8V6Z"
      }
    }]
  };
  var lettersF = vue.defineComponent({
    name: "LettersFIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-letters-f", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$fU(_objectSpread$fU({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$fS, finalProps.value);
    }
  });

  function ownKeys$fT(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$fT(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$fT(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$fT(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$fR = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M16 4H8.5C7.67157 4 7 4.67157 7 5.5V18.5C7 19.3284 7.67157 20 8.5 20H17V11H11.8V13H15V18H9V6H16V4Z"
      }
    }]
  };
  var lettersG = vue.defineComponent({
    name: "LettersGIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-letters-g", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$fT(_objectSpread$fT({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$fR, finalProps.value);
    }
  });

  function ownKeys$fS(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$fS(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$fS(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$fS(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$fQ = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M9 4V11H15V4H17V20H15V13H9V20H7V4H9Z"
      }
    }]
  };
  var lettersH = vue.defineComponent({
    name: "LettersHIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-letters-h", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$fS(_objectSpread$fS({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$fQ, finalProps.value);
    }
  });

  function ownKeys$fR(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$fR(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$fR(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$fR(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$fP = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M8.5 4H15.5V6H13V18H15.5V20H8.5V18H11V6H8.5V4Z"
      }
    }]
  };
  var lettersI = vue.defineComponent({
    name: "LettersIIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-letters-i", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$fR(_objectSpread$fR({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$fP, finalProps.value);
    }
  });

  function ownKeys$fQ(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$fQ(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$fQ(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$fQ(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$fO = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M9.66667 4H15V18.5C15 19.3284 14.3284 20 13.5 20H8V18H13V6H9.66667V4Z"
      }
    }]
  };
  var lettersJ = vue.defineComponent({
    name: "LettersJIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-letters-j", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$fQ(_objectSpread$fQ({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$fO, finalProps.value);
    }
  });

  function ownKeys$fP(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$fP(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$fP(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$fP(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$fN = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M10 20V13.9432L15 17.5146V20H17V17.2573C17 16.7729 16.7661 16.3183 16.3719 16.0367L10.7205 12L16.3719 7.96329C16.7661 7.68172 17 7.22712 17 6.74269V4H15V6.48538L10 10.0568V4H8V20H10Z"
      }
    }]
  };
  var lettersK = vue.defineComponent({
    name: "LettersKIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-letters-k", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$fP(_objectSpread$fP({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$fN, finalProps.value);
    }
  });

  function ownKeys$fO(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$fO(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$fO(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$fO(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$fM = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M7 4V18C7 19.1046 7.89543 20 9 20H17V18H9V4H7Z"
      }
    }]
  };
  var lettersL = vue.defineComponent({
    name: "LettersLIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-letters-l", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$fO(_objectSpread$fO({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$fM, finalProps.value);
    }
  });

  function ownKeys$fN(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$fN(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$fN(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$fN(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$fL = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M18 20L18 6H13L13 20H11L11 6L6 6L6 20H4L4 4L18 4C19.1046 4 20 4.89543 20 6L20 20H18Z"
      }
    }]
  };
  var lettersM = vue.defineComponent({
    name: "LettersMIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-letters-m", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$fN(_objectSpread$fN({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$fL, finalProps.value);
    }
  });

  function ownKeys$fM(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$fM(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$fM(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$fM(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$fK = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M8.5 20L8.5 6L15.5 6L15.5 20H17.5L17.5 6C17.5 4.89543 16.6046 4 15.5 4L6.5 4L6.5 20H8.5Z"
      }
    }]
  };
  var lettersN = vue.defineComponent({
    name: "LettersNIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-letters-n", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$fM(_objectSpread$fM({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$fK, finalProps.value);
    }
  });

  function ownKeys$fL(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$fL(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$fL(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$fL(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$fJ = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M9 18L9 6L15 6V18H9ZM7 6L7 18C7 19.1046 7.89543 20 9 20H15C16.1046 20 17 19.1046 17 18L17 6C17 4.89543 16.1046 4 15 4L9 4C7.89543 4 7 4.89543 7 6Z"
      }
    }]
  };
  var lettersO = vue.defineComponent({
    name: "LettersOIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-letters-o", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$fL(_objectSpread$fL({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$fJ, finalProps.value);
    }
  });

  function ownKeys$fK(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$fK(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$fK(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$fK(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$fI = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M7 4H15C16.1046 4 17 4.89543 17 6V11.5C17 12.6046 16.1046 13.5 15 13.5H9V20H7V4ZM9 11.5H15V6H9V11.5Z"
      }
    }]
  };
  var lettersP = vue.defineComponent({
    name: "LettersPIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-letters-p", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$fK(_objectSpread$fK({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$fI, finalProps.value);
    }
  });

  function ownKeys$fJ(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$fJ(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$fJ(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$fJ(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$fH = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M9 6L9 18H15L15 6L9 6ZM17 18H18.5V20H8.5C7.67157 20 7 19.3284 7 18.5L7 5.5C7 4.67157 7.67158 4 8.5 4L15.5 4C16.3284 4 17 4.67157 17 5.5L17 18Z"
      }
    }]
  };
  var lettersQ = vue.defineComponent({
    name: "LettersQIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-letters-q", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$fJ(_objectSpread$fJ({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$fH, finalProps.value);
    }
  });

  function ownKeys$fI(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$fI(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$fI(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$fI(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$fG = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M7 4H15.5C16.3284 4 17 4.67157 17 5.5V11.5C17 12.3284 16.3284 13 15.5 13H12.7299L16.9689 16.5868C17.3057 16.8718 17.5 17.2907 17.5 17.7319V20H15.5V17.9638L9.63369 13H9V20H7V4ZM9 11H15V6H9V11Z"
      }
    }]
  };
  var lettersR = vue.defineComponent({
    name: "LettersRIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-letters-r", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$fI(_objectSpread$fI({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$fG, finalProps.value);
    }
  });

  function ownKeys$fH(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$fH(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$fH(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$fH(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$fF = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M7.5 6C7.5 4.89543 8.39543 4 9.5 4H16V6H9.5V11H14.5C15.6046 11 16.5 11.8954 16.5 13V18C16.5 19.1046 15.6046 20 14.5 20H8V18H14.5V13H9.5C8.39543 13 7.5 12.1046 7.5 11V6Z"
      }
    }]
  };
  var lettersS = vue.defineComponent({
    name: "LettersSIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-letters-s", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$fH(_objectSpread$fH({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$fF, finalProps.value);
    }
  });

  function ownKeys$fG(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$fG(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$fG(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$fG(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$fE = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M6.5 4H17.5V6H13V20H11V6H6.5V4Z"
      }
    }]
  };
  var lettersT = vue.defineComponent({
    name: "LettersTIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-letters-t", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$fG(_objectSpread$fG({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$fE, finalProps.value);
    }
  });

  function ownKeys$fF(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$fF(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$fF(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$fF(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$fD = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M15 4L15 18H9L9 4L7 4L7 18C7 19.1046 7.89543 20 9 20H17L17 4L15 4Z"
      }
    }]
  };
  var lettersU = vue.defineComponent({
    name: "LettersUIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-letters-u", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$fF(_objectSpread$fF({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$fD, finalProps.value);
    }
  });

  function ownKeys$fE(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$fE(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$fE(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$fE(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$fC = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M15 4L15 14.2732L12 17.9247L9 14.2732L9.00001 4L7.00001 4L7 14.2732C7 14.7362 7.16069 15.185 7.45465 15.5428L11.2273 20.1348H12.7727L16.5453 15.5428C16.8393 15.185 17 14.7362 17 14.2732L17 4L15 4Z"
      }
    }]
  };
  var lettersV = vue.defineComponent({
    name: "LettersVIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-letters-v", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$fE(_objectSpread$fE({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$fC, finalProps.value);
    }
  });

  function ownKeys$fD(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$fD(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$fD(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$fD(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$fB = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M6 4L6 18H11L11 4L13 4L13 18H18V4L20 4V18C20 19.1046 19.1046 20 18 20H6C4.89543 20 4 19.1046 4 18L4 4L6 4Z"
      }
    }]
  };
  var lettersW = vue.defineComponent({
    name: "LettersWIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-letters-w", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$fD(_objectSpread$fD({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$fB, finalProps.value);
    }
  });

  function ownKeys$fC(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$fC(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$fC(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$fC(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$fA = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M16.4948 8.44853C16.8202 8.08243 17 7.60963 17 7.11979L17 4L15 4.00001L15 7.1198L12 10.4948L9.00001 7.1198L9 4L7 4.00001L7.00001 7.11981C7.00002 7.60963 7.17977 8.08243 7.50519 8.44853L10.662 12L7.50519 15.5515C7.17977 15.9176 7.00001 16.3904 7.00001 16.8802L7.00001 20L9.00001 20L9.00001 16.8802L12 13.5052L15 16.8802L15 20L17 20V16.8802C17 16.3904 16.8202 15.9176 16.4948 15.5515L13.3379 12L16.4948 8.44853Z"
      }
    }]
  };
  var lettersX = vue.defineComponent({
    name: "LettersXIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-letters-x", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$fC(_objectSpread$fC({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$fA, finalProps.value);
    }
  });

  function ownKeys$fB(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$fB(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$fB(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$fB(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$fz = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M16.7131 8.21966C16.8996 7.96328 17 7.65442 17 7.33741L17 4L15 4L15 7.17481L12 11.2998L9 7.17482L9 4.00001L7 4.00001L7 7.33741C7 7.65442 7.10044 7.96329 7.2869 8.21967L11 13.3252L11 20H13L13 13.3252L16.7131 8.21966Z"
      }
    }]
  };
  var lettersY = vue.defineComponent({
    name: "LettersYIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-letters-y", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$fB(_objectSpread$fB({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$fz, finalProps.value);
    }
  });

  function ownKeys$fA(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$fA(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$fA(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$fA(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$fy = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M16.5714 5.1C16.5714 4.49249 16.0789 4 15.4714 4H7V6H14.5714V7.13531L7 16.1353V18.9C7 19.5075 7.49249 20 8.1 20H17V18H9V16.8647L16.5714 7.86469V5.1Z"
      }
    }]
  };
  var lettersZ = vue.defineComponent({
    name: "LettersZIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-letters-z", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$fA(_objectSpread$fA({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$fy, finalProps.value);
    }
  });

  function ownKeys$fz(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$fz(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$fz(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$fz(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$fx = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M23 12C23 18.0751 18.0751 23 12 23C5.92487 23 1 18.0751 1 12C1 5.92487 5.92487 1 12 1C18.0751 1 23 5.92487 23 12ZM12.0002 4.5C9.2711 4.5 7.0502 6.7209 7.0502 9.45C7.0502 10.1991 7.2141 10.9174 7.5375 11.5862C8.1007 12.7544 8.7211 14.0788 9.2205 15.5H14.7799C15.2804 14.0788 15.8997 12.7544 16.464 11.5862C16.7874 10.9174 16.9502 10.1991 16.9502 9.45C16.9502 6.7209 14.7304 4.5 12.0002 4.5ZM9.5 17V19H14.5V17H9.5Z"
      }
    }]
  };
  var lightbulbCircleFilled = vue.defineComponent({
    name: "LightbulbCircleFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-lightbulb-circle-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$fz(_objectSpread$fz({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$fx, finalProps.value);
    }
  });

  function ownKeys$fy(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$fy(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$fy(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$fy(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$fw = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M12 21C16.9706 21 21 16.9706 21 12C21 7.02944 16.9706 3 12 3C7.02944 3 3 7.02944 3 12C3 16.9706 7.02944 21 12 21ZM23 12C23 18.0751 18.0751 23 12 23C5.92487 23 1 18.0751 1 12C0.999999 5.92487 5.92487 1 12 1C18.0751 0.999999 23 5.92487 23 12ZM14.5 19H9.5V17H14.5V19ZM15.235 16H8.76445L8.52955 15.3315C8.09532 14.0958 7.55234 12.9344 7.04222 11.8763C6.68238 11.1317 6.5 10.3301 6.5 9.5C6.5 6.46672 8.96671 4 12 4C15.0344 4 17.5 6.46686 17.5 9.5C17.5 10.3294 17.3189 11.1313 16.9584 11.877C16.4479 12.9339 15.9056 14.0959 15.4702 15.3322L15.235 16ZM13.8304 14C14.2519 12.908 14.7284 11.8955 15.1575 11.007C15.3849 10.5368 15.5 10.0325 15.5 9.5C15.5 7.57114 13.9296 6 12 6C10.0713 6 8.5 7.57129 8.5 9.5C8.5 10.0315 8.61545 10.5355 8.84327 11.0067L8.84378 11.0077C9.2716 11.8951 9.74872 12.9077 10.1699 14H13.8304Z"
      }
    }]
  };
  var lightbulbCircle = vue.defineComponent({
    name: "LightbulbCircleIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-lightbulb-circle", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$fy(_objectSpread$fy({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$fw, finalProps.value);
    }
  });

  function ownKeys$fx(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$fx(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$fx(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$fx(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$fv = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M3.7998 8.20012C3.7998 3.67874 7.47714 -0.00218182 12.0003 0.000123152C16.5218 0.00242723 20.1998 3.67781 20.1998 8.20012C20.1998 9.4637 19.938 10.4268 19.4169 11.689C19.2313 12.1384 18.9405 12.7697 18.6196 13.4664C18.5 13.7259 18.3763 13.9946 18.2522 14.2662C17.785 15.2895 17.2987 16.3872 16.9412 17.3486L16.699 18.0001H7.28967L7.05359 17.3343C6.71497 16.3793 6.23324 15.2883 5.76342 14.2671C5.62102 13.9576 5.47797 13.6509 5.34072 13.3566C5.03727 12.7061 4.76223 12.1164 4.58541 11.6917C4.05832 10.4256 3.7998 9.46281 3.7998 8.20012ZM7.5 19.0001H16.5V21.0001H7.5V19.0001ZM9.5 22.0001H14.5V24.0001H9.5V22.0001Z"
      }
    }]
  };
  var lightbulbFilled = vue.defineComponent({
    name: "LightbulbFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-lightbulb-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$fx(_objectSpread$fx({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$fv, finalProps.value);
    }
  });

  function ownKeys$fw(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$fw(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$fw(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$fw(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$fu = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "g",
      "attrs": {
        "clipPath": "url(#clip0_8726_7256)"
      },
      "children": [{
        "tag": "path",
        "attrs": {
          "fill": "currentColor",
          "d": "M11.9993 2C8.58248 1.99826 5.7998 4.78219 5.7998 8.2C5.7998 9.11652 5.96877 9.81067 6.4318 10.9229C6.59209 11.3079 6.83687 11.8326 7.12767 12.456C7.26915 12.7592 7.42152 13.0858 7.58036 13.4311C7.95475 14.2449 8.3553 15.1422 8.69003 16H15.3187C15.6604 15.1473 16.0604 14.2511 16.4329 13.4354C16.5686 13.1381 16.6997 12.8536 16.8231 12.5856C17.1354 11.9078 17.3991 11.3352 17.5683 10.9256C18.0286 9.81063 18.1998 9.11562 18.1998 8.2C18.1998 4.78311 15.4178 2.00174 11.9993 2ZM3.7998 8.2C3.7998 3.67862 7.47714 -0.00230389 12.0003 1.08193e-06C16.5218 0.00230516 20.1998 3.67769 20.1998 8.2C20.1998 9.46358 19.938 10.4267 19.4169 11.6888C19.2313 12.1383 18.9405 12.7696 18.6196 13.4663C18.5 13.7258 18.3763 13.9944 18.2522 14.2661C17.785 15.2894 17.2987 16.3871 16.9412 17.3485L16.699 18H7.28967L7.05359 17.3342C6.71497 16.3792 6.23324 15.2882 5.76342 14.267C5.62102 13.9575 5.47797 13.6508 5.34072 13.3565C5.03727 12.7059 4.76223 12.1163 4.58541 11.6915C4.05832 10.4254 3.7998 9.46269 3.7998 8.2ZM7.5 19H16.5V21H7.5V19ZM9.5 22H14.5V24H9.5V22Z"
        }
      }]
    }]
  };
  var lightbulb = vue.defineComponent({
    name: "LightbulbIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-lightbulb", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$fw(_objectSpread$fw({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$fu, finalProps.value);
    }
  });

  function ownKeys$fv(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$fv(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$fv(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$fv(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$ft = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M18.2994 3.4428L11.9996 0.922852L5.69969 3.4428L6.44247 5.29975L6.99956 5.07692V9.99988H4.99956V11.9999H6.90609C6.74214 13.9053 6.38542 15.9379 6.02101 17.6689C5.77454 18.8396 5.52796 19.8568 5.34314 20.5806C5.25078 20.9424 5.17398 21.2303 5.12052 21.427C5.09379 21.5253 5.0729 21.6008 5.05882 21.6513L5.04295 21.7078L5.03908 21.7215L5.03801 21.7253L4.67383 22.9999H10.2803L11.2803 18.9999H12.7188L13.7188 22.9999H19.3253L18.9609 21.7246L18.96 21.7215L18.9562 21.7078L18.9403 21.6513C18.9262 21.6008 18.9053 21.5253 18.8786 21.427C18.8251 21.2303 18.7483 20.9424 18.656 20.5806C18.4712 19.8568 18.2246 18.8396 17.9781 17.6689C17.6137 15.9379 17.257 13.9053 17.093 11.9999H18.9996V9.99988H16.9996V5.07692L17.5566 5.29975L18.2994 3.4428ZM13.0039 5.99805V8.00195H11V5.99805H13.0039Z"
      }
    }]
  };
  var lighthouse1Filled = vue.defineComponent({
    name: "Lighthouse1FilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-lighthouse-1-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$fv(_objectSpread$fv({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$ft, finalProps.value);
    }
  });

  function ownKeys$fu(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$fu(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$fu(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$fu(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$fs = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M11.9996 0.922852L18.2994 3.4428L17.5566 5.29975L16.9996 5.07692V9.99988H18.9996V11.9999H17.093C17.257 13.9053 17.6137 15.9379 17.9781 17.6689C18.2246 18.8396 18.4712 19.8568 18.656 20.5806C18.7483 20.9424 18.8251 21.2303 18.8786 21.427C18.9053 21.5253 18.9262 21.6008 18.9403 21.6513L18.9562 21.7078L18.96 21.7215L18.9609 21.7246L19.3253 22.9999H13.2188L12.2188 18.9999H11.7803L10.7803 22.9999H4.67383L5.03801 21.7253L5.03908 21.7215L5.04295 21.7078L5.05882 21.6513C5.0729 21.6008 5.09379 21.5253 5.12052 21.427C5.17398 21.2303 5.25078 20.9424 5.34314 20.5806C5.52796 19.8568 5.77454 18.8396 6.02101 17.6689C6.38542 15.9379 6.74214 13.9053 6.90609 11.9999H4.99956V9.99988H6.99956V5.07692L6.44247 5.29975L5.69969 3.4428L11.9996 0.922852ZM8.99956 4.27692V9.99988H14.9996V4.27692L11.9996 3.07692L8.99956 4.27692ZM15.0862 11.9999H8.91288C8.74474 14.0864 8.35738 16.2794 7.97811 18.0809C7.73303 19.245 7.48806 20.2606 7.30021 20.9999H9.21878L10.2188 16.9999H13.7803L14.7803 20.9999H16.6989C16.5111 20.2606 16.2661 19.245 16.021 18.0809C15.6417 16.2794 15.2544 14.0864 15.0862 11.9999ZM10.9996 5.99793H13.0035V8.00184H10.9996V5.99793Z"
      }
    }]
  };
  var lighthouse1 = vue.defineComponent({
    name: "Lighthouse1Icon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-lighthouse-1", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$fu(_objectSpread$fu({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$fs, finalProps.value);
    }
  });

  function ownKeys$ft(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$ft(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$ft(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$ft(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$fr = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M8.99956 2.00161V1H6.99956V5H5.99956V7H6.99956V10C6.99956 10.9409 6.92504 11.9629 6.80443 13H4.99956V15H6.52248C6.37099 15.9278 6.19689 16.8335 6.02101 17.669C5.77454 18.8397 5.52796 19.8569 5.34314 20.5807C5.25078 20.9425 5.17398 21.2304 5.12052 21.4271C5.01865 21.8019 4.91111 22.1751 4.80359 22.5483C4.76021 22.6988 4.71683 22.8494 4.67383 23H10.2803L11.2803 19H12.7188L13.7188 23H19.3253C19.2823 22.8494 19.2389 22.6988 19.1955 22.5482C19.088 22.1751 18.9805 21.8018 18.8786 21.4271C18.8251 21.2304 18.7483 20.9425 18.656 20.5807C18.4712 19.8569 18.2246 18.8397 17.9781 17.669C17.8022 16.8335 17.6281 15.9278 17.4766 15H18.9996V13H17.1947C17.0741 11.9629 16.9996 10.9409 16.9996 10V7H17.9996V5H16.9996V1H14.9996V2.00161H8.99956ZM8.99956 5V4.00161H14.9996V5H8.99956ZM13.0039 8.99805V11.002H11V8.99805H13.0039Z"
      }
    }]
  };
  var lighthouse2Filled = vue.defineComponent({
    name: "Lighthouse2FilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-lighthouse-2-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$ft(_objectSpread$ft({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$fr, finalProps.value);
    }
  });

  function ownKeys$fs(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$fs(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$fs(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$fs(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$fq = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M8.99956 1V2.00161H14.9996V1H16.9996V5H17.9996V7H16.9996V10C16.9996 10.9409 17.0741 11.9629 17.1947 13H18.9996V15H17.4766C17.6281 15.9278 17.8022 16.8335 17.9781 17.669C18.2246 18.8397 18.4712 19.8569 18.656 20.5807C18.7483 20.9425 18.8251 21.2304 18.8786 21.4271C19.0216 21.953 19.1757 22.476 19.3253 23H13.2188L12.2188 19H11.7803L10.7803 23H4.67383C4.82343 22.476 4.97755 21.953 5.12052 21.4271C5.17398 21.2304 5.25078 20.9425 5.34314 20.5807C5.52796 19.8569 5.77454 18.8397 6.02101 17.669C6.19689 16.8335 6.37099 15.9278 6.52248 15H4.99956V13H6.80443C6.92504 11.9629 6.99956 10.9409 6.99956 10V7H5.99956V5H6.99956V1H8.99956ZM8.99956 4.00161V5H14.9996V4.00161H8.99956ZM14.9996 7H8.99956V10C8.99956 10.9553 8.93001 11.9744 8.81711 13H15.182C15.0691 11.9744 14.9996 10.9553 14.9996 10V7ZM15.4511 15H8.548C8.37758 16.0867 8.17673 17.1375 7.97811 18.081C7.73303 19.2451 7.48806 20.2607 7.30021 21H9.21878L10.2188 17H13.7803L14.7803 21H16.6989C16.5111 20.2607 16.2661 19.2451 16.021 18.081C15.8224 17.1375 15.6215 16.0867 15.4511 15ZM10.9996 8.99805H13.0035V11.002H10.9996V8.99805Z"
      }
    }]
  };
  var lighthouse2 = vue.defineComponent({
    name: "Lighthouse2Icon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-lighthouse-2", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$fs(_objectSpread$fs({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$fq, finalProps.value);
    }
  });

  function ownKeys$fr(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$fr(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$fr(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$fr(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$fp = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M8.99956 2V1H6.99956V10C6.99956 12.3933 6.51742 15.311 6.02101 17.669C5.77454 18.8397 5.52796 19.8569 5.34314 20.5807C5.25078 20.9425 5.17398 21.2304 5.12052 21.4271C5.09379 21.5255 5.0729 21.6009 5.05882 21.6514L5.04295 21.7079L5.03908 21.7216L5.03801 21.7254L4.67383 23H10.2803L11.2803 19H12.7188L13.7188 23H19.3253L18.9609 21.7247L18.96 21.7216L18.9562 21.7079L18.9403 21.6514C18.9262 21.6009 18.9053 21.5255 18.8786 21.4271C18.8251 21.2304 18.7483 20.9425 18.656 20.5807C18.4712 19.8569 18.2246 18.8397 17.9781 17.669C17.4817 15.311 16.9996 12.3933 16.9996 10V1H14.9996V2H8.99956ZM14.9996 4V5H8.99956V4H14.9996ZM13.0039 8.99805V11.002H11V8.99805H13.0039Z"
      }
    }]
  };
  var lighthouseFilled = vue.defineComponent({
    name: "LighthouseFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-lighthouse-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$fr(_objectSpread$fr({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$fp, finalProps.value);
    }
  });

  function ownKeys$fq(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$fq(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$fq(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$fq(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$fo = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M8.99956 1V2H14.9996V1H16.9996V10C16.9996 12.3933 17.4817 15.311 17.9781 17.669C18.2246 18.8397 18.4712 19.8569 18.656 20.5807C18.7483 20.9425 18.8251 21.2304 18.8786 21.4271C18.9053 21.5255 18.9262 21.6009 18.9403 21.6514L18.9562 21.7079L18.96 21.7216L18.9609 21.7247L19.3253 23H13.2188L12.2188 19H11.7803L10.7803 23H4.67383L5.03801 21.7254L5.03908 21.7216L5.04295 21.7079L5.05882 21.6514C5.0729 21.6009 5.09379 21.5255 5.12052 21.4271C5.17398 21.2304 5.25078 20.9425 5.34314 20.5807C5.52796 19.8569 5.77454 18.8397 6.02101 17.669C6.51742 15.311 6.99956 12.3933 6.99956 10V1H8.99956ZM8.99956 7.0024V10C8.99956 12.6067 8.4817 15.689 7.97811 18.081C7.73303 19.2451 7.48806 20.2607 7.30021 21H9.21878L10.2188 17H13.7803L14.7803 21H16.6989C16.5111 20.2607 16.2661 19.2451 16.021 18.081C15.5174 15.689 14.9996 12.6067 14.9996 10V7.0024H8.99956ZM14.9996 5V4H8.99956V5H14.9996ZM10.9996 8.99805H13.0035V11.002H10.9996V8.99805Z"
      }
    }]
  };
  var lighthouse = vue.defineComponent({
    name: "LighthouseIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-lighthouse", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$fq(_objectSpread$fq({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$fo, finalProps.value);
    }
  });

  function ownKeys$fp(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$fp(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$fp(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$fp(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$fn = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M23 12C23 18.0751 18.0751 23 12 23C5.92487 23 1 18.0751 1 12C1 5.92487 5.92487 1 12 1C18.0751 1 23 5.92487 23 12ZM17.29 10.5H12.9999V4.42862L6.70973 13.5H10.9999L10.9999 19.5714L17.29 10.5Z"
      }
    }]
  };
  var lightingCircleFilled = vue.defineComponent({
    name: "LightingCircleFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-lighting-circle-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$fp(_objectSpread$fp({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$fn, finalProps.value);
    }
  });

  function ownKeys$fo(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$fo(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$fo(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$fo(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$fm = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M12 21C16.9706 21 21 16.9706 21 12C21 7.02944 16.9706 3 12 3C7.02944 3 3 7.02944 3 12C3 16.9706 7.02944 21 12 21ZM23 12C23 18.0751 18.0751 23 12 23C5.92487 23 1 18.0751 1 12C0.999999 5.92487 5.92487 1 12 1C18.0751 0.999999 23 5.92487 23 12ZM12.0848 19.5H10V14.5L6.29015 14.5L11.9152 4.5L14 4.5V9.5L17.7098 9.5L12.0848 19.5ZM12 15.5714L14.2902 11.5H12V8.42862L9.70985 12.5H12L12 15.5714Z"
      }
    }]
  };
  var lightingCircle = vue.defineComponent({
    name: "LightingCircleIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-lighting-circle", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$fo(_objectSpread$fo({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$fm, finalProps.value);
    }
  });

  function ownKeys$fn(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$fn(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$fn(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$fn(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$fl = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M5.70718 3.29304L5.00008 2.58594L4.29297 3.29304L2.00008 5.58594L1.29297 6.29305L2.70718 7.70726L3.41429 7.00015L4.00008 6.41436V8.49991V11.9999V15.4999V17.5854L3.41429 16.9997L2.70718 16.2926L1.29297 17.7068L2.00008 18.4139L4.29297 20.7068L5.00008 21.4139L5.70718 20.7068L8.00008 18.4139L8.70718 17.7068L7.29297 16.2926L6.58586 16.9997L6.00008 17.5854V15.4999V11.9999V8.49991V6.41436L6.58586 7.00015L7.29297 7.70726L8.70718 6.29304L8.00008 5.58594L5.70718 3.29304ZM13.0001 3.99991H12.0001V5.99991H13.0001H21.0001H22.0001V3.99991H21.0001H13.0001ZM11.0001 10.9999H10.0001V12.9999H11.0001H21.0001H22.0001V10.9999H21.0001H11.0001ZM12.0001 17.9999H13.0001H21.0001H22.0001V19.9999H21.0001H13.0001H12.0001V17.9999Z"
      }
    }]
  };
  var lineHeight = vue.defineComponent({
    name: "LineHeightIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-line-height", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$fn(_objectSpread$fn({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$fl, finalProps.value);
    }
  });

  function ownKeys$fm(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$fm(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$fm(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$fm(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$fk = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M19.7778 4.92892C18.4109 3.56212 16.1948 3.56209 14.828 4.92892L12.7067 7.05024L11.2925 5.63603L13.4138 3.51471C15.5617 1.36682 19.0441 1.36687 21.192 3.51471C23.3398 5.66255 23.3399 9.14499 21.192 11.2929L18.01 14.4749C15.8621 16.6228 12.3797 16.6227 10.2318 14.4749L8.69926 12.9423L10.1135 11.5281L11.646 13.0606C13.0128 14.4275 15.2289 14.4275 16.5958 13.0606L19.7778 9.87867C21.1446 8.51184 21.1446 6.29573 19.7778 4.92892ZM12.3531 10.9393C10.9863 9.57252 8.77021 9.5725 7.40338 10.9393L4.2214 14.1213C2.85457 15.4881 2.8546 17.7043 4.2214 19.0711C5.58821 20.4379 7.80432 20.4379 9.17115 19.0711L11.2925 16.9497L12.7067 18.364L10.5854 20.4853C8.43747 22.6332 4.95503 22.6331 2.80719 20.4853C0.659347 18.3374 0.659298 14.855 2.80719 12.7071L5.98917 9.52512C8.13706 7.37722 11.6195 7.37727 13.7673 9.52512L15.0632 10.821L13.649 12.2352L12.3531 10.9393Z"
      }
    }]
  };
  var link1 = vue.defineComponent({
    name: "Link1Icon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-link-1", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$fm(_objectSpread$fm({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$fk, finalProps.value);
    }
  });

  function ownKeys$fl(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$fl(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$fl(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$fl(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$fj = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M4.30371 2.88999L7.83924 6.42552L6.42503 7.83973L2.8895 4.3042L4.30371 2.88999ZM10.2529 1.18115L10.2529 5.68115L8.25293 5.68115L8.25293 1.18115L10.2529 1.18115ZM1.34668 8.08936L5.84668 8.08936L5.84668 10.0894L1.34668 10.0894L1.34668 8.08936ZM14.8289 5.63462L11.7849 8.67864L10.3707 7.26443L13.4147 4.2204C15.1721 2.46304 18.0213 2.46304 19.7787 4.2204C21.536 5.97776 21.536 8.82701 19.7787 10.5844L16.7346 13.6284L15.3204 12.2142L18.3644 9.17015C19.3408 8.19384 19.3408 6.61093 18.3644 5.63462C17.3881 4.65831 15.8052 4.65831 14.8289 5.63462ZM5.63652 14.827C4.66021 15.8033 4.66021 17.3862 5.63652 18.3625C6.61283 19.3389 8.19575 19.3389 9.17206 18.3625L12.2161 15.3185L13.6303 16.7327L10.5863 19.7768C8.82891 21.5341 5.97967 21.5341 4.22231 19.7768C2.46495 18.0194 2.46495 15.1702 4.22231 13.4128L7.26634 10.3688L8.68055 11.783L5.63652 14.827ZM18.3154 13.7456L22.8154 13.7456V15.7456H18.3154V13.7456ZM15.9092 18.1519V22.6519H13.9092L13.9092 18.1519H15.9092ZM17.573 16.1593L21.1086 19.6948L19.6943 21.109L16.1588 17.5735L17.573 16.1593Z"
      }
    }]
  };
  var linkUnlink = vue.defineComponent({
    name: "LinkUnlinkIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-link-unlink", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$fl(_objectSpread$fl({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$fj, finalProps.value);
    }
  });

  function ownKeys$fk(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$fk(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$fk(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$fk(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$fi = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M13.2925 3.95949C15.1558 2.09618 18.1768 2.09619 20.0401 3.95949C21.9034 5.8228 21.9034 8.84381 20.0401 10.7071L17.0094 13.7379L15.5952 12.3236L18.6259 9.29291C19.7082 8.21065 19.7082 6.45596 18.6259 5.37371C17.5436 4.29145 15.789 4.29145 14.7067 5.3737L11.676 8.40444L10.2617 6.99023L13.2925 3.95949ZM15.4125 9.99989L9.99826 15.4142L8.58405 14L13.9983 8.58568L15.4125 9.99989ZM8.40395 11.6764L5.37322 14.7072C4.29096 15.7894 4.29096 17.5441 5.37322 18.6264C6.45547 19.7086 8.21016 19.7086 9.29242 18.6264L12.3232 15.5956L13.7374 17.0099L10.7066 20.0406C8.84333 21.9039 5.82231 21.9039 3.959 20.0406C2.0957 18.1773 2.0957 15.1563 3.959 13.293L6.98974 10.2622L8.40395 11.6764Z"
      }
    }]
  };
  var link = vue.defineComponent({
    name: "LinkIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-link", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$fk(_objectSpread$fk({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$fi, finalProps.value);
    }
  });

  function ownKeys$fj(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$fj(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$fj(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$fj(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$fh = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M19.4999 1.08594L22.9141 4.50015 17.9999 9.41436 17.9999 13.4144 16.4142 15 9.00005 7.58586 10.5857 6.00014 14.5857 6.00015 19.4999 1.08594zM7.58584 9.00008L15 16.4142 12.4142 19 5.00008 11.5859 7.58584 9.00008zM8.99805 15.002L11.002 15.002V12.998L8.99805 12.998V15.002zM11 20.4142L3.58586 13.0001 1.99985 14.5859C1.2188 15.367 1.2188 16.6333 1.99985 17.4144L6.58565 22.0001C7.3667 22.7812 8.63303 22.7812 9.41407 22.0001L11 20.4142z"
      }
    }]
  };
  var liquorFilled = vue.defineComponent({
    name: "LiquorFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-liquor-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$fj(_objectSpread$fj({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$fh, finalProps.value);
    }
  });

  function ownKeys$fi(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$fi(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$fi(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$fi(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$fg = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M19.4999 1.08594L22.9141 4.50015L17.9999 9.41436L17.9999 13.4144L9.41407 22.0001C8.63303 22.7812 7.3667 22.7812 6.58565 22.0001L1.99985 17.4144C1.2188 16.6333 1.2188 15.367 1.99985 14.5859L10.5857 6.00014L14.5857 6.00015L19.4999 1.08594ZM4.99988 14.4143L3.41406 16.0001L7.99986 20.5859L9.58566 19.0001L4.99988 14.4143ZM14.9999 13.5859L15.9999 12.5859L15.9999 8.58594L20.0857 4.50015L19.4999 3.91437L15.4141 8.00015L11.4141 8.00014L10.4141 9.00014L14.9999 13.5859L13.5857 15.0001L8.99988 10.4144L6.41411 13.0001L10.9999 17.5859M8.99792 12.9982H11.0018V15.0021H8.99792V12.9982Z"
      }
    }]
  };
  var liquor = vue.defineComponent({
    name: "LiquorIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-liquor", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$fi(_objectSpread$fi({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$fg, finalProps.value);
    }
  });

  function ownKeys$fh(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$fh(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$fh(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$fh(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$ff = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M4.5 6H5.5V8H1.5V6H2.5L2.5 4H1.5L1.5 2H2.5C3.60457 2 4.5 2.89543 4.5 4V6zM7 20V18H22V20H7zM7 13V11H22V13H7zM7 6V4H22V6H7zM1.5 9.25H3.96967C4.81485 9.25 5.5 9.93515 5.5 10.7803 5.5 11.1862 5.33877 11.5754 5.05178 11.8624L4.16421 12.75H5.5V14.75H1.5V13.4142C1.5 12.8838 1.71071 12.3751 2.08579 12L2.83579 11.25H1.5V9.25zM1.5 15.75V17.75H3.5V18H2V20H3.5V20.25H1.5V22.25H3.5C4.60457 22.25 5.5 21.3546 5.5 20.25V17.75C5.5 16.6454 4.60457 15.75 3.5 15.75H1.5z"
      }
    }]
  };
  var listNumbered = vue.defineComponent({
    name: "ListNumberedIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-list-numbered", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$fh(_objectSpread$fh({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$ff, finalProps.value);
    }
  });

  function ownKeys$fg(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$fg(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$fg(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$fg(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$fe = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M2 19.0039H4.00391V17H2V19.0039ZM7 19H22V17H7V19ZM2 13.0039H4.00391V11H2V13.0039ZM7 13H22V11H7V13ZM2 7.00391H4.00391V5H2V7.00391ZM7 7H22V5H7V7Z"
      }
    }]
  };
  var list = vue.defineComponent({
    name: "ListIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-list", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$fg(_objectSpread$fg({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$fe, finalProps.value);
    }
  });

  function ownKeys$ff(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$ff(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$ff(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$ff(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$fd = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M11 1H12C18.0751 1 23 5.92487 23 12C23 18.0751 18.0751 23 12 23C5.92487 23 1 18.0751 1 12V11H3V12C3 16.9706 7.02944 21 12 21C16.9706 21 21 16.9706 21 12C21 7.02944 16.9706 3 12 3H11V1Z"
      }
    }]
  };
  var load = vue.defineComponent({
    name: "LoadIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-load", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$ff(_objectSpread$ff({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$fd, finalProps.value);
    }
  });

  function ownKeys$fe(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$fe(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$fe(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$fe(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$fc = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M12 2.25C6.61556 2.25 2.25 6.61556 2.25 12C2.25 17.3844 6.61556 21.75 12 21.75V19.3125C7.96142 19.3125 4.6875 16.0386 4.6875 12C4.6875 7.96142 7.96142 4.6875 12 4.6875C16.0386 4.6875 19.3125 7.96142 19.3125 12H21.75C21.75 6.61556 17.3844 2.25 12 2.25Z"
      }
    }]
  };
  var loading = vue.defineComponent({
    name: "LoadingIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-loading", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$fe(_objectSpread$fe({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$fc, finalProps.value);
    }
  });

  function ownKeys$fd(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$fd(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$fd(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$fd(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$fb = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M7.00008 6C7.00008 3.23858 9.23865 1 12.0001 1C14.7615 1 17.0001 3.23858 17.0001 6C17.0001 8.41896 15.2823 10.4367 13.0001 10.9V17H11.0001V10.9C8.71784 10.4367 7.00008 8.41896 7.00008 6ZM3.10503 11H8.00008V13H4.89512L4.11734 20H19.8828L19.105 13H16.0001V11H20.8951L22.1173 22H1.88281L3.10503 11Z"
      }
    }]
  };
  var location1Filled = vue.defineComponent({
    name: "Location1FilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-location-1-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$fd(_objectSpread$fd({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$fb, finalProps.value);
    }
  });

  function ownKeys$fc(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$fc(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$fc(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$fc(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$fa = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M12.0001 3C10.3432 3 9.00008 4.34315 9.00008 6C9.00008 7.65685 10.3432 9 12.0001 9C13.6569 9 15.0001 7.65685 15.0001 6C15.0001 4.34315 13.6569 3 12.0001 3ZM7.00008 6C7.00008 3.23858 9.23865 1 12.0001 1C14.7615 1 17.0001 3.23858 17.0001 6C17.0001 8.41896 15.2823 10.4367 13.0001 10.9V17H11.0001V10.9C8.71784 10.4367 7.00008 8.41896 7.00008 6ZM3.10503 11H8.00008V13H4.89512L4.11734 20H19.8828L19.105 13H16.0001V11H20.8951L22.1173 22H1.88281L3.10503 11Z"
      }
    }]
  };
  var location1 = vue.defineComponent({
    name: "Location1Icon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-location-1", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$fc(_objectSpread$fc({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$fa, finalProps.value);
    }
  });

  function ownKeys$fb(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$fb(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$fb(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$fb(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$f9 = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M10.1145 21.8111C9.33859 21.1725 8.30183 20.2494 7.26196 19.112C5.2179 16.8762 3 13.637 3 10C3 5.02944 7.02944 1 12 1C16.9706 1 21 5.02944 21 10C21 13.6373 18.7821 16.8765 16.738 19.1123C15.6981 20.2496 14.6614 21.1727 13.8854 21.8112C13.2782 22.3109 12.6472 22.7686 12 23.2136C11.3529 22.7684 10.7214 22.3105 10.1145 21.8111ZM13 9.5V6.5H11V9.5H8V11.5H11V14.5H13V11.5H16V9.5H13Z"
      }
    }]
  };
  var locationEnlargementFilled = vue.defineComponent({
    name: "LocationEnlargementFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-location-enlargement-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$fb(_objectSpread$fb({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$f9, finalProps.value);
    }
  });

  function ownKeys$fa(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$fa(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$fa(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$fa(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$f8 = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M12 3C8.13401 3 5 6.13401 5 10C5 12.8623 6.7821 15.6231 8.73804 17.7625C9.69817 18.8126 10.6614 19.6709 11.3855 20.2668C11.6187 20.4588 11.8263 20.6229 12 20.7567C12.1737 20.6229 12.3813 20.4588 12.6146 20.2669C13.3386 19.6711 14.3019 18.8129 15.262 17.7627C17.2179 15.6235 19 12.8627 19 10C19 6.13401 15.866 3 12 3ZM12 23.2136L11.4329 22.8236L11.4302 22.8218L11.424 22.8175L11.4032 22.803C11.3856 22.7906 11.3606 22.773 11.3287 22.7502C11.2649 22.7046 11.1736 22.6384 11.0585 22.5526C10.8285 22.3811 10.5033 22.131 10.1145 21.8111C9.33859 21.1725 8.30183 20.2494 7.26196 19.112C5.2179 16.8762 3 13.637 3 10C3 5.02944 7.02944 1 12 1C16.9706 1 21 5.02944 21 10C21 13.6373 18.7821 16.8765 16.738 19.1123C15.6981 20.2496 14.6614 21.1727 13.8854 21.8112C13.4967 22.1311 13.1715 22.3812 12.9415 22.5527C12.8264 22.6385 12.735 22.7047 12.6712 22.7503C12.6394 22.7731 12.6144 22.7907 12.5967 22.803L12.5759 22.8175L12.5698 22.8218L12.5678 22.8232L12 23.2136ZM13 6.5V9.5H16V11.5H13V14.5H11V11.5H8V9.5H11V6.5H13Z"
      }
    }]
  };
  var locationEnlargement = vue.defineComponent({
    name: "LocationEnlargementIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-location-enlargement", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$fa(_objectSpread$fa({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$f8, finalProps.value);
    }
  });

  function ownKeys$f9(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$f9(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$f9(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$f9(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$f7 = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M10.1145 21.8111C9.33859 21.1725 8.30183 20.2494 7.26196 19.112C5.2179 16.8762 3 13.637 3 10C3 5.02944 7.02944 1 12 1C16.9706 1 21 5.02944 21 10C21 13.6373 18.7821 16.8765 16.738 19.1123C15.6981 20.2496 14.6614 21.1727 13.8854 21.8112C13.2782 22.3109 12.6472 22.7686 12 23.2136C11.3529 22.7684 10.7214 22.3105 10.1145 21.8111ZM13.4142 10.5L15.5355 8.37868L14.1213 6.96447L12 9.08579L9.87868 6.96447L8.46447 8.37868L10.5858 10.5L8.46447 12.6213L9.87868 14.0355L12 11.9142L14.1213 14.0355L15.5355 12.6213L13.4142 10.5Z"
      }
    }]
  };
  var locationErrorFilled = vue.defineComponent({
    name: "LocationErrorFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-location-error-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$f9(_objectSpread$f9({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$f7, finalProps.value);
    }
  });

  function ownKeys$f8(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$f8(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$f8(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$f8(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$f6 = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M12 3C8.13401 3 5 6.13401 5 10C5 12.8623 6.7821 15.6231 8.73804 17.7625C9.69817 18.8126 10.6614 19.6709 11.3855 20.2668C11.6187 20.4588 11.8263 20.6229 12 20.7567C12.1737 20.6229 12.3813 20.4588 12.6146 20.2669C13.3386 19.6711 14.3019 18.8129 15.262 17.7627C17.2179 15.6235 19 12.8627 19 10C19 6.13401 15.866 3 12 3ZM12 23.2136L11.4329 22.8236L11.4302 22.8218L11.424 22.8175L11.4032 22.803C11.3856 22.7906 11.3606 22.773 11.3287 22.7502C11.2649 22.7046 11.1736 22.6384 11.0585 22.5526C10.8285 22.3811 10.5033 22.131 10.1145 21.8111C9.33859 21.1725 8.30183 20.2494 7.26196 19.112C5.2179 16.8762 3 13.637 3 10C3 5.02944 7.02944 1 12 1C16.9706 1 21 5.02944 21 10C21 13.6373 18.7821 16.8765 16.738 19.1123C15.6981 20.2496 14.6614 21.1727 13.8854 21.8112C13.4967 22.1311 13.1715 22.3812 12.9415 22.5527C12.8264 22.6385 12.735 22.7047 12.6712 22.7503C12.6394 22.7731 12.6144 22.7907 12.5967 22.803L12.5759 22.8175L12.5698 22.8218L12.5678 22.8232L12 23.2136ZM9.87868 6.96447L12 9.08579L14.1213 6.96447L15.5355 8.37868L13.4142 10.5L15.5355 12.6213L14.1213 14.0355L12 11.9142L9.87868 14.0355L8.46447 12.6213L10.5858 10.5L8.46447 8.37868L9.87868 6.96447Z"
      }
    }]
  };
  var locationError = vue.defineComponent({
    name: "LocationErrorIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-location-error", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$f8(_objectSpread$f8({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$f6, finalProps.value);
    }
  });

  function ownKeys$f7(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$f7(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$f7(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$f7(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$f5 = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M10.1145 21.8111C10.7214 22.3105 11.3529 22.7684 12 23.2136C12.6472 22.7686 13.2782 22.3109 13.8854 21.8112C14.6614 21.1727 15.6981 20.2496 16.738 19.1123C18.7821 16.8765 21 13.6373 21 10C21 5.02944 16.9706 1 12 1C7.02944 1 3 5.02944 3 10C3 13.637 5.2179 16.8762 7.26196 19.112C8.30183 20.2494 9.33859 21.1725 10.1145 21.8111ZM12 13.25C10.2051 13.25 8.75 11.7949 8.75 10C8.75 8.20507 10.2051 6.75 12 6.75C13.7949 6.75 15.25 8.20507 15.25 10C15.25 11.7949 13.7949 13.25 12 13.25Z"
      }
    }]
  };
  var locationFilled = vue.defineComponent({
    name: "LocationFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-location-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$f7(_objectSpread$f7({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$f5, finalProps.value);
    }
  });

  function ownKeys$f6(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$f6(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$f6(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$f6(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$f4 = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M13.6364 10.2H11V9L13.6365 9.00019C13.6424 9.00085 13.6691 9.0039 13.7084 9.01774C13.7543 9.03395 13.7991 9.05862 13.8367 9.09099C13.8716 9.12098 13.9072 9.1631 13.9366 9.22932C13.9662 9.29632 14 9.41198 14 9.6C14 9.78802 13.9662 9.90368 13.9366 9.97068C13.9072 10.0369 13.8716 10.079 13.8367 10.109C13.7991 10.1414 13.7543 10.166 13.7084 10.1823C13.6691 10.1961 13.6422 10.1993 13.6364 10.2Z"
      }
    }, {
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M10.1145 21.8111C10.7214 22.3105 11.3529 22.7684 12 23.2136C12.6472 22.7686 13.2782 22.3109 13.8854 21.8112C14.6614 21.1727 15.6981 20.2496 16.738 19.1123C18.7821 16.8765 21 13.6373 21 10C21 5.02944 16.9706 1 12 1C7.02944 1 3 5.02944 3 10C3 13.637 5.2179 16.8762 7.26196 19.112C8.30183 20.2494 9.33859 21.1725 10.1145 21.8111ZM13.6364 7C14.08 7 14.6584 7.15994 15.1405 7.57439C15.6602 8.02115 16 8.70534 16 9.6C16 10.4947 15.6602 11.1788 15.1405 11.6256C14.6584 12.0401 14.08 12.2 13.6364 12.2H11V15H9V7H13.6364Z"
      }
    }]
  };
  var locationParkingPlaceFilled = vue.defineComponent({
    name: "LocationParkingPlaceFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-location-parking-place-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$f6(_objectSpread$f6({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$f4, finalProps.value);
    }
  });

  function ownKeys$f5(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$f5(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$f5(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$f5(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$f3 = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M12 3C8.13401 3 5 6.13401 5 10C5 12.8623 6.7821 15.6231 8.73804 17.7625C9.69817 18.8126 10.6614 19.6709 11.3855 20.2668C11.6187 20.4588 11.8263 20.6229 12 20.7567C12.1737 20.6229 12.3813 20.4588 12.6146 20.2669C13.3386 19.6711 14.3019 18.8129 15.262 17.7627C17.2179 15.6235 19 12.8627 19 10C19 6.13401 15.866 3 12 3ZM12 23.2136L11.4329 22.8236L11.4302 22.8218L11.424 22.8175L11.4032 22.803C11.3856 22.7906 11.3606 22.773 11.3287 22.7502C11.2649 22.7046 11.1736 22.6384 11.0585 22.5526C10.8285 22.3811 10.5033 22.131 10.1145 21.8111C9.33859 21.1725 8.30183 20.2494 7.26196 19.112C5.2179 16.8762 3 13.637 3 10C3 5.02944 7.02944 1 12 1C16.9706 1 21 5.02944 21 10C21 13.6373 18.7821 16.8765 16.738 19.1123C15.6981 20.2496 14.6614 21.1727 13.8854 21.8112C13.4967 22.1311 13.1715 22.3812 12.9415 22.5527C12.8264 22.6385 12.735 22.7047 12.6712 22.7503C12.6394 22.7731 12.6144 22.7907 12.5967 22.803L12.5759 22.8175L12.5698 22.8218L12.5678 22.8232L12 23.2136ZM9 7H13.6364C14.08 7 14.6584 7.15994 15.1405 7.57439C15.6602 8.02115 16 8.70534 16 9.6C16 10.4947 15.6602 11.1788 15.1405 11.6256C14.6584 12.0401 14.08 12.2 13.6364 12.2H11V15H9V7ZM11 10.2H13.6364C13.6422 10.1993 13.6691 10.1961 13.7084 10.1823C13.7543 10.166 13.7991 10.1414 13.8367 10.109C13.8716 10.079 13.9072 10.0369 13.9366 9.97068C13.9662 9.90368 14 9.78802 14 9.6C14 9.41198 13.9662 9.29632 13.9366 9.22932C13.9072 9.1631 13.8716 9.12098 13.8367 9.09099C13.7991 9.05862 13.7543 9.03395 13.7084 9.01774C13.6691 9.0039 13.6424 9.00085 13.6365 9.00019L11 9V10.2Z"
      }
    }]
  };
  var locationParkingPlace = vue.defineComponent({
    name: "LocationParkingPlaceIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-location-parking-place", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$f5(_objectSpread$f5({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$f3, finalProps.value);
    }
  });

  function ownKeys$f4(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$f4(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$f4(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$f4(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$f2 = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M10.1145 21.8111C10.7214 22.3105 11.3529 22.7684 12 23.2136C12.6472 22.7686 13.2782 22.3109 13.8854 21.8112C14.6614 21.1727 15.6981 20.2496 16.738 19.1123C18.7821 16.8765 21 13.6373 21 10C21 5.02944 16.9706 1 12 1C7.02944 1 3 5.02944 3 10C3 13.637 5.2179 16.8762 7.26196 19.112C8.30183 20.2494 9.33859 21.1725 10.1145 21.8111ZM16 9.5V11.5H8V9.5H16Z"
      }
    }]
  };
  var locationReductionFilled = vue.defineComponent({
    name: "LocationReductionFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-location-reduction-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$f4(_objectSpread$f4({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$f2, finalProps.value);
    }
  });

  function ownKeys$f3(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$f3(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$f3(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$f3(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$f1 = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M12 3C8.13401 3 5 6.13401 5 10C5 12.8623 6.7821 15.6231 8.73804 17.7625C9.69817 18.8126 10.6614 19.6709 11.3855 20.2668C11.6187 20.4588 11.8263 20.6229 12 20.7567C12.1737 20.6229 12.3813 20.4588 12.6146 20.2669C13.3386 19.6711 14.3019 18.8129 15.262 17.7627C17.2179 15.6235 19 12.8627 19 10C19 6.13401 15.866 3 12 3ZM12 23.2136L11.4329 22.8236L11.4302 22.8218L11.424 22.8175L11.4032 22.803C11.3856 22.7906 11.3606 22.773 11.3287 22.7502C11.2649 22.7046 11.1736 22.6384 11.0585 22.5526C10.8285 22.3811 10.5033 22.131 10.1145 21.8111C9.33859 21.1725 8.30183 20.2494 7.26196 19.112C5.2179 16.8762 3 13.637 3 10C3 5.02944 7.02944 1 12 1C16.9706 1 21 5.02944 21 10C21 13.6373 18.7821 16.8765 16.738 19.1123C15.6981 20.2496 14.6614 21.1727 13.8854 21.8112C13.4967 22.1311 13.1715 22.3812 12.9415 22.5527C12.8264 22.6385 12.735 22.7047 12.6712 22.7503C12.6394 22.7731 12.6144 22.7907 12.5967 22.803L12.5759 22.8175L12.5698 22.8218L12.5678 22.8232L12 23.2136ZM8 9.5H16V11.5H8V9.5Z"
      }
    }]
  };
  var locationReduction = vue.defineComponent({
    name: "LocationReductionIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-location-reduction", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$f3(_objectSpread$f3({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$f1, finalProps.value);
    }
  });

  function ownKeys$f2(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$f2(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$f2(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$f2(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$f0 = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M9.11454 21.8111C9.72135 22.3105 10.3529 22.7684 11 23.2136C11.5449 22.8389 12.0784 22.4552 12.5958 22.0451C11.7507 20.9178 11.25 19.5174 11.25 18C11.25 14.2721 14.2721 11.25 18 11.25C18.6504 11.25 19.2792 11.342 19.8743 11.5136C19.9559 11.0181 20 10.513 20 10C20 5.02944 15.9706 1 11 1C6.02944 1 2 5.02944 2 10C2 13.637 4.2179 16.8762 6.26196 19.112C7.30183 20.2494 8.33859 21.1725 9.11454 21.8111ZM11 13.25C9.20507 13.25 7.75 11.7949 7.75 10C7.75 8.20507 9.20507 6.75 11 6.75C12.7949 6.75 14.25 8.20507 14.25 10C14.25 11.7949 12.7949 13.25 11 13.25Z"
      }
    }, {
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M18.9998 14.126C19.7147 14.31 20.3523 14.6867 20.8539 15.1975L22.0464 14.509L23.0464 16.241L21.8548 16.929C21.9493 17.2699 21.9998 17.629 21.9998 18C21.9998 18.371 21.9493 18.7301 21.8548 19.071L23.0464 19.759L22.0464 21.491L20.8539 20.8025C20.3523 21.3133 19.7147 21.69 18.9998 21.874V23.25H16.9998V21.874C16.2848 21.69 15.6472 21.3133 15.1457 20.8025L13.9531 21.491L12.9531 19.759L14.1447 19.071C14.0503 18.7301 13.9998 18.371 13.9998 18C13.9998 17.629 14.0503 17.2699 14.1447 16.929L12.9531 16.241L13.9531 14.509L15.1457 15.1975C15.6472 14.6867 16.2848 14.31 16.9998 14.126V12.75H18.9998V14.126ZM16.285 16.97L16.2485 17.0333C16.09 17.3198 15.9998 17.6494 15.9998 18C15.9998 18.3506 16.09 18.6802 16.2485 18.9667L16.285 19.03C16.6349 19.6112 17.2719 20 17.9998 20C18.7276 20 19.3646 19.6112 19.7145 19.03L19.751 18.9668C19.9095 18.6803 19.9998 18.3507 19.9998 18C19.9998 17.6493 19.9095 17.3197 19.751 17.0332L19.7145 16.97C19.3646 16.3888 18.7276 16 17.9998 16C17.2719 16 16.6349 16.3888 16.285 16.97Z"
      }
    }]
  };
  var locationSettingFilled = vue.defineComponent({
    name: "LocationSettingFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-location-setting-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$f2(_objectSpread$f2({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$f0, finalProps.value);
    }
  });

  function ownKeys$f1(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$f1(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$f1(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$f1(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$e$ = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M11 3C14.866 3 18 6.13401 18 10V11H20V10C20 5.02944 15.9706 1 11 1C6.02944 1 2 5.02944 2 10C2 13.637 4.2179 16.8762 6.26196 19.112C7.30183 20.2494 8.33859 21.1725 9.11454 21.8111C9.50327 22.131 9.82848 22.3811 10.0585 22.5526C10.4494 22.8441 10.8557 23.1144 11.2574 23.3906L12.3906 21.7426C12.0099 21.4808 11.6245 21.2255 11.254 20.9493C11.0465 20.7946 10.7467 20.5641 10.3855 20.2668C9.66141 19.6709 8.69817 18.8126 7.73804 17.7625C5.7821 15.6231 4 12.8623 4 10C4 6.13401 7.13401 3 11 3ZM11 8C9.89543 8 9 8.89543 9 10C9 11.1046 9.89543 12 11 12C12.1046 12 13 11.1046 13 10C13 8.89543 12.1046 8 11 8ZM7 10C7 7.79086 8.79086 6 11 6C13.2091 6 15 7.79086 15 10C15 12.2091 13.2091 14 11 14C8.79086 14 7 12.2091 7 10Z"
      }
    }, {
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M18.9999 12.75V14.126C19.7149 14.31 20.3525 14.6867 20.854 15.1975L22.0466 14.509L23.0466 16.241L21.855 16.929C21.9494 17.2699 21.9999 17.629 21.9999 18C21.9999 18.371 21.9494 18.7301 21.855 19.071L23.0466 19.759L22.0466 21.491L20.854 20.8025C20.3525 21.3133 19.7149 21.69 18.9999 21.874V23.25H16.9999V21.874C16.285 21.69 15.6474 21.3133 15.1458 20.8025L13.9533 21.491L12.9533 19.759L14.1449 19.071C14.0504 18.7301 13.9999 18.371 13.9999 18C13.9999 17.629 14.0504 17.2699 14.1449 16.929L12.9533 16.241L13.9533 14.509L15.1458 15.1975C15.6474 14.6867 16.285 14.31 16.9999 14.126V12.75H18.9999ZM16.2487 17.0333C16.0902 17.3198 15.9999 17.6494 15.9999 18C15.9999 18.3506 16.0902 18.6802 16.2487 18.9667L16.2852 19.03C16.6351 19.6112 17.2721 20 17.9999 20C18.7278 20 19.3648 19.6112 19.7147 19.03L19.7512 18.9668C19.9097 18.6803 19.9999 18.3507 19.9999 18C19.9999 17.6493 19.9097 17.3197 19.7512 17.0332L19.7147 16.97C19.3648 16.3888 18.7278 16 17.9999 16C17.2721 16 16.6351 16.3888 16.2852 16.97L16.2487 17.0333Z"
      }
    }]
  };
  var locationSetting = vue.defineComponent({
    name: "LocationSettingIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-location-setting", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$f1(_objectSpread$f1({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$e$, finalProps.value);
    }
  });

  function ownKeys$f0(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$f0(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$f0(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$f0(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$e_ = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M12 3C8.13401 3 5 6.13401 5 10C5 12.8623 6.7821 15.6231 8.73804 17.7625C9.69817 18.8126 10.6614 19.6709 11.3855 20.2668C11.6187 20.4588 11.8263 20.6229 12 20.7567C12.1737 20.6229 12.3813 20.4588 12.6146 20.2669C13.3386 19.6711 14.3019 18.8129 15.262 17.7627C17.2179 15.6235 19 12.8627 19 10C19 6.13401 15.866 3 12 3ZM12 23.2136L11.4329 22.8236L11.4302 22.8218L11.424 22.8175L11.4032 22.803C11.3856 22.7906 11.3606 22.773 11.3287 22.7502C11.2649 22.7046 11.1736 22.6384 11.0585 22.5526C10.8285 22.3811 10.5033 22.131 10.1145 21.8111C9.33859 21.1725 8.30183 20.2494 7.26196 19.112C5.2179 16.8762 3 13.637 3 10C3 5.02944 7.02944 1 12 1C16.9706 1 21 5.02944 21 10C21 13.6373 18.7821 16.8765 16.738 19.1123C15.6981 20.2496 14.6614 21.1727 13.8854 21.8112C13.4967 22.1311 13.1715 22.3812 12.9415 22.5527C12.8264 22.6385 12.735 22.7047 12.6712 22.7503C12.6394 22.7731 12.6144 22.7907 12.5967 22.803L12.5759 22.8175L12.5698 22.8218L12.5678 22.8232L12 23.2136ZM12 8C10.8954 8 10 8.89543 10 10C10 11.1046 10.8954 12 12 12C13.1046 12 14 11.1046 14 10C14 8.89543 13.1046 8 12 8ZM8 10C8 7.79086 9.79086 6 12 6C14.2091 6 16 7.79086 16 10C16 12.2091 14.2091 14 12 14C9.79086 14 8 12.2091 8 10Z"
      }
    }]
  };
  var location = vue.defineComponent({
    name: "LocationIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-location", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$f0(_objectSpread$f0({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$e_, finalProps.value);
    }
  });

  function ownKeys$e$(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$e$(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$e$(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$e$(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$eZ = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M8 7C8 4.79086 9.79086 3 12 3C13.6387 3 15.0494 3.98556 15.6676 5.40037C15.7243 5.53006 15.7742 5.66329 15.817 5.79965L16.1167 6.7537L18.0248 6.1544L17.7251 5.20035C17.6607 4.99511 17.5855 4.79465 17.5003 4.59963C16.5754 2.48263 14.4619 1 12 1C8.68629 1 6 3.68629 6 7V10H3.5V22H20.5V10H8V7ZM15 15V17H9V15H15Z"
      }
    }]
  };
  var lockOffFilled = vue.defineComponent({
    name: "LockOffFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-lock-off-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$e$(_objectSpread$e$({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$eZ, finalProps.value);
    }
  });

  function ownKeys$e_(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$e_(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$e_(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$e_(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$eY = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M12 3C9.79086 3 8 4.79086 8 7V10H20.5V22H3.5V10H6V7C6 3.68629 8.68629 1 12 1C14.4619 1 16.5754 2.48263 17.5003 4.59963C17.5855 4.79465 17.6607 4.99511 17.7251 5.20035L18.0248 6.1544L16.1167 6.7537L15.817 5.79965C15.7742 5.66329 15.7243 5.53006 15.6676 5.40037C15.0494 3.98556 13.6387 3 12 3ZM5.5 12V20H18.5V12H5.5ZM9 15H15V17H9V15Z",
        "fillRule": "evenodd",
        "clipRule": "evenodd"
      }
    }]
  };
  var lockOff = vue.defineComponent({
    name: "LockOffIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-lock-off", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$e_(_objectSpread$e_({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$eY, finalProps.value);
    }
  });

  function ownKeys$eZ(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$eZ(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$eZ(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$eZ(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$eX = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M6 10H3.5V22H20.5V10H18V7C18 3.68629 15.3137 1 12 1C8.68629 1 6 3.68629 6 7V10ZM8 7C8 4.79086 9.79086 3 12 3C14.2091 3 16 4.79086 16 7V10H8V7ZM9 17V15H15V17H9Z"
      }
    }]
  };
  var lockOnFilled = vue.defineComponent({
    name: "LockOnFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-lock-on-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$eZ(_objectSpread$eZ({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$eX, finalProps.value);
    }
  });

  function ownKeys$eY(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$eY(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$eY(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$eY(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$eW = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M12 3C14.2091 3 16 4.79086 16 7V10H8V7C8 4.79086 9.79086 3 12 3ZM18 10V7C18 3.68629 15.3137 1 12 1C8.68629 1 6 3.68629 6 7V10H3.5V22H20.5V10H18ZM5.5 12H18.5V20H5.5V12ZM9 15H15V17H9V15Z"
      }
    }]
  };
  var lockOn = vue.defineComponent({
    name: "LockOnIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-lock-on", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$eY(_objectSpread$eY({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$eW, finalProps.value);
    }
  });

  function ownKeys$eX(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$eX(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$eX(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$eX(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$eV = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M18 10.5V7C18 3.68629 15.3137 1 12 1C8.68629 1 6 3.68629 6 7V10.5H3.5V22H12.4365C11.8409 20.9704 11.5 19.775 11.5 18.5C11.5 14.634 14.634 11.5 18.5 11.5C19.195 11.5 19.8663 11.6013 20.5 11.7899V10.5H18ZM12 3C14.2091 3 16 4.79086 16 7V10.5H8V7C8 4.79086 9.79086 3 12 3Z"
      }
    }, {
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M13 18.5C13 15.4624 15.4624 13 18.5 13C21.5376 13 24 15.4624 24 18.5C24 21.5376 21.5376 24 18.5 24C15.4624 24 13 21.5376 13 18.5ZM20.9142 19.5001L19.5 18.0857V16.252H17.5V18.9141L19.4999 20.9142L20.9142 19.5001Z"
      }
    }]
  };
  var lockTimeFilled = vue.defineComponent({
    name: "LockTimeFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-lock-time-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$eX(_objectSpread$eX({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$eV, finalProps.value);
    }
  });

  function ownKeys$eW(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$eW(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$eW(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$eW(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$eU = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M5.5 7.5C5.5 3.91015 8.41015 1 12 1C15.5899 1 18.5 3.91015 18.5 7.5V9H20.5V11.5H18.5V11H5.5V20H11.5V22H3.5V9H5.5V7.5ZM7.5 9H16.5V7.5C16.5 5.01472 14.4853 3 12 3C9.51472 3 7.5 5.01472 7.5 7.5V9ZM18.5 15C16.567 15 15 16.567 15 18.5C15 20.433 16.567 22 18.5 22C20.433 22 22 20.433 22 18.5C22 16.567 20.433 15 18.5 15ZM13 18.5C13 15.4624 15.4624 13 18.5 13C21.5376 13 24 15.4624 24 18.5C24 21.5376 21.5376 24 18.5 24C15.4624 24 13 21.5376 13 18.5ZM9 14.5H11.5V16.5H9V14.5ZM19.5 16.252V18.0858L20.9142 19.5001L19.4999 20.9142L17.5 18.9141V16.252H19.5Z"
      }
    }]
  };
  var lockTime = vue.defineComponent({
    name: "LockTimeIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-lock-time", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$eW(_objectSpread$eW({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$eU, finalProps.value);
    }
  });

  function ownKeys$eV(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$eV(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$eV(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$eV(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$eT = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M3 11L12.5858 11L9.08579 7.5L10.5 6.08579L16.4142 12L10.5 17.9142L9.08579 16.5L12.5858 13L3 13L3 11ZM14 19.5L19 19.5L19 4.5L14 4.5V2.5L21 2.5L21 21.5L14 21.5V19.5Z"
      }
    }]
  };
  var login = vue.defineComponent({
    name: "LoginIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-login", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$eV(_objectSpread$eV({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$eT, finalProps.value);
    }
  });

  function ownKeys$eU(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$eU(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$eU(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$eU(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$eS = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M10.9706 12.0546H9.02738L9.99949 8.81422L10.9706 12.0546Z"
      }
    }, {
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M22 2V22H2V2H22ZM11.2438 6H8.7559L5.15234 18H7.24379L8.42739 14.0546H11.57L12.7524 18H14.8437L11.2438 6ZM17.9997 9H15.9958V11.0039H17.9997V9ZM17.9997 18V12H15.9997V18H17.9997Z"
      }
    }]
  };
  var logoAdobeIllustrateFilled = vue.defineComponent({
    name: "LogoAdobeIllustrateFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-logo-adobe-illustrate-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$eU(_objectSpread$eU({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$eS, finalProps.value);
    }
  });

  function ownKeys$eT(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$eT(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$eT(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$eT(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$eR = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M2 2H22V22H2V2ZM4 4V20H20V4H4ZM8.75622 6H11.2441L14.844 18H12.7528L11.5703 14.0546H8.4277L7.2441 18H5.15266L8.75622 6ZM9.0277 12.0546H10.9709L9.99981 8.81422L9.0277 12.0546ZM15.9961 9H18V11.0039H15.9961V9ZM18 12V18H16V12H18Z"
      }
    }]
  };
  var logoAdobeIllustrate = vue.defineComponent({
    name: "LogoAdobeIllustrateIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-logo-adobe-illustrate", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$eT(_objectSpread$eT({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$eR, finalProps.value);
    }
  });

  function ownKeys$eS(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$eS(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$eS(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$eS(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$eQ = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M22 2H2V22H22V2ZM8 6L8 16H13V18H6V6H8ZM20 13.5H19C17.9846 13.5 17.0109 13.9034 16.2929 14.6213L16 14.9142V18H14V11H16L16 12.3314C16.8987 11.7919 17.9343 11.5 19 11.5H20V13.5Z"
      }
    }]
  };
  var logoAdobeLightroomFilled = vue.defineComponent({
    name: "LogoAdobeLightroomFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-logo-adobe-lightroom-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$eS(_objectSpread$eS({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$eQ, finalProps.value);
    }
  });

  function ownKeys$eR(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$eR(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$eR(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$eR(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$eP = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M2 2L22 2L22 22L2 22L2 2ZM4 4L4 20L20 20L20 13.5L19 13.5C17.9846 13.5 17.0109 13.9034 16.2929 14.6213L16 14.9142L16 18L14 18L14 11L16 11L16 12.3314C16.8987 11.7919 17.9343 11.5 19 11.5L20 11.5L20 4L4 4ZM8 6L8 16L13 16L13 18L6 18L6 6L8 6Z"
      }
    }]
  };
  var logoAdobeLightroom = vue.defineComponent({
    name: "LogoAdobeLightroomIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-logo-adobe-lightroom", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$eR(_objectSpread$eR({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$eP, finalProps.value);
    }
  });

  function ownKeys$eQ(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$eQ(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$eQ(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$eQ(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$eO = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M8 8.00003L8 11.0001H9.5C10.3284 11.0001 11 10.3285 11 9.50003C11 8.67157 10.3284 7.99998 9.49997 8L8 8.00003Z"
      }
    }, {
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M22 2H2V22H22V2ZM8 13.0001L8 18H6V6.00007L9.49993 6C11.433 5.99996 13 7.56702 13 9.50003C13 11.433 11.433 13.0001 9.5 13.0001H8ZM13.5 12.4528C13.5 11.0982 14.5982 10 15.9528 10H18V12H15.9528C15.7027 12 15.5 12.2027 15.5 12.4528C15.5 12.6478 15.6247 12.8208 15.8096 12.8825L16.8228 13.2202C17.8244 13.554 18.5 14.4914 18.5 15.5472C18.5 16.9018 17.4018 18 16.0472 18H13.5V16H16.0472C16.2973 16 16.5 15.7973 16.5 15.5472C16.5 15.3522 16.3753 15.1792 16.1904 15.1175L15.1772 14.7798C14.1756 14.446 13.5 13.5086 13.5 12.4528Z"
      }
    }]
  };
  var logoAdobePhotoshopFilled = vue.defineComponent({
    name: "LogoAdobePhotoshopFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-logo-adobe-photoshop-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$eQ(_objectSpread$eQ({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$eO, finalProps.value);
    }
  });

  function ownKeys$eP(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$eP(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$eP(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$eP(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$eN = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M8 13.0001L8 18H6V6.00007L9.49993 6C11.433 5.99996 13 7.56702 13 9.50003 13 11.433 11.433 13.0001 9.5 13.0001H8zM8 8.00003L8 11.0001H9.5C10.3284 11.0001 11 10.3285 11 9.50003 11 8.67157 10.3284 7.99998 9.49997 8L8 8.00003zM13.5 12.4528C13.5 11.0982 14.5982 10 15.9528 10H18V12H15.9528C15.7027 12 15.5 12.2027 15.5 12.4528 15.5 12.6478 15.6247 12.8208 15.8096 12.8825L16.8228 13.2202C17.8244 13.554 18.5 14.4914 18.5 15.5472 18.5 16.9018 17.4018 18 16.0472 18H13.5V16H16.0472C16.2973 16 16.5 15.7973 16.5 15.5472 16.5 15.3522 16.3753 15.1792 16.1904 15.1175L15.1772 14.7798C14.1756 14.446 13.5 13.5086 13.5 12.4528z"
      }
    }, {
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M22 2H2V22H22V2ZM4 20V4H20V20H4Z"
      }
    }]
  };
  var logoAdobePhotoshop = vue.defineComponent({
    name: "LogoAdobePhotoshopIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-logo-adobe-photoshop", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$eP(_objectSpread$eP({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$eN, finalProps.value);
    }
  });

  function ownKeys$eO(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$eO(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$eO(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$eO(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$eM = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M1.59229 4.99313V19.007C1.59229 20.8311 3.08352 22.3106 4.92669 22.3106H19.0739C20.9157 22.3106 22.4075 20.8311 22.4075 19.007V18.8636C22.3455 18.838 16.9979 16.6282 14.2798 15.3334C12.446 17.5691 10.0808 18.9254 7.62498 18.9254C3.47231 18.9254 2.06212 15.3249 4.02841 12.9547C4.45713 12.438 5.18646 11.9444 6.31839 11.6681C8.08911 11.2371 10.9071 11.9372 13.5484 12.8007C14.0235 11.9336 14.4232 10.9787 14.7209 9.96195H6.58145V9.14532H10.7785V7.68083H5.69513V6.86366H10.7785V4.77467C10.7785 4.77467 10.7785 4.4228 11.1384 4.4228H13.1901V6.86359H18.2154V7.68097H13.1901V9.14532H17.2921C16.8996 10.7384 16.3036 12.2048 15.5554 13.4921C15.9967 13.6503 16.422 13.8055 16.8243 13.9524C17.5569 14.2198 18.2131 14.4594 18.7507 14.6377C21.5287 15.5586 22.3073 15.6712 22.4077 15.6829V4.99319C22.4077 3.16769 20.9158 1.68903 19.0741 1.68903L4.92669 1.68896C3.08352 1.68896 1.59229 3.16762 1.59229 4.99313Z"
      }
    }, {
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M6.67164 12.8911C6.85201 12.8735 7.03108 12.8639 7.20932 12.8619C8.93241 12.8421 10.5729 13.5253 12.4777 14.4461C11.0003 16.355 9.11958 17.5472 7.23729 17.5472C3.99926 17.5472 3.04172 15.0203 4.64156 13.638C5.17532 13.1702 6.15163 12.9429 6.67164 12.8911Z"
      }
    }]
  };
  var logoAlipayFilled = vue.defineComponent({
    name: "LogoAlipayFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-logo-alipay-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$eO(_objectSpread$eO({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$eM, finalProps.value);
    }
  });

  function ownKeys$eN(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$eN(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$eN(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$eN(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$eL = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M10.5 2H12.5V4.78768H19.5018V6.78768H12.5V8.64495H17.7643L17.5658 9.81254C17.3047 11.3488 16.5881 12.9667 15.6173 14.4693C16.9118 14.9159 18.1896 15.3888 19.4102 15.8406L19.6428 15.9267C21.219 16.5099 22.6869 17.0494 24 17.4614V21.2888L23.5636 21.0694L23.5049 21.0401C23.4655 21.0204 23.4067 20.9911 23.3299 20.953C23.1763 20.8768 22.9506 20.7654 22.6637 20.6254C22.0899 20.3452 21.2717 19.9505 20.2962 19.4932C18.5153 18.6584 16.2179 17.6189 13.9291 16.6876C12.9032 17.8444 11.7295 18.8793 10.5008 19.6624C9.17994 20.5041 7.73348 21.0938 6.30325 21.168C6.20244 21.1733 6.10146 21.1759 6.00036 21.1759C4.17247 21.1759 2.73249 20.6909 1.75042 19.8335C0.757794 18.967 0.314967 17.7861 0.398632 16.6106C0.567055 14.2441 2.77152 12.2151 6.02849 12.3067C8.2767 12.37 10.7335 12.9311 13.1573 13.6672C13.7573 12.6691 14.2302 11.6336 14.5335 10.6449H5.50069V8.64495H10.5V6.78768H3.50058V4.78768H10.5V2ZM5.97223 14.3059C3.58475 14.2387 2.47244 15.6446 2.39359 16.7525C2.35361 17.3142 2.55452 17.8806 3.06573 18.3269C3.5875 18.7824 4.51146 19.1759 6.00036 19.1759C7.72982 19.1759 9.73338 17.9501 11.4765 15.9699C11.5282 15.9112 11.5795 15.852 11.6303 15.7924C9.40672 14.9705 7.45602 14.3945 6.24418 14.3163C6.153 14.3119 6.06235 14.3085 5.97223 14.3059Z"
      }
    }]
  };
  var logoAlipay = vue.defineComponent({
    name: "LogoAlipayIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-logo-alipay", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$eN(_objectSpread$eN({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$eL, finalProps.value);
    }
  });

  function ownKeys$eM(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$eM(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$eM(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$eM(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$eK = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M6.48792 7.33843C8.13913 6.48318 10.0142 6.00012 12 6.00012C13.9858 6.00012 15.8609 6.48318 17.5121 7.33843L19.6279 3.63574L21.3644 4.62802L19.2065 8.40426C22.1158 10.5926 24 14.076 24 18.0001V20.0001H0V18.0001C0 14.076 1.88416 10.5926 4.79347 8.40426L2.63562 4.62802L4.3721 3.63574L6.48792 7.33843ZM8.00391 13H6V15.0039H8.00391V13ZM18.0039 13H16V15.0039H18.0039V13Z"
      }
    }]
  };
  var logoAndroidFilled = vue.defineComponent({
    name: "LogoAndroidFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-logo-android-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$eM(_objectSpread$eM({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$eK, finalProps.value);
    }
  });

  function ownKeys$eL(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$eL(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$eL(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$eL(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$eJ = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M4.3721 3.63574L6.48792 7.33843C8.13913 6.48318 10.0142 6.00012 12 6.00012C13.9858 6.00012 15.8609 6.48318 17.5121 7.33843L19.6279 3.63574L21.3644 4.62802L19.2065 8.40426C22.1158 10.5926 24 14.076 24 18.0001V20.0001H0V18.0001C0 14.076 1.88416 10.5926 4.79347 8.40426L2.63562 4.62802L4.3721 3.63574ZM12 8.00012C10.0312 8.00012 8.1982 8.56803 6.65215 9.54858C3.85384 11.3233 2 14.4456 2 18.0001H22C22 14.4456 20.1462 11.3233 17.3479 9.54858C15.8018 8.56803 13.9688 8.00012 12 8.00012ZM6 13.0001H8.00391V15.004H6V13.0001ZM16 13.0001H18.0039V15.004H16V13.0001Z"
      }
    }]
  };
  var logoAndroid = vue.defineComponent({
    name: "LogoAndroidIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-logo-android", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$eL(_objectSpread$eL({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$eJ, finalProps.value);
    }
  });

  function ownKeys$eK(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$eK(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$eK(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$eK(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$eI = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M15.7179 5.49162C15.1435 5.49162 14.6093 5.5797 14.1153 5.75586C13.6212 5.93202 13.1712 6.10627 12.7653 6.27859C12.3594 6.45093 12.007 6.5371 11.7083 6.5371C11.3943 6.5371 11.0458 6.45476 10.6629 6.29009C10.2799 6.12542 9.86823 5.96266 9.42782 5.80182C8.98742 5.64097 8.5183 5.56055 8.02046 5.56055C7.07838 5.56055 6.17076 5.81713 5.29762 6.3303C4.42447 6.84347 3.70834 7.60172 3.14923 8.60507C2.59011 9.60842 2.31055 10.8454 2.31055 12.316C2.31055 13.235 2.41778 14.1541 2.63223 15.0732C2.84669 15.9924 3.13391 16.8617 3.49389 17.6812C3.85387 18.5007 4.25214 19.2245 4.68871 19.8526C5.25549 20.6415 5.80887 21.3193 6.34884 21.886C6.88881 22.4529 7.51495 22.7363 8.22726 22.7363C8.69446 22.7363 9.10039 22.6597 9.44505 22.5065C9.78972 22.3532 10.1554 22.1982 10.5422 22.0412C10.929 21.8842 11.4135 21.8057 11.9956 21.8057C12.4398 21.8057 12.8113 21.8516 13.11 21.9434C13.4087 22.0354 13.6825 22.1407 13.9314 22.2594C14.1803 22.3782 14.4427 22.4835 14.7184 22.5754C14.9941 22.6673 15.3273 22.7132 15.7179 22.7132C16.2311 22.7132 16.6925 22.5773 17.1023 22.3054C17.5121 22.0335 17.8912 21.6831 18.2396 21.2542C18.5882 20.8252 18.9271 20.3772 19.2565 19.91C19.6164 19.3815 19.9094 18.8741 20.1354 18.3878C20.3613 17.9014 20.5279 17.5031 20.6351 17.193C20.7423 16.8828 20.7998 16.7123 20.8075 16.6817C20.7845 16.674 20.6179 16.5878 20.3077 16.4232C19.9975 16.2585 19.6451 15.9962 19.2507 15.6362C18.8563 15.2762 18.5116 14.8051 18.2167 14.223C17.9218 13.641 17.7744 12.9287 17.7744 12.0861C17.7744 11.3509 17.8912 10.7171 18.1248 10.1848C18.3584 9.65247 18.6322 9.21206 18.9462 8.86357C19.2603 8.51507 19.5417 8.24892 19.7907 8.0651C20.0396 7.88128 20.1832 7.77788 20.2215 7.75491C19.8385 7.20344 19.4211 6.77453 18.9693 6.46817C18.5174 6.1618 18.0731 5.93968 17.6365 5.80182C17.1999 5.66395 16.8112 5.57778 16.4704 5.54331C16.1296 5.50885 15.8788 5.49162 15.7179 5.49162ZM14.9137 3.63045C15.266 3.20919 15.5532 2.72092 15.7753 2.16563C15.9975 1.61034 16.1085 1.03781 16.1085 0.448061C16.1085 0.27956 16.097 0.130206 16.074 0C15.4996 0.0229775 14.9003 0.195309 14.2761 0.516993C13.6519 0.838678 13.1368 1.24078 12.7308 1.72331C12.4015 2.09095 12.1104 2.5505 11.8577 3.10196C11.6049 3.65342 11.4786 4.22019 11.4786 4.80229C11.4786 4.89421 11.4843 4.97846 11.4958 5.05505C11.5073 5.13164 11.5169 5.18525 11.5245 5.21589C11.6241 5.23887 11.7275 5.25036 11.8347 5.25036C12.3479 5.25036 12.8936 5.09717 13.4719 4.79081C14.0501 4.48444 14.5307 4.09765 14.9137 3.63045Z"
      }
    }]
  };
  var logoAppleFilled = vue.defineComponent({
    name: "LogoAppleFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-logo-apple-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$eK(_objectSpread$eK({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$eI, finalProps.value);
    }
  });

  function ownKeys$eJ(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$eJ(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$eJ(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$eJ(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$eH = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M11.8623 3.93945C11.8623 2.00646 13.4293 0.439453 15.3623 0.439453H16.4123V1.48945C16.4123 3.42245 14.8453 4.98945 12.9123 4.98945H11.8623V3.93945ZM16.3141 5.01399C16.9151 5.0531 18.4971 5.20111 19.9226 6.29706C20.3414 6.61905 20.7432 7.02022 21.0994 7.51775L21.7651 8.44763L20.7549 8.98325C20.7409 8.99108 20.5583 9.09314 20.3122 9.29044C19.7086 9.77432 18.8828 10.6933 18.8949 12.0951C18.9093 13.3521 19.4727 14.1677 20.0504 14.6932C20.558 15.1549 21.0607 15.3738 21.1557 15.4151C21.1736 15.4229 21.1771 15.4244 21.1633 15.4201L22.1001 15.7181L21.8181 16.6598C21.8085 16.6922 21.779 16.7874 21.7277 16.9325C21.6396 17.1818 21.4852 17.5834 21.2532 18.0693C20.9916 18.6174 20.6275 19.2805 20.1429 19.9561C19.6915 20.5884 19.1615 21.3216 18.5229 21.8908C17.8634 22.4787 17.0278 22.9471 15.9651 22.9643L15.9612 22.9643L15.9691 22.9642L15.9651 22.9643C15.029 22.9851 14.382 22.7181 13.8702 22.507L13.8462 22.4971C13.3437 22.2898 12.951 22.1314 12.2993 22.1314C11.5907 22.1314 11.1672 22.3009 10.6375 22.5167L10.6107 22.5277C10.1365 22.721 9.53982 22.9643 8.71717 22.9979L8.7077 22.9983C7.61677 23.0324 6.73608 22.5042 6.06668 21.9052C5.40267 21.3111 4.83696 20.5478 4.3773 19.9179L4.37524 19.9151C3.33838 18.4837 2.44154 16.497 2.05854 14.4251C1.67674 12.3598 1.78524 10.0851 2.92976 8.18836C4.07056 6.29354 6.10418 5.08657 8.33565 5.05739C8.33361 5.05744 8.33158 5.05749 8.32954 5.05754L8.34144 5.05732L8.33565 5.05739C9.33981 5.03477 10.2798 5.39137 10.9316 5.63865C10.9512 5.6461 10.9706 5.65344 10.9897 5.66068C11.2592 5.76275 11.4717 5.84275 11.6606 5.89957C11.8531 5.95749 11.9552 5.97014 12.0003 5.97014C12.019 5.97014 12.0987 5.9629 12.2803 5.908C12.4559 5.85492 12.6588 5.7793 12.9226 5.68033C12.9392 5.67412 12.9559 5.66784 12.9728 5.66149C13.7685 5.36275 14.9618 4.91473 16.3141 5.01399ZM16.1708 7.00885C15.2871 6.94313 14.4641 7.2382 13.625 7.55294L13.6074 7.55956C13.3654 7.65034 13.1038 7.74847 12.859 7.82245C12.6143 7.89642 12.3127 7.97014 12.0003 7.97014C11.6687 7.97014 11.3496 7.89456 11.0844 7.81478C10.8217 7.73577 10.547 7.63167 10.2987 7.53761L10.2812 7.53099C9.56048 7.25798 8.95828 7.04299 8.37765 7.05696L8.36575 7.05724C6.84535 7.07573 5.43819 7.89918 4.64294 9.22035L4.64235 9.22134C3.83818 10.5538 3.69563 12.2787 4.02522 14.0616C4.35352 15.8375 5.13019 17.5475 5.99407 18.7406C6.4666 19.3881 6.91685 19.9822 7.40027 20.4147C7.87687 20.8412 8.27431 21.0094 8.64091 20.9993C9.09436 20.98 9.41098 20.8569 9.88275 20.6646L9.89464 20.6598C10.4688 20.4258 11.1909 20.1314 12.2993 20.1314C13.3561 20.1314 14.0514 20.4182 14.5955 20.6427L14.6087 20.6481C15.103 20.8519 15.4207 20.9763 15.9229 20.9647L15.9309 20.9645C16.3728 20.9579 16.7675 20.7763 17.1922 20.3978C17.6384 20.0001 18.0468 19.45 18.5159 18.793L18.5172 18.7912C18.9191 18.2309 19.2258 17.6739 19.4484 17.2076C19.5083 17.0822 19.5618 16.9639 19.6092 16.8545C19.3308 16.6818 19.0173 16.4571 18.7047 16.1727C17.8179 15.3662 16.9168 14.0539 16.895 12.1164L16.895 12.1141C16.8766 10.0635 17.9734 8.69291 18.7954 7.95551C18.7649 7.93052 18.7343 7.90623 18.7036 7.88261C17.7613 7.15815 16.676 7.04159 16.1804 7.00951L16.1708 7.00885Z"
      }
    }]
  };
  var logoApple = vue.defineComponent({
    name: "LogoAppleIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-logo-apple", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$eJ(_objectSpread$eJ({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$eH, finalProps.value);
    }
  });

  function ownKeys$eI(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$eI(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$eI(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$eI(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$eG = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M9.456 10.7715C9.20432 10.9571 8.88312 11.0504 8.4924 11.0504L6.27304 11.0522V8.72019H8.32432C8.5144 8.71931 8.7036 8.73603 8.89016 8.76859 9.07144 8.80115 9.2316 8.85922 9.37152 8.94282 9.51144 9.02643 9.6232 9.14347 9.7068 9.29218 9.7904 9.4409 9.83264 9.63187 9.83264 9.86419 9.83352 10.2831 9.70768 10.5849 9.456 10.7715zM9.23248 15.2181C9.03096 15.2603 8.82504 15.2815 8.61824 15.2806L6.27304 15.2815V12.5447H8.66048C9.1348 12.5447 9.51672 12.6538 9.80536 12.8729 10.094 13.0911 10.2383 13.4572 10.2383 13.9685 10.2383 14.229 10.1934 14.4437 10.1054 14.6109 10.0166 14.7781 9.89776 14.911 9.74904 15.0087 9.60032 15.1063 9.42784 15.1759 9.23248 15.2181zM16.3473 10.8832C16.8313 10.8832 17.1921 11.0135 17.4297 11.2739 17.6664 11.5344 17.8318 11.9163 17.926 12.4179H14.7008C14.7096 12.2789 14.7404 12.1205 14.7914 11.9436 14.8425 11.7667 14.9305 11.5995 15.0563 11.4411 15.1822 11.2827 15.3494 11.1507 15.5588 11.0434 15.7674 10.9369 16.0305 10.8832 16.3473 10.8832z"
      }
    }, {
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M23 12C23 18.0751 18.0751 23 12 23C5.92487 23 1 18.0751 1 12C1 5.92487 5.92487 1 12 1C18.0751 1 23 5.92487 23 12ZM10.0702 7.14147C9.67864 7.05787 9.24568 7.01562 8.77136 7.01562H4.08008V16.9851H8.91216C9.35216 16.986 9.79128 16.9297 10.2172 16.8179C10.6405 16.7062 11.0171 16.5346 11.348 16.3014C11.6789 16.0691 11.942 15.769 12.1374 15.4011C12.3327 15.0333 12.4304 14.5977 12.4304 14.0952C12.4304 13.4713 12.279 12.938 11.9763 12.4963C11.6736 12.0545 11.2151 11.7447 10.6009 11.5679C11.047 11.354 11.385 11.0795 11.6129 10.7442C11.8408 10.4089 11.9552 9.99003 11.9552 9.48755C11.9552 9.02203 11.8786 8.63131 11.7246 8.31451C11.5706 7.99771 11.3542 7.74427 11.0752 7.55331C10.7962 7.36235 10.4618 7.22507 10.0702 7.14147ZM16.4731 15.5041C15.9143 15.5041 15.4858 15.3598 15.1883 15.0711C14.8909 14.7834 14.7281 14.3179 14.7008 13.6781H19.9086C19.9456 13.1193 19.899 12.5843 19.7687 12.0721C19.6385 11.5599 19.4264 11.1041 19.1334 10.7037C18.8403 10.3033 18.4654 9.98475 18.0096 9.74715C17.5529 9.50955 17.0178 9.39075 16.4036 9.39075C15.8545 9.39075 15.3538 9.48843 14.9023 9.68379C14.4509 9.87914 14.0619 10.1467 13.7363 10.4863C13.4107 10.826 13.159 11.2282 12.9822 11.6937C12.8053 12.1592 12.7173 12.6617 12.7173 13.2011C12.7173 13.7591 12.8035 14.2712 12.9751 14.7367C13.1467 15.2023 13.3914 15.6018 13.7082 15.9371C14.025 16.2723 14.4113 16.5311 14.8671 16.7123C15.323 16.8936 15.8351 16.9843 16.4027 16.9843C17.222 16.9843 17.9198 16.7977 18.4971 16.4255C19.0744 16.0532 19.503 15.4346 19.7819 14.5687H18.0369C17.9718 14.7922 17.7949 15.0043 17.5062 15.204C17.2176 15.4038 16.8735 15.5041 16.4731 15.5041ZM18.3906 7.52163H14.3611V8.63923H18.3906V7.52163Z"
      }
    }]
  };
  var logoBehanceFilled = vue.defineComponent({
    name: "LogoBehanceFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-logo-behance-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$eI(_objectSpread$eI({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$eG, finalProps.value);
    }
  });

  function ownKeys$eH(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$eH(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$eH(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$eH(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$eF = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M7.1092 5C7.82831 5 8.48392 5.06339 9.07614 5.1904C9.66835 5.3173 10.1759 5.52547 10.5989 5.8142C11.0218 6.10328 11.3497 6.48757 11.5824 6.96706C11.815 7.44655 11.9313 8.03865 11.9313 8.7436C11.9313 9.50509 11.7586 10.1396 11.4132 10.647C11.0676 11.1546 10.5566 11.5705 9.87989 11.8949C10.8104 12.1628 11.5048 12.6319 11.9632 13.3013C12.421 13.9712 12.6507 14.7785 12.6507 15.723C12.6507 16.4843 12.5027 17.1437 12.2064 17.7007C11.9105 18.2579 11.5119 18.7125 11.0116 19.0645C10.511 19.4172 9.93991 19.6779 9.29847 19.8474C8.65301 20.0169 7.98832 20.1021 7.32097 20.1009H0.00292969V5H7.1092ZM6.68625 11.1125C7.27847 11.1125 7.7648 10.9715 8.14561 10.6894C8.52629 10.4075 8.71658 9.94916 8.71658 9.31469C8.71658 8.96233 8.65319 8.67313 8.5263 8.44755C8.3994 8.22209 8.23025 8.04549 8.01871 7.91884C7.80718 7.79182 7.56395 7.70406 7.28903 7.65436C7.00626 7.60442 6.71961 7.57968 6.43246 7.58041H3.32346V11.1126L6.68625 11.1125ZM6.87653 17.5206C7.20068 17.5206 7.51101 17.4888 7.80706 17.4254C8.10311 17.3619 8.36386 17.2562 8.58968 17.108C8.81502 16.9602 8.99486 16.7591 9.12896 16.5052C9.26282 16.2516 9.32981 15.9273 9.32981 15.5323C9.32981 14.7571 9.11107 14.2037 8.6742 13.8722C8.23697 13.5409 7.65892 13.3751 6.93992 13.3751H3.32346V17.5204L6.87653 17.5206ZM16.8294 17.2035C17.2805 17.6409 17.9292 17.8591 18.7752 17.8591C19.3812 17.8591 19.9031 17.7078 20.3401 17.4044C20.7772 17.1016 21.0451 16.7806 21.1438 16.4421H23.7875C23.3647 17.7533 22.7158 18.6911 21.8418 19.2549C20.9673 19.819 19.9098 20.1009 18.6692 20.1009C17.8091 20.1009 17.0335 19.9635 16.3427 19.6884C15.6516 19.4136 15.0664 19.0222 14.5874 18.5147C14.1079 18.0072 13.7378 17.4013 13.4769 16.696C13.2159 15.9912 13.0858 15.2155 13.0858 14.3695C13.0858 13.5519 13.2194 12.7906 13.4876 12.0855C13.7552 11.3807 14.1357 10.7708 14.6298 10.2559C15.1229 9.74147 15.7118 9.33606 16.3957 9.03989C17.0794 8.74372 17.8373 8.59581 18.6693 8.59581C19.5999 8.59581 20.4105 8.77553 21.1017 9.13509C21.7923 9.49452 22.3599 9.97798 22.8043 10.5838C23.2483 11.1901 23.5689 11.8812 23.7667 12.6563C23.9641 13.432 24.0343 14.2426 23.9782 15.0886H16.0894C16.1315 16.0613 16.3778 16.7666 16.8294 17.2035ZM20.2238 11.4508C19.8644 11.0562 19.3178 10.8586 18.5849 10.8586C18.1054 10.8586 17.7072 10.9398 17.39 11.1018C17.0727 11.2642 16.8188 11.4647 16.6284 11.7046C16.4382 11.9444 16.304 12.1983 16.2267 12.4659C16.149 12.7339 16.1032 12.9736 16.0891 13.1851H20.9747C20.8337 12.4236 20.5835 11.8456 20.2238 11.4508ZM15.5763 5.76678H21.6804V7.45927H15.5763V5.76678Z"
      }
    }]
  };
  var logoBehance = vue.defineComponent({
    name: "LogoBehanceIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-logo-behance", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$eH(_objectSpread$eH({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$eF, finalProps.value);
    }
  });

  function ownKeys$eG(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$eG(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$eG(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$eG(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$eE = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M12 23C18.0751 23 23 18.0751 23 12C23 10.8686 22.8292 9.77711 22.512 8.74989H15.4641C16.2616 9.59954 16.75 10.7427 16.75 11.9999C16.75 12.8639 16.5186 13.6762 16.114 14.3757L11.1532 22.9679C11.4327 22.9892 11.7151 23 12 23Z"
      }
    }, {
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M9.5595 22.7283L13.0827 16.6259C12.735 16.707 12.3725 16.7499 12 16.7499C10.2411 16.7499 8.70639 15.7934 7.88617 14.3758L2.92465 5.78222C1.71049 7.55098 1 9.69252 1 12C1 17.2364 4.65888 21.6182 9.5595 22.7283Z"
      }
    }, {
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M3.93051 4.52442C5.9396 2.35673 8.81136 1 12 1C16.3739 1 20.1516 3.55287 21.9243 7.24989H12C9.85501 7.24989 8.04208 8.67169 7.45226 10.6243L3.93051 4.52442Z"
      }
    }, {
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M9.18451 13.6246L9.18134 13.6191C8.90712 13.143 8.75002 12.5909 8.75002 11.9999C8.75002 10.205 10.2051 8.74989 12 8.74989C13.7949 8.74989 15.25 10.205 15.25 11.9999C15.25 12.5932 15.0917 13.1473 14.8155 13.6246C14.2524 14.5978 13.2019 15.2499 12 15.2499C10.7982 15.2499 9.74765 14.5977 9.18451 13.6246Z"
      }
    }]
  };
  var logoChromeFilled = vue.defineComponent({
    name: "LogoChromeFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-logo-chrome-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$eG(_objectSpread$eG({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$eE, finalProps.value);
    }
  });

  function ownKeys$eF(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$eF(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$eF(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$eF(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$eD = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M12.001 1.00049C18.0761 1.00049 23.001 5.92536 23.001 12.0005C23.001 18.0756 18.0761 23.0005 12.001 23.0005C5.92584 23.0005 1.00098 18.0756 1.00098 12.0005C1.00098 5.92536 5.92584 1.00049 12.001 1.00049ZM5.16145 6.15037L7.38415 10.0002L7.59639 9.63258C7.79622 9.26163 8.04153 8.91882 8.32486 8.61161C8.5776 8.33675 8.85729 8.09479 9.15736 7.88747C9.82127 7.42755 10.6019 7.12423 11.4459 7.03097C11.6672 7.00598 11.8906 6.99568 12.1145 7.00047H19.4854C17.8709 4.58851 15.1214 3.00049 12.001 3.00049C9.26386 3.00049 6.81212 4.22234 5.16145 6.15037ZM3.92898 8.01566C3.33486 9.21684 3.00098 10.5697 3.00098 12.0005C3.00098 16.4096 6.17158 20.0782 10.3572 20.8507L12.5801 17.0005H12.0836C11.9509 17.0025 11.8185 16.9992 11.6866 16.9907C9.912 16.8805 8.38814 15.8447 7.59202 14.3602L3.92898 8.01566ZM12.5911 20.9814C17.2866 20.6775 21.001 16.7728 21.001 12.0005C21.001 10.9486 20.8205 9.93882 20.4889 9.00047H16.0446L16.2844 9.41581C16.3893 9.59005 16.4833 9.77011 16.5659 9.95482C16.8625 10.6143 17.0044 11.3111 17.0038 12.0002C17.0044 12.6897 16.8623 13.3869 16.5654 14.0467C16.4829 14.231 16.3891 14.4106 16.2844 14.5845L12.5911 20.9814ZM9.40489 13.5002C9.93724 14.4223 10.8852 14.9548 11.8755 14.9979C11.9172 14.9996 11.9591 15.0005 12.0012 15.0005H12.0439C12.5405 14.9941 13.0423 14.8642 13.503 14.5983C13.9581 14.3355 14.3183 13.9715 14.5716 13.5512L14.601 13.5002C14.6531 13.4099 14.7 13.3181 14.7418 13.2251C14.9134 12.8404 15.0032 12.4221 15.0035 11.999C15.0029 11.5774 14.9134 11.1606 14.7426 10.7772C14.7006 10.6835 14.6535 10.5911 14.601 10.5002L14.5715 10.449C14.3182 10.0287 13.958 9.66481 13.503 9.40209C13.0521 9.14176 12.5617 9.01178 12.0754 9.00047H12.0012C11.8829 9.00047 11.7661 9.00733 11.6513 9.02067C10.7439 9.12848 9.89691 9.64796 9.40489 10.5002L9.35053 10.5943C9.12757 11.0137 9.00125 11.4924 9.00125 12.0005C9.00125 12.5058 9.12621 12.982 9.34691 13.3998L9.40489 13.5002Z"
      }
    }]
  };
  var logoChrome = vue.defineComponent({
    name: "LogoChromeIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-logo-chrome", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$eF(_objectSpread$eF({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$eD, finalProps.value);
    }
  });

  function ownKeys$eE(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$eE(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$eE(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$eE(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$eC = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M21.1564 5.902C20.3597 4.70809 19.3357 3.6788 18.1463 2.87597C17.5687 3.36477 16.8973 3.73508 16.3712 3.98699C15.5443 4.3829 14.6748 4.58887 13.8863 4.74658L12.6919 4.98546L12.2262 5.45113C10.4688 7.20849 10.4688 10.0577 12.2262 11.8151C13.9835 13.5725 16.8328 13.5725 18.5901 11.8151L19.0532 11.352L19.293 10.1533C19.4507 9.36474 19.6566 8.49523 20.0526 7.66837C20.3033 7.14488 20.6712 6.47757 21.1564 5.902Z"
      }
    }, {
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M16.1815 1.82266C15.9611 1.95492 15.7313 2.07594 15.5075 2.1831C14.9152 2.4667 14.2484 2.63455 13.494 2.78542L9.86011 3.5122C8.18053 3.84812 6.63796 4.67368 5.42679 5.88484C2.03864 9.273 2.03864 14.7663 5.42679 18.1544L5.88511 18.6128C9.27327 22.0009 14.7666 22.0009 18.1547 18.6128C19.3659 17.4016 20.1914 15.859 20.5274 14.1794L21.2541 10.5455C21.405 9.79115 21.5728 9.12439 21.8564 8.53214C21.9598 8.31621 22.0761 8.09472 22.203 7.8814C22.717 9.15351 23 10.5437 23 12C23 18.0751 18.0751 23 12 23C5.92487 23 1 18.0751 1 12C1 5.92487 5.92487 1 12 1C13.4804 1 14.8924 1.29243 16.1815 1.82266Z"
      }
    }, {
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M6.84101 7.29905C7.62471 6.51535 8.58874 5.94146 9.64415 5.625C8.36436 8.07559 8.75363 11.171 10.812 13.2293C12.8696 15.2869 15.9634 15.6766 18.4136 14.3985C18.097 15.4527 17.5234 16.4156 16.7405 17.1985C14.1334 19.8057 9.90644 19.8057 7.29933 17.1985L6.84101 16.7402C4.2339 14.1331 4.2339 9.90616 6.84101 7.29905Z"
      }
    }]
  };
  var logoCinema4dFilled = vue.defineComponent({
    name: "LogoCinema4DFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-logo-cinema4d-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$eE(_objectSpread$eE({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$eC, finalProps.value);
    }
  });

  function ownKeys$eD(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$eD(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$eD(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$eD(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$eB = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M2.74696 17.9507L2.76614 17.991L2.80348 18.048C2.97818 18.3146 3.16766 18.5732 3.37047 18.8221C5.38522 21.3672 8.50192 23 12 23C18.0751 23 23 18.0751 23 12C23 9.52124 22.1801 7.23398 20.7967 5.3946C19.8571 4.11252 18.5954 2.97926 16.9458 2.17191C15.459 1.42222 13.7788 1 12 1C5.92487 1 1 5.92487 1 12C1 14.1925 1.64146 16.2352 2.74696 17.9507ZM3.42079 9.27224C4.57617 5.63519 7.98034 3 12 3C13.0631 3 14.0831 3.18431 15.0299 3.52273C14.9525 3.73025 14.8354 3.83032 14.634 3.88347L14.6271 3.88533C13.639 4.15368 12.6681 4.40496 11.6966 4.58985L11.6912 4.59089C9.58257 5.00416 7.57811 5.74968 5.79376 7.11436C4.9286 7.68395 4.09967 8.40374 3.42079 9.27224ZM4.94442 17.588C4.78677 17.3892 4.63735 17.1836 4.49667 16.9717C3.57916 14.9875 3.61894 13.3574 4.11398 12.0518C4.62843 10.695 5.67763 9.5792 6.92012 8.76741L6.95252 8.74624L6.98319 8.72263C7.16473 8.58286 7.34957 8.45041 7.53767 8.3249C6.79064 10.276 6.96575 12.5282 8.24661 14.4565C9.77372 16.7555 12.4891 17.8527 15.0825 17.5082C13.5845 19.1722 11.1908 20.2445 9.11339 20.0064C7.5628 19.8287 6.03335 18.9118 4.94442 17.588ZM20.3497 8.63473C20.7691 9.67432 21 10.8102 21 12C21 16.1811 18.1489 19.6963 14.2847 20.7074C15.3952 20.0468 16.372 19.1799 17.0992 18.1982L17.1 18.1972C18.4149 16.4174 19.0972 14.4041 19.4135 12.3044C19.5549 11.3625 19.7251 10.4265 19.9152 9.48653C19.9851 9.14328 20.1305 8.85647 20.3497 8.63473ZM16.8287 4.40366C17.7521 4.9919 18.5611 5.74391 19.2147 6.61879C19.2713 6.69688 19.3264 6.7757 19.3802 6.85519C19.2921 6.91161 19.2083 6.97365 19.1296 7.03993L19.1229 7.04554L19.1163 7.05126C18.4754 7.60982 18.1084 8.33598 17.9553 9.08784L17.9551 9.08913C17.7599 10.0544 17.5833 11.024 17.4358 12.0065C17.2822 13.0263 17.0365 13.9915 16.6698 14.8945C14.4034 16.2155 11.3727 15.5479 9.91256 13.3499C8.43914 11.1317 9.01546 8.29911 11.2101 6.74673C11.493 6.67539 11.7809 6.6114 12.0735 6.55401C13.1228 6.35418 14.1536 6.08634 15.1482 5.81626C15.9023 5.61612 16.4993 5.12934 16.8287 4.40366Z"
      }
    }]
  };
  var logoCinema4d = vue.defineComponent({
    name: "LogoCinema4DIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-logo-cinema4d", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$eD(_objectSpread$eD({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$eB, finalProps.value);
    }
  });

  function ownKeys$eC(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$eC(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$eC(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$eC(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$eA = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M17.2927 2.80723C17.3651 2.59507 17.3032 2.35995 17.1347 2.21178 16.5706 1.7137 15.1445.664687 13.0034.509561 10.6056.335653 9.12109.978418 8.37119 1.45493 8.04772 1.66014 8.02964 2.12622 8.33224 2.36133L14.4406 7.10904C14.979 7.5271 15.7685 7.2906 15.9884 6.64504L17.2927 2.80723zM2.23501 16.8996C1.98528 17.0672 1.87258 17.376 1.95328 17.6661 2.18562 18.5009 2.87778 20.2378 4.84225 21.8184 6.80671 23.3988 9.13083 23.5692 10.1242 23.5449 10.4212 23.538 10.68 23.3425 10.7697 23.0586L14.6854 10.666C14.9679 9.77137 13.9655 9.02079 13.1871 9.5439L2.23501 16.8996zM5.09695 3.8224C4.90495 3.74659 4.69 3.7591 4.50844 3.85789 3.7836 4.25232 1.92765 5.46759.970459 7.96421.231697 9.88833.491863 12.0163.694988 13.0569.76177 13.3971 1.12072 13.5933 1.44349 13.4674L13.192 8.88036C14.031 8.55271 14.0344 7.36666 13.1969 7.03485L5.09695 3.8224zM22.5248 12.7026C22.8643 12.9329 23.329 12.7298 23.3881 12.3235 23.5439 11.2481 23.6789 9.37614 23.0563 7.96399 22.2263 6.08231 20.8177 4.92199 20.1493 4.45035 19.9378 4.30149 19.6526 4.31679 19.4585 4.48861L16.4936 7.11811C16.0096 7.54731 16.0597 8.31738 16.5952 8.68119L22.5248 12.7026zM14.2409 22.7406C14.2103 23.0905 14.5067 23.3799 14.8559 23.3424 15.9794 23.2219 18.2875 22.7761 20.0168 21.124 21.7003 19.5163 22.2478 17.6076 22.4071 16.8479 22.4501 16.6427 22.3987 16.4292 22.2665 16.2663L17.0827 9.86863C16.5212 9.17578 15.4019 9.51802 15.3241 10.4064L14.2409 22.7406z"
      }
    }]
  };
  var logoCnbFilled = vue.defineComponent({
    name: "LogoCnbFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-logo-cnb-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$eC(_objectSpread$eC({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$eA, finalProps.value);
    }
  });

  function ownKeys$eB(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$eB(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$eB(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$eB(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$ez = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M12.8141 2.92516C11.9603 2.8633 11.2761 2.93398 10.7427 3.05574L14.5336 5.99883 15.2907 3.7738C14.765 3.42156 13.9242 3.0055 12.8141 2.92516zM14.2253 7.53477L8.65762 3.21238C8.3818 2.99832 8.39829 2.574 8.69313 2.38716 9.37663 1.95334 10.7297 1.36815 12.9153 1.52649 14.8669 1.66771 16.1667 2.62276 16.6809 3.07621 16.8343 3.21111 16.8909 3.42517 16.8249 3.61833L15.636 7.11234C15.4356 7.70007 14.716 7.91539 14.2253 7.53477zM3.10012 16.4481C2.8725 16.6008 2.76978 16.882 2.84332 17.146 3.05511 17.9061 3.68599 19.4874 5.47656 20.9263 7.26714 22.3653 9.38551 22.5204 10.2909 22.4982 10.5617 22.4919 10.7976 22.314 10.8793 22.0555L14.4484 10.773C14.7059 9.95856 13.7922 9.2752 13.0827 9.75147L3.10012 16.4481zM9.71619 21.0829C8.84223 21.0225 7.49889 20.7525 6.35499 19.8333 5.20702 18.9108 4.64418 17.9379 4.37298 17.283L12.6814 11.7093 9.71619 21.0829zM3.25671 8.81605C3.85119 7.26729 4.91761 6.38899 5.54284 5.9854L11.3933 8.30299 2.92762 11.6044C2.86374 10.7633 2.90326 9.73554 3.25671 8.81605zM5.70871 4.54275C5.53372 4.47372 5.33779 4.48512 5.17231 4.57506 4.51162 4.93414 2.81997 6.04054 1.94751 8.31352 1.27414 10.0653 1.51128 12.0026 1.69642 12.95 1.75729 13.2597 2.08446 13.4383 2.37867 13.3237L13.0872 9.1476C13.8519 8.84931 13.8551 7.7695 13.0917 7.46742L5.70871 4.54275zM21.594 12.627C21.9033 12.8366 22.3269 12.6517 22.3807 12.2818 22.5228 11.3027 22.6458 9.59847 22.0783 8.31283 21.3219 6.59971 20.038 5.54334 19.4286 5.11395 19.2358 4.97842 18.9759 4.99236 18.799 5.14878L16.0966 7.54272C15.6553 7.93348 15.7011 8.63455 16.1892 8.96578L21.594 12.627zM20.7955 8.87928C21.0087 9.3624 21.0895 9.98007 21.097 10.5965L17.5084 8.16558 19.1685 6.69498M19.1685 6.69498C19.6963 7.1614 20.359 7.8909 20.7955 8.87928L19.1685 6.69498zM15.5419 20.727L16.3195 11.8863 20.0284 16.4584C19.8372 17.1346 19.3782 18.2892 18.3397 19.2798 17.4966 20.0844 16.4287 20.5075 15.5419 20.727zM14.0426 21.766V21.7741C14.0408 21.7993 14.0408 21.8241 14.0426 21.8485L14.0432 21.8563C14.0678 22.1326 14.3161 22.3449 14.6037 22.314 15.6277 22.2045 17.7315 21.7984 19.3078 20.2944 20.8422 18.8307 21.3412 17.0929 21.4864 16.4013 21.5257 16.2145 21.4788 16.0201 21.3583 15.8719L16.6333 10.0473C16.1217 9.41649 15.1015 9.72807 15.0304 10.5368L14.0426 21.766z"
      }
    }]
  };
  var logoCnb = vue.defineComponent({
    name: "LogoCnbIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-logo-cnb", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$eB(_objectSpread$eB({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$ez, finalProps.value);
    }
  });

  function ownKeys$eA(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$eA(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$eA(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$eA(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$ey = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M12 0.807129L23 7.95713V16.0425L12 23.1925L1 16.0425V7.95713L12 0.807129ZM3 10.4205V13.5792L5.25621 11.9998L3 10.4205ZM3.78766 15.4691L11 20.1571V16.0205L7 13.2205L3.78766 15.4691ZM8.74379 11.9998L12 14.2792L15.2562 11.9998L12 9.72047L8.74379 11.9998ZM13 7.97916L17 10.7792L20.2123 8.53052L13 3.8425V7.97916ZM11 3.8425L3.78766 8.53052L7 10.7792L11 7.97916V3.8425ZM21 10.4205L18.7438 11.9998L21 13.5792V10.4205ZM20.2123 15.4691L17 13.2205L13 16.0205V20.1571L20.2123 15.4691Z"
      }
    }]
  };
  var logoCodepen = vue.defineComponent({
    name: "LogoCodepenIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-logo-codepen", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$eA(_objectSpread$eA({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$ey, finalProps.value);
    }
  });

  function ownKeys$ez(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$ez(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$ez(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$ez(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$ex = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M2.33984 6.42257L12.0001 0.845215L21.6604 6.42257V17.5773L12.0001 23.1546L2.33984 17.5773V6.42257ZM12.0001 3.15462L9.66997 4.49992L12.0001 5.84521L14.3302 4.49991L12.0001 3.15462ZM16.3302 5.65461L12.0001 8.15462L7.66997 5.65462L5.33984 6.99992L12.0001 10.8452L18.6604 6.99992L16.3302 5.65461ZM19.6604 8.73197L13.0001 12.5773V20.2679L15.3398 18.917V13.9226L19.6604 11.4281L19.6604 8.73197ZM19.6604 13.7375L17.3398 15.0773V17.7623L19.6604 16.4226L19.6604 13.7375ZM4.33984 11.4281L8.66035 13.9226V18.917L11.0001 20.2679V12.5773L4.33984 8.73197V11.4281ZM4.33984 13.7375V16.4226L6.66035 17.7623V15.0773L4.33984 13.7375Z"
      }
    }]
  };
  var logoCodesandbox = vue.defineComponent({
    name: "LogoCodesandboxIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-logo-codesandbox", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$ez(_objectSpread$ez({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$ex, finalProps.value);
    }
  });

  function ownKeys$ey(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$ey(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$ey(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$ey(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$ew = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M1.00392 11.9834C1.00391 11.9898 1.00391 11.9961 1.00391 12.0024C1.00391 14.8689 2.10029 17.4792 3.89657 19.437C5.82001 15.8578 9.06613 13.0952 12.981 11.8031C12.7235 11.2498 12.4508 10.705 12.1636 10.1691C9.00068 11.3529 5.57577 12.0002 1.99968 12.0002C1.66642 12.0002 1.33447 11.9946 1.00392 11.9834Z"
      }
    }, {
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M1.18791 9.98821C1.45752 9.99617 1.72814 10.0002 1.99968 10.0002C5.21128 10.0002 8.29192 9.43945 11.149 8.41055C9.81718 6.26033 8.24152 4.27702 6.46063 2.49921C7.06888 2.14368 7.71433 1.84487 8.38972 1.61004C10.1485 3.44191 11.7069 5.46753 13.0299 7.65168C15.2946 6.63681 17.394 5.31902 19.2765 3.74986C19.7781 4.19226 20.2391 4.67969 20.6531 5.20581C18.6542 6.88664 16.4252 8.30255 14.0201 9.39944C14.3476 10.019 14.6568 10.6498 14.947 11.2911C15.9352 11.1002 16.9558 11.0002 17.9997 11.0002C19.7466 11.0002 21.428 11.2801 23.0017 11.7976C23.003 11.8658 23.0036 11.9341 23.0036 12.0026C23.0036 12.6364 22.95 13.2576 22.8471 13.8621C21.3367 13.3046 19.7037 13.0002 17.9997 13.0002C17.2289 13.0002 16.4727 13.0625 15.7357 13.1823C16.7285 15.7789 17.4166 18.5261 17.7562 21.3803C20.9045 19.4451 23.0036 15.9691 23.0036 12.0026C23.0036 5.92749 18.079 1.00244 12.0039 1.00244C9.98244 1.00244 8.08833 1.54772 6.46063 2.49921C3.75058 4.08341 1.77906 6.79369 1.18791 9.98821Z"
      }
    }, {
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M15.8454 22.313C15.5506 19.2843 14.8401 16.3773 13.7716 13.65C10.1128 14.8076 7.10426 17.4278 5.43202 20.8243C7.26563 22.1925 9.54018 23.0024 12.0039 23.0024C13.3552 23.0024 14.6495 22.7588 15.8454 22.313Z"
      }
    }]
  };
  var logoDribbbleFilled = vue.defineComponent({
    name: "LogoDribbbleFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-logo-dribbble-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$ey(_objectSpread$ey({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$ew, finalProps.value);
    }
  });

  function ownKeys$ex(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$ex(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$ex(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$ex(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$ev = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M7.9082 3.98155C5.57442 5.17501 3.83124 7.35707 3.22914 9.97254C5.9851 9.84914 8.63223 9.31283 11.111 8.42443C10.1622 6.85629 9.09011 5.37084 7.9082 3.98155ZM3.00002 11.9831C3.00001 11.9887 3 11.9944 3 12C3 14.1464 3.7505 16.1165 5.00505 17.6637C6.9439 14.9696 9.70059 12.9022 12.9138 11.8256C12.6596 11.2721 12.3909 10.7265 12.1083 10.1894C9.25618 11.2501 6.19279 11.8748 3.00002 11.9831ZM6.45002 19.0856C7.97942 20.2855 9.90544 21 12 21C13.2513 21 14.4411 20.7452 15.5219 20.2851C15.1344 17.9951 14.518 15.7831 13.6969 13.6735C10.7243 14.6326 8.18411 16.5601 6.45002 19.0856ZM15.6559 13.1952C16.393 15.1317 16.9679 17.1481 17.3638 19.2278C19.242 17.8317 20.5561 15.7219 20.9066 13.3019C19.9696 13.1042 18.9975 13 18 13C17.2007 13 16.4176 13.0669 15.6559 13.1952ZM20.9713 11.2756C20.8267 9.45803 20.1426 7.79348 19.0781 6.44041C17.4887 7.60026 15.7767 8.60256 13.965 9.42417C14.2855 10.041 14.5887 10.6683 14.8739 11.3054C15.8856 11.105 16.931 11 18 11C19.0146 11 20.0079 11.0946 20.9713 11.2756ZM12.9902 7.66965C14.6395 6.93373 16.2018 6.03711 17.6569 4.99956C16.1107 3.74832 14.1434 3 12 3C11.2758 3 10.5724 3.08535 9.8989 3.24634C11.0351 4.63787 12.0694 6.11611 12.9902 7.66965ZM1.05427 10.9012C1.46211 6.79361 4.12675 3.35448 7.78743 1.83576C9.08624 1.29692 10.5097 1 12 1C15.1214 1 17.9406 2.30145 19.9415 4.38862C21.8349 6.36373 23 9.04686 23 12C23 12.1972 22.9948 12.3932 22.9845 12.588C22.774 16.5796 20.4368 20.0042 17.0897 21.754C15.5667 22.5502 13.8344 23 12 23C9.07893 23 6.42192 21.8601 4.45309 20.0028C2.3283 17.9984 1 15.1535 1 12C1 11.6294 1.01836 11.2628 1.05427 10.9012Z"
      }
    }]
  };
  var logoDribbble = vue.defineComponent({
    name: "LogoDribbbleIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-logo-dribbble", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$ex(_objectSpread$ex({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$ev, finalProps.value);
    }
  });

  function ownKeys$ew(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$ew(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$ew(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$ew(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$eu = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M8.5 6C8.5 2.68629 11.1863 0 14.5 0H19V6H16C15.1716 6 14.5 6.67157 14.5 7.5V9H19.2808L17.7808 15H14.5V24H8.5V15H4.25V9H8.5V6Z"
      }
    }]
  };
  var logoFacebookFilled = vue.defineComponent({
    name: "LogoFacebookFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-logo-facebook-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$ew(_objectSpread$ew({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$eu, finalProps.value);
    }
  });

  function ownKeys$ev(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$ev(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$ev(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$ev(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$et = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M8 6C8 2.68629 10.6863 0 14 0H19V6.5H15V8.5H19.2466L17.8022 15H15V24H8V15H4.25V8.5H8V6ZM14 2C11.7909 2 10 3.79086 10 6V10.5H6.25V13H10V22H13V13H16.1978L16.7534 10.5H13V6.5C13 5.39543 13.8954 4.5 15 4.5H17V2H14Z"
      }
    }]
  };
  var logoFacebook = vue.defineComponent({
    name: "LogoFacebookIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-logo-facebook", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$ev(_objectSpread$ev({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$et, finalProps.value);
    }
  });

  function ownKeys$eu(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$eu(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$eu(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$eu(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$es = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M8.16634.5C6.04925.5 4.33301 2.21624 4.33301 4.33333 4.33301 6.45043 6.04925 8.16667 8.16634 8.16667H11.9997V.5H8.16634zM8.16634 8.16667C6.04925 8.16667 4.33301 9.88308 4.33301 12.0002 4.33301 14.1009 6.02278 15.8069 8.11725 15.8332 6.02582 15.8419 4.33301 17.5731 4.33301 19.6665 4.33301 21.7652 6.06766 23.4998 8.16634 23.4998 10.265 23.4998 11.9997 21.7985 11.9997 19.6998V8.16667H8.16634zM19.667 4.33333C19.667 2.21624 17.9507.5 15.8337.5H11.9997V8.16667H15.8337C17.9507 8.16667 19.667 6.45043 19.667 4.33333zM19.667 12.0005C19.667 9.88331 17.9508 8.16667 15.8337 8.16667 13.7165 8.16667 12 9.88331 12 12.0005 12 14.1177 13.7163 15.834 15.8335 15.834 17.9507 15.834 19.667 14.1177 19.667 12.0005z"
      }
    }]
  };
  var logoFigmaFilled = vue.defineComponent({
    name: "LogoFigmaFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-logo-figma-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$eu(_objectSpread$eu({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$es, finalProps.value);
    }
  });

  function ownKeys$et(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$et(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$et(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$et(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$er = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M4 5C4 2.51472 6.01472 0.5 8.5 0.5H15.5C17.9853 0.5 20 2.51472 20 5C20 6.41363 19.3482 7.67502 18.3287 8.5C19.3482 9.32498 20 10.5864 20 12C20 14.4853 17.9853 16.5 15.5 16.5C14.5749 16.5 13.715 16.2209 13 15.7422V19C13 21.4853 10.9853 23.5 8.5 23.5C6.01472 23.5 4 21.4853 4 19C4 17.5864 4.65183 16.325 5.67134 15.5C4.65183 14.675 4 13.4136 4 12C4 10.5864 4.65183 9.32498 5.67133 8.5C4.65183 7.67502 4 6.41363 4 5ZM8.5 7.5H11V2.5H8.5C7.11929 2.5 6 3.61929 6 5C6 6.38071 7.11929 7.5 8.5 7.5ZM13 2.5V7.5H15.5C16.8807 7.5 18 6.38071 18 5C18 3.61929 16.8807 2.5 15.5 2.5H13ZM11 9.5H8.5C7.11929 9.5 6 10.6193 6 12C6 13.3807 7.11929 14.5 8.5 14.5H11V9.5ZM11 16.5H8.5C7.11929 16.5 6 17.6193 6 19C6 20.3807 7.11929 21.5 8.5 21.5C9.88071 21.5 11 20.3807 11 19V16.5ZM13 12C13 13.3807 14.1193 14.5 15.5 14.5C16.8807 14.5 18 13.3807 18 12C18 10.6193 16.8807 9.5 15.5 9.5C14.1193 9.5 13 10.6193 13 12Z"
      }
    }]
  };
  var logoFigma = vue.defineComponent({
    name: "LogoFigmaIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-logo-figma", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$et(_objectSpread$et({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$er, finalProps.value);
    }
  });

  function ownKeys$es(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$es(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$es(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$es(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$eq = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M3.08545 1H19.4997V8.61957H13.5342L20.9138 15.9992H12.9996V23.9134L5.3879 16.3017L5.38253 8.38213L10.471 8.38558L3.08545 1Z"
      }
    }]
  };
  var logoFramerFilled = vue.defineComponent({
    name: "LogoFramerFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-logo-framer-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$es(_objectSpread$es({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$eq, finalProps.value);
    }
  });

  function ownKeys$er(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$er(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$er(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$er(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$ep = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M3.08594 1H19.5002V9.5H14.4144L20.9144 16H13.0002V23.9142L4.50015 15.4142V7.5H9.58594L3.08594 1ZM12.4144 7.5H17.5002V3H7.91436L12.4144 7.5ZM11.5859 9.5H6.50015V14.5858L11.0002 19.0858V14H16.0859L11.5859 9.5Z"
      }
    }]
  };
  var logoFramer = vue.defineComponent({
    name: "LogoFramerIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-logo-framer", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$er(_objectSpread$er({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$ep, finalProps.value);
    }
  });

  function ownKeys$eq(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$eq(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$eq(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$eq(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$eo = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M12 0.998535C5.92617 0.998535 1 6.0483 1 12.2766C1 17.2597 4.1515 21.4871 8.52308 22.9786C9.07217 23.0829 9.25 22.7333 9.25 22.4363V20.3367C6.19017 21.019 5.55308 19.0059 5.55308 19.0059C5.05258 17.7023 4.33117 17.3555 4.33117 17.3555C3.33292 16.6553 4.40725 16.6704 4.40725 16.6704C5.51183 16.7493 6.093 17.833 6.093 17.833C7.07383 19.5566 8.66608 19.0585 9.294 18.77C9.39208 18.0416 9.67717 17.5435 9.9925 17.2625C7.54958 16.9758 4.98108 16.0087 4.98108 11.6883C4.98108 10.4561 5.411 9.45052 6.11408 8.66105C6.00042 8.37628 5.62367 7.22874 6.22133 5.67612C6.22133 5.67612 7.14533 5.37349 9.24725 6.83212C10.1245 6.58213 11.065 6.45713 12 6.45243C12.935 6.45713 13.8764 6.58213 14.7555 6.83212C16.8556 5.37349 17.7778 5.67612 17.7778 5.67612C18.3763 7.22968 17.9996 8.37722 17.8859 8.66105C18.5917 9.45052 19.018 10.4571 19.018 11.6883C19.018 16.02 16.4449 16.9739 13.9956 17.2531C14.3897 17.6027 14.75 18.2888 14.75 19.3414V22.4363C14.75 22.7361 14.926 23.0885 15.4842 22.9776C19.8522 21.4842 23 17.2578 23 12.2766C23 6.0483 18.0748 0.998535 12 0.998535Z"
      }
    }]
  };
  var logoGithubFilled = vue.defineComponent({
    name: "LogoGithubFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-logo-github-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$eq(_objectSpread$eq({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$eo, finalProps.value);
    }
  });

  function ownKeys$ep(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$ep(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$ep(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$ep(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$en = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M5.30673 3.04717C4.9785 4.32904 5.30243 5.22186 5.37585 5.40539L5.60851 5.98701L5.18671 6.45014C4.44743 7.26186 3.99984 8.27763 3.99984 9.57219C3.99984 12.063 4.74716 13.4051 5.68581 14.1924C6.67342 15.0208 8.04081 15.3812 9.55484 15.5514L11.8308 15.8071L10.0961 17.3025C9.85359 17.5116 9.48993 18.053 9.48993 19.1577C9.48993 19.2732 9.49 19.3874 9.49013 19.5H9.49984V21.5H9.49793C9.49964 21.7715 9.50139 22.0169 9.50292 22.2315L9.50294 22.2336C9.50341 22.2999 9.50387 22.3622 9.5043 22.4206C9.50621 22.6815 9.50756 22.8661 9.50756 23V24H7.50756V23C7.50756 22.8741 7.50628 22.6992 7.50438 22.4388C7.50394 22.3792 7.50347 22.3151 7.50298 22.246L7.50296 22.2439C7.50141 22.0265 7.49963 21.7767 7.49789 21.5H6.94172C5.72658 21.5 4.57733 20.9476 3.81824 19.9988L3.2678 19.3107C2.99662 18.9718 2.6551 18.6957 2.26683 18.5015L1.1582 17.9472L2.05263 16.1584L3.16126 16.7127C3.80838 17.0362 4.37757 17.4964 4.82954 18.0613L5.37998 18.7494C5.75952 19.2238 6.33415 19.5 6.94172 19.5H7.49012C7.49 19.3874 7.48993 19.2733 7.48993 19.1577C7.48993 18.4501 7.59907 17.8244 7.79257 17.2894C6.60726 17.0267 5.40612 16.5682 4.40053 15.7247C2.90307 14.4687 1.99984 12.5008 1.99984 9.57219C1.99984 7.98641 2.49516 6.64651 3.32997 5.55567C3.13001 4.75491 2.98176 3.35892 3.66013 1.66295L3.83339 1.2298L4.27661 1.08425L4.27856 1.08361L4.28053 1.08297L4.28456 1.08167L4.29299 1.07902L4.31128 1.07351C4.32411 1.06976 4.33821 1.06586 4.35357 1.06191C4.38432 1.05401 4.42007 1.0459 4.46089 1.03827C4.54263 1.02298 4.64396 1.00972 4.76522 1.0036C5.0084 0.99133 5.3264 1.00804 5.72223 1.09079C6.43996 1.24084 7.40607 1.60619 8.65018 2.40141C9.73441 2.13641 10.8687 2.00049 11.9994 2C13.1301 2.00049 14.2653 2.13641 15.3495 2.40141C16.5936 1.60619 17.5597 1.24084 18.2775 1.09079C18.6733 1.00804 18.9913 0.99133 19.2345 1.0036C19.3557 1.00972 19.4571 1.02298 19.5388 1.03827C19.5796 1.0459 19.6154 1.05401 19.6461 1.06191C19.6615 1.06586 19.6756 1.06976 19.6884 1.07351L19.7067 1.07902L19.7151 1.08167L19.7192 1.08297L19.7211 1.08361L19.7231 1.08425L20.1663 1.2298L20.3396 1.66295C21.0179 3.35892 20.8697 4.75491 20.6697 5.55567C21.5045 6.64651 21.9998 7.98641 21.9998 9.57219C21.9998 12.5008 21.0966 14.4687 19.5992 15.7247C18.5936 16.5682 17.3924 17.0267 16.2071 17.2894C16.4006 17.8244 16.5098 18.4501 16.5098 19.1577C16.5098 20.4185 16.5019 21.5146 16.4967 22.2455C16.4962 22.3146 16.4957 22.3793 16.4953 22.439C16.4934 22.6993 16.4921 22.8741 16.4921 23V24H14.4921V23C14.4921 22.866 14.4935 22.6813 14.4954 22.4201C14.4958 22.3613 14.4963 22.2986 14.4968 22.2317C14.502 21.5011 14.5098 20.411 14.5098 19.1577C14.5098 18.053 14.1461 17.5116 13.9036 17.3025L12.1689 15.8071L14.4448 15.5514C15.9589 15.3812 17.3263 15.0208 18.3139 14.1924C19.2525 13.4051 19.9998 12.063 19.9998 9.57219C19.9998 8.27763 19.5523 7.26186 18.813 6.45014L18.3912 5.98701L18.6238 5.40539C18.6973 5.22186 19.0212 4.32904 18.693 3.04717C18.6909 3.0476 18.6888 3.04803 18.6867 3.04847C18.2101 3.14811 17.3592 3.4459 16.0896 4.30893L15.7047 4.57056L15.2567 4.44456C14.2189 4.15269 13.1087 4.00052 11.9998 4C10.8909 4.00052 9.78083 4.15269 8.743 4.44456L8.29498 4.57056L7.91009 4.30893C6.64049 3.4459 5.78957 3.14811 5.31296 3.04847C5.31087 3.04803 5.3088 3.0476 5.30673 3.04717Z"
      }
    }]
  };
  var logoGithub = vue.defineComponent({
    name: "LogoGithubIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-logo-github", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$ep(_objectSpread$ep({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$en, finalProps.value);
    }
  });

  function ownKeys$eo(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$eo(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$eo(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$eo(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$em = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M4.77923 1H6.71559L9.21559 8.33333H14.7844L17.2844 1H19.2207L23.6748 14.3621L12 23.2572L0.325195 14.3621L4.77923 1Z"
      }
    }]
  };
  var logoGitlabFilled = vue.defineComponent({
    name: "LogoGitlabFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-logo-gitlab-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$eo(_objectSpread$eo({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$em, finalProps.value);
    }
  });

  function ownKeys$en(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$en(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$en(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$en(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$el = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M4.77923 1H6.71559L9.21559 8.33333H14.7844L17.2844 1H19.2207L23.6748 14.3621L12 23.2572L0.325195 14.3621L4.77923 1ZM5.75783 4.38876L2.67478 13.6379L12 20.7428L21.3252 13.6379L18.2421 4.38876L16.2156 10.3333H7.78438L5.75783 4.38876Z"
      }
    }]
  };
  var logoGitlab = vue.defineComponent({
    name: "LogoGitlabIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-logo-gitlab", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$en(_objectSpread$en({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$el, finalProps.value);
    }
  });

  function ownKeys$em(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$em(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$em(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$em(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$ek = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M10.1294 22.257L9.53972 22.4882C8.21673 23.0575 6.92641 23.3994 5.76814 23.4229 4.60207 23.4466 3.48176 23.1447 2.66602 22.3224 1.88877 21.544 1.57783 20.4906 1.57045 19.3857 1.56311 18.2859 1.85223 17.0641 2.35373 15.81 3.35817 13.2982 5.28935 10.47 7.88406 7.88077 10.4778 5.29254 13.3053 3.36188 15.8152 2.35623 17.0683 1.85413 18.289 1.56382 19.3881 1.57017 20.4933 1.57656 21.5471 1.88723 22.3258 2.66591 23.1453 3.48536 23.4484 4.60314 23.4247 5.77041 23.4011 6.9323 23.0564 8.22569 22.4832 9.5537L22.4793 9.56263 22.0151 10.6098C22.1038 11.1526 22.1481 11.7039 22.1481 12.2684V13.7343H19.7164L7.81452 13.8463C8.08838 14.7324 8.53402 15.4876 9.12764 16.0469 9.84416 16.722 10.7992 17.1343 12.0003 17.1343 13.1257 17.1343 14.1592 16.7725 14.9864 16.1594L15.1191 16.0611H21.459L21.0972 16.7847C21.0083 16.9625 20.917 17.1342 20.8128 17.3081 20.6018 17.6743 20.3764 18.0242 20.1149 18.3655 18.2638 20.8359 15.3069 22.4269 11.9895 22.4269 11.3542 22.4269 10.7325 22.3686 10.1294 22.257zM12.9397 6.22496C11.7315 7.06959 10.4952 8.10059 9.29676 9.29649 9.05165 9.54108 8.81348 9.78731 8.58245 10.0346L17.0625 10.0346 16.872 9.39239C16.4311 7.90635 14.869 6.64296 12.9397 6.22496zM3.70941 18.1545C3.61327 18.602 3.56798 19.0098 3.5704 19.3723 3.57543 20.1252 3.78185 20.6098 4.08191 20.9098L4.08525 20.9132C4.3962 21.2271 4.91175 21.4399 5.72756 21.4233 6.15075 21.4148 6.63069 21.3437 7.15871 21.2067 5.78864 20.4646 4.60834 19.4167 3.70941 18.1545zM21.056 7.68108C21.2935 6.94447 21.4138 6.28782 21.4251 5.72977 21.4416 4.91705 21.2297 4.39824 20.9116 4.08013 20.6117 3.78027 20.1282 3.57448 19.3765 3.57014 18.8823 3.56728 18.3038 3.65336 17.655 3.83628 19.0913 4.80346 20.2674 6.1277 21.056 7.68108zM6.82087 6.81664C4.70281 8.93019 3.00981 11.2109 1.89009 13.3704 1.85103 13.0084 1.83099 12.6407 1.83099 12.2684 1.83099 6.6586 6.37973 2.10986 11.9895 2.10986 12.2955 2.10986 12.5983 2.1234 12.8974 2.14992 10.883 3.26455 8.78169 4.85999 6.82087 6.81664z"
      }
    }]
  };
  var logoIeFilled = vue.defineComponent({
    name: "LogoIeFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-logo-ie-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$em(_objectSpread$em({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$ek, finalProps.value);
    }
  });

  function ownKeys$el(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$el(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$el(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$el(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$ej = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M14.4273 6.19381C13.7548 6.61696 13.068 7.10139 12.3788 7.64322C13.2216 7.77978 13.9362 8.11824 14.4672 8.53471H11.3031C10.8223 8.95404 10.3434 9.40038 9.87037 9.87242C9.65032 10.092 9.43587 10.3129 9.22716 10.5347H17.7316L17.3506 9.25032C16.9642 7.94745 15.859 6.84176 14.4273 6.19381Z"
      }
    }, {
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M8.32548 22.2805C9.46786 22.6987 10.7017 22.9269 11.9889 22.9269C15.4685 22.9269 18.5707 21.2579 20.5128 18.6674C20.7888 18.3068 21.025 17.9398 21.2433 17.5613C21.3549 17.3747 21.4517 17.1924 21.5438 17.0083L22.2674 15.5611H14.9533L14.688 15.7577C13.9457 16.3079 13.0164 16.6343 11.9996 16.6343C10.9227 16.6343 10.0913 16.2685 9.46984 15.683C9.09207 15.3271 8.77532 14.8735 8.53349 14.3395L19.7204 14.2343H22.6474V12.2684C22.6474 11.5375 22.5766 10.8268 22.4342 10.1267L22.4339 10.1253C22.3434 9.68346 22.2255 9.25156 22.0822 8.83142C22.5977 7.58337 22.9054 6.37101 22.9276 5.27554C22.9514 4.10827 22.6482 2.99049 21.8287 2.17104C21.0501 1.39236 19.9963 1.08168 18.891 1.0753C17.7919 1.06895 16.5712 1.35925 15.3181 1.86135C15.1905 1.9125 15.062 1.96604 14.9328 2.02194C13.9978 1.75362 13.0101 1.60986 11.9889 1.60986C6.10292 1.60986 1.33032 6.38246 1.33032 12.2684C1.33032 13.3713 1.49791 14.4352 1.809 15.4359C1.33689 16.6476 1.06627 17.8263 1.07338 18.8908C1.08076 19.9958 1.3917 21.0492 2.16895 21.8275C2.98469 22.6499 4.105 22.9517 5.27107 22.9281C6.21893 22.9088 7.25522 22.6764 8.32548 22.2805ZM8.7997 8.80162C11.2499 6.35667 13.8579 4.60099 16.062 3.71787C17.1658 3.27558 18.1217 3.07088 18.8795 3.07526C19.6311 3.07961 20.1147 3.2854 20.4145 3.58525C20.7326 3.90336 20.9446 4.42217 20.9281 5.2349C20.9216 5.55078 20.8803 5.89826 20.8026 6.27395C20.2879 5.5193 19.6789 4.83398 18.9926 4.23509C18.4366 4.33388 17.8127 4.51619 17.1327 4.78867C16.9803 4.84971 16.826 4.91493 16.67 4.98425C18.5958 6.22459 19.9991 8.20712 20.4744 10.5257C20.5873 11.081 20.6452 11.6468 20.6473 12.2343L19.7157 12.2342L7.66095 12.3476C7.17617 12.9613 6.73717 13.5735 6.34665 14.1757C6.68018 15.3145 7.25888 16.3478 8.09836 17.1387C9.10009 18.0825 10.4257 18.6343 11.9996 18.6343C13.3281 18.6343 14.568 18.2424 15.5983 17.5611H18.8416C17.2593 19.613 14.7739 20.9269 11.9889 20.9269C8.99363 20.9269 6.35324 19.4055 4.79851 17.0933L4.78436 17.1285C4.42503 18.0271 4.22311 18.8281 4.1631 19.5042C4.63675 20.0162 5.16001 20.4816 5.72524 20.8929C5.55278 20.9135 5.38772 20.9253 5.23049 20.9285C4.41468 20.945 3.89913 20.7322 3.58818 20.4183L3.58484 20.4149C3.28478 20.1149 3.07836 19.6303 3.07333 18.8775C3.06827 18.1187 3.27214 17.1619 3.71368 16.0577C4.59534 13.853 6.35051 11.2456 8.7997 8.80162ZM3.33192 12.4364C3.33086 12.3805 3.33032 12.3245 3.33032 12.2684C3.33032 7.48703 7.20749 3.60986 11.9889 3.60986C11.996 3.60986 12.0032 3.60987 12.0104 3.60989C10.4621 4.61468 8.88553 5.89054 7.38699 7.3859C5.74869 9.02072 4.37491 10.7508 3.33192 12.4364Z"
      }
    }]
  };
  var logoIe = vue.defineComponent({
    name: "LogoIeIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-logo-ie", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$el(_objectSpread$el({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$ej, finalProps.value);
    }
  });

  function ownKeys$ek(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$ek(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$ek(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$ek(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$ei = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M8 12C8 9.79086 9.79086 8 12 8C14.2091 8 16 9.79086 16 12C16 14.2091 14.2091 16 12 16C9.79086 16 8 14.2091 8 12Z"
      }
    }, {
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M12.0495 1C13.8768 0.999992 15.3162 0.999985 16.4701 1.10456C17.6481 1.21133 18.6263 1.43338 19.5 1.93782C20.5641 2.5522 21.4478 3.43587 22.0622 4.5C22.5666 5.37372 22.7887 6.35191 22.8954 7.52993C23 8.68378 23 10.1233 23 11.9505V12.0496C23 13.8768 23 15.3162 22.8954 16.4701C22.7887 17.6481 22.5666 18.6263 22.0622 19.5C21.4478 20.5641 20.5641 21.4478 19.5 22.0622C18.6263 22.5666 17.6481 22.7887 16.4701 22.8954C15.3162 23 13.8767 23 12.0495 23H11.9504C10.1232 23 8.68378 23 7.52993 22.8954C6.35191 22.7887 5.37372 22.5666 4.5 22.0622C3.43587 21.4478 2.5522 20.5641 1.93782 19.5C1.43338 18.6263 1.21133 17.6481 1.10456 16.4701C0.999985 15.3162 0.999992 13.8768 1 12.0495V11.9505C0.999992 10.1232 0.999985 8.68379 1.10456 7.52993C1.21133 6.35191 1.43338 5.37372 1.93782 4.5C2.5522 3.43587 3.43587 2.5522 4.5 1.93782C5.37372 1.43338 6.35191 1.21133 7.52993 1.10456C8.68379 0.999985 10.1232 0.999992 11.9505 1H12.0495ZM18.25 4.75C17.6977 4.75 17.25 5.19772 17.25 5.75V5.75391C17.25 6.30619 17.6977 6.75391 18.25 6.75391H18.2539C18.8062 6.75391 19.2539 6.30619 19.2539 5.75391V5.75C19.2539 5.19772 18.8062 4.75 18.2539 4.75H18.25ZM12 6C8.68629 6 6 8.68629 6 12C6 15.3137 8.68629 18 12 18C15.3137 18 18 15.3137 18 12C18 8.68629 15.3137 6 12 6Z"
      }
    }]
  };
  var logoInstagramFilled = vue.defineComponent({
    name: "LogoInstagramFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-logo-instagram-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$ek(_objectSpread$ek({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$ei, finalProps.value);
    }
  });

  function ownKeys$ej(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$ej(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$ej(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$ej(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$eh = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M11.9505 1H12.0495C13.8768 0.999992 15.3162 0.999985 16.4701 1.10456C17.6481 1.21133 18.6263 1.43338 19.5 1.93782C20.5641 2.5522 21.4478 3.43587 22.0622 4.5C22.5666 5.37372 22.7887 6.35191 22.8954 7.52993C23 8.6838 23 10.1232 23 11.9505V12.0495C23 13.8768 23 15.3162 22.8954 16.4701C22.7887 17.6481 22.5666 18.6263 22.0622 19.5C21.4478 20.5641 20.5641 21.4478 19.5 22.0622C18.6263 22.5666 17.6481 22.7887 16.4701 22.8954C15.3162 23 13.8768 23 12.0495 23H11.9505C10.1232 23 8.6838 23 7.52993 22.8954C6.35191 22.7887 5.37372 22.5666 4.5 22.0622C3.43587 21.4478 2.5522 20.5641 1.93782 19.5C1.43338 18.6263 1.21133 17.6481 1.10456 16.4701C0.999985 15.3162 0.999992 13.8768 1 12.0495V11.9505C0.999992 10.1232 0.999985 8.68379 1.10456 7.52993C1.21133 6.35191 1.43338 5.37372 1.93782 4.5C2.5522 3.43587 3.43587 2.5522 4.5 1.93782C5.37372 1.43338 6.35191 1.21133 7.52993 1.10456C8.68379 0.999985 10.1232 0.999992 11.9505 1ZM7.71045 3.0964C6.67116 3.19059 6.01859 3.37047 5.5 3.66987C4.7399 4.10872 4.10872 4.7399 3.66987 5.5C3.37047 6.01859 3.19059 6.67116 3.0964 7.71045C3.00096 8.7635 3 10.1124 3 12C3 13.8876 3.00096 15.2365 3.0964 16.2895C3.19059 17.3288 3.37047 17.9814 3.66987 18.5C4.10871 19.2601 4.7399 19.8913 5.5 20.3301C6.01859 20.6295 6.67116 20.8094 7.71045 20.9036C8.7635 20.999 10.1124 21 12 21C13.8876 21 15.2365 20.999 16.2895 20.9036C17.3288 20.8094 17.9814 20.6295 18.5 20.3301C19.2601 19.8913 19.8913 19.2601 20.3301 18.5C20.6295 17.9814 20.8094 17.3288 20.9036 16.2895C20.999 15.2365 21 13.8876 21 12C21 10.1124 20.999 8.7635 20.9036 7.71045C20.8094 6.67116 20.6295 6.01859 20.3301 5.5C19.8913 4.7399 19.2601 4.10871 18.5 3.66987C17.9814 3.37047 17.3288 3.19059 16.2895 3.0964C15.2365 3.00096 13.8876 3 12 3C10.1124 3 8.7635 3.00096 7.71045 3.0964ZM16.75 6.25195C16.75 5.69967 17.1997 5.25 17.752 5.25C18.3042 5.25 18.7539 5.69967 18.7539 6.25195C18.7539 6.80424 18.3042 7.25391 17.752 7.25391C17.1997 7.25391 16.75 6.80424 16.75 6.25195ZM12 8.5C10.067 8.5 8.5 10.067 8.5 12C8.5 13.933 10.067 15.5 12 15.5C13.933 15.5 15.5 13.933 15.5 12C15.5 10.067 13.933 8.5 12 8.5ZM6.5 12C6.5 8.96243 8.96243 6.5 12 6.5C15.0376 6.5 17.5 8.96243 17.5 12C17.5 15.0376 15.0376 17.5 12 17.5C8.96243 17.5 6.5 15.0376 6.5 12Z"
      }
    }]
  };
  var logoInstagram = vue.defineComponent({
    name: "LogoInstagramIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-logo-instagram", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$ej(_objectSpread$ej({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$eh, finalProps.value);
    }
  });

  function ownKeys$ei(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$ei(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$ei(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$ei(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$eg = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M12 1C5.92487 1 1 5.92487 1 12C1 18.0751 5.92487 23 12 23C18.0751 23 23 18.0751 23 12C23 5.92487 18.0751 1 12 1ZM13 9.5V14.5C13 16.433 11.433 18 9.5 18C7.567 18 6 16.433 6 14.5C6 12.8056 7.20308 11.3944 8.80107 11.07L9.78108 10.8711L10.1789 12.8311L9.19893 13.03C8.51468 13.1689 8 13.7755 8 14.5C8 15.3284 8.67157 16 9.5 16C10.3284 16 11 15.3284 11 14.5V9.5C11 7.567 12.567 6 14.5 6C16.433 6 18 7.567 18 9.5C18 11.1944 16.7969 12.6056 15.1989 12.93L14.2189 13.1289L13.8211 11.1689L14.8011 10.97C15.4853 10.8311 16 10.2245 16 9.5C16 8.67157 15.3284 8 14.5 8C13.6716 8 13 8.67157 13 9.5Z",
        "fillOpacity": 0.9
      }
    }]
  };
  var logoMiniprogramFilled = vue.defineComponent({
    name: "LogoMiniprogramFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-logo-miniprogram-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$ei(_objectSpread$ei({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$eg, finalProps.value);
    }
  });

  function ownKeys$eh(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$eh(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$eh(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$eh(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$ef = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M1 12C1 5.92487 5.92487 1 12 1C18.0751 1 23 5.92487 23 12C23 18.0751 18.0751 23 12 23C5.92487 23 1 18.0751 1 12ZM12 3C7.02943 3 3 7.02943 3 12C3 16.9706 7.02943 21 12 21C16.9706 21 21 16.9706 21 12C21 7.02943 16.9706 3 12 3ZM14.5 8C13.6716 8 13 8.67157 13 9.5V14.5C13 16.433 11.433 18 9.5 18C7.567 18 6 16.433 6 14.5C6 12.8056 7.20308 11.3944 8.80107 11.07L9.78108 10.8711L10.1789 12.8311L9.19893 13.03C8.51468 13.1689 8 13.7755 8 14.5C8 15.3284 8.67157 16 9.5 16C10.3284 16 11 15.3284 11 14.5V9.5C11 7.567 12.567 6 14.5 6C16.433 6 18 7.567 18 9.5C18 11.1944 16.7969 12.6056 15.1989 12.93L14.2189 13.1289L13.8211 11.1689L14.8011 10.97C15.4853 10.8311 16 10.2245 16 9.5C16 8.67157 15.3284 8 14.5 8Z"
      }
    }]
  };
  var logoMiniprogram = vue.defineComponent({
    name: "LogoMiniprogramIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-logo-miniprogram", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$eh(_objectSpread$eh({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$ef, finalProps.value);
    }
  });

  function ownKeys$eg(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$eg(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$eg(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$eg(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$ee = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 25",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M6.79544 3.03531C8.05204 1.23874 10.0126 0.042174 12.7493 0.0424805C15.486 0.042787 17.4464 1.23932 18.7029 3.03575C19.9429 4.80872 20.478 7.13344 20.478 9.40764C20.478 9.54481 20.4745 9.74203 20.4711 9.90466L20.4666 10.1056L21.4578 12.5837C21.7412 13.3235 22.0251 14.1027 22.2345 14.7765C22.7325 16.3766 22.9107 17.5377 22.9255 18.3241C22.9328 18.7145 22.9003 19.0333 22.8345 19.2751C22.8021 19.3938 22.755 19.5194 22.6821 19.6296C22.6205 19.7226 22.4702 19.9091 22.2032 19.9414C21.9344 19.9739 21.713 19.8452 21.6002 19.7698C21.4647 19.6792 21.3338 19.5593 21.2156 19.4377C20.9767 19.1921 20.7243 18.871 20.5007 18.5654C20.4885 18.5488 20.4764 18.5322 20.4644 18.5156C20.1949 19.4871 19.6651 20.4984 18.8593 21.3764C19.2446 21.535 19.6304 21.7284 19.9335 21.9535C20.2212 22.1677 20.4027 22.4274 20.466 22.7125C20.5274 22.9887 20.4666 23.2386 20.3639 23.4124C20.2655 23.5785 20.1164 23.6694 20.023 23.7166C19.9188 23.7693 19.8041 23.8071 19.6949 23.8358C19.4753 23.8936 19.2031 23.9339 18.9091 23.9631C18.3165 24.022 17.5559 24.0434 16.7725 24.0422C15.2449 24.0398 13.5672 23.951 12.7528 23.8643C11.9383 23.9513 10.2605 24.0401 8.73288 24.0424C7.94939 24.0436 7.18876 24.0222 6.59608 23.9632C6.30207 23.9339 6.02982 23.8936 5.81012 23.8358C5.70089 23.8071 5.58628 23.7693 5.48207 23.7167C5.38879 23.6696 5.24052 23.5795 5.14207 23.4142C5.03786 23.2397 4.97592 22.9888 5.03753 22.7117C5.10123 22.4252 5.28375 22.1659 5.57249 21.9527C5.8763 21.7289 6.26103 21.5357 6.64501 21.3773C5.8388 20.499 5.30885 19.4873 5.0393 18.5154C5.02719 18.532 5.01503 18.5487 5.00282 18.5654C4.77918 18.8711 4.52676 19.1921 4.2879 19.4377C4.16971 19.5593 4.03884 19.6791 3.90345 19.7697C3.79082 19.8451 3.56935 19.9739 3.30055 19.9414L3.29911 19.9412C3.03518 19.9085 2.88493 19.7259 2.82169 19.6312C2.74791 19.5207 2.7002 19.3947 2.66748 19.2756C2.60087 19.0332 2.5681 18.714 2.57516 18.3237C2.58938 17.5372 2.76718 16.3763 3.26333 14.777C3.47269 14.1032 3.75615 13.3238 4.04036 12.5834L4.0431 12.5763L5.03119 10.1062C5.02991 10.0515 5.02831 9.98107 5.02672 9.9042C5.02336 9.74129 5.01996 9.5443 5.01996 9.40764C5.01996 7.13342 5.55527 4.80842 6.79544 3.03531Z"
      }
    }]
  };
  var logoQqFilled = vue.defineComponent({
    name: "LogoQqFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-logo-qq-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$eg(_objectSpread$eg({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$ee, finalProps.value);
    }
  });

  function ownKeys$ef(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$ef(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$ef(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$ef(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$ed = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M5.89652 3.08677C7.18825 1.23996 9.21262 0.0123833 11.9979 0.0126954C14.7831 0.0130073 16.8072 1.24051 18.0988 3.0872C19.3603 4.89085 19.8876 7.22542 19.8876 9.47198C19.8876 9.60919 19.884 9.80302 19.8808 9.95872L19.8786 10.0547L20.7931 12.3408L20.7957 12.3477C21.0687 13.0604 21.3453 13.8188 21.5507 14.4797C22.0371 16.0427 22.2196 17.2025 22.2349 18.0151C22.2424 18.416 22.2101 18.7708 22.1309 19.0615C22.0924 19.2028 22.0304 19.376 21.9223 19.5393C21.8351 19.6711 21.5864 19.9925 21.1226 20.0486C20.6862 20.1014 20.3498 19.8926 20.2218 19.807C20.0522 19.6936 19.9001 19.552 19.7762 19.4246C19.7037 19.3501 19.6308 19.2699 19.5586 19.1863C19.3263 19.732 19.0151 20.2729 18.6234 20.7817C18.8188 20.8848 19.0058 20.9982 19.1727 21.1221L19.1737 21.1229C19.5212 21.3816 19.7741 21.7221 19.8647 22.1296C19.9516 22.5206 19.8675 22.8833 19.7117 23.1469C19.5492 23.4214 19.3108 23.5604 19.1893 23.6218C19.0481 23.6931 18.9029 23.7395 18.7809 23.7716C18.5346 23.8364 18.2447 23.8781 17.953 23.9071C17.361 23.9659 16.613 23.9865 15.8558 23.9853C14.4106 23.983 12.8208 23.9009 12.0013 23.8172C11.1815 23.9012 9.59155 23.9833 8.14629 23.9855C7.38904 23.9867 6.64095 23.9661 6.04887 23.9071C5.75711 23.8781 5.46728 23.8365 5.22091 23.7716C5.09887 23.7395 4.95373 23.6931 4.81259 23.6219C4.69115 23.5605 4.45336 23.4225 4.29076 23.1483L4.293 23.1521C4.13452 22.8876 4.04816 22.5225 4.13572 22.1287C4.22688 21.7187 4.48239 21.3781 4.83102 21.1206L4.83203 21.1199C4.9983 20.9974 5.18392 20.885 5.37778 20.7828C4.98573 20.2736 4.67432 19.7323 4.44187 19.1861C4.36957 19.2697 4.29666 19.35 4.22418 19.4246C4.10029 19.552 3.94823 19.6935 3.77874 19.8069C3.65098 19.8924 3.31452 20.1015 2.87793 20.0486L2.87529 20.0483C2.41762 19.9916 2.16938 19.6773 2.07938 19.5425C1.97005 19.3788 1.90721 19.2049 1.86821 19.063C1.78808 18.7714 1.75545 18.4159 1.7627 18.015C1.77739 17.2023 1.95949 16.0427 2.44408 14.4806C2.64939 13.8198 2.92557 13.061 3.19961 12.347L3.20463 12.334L4.11617 10.0554C4.11549 10.0248 4.11478 9.99211 4.11408 9.95807C4.11086 9.80191 4.10749 9.60852 4.10749 9.47198C4.10749 7.22539 4.63488 4.89055 5.89652 3.08677ZM4.07184 16.2677L5.92317 13.2626V16.7924C5.92317 17.835 6.47953 19.3142 7.75966 20.3975L9.15443 21.5777L7.83546 21.9847C7.93658 21.9854 8.03928 21.9857 8.14325 21.9855C9.60959 21.9833 11.2046 21.895 11.889 21.8178L12.0009 21.8052L12.1128 21.8178C12.7975 21.8948 14.3927 21.983 15.8589 21.9853C15.9626 21.9855 16.065 21.9852 16.1659 21.9845L14.8452 21.5774L16.241 20.3968C17.521 19.3141 18.0774 17.8351 18.0774 16.7924V13.2615L19.9288 16.2678L19.9316 16.2724L19.9422 16.2894C19.9517 16.3048 19.9662 16.3279 19.9851 16.3577C19.9883 16.3629 19.9917 16.3682 19.9952 16.3738C19.9081 15.9927 19.7924 15.5605 19.641 15.074C19.4553 14.4763 19.1975 13.7668 18.9306 13.0698L17.8744 10.4293V10.2367C17.8744 10.2193 17.8759 10.1524 17.8778 10.0714C17.8789 10.0223 17.8801 9.96813 17.8812 9.91661C17.8845 9.75974 17.8876 9.58547 17.8876 9.47198C17.8876 7.49931 17.4188 5.60452 16.4599 4.23347C15.5311 2.90546 14.1104 2.01293 11.9977 2.0127C9.88516 2.01246 8.46438 2.90492 7.53541 4.23308C6.57635 5.60427 6.10749 7.49935 6.10749 9.47198C6.10749 9.67128 6.11603 10.0294 6.11928 10.166C6.11991 10.1922 6.12034 10.2102 6.12047 10.2175L6.12437 10.42L5.06428 13.0702C4.79727 13.7661 4.54007 14.4752 4.35428 15.0731M4.07184 16.2677L4.06904 16.2723L4.05847 16.2893C4.04889 16.3046 4.03439 16.3278 4.01553 16.3576C4.01023 16.366 4.0046 16.3749 3.99864 16.3842C4.08578 16.0006 4.20191 15.5643 4.35428 15.0731"
      }
    }]
  };
  var logoQq = vue.defineComponent({
    name: "LogoQqIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-logo-qq", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$ef(_objectSpread$ef({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$ed, finalProps.value);
    }
  });

  function ownKeys$ee(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$ee(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$ee(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$ee(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$ec = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M10.0002 7.95517C10.0243 4.6621 12.7012 2 16 2C18.0462 2 19.8517 3.02433 20.934 4.5853C21.2698 4.4194 21.6575 4.19395 22.0603 3.94764L23.582 3.01714V4.80078C23.582 6.17104 23.2996 7.21126 22.8983 8.00246C22.6171 8.55688 22.29 8.96422 22 9.26187V10C22 17.1797 16.1797 23.0004 8.99999 23.0004C6.55063 23.0004 4.25667 22.3221 2.2991 21.1425L0.0490957 19.7866L2.63116 19.303C3.65598 19.1111 4.63303 18.7832 5.54295 18.3384C2.2211 16.3228 0 12.6716 0 8.49986C0 7.00436 0.285976 5.57322 0.807145 4.25989L1.43146 2.68664L2.5082 3.9926C4.32827 6.20011 6.98916 7.68404 10.0002 7.95517Z"
      }
    }]
  };
  var logoTwitterFilled = vue.defineComponent({
    name: "LogoTwitterFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-logo-twitter-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$ee(_objectSpread$ee({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$ec, finalProps.value);
    }
  });

  function ownKeys$ed(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$ed(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$ed(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$ed(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$eb = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M16 4C13.7909 4 12 5.79086 12 8L12 9.99997H11C7.60396 9.99997 4.51166 8.69693 2.19682 6.56576C2.06784 7.18973 2 7.83652 2 8.49986C2 12.5099 4.48495 15.942 8.00265 17.3357L9.73429 18.0217L8.20574 19.086C7.41253 19.6383 6.55698 20.1078 5.65173 20.4819C6.70696 20.8186 7.83176 21.0004 8.99999 21.0004C15.0751 21.0004 20 16.0752 20 10V8.47286L20.2269 8.19631C20.7733 7.53022 21.1564 7.03002 21.5057 6.53862C21.2276 6.65048 20.9584 6.73886 20.7221 6.79271L19.9476 6.96924L19.6004 6.25473C18.951 4.91798 17.5817 4 16 4ZM22.9756 5.7547L23.9937 6.45106L23.4291 7.27645C23.0124 7.88573 22.5973 8.44737 22 9.18629V10C22 17.1797 16.1797 23.0004 8.99999 23.0004C6.55063 23.0004 4.25667 22.3221 2.2991 21.1425L0.0490957 19.7866L2.63116 19.303C3.65598 19.1111 4.63303 18.7832 5.54295 18.3384C2.2211 16.3228 0 12.6716 0 8.49986C0 7.00436 0.285976 5.57322 0.807145 4.25989L1.43146 2.68664L2.5082 3.9926C4.32827 6.20011 6.98916 7.68404 10.0002 7.95517C10.0243 4.6621 12.7012 2 16 2C18.0542 2 19.8659 3.03242 20.9468 4.60378C21.3193 4.4377 21.7107 4.21872 21.9545 4.02219L22.7331 3.39466L23.9882 4.95185L23.2096 5.57938C23.137 5.63789 23.0586 5.6965 22.9756 5.7547Z"
      }
    }]
  };
  var logoTwitter = vue.defineComponent({
    name: "LogoTwitterIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-logo-twitter", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$ed(_objectSpread$ed({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$eb, finalProps.value);
    }
  });

  function ownKeys$ec(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$ec(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$ec(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$ec(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$ea = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M16.75 7.71395C16.8969 7.71395 17.0433 7.71723 17.1892 7.72373C16.1727 4.59379 12.7794 2.29395 8.75 2.29395C3.91751 2.29395 0 5.60188 0 9.68242C0 11.9053 1.16251 13.8989 3.00217 15.2533L2.64999 17.9649L5.4876 16.5403C6.336 16.8283 7.25019 17.0073 8.20586 17.0568C8.07141 16.5205 8 15.9584 8 15.3749C8 10.9242 12.1557 7.71395 16.75 7.71395ZM5.99999 8.04394C5.4477 8.04394 4.99999 7.59623 4.99999 7.04395C4.99999 6.49166 5.4477 6.04394 5.99999 6.04394C6.55227 6.04394 6.99999 6.49166 6.99999 7.04395C6.99999 7.59623 6.55227 8.04394 5.99999 8.04394ZM11.5 8.05127C10.9477 8.05127 10.5 7.60355 10.5 7.05127C10.5 6.49898 10.9477 6.05127 11.5 6.05127C12.0523 6.05127 12.5 6.49898 12.5 7.05127C12.5 7.60355 12.0523 8.05127 11.5 8.05127Z"
      }
    }, {
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M24 15.3749C24 17.0774 23.1874 18.6185 21.8739 19.7336V22.5064L19.4364 21.0991C18.6056 21.3809 17.6991 21.5359 16.75 21.5359C12.7459 21.5359 9.5 18.7776 9.5 15.3749C9.5 11.9723 12.7459 9.21395 16.75 9.21395C20.7541 9.21395 24 11.9723 24 15.3749ZM13.31 13.3719C13.31 13.9242 13.7577 14.3719 14.31 14.3719C14.8623 14.3719 15.31 13.9242 15.31 13.3719C15.31 12.8196 14.8623 12.3719 14.31 12.3719C13.7577 12.3719 13.31 12.8196 13.31 13.3719ZM18.19 13.3719C18.19 13.9242 18.6377 14.3719 19.19 14.3719C19.7423 14.3719 20.19 13.9242 20.19 13.3719C20.19 12.8196 19.7423 12.3719 19.19 12.3719C18.6377 12.3719 18.19 12.8196 18.19 13.3719Z"
      }
    }]
  };
  var logoWechatStrokeFilled = vue.defineComponent({
    name: "LogoWechatStrokeFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-logo-wechat-stroke-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$ec(_objectSpread$ec({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$ea, finalProps.value);
    }
  });

  function ownKeys$eb(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$eb(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$eb(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$eb(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$e9 = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M8.75 4.25C4.85689 4.25 2 6.88401 2 9.79408C2 11.3943 2.83472 12.8796 4.25197 13.9231C4.54488 14.1387 4.69759 14.4964 4.65074 14.8571L4.58136 15.3913L5.41173 14.9745C5.65098 14.8543 5.9284 14.8352 6.1819 14.9212C6.97088 15.1891 7.8375 15.3382 8.75 15.3382C9.00377 15.3382 9.254 15.3266 9.5 15.3042C9.50387 12.0935 12.1736 9.6258 15.4462 9.10286C15.0367 6.47982 12.332 4.25 8.75 4.25ZM17.4568 9.03026C21.0029 9.33461 24 11.9035 24 15.3112C24 16.9476 23.2887 18.413 22.1671 19.5096V21.4591C22.1671 21.8163 21.9765 22.1465 21.6671 22.3251C21.3577 22.5037 20.9765 22.5037 20.6671 22.3251L18.9424 21.3293C18.2488 21.5201 17.5119 21.6224 16.75 21.6224C13.6277 21.6224 10.8262 19.8749 9.85702 17.2784C9.49411 17.3179 9.12461 17.3382 8.75 17.3382C7.77222 17.3382 6.82917 17.2 5.94709 16.9436L3.79583 18.0236C3.4652 18.1896 3.06995 18.1595 2.76828 17.9454C2.46661 17.7312 2.30783 17.368 2.35547 17.0011L2.59463 15.1598C1.0185 13.8152 0 11.9258 0 9.79408C0 5.47576 4.0827 2.25 8.75 2.25C13.1377 2.25 17.0088 5.10087 17.4568 9.03026ZM5.24609 7.49609C5.24609 6.94381 5.69381 6.49609 6.24609 6.49609H6.25C6.80228 6.49609 7.25 6.94381 7.25 7.49609V7.5C7.25 8.05228 6.80228 8.5 6.25 8.5H6.24609C5.69381 8.5 5.24609 8.05228 5.24609 7.5V7.49609ZM10.25 7.50732C10.25 6.95504 10.6977 6.50732 11.25 6.50732H11.2539C11.8062 6.50732 12.2539 6.95504 12.2539 7.50732V7.51123C12.2539 8.06352 11.8062 8.51123 11.2539 8.51123H11.25C10.6977 8.51123 10.25 8.06352 10.25 7.51123V7.50732ZM16.75 11C16.6763 11 16.6029 11.0013 16.53 11.0037C13.5817 11.1038 11.5 13.1303 11.5 15.3112C11.5 15.5359 11.521 15.7559 11.5612 15.9704C11.9293 17.9298 14.0076 19.6224 16.75 19.6224C17.4593 19.6224 18.1322 19.5066 18.7446 19.2989C19.0172 19.2064 19.3165 19.2359 19.5658 19.3798L20.1671 19.727V19.0687C20.1671 18.7751 20.2962 18.4964 20.52 18.3064C21.4616 17.507 22 16.4444 22 15.3112C22 13.0766 19.8083 11 16.75 11ZM13.5561 13.656C13.5561 13.1037 14.0038 12.656 14.5561 12.656H14.56C15.1123 12.656 15.56 13.1037 15.56 13.656V13.6599C15.56 14.2122 15.1123 14.6599 14.56 14.6599H14.5561C14.0038 14.6599 13.5561 14.2122 13.5561 13.6599V13.656ZM17.9361 13.6599C17.9361 13.1076 18.3838 12.6599 18.9361 12.6599H18.94C19.4923 12.6599 19.94 13.1076 19.94 13.6599V13.6638C19.94 14.2161 19.4923 14.6638 18.94 14.6638H18.9361C18.3838 14.6638 17.9361 14.2161 17.9361 13.6638V13.6599Z"
      }
    }]
  };
  var logoWechatStroke = vue.defineComponent({
    name: "LogoWechatStrokeIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-logo-wechat-stroke", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$eb(_objectSpread$eb({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$e9, finalProps.value);
    }
  });

  function ownKeys$ea(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$ea(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$ea(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$ea(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$e8 = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M9.00121 14.2783C8.90179 14.3284 8.78998 14.3572 8.67104 14.3572C8.39631 14.3572 8.1572 14.2058 8.03145 13.9822L5.98105 9.48243C5.95937 9.43474 5.94574 9.38084 5.94574 9.32818C5.94574 9.12562 6.1099 8.96147 6.31246 8.96147C6.39485 8.96147 6.47073 8.98841 6.53205 9.03425L8.89497 10.7167C9.0678 10.8297 9.27408 10.896 9.49584 10.896C9.6281 10.896 9.75447 10.8713 9.87186 10.8285L20.9852 5.88214C18.9934 3.5344 15.7127 2 12 2C5.92468 2 1 6.10391 1 11.1667C1 13.9292 2.48174 16.4154 4.80067 18.096C4.98682 18.2289 5.10855 18.4469 5.10855 18.6931C5.10855 18.7746 5.0912 18.8492 5.06983 18.9267C4.88461 19.6177 4.5882 20.724 4.57426 20.7761C4.55134 20.8625 4.51511 20.9529 4.51511 21.044C4.51511 21.2462 4.67926 21.4107 4.88213 21.4107C4.96142 21.4107 5.02647 21.381 5.09368 21.3423L7.50182 19.9522C7.68301 19.8475 7.87473 19.7828 8.08596 19.7828C8.19839 19.7828 8.30711 19.8001 8.40932 19.8314C9.53301 20.1544 10.745 20.3341 12 20.3341C18.075 20.3341 23 16.2299 23 11.1667C23 9.63327 22.5459 8.18932 21.7472 6.91912L9.08143 14.2318L9.00121 14.2783Z"
      }
    }]
  };
  var logoWechatpayFilled = vue.defineComponent({
    name: "LogoWechatpayFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-logo-wechatpay-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$ea(_objectSpread$ea({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$e8, finalProps.value);
    }
  });

  function ownKeys$e9(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$e9(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$e9(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$e9(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$e7 = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M12 2C15.7127 2 18.9934 3.5344 20.9852 5.88214L21.7472 6.91912C22.5459 8.18932 23 9.63327 23 11.1667C23 16.2299 18.075 20.3341 12 20.3341C10.745 20.3341 9.53301 20.1544 8.40932 19.8314C8.30711 19.8001 8.19839 19.7828 8.08596 19.7828C7.87473 19.7828 7.68301 19.8475 7.50182 19.9522L5.09368 21.3423C5.02647 21.381 4.96142 21.4107 4.88213 21.4107C4.67926 21.4107 4.51511 21.2462 4.51511 21.044C4.51511 20.9756 4.53552 20.9076 4.55539 20.8414C4.562 20.8194 4.56855 20.7976 4.57426 20.7761L5.06983 18.9267C5.0912 18.8492 5.10855 18.7746 5.10855 18.6931C5.10855 18.4469 4.98682 18.2289 4.80067 18.096C2.48174 16.4154 1 13.9292 1 11.1667C1 6.10391 5.92468 2 12 2ZM20.0048 7.92552L9.081 14.2325L9.00078 14.2789C8.90136 14.3291 8.78955 14.3579 8.67061 14.3579C8.39588 14.3579 8.15677 14.2065 8.03102 13.9828L5.98062 9.48311C5.95894 9.43541 5.94531 9.38151 5.94531 9.32886C5.94531 9.12629 6.10947 8.96214 6.31203 8.96214C6.39442 8.96214 6.4703 8.98908 6.53163 9.03492L8.89454 10.7174C9.06737 10.8304 9.27365 10.8967 9.49541 10.8967C9.62767 10.8967 9.75404 10.8719 9.87143 10.8292L19.0594 6.73975C17.4453 5.11296 14.9239 4 12 4C6.67234 4 3 7.53441 3 11.1667C3 13.1731 4.07345 15.0971 5.96976 16.4733C6.46957 16.8325 6.84664 17.3614 7.01373 17.978C7.3257 17.8616 7.68465 17.7828 8.08596 17.7828C8.39696 17.7828 8.6955 17.8296 8.97352 17.9126C9.91734 18.1828 10.9394 18.3341 12 18.3341C17.3272 18.3341 21 14.7995 21 11.1667C21 10.0611 20.6813 9.00289 20.0898 8.04129L20.0048 7.92552Z"
      }
    }]
  };
  var logoWechatpay = vue.defineComponent({
    name: "LogoWechatpayIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-logo-wechatpay", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$e9(_objectSpread$e9({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$e7, finalProps.value);
    }
  });

  function ownKeys$e8(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$e8(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$e8(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$e8(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$e6 = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M17.3261 8.15754L17.3228 8.15069C17.0394 7.56412 16.6404 6.99422 16.1445 6.47713C14.8786 5.17033 13.0776 4.28741 11.0431 4.05986C10.673 4.01979 10.3047 4 9.94957 4C9.62263 4 9.27922 4.0193 8.91865 4.05952L8.91755 4.05965C6.85659 4.28839 5.03568 5.1673 3.77824 6.46538C3.27725 6.98775 2.87802 7.54898 2.58414 8.14712C2.19144 8.95433 2 9.79185 2 10.6574C2 11.7632 2.33191 12.875 2.98788 13.8581L2.99438 13.8678L2.99435 13.8679C3.38549 14.4616 4.08579 15.2583 4.63143 15.6982L5.61433 16.4906L5.40578 17.366L5.93277 17.0993L6.64094 16.7409L7.40215 16.9656C7.86891 17.1034 8.35651 17.1927 8.91862 17.2554L8.9244 17.256C9.26741 17.2953 9.60902 17.3149 9.94957 17.3149C10.3047 17.3149 10.6736 17.295 11.0448 17.2549C11.5031 17.2043 11.955 17.1167 12.3913 16.9973C12.4856 17.6972 12.8215 18.3342 13.3232 18.8066V18.8073H13.3231C12.6647 19.0154 11.9712 19.1649 11.2619 19.243C10.8205 19.2908 10.3791 19.3149 9.94957 19.3149C9.53203 19.3149 9.11448 19.2908 8.69693 19.243C8.05271 19.1712 7.44429 19.0634 6.83585 18.8838L3.99654 20.3207C3.99654 20.3207 3.70563 20.4523 3.55512 20.4523C3.13758 20.4523 2.85357 20.1671 2.85357 19.748C2.85357 19.4959 2.92051 19.1503 2.98248 18.9077L3.37618 17.2552C2.64845 16.6686 1.81334 15.7106 1.32422 14.9682C0.453338 13.663 0 12.1662 0 10.6574C0 9.48394 0.262458 8.34638 0.787376 7.2687C1.18106 6.46641 1.70599 5.73599 2.33827 5.0774C3.94881 3.41297 6.21551 2.34726 8.69693 2.07185C9.1264 2.02395 9.54395 2 9.94957 2C10.3791 2 10.8205 2.02395 11.2619 2.07185C13.7314 2.34726 15.9742 3.42495 17.5847 5.08937C18.217 5.74795 18.7419 6.49037 19.1237 7.28066C19.5895 8.22633 19.8926 9.2182 19.8928 10.2591C19.7117 10.1958 19.5219 10.1488 19.325 10.1201C18.8263 10.0474 18.3382 10.1001 17.8928 10.2544C17.8917 9.60962 17.7043 8.92531 17.3295 8.16436L17.3261 8.15754ZM21.4505 15.1352L21.4266 15.1113C21.4207 15.1053 21.4116 15.0992 21.4026 15.0932C21.3937 15.0873 21.3848 15.0813 21.3788 15.0754L21.2835 14.9796C20.6632 14.3569 20.2693 13.5906 20.1144 12.7883C20.1144 12.7626 20.1109 12.7369 20.1077 12.7131C20.1049 12.6925 20.1023 12.6732 20.1023 12.6566L20.0666 12.5129C20.0069 12.2854 19.8877 12.0698 19.7086 11.9022C19.1719 11.3633 18.2891 11.3633 17.7521 11.9022C17.2153 12.441 17.2153 13.3271 17.7521 13.866C17.943 14.0575 18.1697 14.1773 18.4203 14.2372C18.4442 14.2491 18.48 14.2491 18.5037 14.2491C18.5157 14.2491 18.5306 14.2521 18.5455 14.2551C18.5604 14.2581 18.5753 14.2611 18.5873 14.2611C19.4104 14.4168 20.1859 14.8119 20.8181 15.4465C20.8659 15.4945 20.9136 15.5424 20.9494 15.5902C21.0806 15.722 21.2835 15.722 21.4147 15.5902C21.546 15.4585 21.546 15.267 21.4505 15.1352ZM20.4001 19.5059L20.3762 19.5298C20.257 19.6257 20.0661 19.6257 19.9228 19.4938C19.7916 19.3622 19.7916 19.1586 19.9228 19.027C19.9701 18.9915 20.0171 18.9443 20.0643 18.8969L20.0643 18.8969L20.0661 18.8951C20.6983 18.2605 21.092 17.4823 21.2471 16.656C21.2471 16.6441 21.2501 16.6291 21.2531 16.6142L21.2531 16.6141C21.256 16.5992 21.259 16.5842 21.259 16.5721C21.259 16.5482 21.259 16.5123 21.271 16.4884C21.3307 16.2369 21.4499 16.0093 21.6408 15.8178C22.1776 15.2789 23.0606 15.2789 23.5973 15.8178C24.1341 16.3567 24.1341 17.2427 23.5973 17.7816C23.4303 17.9612 23.2155 18.081 22.9889 18.1408L22.8458 18.1768C22.8292 18.1768 22.8099 18.1793 22.7893 18.1821C22.7656 18.1853 22.74 18.1888 22.7145 18.1888C21.9151 18.3444 21.1517 18.7395 20.5313 19.3622L20.4359 19.4581C20.4299 19.464 20.4239 19.4731 20.4179 19.4821L20.4179 19.4821C20.4119 19.491 20.406 19.4999 20.4001 19.5059ZM16.0095 18.452L16.0334 18.4759C16.0394 18.4819 16.0484 18.488 16.0574 18.494L16.0575 18.4941C16.0663 18.5 16.0752 18.5059 16.081 18.5118L16.1765 18.6075C16.7969 19.2303 17.1905 19.9966 17.3457 20.7989C17.3457 20.8246 17.3491 20.8503 17.3522 20.8741L17.3523 20.8742C17.355 20.8948 17.3575 20.9141 17.3575 20.9307L17.3935 21.0743C17.453 21.3018 17.5723 21.5174 17.7514 21.685C18.2882 22.2239 19.171 22.2239 19.7078 21.685C20.2447 21.1461 20.2447 20.2601 19.7078 19.7212C19.517 19.5296 19.2903 19.4099 19.0397 19.35C19.0158 19.3381 18.9801 19.3381 18.9562 19.3381C18.9443 19.3381 18.9295 19.3351 18.9146 19.3321C18.8997 19.3291 18.8847 19.3261 18.8727 19.3261C18.0496 19.1705 17.2741 18.7753 16.6419 18.1407C16.5941 18.0927 16.5464 18.0448 16.5107 17.997C16.3794 17.8653 16.1765 17.8653 16.0453 17.997C15.9022 18.1286 15.9022 18.3322 16.0095 18.452ZM17.0476 14.0936L17.0715 14.0696C17.2027 13.9619 17.3936 13.9619 17.5248 14.1055C17.6561 14.2373 17.6561 14.4408 17.5248 14.5725C17.4777 14.608 17.4307 14.6551 17.3835 14.7023L17.3816 14.7043C16.7493 15.3389 16.3557 16.1172 16.2005 16.9435C16.2005 16.9554 16.1976 16.9704 16.1946 16.9854C16.1916 17.0003 16.1887 17.0153 16.1887 17.0272C16.1887 17.0513 16.1887 17.0872 16.1768 17.1111C16.1171 17.3626 15.9978 17.59 15.8069 17.7817C15.2701 18.3206 14.3872 18.3206 13.8504 17.7817C13.3135 17.2428 13.3135 16.3567 13.8504 15.8179C14.0174 15.6383 14.2321 15.5185 14.4588 15.4587L14.602 15.4227C14.6186 15.4227 14.6378 15.4201 14.6583 15.4174L14.6583 15.4174H14.6584C14.6821 15.4142 14.7076 15.4107 14.7332 15.4107C15.5325 15.2551 16.296 14.86 16.9163 14.2373L17.0118 14.1415C17.0179 14.1354 17.0239 14.1263 17.0299 14.1173C17.0358 14.1084 17.0417 14.0995 17.0476 14.0936Z"
      }
    }]
  };
  var logoWecom = vue.defineComponent({
    name: "LogoWecomIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-logo-wecom", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$e8(_objectSpread$e8({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$e6, finalProps.value);
    }
  });

  function ownKeys$e7(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$e7(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$e7(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$e7(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$e5 = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M21.75 2.13525V11.75H12.25V3.4924L21.75 2.13525ZM10.75 4.11655V11.75H2.25V5.51482L10.75 4.11655ZM2.25 13.25H10.75V20.8248L2.25 20.0153V13.25ZM12.25 13.25H21.75V21.8673L12.25 20.4819V13.25Z"
      }
    }]
  };
  var logoWindowsFilled = vue.defineComponent({
    name: "LogoWindowsFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-logo-windows-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$e7(_objectSpread$e7({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$e5, finalProps.value);
    }
  });

  function ownKeys$e6(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$e6(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$e6(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$e6(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$e4 = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M22 1.84717V12.0002H12V3.27574L22 1.84717ZM14 5.01033V10.0002H20V4.15319L14 5.01033ZM11 3.82224V12.0002H2V5.30275L11 3.82224ZM4 7.00063V10.0002H9V6.17812L4 7.00063ZM2 13.0002H11V21.0999L2 20.2428V13.0002ZM4 15.0002V18.4242L9 18.9004V15.0002H4ZM12 13.0002H22V22.1566L12 20.6983V13.0002ZM14 15.0002V18.9688L20 19.8438V15.0002H14Z"
      }
    }]
  };
  var logoWindows = vue.defineComponent({
    name: "LogoWindowsIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-logo-windows", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$e6(_objectSpread$e6({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$e4, finalProps.value);
    }
  });

  function ownKeys$e5(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$e5(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$e5(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$e5(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$e3 = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M15.0732 2.5C16.8966 2.49997 18.3664 2.49995 19.5223 2.65537C20.7225 2.81672 21.733 3.16191 22.5355 3.96447C23.3381 4.76702 23.6833 5.77752 23.8446 6.97767C24.0001 8.13363 24 9.6034 24 11.4269V12.5731C24 14.3966 24.0001 15.8664 23.8446 17.0223C23.6833 18.2225 23.3381 19.233 22.5355 20.0355C21.733 20.8381 20.7225 21.1833 19.5223 21.3446C18.3664 21.5001 16.8966 21.5 15.0731 21.5H8.92687C7.1034 21.5 5.63363 21.5001 4.47767 21.3446C3.27752 21.1833 2.26702 20.8381 1.46447 20.0355C0.661914 19.233 0.316722 18.2225 0.155367 17.0223C-4.64767e-05 15.8664 -2.54319e-05 14.3966 6.74122e-07 12.5732V11.4268C-2.54319e-05 9.60336 -4.64767e-05 8.13361 0.155367 6.97767C0.316722 5.77752 0.661914 4.76702 1.46447 3.96447C2.26702 3.16191 3.27752 2.81672 4.47767 2.65537C5.63362 2.49995 7.10339 2.49997 8.92684 2.5H15.0732ZM16.4986 12.0011L9.30078 7.83203V16.1701L16.4986 12.0011Z"
      }
    }]
  };
  var logoYoutubeFilled = vue.defineComponent({
    name: "LogoYoutubeFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-logo-youtube-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$e5(_objectSpread$e5({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$e3, finalProps.value);
    }
  });

  function ownKeys$e4(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$e4(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$e4(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$e4(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$e2 = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "g",
      "attrs": {
        "clipPath": "url(#clip0_8726_9984)"
      },
      "children": [{
        "tag": "path",
        "attrs": {
          "fill": "currentColor",
          "d": "M8.92684 2.5H15.0732C16.8966 2.49997 18.3664 2.49995 19.5223 2.65537C20.7225 2.81672 21.733 3.16191 22.5355 3.96447C23.3381 4.76702 23.6833 5.77752 23.8446 6.97767C24.0001 8.13363 24 9.6034 24 11.4269V12.5731C24 14.3966 24.0001 15.8664 23.8446 17.0223C23.6833 18.2225 23.3381 19.233 22.5355 20.0355C21.733 20.8381 20.7225 21.1833 19.5223 21.3446C18.3664 21.5001 16.8966 21.5 15.0731 21.5H8.92686C7.1034 21.5 5.63363 21.5001 4.47767 21.3446C3.27752 21.1833 2.26702 20.8381 1.46447 20.0355C0.661912 19.233 0.31672 18.2225 0.155365 17.0223C-4.89801e-05 15.8664 -2.68071e-05 14.3966 7.30224e-07 12.5732V11.4268C-2.68071e-05 9.60338 -4.89801e-05 8.13362 0.155365 6.97767C0.31672 5.77752 0.661912 4.76702 1.46447 3.96447C2.26702 3.16191 3.27752 2.81672 4.47767 2.65537C5.63362 2.49995 7.10338 2.49997 8.92684 2.5ZM4.74416 4.63753C3.76579 4.76907 3.2477 5.00966 2.87868 5.37868C2.50966 5.7477 2.26907 6.26579 2.13753 7.24416C2.00213 8.2513 2 9.58611 2 11.5V12.5C2 14.4139 2.00213 15.7487 2.13753 16.7558C2.26907 17.7342 2.50966 18.2523 2.87868 18.6213C3.2477 18.9903 3.76579 19.2309 4.74416 19.3625C5.7513 19.4979 7.08611 19.5 9 19.5H15C16.9139 19.5 18.2487 19.4979 19.2558 19.3625C20.2342 19.2309 20.7523 18.9903 21.1213 18.6213C21.4903 18.2523 21.7309 17.7342 21.8625 16.7558C21.9979 15.7487 22 14.4139 22 12.5V11.5C22 9.58611 21.9979 8.2513 21.8625 7.24416C21.7309 6.2658 21.4903 5.7477 21.1213 5.37868C20.7523 5.00966 20.2342 4.76907 19.2558 4.63753C18.2487 4.50213 16.9139 4.5 15 4.5H9C7.08611 4.5 5.7513 4.50213 4.74416 4.63753ZM8.80078 6.96438L17.4962 12.0008L8.80078 17.0373V6.96438ZM10.8008 10.4341V13.5676L13.5058 12.0008L10.8008 10.4341Z"
        }
      }]
    }]
  };
  var logoYoutube = vue.defineComponent({
    name: "LogoYoutubeIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-logo-youtube", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$e4(_objectSpread$e4({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$e2, finalProps.value);
    }
  });

  function ownKeys$e3(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$e3(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$e3(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$e3(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$e1 = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M21.2072 11.793L15.293 17.7072L13.8788 16.293L17.3788 12.793L7.79297 12.793V10.793L17.3788 10.793L13.8788 7.29297L15.293 5.87876L21.2072 11.793ZM9.79297 4.29297L4.79297 4.29297L4.79297 19.293H9.79297V21.293H2.79297L2.79297 2.29297L9.79297 2.29297V4.29297Z"
      }
    }]
  };
  var logout = vue.defineComponent({
    name: "LogoutIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-logout", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$e3(_objectSpread$e3({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$e1, finalProps.value);
    }
  });

  function ownKeys$e2(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$e2(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$e2(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$e2(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$e0 = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M12 23C5.92487 23 1 18.0751 1 12C1 5.92487 5.92487 1 12 1C18.0751 1 23 5.92487 23 12C23 18.0751 18.0751 23 12 23ZM9 12V8H7V12H9ZM13 12V8H11V12H13ZM11.0039 14H9V16.0039H11.0039V14Z"
      }
    }]
  };
  var lookAroundFilled = vue.defineComponent({
    name: "LookAroundFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-look-around-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$e2(_objectSpread$e2({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$e0, finalProps.value);
    }
  });

  function ownKeys$e1(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$e1(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$e1(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$e1(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$d$ = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M12 3C7.02944 3 3 7.02944 3 12C3 16.9706 7.02944 21 12 21C16.9706 21 21 16.9706 21 12C21 7.02944 16.9706 3 12 3ZM1 12C1 5.92487 5.92487 1 12 1C18.0751 1 23 5.92487 23 12C23 18.0751 18.0751 23 12 23C5.92487 23 1 18.0751 1 12ZM9 8V12H7V8H9ZM13 8V12H11V8H13ZM9 14H11.0039V16.0039H9V14Z"
      }
    }]
  };
  var lookAround = vue.defineComponent({
    name: "LookAroundIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-look-around", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$e1(_objectSpread$e1({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$d$, finalProps.value);
    }
  });

  function ownKeys$e0(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$e0(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$e0(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$e0(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$d_ = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M16 2.38184V16.4999L8.8 13.4999H7.88925L7.71278 14.9999H9.5V16.9999H7.47749L6.88925 21.9999H2V5.99987H8.76393L16 2.38184ZM5.87546 13.4999H4V19.9999H5.11075L5.87546 13.4999ZM20.3329 5.58566L21.04 6.29276C21.9769 7.22968 22.3684 8.63541 22.3684 9.91669C22.3684 11.198 21.9769 12.6037 21.04 13.5406L20.3329 14.2477L18.9187 12.8335L19.6258 12.1264C20.0695 11.6827 20.3684 10.8619 20.3684 9.91669C20.3684 8.97148 20.0695 8.15072 19.6258 7.70698L18.9187 6.99987L20.3329 5.58566ZM18.2496 7.25454L18.9567 7.96165C20.0375 9.0425 20.0375 10.7949 18.9567 11.8758L18.2496 12.5829L16.8354 11.1687L17.5425 10.4615C17.8423 10.1617 17.8423 9.67566 17.5425 9.37586L16.8354 8.66875L18.2496 7.25454Z"
      }
    }]
  };
  var loudspeakerFilled = vue.defineComponent({
    name: "LoudspeakerFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-loudspeaker-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$e0(_objectSpread$e0({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$d_, finalProps.value);
    }
  });

  function ownKeys$d$(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$d$(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$d$(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$d$(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$dZ = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M16 1.38184V15.4999L8.8 12.4999H7.88925L7.71278 13.9999H9.5V15.9999H7.47749L6.88925 20.9999H2V4.99987H8.76393L16 1.38184ZM5.87546 12.4999H4V18.9999H5.11075L5.87546 12.4999ZM4 10.4999H9.2L14 12.4999V4.6179L9.23607 6.99987H4V10.4999ZM20.3329 4.58566L21.04 5.29276C21.9769 6.22968 22.3684 7.6354 22.3684 8.91669C22.3684 10.198 21.9769 11.6037 21.04 12.5406L20.3329 13.2477L18.9187 11.8335L19.6258 11.1264C20.0695 10.6827 20.3684 9.86189 20.3684 8.91669C20.3684 7.97148 20.0695 7.15072 19.6258 6.70698L18.9187 5.99987L20.3329 4.58566ZM18.2496 6.25454L18.9567 6.96165C20.0375 8.0425 20.0375 9.79491 18.9567 10.8758L18.2496 11.5829L16.8354 10.1687L17.5425 9.46154C17.8423 9.16174 17.8423 8.67566 17.5425 8.37586L16.8354 7.66875L18.2496 6.25454Z"
      }
    }]
  };
  var loudspeaker = vue.defineComponent({
    name: "LoudspeakerIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-loudspeaker", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$d$(_objectSpread$d$({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$dZ, finalProps.value);
    }
  });

  function ownKeys$d_(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$d_(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$d_(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$d_(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$dY = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M23 3H1V5.82911L11.9995 11.3798L23 5.82864V3Z"
      }
    }, {
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M23 8.06887L11.9995 13.62L1 8.06934V21L23 21V8.06887Z"
      }
    }]
  };
  var mailFilled = vue.defineComponent({
    name: "MailFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-mail-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$d_(_objectSpread$d_({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$dY, finalProps.value);
    }
  });

  function ownKeys$dZ(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$dZ(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$dZ(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$dZ(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$dX = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M1 3H23V21L1 21V3ZM3 5V6.82947L12 11.3795L21 6.82947V5H3ZM21 9.07053L12 13.6205L3 9.07053V19L21 19V9.07053Z"
      }
    }]
  };
  var mail = vue.defineComponent({
    name: "MailIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-mail", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$dZ(_objectSpread$dZ({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$dX, finalProps.value);
    }
  });

  function ownKeys$dY(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$dY(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$dY(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$dY(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$dW = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M12 1.84229L19 5.92562V11.3271C20.0294 11.7793 20.9266 12.3445 21.6106 13.0141C22.4384 13.8245 23 14.8389 23 16C23 17.9635 21.4342 19.472 19.5183 20.4299C17.5425 21.4178 14.883 22 12 22C9.11699 22 6.45748 21.4178 4.48172 20.4299C2.56577 19.472 1 17.9635 1 16C1 14.8389 1.56155 13.8245 2.38936 13.0141C3.07342 12.3445 3.97057 11.7793 5 11.3271L5 5.92562L12 1.84229ZM5 13.5588C4.50904 13.8362 4.10308 14.1353 3.78841 14.4433C3.22379 14.996 3 15.5255 3 16C3 16.7979 3.67281 17.7894 5.37615 18.6411C7.01967 19.4629 9.36016 20 12 20C14.6398 20 16.9803 19.4629 18.6239 18.6411C20.3272 17.7894 21 16.7979 21 16C21 15.5255 20.7762 14.996 20.2116 14.4433C19.8969 14.1353 19.491 13.8362 19 13.5588V14.0744L12 18.1577L5 14.0744V13.5588ZM11.866 15.759V10.0882L7 7.36469V12.9256L11.866 15.759Z"
      }
    }]
  };
  var map3dFilled = vue.defineComponent({
    name: "Map3DFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-map-3d-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$dY(_objectSpread$dY({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$dW, finalProps.value);
    }
  });

  function ownKeys$dX(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$dX(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$dX(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$dX(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$dV = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M12 1.84229L19 5.92562V11.3271C20.0294 11.7793 20.9266 12.3445 21.6106 13.0141C22.4384 13.8245 23 14.8389 23 16C23 17.9635 21.4342 19.472 19.5183 20.43C17.5425 21.4178 14.883 22 12 22C9.11699 22 6.45748 21.4178 4.48172 20.43C2.56577 19.472 1 17.9635 1 16C1 14.8389 1.56155 13.8245 2.38936 13.0141C3.07342 12.3445 3.97057 11.7793 5 11.3271V5.92562L12 1.84229ZM5 13.5588C4.50904 13.8362 4.10308 14.1353 3.78841 14.4433C3.22379 14.996 3 15.5255 3 16C3 16.7979 3.67281 17.7894 5.37615 18.6411C7.01967 19.4629 9.36016 20 12 20C14.6398 20 16.9803 19.4629 18.6239 18.6411C20.3272 17.7894 21 16.7979 21 16C21 15.5255 20.7762 14.996 20.2116 14.4433C19.8969 14.1353 19.491 13.8362 19 13.5588V14.0744L12 18.1577L5 14.0744V13.5588ZM17 12.9256V8.36469L13 10.5882V15.259L17 12.9256ZM11 15.259V10.5882L7 8.36469V12.9256L11 15.259ZM7.87595 6.56339L12 8.85587L16.124 6.56339L12 4.15769L7.87595 6.56339Z"
      }
    }]
  };
  var map3d = vue.defineComponent({
    name: "Map3DIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-map-3d", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$dX(_objectSpread$dX({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$dV, finalProps.value);
    }
  });

  function ownKeys$dW(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$dW(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$dW(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$dW(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$dU = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M7.5 2.71717L2 5.9255V21.4999L7.5 19.2326V2.71717zM9.5 18.9095L12.7445 20.8256C11.9618 19.7522 11.5 18.43 11.5 16.9999 11.5 14.6987 12.6958 12.6768 14.5 11.5217V5.09027L9.5 2.13745V18.9095zM22 2.49987V11.876C20.897 11.0138 19.5085 10.4999 18 10.4999 17.4837 10.4999 16.9815 10.5601 16.5 10.6738V4.76719L22 2.49987z"
      }
    }, {
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M19 15.9999V11.9999H17V15.9999H13V17.9999H17V21.9999H19V17.9999H23V15.9999H19Z"
      }
    }]
  };
  var mapAddFilled = vue.defineComponent({
    name: "MapAddFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-map-add-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$dW(_objectSpread$dW({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$dU, finalProps.value);
    }
  });

  function ownKeys$dV(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$dV(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$dV(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$dV(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$dT = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M7.88647 1.85889L15.9717 5.39618L22 2.38204V11.0001H20V5.61811L17 7.11811V11.0001H15V7.15409L9 4.52909V15.382L11.3396 16.5518L10.4452 18.3407L8.04378 17.14L2 20.7663V5.97942L7.88647 1.85889ZM7 15.4339V4.92073L4 7.02073V17.2339L7 15.4339ZM19 12.0001V16.0001H23V18.0001H19V22.0001H17V18.0001H13V16.0001H17V12.0001H19Z"
      }
    }]
  };
  var mapAdd = vue.defineComponent({
    name: "MapAddIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-map-add", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$dV(_objectSpread$dV({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$dT, finalProps.value);
    }
  });

  function ownKeys$dU(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$dU(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$dU(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$dU(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$dS = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M7.44412 12.0002C7.44412 9.4842 9.48371 7.44461 11.9997 7.44461C14.5156 7.44461 16.5552 9.4842 16.5552 12.0002C16.5552 14.5161 14.5156 16.5557 11.9997 16.5557C9.48371 16.5557 7.44412 14.5161 7.44412 12.0002ZM11.9997 9.88905C10.8337 9.88905 9.88856 10.8342 9.88856 12.0002C9.88856 13.1661 10.8337 14.1113 11.9997 14.1113C13.1656 14.1113 14.1108 13.1661 14.1108 12.0002C14.1108 10.8342 13.1656 9.88905 11.9997 9.88905Z"
      }
    }, {
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M12 23C5.92487 23 1 18.0751 1 12C1 5.92487 5.92487 1 12 1C18.0751 1 23 5.92487 23 12C23 18.0751 18.0751 23 12 23ZM12.9997 5.52039V4.3335H10.9997V5.52039C8.17982 5.952 5.95151 8.18031 5.51991 11.0002H4.33301V13.0002H5.51991C5.95151 15.82 8.17982 18.0483 10.9997 18.4799V19.6668H12.9997V18.4799C15.8195 18.0483 18.0478 15.82 18.4794 13.0002H19.6663V11.0002H18.4794C18.0478 8.18031 15.8195 5.952 12.9997 5.52039Z"
      }
    }]
  };
  var mapAimingFilled = vue.defineComponent({
    name: "MapAimingFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-map-aiming-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$dU(_objectSpread$dU({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$dS, finalProps.value);
    }
  });

  function ownKeys$dT(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$dT(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$dT(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$dT(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$dR = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M12 3C7.02944 3 3 7.02944 3 12C3 16.9706 7.02944 21 12 21C16.9706 21 21 16.9706 21 12C21 7.02944 16.9706 3 12 3ZM1 12C1 5.92487 5.92487 1 12 1C18.0751 1 23 5.92487 23 12C23 18.0751 18.0751 23 12 23C5.92487 23 1 18.0751 1 12ZM13 4.33333V5.52023C15.8199 5.95183 18.0482 8.18015 18.4798 11H19.6667V13H18.4798C18.0482 15.8199 15.8199 18.0482 13 18.4798V19.6667H11V18.4798C8.18015 18.0482 5.95183 15.8199 5.52023 13H4.33333V11H5.52023C5.95183 8.18015 8.18015 5.95183 11 5.52023V4.33333H13ZM12 7.44444C9.48404 7.44444 7.44444 9.48404 7.44444 12C7.44444 14.516 9.48404 16.5556 12 16.5556C14.516 16.5556 16.5556 14.516 16.5556 12C16.5556 9.48404 14.516 7.44444 12 7.44444ZM12 11.8889C11.9386 11.8889 11.8889 11.9386 11.8889 12C11.8889 12.0614 11.9386 12.1111 12 12.1111C12.0614 12.1111 12.1111 12.0614 12.1111 12C12.1111 11.9386 12.0614 11.8889 12 11.8889ZM9.88889 12C9.88889 10.8341 10.8341 9.88889 12 9.88889C13.1659 9.88889 14.1111 10.8341 14.1111 12C14.1111 13.1659 13.1659 14.1111 12 14.1111C10.8341 14.1111 9.88889 13.1659 9.88889 12Z"
      }
    }]
  };
  var mapAiming = vue.defineComponent({
    name: "MapAimingIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-map-aiming", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$dT(_objectSpread$dT({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$dR, finalProps.value);
    }
  });

  function ownKeys$dS(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$dS(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$dS(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$dS(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$dQ = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M7.5 2.71717L2 5.9255V21.4999L7.5 19.2326V2.71717zM9.5 18.9095L11.8117 20.2747C11.2935 19.2975 11 18.183 11 16.9999 11 14.4089 12.4077 12.1467 14.5 10.9364V5.09027L9.5 2.13745V18.9095zM22 2.49987V11.2546C20.8662 10.4637 19.4872 9.99988 18 9.99988 17.4851 9.99988 16.9832 10.0555 16.5 10.161V4.76719L22 2.49987z"
      }
    }, {
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M18 11.4999C14.9624 11.4999 12.5 13.9623 12.5 16.9999C12.5 18.5183 13.1167 19.8947 14.1108 20.8889C15.105 21.8831 16.4814 22.4999 18 22.4999C21.0376 22.4999 23.5 20.0374 23.5 16.9999C23.5 15.4814 22.8833 14.1051 21.8892 13.1109C20.895 12.1166 19.5186 11.4999 18 11.4999ZM14.5 16.9999C14.5 15.0669 16.067 13.4999 18 13.4999C18.6032 13.4999 19.1701 13.652 19.6654 13.9205L14.9205 18.6651C14.652 18.1699 14.5 17.603 14.5 16.9999ZM16.3346 20.0793L21.0795 15.3347C21.348 15.8299 21.5 16.3968 21.5 16.9999C21.5 18.9329 19.933 20.4999 18 20.4999C17.3968 20.4999 16.8299 20.3478 16.3346 20.0793Z"
      }
    }]
  };
  var mapBlockedFilled = vue.defineComponent({
    name: "MapBlockedFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-map-blocked-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$dS(_objectSpread$dS({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$dQ, finalProps.value);
    }
  });

  function ownKeys$dR(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$dR(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$dR(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$dR(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$dP = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M9 1.84229L15.0744 5.38567L22 2.49999V10.5H20V5.49999L16 7.16666V10.5H14V7.07436L10 4.74103V16.9256L11.8677 18.0151L10.8599 19.7426L8.92563 18.6143L2 21.5V5.92562L9 1.84229ZM8 16.8333V4.74103L4 7.07436V18.5L8 16.8333ZM18 13.5C16.067 13.5 14.5 15.067 14.5 17C14.5 17.6031 14.652 18.17 14.9205 18.6652L19.6654 13.9206C19.1701 13.6521 18.6032 13.5 18 13.5ZM21.0795 15.3348L16.3346 20.0794C16.8299 20.3479 17.3968 20.5 18 20.5C19.933 20.5 21.5 18.933 21.5 17C21.5 16.3969 21.348 15.83 21.0795 15.3348ZM12.5 17C12.5 13.9624 14.9624 11.5 18 11.5C19.5186 11.5 20.895 12.1167 21.8892 13.111C22.8833 14.1052 23.5 15.4815 23.5 17C23.5 20.0376 21.0376 22.5 18 22.5C16.4814 22.5 15.105 21.8832 14.1108 20.889C13.1167 19.8948 12.5 18.5184 12.5 17Z"
      }
    }]
  };
  var mapBlocked = vue.defineComponent({
    name: "MapBlockedIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-map-blocked", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$dR(_objectSpread$dR({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$dP, finalProps.value);
    }
  });

  function ownKeys$dQ(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$dQ(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$dQ(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$dQ(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$dO = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M15.0744 5.38567L22 2.49999V18.0744L15 22.1577L8.92563 18.6143L2 21.5V5.92562L9 1.84229L15.0744 5.38567ZM7.5 7.5C6.5335 7.5 5.75 8.2835 5.75 9.25C5.75 10.2165 6.5335 11 7.5 11C8.4665 11 9.25 10.2165 9.25 9.25C9.25 8.2835 8.4665 7.5 7.5 7.5ZM14 8.5C13.0335 8.5 12.25 9.2835 12.25 10.25C12.25 11.2165 13.0335 12 14 12C14.9665 12 15.75 11.2165 15.75 10.25C15.75 9.2835 14.9665 8.5 14 8.5ZM10 12C9.0335 12 8.25 12.7835 8.25 13.75C8.25 14.7165 9.0335 15.5 10 15.5C10.9665 15.5 11.75 14.7165 11.75 13.75C11.75 12.7835 10.9665 12 10 12ZM16.5 13C15.5335 13 14.75 13.7835 14.75 14.75C14.75 15.7165 15.5335 16.5 16.5 16.5C17.4665 16.5 18.25 15.7165 18.25 14.75C18.25 13.7835 17.4665 13 16.5 13Z"
      }
    }]
  };
  var mapBubbleFilled = vue.defineComponent({
    name: "MapBubbleFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-map-bubble-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$dQ(_objectSpread$dQ({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$dO, finalProps.value);
    }
  });

  function ownKeys$dP(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$dP(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$dP(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$dP(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$dN = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M9 1.84229L15.0744 5.38567L22 2.49999V18.0744L15 22.1577L8.92563 18.6143L2 21.5V5.92562L9 1.84229ZM4 7.07436V18.5L9.07437 16.3857L15 19.8423L20 16.9256V5.49999L14.9256 7.61431L9 4.15769L4 7.07436ZM7.5 9.49999C7.63807 9.49999 7.75 9.38806 7.75 9.24999C7.75 9.11192 7.63807 8.99999 7.5 8.99999C7.36193 8.99999 7.25 9.11192 7.25 9.24999C7.25 9.38806 7.36193 9.49999 7.5 9.49999ZM5.75 9.24999C5.75 8.28349 6.5335 7.49999 7.5 7.49999C8.4665 7.49999 9.25 8.28349 9.25 9.24999C9.25 10.2165 8.4665 11 7.5 11C6.5335 11 5.75 10.2165 5.75 9.24999ZM14 10.5C14.1381 10.5 14.25 10.3881 14.25 10.25C14.25 10.1119 14.1381 9.99999 14 9.99999C13.8619 9.99999 13.75 10.1119 13.75 10.25C13.75 10.3881 13.8619 10.5 14 10.5ZM12.25 10.25C12.25 9.28349 13.0335 8.49999 14 8.49999C14.9665 8.49999 15.75 9.28349 15.75 10.25C15.75 11.2165 14.9665 12 14 12C13.0335 12 12.25 11.2165 12.25 10.25ZM10 14C10.1381 14 10.25 13.8881 10.25 13.75C10.25 13.6119 10.1381 13.5 10 13.5C9.86193 13.5 9.75 13.6119 9.75 13.75C9.75 13.8881 9.86193 14 10 14ZM8.25 13.75C8.25 12.7835 9.0335 12 10 12C10.9665 12 11.75 12.7835 11.75 13.75C11.75 14.7165 10.9665 15.5 10 15.5C9.0335 15.5 8.25 14.7165 8.25 13.75ZM16.5 15C16.6381 15 16.75 14.8881 16.75 14.75C16.75 14.6119 16.6381 14.5 16.5 14.5C16.3619 14.5 16.25 14.6119 16.25 14.75C16.25 14.8881 16.3619 15 16.5 15ZM14.75 14.75C14.75 13.7835 15.5335 13 16.5 13C17.4665 13 18.25 13.7835 18.25 14.75C18.25 15.7165 17.4665 16.5 16.5 16.5C15.5335 16.5 14.75 15.7165 14.75 14.75Z"
      }
    }]
  };
  var mapBubble = vue.defineComponent({
    name: "MapBubbleIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-map-bubble", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$dP(_objectSpread$dP({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$dN, finalProps.value);
    }
  });

  function ownKeys$dO(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$dO(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$dO(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$dO(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$dM = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M6.5 2.71741L1 5.92575V21.5001L6.5 19.2328V2.71741zM8.5 18.9097L13.5 21.8625V21.6904C12.2673 20.5075 11.5 18.8434 11.5 17 11.5 15.1566 12.2673 13.4925 13.5 12.3096V5.09051L8.5 2.1377V18.9097zM21 2.50012V11.2322C20.1025 10.7644 19.0821 10.5 18 10.5 17.1141 10.5 16.2696 10.6772 15.5 10.9982V4.76744L21 2.50012zM20.8289 12.7573L18.0005 15.5857 15.172 12.7573 13.7578 14.1715 16.5862 17 13.7578 19.8284 15.172 21.2426 18.0005 18.4142 20.8289 21.2426 22.2431 19.8284 19.4147 17 22.2431 14.1715 20.8289 12.7573z"
      }
    }]
  };
  var mapCancelFilled = vue.defineComponent({
    name: "MapCancelFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-map-cancel-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$dO(_objectSpread$dO({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$dM, finalProps.value);
    }
  });

  function ownKeys$dN(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$dN(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$dN(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$dN(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$dL = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M9 1.84229L15.0744 5.38567L22 2.49999V11H20V5.49999L16 7.16666V11H14V7.07436L10 4.74103V16.9256L11.8677 18.0151L10.8599 19.7426L8.92563 18.6143L2 21.5V5.92562L9 1.84229ZM8 16.8333V4.74103L4 7.07436V18.5L8 16.8333ZM15.1719 12.7574L18.0003 15.5858L20.8287 12.7574L22.2429 14.1716L19.4145 17L22.2429 19.8285L20.8287 21.2427L18.0003 18.4143L15.1719 21.2427L13.7577 19.8285L16.5861 17L13.7577 14.1716L15.1719 12.7574Z"
      }
    }]
  };
  var mapCancel = vue.defineComponent({
    name: "MapCancelIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-map-cancel", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$dN(_objectSpread$dN({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$dL, finalProps.value);
    }
  });

  function ownKeys$dM(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$dM(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$dM(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$dM(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$dK = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M7.5 2.71741L2 5.92575V21.5001L7.5 19.2328V2.71741zM9.5 18.9097L11.5 20.0908V11.5H14.5V5.09051L9.5 2.1377V18.9097zM22 2.50012V11.5H16.5V4.76744L22 2.50012z"
      }
    }, {
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M23 13.5H13.5L13.5 22.5174L17.7075 20.4971L23 20.4971V13.5Z"
      }
    }]
  };
  var mapChatFilled = vue.defineComponent({
    name: "MapChatFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-map-chat-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$dM(_objectSpread$dM({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$dK, finalProps.value);
    }
  });

  function ownKeys$dL(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$dL(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$dL(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$dL(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$dJ = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M9 1.84229L15.0744 5.38567L22 2.49999V11H20V5.49999L16 7.16666V9.99999H14V7.07436L10 4.74103V16.9256L11.8677 18.0151L10.8599 19.7426L8.92563 18.6143L2 21.5V5.92562L9 1.84229ZM8 16.8333V4.74103L4 7.07436V18.5L8 16.8333ZM13 13H23V20.4971L17.7075 20.4971L13 22.5174L13 13ZM15 15L15 19.4826L17.2964 18.4971L21 18.4971V15H15Z"
      }
    }]
  };
  var mapChat = vue.defineComponent({
    name: "MapChatIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-map-chat", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$dL(_objectSpread$dL({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$dJ, finalProps.value);
    }
  });

  function ownKeys$dK(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$dK(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$dK(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$dK(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$dI = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M6.5 2.71741L1 5.92575V21.5001L6.5 19.2328V2.71741zM8.5 18.9097L13.5 21.8625V21.6904C12.2673 20.5075 11.5 18.8434 11.5 17 11.5 15.1566 12.2673 13.4925 13.5 12.3096V5.09051L8.5 2.1377V18.9097zM21 2.50012V11.2322C20.1025 10.7644 19.0821 10.5 18 10.5 17.1141 10.5 16.2696 10.6772 15.5 10.9982V4.76744L21 2.50012z"
      }
    }, {
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M16.5864 21.6572L23.6575 14.5861L22.2432 13.1719L16.5864 18.8287L13.758 16.0003L12.3437 17.4145L16.5864 21.6572Z"
      }
    }]
  };
  var mapCheckedFilled = vue.defineComponent({
    name: "MapCheckedFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-map-checked-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$dK(_objectSpread$dK({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$dI, finalProps.value);
    }
  });

  function ownKeys$dJ(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$dJ(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$dJ(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$dJ(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$dH = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M9 1.84229L15.0744 5.38567L22 2.49999V12H20V5.49999L16 7.16666V12H14V7.07436L10 4.74103V16.9256L11.8677 18.0151L10.8599 19.7426L8.92563 18.6143L2 21.5V5.92562L9 1.84229ZM8 16.8333V4.74103L4 7.07436V18.5L8 16.8333ZM23.6573 14.5859L16.5862 21.657L12.3436 17.4144L13.7578 16.0001L16.5862 18.8286L22.2431 13.1717L23.6573 14.5859Z"
      }
    }]
  };
  var mapChecked = vue.defineComponent({
    name: "MapCheckedIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-map-checked", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$dJ(_objectSpread$dJ({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$dH, finalProps.value);
    }
  });

  function ownKeys$dI(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$dI(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$dI(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$dI(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$dG = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M7.5 2.71717L2 5.9255V21.4999L7.5 19.2326V2.71717zM9.5 18.9095L12.2987 20.5623C11.4811 19.4168 11 18.0145 11 16.4999 11 13.9089 12.4077 11.6467 14.5 10.4364V5.09027L9.5 2.13745V18.9095zM22 2.49987V10.7546C20.8662 9.9637 19.4872 9.49988 18 9.49988 17.4851 9.49988 16.9832 9.55547 16.5 9.66097V4.76719L22 2.49987z"
      }
    }, {
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M20.211 13.9568L18.0002 10.7308L15.7893 13.9568L12.0381 15.0625L14.4229 18.1621L14.3154 22.0714L18.0002 20.7611L21.6849 22.0714L21.5774 18.1621L23.9623 15.0625L20.211 13.9568Z"
      }
    }]
  };
  var mapCollectionFilled = vue.defineComponent({
    name: "MapCollectionFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-map-collection-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$dI(_objectSpread$dI({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$dG, finalProps.value);
    }
  });

  function ownKeys$dH(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$dH(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$dH(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$dH(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$dF = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M9 1.84229L15.0744 5.38567L22 2.49999V10.5H20V5.49999L16 7.16666V9.49999H14V7.07436L10 4.74103V16.9256L11.8677 18.0151L10.8599 19.7426L8.92563 18.6143L2 21.5V5.92562L9 1.84229ZM8 16.8333V4.74103L4 7.07436V18.5L8 16.8333ZM18 10.7311L20.2109 13.957L23.9621 15.0628L21.5773 18.1623L21.6848 22.0716L18 20.7613L14.3152 22.0716L14.4227 18.1623L12.0379 15.0628L15.7891 13.957L18 10.7311ZM18 14.2689L17.0368 15.6743L15.4026 16.156L16.4415 17.5064L16.3947 19.2095L18 18.6386L19.6053 19.2095L19.5585 17.5064L20.5974 16.156L18.9632 15.6743L18 14.2689Z"
      }
    }]
  };
  var mapCollection = vue.defineComponent({
    name: "MapCollectionIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-map-collection", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$dH(_objectSpread$dH({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$dF, finalProps.value);
    }
  });

  function ownKeys$dG(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$dG(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$dG(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$dG(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$dE = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M2 6C2 3.79086 3.79086 2 6 2C7.86384 2 9.42994 3.27477 9.87398 5H18.0828L18.1644 5.01361C18.7904 5.11793 19.7025 5.42021 20.4834 6.01889C21.2894 6.6368 22 7.61442 22 9C22 10.3856 21.2894 11.3632 20.4834 11.9811C19.7025 12.5798 18.7904 12.8821 18.1644 12.9864L18.0828 13H6C5.76324 13 5.22785 13.1483 4.7497 13.5309C4.30321 13.8881 4 14.3717 4 15C4 15.6283 4.30321 16.1119 4.7497 16.4691C5.22785 16.8517 5.76324 17 6 17H17V14.5L21.6667 18L17 21.5V19H6C5.23676 19 4.27215 18.6483 3.5003 18.0309C2.69679 17.3881 2 16.3717 2 15C2 13.6283 2.69679 12.6119 3.5003 11.9691C4.27215 11.3517 5.23676 11 6 11H17.9098C18.2842 10.9254 18.8274 10.7306 19.2666 10.3939C19.7106 10.0535 20 9.61442 20 9C20 8.38558 19.7106 7.94653 19.2666 7.60611C18.8274 7.26943 18.2842 7.07465 17.9098 7H9.87398C9.42994 8.72523 7.86384 10 6 10C3.79086 10 2 8.20914 2 6Z"
      }
    }]
  };
  var mapConnectionFilled = vue.defineComponent({
    name: "MapConnectionFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-map-connection-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$dG(_objectSpread$dG({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$dE, finalProps.value);
    }
  });

  function ownKeys$dF(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$dF(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$dF(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$dF(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$dD = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M6 4C4.89543 4 4 4.89543 4 6C4 7.10457 4.89543 8 6 8C7.10457 8 8 7.10457 8 6C8 4.89543 7.10457 4 6 4ZM2 6C2 3.79086 3.79086 2 6 2C7.86384 2 9.42994 3.27477 9.87398 5H18.0828L18.1644 5.01361C18.7904 5.11793 19.7025 5.42021 20.4834 6.01889C21.2894 6.6368 22 7.61442 22 9C22 10.3856 21.2894 11.3632 20.4834 11.9811C19.7025 12.5798 18.7904 12.8821 18.1644 12.9864L18.0828 13H6C5.76324 13 5.22785 13.1483 4.7497 13.5309C4.30321 13.8881 4 14.3717 4 15C4 15.6283 4.30321 16.1119 4.7497 16.4691C5.22785 16.8517 5.76324 17 6 17H17V14.5L21.6667 18L17 21.5V19H6C5.23676 19 4.27215 18.6483 3.5003 18.0309C2.69679 17.3881 2 16.3717 2 15C2 13.6283 2.69679 12.6119 3.5003 11.9691C4.27215 11.3517 5.23676 11 6 11H17.9098C18.2842 10.9254 18.8274 10.7306 19.2666 10.3939C19.7106 10.0535 20 9.61442 20 9C20 8.38558 19.7106 7.94653 19.2666 7.60611C18.8274 7.26943 18.2842 7.07465 17.9098 7H9.87398C9.42994 8.72523 7.86384 10 6 10C3.79086 10 2 8.20914 2 6Z"
      }
    }]
  };
  var mapConnection = vue.defineComponent({
    name: "MapConnectionIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-map-connection", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$dF(_objectSpread$dF({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$dD, finalProps.value);
    }
  });

  function ownKeys$dE(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$dE(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$dE(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$dE(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$dC = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M16.0003 7.5C16.0003 7.22386 16.2242 7 16.5003 7 16.7765 7 17.0003 7.22386 17.0003 7.5 17.0003 7.72205 16.8432 8.04533 16.5123 8.40726L16.5004 8.42026 16.4884 8.40723C16.1574 8.04524 16.0003 7.72197 16.0003 7.5zM8.00034 10.5C8.00034 10.2239 8.2242 10 8.50034 10 8.77649 10 9.00034 10.2239 9.00034 10.5 9.00034 10.722 8.84323 11.0453 8.51231 11.4073L8.50037 11.4203 8.48839 11.4072C8.15744 11.0452 8.00034 10.722 8.00034 10.5z"
      }
    }, {
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M22 2V22H2V2H22ZM16.3129 10.8359C16.3755 10.8784 16.4381 10.9208 16.5003 10.9636C16.5625 10.9208 16.6251 10.8784 16.6877 10.836C16.9203 10.6783 17.1532 10.5205 17.3701 10.342C17.5367 10.2049 17.761 10.0055 17.9884 9.7568C18.4075 9.29842 19.0003 8.4967 19.0003 7.5C19.0003 6.11929 17.8811 5 16.5003 5C15.1196 5 14.0003 6.11929 14.0003 7.5C14.0003 8.49664 14.5932 9.29837 15.0123 9.75673C15.2397 10.0054 15.4639 10.2049 15.6305 10.3419C15.8475 10.5205 16.0803 10.6783 16.3129 10.8359ZM8.30186 13.8287C8.36818 13.8735 8.43447 13.9183 8.5003 13.9636C8.56616 13.9183 8.63246 13.8735 8.69879 13.8287C8.85508 13.7232 9.01151 13.6176 9.1625 13.505C9.21479 13.466 9.2861 13.4111 9.37014 13.342C9.53672 13.2049 9.76099 13.0055 9.98837 12.7568C10.4075 12.2984 11.0003 11.4967 11.0003 10.5C11.0003 9.11929 9.88106 8 8.50034 8C7.11963 8 6.00034 9.11929 6.00034 10.5C6.00034 11.4966 6.59324 12.2984 7.0123 12.7567C7.23968 13.0054 7.46394 13.2049 7.63051 13.3419C7.71455 13.4111 7.78585 13.466 7.83814 13.505C7.98914 13.6176 8.14557 13.7232 8.30186 13.8287ZM13.9151 15.7875L19.7878 13.5852L19.0855 11.7125L13.2129 13.9148L13.9151 15.7875ZM5.91514 18.7875L11.7878 16.5852L11.0855 14.7125L5.21289 16.9148L5.91514 18.7875Z"
      }
    }]
  };
  var mapDistanceFilled = vue.defineComponent({
    name: "MapDistanceFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-map-distance-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$dE(_objectSpread$dE({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$dC, finalProps.value);
    }
  });

  function ownKeys$dD(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$dD(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$dD(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$dD(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$dB = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M2 2H22V22H2V2ZM4 4V20H20V4H4ZM16.5 7C16.2239 7 16 7.22386 16 7.5C16 7.72197 16.1571 8.04524 16.488 8.40723C16.492 8.41159 16.496 8.41594 16.5 8.42026C16.504 8.41595 16.508 8.41161 16.512 8.40726C16.8429 8.04533 17 7.72205 17 7.5C17 7.22386 16.7761 7 16.5 7ZM16.5 10.9636C16.2064 10.7617 15.9055 10.5685 15.6302 10.3419C15.4636 10.2049 15.2393 10.0054 15.012 9.75673C14.5929 9.29837 14 8.49664 14 7.5C14 6.11929 15.1193 5 16.5 5C17.8807 5 19 6.11929 19 7.5C19 8.4967 18.4071 9.29842 17.988 9.7568C17.7606 10.0055 17.5364 10.2049 17.3698 10.342C17.0944 10.5686 16.7935 10.7617 16.5 10.9636ZM8.5 10C8.22386 10 8 10.2239 8 10.5C8 10.722 8.1571 11.0452 8.48804 11.4072C8.49203 11.4116 8.49603 11.4159 8.50002 11.4203C8.50401 11.4159 8.50799 11.4116 8.51197 11.4073C8.84288 11.0453 9 10.722 9 10.5C9 10.2239 8.77614 10 8.5 10ZM8.49996 13.9636C8.27896 13.8116 8.05286 13.6653 7.83779 13.505C7.78551 13.466 7.7142 13.4111 7.63016 13.3419C7.46359 13.2049 7.23933 13.0054 7.01196 12.7567C6.5929 12.2984 6 11.4966 6 10.5C6 9.11929 7.11929 8 8.5 8C9.88071 8 11 9.11929 11 10.5C11 11.4967 10.4071 12.2984 9.98803 12.7568C9.76065 13.0055 9.53638 13.2049 9.3698 13.342C9.28576 13.4111 9.21445 13.466 9.16216 13.505C8.94709 13.6654 8.72098 13.8116 8.49996 13.9636ZM19.7875 13.5852L13.9148 15.7875L13.2125 13.9148L19.0852 11.7125L19.7875 13.5852ZM11.7875 16.5852L5.91479 18.7875L5.21255 16.9148L11.0852 14.7125L11.7875 16.5852Z"
      }
    }]
  };
  var mapDistance = vue.defineComponent({
    name: "MapDistanceIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-map-distance", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$dD(_objectSpread$dD({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$dB, finalProps.value);
    }
  });

  function ownKeys$dC(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$dC(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$dC(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$dC(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$dA = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M7.5 1.84229L12.0744 4.51067L17.5 2.24999V8.62499L22 6.74999V18.9494L16.5 22.1577L11.9256 19.4893L6.5 21.75V15.375L2 17.25V5.05062L7.5 1.84229ZM17.5 10.7917L17.5 19.259L20 17.8006V9.74999L17.5 10.7917ZM15.5 19.259L15.5 10.6994L13 9.24103V17.8006L15.5 19.259ZM11 17.7083V9.24103L8.5 10.6994V18.75L11 17.7083Z"
      }
    }]
  };
  var mapDoubleFilled = vue.defineComponent({
    name: "MapDoubleFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-map-double-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$dC(_objectSpread$dC({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$dA, finalProps.value);
    }
  });

  function ownKeys$dB(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$dB(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$dB(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$dB(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$dz = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M7.5 1.84229L12.0744 4.51067L17.5 2.24999V8.62499L22 6.74999V18.9494L16.5 22.1577L11.9256 19.4893L6.5 21.75V15.375L2 17.25V5.05062L7.5 1.84229ZM6.5 13.2083V9.55062L11.6225 6.56249L7.5 4.15769L4 6.19936V14.25L6.5 13.2083ZM12.366 6.55581L15.5 8.38395V5.24999L12.366 6.55581ZM17.5 10.7917L17.5 19.259L20 17.8006V9.74999L17.5 10.7917ZM15.5 19.259L15.5 10.6994L13 9.24103V17.8006L15.5 19.259ZM11 17.7083V9.24103L8.5 10.6994V18.75L11 17.7083Z"
      }
    }]
  };
  var mapDouble = vue.defineComponent({
    name: "MapDoubleIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-map-double", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$dB(_objectSpread$dB({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$dz, finalProps.value);
    }
  });

  function ownKeys$dA(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$dA(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$dA(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$dA(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$dy = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M7.5 2.71741L2 5.92575V21.5001L7.5 19.2328V2.71741zM9.5 18.9097L10.5003 19.5004 10.5 18.5448 14.5 14.5448V5.09051L9.5 2.1377V18.9097zM22 2.50012V11.4709L19.7869 9.25781 16.5 12.5448V4.76744L22 2.50012zM23.9143 16.2136L19.7867 12.0859 12.5 19.3726 12.5012 23.5002H16.6277L23.9143 16.2136zM17.4507 17.2504L18.7499 18.5496 15.7993 21.5002H14.5006L14.5002 20.2008 17.4507 17.2504z"
      }
    }]
  };
  var mapEditFilled = vue.defineComponent({
    name: "MapEditFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-map-edit-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$dA(_objectSpread$dA({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$dy, finalProps.value);
    }
  });

  function ownKeys$dz(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$dz(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$dz(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$dz(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$dx = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M9 1.84229L15.0744 5.38567L22 2.49999V11H20V5.49999L16 7.16666V11H14V7.07436L10 4.74103V16.9256L11.8677 18.0151L10.8599 19.7426L8.92563 18.6143L2 21.5V5.92562L9 1.84229ZM8 16.8333V4.74103L4 7.07436V18.5L8 16.8333ZM19.7866 12.0858L23.9142 16.2134L16.6276 23.5H12.5011L12.4999 19.3725L19.7866 12.0858ZM18.8648 15.836L20.164 17.1352L21.0858 16.2134L19.7866 14.9142L18.8648 15.836ZM18.7498 18.5494L17.4506 17.2502L14.5001 20.2007L14.5005 21.5H15.7992L18.7498 18.5494Z"
      }
    }]
  };
  var mapEdit = vue.defineComponent({
    name: "MapEditIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-map-edit", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$dz(_objectSpread$dz({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$dx, finalProps.value);
    }
  });

  function ownKeys$dy(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$dy(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$dy(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$dy(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$dw = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M7.5 2.71717L2 5.9255V21.4999L7.5 19.2326V2.71717zM9.5 18.9095L14.5 21.8623V5.09027L9.5 2.13745V18.9095zM16.5 4.76719V21.2826L22 18.0742V2.49987L16.5 4.76719z"
      }
    }]
  };
  var mapFilled = vue.defineComponent({
    name: "MapFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-map-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$dy(_objectSpread$dy({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$dw, finalProps.value);
    }
  });

  function ownKeys$dx(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$dx(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$dx(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$dx(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$dv = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M9 11V9H11V11H9zM13 11V9H15V11H13zM13 13H15L15 15H13V13zM11 13V15H9L9 13H11z"
      }
    }, {
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M22 2H2V22H22V2ZM9 7H11V6H13V7H15V6H17V7H18V9H17V11H18V13H17V15H18V17H17L17 18H15V17H13V18H11V17H9V18H7L7 17H6V15H7V13H6V11H7V9H6V7H7V6H9V7Z"
      }
    }]
  };
  var mapGridFilled = vue.defineComponent({
    name: "MapGridFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-map-grid-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$dx(_objectSpread$dx({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$dv, finalProps.value);
    }
  });

  function ownKeys$dw(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$dw(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$dw(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$dw(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$du = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M2 2H22V22H2V2ZM4 4V20H20V4H4ZM9 6V7H11V6H13V7H15V6H17V7H18V9H17V11H18V13H17V15H18V17H17L17 18H15V17H13V18H11V17H9V18H7L7 17H6V15H7V13H6V11H7V9H6V7H7V6H9ZM9 9V11H11V9H9ZM13 9V11H15V9H13ZM15 13H13V15H15L15 13ZM11 15V13H9L9 15H11Z"
      }
    }]
  };
  var mapGrid = vue.defineComponent({
    name: "MapGridIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-map-grid", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$dw(_objectSpread$dw({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$du, finalProps.value);
    }
  });

  function ownKeys$dv(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$dv(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$dv(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$dv(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$dt = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M12 14.2136L12.0159 14.2026C12.4403 13.9101 12.8621 13.6195 13.2604 13.2917C13.6614 12.9617 14.1981 12.484 14.738 11.8935C15.7821 10.7515 17 9.01233 17 7C17 4.23858 14.7614 2 12 2C9.23858 2 7 4.23858 7 7C7 9.01215 8.2179 10.7514 9.26196 11.8934C9.80183 12.4839 10.3386 12.9616 10.7395 13.2916C11.1379 13.6194 11.5596 13.9101 11.984 14.2026L12 14.2136ZM13.5 7C13.5 7.82843 12.8284 8.5 12 8.5C11.1716 8.5 10.5 7.82843 10.5 7C10.5 6.17157 11.1716 5.5 12 5.5C12.8284 5.5 13.5 6.17157 13.5 7Z"
      }
    }, {
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M7 10H2V21.4978L8.92609 18.6097L14.9996 22.1579L22 18.0744V10H17V12H20V16.9256L15.0004 19.8421L9.0753 16.3806L4 18.4969V12H7V10Z"
      }
    }]
  };
  var mapInformation1Filled = vue.defineComponent({
    name: "MapInformation1FilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-map-information-1-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$dv(_objectSpread$dv({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$dt, finalProps.value);
    }
  });

  function ownKeys$du(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$du(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$du(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$du(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$ds = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M12 4C10.3431 4 9 5.34315 9 7C9 8.23747 9.7821 9.49825 10.738 10.5439C11.1936 11.0421 11.6522 11.4519 12 11.7388C12.3478 11.4519 12.8064 11.0422 13.262 10.544C14.2179 9.49845 15 8.23767 15 7C15 5.34315 13.6569 4 12 4ZM12 14.2136L11.4329 13.8237L11.4309 13.8223L11.4269 13.8195L11.4147 13.811L11.3736 13.7819C11.3392 13.7573 11.2907 13.7222 11.2304 13.6772C11.1097 13.5872 10.9408 13.4572 10.7395 13.2916C10.3386 12.9616 9.80183 12.4839 9.26196 11.8934C8.2179 10.7514 7 9.01215 7 7C7 4.23858 9.23858 2 12 2C14.7614 2 17 4.23858 17 7C17 9.01233 15.7821 10.7515 14.738 11.8935C14.1981 12.484 13.6614 12.9617 13.2604 13.2917C13.0592 13.4573 12.8902 13.5873 12.7696 13.6772C12.7092 13.7222 12.6608 13.7573 12.6263 13.7819L12.5853 13.811L12.573 13.8196L12.569 13.8223L12.5676 13.8233L12 14.2136ZM12 7.25C12.1381 7.25 12.25 7.13807 12.25 7C12.25 6.86193 12.1381 6.75 12 6.75C11.8619 6.75 11.75 6.86193 11.75 7C11.75 7.13807 11.8619 7.25 12 7.25ZM10.25 7C10.25 6.0335 11.0335 5.25 12 5.25C12.9665 5.25 13.75 6.0335 13.75 7C13.75 7.9665 12.9665 8.75 12 8.75C11.0335 8.75 10.25 7.9665 10.25 7ZM2 10H7V12H4V18.4969L9.0753 16.3806L15.0004 19.8421L20 16.9256V12H17V10H22V18.0744L14.9996 22.1579L8.92609 18.6097L2 21.4978V10Z"
      }
    }]
  };
  var mapInformation1 = vue.defineComponent({
    name: "MapInformation1Icon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-map-information-1", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$du(_objectSpread$du({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$ds, finalProps.value);
    }
  });

  function ownKeys$dt(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$dt(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$dt(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$dt(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$dr = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M12 14.2136L11.984 14.2026C11.5596 13.9101 11.1379 13.6194 10.7395 13.2916C10.3386 12.9616 9.80183 12.4839 9.26196 11.8934C8.2179 10.7514 7 9.01215 7 7C7 4.23858 9.23858 2 12 2C14.7614 2 17 4.23858 17 7C17 9.01233 15.7821 10.7515 14.738 11.8935C14.1981 12.484 13.6614 12.9617 13.2604 13.2917C12.8621 13.6195 12.4403 13.9101 12.0159 14.2026L12 14.2136ZM13.5 7C13.5 6.17157 12.8284 5.5 12 5.5C11.1716 5.5 10.5 6.17157 10.5 7C10.5 7.82843 11.1716 8.5 12 8.5C12.8284 8.5 13.5 7.82843 13.5 7Z"
      }
    }, {
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M7.00008 10H3.10503L1.88281 21H22.1173L20.8951 10H17.0001V12H19.105L19.8828 19H4.11734L4.89512 12H7.00008V10Z"
      }
    }]
  };
  var mapInformation2Filled = vue.defineComponent({
    name: "MapInformation2FilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-map-information-2-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$dt(_objectSpread$dt({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$dr, finalProps.value);
    }
  });

  function ownKeys$ds(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$ds(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$ds(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$ds(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$dq = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M12.0001 4C10.3432 4 9.00008 5.34315 9.00008 7C9.00008 8.23747 9.78218 9.49825 10.7381 10.5439C11.1937 11.0421 11.6523 11.4519 12.0001 11.7388C12.3479 11.4519 12.8065 11.0422 13.262 10.544C14.218 9.49845 15.0001 8.23767 15.0001 7C15.0001 5.34315 13.6569 4 12.0001 4ZM12 14.2136L11.433 13.8237L11.431 13.8223L11.427 13.8195L11.4148 13.811L11.3737 13.7819C11.3392 13.7573 11.2908 13.7222 11.2305 13.6772C11.1098 13.5872 10.9408 13.4572 10.7396 13.2916C10.3387 12.9616 9.80191 12.4839 9.26203 11.8934C8.21798 10.7514 7.00008 9.01215 7.00008 7C7.00008 4.23858 9.23865 2 12.0001 2C14.7615 2 17.0001 4.23858 17.0001 7C17.0001 9.01233 15.7822 10.7515 14.7381 11.8935C14.1982 12.484 13.6615 12.9617 13.2605 13.2917C13.0593 13.4573 12.8903 13.5873 12.7697 13.6772C12.7093 13.7222 12.6609 13.7573 12.6264 13.7819L12.5853 13.811L12.5731 13.8196L12.5691 13.8223L12.5677 13.8233L12 14.2136ZM12.0001 7.25C12.1381 7.25 12.2501 7.13807 12.2501 7C12.2501 6.86193 12.1381 6.75 12.0001 6.75C11.862 6.75 11.7501 6.86193 11.7501 7C11.7501 7.13807 11.862 7.25 12.0001 7.25ZM10.2501 7C10.2501 6.0335 11.0336 5.25 12.0001 5.25C12.9666 5.25 13.7501 6.0335 13.7501 7C13.7501 7.9665 12.9666 8.75 12.0001 8.75C11.0336 8.75 10.2501 7.9665 10.2501 7ZM3.10503 10H7.00008V12H4.89512L4.11734 19H19.8828L19.105 12H17.0001V10H20.8951L22.1173 21H1.88281L3.10503 10Z"
      }
    }]
  };
  var mapInformation2 = vue.defineComponent({
    name: "MapInformation2Icon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-map-information-2", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$ds(_objectSpread$ds({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$dq, finalProps.value);
    }
  });

  function ownKeys$dr(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$dr(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$dr(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$dr(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$dp = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M11.4329 13.8237L12 14.2136L12.5676 13.8233L12.569 13.8223L12.573 13.8196L12.5853 13.811L12.6263 13.7819C12.6608 13.7573 12.7092 13.7222 12.7696 13.6772C12.8902 13.5873 13.0592 13.4573 13.2604 13.2917C13.6614 12.9617 14.1981 12.484 14.738 11.8935C15.7821 10.7515 17 9.01233 17 7C17 4.23858 14.7614 2 12 2C9.23858 2 7 4.23858 7 7C7 9.01215 8.2179 10.7514 9.26196 11.8934C9.80183 12.4839 10.3386 12.9616 10.7395 13.2916C10.9408 13.4572 11.1097 13.5872 11.2304 13.6772C11.2907 13.7222 11.3392 13.7573 11.3736 13.7819L11.4147 13.811L11.4269 13.8195L11.4309 13.8223L11.4329 13.8237ZM12 8.5C11.1716 8.5 10.5 7.82843 10.5 7C10.5 6.17157 11.1716 5.5 12 5.5C12.8284 5.5 13.5 6.17157 13.5 7C13.5 7.82843 12.8284 8.5 12 8.5Z"
      }
    }, {
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M7 10H2V22H22V10H17V12H18.5858L13.982 16.6037L13.0941 15.5889L11.5889 16.9059L14.2962 20H5.27323L9.91288 14.9386L8.43857 13.5871L4 18.4292V12H7V10ZM15.302 18.1122L20 13.4142V20H16.9538L15.302 18.1122Z"
      }
    }]
  };
  var mapInformationFilled = vue.defineComponent({
    name: "MapInformationFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-map-information-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$dr(_objectSpread$dr({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$dp, finalProps.value);
    }
  });

  function ownKeys$dq(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$dq(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$dq(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$dq(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$do = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M12 4C10.3431 4 9 5.34315 9 7C9 8.23747 9.7821 9.49825 10.738 10.5439C11.1936 11.0421 11.6522 11.4519 12 11.7388C12.3478 11.4519 12.8064 11.0422 13.262 10.544C14.2179 9.49845 15 8.23767 15 7C15 5.34315 13.6569 4 12 4ZM12 14.2136L11.4329 13.8237L11.4309 13.8223L11.4269 13.8195L11.4147 13.811L11.3736 13.7819C11.3392 13.7573 11.2907 13.7222 11.2304 13.6772C11.1097 13.5872 10.9408 13.4572 10.7395 13.2916C10.3386 12.9616 9.80183 12.4839 9.26196 11.8934C8.2179 10.7514 7 9.01215 7 7C7 4.23858 9.23858 2 12 2C14.7614 2 17 4.23858 17 7C17 9.01233 15.7821 10.7515 14.738 11.8935C14.1981 12.484 13.6614 12.9617 13.2604 13.2917C13.0592 13.4573 12.8902 13.5873 12.7696 13.6772C12.7092 13.7222 12.6608 13.7573 12.6263 13.7819L12.5853 13.811L12.573 13.8196L12.569 13.8223L12.5676 13.8233L12 14.2136ZM12 7.25C12.1381 7.25 12.25 7.13807 12.25 7C12.25 6.86193 12.1381 6.75 12 6.75C11.8619 6.75 11.75 6.86193 11.75 7C11.75 7.13807 11.8619 7.25 12 7.25ZM10.25 7C10.25 6.0335 11.0335 5.25 12 5.25C12.9665 5.25 13.75 6.0335 13.75 7C13.75 7.9665 12.9665 8.75 12 8.75C11.0335 8.75 10.25 7.9665 10.25 7ZM2 10H7V12H4V18.4292L8.43857 13.5871L9.91288 14.9386L5.27323 20H14.2962L11.5889 16.9059L13.0941 15.5889L13.982 16.6037L18.5858 12H17V10H22V22H2V10ZM20 13.4142L15.302 18.1122L16.9538 20H20V13.4142Z"
      }
    }]
  };
  var mapInformation = vue.defineComponent({
    name: "MapInformationIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-map-information", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$dq(_objectSpread$dq({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$do, finalProps.value);
    }
  });

  function ownKeys$dp(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$dp(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$dp(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$dp(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$dn = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M7.5 2.71741L2 5.92575V21.5001L7.5 19.2328V2.71741zM9.5 18.9097L11.25 19.9432V16.75C11.25 14.3035 12.5516 12.161 14.5 10.9771V5.09051L9.5 2.1377V18.9097zM22 2.50012V11.3123C20.8805 10.4875 19.4972 10 18 10 17.4845 10 16.9824 10.0578 16.5 10.1673V4.76744L22 2.50012zM18 23.7013C17.9326 23.6564 17.8649 23.6118 17.7971 23.5672 17.6129 23.4459 17.4286 23.3246 17.2505 23.1949 17.1356 23.1113 16.9752 22.9906 16.7845 22.836 16.4045 22.5281 15.8963 22.0799 15.3852 21.5179 14.3903 20.4239 13.25 18.7512 13.25 16.75 13.25 14.1266 15.3766 12 18 12 20.6234 12 22.75 14.1266 22.75 16.75 22.75 18.7512 21.6097 20.4239 20.6148 21.5179 20.1037 22.0799 19.5955 22.5281 19.2155 22.836 19.0248 22.9906 18.8644 23.1113 18.7495 23.1949 18.5713 23.3246 18.387 23.4459 18.2029 23.5672 18.1351 23.6118 18.0674 23.6564 18 23.7013zM19.25 16H16.75V18H19.25V16z"
      }
    }]
  };
  var mapLocationFilled = vue.defineComponent({
    name: "MapLocationFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-map-location-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$dp(_objectSpread$dp({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$dn, finalProps.value);
    }
  });

  function ownKeys$do(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$do(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$do(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$do(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$dm = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M9 1.84229L15.0744 5.38567L22 2.49999V11H20V5.49999L16 7.16666V11H14V7.07436L10 4.74103V16.9256L11.8677 18.0151L10.8599 19.7426L8.92563 18.6143L2 21.5V5.92562L9 1.84229ZM8 16.8333V4.74103L4 7.07436V18.5L8 16.8333ZM18 14C16.4812 14 15.25 15.2312 15.25 16.75C15.25 18.0023 15.9847 19.2045 16.8648 20.1722C17.2723 20.6202 17.6824 20.9864 18 21.2466C18.3176 20.9864 18.7277 20.6202 19.1352 20.1722C20.0153 19.2045 20.75 18.0023 20.75 16.75C20.75 15.2312 19.5188 14 18 14ZM18 23.7013L17.4453 23.332L17.4432 23.3306L17.4392 23.3279L17.4271 23.3198L17.3874 23.2924C17.3542 23.2694 17.308 23.2368 17.2505 23.1949C17.1356 23.1113 16.9752 22.9906 16.7845 22.836C16.4045 22.5281 15.8963 22.0799 15.3852 21.5179C14.3903 20.4239 13.25 18.7512 13.25 16.75C13.25 14.1266 15.3766 12 18 12C20.6234 12 22.75 14.1266 22.75 16.75C22.75 18.7512 21.6097 20.4239 20.6148 21.5179C20.1037 22.0799 19.5955 22.5281 19.2155 22.836C19.0248 22.9906 18.8644 23.1113 18.7495 23.1949C18.692 23.2368 18.6458 23.2694 18.6126 23.2924L18.5729 23.3198L18.5608 23.3279L18.5568 23.3306L18.5553 23.3316L18 23.7013ZM16.75 16H19.25V18H16.75V16Z"
      }
    }]
  };
  var mapLocation = vue.defineComponent({
    name: "MapLocationIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-map-location", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$do(_objectSpread$do({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$dm, finalProps.value);
    }
  });

  function ownKeys$dn(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$dn(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$dn(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$dn(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$dl = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M7.5 2.71741L2 5.92575V21.5001L7.5 19.2328V2.71741zM9.5 18.9097L11.5 20.0908V16.5C11.5 14.1988 12.6958 12.1769 14.5 11.0218V5.09051L9.5 2.1377V18.9097zM22 2.50012V11.3762C20.897 10.5139 19.5085 10 18 10 17.4837 10 16.9815 10.0602 16.5 10.1739V4.76744L22 2.50012zM21.25 15.25V16H22.499V22.5H13.499V16H14.75V15.25C14.75 13.4551 16.2051 12 18 12 19.7949 12 21.25 13.4551 21.25 15.25zM19.25 15.25C19.25 14.5596 18.6904 14 18 14 17.3096 14 16.75 14.5596 16.75 15.25V16H19.25V15.25z"
      }
    }]
  };
  var mapLockedFilled = vue.defineComponent({
    name: "MapLockedFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-map-locked-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$dn(_objectSpread$dn({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$dl, finalProps.value);
    }
  });

  function ownKeys$dm(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$dm(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$dm(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$dm(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$dk = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M9 1.84229L15.0744 5.38567L22 2.49999V11H20V5.49999L16 7.16666V11H14V7.07436L10 4.74103V16.9256L11.8677 18.0151L10.8599 19.7426L8.92563 18.6143L2 21.5V5.92562L9 1.84229ZM8 16.8333V4.74103L4 7.07436V18.5L8 16.8333ZM18 14C18.6904 14 19.25 14.5596 19.25 15.25V16H16.75V15.25C16.75 14.5596 17.3096 14 18 14ZM21.25 16V15.25C21.25 13.4551 19.7949 12 18 12C16.2051 12 14.75 13.4551 14.75 15.25V16H13.499V22.5H22.499V16H21.25ZM20.499 18V20.5H15.499V18H20.499Z"
      }
    }]
  };
  var mapLocked = vue.defineComponent({
    name: "MapLockedIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-map-locked", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$dm(_objectSpread$dm({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$dk, finalProps.value);
    }
  });

  function ownKeys$dl(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$dl(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$dl(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$dl(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$dj = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M7.5 2.71741L2 5.92575V21.5001L7.5 19.2328V2.71741zM9.5 18.9097L11.751 20.2391V10H14.5V5.09051L9.5 2.1377V18.9097zM22 2.50012V10H16.5V4.76744L22 2.50012z"
      }
    }, {
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M22.25 11.9961H13.75V22.2886L18.0029 19.6742L22.25 22.2906V11.9961Z"
      }
    }]
  };
  var mapMarkedFilled = vue.defineComponent({
    name: "MapMarkedFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-map-marked-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$dl(_objectSpread$dl({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$dj, finalProps.value);
    }
  });

  function ownKeys$dk(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$dk(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$dk(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$dk(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$di = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M9 1.84229L15.0744 5.38567L22 2.49999V9.99999H20V5.49999L16 7.16666V8.99999H14V7.07436L10 4.74103V16.9256L11.8677 18.0151L10.8599 19.7426L8.92563 18.6143L2 21.5V5.92562L9 1.84229ZM8 16.8333V4.74103L4 7.07436V18.5L8 16.8333ZM13.75 11.9961H22.25V22.2906L18.0029 19.6742L13.75 22.2885V11.9961ZM15.75 13.9961V18.7114L18.0041 17.3258L20.25 18.7094V13.9961H15.75Z"
      }
    }]
  };
  var mapMarked = vue.defineComponent({
    name: "MapMarkedIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-map-marked", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$dk(_objectSpread$dk({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$di, finalProps.value);
    }
  });

  function ownKeys$dj(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$dj(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$dj(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$dj(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$dh = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M7.99992 2V5L17.9999 5V2H19.9999V5H21.9999V7H19.9999V15H21.9999V17H19.9999V21H17.9999V17H15.9999V15H17.9999V7H7.99992V11H5.99992V7H1.99992V5H5.99992V2H7.99992ZM14.5807 10.4185L10.2051 23.5453L7.19684 17.8023L1.45386 14.7941L14.5807 10.4185Z"
      }
    }]
  };
  var mapNavigationFilled = vue.defineComponent({
    name: "MapNavigationFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-map-navigation-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$dj(_objectSpread$dj({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$dh, finalProps.value);
    }
  });

  function ownKeys$di(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$di(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$di(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$di(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$dg = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M8.00016 2V5L18.0002 5V2H20.0002V5H22.0002V7H20.0002V15H22.0002V17H20.0002V21H18.0002V17H16.0002V15H18.0002V7H8.00016V11H6.00016V7H2.00016V5H6.00016V2H8.00016ZM14.5809 10.4185L10.2053 23.5453L7.19709 17.8023L1.4541 14.7941L14.5809 10.4185ZM6.54771 15.2044L8.67875 16.3207L9.795 18.4517L11.4186 13.5808L6.54771 15.2044Z"
      }
    }]
  };
  var mapNavigation = vue.defineComponent({
    name: "MapNavigationIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-map-navigation", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$di(_objectSpread$di({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$dg, finalProps.value);
    }
  });

  function ownKeys$dh(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$dh(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$dh(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$dh(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$df = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M9 1.84229L15 5.38567L22 2.49999V18.0744L15 22.1577L9 18.6143L2 21.5V5.92562L9 1.84229Z"
      }
    }]
  };
  var mapOutlineFilled = vue.defineComponent({
    name: "MapOutlineFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-map-outline-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$dh(_objectSpread$dh({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$df, finalProps.value);
    }
  });

  function ownKeys$dg(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$dg(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$dg(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$dg(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$de = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M9 1.84229L15.0744 5.38567L22 2.49999V18.0744L15 22.1577L8.92563 18.6143L2 21.5V5.92562L9 1.84229ZM4 7.07436V18.5L9.07437 16.3857L15 19.8423L20 16.9256V5.49999L14.9256 7.61431L9 4.15769L4 7.07436Z"
      }
    }]
  };
  var mapOutline = vue.defineComponent({
    name: "MapOutlineIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-map-outline", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$dg(_objectSpread$dg({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$de, finalProps.value);
    }
  });

  function ownKeys$df(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$df(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$df(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$df(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$dd = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M12 14.2136L11.4329 13.8237L11.4309 13.8223L11.4269 13.8195L11.4147 13.811L11.3736 13.7819C11.3392 13.7573 11.2907 13.7222 11.2304 13.6772C11.1097 13.5872 10.9408 13.4572 10.7395 13.2916C10.3386 12.9616 9.80183 12.4839 9.26196 11.8934C8.2179 10.7514 7 9.01215 7 7C7 4.23858 9.23858 2 12 2C14.7614 2 17 4.23858 17 7C17 9.01233 15.7821 10.7515 14.738 11.8935C14.1981 12.484 13.6614 12.9617 13.2604 13.2917C13.0592 13.4573 12.8902 13.5873 12.7696 13.6772C12.7092 13.7222 12.6608 13.7573 12.6263 13.7819L12.5853 13.811L12.573 13.8196L12.569 13.8223L12.5676 13.8233L12 14.2136ZM13.5 7C13.5 6.17157 12.8284 5.5 12 5.5C11.1716 5.5 10.5 6.17157 10.5 7C10.5 7.82843 11.1716 8.5 12 8.5C12.8284 8.5 13.5 7.82843 13.5 7Z"
      }
    }, {
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M5 10H2V22H22V10H18V12H20V12.3397L19.8963 12.2028L19.2166 12.7175L20 13.752V20H4V14.174L5.23443 13.4187L4.36641 12H5V10ZM4.31719 12L4 12.1941V12H4.31719Z"
      }
    }, {
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M17.7752 16.2789L18.6538 15.8013 17.6985 14.0442 16.8199 14.5218C16.4518 14.722 16.0714 14.8988 15.6811 15.0512L16.4087 16.9142C16.8771 16.7313 17.3335 16.5191 17.7752 16.2789zM5.98978 16.0979C6.42397 16.3515 6.87366 16.5775 7.33621 16.7747L8.25611 17.1669 9.04041 15.3271 8.12051 14.9349C7.73506 14.7706 7.36032 14.5822 6.9985 14.3709L5.98978 16.0979zM12.6401 17.7218L13.6388 17.672 13.5392 15.6745 12.5404 15.7243C12.1219 15.7451 11.7026 15.7397 11.2847 15.708L11.1332 17.7022C11.6346 17.7403 12.1379 17.7468 12.6401 17.7218z"
      }
    }]
  };
  var mapRoutePlanningFilled = vue.defineComponent({
    name: "MapRoutePlanningFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-map-route-planning-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$df(_objectSpread$df({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$dd, finalProps.value);
    }
  });

  function ownKeys$de(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$de(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$de(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$de(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$dc = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M12 4C10.3431 4 9 5.34315 9 7C9 8.23747 9.7821 9.49825 10.738 10.5439C11.1936 11.0421 11.6522 11.4519 12 11.7388C12.3478 11.4519 12.8064 11.0422 13.262 10.544C14.2179 9.49845 15 8.23767 15 7C15 5.34315 13.6569 4 12 4ZM12 14.2136C11.7424 14.0365 11.481 13.864 11.2304 13.6772C11.1097 13.5872 10.9408 13.4572 10.7395 13.2916C10.3386 12.9616 9.80183 12.4839 9.26196 11.8934C8.2179 10.7514 7 9.01215 7 7C7 4.23858 9.23858 2 12 2C14.7614 2 17 4.23858 17 7C17 9.01233 15.7821 10.7515 14.738 11.8935C14.1981 12.484 13.6614 12.9617 13.2604 13.2917C13.0592 13.4573 12.8902 13.5873 12.7696 13.6772C12.5189 13.8641 12.2575 14.0365 12 14.2136ZM12 7.25C12.1381 7.25 12.25 7.13807 12.25 7C12.25 6.86193 12.1381 6.75 12 6.75C11.8619 6.75 11.75 6.86193 11.75 7C11.75 7.13807 11.8619 7.25 12 7.25ZM10.25 7C10.25 6.0335 11.0335 5.25 12 5.25C12.9665 5.25 13.75 6.0335 13.75 7C13.75 7.9665 12.9665 8.75 12 8.75C11.0335 8.75 10.25 7.9665 10.25 7ZM2 10H5V12H4.36641L5.23443 13.4187L4 14.174V20H20V13.752L19.2166 12.7175L19.8963 12.2028L20 12.3397V12H18V10H22V22H2V10ZM4 12.1941L4.31719 12H4V12.1941ZM18.6538 15.8013L17.7752 16.2789C17.3335 16.5191 16.8771 16.7313 16.4087 16.9142L15.6811 15.0512C16.0714 14.8988 16.4518 14.722 16.8199 14.5218L17.6985 14.0442L18.6538 15.8013ZM7.33621 16.7747C6.87366 16.5775 6.42397 16.3515 5.98978 16.0979L6.9985 14.3709C7.36032 14.5822 7.73506 14.7706 8.12051 14.9349L9.04041 15.3271L8.25611 17.1669L7.33621 16.7747ZM13.6388 17.672L12.6401 17.7218C12.1379 17.7468 11.6346 17.7403 11.1332 17.7022L11.2847 15.708C11.7026 15.7397 12.1219 15.7451 12.5404 15.7243L13.5392 15.6745L13.6388 17.672Z"
      }
    }]
  };
  var mapRoutePlanning = vue.defineComponent({
    name: "MapRoutePlanningIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-map-route-planning", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$de(_objectSpread$de({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$dc, finalProps.value);
    }
  });

  function ownKeys$dd(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$dd(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$dd(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$dd(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$db = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M23.6687 8.02709L15.8574 0.21582L12.2591 3.81413L15.2752 6.83023L13.861 8.24445L10.8449 5.22835L8.66074 7.41248L12.4765 11.2282L11.0623 12.6424L7.24653 8.82669L5.0624 11.0108L8.0785 14.0269L6.66428 15.4411L3.64818 12.425L0.0498047 16.0234L7.86108 23.8347L23.6687 8.02709Z"
      }
    }]
  };
  var mapRulerFilled = vue.defineComponent({
    name: "MapRulerFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-map-ruler-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$dd(_objectSpread$dd({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$db, finalProps.value);
    }
  });

  function ownKeys$dc(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$dc(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$dc(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$dc(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$da = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "g",
      "attrs": {
        "clipPath": "url(#clip0_8726_8450)"
      },
      "children": [{
        "tag": "path",
        "attrs": {
          "fill": "currentColor",
          "d": "M15.8574 0.21582L23.6687 8.02709L7.86108 23.8347L0.0498047 16.0234L15.8574 0.21582ZM15.8574 3.04425L13.6733 5.22838L15.2755 6.83059L13.8613 8.2448L12.2591 6.64259L10.0749 8.82673L12.4768 11.2286L11.0625 12.6428L8.66071 10.2409L6.47658 12.4251L8.07878 14.0273L6.66457 15.4415L5.06236 13.8393L2.87823 16.0234L7.86108 21.0063L20.8402 8.02709L15.8574 3.04425Z"
        }
      }]
    }]
  };
  var mapRuler = vue.defineComponent({
    name: "MapRulerIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-map-ruler", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$dc(_objectSpread$dc({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$da, finalProps.value);
    }
  });

  function ownKeys$db(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$db(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$db(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$db(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$d9 = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M7.5 2.71741L2 5.92575V21.5001L7.5 19.2328V2.71741zM9.5 18.9097L11.5 20.0908V10H14.5V5.09051L9.5 2.1377V18.9097zM22 2.50012V10H16.5V4.76744L22 2.50012z"
      }
    }, {
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M22.498 11.9976H13.498V17.6312C13.498 18.6442 14.0093 19.5887 14.8573 20.1428L17.998 22.1945L21.1388 20.1428C21.9868 19.5887 22.498 18.6442 22.498 17.6312V11.9976Z"
      }
    }]
  };
  var mapSafetyFilled = vue.defineComponent({
    name: "MapSafetyFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-map-safety-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$db(_objectSpread$db({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$d9, finalProps.value);
    }
  });

  function ownKeys$da(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$da(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$da(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$da(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$d8 = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M9 1.84229L15.0744 5.38567L22 2.49999V9.99999H20V5.49999L16 7.16666V8.99999H14V7.07436L10 4.74103V16.9256L11.8677 18.0151L10.8599 19.7426L8.92563 18.6143L2 21.5V5.92562L9 1.84229ZM8 16.8333V4.74103L4 7.07436V18.5L8 16.8333ZM13.498 11.9975H22.498V17.6312C22.498 18.6442 21.9868 19.5887 21.1388 20.1427L17.998 22.1945L14.8573 20.1427C14.0093 19.5887 13.498 18.6442 13.498 17.6312V11.9975ZM15.498 13.9975V17.6312C15.498 17.9688 15.6685 18.2837 15.9511 18.4684L17.998 19.8055L20.045 18.4684C20.3276 18.2837 20.498 17.9688 20.498 17.6312V13.9975H15.498Z"
      }
    }]
  };
  var mapSafety = vue.defineComponent({
    name: "MapSafetyIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-map-safety", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$da(_objectSpread$da({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$d8, finalProps.value);
    }
  });

  function ownKeys$d9(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$d9(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$d9(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$d9(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$d7 = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M9 1C11.0264 1 12.5325 2.39796 12.9087 4.2H22V11.1878C21.4487 10.5438 20.7688 10.0132 20 9.63595V6.2H12.8454C12.5388 7.30714 11.831 8.23011 11.2265 8.86919C10.8099 9.30969 10.3966 9.66331 10.0884 9.9066C9.93351 10.0289 9.80313 10.1249 9.70942 10.1917C9.54023 10.3123 9.36556 10.4253 9.191 10.5383C9.12723 10.5795 9.06347 10.6208 9 10.6624C8.93652 10.6208 8.87275 10.5795 8.80897 10.5383C8.63442 10.4253 8.45976 10.3123 8.29058 10.1917C8.19687 10.1249 8.06649 10.0289 7.91161 9.9066C7.60343 9.66331 7.19012 9.30969 6.77349 8.86919C6.16903 8.23011 5.46122 7.30714 5.15459 6.2H4V12.5333L6.0435 11.4435L11.0326 14.6073C11.0111 14.8186 11 15.033 11 15.25C11 17.151 11.8487 18.8537 13.1878 20H2V4.2H5.09068C5.46408 2.39977 6.95964 1 9 1ZM7 5.08965C7 5.89904 7.52344 6.75154 8.22651 7.49489C8.49749 7.78138 8.77065 8.02575 9 8.21501C9.22934 8.02575 9.50251 7.78138 9.77349 7.49489C10.4766 6.75154 11 5.89904 11 5.08965C11 3.88678 10.1502 3 9 3C7.83916 3 7 3.88368 7 5.08965Z"
      }
    }, {
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M17.25 12.5C18.7688 12.5 20 13.7312 20 15.25C20 16.0085 19.6929 16.6952 19.1963 17.1927C19.1936 17.1955 19.1908 17.1983 19.188 17.2011C18.6908 17.6949 18.0061 18 17.25 18C15.7312 18 14.5 16.7688 14.5 15.25C14.5 13.7312 15.7312 12.5 17.25 12.5ZM21.2419 17.8254C21.7216 17.0834 22 16.1992 22 15.25C22 12.6266 19.8734 10.5 17.25 10.5C14.6266 10.5 12.5 12.6266 12.5 15.25C12.5 17.8734 14.6266 20 17.25 20C18.2004 20 19.0857 19.7209 19.8282 19.2401L21.4983 20.9142L22.9142 19.5017L21.2419 17.8254Z"
      }
    }]
  };
  var mapSearch1Filled = vue.defineComponent({
    name: "MapSearch1FilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-map-search-1-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$d9(_objectSpread$d9({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$d7, finalProps.value);
    }
  });

  function ownKeys$d8(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$d8(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$d8(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$d8(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$d6 = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M9 3C10.1502 3 11 3.88678 11 5.08965C11 5.89904 10.4766 6.75154 9.77349 7.49489C9.50251 7.78138 9.22934 8.02575 9 8.21501C8.77065 8.02575 8.49749 7.78138 8.22651 7.49489C7.52344 6.75154 7 5.89904 7 5.08965C7 3.88368 7.83916 3 9 3ZM12.9087 4.2C12.5325 2.39796 11.0264 1 9 1C6.95964 1 5.46408 2.39977 5.09068 4.2H2V20H11V18H4V14.8L5.95684 13.7564L9.30977 15.8799L10.3799 14.1902L6.04316 11.4436L4 12.5333V6.2H5.15459C5.46122 7.30714 6.16903 8.23011 6.77349 8.86919C7.19012 9.30969 7.60343 9.66331 7.91161 9.9066C8.06649 10.0289 8.19687 10.1249 8.29058 10.1917C8.33748 10.2251 8.37535 10.2514 8.40268 10.27L8.43563 10.2923L8.44586 10.2991L8.44936 10.3014L8.45069 10.3023L9 10.6624L9.54825 10.303L9.55064 10.3014L9.55414 10.2991L9.56437 10.2923L9.59732 10.27C9.62465 10.2514 9.66252 10.2251 9.70942 10.1917C9.80313 10.1249 9.93351 10.0289 10.0884 9.9066C10.3966 9.66331 10.8099 9.30969 11.2265 8.86919C11.831 8.23011 12.5388 7.30714 12.8454 6.2H20V10.5H22V4.2H12.9087ZM17.25 13.5C18.7688 13.5 20 14.7312 20 16.25C20 17.0086 19.6929 17.6954 19.1961 18.1929C19.1935 18.1956 19.1908 18.1983 19.1882 18.2009C18.691 18.6948 18.0062 19 17.25 19C15.7312 19 14.5 17.7688 14.5 16.25C14.5 14.7312 15.7312 13.5 17.25 13.5ZM21.2419 18.8254C21.7216 18.0834 22 17.1992 22 16.25C22 13.6266 19.8734 11.5 17.25 11.5C14.6266 11.5 12.5 13.6266 12.5 16.25C12.5 18.8734 14.6266 21 17.25 21C18.2004 21 19.0857 20.7209 19.8282 20.2401L21.4983 21.9142L22.9142 20.5017L21.2419 18.8254Z"
      }
    }]
  };
  var mapSearch1 = vue.defineComponent({
    name: "MapSearch1Icon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-map-search-1", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$d8(_objectSpread$d8({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$d6, finalProps.value);
    }
  });

  function ownKeys$d7(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$d7(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$d7(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$d7(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$d5 = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M7.5 2.71741L2 5.92575V21.5001L7.5 19.2328V2.71741zM9.5 18.9097L12 20.3861V16.25C12 14.2052 12.9819 12.3898 14.5 11.2495V5.09051L9.5 2.1377V18.9097zM22 2.50012V11.2495C20.9554 10.4649 19.657 10 18.25 10 17.6425 10 17.0553 10.0867 16.5 10.2483V4.76744L22 2.50012zM23 16.25C23 17.1992 22.7216 18.0834 22.2419 18.8254L23.9142 20.5017 22.4983 21.9142 20.8282 20.2401C20.0857 20.7209 19.2004 21 18.25 21 15.6266 21 13.5 18.8734 13.5 16.25 13.5 13.6266 15.6266 11.5 18.25 11.5 20.8734 11.5 23 13.6266 23 16.25zM21 16.25C21 14.7312 19.7688 13.5 18.25 13.5 16.7312 13.5 15.5 14.7312 15.5 16.25 15.5 17.7688 16.7312 19 18.25 19 19.0062 19 19.691 18.6948 20.1882 18.2009L20.1961 18.1929C20.6929 17.6954 21 17.0086 21 16.25z"
      }
    }]
  };
  var mapSearchFilled = vue.defineComponent({
    name: "MapSearchFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-map-search-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$d7(_objectSpread$d7({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$d5, finalProps.value);
    }
  });

  function ownKeys$d6(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$d6(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$d6(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$d6(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$d4 = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M7.88647 1.85889L15.9717 5.39618L22 2.38204V10.0001H20V5.61811L17 7.11811V10.0001H15V7.15409L9 4.52909V15.382L11.3447 16.5544L10.4503 18.3433L8.04378 17.14L2 20.7663V5.97942L7.88647 1.85889ZM7 15.4339V4.92073L4 7.02073V17.2339L7 15.4339ZM17.25 13.5001C18.7688 13.5001 20 14.7313 20 16.2501C20 17.0087 19.6929 17.6955 19.1961 18.193C19.1935 18.1957 19.1908 18.1983 19.1882 18.201C18.691 18.6949 18.0062 19.0001 17.25 19.0001C15.7312 19.0001 14.5 17.7689 14.5 16.2501C14.5 14.7313 15.7312 13.5001 17.25 13.5001ZM21.2419 18.8254C21.7216 18.0835 22 17.1993 22 16.2501C22 13.6267 19.8734 11.5001 17.25 11.5001C14.6266 11.5001 12.5 13.6267 12.5 16.2501C12.5 18.8734 14.6266 21.0001 17.25 21.0001C18.2004 21.0001 19.0857 20.7209 19.8282 20.2401L21.4983 21.9143L22.9142 20.5018L21.2419 18.8254Z"
      }
    }]
  };
  var mapSearch = vue.defineComponent({
    name: "MapSearchIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-map-search", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$d6(_objectSpread$d6({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$d4, finalProps.value);
    }
  });

  function ownKeys$d5(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$d5(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$d5(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$d5(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$d3 = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M7.5 2.71741L2 5.92575V21.5001L7.5 19.2328V2.71741zM9.5 18.9097L11.25 19.9432V18C11.25 15.5535 12.5516 13.411 14.5 12.2271V5.09051L9.5 2.1377V18.9097zM22 2.50012V12.5623C20.8805 11.7375 19.4972 11.25 18 11.25 17.4845 11.25 16.9824 11.3078 16.5 11.4173V4.76744L22 2.50012zM18.9998 14.126V12.75H16.9998V14.126C16.2848 14.31 15.6472 14.6867 15.1457 15.1975L13.9531 14.509 12.9531 16.241 14.1447 16.929C14.0503 17.2699 13.9998 17.629 13.9998 18 13.9998 18.371 14.0503 18.7301 14.1447 19.071L12.9531 19.759 13.9531 21.491 15.1457 20.8025C15.6472 21.3133 16.2848 21.69 16.9998 21.874V23.25H18.9998V21.874C19.7147 21.69 20.3523 21.3133 20.8539 20.8025L22.0464 21.491 23.0464 19.759 21.8548 19.071C21.9493 18.7301 21.9998 18.371 21.9998 18 21.9998 17.629 21.9493 17.2699 21.8548 16.929L23.0464 16.241 22.0464 14.509 20.8539 15.1975C20.3523 14.6867 19.7147 14.31 18.9998 14.126zM16.285 16.97C16.6349 16.3888 17.2719 16 17.9998 16 18.7276 16 19.3646 16.3888 19.7145 16.97L19.751 17.0332C19.9095 17.3197 19.9998 17.6493 19.9998 18 19.9998 18.3507 19.9095 18.6803 19.751 18.9668L19.7145 19.03C19.3646 19.6112 18.7276 20 17.9998 20 17.2719 20 16.6349 19.6112 16.285 19.03L16.2485 18.9667C16.09 18.6802 15.9998 18.3506 15.9998 18 15.9998 17.6494 16.09 17.3198 16.2485 17.0333L16.285 16.97z"
      }
    }]
  };
  var mapSettingFilled = vue.defineComponent({
    name: "MapSettingFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-map-setting-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$d5(_objectSpread$d5({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$d3, finalProps.value);
    }
  });

  function ownKeys$d4(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$d4(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$d4(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$d4(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$d2 = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M9 1.84229L15.0744 5.38567L22 2.49999V11H20V5.49999L16 7.16666V11H14V7.07436L10 4.74103V16.9256L11.8677 18.0151L10.8599 19.7426L8.92563 18.6143L2 21.5V5.92562L9 1.84229ZM8 16.8333V4.74103L4 7.07436V18.5L8 16.8333Z"
      }
    }, {
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M18.9999 12.75V14.126C19.7149 14.31 20.3525 14.6867 20.854 15.1975L22.0466 14.509L23.0466 16.241L21.855 16.929C21.9494 17.2699 21.9999 17.629 21.9999 18C21.9999 18.3709 21.9494 18.7301 21.855 19.071L23.0466 19.759L22.0466 21.491L20.854 20.8025C20.3525 21.3132 19.7149 21.69 18.9999 21.874V23.25H16.9999V21.874C16.285 21.69 15.6474 21.3132 15.1458 20.8025L13.9533 21.491L12.9533 19.759L14.1449 19.071C14.0504 18.7301 13.9999 18.3709 13.9999 18C13.9999 17.629 14.0504 17.2699 14.1449 16.929L12.9533 16.241L13.9533 14.509L15.1458 15.1975C15.6474 14.6867 16.285 14.31 16.9999 14.126V12.75H18.9999ZM16.2487 17.0332C16.0902 17.3198 15.9999 17.6493 15.9999 18C15.9999 18.3506 16.0902 18.6802 16.2487 18.9667L16.2852 19.03C16.6351 19.6112 17.2721 20 17.9999 20C18.7278 20 19.3648 19.6112 19.7147 19.0299L19.7512 18.9668C19.9097 18.6803 19.9999 18.3507 19.9999 18C19.9999 17.6493 19.9097 17.3197 19.7512 17.0332L19.7147 16.97C19.3648 16.3888 18.7278 16 17.9999 16C17.2721 16 16.6351 16.3888 16.2852 16.97L16.2487 17.0332Z"
      }
    }]
  };
  var mapSetting = vue.defineComponent({
    name: "MapSettingIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-map-setting", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$d4(_objectSpread$d4({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$d2, finalProps.value);
    }
  });

  function ownKeys$d3(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$d3(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$d3(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$d3(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$d1 = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M7.5 2.71741L2 5.92575V21.5001L7.5 19.2328V2.71741zM9.5 18.9097L11.5 20.0908V16.5C11.5 14.1988 12.6958 12.1769 14.5 11.0218V5.09051L9.5 2.1377V18.9097zM22 2.50012V11.3762C20.897 10.5139 19.5085 10 18 10 17.4837 10 16.9815 10.0602 16.5 10.1739V4.76744L22 2.50012zM16.75 15.25C16.75 14.5596 17.3096 14 18 14 18.3441 14 18.6541 14.1377 18.8811 14.3634L19.5904 15.0683 21.0003 13.6498 20.291 12.9448C19.7045 12.3619 18.8936 12 18 12 16.2051 12 14.75 13.4551 14.75 15.25V16H13.499V22.5H22.499V16H16.75V15.25z"
      }
    }]
  };
  var mapUnlockedFilled = vue.defineComponent({
    name: "MapUnlockedFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-map-unlocked-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$d3(_objectSpread$d3({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$d1, finalProps.value);
    }
  });

  function ownKeys$d2(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$d2(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$d2(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$d2(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$d0 = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M9 1.84229L15.0744 5.38567L22 2.49999V11H20V5.49999L16 7.16666V11H14V7.07436L10 4.74103V16.9256L11.8677 18.0151L10.8599 19.7426L8.92563 18.6143L2 21.5V5.92562L9 1.84229ZM8 16.8333V4.74103L4 7.07436V18.5L8 16.8333ZM18 14C17.3096 14 16.75 14.5596 16.75 15.25V16H22.499V22.5H13.499V16H14.75V15.25C14.75 13.4551 16.2051 12 18 12C18.8936 12 19.7045 12.3619 20.291 12.9448L21.0003 13.6498L19.5904 15.0683L18.8811 14.3634C18.6541 14.1377 18.3441 14 18 14ZM15.499 18V20.5H20.499V18H15.499Z"
      }
    }]
  };
  var mapUnlocked = vue.defineComponent({
    name: "MapUnlockedIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-map-unlocked", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$d2(_objectSpread$d2({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$d0, finalProps.value);
    }
  });

  function ownKeys$d1(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$d1(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$d1(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$d1(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$c$ = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M9 1.84229L15.0744 5.38567L22 2.49999V18.0744L15 22.1577L8.92563 18.6143L2 21.5V5.92562L9 1.84229ZM10 16.9256L14 19.259V7.07436L10 4.74103V16.9256ZM8 4.74103L4 7.07436V18.5L8 16.8333V4.74103ZM16 7.16666V19.259L20 16.9256V5.49999L16 7.16666Z"
      }
    }]
  };
  var map = vue.defineComponent({
    name: "MapIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-map", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$d1(_objectSpread$d1({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$c$, finalProps.value);
    }
  });

  function ownKeys$d0(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$d0(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$d0(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$d0(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$c_ = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M9.5 1.33981L0 6.92805V20H2V8.07194L9.5 3.66018L16.2299 7.61895L17.244 5.89508L9.5 1.33981Z"
      }
    }, {
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M4 23V11.4172L13.4994 17.1689L23 11.4222V23H4Z"
      }
    }, {
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M23 8.99999V9.08474L13.5 14.8311L4 9.07921V8.99999H23Z"
      }
    }]
  };
  var markAsUnreadFilled = vue.defineComponent({
    name: "MarkAsUnreadFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-mark-as-unread-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$d0(_objectSpread$d0({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$c_, finalProps.value);
    }
  });

  function ownKeys$c$(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$c$(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$c$(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$c$(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$cZ = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M9.5 1.33984L17.244 5.89511L16.2299 7.61898L9.5 3.66021L2 8.07197V20H0V6.92808L9.5 1.33984ZM4 9.00003H23V23H4V9.00003ZM7.99241 11L13.5 14.7865L19.0076 11H7.99241ZM21 12.0573L13.5 17.2136L6 12.0573V21H21V12.0573Z"
      }
    }]
  };
  var markAsUnread = vue.defineComponent({
    name: "MarkAsUnreadIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-mark-as-unread", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$c$(_objectSpread$c$({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$cZ, finalProps.value);
    }
  });

  function ownKeys$c_(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$c_(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$c_(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$c_(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$cY = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M12 1C5.92487 1 1 5.92487 1 12C1 18.0751 5.92487 23 12 23C18.0751 23 23 18.0751 23 12C23 5.92487 18.0751 1 12 1ZM17.61 19.0383C17.3878 19.2156 17.1571 19.3826 16.9185 19.5386C16.7814 19.6283 16.6417 19.7143 16.4996 19.7965C16.2826 19.922 16.06 20.0387 15.8321 20.1461L14.2278 13.9999H9.77277L8.16849 20.1461C7.94059 20.0387 7.71794 19.922 7.50101 19.7965C7.35889 19.7143 7.21921 19.6283 7.08211 19.5386C6.84349 19.3826 6.61276 19.2156 6.39062 19.0383L8.22781 11.9999H10.0003V8.58569L12.0003 6.58569L14.0003 8.58569V11.9999H15.7728L17.61 19.0383Z"
      }
    }]
  };
  var markupFilled = vue.defineComponent({
    name: "MarkupFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-markup-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$c_(_objectSpread$c_({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$cY, finalProps.value);
    }
  });

  function ownKeys$cZ(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$cZ(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$cZ(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$cZ(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$cX = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M12 3C7.02944 3 3 7.02944 3 12C3 14.8483 4.32247 17.3881 6.39034 19.0384L8.22752 12H10V8.58579L12 6.58579L14 8.58579V12H15.7725L17.6097 19.0384C19.6775 17.3881 21 14.8483 21 12C21 7.02944 16.9706 3 12 3ZM15.8318 20.1462L14.2275 14H9.77248L8.1682 20.1462C9.32997 20.6937 10.6282 21 12 21C13.3718 21 14.67 20.6937 15.8318 20.1462ZM1 12C1 5.92487 5.92487 1 12 1C18.0751 1 23 5.92487 23 12C23 15.8574 21.0137 19.2504 18.0127 21.2126C17.8452 21.3222 17.6745 21.4273 17.5007 21.5278C15.8818 22.4643 14.0019 23 12 23C9.99808 23 8.11825 22.4643 6.49927 21.5278C6.32554 21.4273 6.15482 21.3222 5.9873 21.2126C2.98634 19.2504 1 15.8574 1 12Z"
      }
    }]
  };
  var markup = vue.defineComponent({
    name: "MarkupIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-markup", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$cZ(_objectSpread$cZ({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$cX, finalProps.value);
    }
  });

  function ownKeys$cY(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$cY(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$cY(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$cY(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$cW = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M22 1H12V11.7699L2 1.54777V22.9999L22 23V20.5H18V18.5H22V16.75H18V14.75H22V13H18V11H22V9.25H18V7.25H22V5.5H18V3.5H22V1ZM12 14.63V21L4 21V6.45223L12 14.63Z"
      }
    }]
  };
  var mathematicsFilled = vue.defineComponent({
    name: "MathematicsFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-mathematics-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$cY(_objectSpread$cY({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$cW, finalProps.value);
    }
  });

  function ownKeys$cX(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$cX(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$cX(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$cX(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$cV = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M12.125 1H22V23H2V1.82906L12.125 11.8291V1ZM14.125 21H20V19.6667H16.85V17.6667H20V16.3333H16.85V14.3333H20V13H16.85V11H20V9.66667H16.85V7.66667H20V6.33333H16.85V4.33333H20V3H14.125V21ZM12.125 21V14.6401L4 6.61539V21H12.125Z"
      }
    }]
  };
  var mathematics = vue.defineComponent({
    name: "MathematicsIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-mathematics", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$cX(_objectSpread$cX({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$cV, finalProps.value);
    }
  });

  function ownKeys$cW(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$cW(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$cW(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$cW(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$cU = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M12 2H2V6.5H4.00368V8.5H2V11H4.00368V13H2V15.5H4.00368V17.5H2V22H6.5V20.0326H8.5V22H11V20.0326H13V22H15.5V20.0326H17.5V22H22V12H12V2Z"
      }
    }]
  };
  var measurement1Filled = vue.defineComponent({
    name: "Measurement1FilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-measurement-1-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$cW(_objectSpread$cW({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$cU, finalProps.value);
    }
  });

  function ownKeys$cV(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$cV(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$cV(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$cV(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$cT = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M2 2L12 2L12 12L22 12L22 22L2 22L2 2ZM4 4L4 6.5L6.00368 6.5V8.5H4L4 11H6.00368V13H4V15.5H6.00368L6.00368 17.5H4L4 20H6.5V18.0326H8.5V20H11L11 18.0326H13L13 20L15.5 20L15.5 18.0326H17.5L17.5 20H20V14L10 14L10 4L4 4Z"
      }
    }]
  };
  var measurement1 = vue.defineComponent({
    name: "Measurement1Icon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-measurement-1", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$cV(_objectSpread$cV({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$cT, finalProps.value);
    }
  });

  function ownKeys$cU(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$cU(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$cU(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$cU(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$cS = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M18.5 1.58594L22.9142 6.00016L21.5 7.41437L19.5 5.41436L19.5 18.5859L21.5 16.5859L22.9142 18.0001L18.5 22.4144L14.0858 18.0002L15.5 16.5859L17.5 18.5859L17.5 5.41437L15.5 7.41436L14.0858 6.00015L18.5 1.58594ZM2 2.00015H12V22.0002H2V2.00015Z"
      }
    }]
  };
  var measurement2Filled = vue.defineComponent({
    name: "Measurement2FilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-measurement-2-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$cU(_objectSpread$cU({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$cS, finalProps.value);
    }
  });

  function ownKeys$cT(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$cT(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$cT(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$cT(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$cR = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M18.5 1.58594L22.9142 6.00016L21.5 7.41437L19.5 5.41436L19.5 18.5859L21.5 16.5859L22.9142 18.0001L18.5 22.4144L14.0858 18.0002L15.5 16.5859L17.5 18.5859L17.5 5.41437L15.5 7.41436L14.0858 6.00015L18.5 1.58594ZM2 2.00015H12V22.0002H2V2.00015ZM4 4.00015V20.0002H10V4.00015H4Z"
      }
    }]
  };
  var measurement2 = vue.defineComponent({
    name: "Measurement2Icon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-measurement-2", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$cT(_objectSpread$cT({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$cR, finalProps.value);
    }
  });

  function ownKeys$cS(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$cS(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$cS(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$cS(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$cQ = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M18 1H6V6H9.5V8H6V11H11V13H6V16H9.5V18H6V23H18V1Z"
      }
    }]
  };
  var measurementFilled = vue.defineComponent({
    name: "MeasurementFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-measurement-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$cS(_objectSpread$cS({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$cQ, finalProps.value);
    }
  });

  function ownKeys$cR(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$cR(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$cR(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$cR(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$cP = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M6 1L18 1V23H6L6 1ZM8 3V6H10.5V8H8L8 11H12V13H8L8 16H10.5V18H8V21H16L16 3L8 3Z"
      }
    }]
  };
  var measurement = vue.defineComponent({
    name: "MeasurementIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-measurement", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$cR(_objectSpread$cR({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$cP, finalProps.value);
    }
  });

  function ownKeys$cQ(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$cQ(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$cQ(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$cQ(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$cO = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M15.0757 10.7062C15.4262 9.59704 15.6595 8.5216 15.7432 7.52501C15.8402 6.36801 15.7418 5.24609 15.3256 4.28816C14.8962 3.29966 14.1452 2.53048 13.0568 2.11521C11.3621 1.46853 9.72353 1.84042 8.31466 2.7077C6.92936 3.56048 5.70918 4.91873 4.70763 6.40285C4.30184 7.00415 3.92531 7.63597 3.58257 8.2788C3.07349 9.23352 2.63894 10.2126 2.29372 11.1521C1.72761 12.6928 1.37277 14.2056 1.36684 15.3702C1.29642 16.665 1.62209 17.7344 2.30071 18.5192C2.8009 19.0977 3.43919 19.4594 4.10948 19.6573C4.30732 20.3276 4.66897 20.9659 5.24736 21.4661C6.03211 22.1448 7.10153 22.4706 8.39634 22.4002C9.55778 22.3942 11.1185 22.0393 12.7199 21.4775C14.3547 20.904 16.1188 20.0842 17.6779 19.0919C19.2224 18.1089 20.6415 16.9087 21.4982 15.5456C22.3797 14.1432 22.6955 12.4973 21.8373 10.84C21.1919 9.59345 20.2064 8.64174 19.1704 8.00189C18.7243 7.72634 18.2559 7.50083 17.7863 7.33402C18.394 6.77012 19.2434 6.21998 20.2422 5.97021L21.2124 5.7276L20.7271 3.78735L19.757 4.02996C18.5294 4.33696 17.4634 4.96563 16.6417 5.67499C16.6585 5.86134 16.6658 6.04893 16.6641 6.23661C16.6498 7.79232 16.0329 9.42863 15.0757 10.7062Z"
      }
    }]
  };
  var meatPepperFilled = vue.defineComponent({
    name: "MeatPepperFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-meat-pepper-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$cQ(_objectSpread$cQ({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$cO, finalProps.value);
    }
  });

  function ownKeys$cP(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$cP(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$cP(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$cP(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$cN = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M21.2124 5.72729L20.2422 5.96989C19.2434 6.21967 18.394 6.76981 17.7863 7.3337C18.2559 7.50052 18.7243 7.72602 19.1704 8.00158C20.2064 8.64142 21.1919 9.59314 21.8373 10.8396C22.6955 12.497 22.3797 14.1429 21.4982 15.5453C20.6415 16.9084 19.2224 18.1086 17.6779 19.0916C16.1188 20.0839 14.3547 20.9037 12.7199 21.4772C11.1185 22.039 9.55778 22.3939 8.39634 22.3999C7.10153 22.4703 6.03211 22.1445 5.24736 21.4658C4.66897 20.9656 4.30732 20.3272 4.10948 19.657C3.43919 19.4591 2.8009 19.0974 2.30071 18.5189C1.62209 17.7341 1.29642 16.6647 1.36684 15.3699C1.37277 14.2053 1.72761 12.6924 2.29372 11.1518C2.87128 9.57992 3.69891 7.89743 4.7072 6.40333C5.70876 4.91921 6.92893 3.56097 8.31423 2.70819C9.71817 1.84394 11.3502 1.47163 13.0386 2.10895C15.155 2.83302 16.172 4.27726 16.6379 5.67794C17.4601 4.96724 18.5275 4.33712 19.757 4.02964L20.7271 3.78704L21.2124 5.72729ZM16.9996 9.17842L16.9996 10.6496L14.9996 10.6496L14.9996 7.99977C14.9996 7.99973 14.9996 7.9998 14.9996 7.99977C14.9995 6.60746 14.5682 4.73987 12.3786 3.99697L12.3608 3.99095L12.3434 3.98428C11.3751 3.61484 10.3906 3.77859 9.36268 4.41135C8.31122 5.05862 7.28099 6.1648 6.36501 7.52211C5.45577 8.86943 4.69872 10.4054 4.171 11.8416C3.63663 13.2959 3.36677 14.5681 3.36677 15.3995L3.36677 15.4289L3.36504 15.4582C3.31172 16.3647 3.54118 16.8958 3.81357 17.2108C4.09447 17.5356 4.52491 17.7505 5.08193 17.824L5.8422 17.9243L5.94252 18.6845C6.01603 19.2416 6.23085 19.6722 6.55568 19.9531C6.87063 20.2255 7.4016 20.455 8.30805 20.4017L8.33739 20.3999H8.36678C9.20234 20.3999 10.5291 20.1263 12.0578 19.59C13.5668 19.0606 15.1898 18.3044 16.604 17.4043C18.0328 16.495 19.1731 15.4864 19.8049 14.4811C20.412 13.5151 20.5137 12.633 20.0613 11.7593C19.6059 10.8798 18.8943 10.1817 18.1195 9.7032C17.7366 9.46672 17.3546 9.2937 16.9996 9.17842Z"
      }
    }]
  };
  var meatPepper = vue.defineComponent({
    name: "MeatPepperIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-meat-pepper", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$cP(_objectSpread$cP({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$cN, finalProps.value);
    }
  });

  function ownKeys$cO(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$cO(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$cO(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$cO(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$cM = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M19 2V4L5 4V2H19zM3 7.5L21 7.5V5.5L3 5.5V7.5zM23 22V9L1 9V22H23zM15 15.5001L9.75 18.5312V12.469L15 15.5001z"
      }
    }]
  };
  var mediaLibraryFilled = vue.defineComponent({
    name: "MediaLibraryFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-media-library-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$cO(_objectSpread$cO({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$cM, finalProps.value);
    }
  });

  function ownKeys$cN(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$cN(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$cN(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$cN(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$cL = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M5 2L19 2V4L5 4V2ZM3 5.5L21 5.5V7.5L3 7.5V5.5ZM1 9L23 9V22L1 22L1 9ZM3 11L3 20L21 20V11H3ZM9.75 12.4689L15 15.5L9.75 18.5311V12.4689Z"
      }
    }]
  };
  var mediaLibrary = vue.defineComponent({
    name: "MediaLibraryIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-media-library", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$cN(_objectSpread$cN({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$cL, finalProps.value);
    }
  });

  function ownKeys$cM(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$cM(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$cM(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$cM(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$cK = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "g",
      "attrs": {
        "fill": "currentColor",
        "clipPath": "url(#clip0_101749_96975)"
      },
      "children": [{
        "tag": "path",
        "attrs": {
          "d": "M3.5 7C3.5 4.23858 5.73858 2 8.5 2 11.2614 2 13.5 4.23858 13.5 7 13.5 9.76142 11.2614 12 8.5 12 5.73858 12 3.5 9.76142 3.5 7zM5 14C2.23858 14 0 16.2386 0 19V21H17V19C17 16.2386 14.7614 14 12 14H5zM24.0005 21H19.0005V19C19.0005 17.0413 18.196 15.2705 16.8995 14H19.0005C21.7619 14 24.0005 16.2386 24.0005 19V21zM15.5005 12C14.871 12 14.2687 11.8837 13.7139 11.6713 14.8248 10.4324 15.5005 8.79509 15.5005 7 15.5005 5.20491 14.8248 3.56764 13.7139 2.32865 14.2687 2.11632 14.871 2 15.5005 2 18.2619 2 20.5005 4.23858 20.5005 7 20.5005 9.76142 18.2619 12 15.5005 12z"
        }
      }]
    }]
  };
  var memberFilled = vue.defineComponent({
    name: "MemberFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-member-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$cM(_objectSpread$cM({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$cK, finalProps.value);
    }
  });

  function ownKeys$cL(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$cL(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$cL(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$cL(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$cJ = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M5.5 7C5.5 5.34315 6.84315 4 8.5 4C10.1569 4 11.5 5.34315 11.5 7C11.5 8.65685 10.1569 10 8.5 10C6.84315 10 5.5 8.65685 5.5 7ZM8.5 2C5.73858 2 3.5 4.23858 3.5 7C3.5 9.76142 5.73858 12 8.5 12C11.2614 12 13.5 9.76142 13.5 7C13.5 4.23858 11.2614 2 8.5 2ZM15.5 2H14.5V4H15.5C17.1569 4 18.5 5.34315 18.5 7C18.5 8.65685 17.1569 10 15.5 10H14.5V12H15.5C18.2614 12 20.5 9.76142 20.5 7C20.5 4.23858 18.2614 2 15.5 2ZM0 19C0 16.2386 2.23858 14 5 14H12C14.7614 14 17 16.2386 17 19V20V21H15V20V19C15 17.3431 13.6569 16 12 16H5C3.34315 16 2 17.3431 2 19V20V21H0V20V19ZM24 19C24 16.2386 21.7614 14 19 14H18V16H19C20.6569 16 22 17.3431 22 19V20V21H24V20V19Z"
      }
    }]
  };
  var member = vue.defineComponent({
    name: "MemberIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-member", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$cL(_objectSpread$cL({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$cJ, finalProps.value);
    }
  });

  function ownKeys$cK(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$cK(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$cK(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$cK(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$cI = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M3 3H6V6H3V3ZM10.5 3H13.5V6H10.5V3ZM18 3H21V6H18V3ZM3 10.5H6V13.5H3V10.5ZM10.5 10.5H13.5V13.5H10.5V10.5ZM18 10.5H21V13.5H18V10.5ZM3 18H6V21H3V18ZM10.5 18H13.5V21H10.5V18ZM18 18H21V21H18V18Z"
      }
    }]
  };
  var menuApplication = vue.defineComponent({
    name: "MenuApplicationIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-menu-application", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$cK(_objectSpread$cK({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$cI, finalProps.value);
    }
  });

  function ownKeys$cJ(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$cJ(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$cJ(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$cJ(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$cH = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M2 2H22V10H2V2zM8 4.99805H5.99609V7.00195H7.99609V6.99805H8V4.99805zM18 4.99805H10V6.99805H18V4.99805zM2 12H22V22H2V12z"
      }
    }]
  };
  var menuFilled = vue.defineComponent({
    name: "MenuFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-menu-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$cJ(_objectSpread$cJ({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$cH, finalProps.value);
    }
  });

  function ownKeys$cI(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$cI(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$cI(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$cI(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$cG = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M2 4H22V6H2V4ZM2 9.57075L5.8868 12L2 14.4292L2 9.57075ZM7 11L22 11V13L7 13V11ZM2 18L22 18V20L2 20L2 18Z"
      }
    }]
  };
  var menuFold = vue.defineComponent({
    name: "MenuFoldIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-menu-fold", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$cI(_objectSpread$cI({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$cG, finalProps.value);
    }
  });

  function ownKeys$cH(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$cH(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$cH(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$cH(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$cF = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M2 4H22V6H2V4ZM22 9.57075V14.4292L18.1132 12L22 9.57075ZM2 13L2 11L17 11V13L2 13ZM2 20L2 18L22 18V20L2 20Z"
      }
    }]
  };
  var menuUnfold = vue.defineComponent({
    name: "MenuUnfoldIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-menu-unfold", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$cH(_objectSpread$cH({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$cF, finalProps.value);
    }
  });

  function ownKeys$cG(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$cG(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$cG(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$cG(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$cE = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M2 2L22 2L22 22L2 22L2 2ZM4 4L4 9.5L20 9.5V4L4 4ZM20 11.5L4 11.5L4 20L20 20L20 11.5ZM5.99609 6L8 6V8H7.99609V8.00391H5.99609L5.99609 6ZM10 6L18 6V8L10 8L10 6Z"
      }
    }]
  };
  var menu = vue.defineComponent({
    name: "MenuIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-menu", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$cG(_objectSpread$cG({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$cE, finalProps.value);
    }
  });

  function ownKeys$cF(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$cF(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$cF(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$cF(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$cD = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M11 2H2V22H11V17H13V22H22V2H13V7H11V2ZM17.1823 10.2321L15.4146 11.9999L17.1823 13.7676L15.7681 15.1818L12.5861 11.9999L15.7681 8.81787L17.1823 10.2321ZM8.33023 8.81825L11.5122 12.0002L8.33023 15.1822L6.91602 13.768L8.68378 12.0002L6.91602 10.2325L8.33023 8.81825Z"
      }
    }]
  };
  var mergeCellsFilled = vue.defineComponent({
    name: "MergeCellsFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-merge-cells-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$cF(_objectSpread$cF({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$cD, finalProps.value);
    }
  });

  function ownKeys$cE(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$cE(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$cE(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$cE(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$cC = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M2 2H22V22H2V2ZM4 4V20H11V16H13V20H20V4H13V8H11V4H4ZM17.182 10.232L15.4142 11.9998L17.182 13.7676L15.7678 15.1818L12.5858 11.9998L15.7678 8.81783L17.182 10.232ZM8.32989 8.81821L11.5119 12.0002L8.32989 15.1822L6.91568 13.768L8.68344 12.0002L6.91568 10.2324L8.32989 8.81821Z"
      }
    }]
  };
  var mergeCells = vue.defineComponent({
    name: "MergeCellsIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-merge-cells", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$cE(_objectSpread$cE({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$cC, finalProps.value);
    }
  });

  function ownKeys$cD(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$cD(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$cD(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$cD(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$cB = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M7 6C7 3.23858 9.23858 1 12 1C14.7614 1 17 3.23858 17 6V11C17 13.7614 14.7614 16 12 16C9.23858 16 7 13.7614 7 11V6ZM6 10V11C6 14.3137 8.68629 17 12 17C15.3137 17 18 14.3137 18 11V10H20V11C20 15.0796 16.9463 18.446 13 18.9381V20H18V22H6V20H11V18.9381C7.05369 18.446 4 15.0796 4 11V10H6Z"
      }
    }]
  };
  var microphone1Filled = vue.defineComponent({
    name: "Microphone1FilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-microphone-1-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$cD(_objectSpread$cD({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$cB, finalProps.value);
    }
  });

  function ownKeys$cC(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$cC(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$cC(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$cC(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$cA = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M7 6C7 3.23858 9.23858 1 12 1C14.7614 1 17 3.23858 17 6V11C17 13.7614 14.7614 16 12 16C9.23858 16 7 13.7614 7 11V6ZM12 3C10.3431 3 9 4.34315 9 6V11C9 12.6569 10.3431 14 12 14C13.6569 14 15 12.6569 15 11V6C15 4.34315 13.6569 3 12 3ZM6 10V11C6 14.3137 8.68629 17 12 17C15.3137 17 18 14.3137 18 11V10H20V11C20 15.0796 16.9463 18.446 13 18.9381V20H18V22H6V20H11V18.9381C7.05369 18.446 4 15.0796 4 11V10H6Z"
      }
    }]
  };
  var microphone1 = vue.defineComponent({
    name: "Microphone1Icon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-microphone-1", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$cC(_objectSpread$cC({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$cA, finalProps.value);
    }
  });

  function ownKeys$cB(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$cB(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$cB(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$cB(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$cz = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M9.00903 7.64141C9.19569 3.94206 12.2543 1 16 1C19.866 1 23 4.13401 23 8C23 11.7457 20.058 14.8043 16.3586 14.991L7.13459 22.2733C7.12851 22.2784 7.12204 22.2837 7.11519 22.2892C7.08924 22.3101 7.0576 22.3341 7.02027 22.3599C6.94571 22.4115 6.84739 22.471 6.72539 22.5272C6.47859 22.641 6.14119 22.7384 5.72376 22.7339C4.87285 22.7249 3.88753 22.3011 2.79321 21.2075C1.69868 20.1138 1.27455 19.1282 1.26576 18.2766C1.26145 17.859 1.35907 17.5215 1.47296 17.2747C1.52927 17.1527 1.58879 17.0544 1.64036 16.9798C1.66619 16.9425 1.6902 16.9109 1.71109 16.8849C1.71659 16.8781 1.72187 16.8717 1.72693 16.8656L9.00903 7.64141ZM9.40878 10.3627L3.28689 18.1173C3.28025 18.1333 3.26485 18.1779 3.26566 18.256C3.2673 18.4153 3.34317 18.9297 4.20692 19.7928C5.0709 20.6562 5.58558 20.7323 5.74509 20.7341C5.82278 20.7349 5.86729 20.7197 5.88324 20.7131L13.6373 14.5912C11.672 13.8867 10.1134 12.3281 9.40878 10.3627ZM10.4142 15L8 17.4142L6.58579 16L9 13.5858L10.4142 15Z"
      }
    }]
  };
  var microphone2Filled = vue.defineComponent({
    name: "Microphone2FilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-microphone-2-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$cB(_objectSpread$cB({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$cz, finalProps.value);
    }
  });

  function ownKeys$cA(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$cA(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$cA(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$cA(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$cy = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M16 3C13.2386 3 11 5.23858 11 8C11 10.7614 13.2386 13 16 13C18.7614 13 21 10.7614 21 8C21 5.23858 18.7614 3 16 3ZM9.00903 7.64141C9.19569 3.94206 12.2543 1 16 1C19.866 1 23 4.13401 23 8C23 11.7457 20.058 14.8043 16.3586 14.991L7.13459 22.2733C7.12851 22.2784 7.12204 22.2837 7.11519 22.2892C7.08924 22.3101 7.0576 22.3341 7.02027 22.3599C6.94571 22.4115 6.84739 22.471 6.72539 22.5272C6.47859 22.641 6.14119 22.7384 5.72376 22.7339C4.87285 22.7249 3.88753 22.3011 2.79321 21.2075C1.69868 20.1138 1.27455 19.1282 1.26576 18.2766C1.26145 17.859 1.35907 17.5215 1.47296 17.2747C1.52927 17.1527 1.58879 17.0544 1.64036 16.9798C1.66619 16.9425 1.6902 16.9109 1.71109 16.8849C1.71659 16.8781 1.72187 16.8717 1.72693 16.8656L9.00903 7.64141ZM9.40878 10.3627L3.28689 18.1173C3.28025 18.1333 3.26485 18.1779 3.26566 18.256C3.2673 18.4153 3.34317 18.9297 4.20692 19.7928C5.0709 20.6562 5.58558 20.7323 5.74509 20.734C5.82278 20.7349 5.86729 20.7197 5.88324 20.7131L13.6373 14.5912C11.672 13.8867 10.1134 12.3281 9.40878 10.3627ZM10.4142 15L8 17.4142L6.58579 16L9 13.5858L10.4142 15Z"
      }
    }]
  };
  var microphone2 = vue.defineComponent({
    name: "Microphone2Icon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-microphone-2", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$cA(_objectSpread$cA({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$cy, finalProps.value);
    }
  });

  function ownKeys$cz(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$cz(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$cz(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$cz(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$cx = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M5.18903 5.5H9V7.5H5V9.5H9V11.5H5V13C5 13.1682 5.00695 13.335 5.02059 13.5H9V15.5H5.54436C6.49234 17.5655 8.57787 19 11 19V20H6V22H18V20H13V19C15.4221 19 17.5077 17.5655 18.4556 15.5H15V13.5H18.9794C18.9931 13.335 19 13.1682 19 13V11.5H15V9.5H19V7.5H15V5.5H18.811C18.1449 2.91216 15.7958 1 13 1H11C8.20424 1 5.85509 2.91216 5.18903 5.5Z"
      }
    }]
  };
  var microphoneFilled = vue.defineComponent({
    name: "MicrophoneFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-microphone-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$cz(_objectSpread$cz({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$cx, finalProps.value);
    }
  });

  function ownKeys$cy(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$cy(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$cy(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$cy(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$cw = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M5 7C5 3.68629 7.68629 1 11 1H13C16.3137 1 19 3.68629 19 7V13C19 13.4097 18.9588 13.8107 18.88 14.1989C18.324 16.938 15.9039 19 13 19V20H18V22H6V20H11V19C8.09609 19 5.67601 16.938 5.12 14.1989C5.0412 13.8107 5 13.4097 5 13V7ZM7 11.5V13H10V15H7.53482C8.22659 16.1956 9.52002 17 11 17H13C14.48 17 15.7734 16.1956 16.4652 15H14V13H17V11.5H14V9.5H17V8H14V6H16.874C16.4299 4.27477 14.8638 3 13 3H11C9.13616 3 7.57006 4.27477 7.12602 6H10V8H7V9.5H10V11.5H7Z"
      }
    }]
  };
  var microphone = vue.defineComponent({
    name: "MicrophoneIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-microphone", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$cy(_objectSpread$cy({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$cw, finalProps.value);
    }
  });

  function ownKeys$cx(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$cx(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$cx(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$cx(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$cv = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M6.15 1H17.85V4.59026L20 9.49026V23H4V9.49026L6.15 4.59026V1ZM18 9.90974L16.9322 7.47622L16.05 9.87786V21H18V9.90974ZM7.80325 5.8L6.5308 8.7H14.352L15.4173 5.8H7.80325ZM8.15 3V3.8H15.85V3H8.15ZM13 13H11.5743L9.9984 14.5838L8.41536 13H7V19H9V16.4141L10.0016 17.4162L11 16.4127V19H13V13Z"
      }
    }]
  };
  var milkFilled = vue.defineComponent({
    name: "MilkFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-milk-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$cx(_objectSpread$cx({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$cv, finalProps.value);
    }
  });

  function ownKeys$cw(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$cw(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$cw(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$cw(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$cu = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M17.85 1H6.15V4.59026L4 9.49026V23H20V9.49026L17.85 4.59026V1ZM16.9322 7.47622L18 9.90974V21H16.05V9.87786L16.9322 7.47622ZM14.05 10.7V21H6V10.7H14.05ZM6.5308 8.7L7.80325 5.8H15.4173L14.352 8.7H6.5308ZM8.15 3.8V3H15.85V3.8H8.15ZM13 13H11.5743L9.9984 14.5838L8.41536 13H7V19H9V16.4141L10.0016 17.4162L11 16.4127V19H13V13Z"
      }
    }]
  };
  var milk = vue.defineComponent({
    name: "MilkIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-milk", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$cw(_objectSpread$cw({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$cu, finalProps.value);
    }
  });

  function ownKeys$cv(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$cv(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$cv(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$cv(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$ct = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M12 1C18.0751 1 23 5.92487 23 12C23 18.0751 18.0751 23 12 23C5.92487 23 1 18.0751 1 12C1 5.92487 5.92487 1 12 1ZM17.5 13V11L6.5 11V13L17.5 13Z"
      }
    }]
  };
  var minusCircleFilled = vue.defineComponent({
    name: "MinusCircleFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-minus-circle-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$cv(_objectSpread$cv({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$ct, finalProps.value);
    }
  });

  function ownKeys$cu(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$cu(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$cu(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$cu(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$cs = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M12 3C7.02944 3 3 7.02944 3 12C3 16.9706 7.02944 21 12 21C16.9706 21 21 16.9706 21 12C21 7.02944 16.9706 3 12 3ZM1 12C1 5.92487 5.92487 1 12 1C18.0751 1 23 5.92487 23 12C23 18.0751 18.0751 23 12 23C5.92487 23 1 18.0751 1 12ZM6.5 11L17.5 11V13L6.5 13V11Z"
      }
    }]
  };
  var minusCircle = vue.defineComponent({
    name: "MinusCircleIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-minus-circle", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$cu(_objectSpread$cu({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$cs, finalProps.value);
    }
  });

  function ownKeys$ct(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$ct(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$ct(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$ct(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$cr = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M2 2H22V22L2 22V2ZM6.5 11V13L17.5 13V11L6.5 11Z"
      }
    }]
  };
  var minusRectangleFilled = vue.defineComponent({
    name: "MinusRectangleFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-minus-rectangle-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$ct(_objectSpread$ct({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$cr, finalProps.value);
    }
  });

  function ownKeys$cs(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$cs(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$cs(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$cs(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$cq = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M2 2H22V22L2 22V2ZM4 4V20L20 20V4H4ZM6.5 11L17.5 11V13L6.5 13V11Z"
      }
    }]
  };
  var minusRectangle = vue.defineComponent({
    name: "MinusRectangleIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-minus-rectangle", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$cs(_objectSpread$cs({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$cq, finalProps.value);
    }
  });

  function ownKeys$cr(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$cr(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$cr(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$cr(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$cp = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M6.50195 11L17.502 11V13L6.50195 13L6.50195 11Z"
      }
    }]
  };
  var minus = vue.defineComponent({
    name: "MinusIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-minus", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$cr(_objectSpread$cr({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$cp, finalProps.value);
    }
  });

  function ownKeys$cq(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$cq(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$cq(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$cq(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$co = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M13.0001 2L13.0001 22H11.0001L11.0001 2L13.0001 2ZM9.00005 4.64087V18.5H1.30054L9.00005 4.64087ZM15.0001 4.64087L22.6996 18.5H15.0001V4.64087Z"
      }
    }]
  };
  var mirrorFilled = vue.defineComponent({
    name: "MirrorFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-mirror-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$cq(_objectSpread$cq({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$co, finalProps.value);
    }
  });

  function ownKeys$cp(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$cp(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$cp(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$cp(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$cn = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M13.0003 2L13.0003 22H11.0003L11.0003 2L13.0003 2ZM9.0003 4.64087V18.5H1.30078L9.0003 4.64087ZM15.0003 4.64087L22.6998 18.5H15.0003V4.64087ZM4.69981 16.5H7.0003V12.3591L4.69981 16.5ZM17.0003 12.3591V16.5H19.3008L17.0003 12.3591Z"
      }
    }]
  };
  var mirror = vue.defineComponent({
    name: "MirrorIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-mirror", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$cp(_objectSpread$cp({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$cn, finalProps.value);
    }
  });

  function ownKeys$co(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$co(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$co(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$co(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$cm = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M4 1H20V3.28988C19.3663 3.10128 18.695 3 18 3H6V17H18C18.695 17 19.3663 16.8987 20 16.7101V23H4V1ZM13.0039 19H11V21.0039H13.0039V19Z"
      }
    }, {
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M18 4.5C14.9624 4.5 12.5 6.96243 12.5 10C12.5 11.5184 13.1167 12.8948 14.1108 13.889C15.105 14.8832 16.4814 15.5 18 15.5C21.0376 15.5 23.5 13.0376 23.5 10C23.5 8.48155 22.8833 7.10523 21.8892 6.11103C20.895 5.11675 19.5186 4.5 18 4.5ZM14.5 10C14.5 8.067 16.067 6.5 18 6.5C18.6032 6.5 19.1701 6.65208 19.6654 6.92057L14.9205 11.6652C14.652 11.17 14.5 10.6031 14.5 10ZM16.3346 13.0794L21.0795 8.33483C21.348 8.83 21.5 9.39687 21.5 10C21.5 11.933 19.933 13.5 18 13.5C17.3968 13.5 16.8299 13.3479 16.3346 13.0794Z"
      }
    }]
  };
  var mobileBlockedFilled = vue.defineComponent({
    name: "MobileBlockedFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-mobile-blocked-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$co(_objectSpread$co({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$cm, finalProps.value);
    }
  });

  function ownKeys$cn(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$cn(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$cn(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$cn(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$cl = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M4 1H20V5H18V3H6V21H18V19H20V23H4V1ZM18 8.5C16.067 8.5 14.5 10.067 14.5 12C14.5 12.6031 14.652 13.17 14.9205 13.6652L19.6654 8.92057C19.1701 8.65208 18.6032 8.5 18 8.5ZM21.0795 10.3348L16.3346 15.0794C16.8299 15.3479 17.3968 15.5 18 15.5C19.933 15.5 21.5 13.933 21.5 12C21.5 11.3969 21.348 10.83 21.0795 10.3348ZM12.5 12C12.5 8.96243 14.9624 6.5 18 6.5C19.5186 6.5 20.895 7.11675 21.8892 8.11103C22.8833 9.10523 23.5 10.4816 23.5 12C23.5 15.0376 21.0376 17.5 18 17.5C16.4814 17.5 15.105 16.8832 14.1108 15.889C13.1167 14.8948 12.5 13.5184 12.5 12ZM11 17H13.0039V19.0039H11V17Z"
      }
    }]
  };
  var mobileBlocked = vue.defineComponent({
    name: "MobileBlockedIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-mobile-blocked", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$cn(_objectSpread$cn({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$cl, finalProps.value);
    }
  });

  function ownKeys$cm(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$cm(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$cm(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$cm(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$ck = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M20 1H4V23H20V1ZM13.0039 17V19.0039H11V17H13.0039Z"
      }
    }]
  };
  var mobileFilled = vue.defineComponent({
    name: "MobileFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-mobile-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$cm(_objectSpread$cm({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$ck, finalProps.value);
    }
  });

  function ownKeys$cl(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$cl(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$cl(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$cl(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$cj = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M4 1H20V5H18V3H6V17H18V15H20V23H4V1ZM13.0039 19H11V21.0039H13.0039V19Z"
      }
    }, {
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M24 7H13V9H24V7zM21 11H13V13H21V11z"
      }
    }]
  };
  var mobileListFilled = vue.defineComponent({
    name: "MobileListFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-mobile-list-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$cl(_objectSpread$cl({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$cj, finalProps.value);
    }
  });

  function ownKeys$ck(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$ck(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$ck(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$ck(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$ci = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M4 1H20V6H18V3H6V21H18V16H20V23H4V1ZM13 8H24V10H13V8ZM13 12H21V14H13V12ZM11 17H13.0039V19.0039H11V17Z"
      }
    }]
  };
  var mobileList = vue.defineComponent({
    name: "MobileListIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-mobile-list", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$ck(_objectSpread$ck({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$ci, finalProps.value);
    }
  });

  function ownKeys$cj(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$cj(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$cj(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$cj(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$ch = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M4 1H20V23H4V1ZM10.9996 17.0002V19.0041H13.0035V17.0002H10.9996ZM15.9733 13.8278L12.0003 5.88184L8.02734 13.8278L12.0003 12.5862L15.9733 13.8278Z"
      }
    }]
  };
  var mobileNavigationFilled = vue.defineComponent({
    name: "MobileNavigationFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-mobile-navigation-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$cj(_objectSpread$cj({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$ch, finalProps.value);
    }
  });

  function ownKeys$ci(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$ci(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$ci(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$ci(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$cg = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M4 1H20V23H4V1ZM6 3V21H18V3H6ZM12 4.76393L16.9459 14.6558L12 13.1102L7.05407 14.6558L12 4.76393ZM10.9459 11.3442L12 11.0148L13.0541 11.3442L12 9.23607L10.9459 11.3442ZM11 17H13.0039V19.0039H11V17Z"
      }
    }]
  };
  var mobileNavigation = vue.defineComponent({
    name: "MobileNavigationIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-mobile-navigation", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$ci(_objectSpread$ci({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$cg, finalProps.value);
    }
  });

  function ownKeys$ch(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$ch(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$ch(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$ch(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$cf = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M4 1H20V5H18V3H6V17H20V23H4V1ZM13.0039 19H11V21.0039H13.0039V19Z"
      }
    }, {
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M23.4551 14.506L21.8863 15.2869 21.1054 16.8557 20.3245 15.2869 18.7557 14.506 20.3245 13.7251 21.1054 12.1562 21.8863 13.7251 23.4551 14.506zM14.9599 12.0966L16.057 14.3007 17.1541 12.0966 19.3581 10.9995 17.1541 9.90243 16.057 7.69839 14.9599 9.90243 12.7559 10.9995 14.9599 12.0966zM23.4551 7.4962L21.8863 8.27709 21.1054 9.84589 20.3245 8.27709 18.7557 7.4962 20.3245 6.71529 21.1054 5.14648 21.8863 6.71529 23.4551 7.4962z"
      }
    }]
  };
  var mobileShortcutFilled = vue.defineComponent({
    name: "MobileShortcutFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-mobile-shortcut-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$ch(_objectSpread$ch({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$cf, finalProps.value);
    }
  });

  function ownKeys$cg(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$cg(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$cg(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$cg(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$ce = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M20 23H4V1H20V6H18V3H6V21H18V18H20V23ZM13.0039 19.0039H11V17H13.0039V19.0039ZM21.8865 16.2869L23.4553 15.506L21.8865 14.7251L21.1056 13.1563L20.3247 14.7251L18.7559 15.506L20.3247 16.2869L21.1056 17.8557L21.8865 16.2869ZM16.0572 15.3007L14.9601 13.0967L12.7561 11.9996L14.9601 10.9025L16.0572 8.69844L17.1543 10.9025L19.3583 11.9996L17.1543 13.0967L16.0572 15.3007ZM21.8865 9.27714L23.4553 8.49625L21.8865 7.71534L21.1056 6.14653L20.3247 7.71534L18.7559 8.49625L20.3247 9.27714L21.1056 10.8459L21.8865 9.27714Z"
      }
    }]
  };
  var mobileShortcut = vue.defineComponent({
    name: "MobileShortcutIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-mobile-shortcut", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$cg(_objectSpread$cg({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$ce, finalProps.value);
    }
  });

  function ownKeys$cf(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$cf(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$cf(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$cf(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$cd = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M19 1H5V23H19V1zM13.0039 17V19.0039H11V17H13.0039zM4 19L4 5H2V19H4zM22 19V5H20V19H22z"
      }
    }]
  };
  var mobileVibrateFilled = vue.defineComponent({
    name: "MobileVibrateFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-mobile-vibrate-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$cf(_objectSpread$cf({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$cd, finalProps.value);
    }
  });

  function ownKeys$ce(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$ce(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$ce(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$ce(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$cc = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M5 1H19V23H5V1ZM7 3V21H17V3H7ZM4 5L4 19H2L2 5H4ZM22 5V19H20V5H22ZM11 17H13.0039V19.0039H11V17Z"
      }
    }]
  };
  var mobileVibrate = vue.defineComponent({
    name: "MobileVibrateIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-mobile-vibrate", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$ce(_objectSpread$ce({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$cc, finalProps.value);
    }
  });

  function ownKeys$cd(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$cd(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$cd(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$cd(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$cb = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M4 1H20V23H4V1ZM6 3V21H18V3H6ZM11 17H13.0039V19.0039H11V17Z"
      }
    }]
  };
  var mobile = vue.defineComponent({
    name: "MobileIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-mobile", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$cd(_objectSpread$cd({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$cb, finalProps.value);
    }
  });

  function ownKeys$cc(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$cc(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$cc(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$cc(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$ca = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 25 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M16.0703 3.34403L14.6423 4.12503L16.0703 4.90604L16.8513 6.33405L17.6323 4.90604L19.0603 4.12503L17.6323 3.34403L16.8513 1.91602L16.0703 3.34403ZM2.22632 12C2.22632 6.47719 6.70347 2.00003 12.2263 2.00003H13.96L13.0919 3.50073C12.5134 4.50094 12.2263 5.68851 12.2263 7.00003C12.2263 10.866 15.3603 14 19.2263 14C19.6881 14 20.1385 13.9555 20.5738 13.8707L22.2564 13.5428L21.7135 15.1689C20.3886 19.1373 16.6431 22 12.2263 22C6.70347 22 2.22632 17.5229 2.22632 12ZM20.7263 6.41602L21.6399 8.08645L23.3103 9.00003L21.6399 9.91362L20.7263 11.5841L19.8127 9.91362L18.1423 9.00003L19.8127 8.08645L20.7263 6.41602Z"
      }
    }]
  };
  var modeDarkFilled = vue.defineComponent({
    name: "ModeDarkFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-mode-dark-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$cc(_objectSpread$cc({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$ca, finalProps.value);
    }
  });

  function ownKeys$cb(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$cb(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$cb(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$cb(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$c9 = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M15.844 3.34403L14.416 4.12503L15.844 4.90604L16.625 6.33405L17.406 4.90604L18.834 4.12503L17.406 3.34403L16.625 1.91602L15.844 3.34403ZM10.412 4.15764C6.75443 4.89424 4 8.12547 4 12C4 16.4183 7.58172 20 12 20C14.9602 20 17.5466 18.3918 18.9302 15.9998C13.9918 15.9623 10 11.9473 10 7.00003C10 6.02088 10.1313 5.06319 10.412 4.15764ZM2 12C2 6.47719 6.47715 2.00003 12 2.00003H13.7337L12.8656 3.50073C12.2871 4.50094 12 5.68851 12 7.00003C12 10.866 15.134 14 19 14C19.4618 14 19.9122 13.9555 20.3475 13.8707L22.0301 13.5428L21.4872 15.1689C20.1623 19.1373 16.4167 22 12 22C6.47715 22 2 17.5229 2 12ZM20.5 6.41602L21.4136 8.08645L23.084 9.00003L21.4136 9.91362L20.5 11.5841L19.5864 9.91362L17.916 9.00003L19.5864 8.08645L20.5 6.41602Z"
      }
    }]
  };
  var modeDark = vue.defineComponent({
    name: "ModeDarkIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-mode-dark", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$cb(_objectSpread$cb({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$c9, finalProps.value);
    }
  });

  function ownKeys$ca(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$ca(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$ca(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$ca(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$c8 = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 25 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M11.2256 -0.00341797H13.2295V2.00049H11.2256V-0.00341797ZM4.4494 2.80335L5.86631 4.22039L4.4494 5.6373L3.03236 4.22039L4.4494 2.80335ZM20.006 2.80357L21.4226 4.22033L20.006 5.63721L18.5883 4.22033L20.006 2.80357ZM4.22656 12.0005C4.22656 7.58221 7.80828 4.00049 12.2266 4.00049C16.6448 4.00049 20.2266 7.58221 20.2266 12.0005C20.2266 16.4188 16.6448 20.0005 12.2266 20.0005C7.80828 20.0005 4.22656 16.4188 4.22656 12.0005ZM0.225586 10.9966H2.22949V13.0005H0.225586V10.9966ZM22.2256 10.9966H24.2295V13.0005H22.2256V10.9966ZM4.44936 18.3598L5.86616 19.7765L4.44936 21.1941L3.03257 19.7765L4.44936 18.3598ZM20.006 18.36L21.4224 19.7765L20.006 21.1939L18.5885 19.7765L20.006 18.36ZM11.2256 21.9966H13.2295V24.0005H11.2256V21.9966Z"
      }
    }]
  };
  var modeLightFilled = vue.defineComponent({
    name: "ModeLightFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-mode-light-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$ca(_objectSpread$ca({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$c8, finalProps.value);
    }
  });

  function ownKeys$c9(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$c9(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$c9(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$c9(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$c7 = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "g",
      "attrs": {
        "clipPath": "url(#clip0_8726_7797)"
      },
      "children": [{
        "tag": "path",
        "attrs": {
          "fill": "currentColor",
          "d": "M10.999 -0.00390625H13.0029V2H10.999V-0.00390625ZM4.22283 2.80287L5.63975 4.2199L4.22283 5.63682L2.8058 4.2199L4.22283 2.80287ZM19.7794 2.80308L21.196 4.21984L19.7794 5.63673L18.3618 4.21984L19.7794 2.80308ZM12 6C8.68629 6 6 8.68629 6 12C6 15.3137 8.68629 18 12 18C15.3137 18 18 15.3137 18 12C18 8.68629 15.3137 6 12 6ZM4 12C4 7.58172 7.58172 4 12 4C16.4183 4 20 7.58172 20 12C20 16.4183 16.4183 20 12 20C7.58172 20 4 16.4183 4 12ZM-0.000976562 10.9961H2.00293V13H-0.000976562V10.9961ZM21.999 10.9961H24.0029V13H21.999V10.9961ZM4.2228 18.3593L5.63959 19.776L4.2228 21.1936L2.80601 19.776L4.2228 18.3593ZM19.7794 18.3595L21.1959 19.776L19.7794 21.1934L18.3619 19.776L19.7794 18.3595ZM10.999 21.9961H13.0029V24H10.999V21.9961Z"
        }
      }]
    }]
  };
  var modeLight = vue.defineComponent({
    name: "ModeLightIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-mode-light", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$c9(_objectSpread$c9({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$c7, finalProps.value);
    }
  });

  function ownKeys$c8(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$c8(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$c8(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$c8(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$c6 = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M11 2H2V22H11V2zM13 22H22V13H13V22zM22 11V2H13V11H22z"
      }
    }]
  };
  var moduleFilled = vue.defineComponent({
    name: "ModuleFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-module-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$c8(_objectSpread$c8({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$c6, finalProps.value);
    }
  });

  function ownKeys$c7(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$c7(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$c7(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$c7(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$c5 = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M2 2L22 2L22 22L2 22L2 2ZM4 4L4 20H11L11 4L4 4ZM13 4L13 11L20 11V4L13 4ZM20 13L13 13L13 20L20 20L20 13Z"
      }
    }]
  };
  var module = vue.defineComponent({
    name: "ModuleIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-module", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$c7(_objectSpread$c7({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$c5, finalProps.value);
    }
  });

  function ownKeys$c6(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$c6(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$c6(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$c6(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$c4 = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M13.5 16C13.5 16.8284 12.8284 17.5 12 17.5C11.1716 17.5 10.5 16.8284 10.5 16C10.5 15.1716 11.1716 14.5 12 14.5C12.8284 14.5 13.5 15.1716 13.5 16Z"
      }
    }, {
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M14.3474 0.65918L17.5262 5.11576L19.624 4.40072L21.5383 9.99976H22.5V21.9998H1.5V9.99976H2.00953L2.00962 9.99025L2.65847 9.99634L14.3474 0.65918ZM9.39652 9.99976L19.4247 9.99976L18.3876 6.96676L16.8657 7.45386L9.39652 9.99976ZM7.83949 8.41748L15.55 5.78935L13.9456 3.53995L7.83949 8.41748ZM5.5 12H3.5V14C4.60457 14 5.5 13.1046 5.5 12ZM15.5 16C15.5 14.067 13.933 12.5 12 12.5C10.067 12.5 8.5 14.067 8.5 16C8.5 17.933 10.067 19.5 12 19.5C13.933 19.5 15.5 17.933 15.5 16ZM20.5 20V18C19.3954 18 18.5 18.8954 18.5 20H20.5ZM18.5 12C18.5 13.1046 19.3954 14 20.5 14V12H18.5ZM3.5 20H5.5C5.5 18.8954 4.60457 18 3.5 18V20Z"
      }
    }]
  };
  var moneyFilled = vue.defineComponent({
    name: "MoneyFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-money-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$c6(_objectSpread$c6({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$c4, finalProps.value);
    }
  });

  function ownKeys$c5(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$c5(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$c5(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$c5(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$c3 = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M12 12.5C10.067 12.5 8.5 14.067 8.5 16C8.5 17.933 10.067 19.5 12 19.5C13.933 19.5 15.5 17.933 15.5 16C15.5 14.067 13.933 12.5 12 12.5ZM10.5 16C10.5 15.1716 11.1716 14.5 12 14.5C12.8284 14.5 13.5 15.1716 13.5 16C13.5 16.8284 12.8284 17.5 12 17.5C11.1716 17.5 10.5 16.8284 10.5 16Z"
      }
    }, {
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M17.5262 5.11601L14.3474 0.659424L2.65847 9.99658L2.00962 9.9905L2.00953 10H1.5V22H22.5V10H21.5383L19.624 4.40097L17.5262 5.11601ZM19.4247 10L9.39652 10L16.8657 7.45411L18.3876 6.967L19.4247 10ZM15.55 5.78959L7.83949 8.41773L13.9456 3.54019L15.55 5.78959ZM3.5 18.1686L3.5 13.8293C4.35241 13.528 5.02801 12.8524 5.32929 12L18.6702 12C18.9715 12.8527 19.6473 13.5285 20.5 13.8298V18.1707C19.6476 18.472 18.972 19.1476 18.6707 20H5.33137C5.02992 19.1465 4.35349 18.4701 3.5 18.1686Z"
      }
    }]
  };
  var money = vue.defineComponent({
    name: "MoneyIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-money", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$c5(_objectSpread$c5({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$c3, finalProps.value);
    }
  });

  function ownKeys$c4(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$c4(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$c4(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$c4(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$c2 = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M9 1V2H15V1H17V3.16228L16 6.16228V15H17V18H19V23H5V18H7V15H8V6.16228L7 3.16228V1H9ZM14.2792 5L14.6126 4H9.38743L9.72076 5H14.2792ZM9 17V18H15V17H9ZM17 20H7V21H17V20Z"
      }
    }]
  };
  var monumentFilled = vue.defineComponent({
    name: "MonumentFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-monument-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$c4(_objectSpread$c4({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$c2, finalProps.value);
    }
  });

  function ownKeys$c3(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$c3(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$c3(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$c3(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$c1 = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M9 1V2H15V1H17V3.16228L16 6.16228V15H17V18H19V23H5V18H7V15H8V6.16228L7 3.16228V1H9ZM10 7V15H14V7H10ZM14.2792 5L14.6126 4H9.38743L9.72076 5H14.2792ZM9 17V18H15V17H9ZM17 20H7V21H17V20Z"
      }
    }]
  };
  var monument = vue.defineComponent({
    name: "MonumentIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-monument", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$c3(_objectSpread$c3({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$c1, finalProps.value);
    }
  });

  function ownKeys$c2(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$c2(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$c2(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$c2(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$c0 = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M10.9158 1.69189L10.4657 3.36611C10.1658 4.48198 10.1958 5.70339 10.5353 6.97023C11.5359 10.7045 15.3742 12.9206 19.1085 11.92C19.5545 11.8005 19.9781 11.6408 20.3765 11.4463L21.917 10.6941L21.8135 12.4053C21.7509 13.4388 21.4388 14.465 20.8944 15.5537L20.618 16.1065H14.6972L12 17.9064L9.30278 16.1065H2.82802L2.5242 15.3606C2.49436 15.2861 2.45367 15.1837 2.41062 15.0726C2.33366 14.8741 2.2203 14.5753 2.17011 14.388C0.740695 9.05338 3.90652 3.57001 9.24118 2.1406L10.9158 1.69189ZM1 18.1066H9.30278L12 19.9047L14.6972 18.1066H23V20.1066H15.3028L12 22.3084L8.69722 20.1066H1V18.1066Z"
      }
    }]
  };
  var moonFallFilled = vue.defineComponent({
    name: "MoonFallFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-moon-fall-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$c2(_objectSpread$c2({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$c0, finalProps.value);
    }
  });

  function ownKeys$c1(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$c1(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$c1(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$c1(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$b$ = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M10.9158 1.58545L10.4657 3.25967C10.1658 4.37554 10.1958 5.59695 10.5353 6.86378C11.5359 10.598 15.3742 12.8141 19.1085 11.8135C19.5545 11.694 19.9781 11.5344 20.3765 11.3398L21.917 10.5877L21.8135 12.2988C21.7509 13.3323 21.4388 14.3586 20.8944 15.4473L20.4472 16.3417L18.6584 15.4473L19.1056 14.5529C19.2383 14.2874 19.3505 14.0346 19.4439 13.7922C14.7007 14.9595 9.87363 12.1219 8.60343 7.38142C8.35 6.43563 8.22897 5.47658 8.2657 4.52925C4.92342 6.18739 3.09915 10.0214 4.10197 13.764C4.11844 13.8254 4.18705 14.0153 4.27541 14.2433C4.31502 14.3454 4.35282 14.4407 4.38081 14.5105L4.41405 14.5931L4.42303 14.6153L4.42578 14.622L4.80371 15.5481L2.95196 16.3038L2.57413 15.3779L2.57026 15.3684L2.56014 15.3435L2.5242 15.2542C2.49436 15.1797 2.45367 15.0772 2.41062 14.9662C2.33366 14.7676 2.2203 14.4689 2.17011 14.2816C0.740695 8.94694 3.90652 3.46357 9.24118 2.03415L10.9158 1.58545ZM1 18.0001H9.30278L12 19.7983L14.6972 18.0001H23V20.0001H15.3028L12 22.202L8.69722 20.0001H1V18.0001Z"
      }
    }]
  };
  var moonFall = vue.defineComponent({
    name: "MoonFallIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-moon-fall", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$c1(_objectSpread$c1({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$b$, finalProps.value);
    }
  });

  function ownKeys$c0(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$c0(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$c0(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$c0(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$b_ = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M2 12C2 6.47715 6.47715 2 12 2H13.7337L12.8656 3.50069C12.2871 4.50091 12 5.68848 12 7C12 10.866 15.134 14 19 14C19.4618 14 19.9122 13.9554 20.3475 13.8706L22.0301 13.5428L21.4872 15.1689C20.1623 19.1373 16.4167 22 12 22C6.47715 22 2 17.5228 2 12Z"
      }
    }]
  };
  var moonFilled = vue.defineComponent({
    name: "MoonFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-moon-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$c0(_objectSpread$c0({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$b_, finalProps.value);
    }
  });

  function ownKeys$b$(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$b$(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$b$(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$b$(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$bZ = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M10.465 3.25967L10.915 1.58545L9.24046 2.03415C3.9058 3.46357 0.739977 8.94694 2.1694 14.2816C2.21958 14.4689 2.33295 14.7676 2.4099 14.9662C2.45296 15.0772 2.49364 15.1797 2.52348 15.2542L2.82731 16.0001H8.7L11.9993 13.8L15.3 16.0001H20.6173L20.8937 15.4473C21.4381 14.3586 21.7502 13.3323 21.8128 12.2988L21.9163 10.5877L20.3758 11.3398C19.9773 11.5344 19.5538 11.694 19.1078 11.8135C15.3735 12.8141 11.5352 10.598 10.5346 6.86378C10.1951 5.59695 10.165 4.37554 10.465 3.25967Z"
      }
    }, {
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M9.30278 20.0002H1V18.0002H8.69722L12 15.7983L15.3028 18.0002H23V20.0002H14.6972L12 18.202L9.30278 20.0002Z"
      }
    }]
  };
  var moonRisingFilled = vue.defineComponent({
    name: "MoonRisingFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-moon-rising-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$b$(_objectSpread$b$({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$bZ, finalProps.value);
    }
  });

  function ownKeys$b_(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$b_(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$b_(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$b_(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$bY = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M1 20.0001H9.30278L12 18.2019L14.6972 20.0001H23V18.0001H15.3028L12 15.7982L8.69722 18.0001H1V20.0001ZM20.4472 16.3417L20.8944 15.4473C21.4388 14.3586 21.7509 13.3323 21.8135 12.2988L21.917 10.5877L20.3765 11.3398C19.9781 11.5344 19.5545 11.694 19.1085 11.8135C15.3742 12.8141 11.5359 10.598 10.5353 6.86378C10.1958 5.59695 10.1658 4.37554 10.4657 3.25967L10.9158 1.58545L9.24118 2.03415C3.90652 3.46357 0.74069 8.94694 2.17011 14.2816C2.22029 14.4689 2.33366 14.7676 2.41062 14.9662C2.45367 15.0772 2.49435 15.1797 2.5242 15.2542L2.56014 15.3435L2.57026 15.3684L2.95196 16.3038L4.8037 15.5481L4.42302 14.6153L4.41404 14.5931L4.3808 14.5105C4.35282 14.4407 4.31501 14.3454 4.2754 14.2433C4.18705 14.0153 4.11843 13.8254 4.10196 13.764C3.09915 10.0214 4.92342 6.18738 8.2657 4.52924C8.22897 5.47658 8.35 6.43563 8.60342 7.38142C9.87362 12.1219 14.7007 14.9595 19.4439 13.7922C19.3505 14.0346 19.2383 14.2874 19.1056 14.5529L18.6584 15.4473L20.4472 16.3417Z"
      }
    }]
  };
  var moonRising = vue.defineComponent({
    name: "MoonRisingIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-moon-rising", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$b_(_objectSpread$b_({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$bY, finalProps.value);
    }
  });

  function ownKeys$bZ(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$bZ(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$bZ(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$bZ(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$bX = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M10.412 4.15761C6.75443 4.8942 4 8.12543 4 12C4 16.4183 7.58172 20 12 20C14.9602 20 17.5466 18.3918 18.9302 15.9997C13.9918 15.9622 10 11.9473 10 7C10 6.02085 10.1313 5.06315 10.412 4.15761ZM2 12C2 6.47715 6.47715 2 12 2H13.7337L12.8656 3.50069C12.2871 4.50091 12 5.68848 12 7C12 10.866 15.134 14 19 14C19.4618 14 19.9122 13.9554 20.3475 13.8706L22.0301 13.5428L21.4872 15.1689C20.1623 19.1373 16.4167 22 12 22C6.47715 22 2 17.5228 2 12Z"
      }
    }]
  };
  var moon = vue.defineComponent({
    name: "MoonIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-moon", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$bZ(_objectSpread$bZ({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$bX, finalProps.value);
    }
  });

  function ownKeys$bY(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$bY(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$bY(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$bY(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$bW = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M10.5 3H13.5V6H10.5V3ZM10.5 10.5H13.5V13.5H10.5V10.5ZM10.5 18H13.5V21H10.5V18Z"
      }
    }]
  };
  var more = vue.defineComponent({
    name: "MoreIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-more", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$bY(_objectSpread$bY({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$bW, finalProps.value);
    }
  });

  function ownKeys$bX(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$bX(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$bX(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$bX(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$bV = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M7.00391 10.0041V8.00015H5.00391V8.00406H5V10.0041H7.00391Z"
      }
    }, {
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M10 5.58594L6 1.58594L2 5.58594V22.0002L11.5 22V15H18.5V22H22V9.99561H20.9751C20.7275 7.49954 18.6607 5.48522 16 5.07605V3.5H14V5.07605C12.3332 5.33238 10.8994 6.21866 10 7.45869V5.58594ZM7.99609 20.0002H4V6.41437L6 4.41436L8 6.41436L7.99609 20.0002Z"
      }
    }, {
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M13.5 17V22H16.5V17H13.5Z"
      }
    }]
  };
  var mosque1Filled = vue.defineComponent({
    name: "Mosque1FilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-mosque-1-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$bX(_objectSpread$bX({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$bV, finalProps.value);
    }
  });

  function ownKeys$bW(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$bW(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$bW(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$bW(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$bU = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M6 1.58594L10 5.58594V7.89656C10.1238 7.68585 10.2607 7.47803 10.4117 7.27618C11.1975 6.22567 12.3694 5.33801 14 5.07754V3.50015H16V5.07754C17.6306 5.33801 18.8025 6.22567 19.5883 7.27618C20.2464 8.15602 20.6374 9.14928 20.8403 10.0002H22V22.0002H2V5.58594L6 1.58594ZM18.7636 10.0002C18.5981 9.49514 18.3457 8.954 17.9867 8.47413C17.3664 7.64483 16.4379 7.00015 15 7.00015C13.5621 7.00015 12.6336 7.64483 12.0133 8.47413C11.6543 8.954 11.4019 9.49514 11.2364 10.0002H18.7636ZM10 12.0002V20.0002H12V14.0002H18V20.0002H20V12.0002H10ZM16 20.0002V16.0002H14V20.0002H16ZM8 20.0002V6.41436L6 4.41436L4 6.41436V20.0002H8ZM7.00391 8.00015V10.0041H5V8.00406H5.00391V8.00015H7.00391Z"
      }
    }]
  };
  var mosque1 = vue.defineComponent({
    name: "Mosque1Icon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-mosque-1", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$bW(_objectSpread$bW({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$bU, finalProps.value);
    }
  });

  function ownKeys$bV(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$bV(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$bV(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$bV(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$bT = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M13.0035 2.00195L11.0035 1.99805 11.0014 3.08266C8.48696 3.50372 6.50245 5.48865 6.08203 8.00333H17.9172C17.497 5.48984 15.5142 3.5056 13.0014 3.08326L13.0035 2.00195zM22 10H2V12H3V22H8V16H16V22H21V12H22V10z"
      }
    }, {
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M10 22V18H14V22H10Z"
      }
    }]
  };
  var mosqueFilled = vue.defineComponent({
    name: "MosqueFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-mosque-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$bV(_objectSpread$bV({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$bT, finalProps.value);
    }
  });

  function ownKeys$bU(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$bU(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$bU(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$bU(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$bS = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M13.0039 2.00195L13.0018 3.08326C15.5134 3.50542 17.4956 5.48809 17.917 8H22V10H21V22H3V10H2V8H6.08296C6.50458 5.4869 8.48844 3.50353 11.0018 3.08266L11.0039 1.99805L13.0039 2.00195ZM8.12602 8H15.874C15.4299 6.27477 13.8638 5 12 5C10.1362 5 8.57006 6.27477 8.12602 8ZM5 10V20H8V14H16V20H19L19 10H5ZM14 20V16H10V20H14Z"
      }
    }]
  };
  var mosque = vue.defineComponent({
    name: "MosqueIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-mosque", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$bU(_objectSpread$bU({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$bS, finalProps.value);
    }
  });

  function ownKeys$bT(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$bT(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$bT(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$bT(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$bR = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M11 1.06189C7.05369 1.55399 4 4.92038 4 9H11V1.06189zM13 1.06189V9H20C20 4.92038 16.9463 1.55399 13 1.06189zM20 11H4V15C4 19.4183 7.58172 23 12 23 16.4183 23 20 19.4183 20 15V11z"
      }
    }]
  };
  var mouseFilled = vue.defineComponent({
    name: "MouseFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-mouse-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$bT(_objectSpread$bT({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$bR, finalProps.value);
    }
  });

  function ownKeys$bS(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$bS(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$bS(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$bS(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$bQ = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M4 9C4 4.58172 7.58172 1 12 1C16.4183 1 20 4.58172 20 9V15C20 19.4183 16.4183 23 12 23C7.58172 23 4 19.4183 4 15V9ZM11 3.08296C8.16229 3.55904 6 6.027 6 9H11V3.08296ZM13 3.08296V9H18C18 6.027 15.8377 3.55904 13 3.08296ZM18 11H6V15C6 18.3137 8.68629 21 12 21C15.3137 21 18 18.3137 18 15V11Z"
      }
    }]
  };
  var mouse = vue.defineComponent({
    name: "MouseIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-mouse", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$bS(_objectSpread$bS({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$bQ, finalProps.value);
    }
  });

  function ownKeys$bR(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$bR(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$bR(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$bR(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$bP = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M1.08594 11.9999L5.50015 7.58568L6.91437 8.99989L4.91436 10.9999L11.0002 10.9999L11.0002 4.91412L9.00015 6.91412L7.58594 5.49991L12.0002 1.08569L16.4144 5.49991L15.0002 6.91412L13.0002 4.91412L13.0002 10.9999L19.0859 10.9999L17.0859 8.99991L18.5002 7.58569L22.9144 11.9999L18.5002 16.4141L17.0859 14.9999L19.0859 12.9999L13.0002 12.9999L13.0002 19.0857L15.0002 17.0857L16.4144 18.4999L12.0001 22.9141L7.58593 18.4999L9.00015 17.0857L11.0002 19.0857L11.0002 12.9999L4.91436 12.9999L6.91437 14.9999L5.50015 16.4141L1.08594 11.9999Z"
      }
    }]
  };
  var move1 = vue.defineComponent({
    name: "Move1Icon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-move-1", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$bR(_objectSpread$bR({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$bP, finalProps.value);
    }
  });

  function ownKeys$bQ(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$bQ(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$bQ(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$bQ(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$bO = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M6.75 2.25H9.75V5.25H6.75V2.25ZM14.25 2.25H17.25V5.25H14.25V2.25ZM6.75 7.75H9.75V10.75H6.75V7.75ZM14.25 7.75H17.25V10.75H14.25V7.75ZM6.75 13.25H9.75V16.25H6.75V13.25ZM14.25 13.25H17.25V16.25H14.25V13.25ZM6.75 18.75H9.75V21.75H6.75V18.75ZM14.25 18.75H17.25V21.75H14.25V18.75Z"
      }
    }]
  };
  var move = vue.defineComponent({
    name: "MoveIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-move", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$bQ(_objectSpread$bQ({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$bO, finalProps.value);
    }
  });

  function ownKeys$bP(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$bP(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$bP(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$bP(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$bN = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M22 2H2V22H22V2ZM4 8V4H5.53163L8.86496 8H4ZM11.4684 8L8.13504 4H12.5316L15.865 8H11.4684ZM18.4684 8L15.135 4H20V8H18.4684ZM9 14V12H15V14H9Z"
      }
    }]
  };
  var movieClapperFilled = vue.defineComponent({
    name: "MovieClapperFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-movie-clapper-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$bP(_objectSpread$bP({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$bN, finalProps.value);
    }
  });

  function ownKeys$bO(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$bO(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$bO(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$bO(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$bM = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M2 2L22 2L22 22L2 22L2 2ZM4 4L4 8L8.86496 8L5.53163 4L4 4ZM8.13504 4L11.4684 8L15.865 8L12.5316 4L8.13504 4ZM15.135 4L18.4684 8H20V4L15.135 4ZM20 10L4 10L4 20L20 20L20 10ZM15 14H9V12H15V14Z"
      }
    }]
  };
  var movieClapper = vue.defineComponent({
    name: "MovieClapperIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-movie-clapper", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$bO(_objectSpread$bO({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$bM, finalProps.value);
    }
  });

  function ownKeys$bN(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$bN(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$bN(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$bN(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$bL = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M8.81753 7.40381L11.9995 10.5858L15.1815 7.40381L16.5957 8.81802L13.4137 12L16.5957 15.182L15.1815 16.5962L11.9995 13.4142L8.81753 16.5962L7.40332 15.182L10.5853 12L7.40332 8.81802L8.81753 7.40381Z"
      }
    }]
  };
  var multiply = vue.defineComponent({
    name: "MultiplyIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-multiply", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$bN(_objectSpread$bN({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$bL, finalProps.value);
    }
  });

  function ownKeys$bM(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$bM(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$bM(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$bM(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$bK = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M17 10.101V6.38122L17.0342 6.41379L18.4137 4.96572L17.6897 4.27596C17.3387 3.94161 16.9582 3.63781 16.5524 3.36887C15.2472 2.5038 13.6809 2 11.9999 2C10.319 2 8.75277 2.50375 7.44758 3.36874C7.04261 3.63712 6.66284 3.94021 6.31247 4.27374L5.58817 4.96322L6.96714 6.41182L7 6.38054V10.101C5.72948 8.80447 3.95869 8 2 8H1V22H11V15H13V22H23V8H22C20.0413 8 18.2705 8.80447 17 10.101ZM3 10.1C5.28224 10.5633 7 12.581 7 15V20H3V10.1ZM21 20H17V15C17 12.581 18.7178 10.5633 21 10.1V20ZM13.0039 6.99805V9.00195H11V6.99805H13.0039Z"
      }
    }]
  };
  var museum1Filled = vue.defineComponent({
    name: "Museum1FilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-museum-1-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$bM(_objectSpread$bM({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$bK, finalProps.value);
    }
  });

  function ownKeys$bL(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$bL(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$bL(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$bL(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$bJ = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M9 4.76547V20H11V15H13V20H15L15 4.76556C14.1101 4.27753 13.0885 4 11.9999 4C10.9114 4 9.88989 4.27749 9 4.76547ZM17 6.38122V10.101C18.2705 8.80447 20.0413 8 22 8H23V22H1V8H2C3.95869 8 5.72948 8.80447 7 10.101V6.38054L6.96714 6.41182L5.58817 4.96322L6.31247 4.27374C6.66284 3.94021 7.04261 3.63712 7.44758 3.36874C8.75277 2.50375 10.319 2 11.9999 2C13.6809 2 15.2472 2.5038 16.5524 3.36887C16.9582 3.63781 17.3387 3.94161 17.6897 4.27596L18.4137 4.96572L17.0342 6.41379L17 6.38122ZM7 15C7 12.581 5.28224 10.5633 3 10.1V20H7V15ZM17 20H21V10.1C18.7178 10.5633 17 12.581 17 15V20ZM11 6.99805H13.0039V9.00195H11V6.99805Z"
      }
    }]
  };
  var museum1 = vue.defineComponent({
    name: "Museum1Icon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-museum-1", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$bL(_objectSpread$bL({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$bJ, finalProps.value);
    }
  });

  function ownKeys$bK(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$bK(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$bK(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$bK(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$bI = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M6 1.79834L10 4.46501V10.8197L22 8.81973V22.0002H17V18.0002H13V22.0002H2V4.46501L6 1.79834Z"
      }
    }]
  };
  var museum2Filled = vue.defineComponent({
    name: "Museum2FilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-museum-2-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$bK(_objectSpread$bK({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$bI, finalProps.value);
    }
  });

  function ownKeys$bJ(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$bJ(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$bJ(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$bJ(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$bH = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M6 1.79834L10 4.46501V10.8197L22 8.81973V22.0002H16V18.0002H14V22.0002H2V4.46501L6 1.79834ZM4 5.53537V20.0002H12V16.0002H18V20.0002H20V11.1807L8 13.1807V5.53537L6 4.20204L4 5.53537Z"
      }
    }]
  };
  var museum2 = vue.defineComponent({
    name: "Museum2Icon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-museum-2", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$bJ(_objectSpread$bJ({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$bH, finalProps.value);
    }
  });

  function ownKeys$bI(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$bI(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$bI(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$bI(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$bG = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M6 2H18V6.32718L22 5.88274V14H17V22H2V8.10496L6 7.66051V2ZM8 7.43829L16 6.5494V4H8V7.43829ZM6 10.998V13.002H8.00391V10.998H6ZM10 10.998V13.002H12.0039V10.998H10Z"
      }
    }, {
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M19 22H22V16H19V22Z"
      }
    }]
  };
  var museumFilled = vue.defineComponent({
    name: "MuseumFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-museum-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$bI(_objectSpread$bI({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$bG, finalProps.value);
    }
  });

  function ownKeys$bH(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$bH(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$bH(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$bH(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$bF = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M6 2H18V6.32718L22 5.88274V22H2V8.10496L6 7.66051V2ZM8 7.43829L16 6.5494V4H8V7.43829ZM18 20H20V15H18V20ZM20 13V8.11726L4 9.89504V20H16V13H20ZM6 10.998H8.00391V13.002H6V10.998ZM10 10.998H12.0039V13.002H10V10.998Z"
      }
    }]
  };
  var museum = vue.defineComponent({
    name: "MuseumIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-museum", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$bH(_objectSpread$bH({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$bF, finalProps.value);
    }
  });

  function ownKeys$bG(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$bG(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$bG(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$bG(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$bE = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M8.1136 1.74293C10.4356 -0.579103 15.525 -0.392804 19.9577 4.04113C24.3901 8.47467 24.5779 13.5629 22.2557 15.8851C21.2823 16.8585 20.0377 16.9165 18.8693 16.5403C18.0004 16.2606 17.0912 15.7232 16.1776 15.0476C16.0284 15.2665 15.8732 15.5144 15.7105 15.7903C15.4022 16.3134 15.0922 16.8929 14.7609 17.5125C14.6925 17.6405 14.6231 17.7702 14.5526 17.9015C13.7565 19.3848 12.8181 21.0831 11.6481 22.25C10.6897 23.2059 9.46243 24.0534 7.86055 23.9972C6.29186 23.9422 4.64678 23.028 2.80965 21.1879C0.97313 19.3484 0.0590761 17.7033 0.00277407 16.136C-0.0547721 14.534 0.791503 13.3077 1.74955 12.3496C2.91735 11.1818 4.61507 10.2436 6.09794 9.44723C6.22746 9.37767 6.35546 9.30917 6.4818 9.24155C7.10301 8.90909 7.68408 8.59811 8.20843 8.28873C8.48432 8.12596 8.73226 7.97055 8.95117 7.82128C8.27556 6.90763 7.73811 5.99831 7.45835 5.12941C7.08214 3.96094 7.14021 2.71632 8.1136 1.74293ZM10.2164 9.37767C9.90322 9.59868 9.56695 9.80935 9.22475 10.0113C8.66102 10.3439 8.0354 10.6786 7.4141 11.011C7.29046 11.0772 7.16699 11.1433 7.04421 11.2092C5.5149 12.0305 4.08819 12.8394 3.16377 13.7638C2.36445 14.5631 1.97326 15.2785 2.00148 16.0642C2.03095 16.8845 2.52591 18.073 4.22499 19.7748C5.92345 21.476 7.11086 21.9697 7.93067 21.9984C8.71728 22.026 9.4345 21.6331 10.2358 20.834C11.1608 19.9114 11.9694 18.4854 12.7904 16.9557C12.8571 16.8314 12.924 16.7064 12.9909 16.5811C13.3223 15.9613 13.6561 15.3371 13.9876 14.7747C14.1895 14.4323 14.4001 14.0958 14.6211 13.7824C13.8809 13.1331 13.1215 12.4076 12.3563 11.6424C11.5911 10.8772 10.8657 10.1178 10.2164 9.37767Z"
      }
    }]
  };
  var mushroom1Filled = vue.defineComponent({
    name: "Mushroom1FilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-mushroom-1-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$bG(_objectSpread$bG({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$bE, finalProps.value);
    }
  });

  function ownKeys$bF(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$bF(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$bF(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$bF(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$bD = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "g",
      "attrs": {
        "clipPath": "url(#clip0_8726_9460)"
      },
      "children": [{
        "tag": "path",
        "attrs": {
          "fill": "currentColor",
          "d": "M18.5433 5.45515C14.4905 1.40126 10.7205 1.96447 9.52781 3.15715C9.25234 3.43262 9.13286 3.80445 9.36211 4.51646C9.60625 5.27472 10.2035 6.22959 11.1232 7.35526C11.8602 8.25737 12.7651 9.22272 13.7705 10.2282C14.7759 11.2336 15.7413 12.1385 16.6434 12.8755C17.7691 13.7951 18.7239 14.3924 19.4822 14.6366C20.1942 14.8658 20.566 14.7463 20.8415 14.4709C22.034 13.2783 22.5965 9.50942 18.5433 5.45515ZM8.1136 1.74293C10.4356 -0.579103 15.525 -0.392804 19.9577 4.04113C24.3901 8.47467 24.5779 13.5629 22.2557 15.8851C21.2823 16.8585 20.0377 16.9165 18.8693 16.5403C18.0004 16.2606 17.0912 15.7232 16.1776 15.0476C16.0284 15.2665 15.8732 15.5144 15.7105 15.7903C15.4022 16.3134 15.0922 16.8929 14.7609 17.5125C14.6925 17.6405 14.6231 17.7702 14.5526 17.9015C13.7565 19.3848 12.8181 21.0831 11.6481 22.25C10.6897 23.2059 9.46243 24.0534 7.86055 23.9972C6.29186 23.9422 4.64678 23.028 2.80965 21.1879C0.97313 19.3484 0.0590761 17.7033 0.00277407 16.136C-0.0547721 14.534 0.791503 13.3077 1.74955 12.3496C2.91735 11.1818 4.61507 10.2436 6.09794 9.44723C6.22746 9.37767 6.35546 9.30917 6.4818 9.24155C7.10301 8.90909 7.68408 8.59811 8.20843 8.28873C8.48432 8.12596 8.73226 7.97055 8.95117 7.82128C8.27556 6.90763 7.73811 5.99831 7.45835 5.12941C7.08214 3.96094 7.14021 2.71632 8.1136 1.74293ZM10.2164 9.37767C9.90322 9.59868 9.56695 9.80935 9.22475 10.0113C8.66102 10.3439 8.03539 10.6786 7.4141 11.011C7.29046 11.0772 7.16699 11.1433 7.04421 11.2092C5.5149 12.0305 4.08819 12.8394 3.16377 13.7638C2.36445 14.5631 1.97326 15.2785 2.00148 16.0642C2.03095 16.8845 2.52591 18.073 4.22499 19.7748C5.92345 21.476 7.11086 21.9697 7.93067 21.9984C8.71728 22.026 9.4345 21.6331 10.2358 20.834C11.1608 19.9114 11.9694 18.4854 12.7904 16.9557C12.8571 16.8314 12.924 16.7064 12.9909 16.5811C13.3223 15.9613 13.6561 15.3371 13.9876 14.7747C14.1895 14.4323 14.4001 14.0958 14.6211 13.7824C13.8809 13.1331 13.1215 12.4076 12.3563 11.6424C11.5911 10.8772 10.8657 10.1178 10.2164 9.37767Z"
        }
      }]
    }]
  };
  var mushroom1 = vue.defineComponent({
    name: "Mushroom1Icon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-mushroom-1", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$bF(_objectSpread$bF({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$bD, finalProps.value);
    }
  });

  function ownKeys$bE(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$bE(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$bE(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$bE(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$bC = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M6.79282 3.79284C7.6927 2.89296 8.80428 2.19989 10.0054 1.71779C10.146 5.21095 13.0223 7.99971 16.55 7.99971C18.8312 7.99971 20.8388 6.8332 22.0107 5.06786C22.8791 6.69798 23.2002 8.63579 23.0764 10.5053C22.2979 10.1796 21.4438 10 20.55 10C16.9325 10 14 12.9325 14 16.55C14 16.6035 14.0006 16.6569 14.0019 16.7102C13.8305 16.5485 13.6516 16.3745 13.4738 16.1972C13.3187 16.3707 13.145 16.5678 12.9602 16.7821C12.268 17.5852 11.445 18.6025 10.8499 19.527C10.8321 19.5569 10.8118 19.5916 10.789 19.6307C10.4914 20.1401 9.76707 21.3801 8.61184 22.0503C7.93475 22.4431 7.09724 22.6539 6.13792 22.4477C5.20497 22.2472 4.26031 21.6745 3.29281 20.707C2.32531 19.7395 1.75267 18.7949 1.55213 17.8619C1.34592 16.9026 1.5568 16.0651 1.9496 15.388C2.61979 14.2328 3.85966 13.5085 4.36906 13.2109L4.36997 13.2104C4.40869 13.1878 4.44318 13.1677 4.47285 13.15C5.39733 12.5549 6.41464 11.7319 7.21773 11.0396C7.43098 10.8558 7.6271 10.683 7.79998 10.5285C7.57391 10.303 7.3551 10.0764 7.15301 9.85484C6.74062 9.40277 6.33392 8.904 6.1055 8.44717C5.68589 7.60794 5.49857 6.76436 5.63098 5.92916C5.76367 5.09217 6.19774 4.38792 6.79282 3.79284ZM12.069 14.7681L9.23177 11.9309C9.02794 12.1142 8.7884 12.3262 8.52351 12.5545C7.69401 13.2695 6.58705 14.1694 5.54014 14.8415L5.5274 14.8497L5.51442 14.8574L5.41008 14.9198C4.85611 15.2502 4.06955 15.7194 3.67956 16.3916C3.50026 16.7007 3.41992 17.0344 3.50747 17.4416C3.60067 17.8753 3.90676 18.4926 4.70702 19.2928C5.50729 20.0931 6.12461 20.3992 6.55824 20.4924C6.9655 20.5799 7.29916 20.4996 7.60823 20.3203C8.28047 19.9303 8.74965 19.1437 9.08008 18.5898L9.14243 18.4854L9.15022 18.4725L9.1584 18.4597C9.83046 17.4128 10.7303 16.3059 11.4453 15.4764C11.6736 15.2115 11.8857 14.9719 12.069 14.7681Z"
      }
    }, {
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M16.2343 18.1844C16.852 18.3971 17.4704 18.4698 18.0838 18.3693 18.916 18.233 19.6161 17.798 20.207 17.2071 21.461 15.9531 22.3154 14.3187 22.755 12.5606L22.5251 12.4496C21.9289 12.1618 21.2598 12 20.55 12 18.0371 12 16 14.0371 16 16.55 16 16.8556 16.03 17.1533 16.0869 17.4404L16.2343 18.1844zM20.707 3.29284L20.7219 3.30781 20.5404 3.63801C19.7652 5.04787 18.2681 5.99971 16.55 5.99971 14.0371 5.99971 12 3.9626 12 1.44971V1.12448C15.0566.509443 18.4974 1.08326 20.707 3.29284z"
      }
    }]
  };
  var mushroomFilled = vue.defineComponent({
    name: "MushroomFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-mushroom-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$bE(_objectSpread$bE({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$bC, finalProps.value);
    }
  });

  function ownKeys$bD(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$bD(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$bD(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$bD(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$bB = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M12.3076 3.10196C12.9868 4.77944 14.6307 5.99995 16.4991 5.99995C17.6557 5.99995 18.6965 5.59514 19.4835 4.90858C19.4217 4.83955 19.3581 4.77235 19.2928 4.70706C17.667 3.08126 14.9122 2.54865 12.3076 3.10196ZM20.5356 6.63273C19.4203 7.50446 18.0143 7.99995 16.4991 7.99995C13.7096 7.99995 11.3378 6.17352 10.4031 3.72183C9.56056 4.10262 8.80991 4.60418 8.20703 5.20706C7.82579 5.58829 7.65631 5.92693 7.60631 6.24232C7.55603 6.55949 7.60686 6.97776 7.89436 7.55274C7.99066 7.74535 8.23405 8.07227 8.63058 8.50697C9.00958 8.92243 9.4718 9.37585 9.94154 9.81314L9.95463 9.82532L14.1745 14.0452L14.1867 14.0583C14.2583 14.1352 14.3328 14.2141 14.4092 14.294C15.3366 11.822 17.704 9.99995 20.4999 9.99995C20.7013 9.99995 20.9007 10.0091 21.0977 10.0271C21.1345 8.83017 20.9474 7.65487 20.5356 6.63273ZM20.8305 12.0119C20.7214 12.004 20.6112 11.9999 20.4999 11.9999C18.2889 11.9999 16.4113 13.6926 16.0521 15.8502C16.2133 15.9747 16.3338 16.0489 16.4471 16.1055L16.4683 16.1161C17.0342 16.399 17.4467 16.447 17.7604 16.3956C18.0742 16.3442 18.4123 16.1733 18.7928 15.7928C19.772 14.8137 20.4723 13.489 20.8305 12.0119ZM12.069 14.7681L9.23177 11.9309C9.02794 12.1142 8.7884 12.3262 8.52351 12.5545C7.69401 13.2695 6.58705 14.1694 5.54014 14.8415L5.5274 14.8497L5.51442 14.8574C5.48073 14.8777 5.44589 14.8984 5.41008 14.9198C4.85611 15.2502 4.06955 15.7194 3.67956 16.3916C3.50026 16.7007 3.41992 17.0344 3.50747 17.4416C3.60067 17.8753 3.90676 18.4926 4.70702 19.2928C5.50729 20.0931 6.12461 20.3992 6.55824 20.4924C6.9655 20.5799 7.29916 20.4996 7.60823 20.3203C8.28047 19.9303 8.74965 19.1437 9.08008 18.5898C9.10144 18.554 9.12222 18.5191 9.14243 18.4854L9.15022 18.4725L9.1584 18.4597C9.83046 17.4128 10.7303 16.3059 11.4453 15.4764C11.6736 15.2115 11.8857 14.9719 12.069 14.7681ZM7.79998 10.5285C7.57391 10.303 7.3551 10.0764 7.15301 9.85484C6.74062 9.40277 6.33392 8.904 6.1055 8.44717C5.68589 7.60794 5.49857 6.76436 5.63098 5.92916C5.76367 5.09217 6.19774 4.38792 6.79282 3.79284C7.87891 2.70675 9.27337 1.92192 10.7614 1.44566C14.0839 0.382269 18.1927 0.778496 20.707 3.29284C21.0554 3.64117 21.3625 4.02223 21.6303 4.42762C22.938 6.40754 23.3189 8.97929 22.9904 11.3445C22.6834 13.5553 21.7463 15.6678 20.207 17.2071C19.6161 17.798 18.916 18.233 18.0838 18.3693C17.2516 18.5057 16.4104 18.3232 15.5738 17.9049L15.5527 17.8944C15.1336 17.6848 14.7717 17.4087 14.3323 17.0146C14.0694 16.7788 13.7701 16.4927 13.4738 16.1972C13.3187 16.3707 13.145 16.5678 12.9602 16.7821C12.268 17.5852 11.445 18.6025 10.8499 19.527C10.8321 19.5569 10.8118 19.5917 10.7889 19.6308C10.4914 20.1402 9.76707 21.3801 8.61184 22.0503C7.93475 22.4431 7.09724 22.6539 6.13792 22.4477C5.20497 22.2472 4.26031 21.6745 3.29281 20.707C2.32531 19.7395 1.75267 18.7949 1.55213 17.8619C1.34592 16.9026 1.5568 16.0651 1.9496 15.388C2.61979 14.2328 3.85966 13.5085 4.36906 13.2109C4.40815 13.1881 4.44295 13.1678 4.47285 13.15C5.39733 12.5549 6.41464 11.7319 7.21773 11.0396C7.43098 10.8558 7.6271 10.683 7.79998 10.5285Z"
      }
    }]
  };
  var mushroom = vue.defineComponent({
    name: "MushroomIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-mushroom", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$bD(_objectSpread$bD({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$bB, finalProps.value);
    }
  });

  function ownKeys$bC(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$bC(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$bC(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$bC(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$bA = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M22 0.846924V16.9999C22 19.2091 20.2091 20.9999 18 20.9999C15.7909 20.9999 14 19.2091 14 16.9999C14 14.7908 15.7909 12.9999 18 12.9999C18.7286 12.9999 19.4117 13.1947 20 13.5351V3.15294L8 4.86723V18.9999C8 21.2091 6.20914 22.9999 4 22.9999C1.79086 22.9999 0 21.2091 0 18.9999C0 16.7908 1.79086 14.9999 4 14.9999C4.72857 14.9999 5.41165 15.1947 6 15.5351V3.13264L22 0.846924Z"
      }
    }]
  };
  var music1Filled = vue.defineComponent({
    name: "Music1FilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-music-1-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$bC(_objectSpread$bC({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$bA, finalProps.value);
    }
  });

  function ownKeys$bB(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$bB(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$bB(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$bB(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$bz = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M22 0.846924V16.9999C22 19.2091 20.2091 20.9999 18 20.9999C15.7909 20.9999 14 19.2091 14 16.9999C14 14.7908 15.7909 12.9999 18 12.9999C18.7286 12.9999 19.4117 13.1947 20 13.5351V3.15294L8 4.86723V18.9999C8 21.2091 6.20914 22.9999 4 22.9999C1.79086 22.9999 0 21.2091 0 18.9999C0 16.7908 1.79086 14.9999 4 14.9999C4.72857 14.9999 5.41165 15.1947 6 15.5351V3.13264L22 0.846924ZM6 18.9999C6 17.8954 5.10457 16.9999 4 16.9999C2.89543 16.9999 2 17.8954 2 18.9999C2 20.1045 2.89543 20.9999 4 20.9999C5.10457 20.9999 6 20.1045 6 18.9999ZM20 16.9999C20 15.8954 19.1046 14.9999 18 14.9999C16.8954 14.9999 16 15.8954 16 16.9999C16 18.1045 16.8954 18.9999 18 18.9999C19.1046 18.9999 20 18.1045 20 16.9999Z"
      }
    }]
  };
  var music1 = vue.defineComponent({
    name: "Music1Icon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-music-1", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$bB(_objectSpread$bB({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$bz, finalProps.value);
    }
  });

  function ownKeys$bA(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$bA(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$bA(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$bA(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$by = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M11 3H18V5H13V18C13 20.2091 11.2091 22 9 22C6.79086 22 5 20.2091 5 18C5 15.7909 6.79086 14 9 14C9.72857 14 10.4117 14.1948 11 14.5351V3Z"
      }
    }]
  };
  var music2Filled = vue.defineComponent({
    name: "Music2FilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-music-2-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$bA(_objectSpread$bA({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$by, finalProps.value);
    }
  });

  function ownKeys$bz(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$bz(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$bz(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$bz(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$bx = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M11 3H18V5H13V18C13 20.2091 11.2091 22 9 22C6.79086 22 5 20.2091 5 18C5 15.7909 6.79086 14 9 14C9.72857 14 10.4117 14.1948 11 14.5351V3ZM11 18C11 16.8954 10.1046 16 9 16C7.89543 16 7 16.8954 7 18C7 19.1046 7.89543 20 9 20C10.1046 20 11 19.1046 11 18Z"
      }
    }]
  };
  var music2 = vue.defineComponent({
    name: "Music2Icon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-music-2", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$bz(_objectSpread$bz({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$bx, finalProps.value);
    }
  });

  function ownKeys$by(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$by(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$by(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$by(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$bw = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M20 2.91309V17.9999C20 19.6567 18.6569 20.9999 17 20.9999C15.3431 20.9999 14 19.6567 14 17.9999C14 16.343 15.3431 14.9999 17 14.9999C17.3506 14.9999 17.6872 15.06 18 15.1706V8.08669L8 8.92002V18.9999C8 20.6567 6.65685 21.9999 5 21.9999C3.34315 21.9999 2 20.6567 2 18.9999C2 17.343 3.34315 15.9999 5 15.9999C5.35064 15.9999 5.68722 16.06 6 16.1706V4.07975L20 2.91309Z"
      }
    }]
  };
  var musicFilled = vue.defineComponent({
    name: "MusicFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-music-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$by(_objectSpread$by({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$bw, finalProps.value);
    }
  });

  function ownKeys$bx(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$bx(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$bx(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$bx(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$bv = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M22 2H2V22H14.3895C13.8269 21.1372 13.5 20.1068 13.5 19C13.5 15.9624 15.9624 13.5 19 13.5C20.1068 13.5 21.1372 13.8269 22 14.3895V2ZM15 7V9H13V14.5C13 15.8807 11.8807 17 10.5 17C9.11929 17 8 15.8807 8 14.5C8 13.1193 9.11929 12 10.5 12C10.6712 12 10.8384 12.0172 11 12.05V7H15Z"
      }
    }, {
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M20 20H23V18H20V15H18V18H15V20H18V23H20V20Z"
      }
    }]
  };
  var musicRectangleAddFilled = vue.defineComponent({
    name: "MusicRectangleAddFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-music-rectangle-add-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$bx(_objectSpread$bx({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$bv, finalProps.value);
    }
  });

  function ownKeys$bw(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$bw(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$bw(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$bw(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$bu = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M2 2H22V13H20V4H4V20H13V22H2V2ZM12 7H16V9H14V14C14 15.6569 12.6569 17 11 17C9.34315 17 8 15.6569 8 14C8 12.3431 9.34315 11 11 11C11.3506 11 11.6872 11.0602 12 11.1707V7ZM12 14C12 13.4477 11.5523 13 11 13C10.4477 13 10 13.4477 10 14C10 14.5523 10.4477 15 11 15C11.5523 15 12 14.5523 12 14ZM20 15V18H23V20H20V23H18V20H15V18H18V15H20Z"
      }
    }]
  };
  var musicRectangleAdd = vue.defineComponent({
    name: "MusicRectangleAddIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-music-rectangle-add", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$bw(_objectSpread$bw({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$bu, finalProps.value);
    }
  });

  function ownKeys$bv(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$bv(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$bv(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$bv(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$bt = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M20 2.91309V17.9999C20 19.6567 18.6569 20.9999 17 20.9999C15.3431 20.9999 14 19.6567 14 17.9999C14 16.343 15.3431 14.9999 17 14.9999C17.3506 14.9999 17.6872 15.06 18 15.1706V10.0867L8 10.92V18.9999C8 20.6567 6.65685 21.9999 5 21.9999C3.34315 21.9999 2 20.6567 2 18.9999C2 17.343 3.34315 15.9999 5 15.9999C5.35064 15.9999 5.68722 16.06 6 16.1706V4.07975L20 2.91309ZM6 18.9999C6 18.4476 5.55228 17.9999 5 17.9999C4.44772 17.9999 4 18.4476 4 18.9999C4 19.5522 4.44772 19.9999 5 19.9999C5.55228 19.9999 6 19.5522 6 18.9999ZM8 8.91309L18 8.07975V5.08669L8 5.92002V8.91309ZM18 17.9999C18 17.4476 17.5523 16.9999 17 16.9999C16.4477 16.9999 16 17.4476 16 17.9999C16 18.5522 16.4477 18.9999 17 18.9999C17.5523 18.9999 18 18.5522 18 17.9999Z"
      }
    }]
  };
  var music = vue.defineComponent({
    name: "MusicIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-music", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$bv(_objectSpread$bv({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$bt, finalProps.value);
    }
  });

  function ownKeys$bu(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$bu(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$bu(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$bu(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$bs = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M11.9999 1.76416L21.9458 21.656L11.9999 18.5479L2.05396 21.656L11.9999 1.76416Z"
      }
    }]
  };
  var navigationArrowFilled = vue.defineComponent({
    name: "NavigationArrowFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-navigation-arrow-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$bu(_objectSpread$bu({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$bs, finalProps.value);
    }
  });

  function ownKeys$bt(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$bt(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$bt(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$bt(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$br = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M11.9996 1.76416L21.9456 21.656L11.9996 18.5479L2.05371 21.656L11.9996 1.76416ZM11.9996 6.2363L5.94557 18.3444L11.9996 16.4525L18.0537 18.3444L11.9996 6.2363Z"
      }
    }]
  };
  var navigationArrow = vue.defineComponent({
    name: "NavigationArrowIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-navigation-arrow", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$bt(_objectSpread$bt({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$br, finalProps.value);
    }
  });

  function ownKeys$bs(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$bs(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$bs(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$bs(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$bq = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M6.75 4.33594L14.4142 12.0002L6.75 19.6644V4.33594ZM17.5 5.00015V19.0002H15.5V5.00015H17.5Z"
      }
    }]
  };
  var nextFilled = vue.defineComponent({
    name: "NextFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-next-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$bs(_objectSpread$bs({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$bq, finalProps.value);
    }
  });

  function ownKeys$br(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$br(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$br(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$br(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$bp = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M6.75 4.33594L14.4142 12.0002L6.75 19.6644V4.33594ZM17.5 5.00015V19.0002H15.5V5.00015H17.5ZM8.75 9.16436V14.8359L11.5858 12.0002L8.75 9.16436Z"
      }
    }]
  };
  var next = vue.defineComponent({
    name: "NextIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-next", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$br(_objectSpread$br({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$bp, finalProps.value);
    }
  });

  function ownKeys$bq(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$bq(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$bq(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$bq(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$bo = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M12 23C5.92487 23 1 18.0751 1 12C1 5.92487 5.92487 1 12 1C18.0751 1 23 5.92487 23 12C23 18.0751 18.0751 23 12 23ZM9 12V8H7V12H9ZM17 12V8H15V12H17Z"
      }
    }]
  };
  var noExpressionFilled = vue.defineComponent({
    name: "NoExpressionFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-no-expression-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$bq(_objectSpread$bq({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$bo, finalProps.value);
    }
  });

  function ownKeys$bp(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$bp(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$bp(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$bp(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$bn = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M12 3C7.02944 3 3 7.02944 3 12C3 16.9706 7.02944 21 12 21C16.9706 21 21 16.9706 21 12C21 7.02944 16.9706 3 12 3ZM1 12C1 5.92487 5.92487 1 12 1C18.0751 1 23 5.92487 23 12C23 18.0751 18.0751 23 12 23C5.92487 23 1 18.0751 1 12ZM9 8V12H7V8H9ZM17 8V12H15V8H17Z"
      }
    }]
  };
  var noExpression = vue.defineComponent({
    name: "NoExpressionIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-no-expression", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$bp(_objectSpread$bp({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$bn, finalProps.value);
    }
  });

  function ownKeys$bo(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$bo(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$bo(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$bo(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$bm = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M15 3L22 3V5H21V10L22 10V12C22 17.5228 17.5228 22 12 22C6.47715 22 2 17.5228 2 12V10L3 10C3 6.68629 5.68629 4 9 4C12.3137 4 15 6.68629 15 10L16 10V5L15 5L15 3ZM18 5V10H18.9995L19 5H18ZM5 10L6 10C6 8.34315 7.34315 7 9 7C10.6569 7 12 8.34315 12 10L13 10C13 7.79086 11.2091 6 9 6C6.79086 6 5 7.79086 5 10ZM10 10C10 9.44772 9.55228 9 9 9C8.44772 9 8 9.44772 8 10H10Z"
      }
    }]
  };
  var noodleFilled = vue.defineComponent({
    name: "NoodleFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-noodle-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$bo(_objectSpread$bo({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$bm, finalProps.value);
    }
  });

  function ownKeys$bn(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$bn(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$bn(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$bn(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$bl = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M15 3L22 3V5H21V10L22 10V12C22 17.5228 17.5228 22 12 22C6.47715 22 2 17.5228 2 12V10L3 10C3 6.68629 5.68629 4 9 4C12.3137 4 15 6.68629 15 10L16 10V5L15 5L15 3ZM18 5V10H18.9995L19 5H18ZM4 12C4 16.4183 7.58172 20 12 20C16.4183 20 20 16.4183 20 12H4ZM5 10L6 10C6 8.34315 7.34315 7 9 7C10.6569 7 12 8.34315 12 10L13 10C13 7.79086 11.2091 6 9 6C6.79086 6 5 7.79086 5 10ZM10 10C10 9.44772 9.55228 9 9 9C8.44772 9 8 9.44772 8 10H10Z"
      }
    }]
  };
  var noodle = vue.defineComponent({
    name: "NoodleIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-noodle", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$bn(_objectSpread$bn({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$bl, finalProps.value);
    }
  });

  function ownKeys$bm(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$bm(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$bm(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$bm(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$bk = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M4 8C4 3.58172 7.58172 0 12 0 16.4183 0 20 3.58172 20 8V12.6972L22 15.6972V20H2V15.6972L4 12.6972V8zM13 9L13 6 11 6 11 9 8 9 8 11 11 11V14H13V11H16V9H13zM8.64453 21C9.07481 22.4457 10.4141 23.5 11.9996 23.5 13.5851 23.5 14.9244 22.4457 15.3547 21H8.64453z"
      }
    }]
  };
  var notificationAddFilled = vue.defineComponent({
    name: "NotificationAddFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-notification-add-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$bm(_objectSpread$bm({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$bk, finalProps.value);
    }
  });

  function ownKeys$bl(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$bl(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$bl(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$bl(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$bj = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M4 8C4 3.58172 7.58172 0 12 0C16.4183 0 20 3.58172 20 8V12.6972L22 15.6972V20H16.3885C15.9338 22.004 14.1416 23.5 12 23.5C9.85841 23.5 8.06624 22.004 7.61151 20H2V15.6972L4 12.6972V8ZM9.70802 20C10.0938 20.883 10.9748 21.5 12 21.5C13.0252 21.5 13.9062 20.883 14.292 20H9.70802ZM12 2C8.68629 2 6 4.68629 6 8V13.3028L4 16.3028V18H20V16.3028L18 13.3028V8C18 4.68629 15.3137 2 12 2ZM13 6L13 9H16V11H13V14H11V11L8 11L8 9L11 9L11 6L13 6Z"
      }
    }]
  };
  var notificationAdd = vue.defineComponent({
    name: "NotificationAddIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-notification-add", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$bl(_objectSpread$bl({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$bj, finalProps.value);
    }
  });

  function ownKeys$bk(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$bk(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$bk(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$bk(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$bi = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M23 12C23 18.0751 18.0751 23 12 23C5.92487 23 1 18.0751 1 12C1 5.92487 5.92487 1 12 1C18.0751 1 23 5.92487 23 12ZM6.5 16.5H9.87793C10.1868 17.3739 11.0202 18 11.9999 18C12.9796 18 13.813 17.3739 14.1219 16.5H17.5V14.882L16.5 12.882V10.5C16.5 8.01472 14.4853 6 12 6C9.51472 6 7.5 8.01472 7.5 10.5V12.882L6.5 14.882V16.5Z"
      }
    }]
  };
  var notificationCircleFilled = vue.defineComponent({
    name: "NotificationCircleFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-notification-circle-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$bk(_objectSpread$bk({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$bi, finalProps.value);
    }
  });

  function ownKeys$bj(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$bj(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$bj(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$bj(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$bh = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M12 21C16.9706 21 21 16.9706 21 12C21 7.02944 16.9706 3 12 3C7.02944 3 3 7.02944 3 12C3 16.9706 7.02944 21 12 21ZM23 12C23 18.0751 18.0751 23 12 23C5.92487 23 0.999999 18.0751 1 12C1 5.92487 5.92487 0.999999 12 1C18.0751 1 23 5.92487 23 12ZM13.7324 17C13.3866 17.5978 12.7403 18 12 18C11.2597 18 10.6134 17.5978 10.2676 17H6L6 14.2639L7 12.2639V10C7 7.23858 9.23858 5 12 5C14.7614 5 17 7.23858 17 10V12.2639L18 14.2639V17H13.7324ZM8 15H16V14.7361L15 12.7361V10C15 8.34315 13.6569 7 12 7C10.3431 7 9 8.34315 9 10V12.7361L8 14.7361V15Z"
      }
    }]
  };
  var notificationCircle = vue.defineComponent({
    name: "NotificationCircleIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-notification-circle", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$bj(_objectSpread$bj({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$bh, finalProps.value);
    }
  });

  function ownKeys$bi(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$bi(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$bi(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$bi(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$bg = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M4 8C4 3.58172 7.58172 0 12 0 16.4183 0 20 3.58172 20 8V12.6972L22 15.6972V20H2V15.6972L4 12.6972V8zM11 6V12H13V6H11zM13.0039 13.5H11V15.5039H13.0039V13.5zM8.64453 21C9.07481 22.4457 10.4141 23.5 11.9996 23.5 13.5851 23.5 14.9244 22.4457 15.3547 21H8.64453z"
      }
    }]
  };
  var notificationErrorFilled = vue.defineComponent({
    name: "NotificationErrorFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-notification-error-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$bi(_objectSpread$bi({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$bg, finalProps.value);
    }
  });

  function ownKeys$bh(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$bh(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$bh(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$bh(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$bf = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M4 8C4 3.58172 7.58172 0 12 0C16.4183 0 20 3.58172 20 8V12.6972L22 15.6972V20H16.3885C15.9338 22.004 14.1416 23.5 12 23.5C9.85841 23.5 8.06624 22.004 7.61151 20H2V15.6972L4 12.6972V8ZM20 18V16.3028L18 13.3028V8C18 4.68629 15.3137 2 12 2C8.68629 2 6 4.68629 6 8V13.3028L4 16.3028V18H20ZM14.292 20H9.70802C10.0938 20.883 10.9748 21.5 12 21.5C13.0252 21.5 13.9062 20.883 14.292 20ZM13 6V12H11V6H13ZM11 13.5H13.0039V15.5039H11V13.5Z"
      }
    }]
  };
  var notificationError = vue.defineComponent({
    name: "NotificationErrorIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-notification-error", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$bh(_objectSpread$bh({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$bf, finalProps.value);
    }
  });

  function ownKeys$bg(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$bg(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$bg(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$bg(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$be = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M8.64494 20.5C9.07521 21.9457 10.4145 23 12 23 13.5855 23 14.9248 21.9457 15.3551 20.5H8.64494zM3 19.5H21V16.5L19 13.5V8.5C19 4.63401 15.866 1.5 12 1.5 8.13401 1.5 5 4.63401 5 8.5V13.5L3 16.5V19.5z"
      }
    }]
  };
  var notificationFilled = vue.defineComponent({
    name: "NotificationFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-notification-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$bg(_objectSpread$bg({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$be, finalProps.value);
    }
  });

  function ownKeys$bf(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$bf(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$bf(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$bf(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$bd = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M4 8C4 3.58172 7.58172 0 12 0C16.4183 0 20 3.58172 20 8V12.6972L22 15.6972V20H16.3885C15.9338 22.004 14.1416 23.5 12 23.5C9.85841 23.5 8.06624 22.004 7.61151 20H2V15.6972L4 12.6972V8ZM9.70802 20C10.0938 20.883 10.9748 21.5 12 21.5C13.0252 21.5 13.9062 20.883 14.292 20H9.70802ZM12 2C8.68629 2 6 4.68629 6 8V13.3028L4 16.3028V18H20V16.3028L18 13.3028V8C18 4.68629 15.3137 2 12 2Z"
      }
    }]
  };
  var notification = vue.defineComponent({
    name: "NotificationIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-notification", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$bf(_objectSpread$bf({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$bd, finalProps.value);
    }
  });

  function ownKeys$be(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$be(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$be(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$be(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$bc = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M17 9C17 6.23858 14.7614 4 12 4H11V4.10002C8.71776 4.56329 7 6.58104 7 9V15C7 17.7614 9.23858 20 12 20C14.7614 20 17 17.7614 17 15V9ZM12 6C13.6569 6 15 7.34315 15 9V15C15 16.6569 13.6569 18 12 18C10.3431 18 9 16.6569 9 15V9C9 7.34315 10.3431 6 12 6Z"
      }
    }]
  };
  var numbers01 = vue.defineComponent({
    name: "Numbers01Icon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-numbers-0-1", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$be(_objectSpread$be({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$bc, finalProps.value);
    }
  });

  function ownKeys$bd(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$bd(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$bd(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$bd(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$bb = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M17 6C17 4.89543 16.1046 4 15 4H9C7.89543 4 7 4.89543 7 6V18C7 19.1046 7.89543 20 9 20H15C16.1046 20 17 19.1046 17 18V6ZM9 6L15 6V18H9V6Z"
      }
    }]
  };
  var numbers0 = vue.defineComponent({
    name: "Numbers0Icon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-numbers-0", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$bd(_objectSpread$bd({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$bb, finalProps.value);
    }
  });

  function ownKeys$bc(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$bc(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$bc(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$bc(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$ba = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M12.9996 20V3.5L11.1663 3.5L8.09961 5.8L9.29961 7.4L10.9996 6.125L10.9996 20H12.9996Z"
      }
    }]
  };
  var numbers11 = vue.defineComponent({
    name: "Numbers11Icon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-numbers-1-1", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$bc(_objectSpread$bc({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$ba, finalProps.value);
    }
  });

  function ownKeys$bb(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$bb(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$bb(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$bb(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$b9 = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M15 18H13L13 6.00026C13 4.89603 12.1049 4 11 4L9 4L9 6H11L11 18H9L9 20H15V18Z"
      }
    }]
  };
  var numbers1 = vue.defineComponent({
    name: "Numbers1Icon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-numbers-1", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$bb(_objectSpread$bb({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$b9, finalProps.value);
    }
  });

  function ownKeys$ba(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$ba(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$ba(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$ba(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$b8 = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M7 8C7 5.23858 9.23858 3 12 3H13V3.10002C15.2822 3.56329 17 5.58104 17 8V8.06512C17 9.59037 16.3127 11.0344 15.1289 11.9962L9 16.976V18H17V20H7V16.976C7 16.3737 7.27139 15.8035 7.73881 15.4237L13.8677 10.444C14.5841 9.86197 15 8.98812 15 8.06512V8C15 6.34315 13.6569 5 12 5C10.3431 5 9 6.34315 9 8V9H7V8Z"
      }
    }]
  };
  var numbers21 = vue.defineComponent({
    name: "Numbers21Icon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-numbers-2-1", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$ba(_objectSpread$ba({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$b8, finalProps.value);
    }
  });

  function ownKeys$b9(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$b9(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$b9(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$b9(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$b7 = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M7 4H15C16.1046 4 17 4.89543 17 6V11C17 12.1046 16.1046 13 15 13H9V18H17V20H7V13C7 11.8954 7.89543 11 9 11H15V6H7V4Z"
      }
    }]
  };
  var numbers2 = vue.defineComponent({
    name: "Numbers2Icon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-numbers-2", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$b9(_objectSpread$b9({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$b7, finalProps.value);
    }
  });

  function ownKeys$b8(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$b8(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$b8(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$b8(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$b6 = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M7.5 4H16.5V7.02066L12.236 10.0055C14.8878 10.1287 17 12.3177 17 15C17 17.7614 14.7614 20 12 20H11.5C8.73858 20 6.5 17.7614 6.5 15H8.5C8.5 16.6569 9.84315 18 11.5 18H12C13.6569 18 15 16.6569 15 15C15 13.3431 13.6569 12 12 12H9.5V9.47934L14.4705 6H7.5V4Z"
      }
    }]
  };
  var numbers31 = vue.defineComponent({
    name: "Numbers31Icon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-numbers-3-1", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$b8(_objectSpread$b8({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$b6, finalProps.value);
    }
  });

  function ownKeys$b7(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$b7(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$b7(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$b7(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$b5 = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M7 4H15C16.1046 4 17 4.89543 17 6V18C17 19.1046 16.1046 20 15 20H7V18H15V13H8V11H15V6H7V4Z"
      }
    }]
  };
  var numbers3 = vue.defineComponent({
    name: "Numbers3Icon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-numbers-3", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$b7(_objectSpread$b7({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$b5, finalProps.value);
    }
  });

  function ownKeys$b6(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$b6(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$b6(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$b6(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$b4 = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M12.9887 4H15.5V14H17.5V16H15.5V20H13.5V16H6V13.6766L12.9887 4ZM13.5 14V6.70797L8.23353 14H13.5Z"
      }
    }]
  };
  var numbers41 = vue.defineComponent({
    name: "Numbers41Icon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-numbers-4-1", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$b6(_objectSpread$b6({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$b4, finalProps.value);
    }
  });

  function ownKeys$b5(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$b5(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$b5(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$b5(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$b3 = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M8.5 4V12H15.5V4H17.5V20H15.5V14H8.5C7.39543 14 6.5 13.1046 6.5 12V4H8.5Z"
      }
    }]
  };
  var numbers4 = vue.defineComponent({
    name: "Numbers4Icon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-numbers-4", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$b5(_objectSpread$b5({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$b3, finalProps.value);
    }
  });

  function ownKeys$b4(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$b4(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$b4(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$b4(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$b2 = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M7.5 4H16V6H9.5V10H12C14.419 10 16.4367 11.7178 16.9 14H17V15C17 17.7614 14.7614 20 12 20H11.5C8.73858 20 6.5 17.7614 6.5 15H8.5C8.5 16.6569 9.84315 18 11.5 18H12C13.6569 18 15 16.6569 15 15C15 13.3431 13.6569 12 12 12H7.5V4Z"
      }
    }]
  };
  var numbers51 = vue.defineComponent({
    name: "Numbers51Icon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-numbers-5-1", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$b4(_objectSpread$b4({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$b2, finalProps.value);
    }
  });

  function ownKeys$b3(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$b3(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$b3(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$b3(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$b1 = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M17 4H7V11C7 12.1046 7.89543 13 9 13H15V18H7V20H15C16.1046 20 17 19.1046 17 18V13C17 11.8954 16.1046 11 15 11H9V6H17V4Z"
      }
    }]
  };
  var numbers5 = vue.defineComponent({
    name: "Numbers5Icon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-numbers-5", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$b3(_objectSpread$b3({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$b1, finalProps.value);
    }
  });

  function ownKeys$b2(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$b2(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$b2(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$b2(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$b0 = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M12.4207 3.5H14.7297L11.2571 9.55216C11.4998 9.51778 11.7478 9.5 12 9.5C14.8995 9.5 17.25 11.8505 17.25 14.75C17.25 17.6495 14.8995 20 12 20C9.10051 20 6.75 17.6495 6.75 14.75C6.75 13.9812 6.91589 13.2484 7.21478 12.5878C7.34627 12.2972 7.50351 12.0206 7.68362 11.761L12.4207 3.5ZM9.01877 13.4532C8.84617 13.8492 8.75 14.2871 8.75 14.75C8.75 16.5449 10.2051 18 12 18C13.7949 18 15.25 16.5449 15.25 14.75C15.25 12.9551 13.7949 11.5 12 11.5C10.9218 11.5 9.96475 12.0251 9.37295 12.8359L9.01877 13.4532Z"
      }
    }]
  };
  var numbers61 = vue.defineComponent({
    name: "Numbers61Icon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-numbers-6-1", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$b2(_objectSpread$b2({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$b0, finalProps.value);
    }
  });

  function ownKeys$b1(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$b1(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$b1(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$b1(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$a$ = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M16.5 4H9C7.89543 4 7 4.89543 7 6V18C7 19.1046 7.89543 20 9 20H15C16.1046 20 17 19.1046 17 18V13C17 11.8954 16.1046 11 15 11H9V6H16.5V4ZM9 13H15V18H9V13Z"
      }
    }]
  };
  var numbers6 = vue.defineComponent({
    name: "Numbers6Icon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-numbers-6", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$b1(_objectSpread$b1({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$a$, finalProps.value);
    }
  });

  function ownKeys$b0(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$b0(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$b0(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$b0(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$a_ = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M7.5 4H17.5V6.20284L11.6627 20H9.48779L15.4141 6H7.5V4Z"
      }
    }]
  };
  var numbers71 = vue.defineComponent({
    name: "Numbers71Icon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-numbers-7-1", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$b0(_objectSpread$b0({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$a_, finalProps.value);
    }
  });

  function ownKeys$a$(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$a$(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$a$(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$a$(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$aZ = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M7 4H17.5V7.11339C17.5 7.61093 17.3146 8.0906 16.9799 8.45874L12.5 13.3866V20H10.5V13.3866C10.5 12.8891 10.6854 12.4094 11.0201 12.0413L15.5 7.11339V6H7V4Z"
      }
    }]
  };
  var numbers7 = vue.defineComponent({
    name: "Numbers7Icon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-numbers-7", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$a$(_objectSpread$a$({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$aZ, finalProps.value);
    }
  });

  function ownKeys$a_(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$a_(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$a_(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$a_(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$aY = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M12 5.5C10.7574 5.5 9.75 6.50736 9.75 7.75C9.75 8.99264 10.7574 10 12 10C13.2426 10 14.25 8.99264 14.25 7.75C14.25 6.50736 13.2426 5.5 12 5.5ZM14.8572 10.8963C16.1525 11.7998 17 13.3009 17 15C17 17.7614 14.7614 20 12 20C9.23858 20 7 17.7614 7 15C7 13.3009 7.84747 11.7998 9.14277 10.8963C8.28717 10.1188 7.75 8.99714 7.75 7.75C7.75 5.40279 9.65279 3.5 12 3.5C14.3472 3.5 16.25 5.40279 16.25 7.75C16.25 8.99714 15.7128 10.1188 14.8572 10.8963ZM12 12C10.3431 12 9 13.3431 9 15C9 16.6569 10.3431 18 12 18C13.6569 18 15 16.6569 15 15C15 13.3431 13.6569 12 12 12Z"
      }
    }]
  };
  var numbers81 = vue.defineComponent({
    name: "Numbers81Icon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-numbers-8-1", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$a_(_objectSpread$a_({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$aY, finalProps.value);
    }
  });

  function ownKeys$aZ(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$aZ(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$aZ(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$aZ(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$aX = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M17 6C17 4.89543 16.1046 4 15 4H9C7.89543 4 7 4.89543 7 6V18C7 19.1046 7.89543 20 9 20H15C16.1046 20 17 19.1046 17 18V6ZM9 6H15V11H9V6ZM9 13H15V18H9V13Z"
      }
    }]
  };
  var numbers8 = vue.defineComponent({
    name: "Numbers8Icon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-numbers-8", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$aZ(_objectSpread$aZ({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$aX, finalProps.value);
    }
  });

  function ownKeys$aY(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$aY(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$aY(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$aY(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$aW = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M11.5822 20.5H9.27323L12.7458 14.4478C12.5032 14.4822 12.2551 14.5 12.0029 14.5C9.10343 14.5 6.75293 12.1495 6.75293 9.25C6.75293 6.3505 9.10344 4 12.0029 4C14.9024 4 17.2529 6.35051 17.2529 9.25C17.2529 10.0188 17.087 10.7516 16.7882 11.4122C16.6567 11.7028 16.4994 11.9794 16.3193 12.239L11.5822 20.5ZM14.9842 10.5468C15.1568 10.1508 15.2529 9.71288 15.2529 9.25C15.2529 7.45507 13.7979 6 12.0029 6C10.208 6 8.75293 7.45507 8.75293 9.25C8.75293 11.0449 10.208 12.5 12.0029 12.5C13.0812 12.5 14.0382 11.9749 14.63 11.1641L14.9842 10.5468Z"
      }
    }]
  };
  var numbers91 = vue.defineComponent({
    name: "Numbers91Icon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-numbers-9-1", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$aY(_objectSpread$aY({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$aW, finalProps.value);
    }
  });

  function ownKeys$aX(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$aX(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$aX(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$aX(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$aV = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M17 6C17 4.89543 16.1046 4 15 4H9C7.89543 4 7 4.89543 7 6V11C7 12.1046 7.89543 13 9 13H15V18H7.5V20H15C16.1046 20 17 19.1046 17 18V6ZM15 11H9V6H15V11Z"
      }
    }]
  };
  var numbers9 = vue.defineComponent({
    name: "Numbers9Icon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-numbers-9", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$aX(_objectSpread$aX({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$aV, finalProps.value);
    }
  });

  function ownKeys$aW(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$aW(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$aW(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$aW(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$aU = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M20.765 2.36781L20.4488 3.31649C20.0895 4.39438 19.4791 5.43795 18.9281 6.22198C19.9961 7.44469 20.8823 9.09613 21.2715 10.8132C21.7399 12.8796 21.5151 15.2132 19.7783 16.95L17.6569 19.0713L16.9308 18.3452C15.033 20.0489 12.836 21.3089 10.667 21.8332C8.19914 22.4297 5.66908 22.0835 3.79301 20.2074C1.91693 18.3313 1.57066 15.8013 2.16718 13.3334C2.69146 11.1643 3.95146 8.96739 5.65513 7.06953L4.92902 6.34342L7.05034 4.2221C8.77692 2.49551 11.1094 2.272 13.1607 2.72285C14.7607 3.07452 16.3031 3.85434 17.474 4.80506C17.8869 4.18205 18.3044 3.42512 18.5514 2.68403L18.8677 1.73535L20.765 2.36781ZM15.5144 16.9288L14.5356 15.95V13.7074H12.293L7.0716 8.486C5.58182 10.1675 4.53594 12.046 4.1112 13.8032C3.62787 15.8029 3.9591 17.5451 5.20722 18.7932C6.45534 20.0413 8.19752 20.3725 10.1971 19.8892C11.9544 19.4644 13.8329 18.4185 15.5144 16.9288Z"
      }
    }]
  };
  var nutFilled = vue.defineComponent({
    name: "NutFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-nut-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$aW(_objectSpread$aW({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$aU, finalProps.value);
    }
  });

  function ownKeys$aV(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$aV(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$aV(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$aV(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$aT = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M17.474 4.80469C17.8869 4.18168 18.3044 3.42475 18.5514 2.68366L20.4488 3.31612C20.0895 4.39401 19.4791 5.43758 18.9281 6.22161C19.9961 7.44432 20.8823 9.09576 21.2715 10.8128C21.7399 12.8792 21.5151 15.2128 19.7783 16.9496L17.6569 19.071L16.9308 18.3449C15.033 20.0485 12.836 21.3085 10.667 21.8328C8.19914 22.4294 5.66908 22.0831 3.79301 20.207C1.91693 18.3309 1.57066 15.8009 2.16718 13.333C2.69146 11.164 3.95147 8.96702 5.65513 7.06916L4.92902 6.34305L7.05034 4.22173C8.77692 2.49514 11.1094 2.27163 13.1607 2.72248C14.7607 3.07415 16.3031 3.85396 17.474 4.80469ZM16.2174 6.36052C15.2964 5.61177 14.0385 4.96316 12.7314 4.67585C11.0845 4.31388 9.54566 4.55483 8.46455 5.63594L7.75745 6.34305L13.1214 11.707H16.5356V15.1212L17.6569 16.2425L18.364 15.5354C19.4556 14.4439 19.6953 12.9061 19.321 11.255C19.0307 9.97392 18.3869 8.72836 17.626 7.78102C17.4195 7.99472 17.2017 8.21246 16.9732 8.44095L16.9498 8.46436L15.5356 7.05014C15.7925 6.79324 16.0169 6.56858 16.2174 6.36052ZM15.5144 16.9284L14.5356 15.9496V13.707H12.293L7.0716 8.48563C5.58182 10.1671 4.53594 12.0456 4.1112 13.8029C3.62787 15.8025 3.9591 17.5447 5.20722 18.7928C6.45534 20.0409 8.19752 20.3722 10.1971 19.8888C11.9544 19.4641 13.8329 18.4182 15.5144 16.9284Z"
      }
    }]
  };
  var nut = vue.defineComponent({
    name: "NutIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-nut", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$aV(_objectSpread$aV({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$aT, finalProps.value);
    }
  });

  function ownKeys$aU(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$aU(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$aU(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$aU(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$aS = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M12 4C9.23858 4 7 6.23858 7 9V11H6C5.21973 11 4.19477 11.3021 3.38059 11.9636C2.59748 12.5999 2 13.5722 2 15C2 16.4139 2.61488 17.3879 3.41917 18.0319C4.25615 18.7021 5.2856 19 6 19C6.97324 19 8.23889 18.9845 9.26283 18.4785C9.74814 18.2387 10.1638 17.8939 10.4663 17.3819C10.7717 16.865 11 16.1125 11 15V13.9142L9.5 15.4142L8.08579 14L12 10.0858L15.9142 14L14.5 15.4142L13 13.9142V15C13 16.3875 12.7136 17.51 12.1881 18.3993C11.6597 19.2936 10.9283 19.8863 10.1489 20.2715C8.673 21.0009 6.97712 21.0003 6.05451 21C6.03603 21 6.01786 21 6 21C4.83208 21 3.36153 20.5479 2.16909 19.5931C0.943957 18.6121 0 17.0861 0 15C0 12.9278 0.902517 11.4001 2.11941 10.4114C2.99499 9.69998 4.02826 9.26965 5 9.09318V9C5 5.13401 8.13401 2 12 2C15.866 2 19 5.13401 19 9V9.09318C19.9717 9.26965 21.005 9.69998 21.8806 10.4114C23.0975 11.4001 24 12.9278 24 15C24 17.0756 23.0934 18.6139 21.795 19.6069C20.529 20.5749 18.93 21 17.5 21H13.5V19H17.5C18.57 19 19.721 18.6751 20.58 18.0181C21.4066 17.3861 22 16.4244 22 15C22 13.5722 21.4025 12.5999 20.6194 11.9636C19.8052 11.3021 18.7803 11 18 11H17V9C17 6.23858 14.7614 4 12 4Z"
      }
    }]
  };
  var objectStorage = vue.defineComponent({
    name: "ObjectStorageIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-object-storage", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$aU(_objectSpread$aU({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$aS, finalProps.value);
    }
  });

  function ownKeys$aT(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$aT(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$aT(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$aT(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$aR = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M12 23C5.92487 23 1 18.0751 1 12C1 5.92487 5.92487 1 12 1C18.0751 1 23 5.92487 23 12C23 18.0751 18.0751 23 12 23ZM9 12V8H7V12H9ZM17 12V8H15V12H17ZM17 18V14H7V18H17Z"
      }
    }]
  };
  var openMouthFilled = vue.defineComponent({
    name: "OpenMouthFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-open-mouth-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$aT(_objectSpread$aT({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$aR, finalProps.value);
    }
  });

  function ownKeys$aS(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$aS(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$aS(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$aS(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$aQ = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M12 3C7.02944 3 3 7.02944 3 12C3 16.9706 7.02944 21 12 21C16.9706 21 21 16.9706 21 12C21 7.02944 16.9706 3 12 3ZM1 12C1 5.92487 5.92487 1 12 1C18.0751 1 23 5.92487 23 12C23 18.0751 18.0751 23 12 23C5.92487 23 1 18.0751 1 12ZM9 8V12H7V8H9ZM17 8V12H15V8H17ZM7 13H17V18H7V13ZM9 15V16H15V15H9Z"
      }
    }]
  };
  var openMouth = vue.defineComponent({
    name: "OpenMouthIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-open-mouth", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$aS(_objectSpread$aS({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$aQ, finalProps.value);
    }
  });

  function ownKeys$aR(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$aR(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$aR(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$aR(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$aP = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M6.49885 5H7.99885C11.6601 5 14.0647 6.46441 15.5776 8.50988C16.5869 9.87454 17.1704 11.4572 17.5106 12.9403C19.1908 11.6651 21.1814 11.1395 23.221 10.7486L21.8462 19.0113C15.3033 19.0107 8.76047 19.0107 2.21762 19.0096L0.71875 13.001H1.99885C3.02025 13.001 3.89692 13.1059 4.59466 13.2373L3.67315 10.0117H4.99885C6.29516 10.0117 7.55312 10.2432 8.50249 10.4787C8.12289 9.16244 7.65362 7.77145 7.07577 6.38462L6.49885 5ZM9.09065 12.7244C8.84984 12.6465 8.52977 12.5501 8.15388 12.4535C7.62868 12.3185 7.00783 12.1867 6.35055 12.1028L7.75309 17.0106C8.37066 17.0107 8.73442 17.0109 9.06955 17.0112C9.32511 17.0113 9.56402 17.0115 9.88613 17.0116C9.88426 16.9939 9.8824 16.9764 9.88057 16.959C9.78001 16.0094 9.73348 15.5701 9.65549 15.1277C9.57751 14.6853 9.471 14.2565 9.2408 13.3298C9.19573 13.1483 9.14592 12.9478 9.09065 12.7244ZM5.67287 17.0102L5.22568 15.4458C5.08942 15.4042 4.92194 15.3573 4.7254 15.3099C4.34919 15.2193 3.86763 15.1274 3.29558 15.0677L3.78007 17.0099L5.67287 17.0102ZM17.9814 17.0101L20.1515 17.0108L20.7481 13.4256C20.6554 13.4618 20.5603 13.5005 20.4633 13.5419C19.5691 13.9232 18.5909 14.4945 17.8856 15.3055C17.9368 15.8736 17.9644 16.4717 17.9796 16.9524C17.9802 16.9718 17.9808 16.991 17.9814 17.0101Z"
      }
    }]
  };
  var operaFilled = vue.defineComponent({
    name: "OperaFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-opera-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$aR(_objectSpread$aR({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$aP, finalProps.value);
    }
  });

  function ownKeys$aQ(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$aQ(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$aQ(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$aQ(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$aO = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M6.49767 5H7.99767C11.6589 5 14.0635 6.46441 15.5764 8.50988C16.5857 9.87454 17.1693 11.4572 17.5094 12.9403C18.24 12.3858 19.0136 11.9854 19.6776 11.7022C20.2608 11.4535 20.7845 11.2848 21.1642 11.1777C21.3546 11.124 21.5103 11.0854 21.621 11.0597C22.1494 10.937 22.6875 10.8506 23.2202 10.7485L21.8448 19.0013L2.21692 18.9996L0.716797 13.001H1.99767C3.01907 13.001 3.89574 13.1059 4.59348 13.2373L3.67198 10.0117H4.99767C6.29398 10.0117 7.55194 10.2432 8.50131 10.4787C8.12172 9.16244 7.65244 7.77145 7.07459 6.38462L6.49767 5ZM9.08545 12.7231C8.8451 12.6455 8.5265 12.5495 8.15271 12.4535C7.6275 12.3185 7.00665 12.1867 6.34937 12.1028L7.75131 17.0006L9.87566 17.0013C9.85249 16.8283 9.8256 16.6367 9.79459 16.4282C9.65437 15.4857 9.43031 14.201 9.08545 12.7231ZM11.8926 17.0014L15.9791 17.0001C15.9606 16.4209 15.9242 15.7096 15.8547 15.1175C15.6446 13.3269 15.1372 11.2795 13.9684 9.69917C13.0412 8.44553 11.6576 7.42832 9.50393 7.10655C10.0958 8.72036 10.5519 10.2958 10.9017 11.7196C11.3366 13.4903 11.6089 15.0324 11.7728 16.1339C11.822 16.4643 11.8614 16.7553 11.8926 17.0014ZM17.9801 17.0001L20.1506 17.0008L20.7464 13.4257C20.6539 13.4619 20.559 13.5006 20.4621 13.5419C19.568 13.9232 18.5897 14.4945 17.8845 15.3054C17.9357 15.8726 17.9633 16.4686 17.9784 16.9472C17.979 16.965 17.9796 16.9826 17.9801 17.0001ZM5.6706 17.0002L5.22497 15.446C5.08862 15.4043 4.92098 15.3573 4.72422 15.3099C4.3482 15.2194 3.86692 15.1275 3.29524 15.0678L3.77842 16.9999L5.6706 17.0002Z"
      }
    }]
  };
  var opera = vue.defineComponent({
    name: "OperaIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-opera", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$aQ(_objectSpread$aQ({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$aO, finalProps.value);
    }
  });

  function ownKeys$aP(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$aP(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$aP(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$aP(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$aN = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M13.0001 3V11L18.5859 11L16.5859 9L18.0002 7.58579L22.4144 12L18.0002 16.4142L16.5859 15L18.5859 13L13.0001 13V21H11.0001V13L5.41436 13L7.41436 15L6.00015 16.4142L1.58594 12L6.00015 7.58579L7.41436 9L5.41436 11L11.0001 11V3H13.0001Z"
      }
    }]
  };
  var orderAdjustmentColumn = vue.defineComponent({
    name: "OrderAdjustmentColumnIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-order-adjustment-column", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$aP(_objectSpread$aP({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$aN, finalProps.value);
    }
  });

  function ownKeys$aO(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$aO(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$aO(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$aO(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$aM = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M19 2.58569L23.4142 6.99991L22 8.41412L20 6.41412L20 19.9999H18L18 6.41412L16 8.41412L14.5858 6.99991L19 2.58569ZM2 3.99991H13V5.99991H2V3.99991ZM2 10.9999H15V12.9999H2V10.9999ZM2 17.9999H15V19.9999H2V17.9999Z"
      }
    }]
  };
  var orderAscending = vue.defineComponent({
    name: "OrderAscendingIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-order-ascending", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$aO(_objectSpread$aO({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$aM, finalProps.value);
    }
  });

  function ownKeys$aN(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$aN(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$aN(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$aN(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$aL = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M2 4H3H14H15V6H14H3H2V4ZM2 11H3H14H15V13H14H3H2V11ZM3 18H2V20H3H12H13V18H12H3ZM19 21.4142L19.7071 20.7071L22.7071 17.7071L23.4142 17L22 15.5858L21.2929 16.2929L20 17.5858V15.8261V14.7826V5V4H18V5V14.7826V15.8261V17.5858L16.7071 16.2929L16 15.5858L14.5858 17L15.2929 17.7071L18.2929 20.7071L19 21.4142Z"
      }
    }]
  };
  var orderDescending = vue.defineComponent({
    name: "OrderDescendingIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-order-descending", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$aN(_objectSpread$aN({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$aL, finalProps.value);
    }
  });

  function ownKeys$aM(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$aM(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$aM(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$aM(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$aK = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M22 2L2 2L2 22H22V2ZM4 14.5L4 4L20 4V14.5H15.0352L14.7823 15.1248C14.3365 16.2261 13.2574 17 12 17C10.7426 17 9.66348 16.2261 9.2177 15.1248L8.96479 14.5L4 14.5ZM12 5.08579L7.58579 9.5L9 10.9142L11 8.91421V14H13V8.91421L15 10.9142L16.4142 9.5L12 5.08579Z"
      }
    }]
  };
  var outboxFilled = vue.defineComponent({
    name: "OutboxFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-outbox-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$aM(_objectSpread$aM({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$aK, finalProps.value);
    }
  });

  function ownKeys$aL(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$aL(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$aL(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$aL(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$aJ = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M22 2L2 2L2 22H22V2ZM20 16.5V20H4L4 16.5L7.66918 16.5C8.53303 17.9934 10.148 19 12 19C13.852 19 15.467 17.9934 16.3308 16.5H20ZM4 14.5L4 4L20 4V14.5H15.0352L14.7823 15.1248C14.3365 16.2261 13.2574 17 12 17C10.7426 17 9.66348 16.2261 9.2177 15.1248L8.96479 14.5L4 14.5ZM12 5.08579L7.58579 9.5L9 10.9142L11 8.91421V14H13V8.91421L15 10.9142L16.4142 9.5L12 5.08579Z"
      }
    }]
  };
  var outbox = vue.defineComponent({
    name: "OutboxIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-outbox", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$aL(_objectSpread$aL({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$aJ, finalProps.value);
    }
  });

  function ownKeys$aK(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$aK(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$aK(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$aK(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$aI = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M8.5 5V19H6.5V5H8.5ZM17.6642 6.75L12.4142 12L17.6642 17.25L16.25 18.6642L9.58579 12L16.25 5.33579L17.6642 6.75Z"
      }
    }]
  };
  var pageFirst = vue.defineComponent({
    name: "PageFirstIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-page-first", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$aK(_objectSpread$aK({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$aI, finalProps.value);
    }
  });

  function ownKeys$aJ(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$aJ(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$aJ(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$aJ(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$aH = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M21 10V22H19V12L5 12L5 22H3L3 10L21 10ZM21 2V8L3 8L3 2L21 2Z"
      }
    }]
  };
  var pageHeadFilled = vue.defineComponent({
    name: "PageHeadFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-page-head-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$aJ(_objectSpread$aJ({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$aH, finalProps.value);
    }
  });

  function ownKeys$aI(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$aI(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$aI(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$aI(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$aG = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M21 10V22H19V12L5 12L5 22H3L3 10L21 10ZM21 2V8L3 8L3 2L21 2ZM19 4L5 4V6L19 6V4Z"
      }
    }]
  };
  var pageHead = vue.defineComponent({
    name: "PageHeadIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-page-head", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$aI(_objectSpread$aI({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$aG, finalProps.value);
    }
  });

  function ownKeys$aH(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$aH(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$aH(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$aH(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$aF = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M17.5002 5V19H15.5002V5H17.5002ZM7.75015 5.33579L14.4144 12L7.75015 18.6642L6.33594 17.25L11.5859 12L6.33594 6.75L7.75015 5.33579Z"
      }
    }]
  };
  var pageLast = vue.defineComponent({
    name: "PageLastIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-page-last", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$aH(_objectSpread$aH({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$aF, finalProps.value);
    }
  });

  function ownKeys$aG(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$aG(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$aG(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$aG(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$aE = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M13.0039 2.00195L13.0018 3.08326C15.8386 3.56007 18 6.02763 18 9L22 9V22H20V17.5C20 15.567 18.433 14 16.5 14C14.567 14 13 15.567 13 17.5V22H11V17.5C11 15.567 9.433 14 7.5 14C5.567 14 4 15.567 4 17.5V22H2V9L6 9C6 6.02638 8.1632 3.558 11.0018 3.08266L11.0039 1.99805L13.0039 2.00195ZM10.998 5.99805V8.00195H13.002V5.99805H10.998Z"
      }
    }, {
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M7.5 16C6.67157 16 6 16.6716 6 17.5V22H9V17.5C9 16.6716 8.32843 16 7.5 16zM16.5 16C15.6716 16 15 16.6716 15 17.5V22H18V17.5C18 16.6716 17.3284 16 16.5 16z"
      }
    }]
  };
  var palace1Filled = vue.defineComponent({
    name: "Palace1FilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-palace-1-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$aG(_objectSpread$aG({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$aE, finalProps.value);
    }
  });

  function ownKeys$aF(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$aF(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$aF(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$aF(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$aD = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M13.0039 2.00195L13.0018 3.08326C15.8386 3.56007 18 6.02763 18 9H22V22H2V9H6C6 6.02638 8.1632 3.558 11.0018 3.08266L11.0039 1.99805L13.0039 2.00195ZM8 9H16C16 6.79086 14.2091 5 12 5C9.79086 5 8 6.79086 8 9ZM10.998 5.99804H13.002V8.00195H10.998V5.99804ZM4 11V20H5V17C5 15.3431 6.34315 14 8 14C9.65685 14 11 15.3431 11 17V20H13V17C13 15.3431 14.3431 14 16 14C17.6569 14 19 15.3431 19 17V20H20V11H4ZM17 20V17C17 16.4477 16.5523 16 16 16C15.4477 16 15 16.4477 15 17V20H17ZM9 20V17C9 16.4477 8.55228 16 8 16C7.44772 16 7 16.4477 7 17V20H9Z"
      }
    }]
  };
  var palace1 = vue.defineComponent({
    name: "Palace1Icon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-palace-1", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$aF(_objectSpread$aF({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$aD, finalProps.value);
    }
  });

  function ownKeys$aE(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$aE(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$aE(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$aE(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$aC = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M13.0039 2.00195L13.0018 3.08326C15.8386 3.56007 18 6.02763 18 9L20 9V3H22V22H16.5V19.4999C16.5 17.5577 15.5303 16.0975 14.7299 15.217C14.319 14.765 13.9124 14.4199 13.6075 14.1861C13.4536 14.0681 13.3215 13.9754 13.2223 13.9088L13.029 13.7849L12 13.1675L10.971 13.7849L10.7777 13.9088C10.6785 13.9754 10.5464 14.0681 10.3925 14.1861C10.0876 14.4199 9.68105 14.765 9.27012 15.217C8.4697 16.0975 7.5 17.5577 7.5 19.4999V22H2V3H4V9L6 9C6 6.02638 8.1632 3.558 11.0018 3.08266L11.0039 1.99805L13.0039 2.00195ZM10.998 5.99805V8.00195H13.002V5.99805H10.998Z"
      }
    }, {
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M12 15.5C12 15.5 9.5 17 9.5 19.5V22H14.5V19.5C14.5 17 12 15.5 12 15.5Z"
      }
    }]
  };
  var palace2Filled = vue.defineComponent({
    name: "Palace2FilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-palace-2-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$aE(_objectSpread$aE({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$aC, finalProps.value);
    }
  });

  function ownKeys$aD(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$aD(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$aD(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$aD(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$aB = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M13.0039 2.00195L13.0018 3.08326C15.8386 3.56007 18 6.02763 18 9H20V3H22V22H2V3H4V9H6C6 6.02638 8.1632 3.558 11.0018 3.08266L11.0039 1.99805L13.0039 2.00195ZM8 9H16C16 6.79086 14.2091 5 12 5C9.79086 5 8 6.79086 8 9ZM4 11V20H8V18.3541C8 15.9197 9.3754 13.6943 11.5528 12.6056L12 12.382L12.4472 12.6056C14.6246 13.6943 16 15.9197 16 18.3541V20H20V11H4ZM14 20V18.3541C14 16.8507 13.2384 15.463 12 14.6515C10.7616 15.463 10 16.8507 10 18.3541V20H14ZM10.998 5.99804H13.002V8.00195H10.998V5.99804Z"
      }
    }]
  };
  var palace2 = vue.defineComponent({
    name: "Palace2Icon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-palace-2", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$aD(_objectSpread$aD({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$aB, finalProps.value);
    }
  });

  function ownKeys$aC(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$aC(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$aC(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$aC(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$aA = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M13.0018 3.08326L13.0039 2.00195L11.0039 1.99805L11.0018 3.08266C8.1632 3.558 6 6.02638 6 9H2V22H7.5V19.4999C7.5 17.5577 8.4697 16.0975 9.27012 15.217C9.68105 14.765 10.0876 14.4199 10.3925 14.1861C10.5464 14.0681 10.6785 13.9754 10.7777 13.9088L10.971 13.7849L12 13.1675L13.029 13.7849L13.2223 13.9088C13.3215 13.9754 13.4536 14.0681 13.6075 14.1861C13.9124 14.4199 14.319 14.765 14.7299 15.217C15.5303 16.0975 16.5 17.5577 16.5 19.4999V22H22V9H18C18 6.02763 15.8386 3.56007 13.0018 3.08326ZM13.002 6.99805V9.00195H10.998V6.99805H13.002Z"
      }
    }, {
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M9.5 19.5C9.5 17 12 15.5 12 15.5C12 15.5 14.5 17 14.5 19.5V22H9.5V19.5Z"
      }
    }]
  };
  var palace3Filled = vue.defineComponent({
    name: "Palace3FilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-palace-3-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$aC(_objectSpread$aC({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$aA, finalProps.value);
    }
  });

  function ownKeys$aB(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$aB(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$aB(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$aB(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$az = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M13.0039 2.00195L13.0018 3.08326C15.8386 3.56007 18 6.02763 18 9H22V22H2V9H6C6 6.02638 8.1632 3.558 11.0018 3.08266L11.0039 1.99805L13.0039 2.00195ZM12 5C9.79086 5 8 6.79086 8 9V11H4V20H8V18.3541C8 15.9197 9.3754 13.6943 11.5528 12.6056L12 12.382L12.4472 12.6056C14.6246 13.6943 16 15.9197 16 18.3541V20H20V11H16V9C16 6.79086 14.2091 5 12 5ZM14 20V18.3541C14 16.8507 13.2384 15.463 12 14.6515C10.7616 15.463 10 16.8507 10 18.3541V20H14ZM10.998 7.99804H13.002V10.002H10.998V7.99804Z"
      }
    }]
  };
  var palace3 = vue.defineComponent({
    name: "Palace3Icon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-palace-3", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$aB(_objectSpread$aB({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$az, finalProps.value);
    }
  });

  function ownKeys$aA(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$aA(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$aA(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$aA(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$ay = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M6 1.69824L10 5.03158V8.99995H14V5.03158L18 1.69824L22 5.03158V22H15.5V18.5C15.5 16.567 13.933 15 12 15C10.067 15 8.5 16.567 8.5 18.5V22H2V5.03158L6 1.69824ZM20 8.99995V5.96833L18 4.30166L16 5.96833V8.99995H20ZM4 8.99995H8V5.96833L6 4.30166L4 5.96833V8.99995Z"
      }
    }, {
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M12 17C11.1716 17 10.5 17.6716 10.5 18.5V22H13.5V18.5C13.5 17.6716 12.8284 17 12 17Z"
      }
    }]
  };
  var palace4Filled = vue.defineComponent({
    name: "Palace4FilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-palace-4-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$aA(_objectSpread$aA({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$ay, finalProps.value);
    }
  });

  function ownKeys$az(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$az(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$az(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$az(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$ax = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M6 1.69824L10 5.03158V8.99995H14V5.03158L18 1.69824L22 5.03158V22H2V5.03158L6 1.69824ZM16 8.99995H20V5.96833L18 4.30166L16 5.96833V8.99995ZM20 11H4V20H9V17C9 15.3431 10.3431 14 12 14C13.6569 14 15 15.3431 15 17V20H20V11ZM13 20V17C13 16.4477 12.5523 16 12 16C11.4477 16 11 16.4477 11 17V20H13ZM4 8.99995H8V5.96833L6 4.30166L4 5.96833V8.99995Z"
      }
    }]
  };
  var palace4 = vue.defineComponent({
    name: "Palace4Icon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-palace-4", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$az(_objectSpread$az({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$ax, finalProps.value);
    }
  });

  function ownKeys$ay(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$ay(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$ay(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$ay(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$aw = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M13 3.12602V2H11V3.12602C9.27477 3.57006 8 5.13616 8 7H5V9H6V10H18V9H19V7H16C16 5.13616 14.7252 3.57006 13 3.12602zM2 12H22V14H21V20H22V22H16V20C16 17.7909 14.2091 16 12 16 9.79086 16 8 17.7909 8 20V22H2V20H3V14H2V12z"
      }
    }, {
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M10 20C10 18.8954 10.8954 18 12 18C13.1046 18 14 18.8954 14 20V22H10V20Z"
      }
    }]
  };
  var palaceFilled = vue.defineComponent({
    name: "PalaceFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-palace-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$ay(_objectSpread$ay({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$aw, finalProps.value);
    }
  });

  function ownKeys$ax(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$ax(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$ax(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$ax(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$av = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M13 2V3.12602C14.7252 3.57006 16 5.13616 16 7H19V9H18V10H22V12H21V20H22V22H2V20H3V12H2V10H6V9H5V7H8C8 5.13616 9.27477 3.57006 11 3.12602V2H13ZM8 9V10H16V9H8ZM14 7C14 5.89543 13.1046 5 12 5C10.8954 5 10 5.89543 10 7H14ZM5 12V20H8V18C8 15.7909 9.79086 14 12 14C14.2091 14 16 15.7909 16 18V20H19V12H5ZM14 20V18C14 16.8954 13.1046 16 12 16C10.8954 16 10 16.8954 10 18V20H14Z"
      }
    }]
  };
  var palace = vue.defineComponent({
    name: "PalaceIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-palace", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$ax(_objectSpread$ax({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$av, finalProps.value);
    }
  });

  function ownKeys$aw(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$aw(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$aw(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$aw(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$au = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M7.11111 6.9375C7.11111 4.22234 9.28827 2 12 2C14.7117 2 16.8889 4.22234 16.8889 6.9375C16.8889 9.65266 14.7117 11.875 12 11.875C9.28827 11.875 7.11111 9.65266 7.11111 6.9375ZM1 17.0625C1 14.3473 3.17716 12.125 5.88889 12.125C8.60062 12.125 10.7778 14.3473 10.7778 17.0625C10.7778 19.7777 8.60062 22 5.88889 22C3.17716 22 1 19.7777 1 17.0625ZM13.2222 17.0625C13.2222 14.3473 15.3994 12.125 18.1111 12.125C20.8228 12.125 23 14.3473 23 17.0625C23 19.7777 20.8228 22 18.1111 22C15.3994 22 13.2222 19.7777 13.2222 17.0625Z"
      }
    }]
  };
  var palette1Filled = vue.defineComponent({
    name: "Palette1FilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-palette-1-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$aw(_objectSpread$aw({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$au, finalProps.value);
    }
  });

  function ownKeys$av(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$av(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$av(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$av(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$at = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M12 4C10.4162 4 9.11111 5.30342 9.11111 6.9375C9.11111 8.57158 10.4162 9.875 12 9.875C13.5838 9.875 14.8889 8.57158 14.8889 6.9375C14.8889 5.30342 13.5838 4 12 4ZM7.11111 6.9375C7.11111 4.22234 9.28827 2 12 2C14.7117 2 16.8889 4.22234 16.8889 6.9375C16.8889 9.65266 14.7117 11.875 12 11.875C9.28827 11.875 7.11111 9.65266 7.11111 6.9375ZM5.88889 14.125C4.30508 14.125 3 15.4284 3 17.0625C3 18.6966 4.30508 20 5.88889 20C7.4727 20 8.77778 18.6966 8.77778 17.0625C8.77778 15.4284 7.4727 14.125 5.88889 14.125ZM1 17.0625C1 14.3473 3.17716 12.125 5.88889 12.125C8.60062 12.125 10.7778 14.3473 10.7778 17.0625C10.7778 19.7777 8.60062 22 5.88889 22C3.17716 22 1 19.7777 1 17.0625ZM18.1111 14.125C16.5273 14.125 15.2222 15.4284 15.2222 17.0625C15.2222 18.6966 16.5273 20 18.1111 20C19.6949 20 21 18.6966 21 17.0625C21 15.4284 19.6949 14.125 18.1111 14.125ZM13.2222 17.0625C13.2222 14.3473 15.3994 12.125 18.1111 12.125C20.8228 12.125 23 14.3473 23 17.0625C23 19.7777 20.8228 22 18.1111 22C15.3994 22 13.2222 19.7777 13.2222 17.0625Z"
      }
    }]
  };
  var palette1 = vue.defineComponent({
    name: "Palette1Icon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-palette-1", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$av(_objectSpread$av({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$at, finalProps.value);
    }
  });

  function ownKeys$au(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$au(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$au(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$au(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$as = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M12 1C5.92487 1 1 5.92487 1 12C1 18.042 5.54478 22.8971 11.6525 22.8971C12.183 22.8971 12.7172 22.8217 13.1424 22.5468C13.6567 22.2143 13.8564 21.697 13.8419 21.209C13.8297 20.8004 13.6721 20.4347 13.5521 20.1961C13.4359 19.9652 13.2963 19.7438 13.2 19.5911L13.1731 19.5483C12.9286 19.1594 12.7989 18.743 12.8227 18.3628C12.8444 18.0158 12.9984 17.596 13.5249 17.1555C13.9295 16.8169 14.463 16.7376 15.3798 16.7739C15.5177 16.7794 15.6676 16.7882 15.8269 16.7976C16.603 16.8433 17.6033 16.9022 18.535 16.6508C21.0902 15.9613 22.8253 14.0956 22.9977 11.5309C23.4176 5.28585 17.931 1 12 1ZM9.75 7.00391C9.75 5.89934 10.6454 5.00391 11.75 5.00391C12.8546 5.00391 13.75 5.89934 13.75 7.00391C13.75 8.10848 12.8546 9.00391 11.75 9.00391C10.6454 9.00391 9.75 8.10848 9.75 7.00391ZM5.0293 10.0039C5.0293 8.89934 5.92473 8.00391 7.0293 8.00391C8.13387 8.00391 9.0293 8.89934 9.0293 10.0039C9.0293 11.1085 8.13387 12.0039 7.0293 12.0039C5.92473 12.0039 5.0293 11.1085 5.0293 10.0039ZM16.5176 8.00391C17.6221 8.00391 18.5176 8.89934 18.5176 10.0039C18.5176 11.1085 17.6221 12.0039 16.5176 12.0039C15.413 12.0039 14.5176 11.1085 14.5176 10.0039C14.5176 8.89934 15.413 8.00391 16.5176 8.00391Z"
      }
    }]
  };
  var paletteFilled = vue.defineComponent({
    name: "PaletteFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-palette-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$au(_objectSpread$au({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$as, finalProps.value);
    }
  });

  function ownKeys$at(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$at(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$at(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$at(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$ar = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M12 3C7.02944 3 3 7.02944 3 12C3 17.0037 6.71453 20.8971 11.6525 20.8971C11.6537 20.8971 11.6548 20.8971 11.656 20.8971C11.6089 20.8179 11.5569 20.7352 11.5003 20.6453C11.4936 20.6345 11.4867 20.6236 11.4798 20.6126C11.0796 19.976 10.7698 19.1472 10.8266 18.2381C10.8855 17.2958 11.3322 16.3824 12.2414 15.6216C13.2726 14.7588 14.5044 14.7376 15.4591 14.7755C15.6735 14.784 15.8755 14.7949 16.0672 14.8053C16.8254 14.8463 17.4252 14.8787 18.014 14.7199C19.8659 14.2201 20.8951 12.9899 21.0023 11.3967C21.3234 6.62094 17.1147 3 12 3ZM1 12C1 5.92487 5.92487 1 12 1C17.931 1 23.4176 5.28585 22.9977 11.5309C22.8253 14.0956 21.0902 15.9613 18.535 16.6508C17.6033 16.9022 16.603 16.8433 15.8269 16.7976C15.6676 16.7882 15.5177 16.7794 15.3798 16.7739C14.463 16.7376 13.9295 16.8169 13.5249 17.1555C12.9984 17.596 12.8444 18.0158 12.8227 18.3628C12.7989 18.743 12.9286 19.1594 13.1731 19.5483C13.1816 19.5619 13.1906 19.5762 13.2 19.5911C13.2963 19.7438 13.4359 19.9652 13.5521 20.1961C13.6721 20.4347 13.8297 20.8004 13.8419 21.209C13.8565 21.697 13.6567 22.2143 13.1424 22.5468C12.7172 22.8217 12.183 22.8971 11.6525 22.8971C5.54478 22.8971 1 18.042 1 12ZM9.75 7.00391C9.75 5.89934 10.6454 5.00391 11.75 5.00391C12.8546 5.00391 13.75 5.89934 13.75 7.00391C13.75 8.10848 12.8546 9.00391 11.75 9.00391C10.6454 9.00391 9.75 8.10848 9.75 7.00391ZM5.0293 10.0039C5.0293 8.89934 5.92473 8.00391 7.0293 8.00391C8.13387 8.00391 9.0293 8.89934 9.0293 10.0039C9.0293 11.1085 8.13387 12.0039 7.0293 12.0039C5.92473 12.0039 5.0293 11.1085 5.0293 10.0039ZM14.5176 10.0039C14.5176 8.89934 15.413 8.00391 16.5176 8.00391C17.6221 8.00391 18.5176 8.89934 18.5176 10.0039C18.5176 11.1085 17.6221 12.0039 16.5176 12.0039C15.413 12.0039 14.5176 11.1085 14.5176 10.0039Z"
      }
    }]
  };
  var palette = vue.defineComponent({
    name: "PaletteIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-palette", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$at(_objectSpread$at({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$ar, finalProps.value);
    }
  });

  function ownKeys$as(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$as(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$as(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$as(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$aq = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M1.00024 20.8441L1.00024 3.15601L2.2873 3.54212L2.28916 3.54268L2.2979 3.54527L2.33643 3.55654C2.37132 3.56667 2.42441 3.58191 2.49448 3.60153C2.63465 3.64077 2.84261 3.69751 3.10866 3.76592C3.64104 3.90282 4.40444 4.08607 5.32136 4.26946C7.16187 4.63756 9.59096 5.00004 12.0002 5.00004C14.4095 5.00004 16.8386 4.63756 18.6791 4.26946C19.5961 4.08607 20.3594 3.90282 20.8918 3.76592C21.1579 3.69751 21.3658 3.64077 21.506 3.60152C21.5761 3.5819 21.6292 3.56667 21.6641 3.55654L21.7026 3.54527L21.7129 3.54221L23.0002 3.15601V20.8441L21.7132 20.4579L21.7113 20.4574L21.7026 20.4548L21.6641 20.4435C21.6292 20.4334 21.5761 20.4182 21.506 20.3985C21.3658 20.3593 21.1579 20.3026 20.8918 20.2342C20.3594 20.0973 19.5961 19.914 18.6791 19.7306C16.8386 19.3625 14.4095 19 12.0002 19C9.59096 19 7.16188 19.3625 5.32136 19.7306C4.40444 19.914 3.64104 20.0973 3.10866 20.2342C2.84261 20.3026 2.63465 20.3593 2.49448 20.3985C2.42441 20.4182 2.37132 20.4334 2.33643 20.4435L2.2979 20.4548L2.28916 20.4574L2.28759 20.4579L1.00024 20.8441Z"
      }
    }]
  };
  var panoramaHorizontalFilled = vue.defineComponent({
    name: "PanoramaHorizontalFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-panorama-horizontal-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$as(_objectSpread$as({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$aq, finalProps.value);
    }
  });

  function ownKeys$ar(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$ar(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$ar(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$ar(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$ap = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M23 3.15601V20.8441L21.7129 20.4579L21.7111 20.4574L21.7023 20.4548L21.6638 20.4435C21.6289 20.4334 21.5758 20.4182 21.5058 20.3985C21.3656 20.3593 21.1576 20.3026 20.8916 20.2342C20.3592 20.0973 19.5958 19.914 18.6789 19.7306C16.8384 19.3625 14.4093 19 12 19C9.59072 19 7.16163 19.3625 5.32112 19.7306C4.40419 19.914 3.6408 20.0973 3.10842 20.2342C2.84237 20.3026 2.6344 20.3593 2.49424 20.3985C2.42417 20.4182 2.37108 20.4334 2.33618 20.4435L2.29765 20.4548L2.28735 20.4579L1 20.8441L1 3.15601L2.28706 3.54212L2.28891 3.54268L2.29765 3.54527L2.33618 3.55654C2.37108 3.56667 2.42417 3.58191 2.49424 3.60153C2.6344 3.64077 2.84237 3.69751 3.10842 3.76592C3.6408 3.90282 4.40419 4.08607 5.32112 4.26946C7.16163 4.63756 9.59072 5.00004 12 5.00004C14.4093 5.00004 16.8384 4.63756 18.6789 4.26946C19.5958 4.08607 20.3592 3.90282 20.8916 3.76592C21.1576 3.69751 21.3656 3.64077 21.5058 3.60153C21.5758 3.58191 21.6289 3.56667 21.6638 3.55654L21.7024 3.54527L21.7111 3.54268L21.7127 3.54221L23 3.15601ZM21 5.80098C20.4812 5.92881 19.8254 6.07975 19.0711 6.23062C17.1616 6.61252 14.5907 7.00004 12 7.00004C9.40928 7.00004 6.83837 6.61251 4.92889 6.23062C4.17457 6.07975 3.51879 5.92881 3 5.80098L3 18.1991C3.51879 18.0713 4.17457 17.9203 4.92888 17.7695C6.83837 17.3876 9.40928 17 12 17C14.5907 17 17.1616 17.3876 19.0711 17.7695C19.8254 17.9203 20.4812 18.0713 21 18.1991V5.80098Z"
      }
    }]
  };
  var panoramaHorizontal = vue.defineComponent({
    name: "PanoramaHorizontalIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-panorama-horizontal", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$ar(_objectSpread$ar({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$ap, finalProps.value);
    }
  });

  function ownKeys$aq(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$aq(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$aq(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$aq(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$ao = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M3.15601 1L20.8441 1L20.4579 2.28706L20.4574 2.28891L20.4548 2.29765L20.4435 2.33618C20.4334 2.37108 20.4182 2.42417 20.3985 2.49424C20.3593 2.6344 20.3026 2.84237 20.2342 3.10842C20.0973 3.6408 19.914 4.40419 19.7306 5.32112C19.3625 7.16163 19 9.59072 19 12C19 14.4093 19.3625 16.8384 19.7306 18.6789C19.914 19.5958 20.0973 20.3592 20.2342 20.8916C20.3026 21.1576 20.3593 21.3656 20.3985 21.5058C20.4182 21.5758 20.4334 21.6289 20.4435 21.6638L20.4548 21.7023L20.4574 21.7111L20.4579 21.7127L20.8441 23L3.15601 23L3.54212 21.7129L3.54268 21.7111L3.54527 21.7023L3.55654 21.6638C3.56667 21.6289 3.58191 21.5758 3.60153 21.5058C3.64077 21.3656 3.69751 21.1576 3.76592 20.8916C3.90282 20.3592 4.08607 19.5958 4.26946 18.6789C4.63756 16.8384 5.00004 14.4093 5.00004 12C5.00004 9.59072 4.63756 7.16163 4.26946 5.32112C4.08607 4.40419 3.90282 3.6408 3.76592 3.10842C3.69751 2.84237 3.64077 2.6344 3.60153 2.49424C3.58191 2.42417 3.56667 2.37108 3.55654 2.33618L3.54527 2.29765L3.54268 2.28891L3.54221 2.28735L3.15601 1Z"
      }
    }]
  };
  var panoramaVerticalFilled = vue.defineComponent({
    name: "PanoramaVerticalFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-panorama-vertical-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$aq(_objectSpread$aq({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$ao, finalProps.value);
    }
  });

  function ownKeys$ap(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$ap(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$ap(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$ap(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$an = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M3.15625 1L20.8443 1L20.4582 2.28706L20.4576 2.28891L20.4551 2.29765L20.4438 2.33618C20.4337 2.37108 20.4184 2.42417 20.3988 2.49424C20.3595 2.6344 20.3028 2.84237 20.2344 3.10842C20.0975 3.6408 19.9142 4.40419 19.7309 5.32112C19.3628 7.16163 19.0003 9.59072 19.0003 12C19.0003 14.4093 19.3628 16.8384 19.7309 18.6789C19.9142 19.5958 20.0975 20.3592 20.2344 20.8916C20.3028 21.1576 20.3595 21.3656 20.3988 21.5058C20.4184 21.5758 20.4337 21.6289 20.4438 21.6638L20.4551 21.7023L20.4576 21.7111L20.4581 21.7127L20.8443 23L3.15625 23L3.54237 21.7129L3.54292 21.7111L3.54551 21.7023L3.55678 21.6638C3.56691 21.6289 3.58215 21.5758 3.60177 21.5058C3.64102 21.3656 3.69775 21.1576 3.76616 20.8916C3.90306 20.3592 4.08632 19.5958 4.2697 18.6789C4.6378 16.8384 5.00028 14.4093 5.00028 12C5.00028 9.59072 4.6378 7.16163 4.2697 5.32112C4.08632 4.40419 3.90306 3.6408 3.76616 3.10842C3.69775 2.84237 3.64102 2.6344 3.60177 2.49424C3.58215 2.42417 3.56691 2.37108 3.55678 2.33618L3.54551 2.29765L3.54292 2.28891L3.54245 2.28735L3.15625 1ZM5.80122 3C5.92905 3.51879 6.08 4.17457 6.23086 4.92888C6.61276 6.83837 7.00028 9.40928 7.00028 12C7.00028 14.5907 6.61276 17.1616 6.23086 19.0711C6.08 19.8254 5.92905 20.4812 5.80122 21L18.1993 21C18.0715 20.4812 17.9206 19.8254 17.7697 19.0711C17.3878 17.1616 17.0003 14.5907 17.0003 12C17.0003 9.40928 17.3878 6.83837 17.7697 4.92888C17.9206 4.17457 18.0715 3.51879 18.1993 3L5.80122 3Z"
      }
    }]
  };
  var panoramaVertical = vue.defineComponent({
    name: "PanoramaVerticalIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-panorama-vertical", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$ap(_objectSpread$ap({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$an, finalProps.value);
    }
  });

  function ownKeys$ao(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$ao(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$ao(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$ao(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$am = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M17.5247 4.44658L19.6228 3.73145L21.538 9.33301H23V20.9997H1V9.33301H2.65206L14.3468 -0.00878906L17.5247 4.44658ZM15.5485 5.12017L13.945 2.87198L7.84218 7.74689L15.5485 5.12017ZM16.7927 6.80909L9.38792 9.33301H19.4243L18.3869 6.29882L16.7927 6.80909ZM5.28516 14.1638V16.1677H7.28906V14.1638H5.28516Z"
      }
    }]
  };
  var pantoneFilled = vue.defineComponent({
    name: "PantoneFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-pantone-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$ao(_objectSpread$ao({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$am, finalProps.value);
    }
  });

  function ownKeys$an(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$an(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$an(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$an(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$al = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 25",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M14.3472 0.991211L17.525 5.44644L19.6238 4.73108L21.5385 10.3333H23V22H1L1 10.3333H2.00984L2.65212 10.3333L14.3472 0.991211ZM3.35284 12.3333L3.3496 12.3359H3L3 20H21V12.3333L3.35284 12.3333ZM19.425 10.3333L18.3878 7.29868L16.7836 7.81212L9.38658 10.3333H19.425ZM15.5488 6.12L13.9454 3.87198L7.84328 8.74633L15.5488 6.12ZM5.28516 15.164H7.28906V17.1679H5.28516V15.164Z"
      }
    }]
  };
  var pantone = vue.defineComponent({
    name: "PantoneIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-pantone", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$an(_objectSpread$an({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$al, finalProps.value);
    }
  });

  function ownKeys$am(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$am(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$am(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$am(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$ak = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M8.08334 7.9121C7.85427 8.35239 7.61319 8.81575 7.4 9.1C6.50999 10.2867 5.79455 11.2184 5.17733 11.8493C4.58278 12.4571 3.881 13 3 13H2V11H3C3.019 11 3.21722 10.9929 3.74767 10.4507C4.25545 9.93164 4.89001 9.11332 5.8 7.9C5.90591 7.75879 6.05183 7.47986 6.2951 7.01487C6.33759 6.93365 6.38305 6.84675 6.43179 6.75392C6.73013 6.18564 7.10948 5.48452 7.57692 4.80707C8.4796 3.49884 9.90309 2 12 2C14.0969 2 15.5204 3.49884 16.4231 4.80707C16.8905 5.48452 17.2699 6.18564 17.5682 6.75392C17.6169 6.84675 17.6624 6.93364 17.7049 7.01486C17.9482 7.47986 18.0941 7.75879 18.2 7.9C19.11 9.11332 19.7445 9.93163 20.2523 10.4507C20.7828 10.9929 20.981 11 21 11H22V13H21C20.119 13 19.4172 12.4571 18.8227 11.8493C18.2055 11.2184 17.49 10.2867 16.6 9.1C16.3868 8.81575 16.1457 8.3524 15.9167 7.91211C15.8765 7.83486 15.8367 7.75832 15.7974 7.68358C15.5051 7.12686 15.172 6.51548 14.7769 5.94293C13.9546 4.75116 13.0531 4 12 4C10.9469 4 10.0454 4.75116 9.22308 5.94293C8.82802 6.51548 8.49487 7.12686 8.20259 7.68358C8.16335 7.75832 8.12353 7.83485 8.08334 7.9121ZM4 16V18H11V16H13V18H20V16H22V21H20V20H13V21H11V20H4V21H2V16H4Z"
      }
    }]
  };
  var parabola = vue.defineComponent({
    name: "ParabolaIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-parabola", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$am(_objectSpread$am({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$ak, finalProps.value);
    }
  });

  function ownKeys$al(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$al(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$al(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$al(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$aj = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M5.44539 4.53903L5.00736 5.43799C4.04211 7.41891 3.5 9.64472 3.5 12C3.5 14.3552 4.04211 16.581 5.00736 18.5619L5.44539 19.4609L3.64748 20.337L3.20944 19.438C2.11414 17.1902 1.5 14.6654 1.5 12C1.5 9.33456 2.11414 6.80976 3.20944 4.56192L3.64748 3.66296L5.44539 4.53903ZM20.3525 3.66296L20.7906 4.56192C21.8859 6.80976 22.5 9.33456 22.5 12C22.5 14.6654 21.8859 17.1902 20.7906 19.438L20.3525 20.337L18.5546 19.4609L18.9926 18.5619C19.9579 16.581 20.5 14.3552 20.5 12C20.5 9.64472 19.9579 7.41891 18.9926 5.43799L18.5546 4.53903L20.3525 3.66296Z"
      }
    }]
  };
  var parentheses = vue.defineComponent({
    name: "ParenthesesIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-parentheses", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$al(_objectSpread$al({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$aj, finalProps.value);
    }
  });

  function ownKeys$ak(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$ak(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$ak(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$ak(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$ai = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M2 2L7 2V4H4L4 7L2 7L2 2ZM11 2L16 2V7H14V4L11 4V2ZM9 9H22V22H9V9ZM4 10V13H7V15H2V10H4Z"
      }
    }]
  };
  var pasteFilled = vue.defineComponent({
    name: "PasteFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-paste-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$ak(_objectSpread$ak({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$ai, finalProps.value);
    }
  });

  function ownKeys$aj(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$aj(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$aj(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$aj(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$ah = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M2 2L7 2V4H4L4 7L2 7L2 2ZM11 2L16 2V7H14V4L11 4V2ZM9 9H22V22H9V9ZM11 11V20H20V11H11ZM4 10V13H7V15H2V10H4Z"
      }
    }]
  };
  var paste = vue.defineComponent({
    name: "PasteIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-paste", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$aj(_objectSpread$aj({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$ah, finalProps.value);
    }
  });

  function ownKeys$ai(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$ai(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$ai(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$ai(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$ag = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M12 1C9.36545 1 7.2495 1.52703 5.78326 2.06021C5.0502 2.32677 4.47862 2.59519 4.08431 2.80092C3.88708 2.90382 3.73395 2.99117 3.62687 3.05496C3.57332 3.08686 3.53125 3.11289 3.50092 3.13205C3.48575 3.14163 3.47351 3.14949 3.46423 3.15552L3.45254 3.16316L3.44836 3.16592L3.44669 3.16702L3 3.46482V20H2V22H7V9H9V11H11V9H13V22H22V20H21V3.46482L20.5533 3.16702L20.5516 3.16592L20.5475 3.16316L20.5358 3.15552C20.5265 3.14949 20.5142 3.14163 20.4991 3.13205C20.4687 3.11289 20.4267 3.08686 20.3731 3.05496C20.2661 2.99117 20.1129 2.90382 19.9157 2.80092C19.5214 2.59519 18.9498 2.32677 18.2167 2.06021C16.7505 1.52703 14.6345 1 12 1Z"
      }
    }, {
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M11 22V20H9V22H11zM11 18H9V16.5H11V18zM11 14.5H9V13H11V14.5z"
      }
    }]
  };
  var patioFilled = vue.defineComponent({
    name: "PatioFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-patio-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$ai(_objectSpread$ai({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$ag, finalProps.value);
    }
  });

  function ownKeys$ah(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$ah(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$ah(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$ah(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$af = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M5.78326 2.06021C7.2495 1.52703 9.36545 1 12 1C14.6345 1 16.7505 1.52703 18.2167 2.06021C18.9498 2.32677 19.5214 2.59519 19.9157 2.80092C20.1129 2.90382 20.2661 2.99117 20.3731 3.05496C20.4267 3.08686 20.4687 3.11289 20.4991 3.13205C20.5142 3.14163 20.5265 3.14949 20.5358 3.15552L20.5475 3.16316L20.5516 3.16592L20.5533 3.16702L20.5547 3.16795L21 3.46482V20H22V22H2V20H3V3.46482L3.4453 3.16795L3.44669 3.16702L3.44836 3.16592L3.45254 3.16316L3.46423 3.15552C3.47351 3.14949 3.48575 3.14163 3.50092 3.13205C3.53125 3.11289 3.57332 3.08686 3.62687 3.05496C3.73395 2.99117 3.88708 2.90382 4.08431 2.80092C4.47862 2.59519 5.0502 2.32677 5.78326 2.06021ZM5 4.57902V20H7V7.5H9V9.5H11V7.5H13V20H19V4.57902C18.9969 4.57738 18.9937 4.57574 18.9906 4.57408C18.6661 4.40481 18.1752 4.17323 17.5333 3.93979C16.2495 3.47297 14.3655 3 12 3C9.63455 3 7.7505 3.47297 6.46674 3.93979C5.8248 4.17323 5.33388 4.40481 5.00944 4.57408C5.00628 4.57573 5.00313 4.57738 5 4.57902ZM9 11.5V13H11V11.5H9ZM11 15H9V16.5H11V15ZM11 18.5H9V20H11V18.5Z"
      }
    }]
  };
  var patio = vue.defineComponent({
    name: "PatioIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-patio", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$ah(_objectSpread$ah({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$af, finalProps.value);
    }
  });

  function ownKeys$ag(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$ag(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$ag(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$ag(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$ae = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M12 23C18.0751 23 23 18.0751 23 12C23 5.92487 18.0751 1 12 1C5.92487 1 1 5.92487 1 12C1 18.0751 5.92487 23 12 23ZM8 7H11V17H8V7ZM13 7H16V17H13V7Z"
      }
    }]
  };
  var pauseCircleFilled = vue.defineComponent({
    name: "PauseCircleFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-pause-circle-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$ag(_objectSpread$ag({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$ae, finalProps.value);
    }
  });

  function ownKeys$af(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$af(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$af(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$af(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$ad = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M12 1C18.0751 1 23 5.92487 23 12C23 18.0751 18.0751 23 12 23C5.92487 23 1 18.0751 1 12C1 5.92487 5.92487 1 12 1ZM8.5 17H10.5V7H8.5V17ZM13.5 17H15.5V7H13.5V17Z"
      }
    }]
  };
  var pauseCircleStrokeFilled = vue.defineComponent({
    name: "PauseCircleStrokeFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-pause-circle-stroke-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$af(_objectSpread$af({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$ad, finalProps.value);
    }
  });

  function ownKeys$ae(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$ae(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$ae(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$ae(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$ac = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M12 3C7.02944 3 3 7.02944 3 12C3 16.9706 7.02944 21 12 21C16.9706 21 21 16.9706 21 12C21 7.02944 16.9706 3 12 3ZM1 12C1 5.92487 5.92487 1 12 1C18.0751 1 23 5.92487 23 12C23 18.0751 18.0751 23 12 23C5.92487 23 1 18.0751 1 12ZM10.5 7V17H8.5V7H10.5ZM15.5 7V17H13.5V7H15.5Z"
      }
    }]
  };
  var pauseCircleStroke = vue.defineComponent({
    name: "PauseCircleStrokeIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-pause-circle-stroke", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$ae(_objectSpread$ae({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$ac, finalProps.value);
    }
  });

  function ownKeys$ad(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$ad(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$ad(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$ad(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$ab = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M12 3C7.02944 3 3 7.02944 3 12C3 16.9706 7.02944 21 12 21C16.9706 21 21 16.9706 21 12C21 7.02944 16.9706 3 12 3ZM1 12C1 5.92487 5.92487 1 12 1C18.0751 1 23 5.92487 23 12C23 18.0751 18.0751 23 12 23C5.92487 23 1 18.0751 1 12Z"
      }
    }, {
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M13 7H16V17H13V7zM8 7H11V17H8V7z"
      }
    }]
  };
  var pauseCircle = vue.defineComponent({
    name: "PauseCircleIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-pause-circle", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$ad(_objectSpread$ad({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$ab, finalProps.value);
    }
  });

  function ownKeys$ac(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$ac(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$ac(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$ac(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$aa = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M11 17L11 7H8V17H11zM16 17L16 7H13L13 17H16z"
      }
    }]
  };
  var pause = vue.defineComponent({
    name: "PauseIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-pause", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$ac(_objectSpread$ac({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$aa, finalProps.value);
    }
  });

  function ownKeys$ab(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$ab(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$ab(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$ab(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$a9 = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M22.8741 3.00781L23.5355 4.84438L20.9999 6.45228V7.99987C20.9999 11.1459 20.4592 13.8298 19.201 15.9541C17.9268 18.1054 15.9693 19.5937 13.3229 20.4198C12.4101 20.7048 10.9 20.982 9.89117 20.9984C6.31921 21.0564 3.29501 19.4502 1.74315 17.6535L0.985352 16.7762L6.40425 13.3398C6.3927 13.3346 6.38117 13.3293 6.36966 13.324C5.48554 12.9171 4.61207 12.3218 3.84186 11.6379C3.07165 10.9541 2.37713 10.1573 1.86837 9.32754C1.3678 8.51116 0.999926 7.58535 0.999926 6.66295V5.78176L22.8741 3.00781ZM13.2321 11.3782L10.4032 13.1722L11.8601 15.3377L10.2008 16.4541L8.71354 14.2436L4.12018 17.1565C5.43722 18.1825 7.4778 19.0373 9.85868 18.9987C10.6452 18.9859 11.9643 18.7487 12.727 18.5107C14.9556 17.815 16.4856 16.6141 17.4801 14.9349C18.4907 13.2288 18.9999 10.9409 18.9999 7.99987V7.72057L14.9211 10.3072L16.3716 12.5787L14.6859 13.6551L13.2321 11.3782Z"
      }
    }]
  };
  var peaFilled = vue.defineComponent({
    name: "PeaFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-pea-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$ab(_objectSpread$ab({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$a9, finalProps.value);
    }
  });

  function ownKeys$aa(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$aa(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$aa(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$aa(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$a8 = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M22.8741 3.00781L23.5355 4.84438L20.9999 6.45228V7.99987C20.9999 11.1459 20.4592 13.8298 19.201 15.9541C17.9268 18.1054 15.9693 19.5937 13.3229 20.4198C12.4101 20.7048 10.9 20.982 9.89117 20.9984C6.31921 21.0564 3.29501 19.4502 1.74315 17.6535L0.985352 16.7762L1.96438 16.1554L6.40425 13.3398C6.3927 13.3346 6.38117 13.3293 6.36966 13.324C5.48554 12.9171 4.61207 12.3218 3.84186 11.6379C3.07165 10.9541 2.37713 10.1573 1.86837 9.32754C1.3678 8.51116 0.999926 7.58535 0.999926 6.66295V5.78176L22.8741 3.00781ZM8.68086 11.8961L13.0015 9.15623L13.843 8.61886L13.8447 8.62149L18.679 5.55582L3.18767 7.52034C3.27972 7.75576 3.40716 8.01101 3.57338 8.28209C3.9629 8.91736 4.52131 9.56666 5.16972 10.1423C5.81813 10.718 6.52898 11.1957 7.20589 11.5072C7.79066 11.7764 8.29223 11.8954 8.68086 11.8961ZM13.2321 11.3782L10.4032 13.1722L11.8601 15.3377L10.2008 16.4541L8.71354 14.2436L4.12018 17.1565C5.43722 18.1825 7.4778 19.0373 9.85868 18.9987C10.6452 18.9859 11.9643 18.7487 12.7269 18.5107C14.9556 17.815 16.4856 16.6141 17.4801 14.9349C18.4907 13.2288 18.9999 10.9409 18.9999 7.99987V7.72057L14.9211 10.3072L16.3716 12.5787L14.6859 13.6551L13.2321 11.3782Z"
      }
    }]
  };
  var pea = vue.defineComponent({
    name: "PeaIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-pea", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$aa(_objectSpread$aa({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$a8, finalProps.value);
    }
  });

  function ownKeys$a9(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$a9(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$a9(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$a9(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$a7 = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M10 0.999512H9V2.99951H10C10.4616 2.99951 10.8472 3.33764 11.1573 4.14394C11.1636 4.1602 11.1697 4.17648 11.1758 4.19278C9.08302 3.85997 6.52982 4.25913 4.44717 6.14817C2.69192 7.74023 1.46806 10.7765 2.2316 14.0207C3.34908 18.7688 7.88655 21.4611 12.1044 23.1245C15.8483 20.5776 18.2754 16.6846 17.8869 12.0399C17.6588 9.31161 16.3351 6.74827 14.0415 5.2681C16.9314 6.85214 18.7279 9.8662 18.9999 13.119C19.2056 15.5793 18.6451 17.8122 17.5628 19.7818C19.0655 18.6923 20.647 17.1965 21.3602 15.3477C22.9941 11.1121 21.3332 7.01451 18.3703 5.32264C16.647 4.33861 15.0391 4.06143 13.8038 4.23493C13.8146 4.20492 13.8258 4.17493 13.8373 4.14503C14.1482 3.33955 14.535 2.99951 15 2.99951H16V0.999512H15C13.7858 0.999512 12.9974 1.66797 12.4982 2.40391C12.0001 1.66813 11.213 0.999512 10 0.999512Z"
      }
    }]
  };
  var peachFilled = vue.defineComponent({
    name: "PeachFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-peach-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$a9(_objectSpread$a9({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$a7, finalProps.value);
    }
  });

  function ownKeys$a8(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$a8(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$a8(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$a8(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$a6 = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M9.00008 0.999512H10.0001C11.196 0.999512 12.0496 1.63186 12.6158 2.36371C13.0799 1.64434 13.8288 0.999512 15.0001 0.999512H16.0001V2.99951H15.0001C14.6385 2.99951 14.3241 3.22477 14.0598 3.92771C14.0103 4.0592 13.9683 4.19487 13.9327 4.33026C14.2499 4.312 14.5861 4.3201 14.9311 4.35461C16.0202 4.46357 17.2867 4.84518 18.4218 5.61739C20.4299 6.98341 23.4262 10.691 21.2376 16.1498C19.9272 19.4185 16.8938 21.2134 13.4228 22.1546C13.1456 22.3888 12.851 22.6164 12.5417 22.8268L12.1044 23.1243L11.6124 22.9303C5.77501 20.6283 3.00768 17.318 2.2316 14.0206C1.46806 10.7763 2.69192 7.74005 4.44717 6.14798C6.60832 4.18775 9.27616 3.83181 11.4104 4.23331C11.3659 4.13268 11.3165 4.03263 11.262 3.93496C10.9085 3.30108 10.4851 2.99951 10.0001 2.99951H9.00008V0.999512ZM12.318 6.59099C10.6328 5.83422 7.87407 5.73983 5.79084 7.62938C4.56548 8.74082 3.58427 11.0379 4.17841 13.5624C4.74161 15.9553 6.77839 18.7445 11.84 20.8641C11.991 20.7464 12.1394 20.623 12.2845 20.4956C12.956 19.9059 13.5321 19.2523 13.9438 18.7394C14.1484 18.4846 14.3092 18.2685 14.4178 18.1178C14.472 18.0425 14.5129 17.9839 14.5396 17.9452L14.5686 17.9026L14.5748 17.8934L14.5754 17.8925L14.5889 17.8721L14.6036 17.8521C15.4006 16.7678 16.0877 14.5237 15.8939 12.2064C15.7047 9.94427 14.6972 7.78433 12.318 6.59099ZM16.3867 18.7896C17.7814 17.939 18.8112 16.8276 19.3813 15.4056C21.1129 11.0865 18.7951 8.29016 17.2969 7.27105C16.7296 6.8851 16.1084 6.62975 15.5151 6.48184C17.0326 8.06016 17.7235 10.0852 17.8869 12.0397C18.102 14.6114 17.4229 17.2147 16.3867 18.7896Z"
      }
    }]
  };
  var peach = vue.defineComponent({
    name: "PeachIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-peach", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$a8(_objectSpread$a8({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$a6, finalProps.value);
    }
  });

  function ownKeys$a7(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$a7(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$a7(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$a7(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$a5 = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M21.3231 2.53408L20.8758 3.4285C20.5175 4.14524 20.1201 4.80387 19.6513 5.45131C20.5289 6.55209 21.009 7.80482 20.9642 9.14574C20.9107 10.7502 20.1117 12.3024 18.7071 13.707C18.5949 13.8031 18.4795 13.8952 18.3718 13.9965C18.2191 14.1401 18.0117 14.3569 17.8043 14.6397C17.388 15.2074 16.9978 16.0036 17 16.9977C17.0038 18.6839 16.7101 20.1133 15.5025 21.3209C13.1038 23.7196 9.19547 23.6886 6.82782 21.3209C6.13578 20.6289 5.43051 19.9503 5.12332 18.8766C4.04961 18.5694 3.37101 17.8641 2.67899 17.1721C0.311338 14.8044 0.280321 10.8961 2.67899 8.49742C3.88658 7.28983 5.31609 6.99612 7.00227 6.9999C7.99629 7.00213 8.79252 6.61196 9.36026 6.19562C9.64304 5.98826 9.85983 5.78079 10.0034 5.62812C10.1047 5.52043 10.1968 5.40503 10.2929 5.29279C11.6784 3.90735 13.1823 3.06416 14.751 2.96422C15.9922 2.88515 17.1531 3.27853 18.1961 4.0454C18.5344 3.55524 18.8233 3.06141 19.087 2.53408L19.5342 1.63965L21.3231 2.53408Z"
      }
    }]
  };
  var pearFilled = vue.defineComponent({
    name: "PearFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-pear-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$a7(_objectSpread$a7({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$a5, finalProps.value);
    }
  });

  function ownKeys$a6(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$a6(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$a6(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$a6(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$a4 = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M21.3231 2.53408L20.8758 3.4285C20.5175 4.14524 20.1201 4.80387 19.6513 5.45131C20.5289 6.55209 21.009 7.80482 20.9642 9.14574C20.9107 10.7502 20.1117 12.3024 18.7071 13.707L18.6521 13.7621L18.5932 13.805L18.5883 13.8087C18.581 13.8143 18.5672 13.8251 18.5478 13.8411C18.5088 13.873 18.4477 13.9251 18.3718 13.9965C18.2191 14.1401 18.0117 14.3569 17.8043 14.6397C17.388 15.2074 16.9978 16.0036 17 16.9977C17.0038 18.6839 16.7101 20.1133 15.5025 21.3209C13.1038 23.7196 9.19547 23.6886 6.82782 21.3209C6.80528 21.2984 6.78273 21.2758 6.76018 21.2533C6.09028 20.5843 5.4205 19.9153 5.12332 18.8766C4.08458 18.5794 3.41564 17.9096 2.74658 17.2397C2.72405 17.2172 2.70153 17.1946 2.67899 17.1721C0.311338 14.8044 0.280321 10.8961 2.67899 8.49742C3.88658 7.28983 5.31609 6.99612 7.00227 6.9999C7.99629 7.00213 8.79252 6.61196 9.36026 6.19562C9.64304 5.98826 9.85983 5.78079 10.0034 5.62812C10.0748 5.55221 10.1269 5.49112 10.1588 5.45214C10.1748 5.4327 10.1856 5.41889 10.1912 5.41164L10.1949 5.40676L10.2379 5.34784L10.2929 5.29279C11.6784 3.90735 13.1823 3.06416 14.751 2.96422C15.9922 2.88515 17.1531 3.27853 18.1961 4.0454C18.5344 3.55524 18.8233 3.06141 19.087 2.53408L19.5342 1.63965L21.3231 2.53408ZM16.9433 5.60682C16.2378 5.10691 15.5464 4.91761 14.8782 4.96018C13.9732 5.01783 12.9158 5.51275 11.7519 6.66252C11.7387 6.67927 11.7232 6.69851 11.7056 6.72C11.6477 6.79069 11.5657 6.88625 11.4603 6.99828C11.2504 7.2215 10.943 7.5151 10.543 7.80845C9.74511 8.39353 8.54134 9.00336 6.99778 8.9999C5.55866 8.99667 4.76223 9.2426 4.09321 9.91163C2.48184 11.523 2.50033 14.165 4.09321 15.7579C4.9832 16.6479 5.33527 16.9594 6.06798 17.0247C6.55006 17.0677 6.93215 17.4498 6.97516 17.9319C7.04053 18.6646 7.35204 19.0167 8.24203 19.9067C9.83491 21.4996 12.4769 21.5181 14.0883 19.9067C14.7573 19.2377 15.0033 18.4412 15 17.0021C14.9966 15.4586 15.6064 14.2548 16.1915 13.457C16.4848 13.0569 16.7784 12.7495 17.0016 12.5396C17.1137 12.4342 17.2092 12.3522 17.2799 12.2943C17.3014 12.2767 17.3205 12.2613 17.3373 12.2481C18.4675 11.1023 18.9339 10.0206 18.9653 9.07903C18.9876 8.41119 18.794 7.72503 18.3402 7.04295C18.1015 7.30255 17.8478 7.56635 17.5769 7.83721L16.8698 8.54431L15.4556 7.1301L16.1627 6.42299C16.4446 6.14106 16.7038 5.87034 16.9433 5.60682ZM18.5941 13.8043C18.5941 13.8043 18.5941 13.8043 18.5941 13.8043V13.8043Z"
      }
    }]
  };
  var pear = vue.defineComponent({
    name: "PearIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-pear", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$a6(_objectSpread$a6({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$a4, finalProps.value);
    }
  });

  function ownKeys$a5(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$a5(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$a5(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$a5(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$a3 = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M12.9984 0.999023L13.0002 3.17032C14.1658 3.58196 15.0009 4.69339 15.0009 5.99987C15.0009 7.30608 14.1661 8.41732 13.0009 8.82916V13.1259C14.7261 13.5699 16.0009 15.136 16.0009 16.9999C16.0009 17.9861 15.6427 18.8913 15.0505 19.5884C14.9896 19.6601 14.9262 19.7296 14.8605 19.7968L16.7535 22.9999H14.4286L13.1489 20.8324C12.7848 20.9414 12.3993 20.9999 12.0009 20.9999C11.602 20.9999 11.2159 20.9412 10.8513 20.8319L9.57374 22.9999H7.25L9.14014 19.7956C9.09444 19.7488 9.04989 19.701 9.00652 19.652C8.34657 18.9073 8.0009 18.0088 8.0009 16.9999C8.0009 15.136 9.27567 13.5699 11.0009 13.1259V8.82916C9.83571 8.41732 9.0009 7.30608 9.0009 5.99987C9.0009 4.69391 9.83537 3.58285 11.0002 3.17082L10.9984 1.00071L12.9984 0.999023Z"
      }
    }]
  };
  var pearlOfTheOrientFilled = vue.defineComponent({
    name: "PearlOfTheOrientFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-pearl-of-the-orient-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$a5(_objectSpread$a5({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$a3, finalProps.value);
    }
  });

  function ownKeys$a4(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$a4(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$a4(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$a4(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$a2 = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M12.9974 0.999023L12.9992 3.17032C14.1648 3.58196 14.9999 4.69339 14.9999 5.99987C14.9999 7.30608 14.1651 8.41732 12.9999 8.82916V13.1259C14.7252 13.5699 15.9999 15.136 15.9999 16.9999C15.9999 17.9861 15.6417 18.8913 15.0495 19.5884C14.9886 19.6601 14.9252 19.7296 14.8595 19.7968L16.7525 22.9999H14.4276L13.1479 20.8324C12.7838 20.9414 12.3983 20.9999 11.9999 20.9999C11.601 20.9999 11.2149 20.9412 10.8503 20.8319L9.57276 22.9999H7.24902L9.13917 19.7956C9.09347 19.7488 9.04891 19.701 9.00554 19.652C8.34559 18.9073 7.99992 18.0088 7.99992 16.9999C7.99992 15.136 9.2747 13.5699 10.9999 13.1259V8.82916C9.83473 8.41732 8.99992 7.30608 8.99992 5.99987C8.99992 4.69391 9.8344 3.58285 10.9992 3.17082L10.9974 1.00071L12.9974 0.999023ZM11.9999 4.99987C11.4476 4.99987 10.9999 5.44758 10.9999 5.99987C10.9999 6.55215 11.4476 6.99987 11.9999 6.99987C12.5522 6.99987 12.9999 6.55215 12.9999 5.99987C12.9999 5.44758 12.5522 4.99987 11.9999 4.99987ZM11.9999 14.9999C10.8954 14.9999 9.99992 15.8953 9.99992 16.9999C9.99992 17.517 10.1646 17.9444 10.5024 18.3255C10.6347 18.4749 10.7888 18.6042 10.9595 18.7084C11.2619 18.8932 11.6169 18.9999 11.9999 18.9999C12.3824 18.9999 12.7369 18.8935 13.0391 18.7092C13.2223 18.5975 13.3865 18.4569 13.5252 18.2936C13.8219 17.9444 13.9999 17.4942 13.9999 16.9999C13.9999 15.8953 13.1045 14.9999 11.9999 14.9999Z"
      }
    }]
  };
  var pearlOfTheOrient = vue.defineComponent({
    name: "PearlOfTheOrientIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-pearl-of-the-orient", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$a4(_objectSpread$a4({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$a2, finalProps.value);
    }
  });

  function ownKeys$a3(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$a3(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$a3(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$a3(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$a1 = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M17.1553 1.37402L22.6269 6.84564L21.2127 8.25985L15.7411 2.78824L17.1553 1.37402ZM14.3534 4.20673L19.7945 9.64786L7.39771 22.001L2.00049 22.001L2.00049 16.6038L14.3534 4.20673ZM22.2083 12.8662L15.9647 19.1098L14.5505 17.6956L20.7941 11.452L22.2083 12.8662Z"
      }
    }]
  };
  var penBallFilled = vue.defineComponent({
    name: "PenBallFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-pen-ball-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$a3(_objectSpread$a3({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$a1, finalProps.value);
    }
  });

  function ownKeys$a2(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$a2(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$a2(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$a2(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$a0 = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M17.1548 1.37402L22.6264 6.84564L21.2122 8.25985L15.7406 2.78824L17.1548 1.37402ZM14.3529 4.20673L19.794 9.64787L7.39722 22.001L2 22.001L2.00001 16.6038L14.3529 4.20673ZM14.3554 7.03769L4 17.4301L4 20.001L6.57086 20.001L16.9631 9.64537L14.3554 7.03769ZM22.2078 12.8662L15.9642 19.1098L14.55 17.6956L20.7936 11.452L22.2078 12.8662Z"
      }
    }]
  };
  var penBall = vue.defineComponent({
    name: "PenBallIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-pen-ball", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$a2(_objectSpread$a2({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$a0, finalProps.value);
    }
  });

  function ownKeys$a1(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$a1(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$a1(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$a1(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$9$ = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M5.62136 21.9988H1.99878V18.3762C1.99878 17.5806 2.31485 16.8175 2.87746 16.2549L5.0354 14.097 9.90063 18.9622 7.74269 21.1201C7.18008 21.6828 6.41701 21.9988 5.62136 21.9988zM11.3148 17.548L22.5308 6.33202 17.6656 1.4668 6.44962 12.6828 11.3148 17.548z"
      }
    }]
  };
  var penBrushFilled = vue.defineComponent({
    name: "PenBrushFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-pen-brush-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$a1(_objectSpread$a1({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$9$, finalProps.value);
    }
  });

  function ownKeys$a0(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$a0(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$a0(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$a0(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$9_ = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M1.99902 22.0003H5.62161C6.41726 22.0003 7.18032 21.6842 7.74293 21.1216L22.5311 6.33349L17.6658 1.46826L2.8777 16.2564C2.31509 16.819 1.99902 17.5821 1.99902 18.3777L1.99902 22.0003ZM3.99902 20.0003L3.99902 18.3777C3.99902 18.1125 4.10438 17.8581 4.29192 17.6706L6.45004 15.5125L8.48684 17.5493L6.32872 19.7074C6.14118 19.8949 5.88683 20.0003 5.62161 20.0003H3.99902ZM9.90105 16.1351L7.86425 14.0983L17.6658 4.29669L19.7026 6.33349L9.90105 16.1351Z"
      }
    }]
  };
  var penBrush = vue.defineComponent({
    name: "PenBrushIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-pen-brush", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$a0(_objectSpread$a0({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$9_, finalProps.value);
    }
  });

  function ownKeys$9$(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$9$(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$9$(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$9$(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$9Z = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M22.5745 9.14674L14.7691 1.34131L12.9374 4.68447C12.1248 6.16756 10.8028 7.30635 9.21568 7.89032L4.23994 9.72116L3.04688 19.5366L11.0021 11.5814L12.4163 12.9957L4.46171 20.9502L14.2774 19.7565L16.1154 14.7209C16.6865 13.156 17.7971 11.8461 19.2475 11.0266L22.5745 9.14674Z"
      }
    }]
  };
  var penFilled = vue.defineComponent({
    name: "PenFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-pen-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$9$(_objectSpread$9$({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$9Z, finalProps.value);
    }
  });

  function ownKeys$9_(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$9_(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$9_(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$9_(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$9Y = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M23.5548 6.87928L17.3278 0.652344L3.97906 14.0011L3.41366 16.8281L7.37901 20.7935L10.206 20.2281L23.5548 6.87928ZM1.38574 19.6129L4.59423 22.8214L6.00844 21.4072L2.79996 18.1987L1.38574 19.6129Z"
      }
    }]
  };
  var penMarkFilled = vue.defineComponent({
    name: "PenMarkFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-pen-mark-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$9_(_objectSpread$9_({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$9Y, finalProps.value);
    }
  });

  function ownKeys$9Z(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$9Z(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$9Z(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$9Z(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$9X = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M23.5548 6.87928L17.3278 0.652344L3.97906 14.0011L3.41366 16.8281L7.37901 20.7935L10.206 20.2281L23.5548 6.87928ZM20.7263 6.87928L9.21997 18.3857L8.03636 18.6224L5.58474 16.1708L5.82146 14.9871L17.3278 3.48077L20.7263 6.87928ZM1.38574 19.6129L4.59423 22.8214L6.00844 21.4072L2.79996 18.1987L1.38574 19.6129Z"
      }
    }]
  };
  var penMark = vue.defineComponent({
    name: "PenMarkIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-pen-mark", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$9Z(_objectSpread$9Z({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$9X, finalProps.value);
    }
  });

  function ownKeys$9Y(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$9Y(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$9Y(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$9Y(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$9W = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M23.3014 8.11756L12.1624 19.2122L6.74553 18.5154L3.07315 22.1878L1.65894 20.7736L5.32764 17.1049L4.58572 11.6948L15.6715 0.563965L17.4882 6.35116L23.3014 8.11756Z"
      }
    }]
  };
  var penQuillFilled = vue.defineComponent({
    name: "PenQuillFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-pen-quill-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$9Y(_objectSpread$9Y({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$9W, finalProps.value);
    }
  });

  function ownKeys$9X(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$9X(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$9X(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$9X(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$9V = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M23.3017 8.11756L12.1627 19.2122L6.74577 18.5154L3.07339 22.1878L1.65918 20.7736L5.32789 17.1049L4.58597 11.6948L15.6717 0.563965L17.4885 6.35116L23.3017 8.11756ZM15.557 6.87582L14.7544 4.31924L6.70199 12.4044L7.10315 15.3296L15.557 6.87582ZM8.53242 16.7288L11.4457 17.1035L19.522 9.05936L16.9756 8.2856L8.53242 16.7288Z"
      }
    }]
  };
  var penQuill = vue.defineComponent({
    name: "PenQuillIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-pen-quill", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$9X(_objectSpread$9X({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$9V, finalProps.value);
    }
  });

  function ownKeys$9W(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$9W(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$9W(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$9W(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$9U = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M16.362 2.59529L14.6907 5.64567C13.6459 7.5525 11.9462 9.01665 9.90565 9.76748L6.07717 11.1762L5.33977 17.2428L11.0011 11.5815L12.4153 12.9957L6.75419 18.6568L12.8183 17.9194L14.2359 14.0354C14.9703 12.0233 16.3982 10.3391 18.263 9.28548L21.315 7.56102L22.2989 9.30229L19.2469 11.0267C17.7965 11.8463 16.6859 13.1562 16.1147 14.7211L14.2767 19.7567L2.85059 21.1463L4.23928 9.72135L9.21501 7.89051C10.8021 7.30653 12.1241 6.16775 12.9367 4.68466L14.608 1.63428L16.362 2.59529Z"
      }
    }]
  };
  var pen = vue.defineComponent({
    name: "PenIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-pen", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$9W(_objectSpread$9W({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$9U, finalProps.value);
    }
  });

  function ownKeys$9V(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$9V(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$9V(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$9V(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$9T = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M12 23C18.0751 23 23 18.0751 23 12C23 5.92487 18.0751 1 12 1C5.92487 1 1 5.92487 1 12C1 18.0751 5.92487 23 12 23ZM6 13.0039V11H8.00391V13.0039L6 13.0039ZM11 13.0039V11H13.0039V13.0039H11ZM18.0039 13.0039L16 13.0039V11H18.0039L18.0039 13.0039Z"
      }
    }]
  };
  var pendingFilled = vue.defineComponent({
    name: "PendingFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-pending-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$9V(_objectSpread$9V({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$9T, finalProps.value);
    }
  });

  function ownKeys$9U(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$9U(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$9U(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$9U(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$9S = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M12 21C16.9706 21 21 16.9706 21 12C21 7.02944 16.9706 3 12 3C7.02944 3 3 7.02944 3 12C3 16.9706 7.02944 21 12 21ZM23 12C23 18.0751 18.0751 23 12 23C5.92487 23 0.999999 18.0751 1 12C1 5.92487 5.92487 0.999999 12 1C18.0751 1 23 5.92487 23 12ZM13.0039 13.0039H11V11H13.0039V13.0039ZM8.00391 13.0039L6 13.0039V11L8.00391 11V13.0039ZM18.0039 13.0039L16 13.0039V11L18.0039 11L18.0039 13.0039Z"
      }
    }]
  };
  var pending = vue.defineComponent({
    name: "PendingIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-pending", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$9U(_objectSpread$9U({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$9S, finalProps.value);
    }
  });

  function ownKeys$9T(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$9T(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$9T(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$9T(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$9R = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M6 5C5.17157 5 4.5 5.67157 4.5 6.5C4.5 7.32843 5.17157 8 6 8C6.82843 8 7.5 7.32843 7.5 6.5C7.5 5.67157 6.82843 5 6 5ZM2.5 6.5C2.5 4.567 4.067 3 6 3C7.933 3 9.5 4.567 9.5 6.5C9.5 8.433 7.933 10 6 10C4.067 10 2.5 8.433 2.5 6.5ZM20.4142 5L5 20.4142L3.58579 19L19 3.58579L20.4142 5ZM18 16C17.1716 16 16.5 16.6716 16.5 17.5C16.5 18.3284 17.1716 19 18 19C18.8284 19 19.5 18.3284 19.5 17.5C19.5 16.6716 18.8284 16 18 16ZM14.5 17.5C14.5 15.567 16.067 14 18 14C19.933 14 21.5 15.567 21.5 17.5C21.5 19.433 19.933 21 18 21C16.067 21 14.5 19.433 14.5 17.5Z"
      }
    }]
  };
  var percent = vue.defineComponent({
    name: "PercentIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-percent", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$9T(_objectSpread$9T({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$9R, finalProps.value);
    }
  });

  function ownKeys$9S(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$9S(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$9S(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$9S(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$9Q = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M14.91 1H3V23H21V7.09L14.91 1ZM15 10.5C15 12.1569 13.6569 13.5 12 13.5C10.3431 13.5 9 12.1569 9 10.5C9 8.84315 10.3431 7.5 12 7.5C13.6569 7.5 15 8.84315 15 10.5ZM6 19C6 16.7909 7.79086 15 10 15H14C16.2091 15 18 16.7909 18 19V20H6V19Z"
      }
    }]
  };
  var personalInformationFilled = vue.defineComponent({
    name: "PersonalInformationFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-personal-information-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$9S(_objectSpread$9S({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$9Q, finalProps.value);
    }
  });

  function ownKeys$9R(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$9R(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$9R(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$9R(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$9P = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M3 1H15.4142L21 6.58579V23H3V1ZM5 3V21H19V7.41421L14.5858 3H5ZM12 9C11.1716 9 10.5 9.67157 10.5 10.5C10.5 11.3284 11.1716 12 12 12C12.8284 12 13.5 11.3284 13.5 10.5C13.5 9.67157 12.8284 9 12 9ZM8.5 10.5C8.5 8.567 10.067 7 12 7C13.933 7 15.5 8.567 15.5 10.5C15.5 12.433 13.933 14 12 14C10.067 14 8.5 12.433 8.5 10.5ZM6 19C6 16.7909 7.79086 15 10 15H14C16.2091 15 18 16.7909 18 19V20H16V19C16 17.8954 15.1046 17 14 17H10C8.89543 17 8 17.8954 8 19V20H6V19Z"
      }
    }]
  };
  var personalInformation = vue.defineComponent({
    name: "PersonalInformationIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-personal-information", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$9R(_objectSpread$9R({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$9P, finalProps.value);
    }
  });

  function ownKeys$9Q(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$9Q(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$9Q(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$9Q(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$9O = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M20 1H4V23H11.5V17H6V3H18V11.0205C18.7087 11.079 19.3826 11.2607 20 11.544V1Z"
      }
    }, {
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M20.7495 15.75V16.5H21.998V23H12.998V16.5H14.2495V15.75C14.2495 13.9551 15.7046 12.5 17.4995 12.5C19.2944 12.5 20.7495 13.9551 20.7495 15.75ZM18.7495 15.75C18.7495 15.0596 18.1899 14.5 17.4995 14.5C16.8092 14.5 16.2495 15.0596 16.2495 15.75V16.5H18.7495V15.75Z"
      }
    }]
  };
  var phoneLockedFilled = vue.defineComponent({
    name: "PhoneLockedFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-phone-locked-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$9Q(_objectSpread$9Q({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$9O, finalProps.value);
    }
  });

  function ownKeys$9P(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$9P(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$9P(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$9P(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$9N = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M4 1H20V11H18V3H6V21H11V23H4V1ZM17.5 14.5C18.1904 14.5 18.75 15.0596 18.75 15.75V16.5H16.25V15.75C16.25 15.0596 16.8096 14.5 17.5 14.5ZM20.75 16.5V15.75C20.75 13.9551 19.2949 12.5 17.5 12.5C15.7051 12.5 14.25 13.9551 14.25 15.75V16.5H12.9985V23H21.9985V16.5H20.75ZM19.9985 18.5V21H14.9985V18.5H19.9985Z"
      }
    }]
  };
  var phoneLocked = vue.defineComponent({
    name: "PhoneLockedIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-phone-locked", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$9P(_objectSpread$9P({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$9N, finalProps.value);
    }
  });

  function ownKeys$9O(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$9O(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$9O(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$9O(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$9M = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M20 1H4V23H14.7964C12.5643 22.0463 11 19.8308 11 17.25C11 17.1663 11.0016 17.0829 11.0049 17H6V3H18V11.0445C18.7101 11.1295 19.3836 11.3334 20 11.6359V1Z"
      }
    }, {
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M22 17.25C22 18.1992 21.7216 19.0834 21.2419 19.8254L22.9142 21.5017L21.4983 22.9142L19.8282 21.2401C19.0857 21.7209 18.2004 22 17.25 22C14.6266 22 12.5 19.8734 12.5 17.25C12.5 14.6266 14.6266 12.5 17.25 12.5C19.8734 12.5 22 14.6266 22 17.25ZM20 17.25C20 15.7312 18.7688 14.5 17.25 14.5C15.7312 14.5 14.5 15.7312 14.5 17.25C14.5 18.7688 15.7312 20 17.25 20C18.0059 20 18.6906 19.695 19.1876 19.2014L19.1967 19.1924C19.6931 18.6949 20 18.0083 20 17.25Z"
      }
    }]
  };
  var phoneSearchFilled = vue.defineComponent({
    name: "PhoneSearchFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-phone-search-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$9O(_objectSpread$9O({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$9M, finalProps.value);
    }
  });

  function ownKeys$9N(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$9N(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$9N(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$9N(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$9L = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M4 1H20V11H18V3H6V21H12.5V23H4V1ZM17.25 14.5C18.7688 14.5 20 15.7312 20 17.25C20 18.0083 19.6931 18.6949 19.1967 19.1924C19.1937 19.1954 19.1907 19.1984 19.1876 19.2014C18.6905 19.695 18.0059 20 17.25 20C15.7312 20 14.5 18.7688 14.5 17.25C14.5 15.7312 15.7312 14.5 17.25 14.5ZM21.2419 19.8254C21.7216 19.0834 22 18.1992 22 17.25C22 14.6266 19.8734 12.5 17.25 12.5C14.6266 12.5 12.5 14.6266 12.5 17.25C12.5 19.8734 14.6266 22 17.25 22C18.2004 22 19.0857 21.7209 19.8282 21.2401L21.4983 22.9142L22.9142 21.5017L21.2419 19.8254Z"
      }
    }]
  };
  var phoneSearch = vue.defineComponent({
    name: "PhoneSearchIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-phone-search", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$9N(_objectSpread$9N({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$9L, finalProps.value);
    }
  });

  function ownKeys$9M(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$9M(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$9M(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$9M(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$9K = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M3.16097 3L21.419 3V5L15.8094 5C15.6074 7.20472 15.4367 10.1368 15.3947 12.7413C15.3707 14.2305 15.3892 15.5919 15.4648 16.6404C15.5028 17.1665 15.5536 17.5914 15.6145 17.9046C15.67 18.1893 15.7174 18.2882 15.7143 18.2898C15.7142 18.2899 15.7145 18.2899 15.7143 18.2898C16.3548 19.0997 18.259 19.6002 20.2978 17.5913L21.0101 16.8894L22.4139 18.314L21.7015 19.0159C19.1116 21.568 15.7128 21.5909 14.1072 19.4814C13.8445 19.1364 13.724 18.6596 13.6514 18.2869C13.5688 17.8626 13.5107 17.3488 13.47 16.7842C13.3883 15.6514 13.3706 14.2237 13.395 12.7091C13.4365 10.1278 13.6018 7.23447 13.8013 5L10.3351 5C10.1721 7.46269 9.71983 10.6919 8.81579 13.5424C8.30264 15.1605 7.6277 16.7092 6.73932 17.9328C5.8502 19.1574 4.68726 20.1345 3.19303 20.429L2.2119 20.6224L1.8252 18.6601L2.80632 18.4668C3.63467 18.3035 4.40722 17.7407 5.12092 16.7577C5.83536 15.7737 6.43059 14.4475 6.90937 12.9378C7.73675 10.329 8.16793 7.32969 8.33051 5L3.16097 5L3.16097 3ZM15.7143 18.2898C15.7091 18.2833 15.7036 18.2766 15.6986 18.2701C15.7074 18.2816 15.7127 18.2887 15.7143 18.2898Z"
      }
    }]
  };
  var pi = vue.defineComponent({
    name: "PiIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-pi", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$9M(_objectSpread$9M({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$9K, finalProps.value);
    }
  });

  function ownKeys$9L(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$9L(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$9L(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$9L(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$9J = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M1 3L23 3V21H1L1 3ZM21 11H19.0005L19 16H17V11H15V16H13V11H11V16H9V11H7V16H5V11H3L3 19H21V11Z"
      }
    }]
  };
  var pianoFilled = vue.defineComponent({
    name: "PianoFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-piano-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$9L(_objectSpread$9L({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$9J, finalProps.value);
    }
  });

  function ownKeys$9K(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$9K(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$9K(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$9K(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$9I = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M1 3L23 3V21H1L1 3ZM3 5L3 9H21V5L3 5ZM21 11H19.0005L19 16H17V11H15V16H13V11H11V16H9V11H7V16H5V11H3L3 19H21V11Z"
      }
    }]
  };
  var piano = vue.defineComponent({
    name: "PianoIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-piano", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$9K(_objectSpread$9K({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$9I, finalProps.value);
    }
  });

  function ownKeys$9J(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$9J(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$9J(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$9J(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$9H = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M18.0755 0.980957L23.0249 5.93038L16.6602 13.7035L18.7814 15.8248L13.476 21.1302L8.87986 16.534L2.16226 23.2516L0.748047 21.8374L7.46565 15.1198L2.86942 10.5236L8.17482 5.2182L10.2962 7.33958L18.0755 0.980957Z"
      }
    }]
  };
  var pinFilled = vue.defineComponent({
    name: "PinFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-pin-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$9J(_objectSpread$9J({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$9H, finalProps.value);
    }
  });

  function ownKeys$9I(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$9I(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$9I(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$9I(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$9G = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M17.7874 0.693359L23.3095 6.21545L16.9447 13.9886L19.1329 16.1768L13.474 21.8358L8.52427 16.8861L2.16031 23.25L0.746094 21.8358L7.11005 15.4719L2.16024 10.5221L7.8192 4.86311L10.0081 7.05199L17.7874 0.693359ZM13.474 19.0073L16.3045 16.1768L14.2502 14.1225L20.6149 6.34933L17.6524 3.3868L9.87309 9.74543L7.8192 7.69154L4.98867 10.5221L13.474 19.0073Z"
      }
    }]
  };
  var pin = vue.defineComponent({
    name: "PinIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-pin", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$9I(_objectSpread$9I({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$9G, finalProps.value);
    }
  });

  function ownKeys$9H(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$9H(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$9H(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$9H(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$9F = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M12 1C18.0751 1 23 5.92487 23 12C23 18.0751 18.0751 23 12 23C5.92487 23 1 18.0751 1 12C1 5.92487 5.92487 1 12 1ZM8.75 16.5L16.75 11.9998L8.75 7.5V16.5Z"
      }
    }]
  };
  var playCircleFilled = vue.defineComponent({
    name: "PlayCircleFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-play-circle-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$9H(_objectSpread$9H({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$9F, finalProps.value);
    }
  });

  function ownKeys$9G(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$9G(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$9G(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$9G(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$9E = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M12 1C18.0751 1 23 5.92489 23 12C23 12.9902 22.8692 13.9498 22.6239 14.8626C21.6561 14.0142 20.3881 13.5 19 13.5C15.9624 13.5 13.5 15.9624 13.5 19C13.5 20.3881 14.0142 21.6561 14.8626 22.6239C13.9499 22.8692 12.9902 23.0001 12 23.0001C5.92486 23.0001 1 18.0752 1 12C1 5.92489 5.92486 1 12 1ZM16.8028 11.9999L9.5 7.13135V16.8684L16.8028 11.9999Z"
      }
    }, {
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M20 18V15H18V18H15V20H18V23H20V20H23V18H20Z"
      }
    }]
  };
  var playCircleStrokeAddFilled = vue.defineComponent({
    name: "PlayCircleStrokeAddFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-play-circle-stroke-add-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$9G(_objectSpread$9G({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$9E, finalProps.value);
    }
  });

  function ownKeys$9F(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$9F(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$9F(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$9F(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$9D = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M12 3C7.02944 3 3 7.02945 3 12C3 16.9706 7.02944 21.0001 12 21.0001H13V23.0001H12C5.92486 23.0001 1 18.0752 1 12C1 5.92489 5.92486 1 12 1C18.0751 1 23 5.92489 23 12V13H21V12C21 7.02945 16.9706 3 12 3ZM9.5 7.13148L16.8028 12L9.5 16.8685V7.13148ZM11.5 10.8685V13.1315L13.1972 12L11.5 10.8685ZM20 15V18H23V20H20V23H18V20H15V18H18V15H20Z"
      }
    }]
  };
  var playCircleStrokeAdd = vue.defineComponent({
    name: "PlayCircleStrokeAddIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-play-circle-stroke-add", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$9F(_objectSpread$9F({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$9D, finalProps.value);
    }
  });

  function ownKeys$9E(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$9E(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$9E(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$9E(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$9C = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M12 1C18.0751 1 23 5.92487 23 12C23 18.0751 18.0751 23 12 23C5.92487 23 1 18.0751 1 12C1 5.92487 5.92487 1 12 1ZM16.75 11.9998L8.75 7.5V16.5L16.75 11.9998Z",
        "fillOpacity": 0.9
      }
    }]
  };
  var playCircleStrokeFilled = vue.defineComponent({
    name: "PlayCircleStrokeFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-play-circle-stroke-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$9E(_objectSpread$9E({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$9C, finalProps.value);
    }
  });

  function ownKeys$9D(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$9D(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$9D(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$9D(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$9B = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M12 3C7.02944 3 3 7.02944 3 12C3 16.9706 7.02944 21 12 21C16.9706 21 21 16.9706 21 12C21 7.02944 16.9706 3 12 3ZM1 12C1 5.92487 5.92487 1 12 1C18.0751 1 23 5.92487 23 12C23 18.0751 18.0751 23 12 23C5.92487 23 1 18.0751 1 12ZM8.5 6.37083L18.25 12L8.5 17.6292L8.5 6.37083ZM10.5 9.83494L10.5 14.1651L14.25 12L10.5 9.83494Z"
      }
    }]
  };
  var playCircleStroke = vue.defineComponent({
    name: "PlayCircleStrokeIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-play-circle-stroke", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$9D(_objectSpread$9D({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$9B, finalProps.value);
    }
  });

  function ownKeys$9C(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$9C(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$9C(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$9C(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$9A = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M12 3C7.02944 3 3 7.02944 3 12C3 16.9706 7.02944 21 12 21C16.9706 21 21 16.9706 21 12C21 7.02944 16.9706 3 12 3ZM1 12C1 5.92487 5.92487 1 12 1C18.0751 1 23 5.92487 23 12C23 18.0751 18.0751 23 12 23C5.92487 23 1 18.0751 1 12Z"
      }
    }, {
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M18.25 12L8.5 17.6292L8.5 6.37085L18.25 12Z"
      }
    }]
  };
  var playCircle = vue.defineComponent({
    name: "PlayCircleIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-play-circle", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$9C(_objectSpread$9C({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$9A, finalProps.value);
    }
  });

  function ownKeys$9B(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$9B(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$9B(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$9B(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$9z = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M22 2H2V4H3V18H9.58579L5.58579 22L7 23.4142L12 18.4142L17 23.4142L18.4142 22L14.4142 18H21V4H22V2ZM14.6667 10L10 13.5V6.5L14.6667 10Z"
      }
    }]
  };
  var playDemoFilled = vue.defineComponent({
    name: "PlayDemoFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-play-demo-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$9B(_objectSpread$9B({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$9z, finalProps.value);
    }
  });

  function ownKeys$9A(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$9A(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$9A(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$9A(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$9y = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M2 2H22V4H21V18H14.4142L18.4142 22L17 23.4142L12 18.4142L7 23.4142L5.58579 22L9.58579 18H3V4H2V2ZM5 4V16H19V4H5ZM10 6.5L14.6667 10L10 13.5V6.5Z"
      }
    }]
  };
  var playDemo = vue.defineComponent({
    name: "PlayDemoIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-play-demo", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$9A(_objectSpread$9A({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$9y, finalProps.value);
    }
  });

  function ownKeys$9z(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$9z(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$9z(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$9z(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$9x = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M23 3H1V21H23V3ZM16.75 11.9998L8.75 16.5V7.5L16.75 11.9998Z"
      }
    }]
  };
  var playRectangleFilled = vue.defineComponent({
    name: "PlayRectangleFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-play-rectangle-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$9z(_objectSpread$9z({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$9x, finalProps.value);
    }
  });

  function ownKeys$9y(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$9y(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$9y(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$9y(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$9w = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M1 3H23V21H1V3ZM3 5V19H21V5H3ZM8 6.37083L17.75 12L8 17.6292L8 6.37083ZM10 9.83494V14.1651L13.75 12L10 9.83494Z"
      }
    }]
  };
  var playRectangle = vue.defineComponent({
    name: "PlayRectangleIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-play-rectangle", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$9y(_objectSpread$9y({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$9w, finalProps.value);
    }
  });

  function ownKeys$9x(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$9x(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$9x(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$9x(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$9v = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M18.25 11.9998L8.5 17.6289L8.5 6.37061L18.25 11.9998Z"
      }
    }]
  };
  var play = vue.defineComponent({
    name: "PlayIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-play", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$9x(_objectSpread$9x({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$9v, finalProps.value);
    }
  });

  function ownKeys$9w(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$9w(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$9w(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$9w(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$9u = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M13 6.5V11L17.5 11V13L13 13V17.5H11L11 13L6.5 13L6.5 11H11L11 6.5L13 6.5Z"
      }
    }]
  };
  var plus = vue.defineComponent({
    name: "PlusIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-plus", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$9w(_objectSpread$9w({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$9u, finalProps.value);
    }
  });

  function ownKeys$9v(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$9v(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$9v(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$9v(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$9t = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M11.8349 2.34941C14.5801.2338 18.5351.434046 21.0512 2.95015 23.3963 5.2953 23.7296 8.89044 22.0511 11.5909 21.9981 11.4182 21.9365 11.2417 21.8649 11.063 21.1694 9.32861 19.582 7.5312 16.278 6.92007 13.664 6.43657 12.6301 5.11266 12.1837 3.99943 11.9485 3.41294 11.8634 2.84701 11.8387 2.424 11.8372 2.39855 11.836 2.37367 11.8349 2.34941zM10.0837 4.01809L2.31284 11.789 5.49378 14.9699 1.95782 18.5059C.981508 19.4822.981508 21.0651 1.95782 22.0414 2.93413 23.0177 4.51704 23.0177 5.49335 22.0414L9.02932 18.5055 12.2123 21.6885 20.3602 13.5406C20.3589 13.491 20.3568 13.4383 20.3535 13.3828 20.3288 12.9598 20.2437 12.3938 20.0085 11.8074 19.5622 10.6941 18.5282 9.37021 15.9142 8.88671 12.6102 8.27559 11.0228 6.47818 10.3274 4.74375 10.2281 4.49626 10.1481 4.25296 10.0837 4.01809z"
      }
    }]
  };
  var popsicleFilled = vue.defineComponent({
    name: "PopsicleFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-popsicle-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$9v(_objectSpread$9v({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$9t, finalProps.value);
    }
  });

  function ownKeys$9u(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$9u(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$9u(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$9u(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$9s = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M11.1511 2.95015C13.8848 0.216485 18.317 0.216485 21.0506 2.95015C23.7843 5.68382 23.7843 10.116 21.0506 12.8496L12.2118 21.6885L9.38338 18.8601L6.2014 22.042C5.02983 23.2136 3.13033 23.2136 1.95876 22.042C0.787185 20.8705 0.787185 18.971 1.95876 17.7994L5.14074 14.6174L2.31231 11.789L11.1511 2.95015ZM12.2118 18.8601L19.2535 11.8183C19.1761 11.5497 19.0433 11.1933 18.8215 10.8209C18.3707 10.064 17.5348 9.20233 15.9072 8.88096C13.6457 8.43445 12.3603 7.17485 11.662 6.00232C11.5652 5.8398 11.4801 5.67972 11.4052 5.52457L5.14074 11.789L12.2118 18.8601ZM12.957 4.01145C13.0356 4.27634 13.1667 4.62018 13.3803 4.97894C13.8311 5.73576 14.667 6.59748 16.2946 6.91884C18.556 7.36535 19.8415 8.62495 20.5398 9.79749C20.5772 9.86034 20.6129 9.92284 20.647 9.98482C21.4931 8.13914 21.1563 5.88424 19.6364 4.36437C17.8095 2.53748 14.9207 2.41984 12.957 4.01145ZM6.55495 16.0316L3.37297 19.2136C2.98245 19.6041 2.98245 20.2373 3.37297 20.6278C3.7635 21.0184 4.39666 21.0184 4.78718 20.6278L7.96917 17.4458L6.55495 16.0316Z"
      }
    }]
  };
  var popsicle = vue.defineComponent({
    name: "PopsicleIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-popsicle", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$9u(_objectSpread$9u({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$9s, finalProps.value);
    }
  });

  function ownKeys$9t(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$9t(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$9t(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$9t(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$9r = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M4 4V9H2V2H9V4H4zM20 4V9H22V2H15V4H20zM4 15V20H9V22H2V15H4zM20 20V15H22V22H15V20H20zM12 7C13.6569 7 15 8.34315 15 10 15 11.1842 14.3139 12.2081 13.3175 12.696 15.16 13.2593 16.5 14.9731 16.5 17L16.5 17.9972H7.5L7.5 17C7.5 14.9731 8.84003 13.2593 10.6825 12.696 9.6861 12.2081 9 11.1842 9 10 9 8.34315 10.3431 7 12 7z"
      }
    }]
  };
  var portraitFilled = vue.defineComponent({
    name: "PortraitFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-portrait-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$9t(_objectSpread$9t({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$9r, finalProps.value);
    }
  });

  function ownKeys$9s(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$9s(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$9s(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$9s(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$9q = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M2 2H9V4H4V9H2V2ZM15 2H22V9H20V4H15V2ZM12 8.5C12.8284 8.5 13.5 9.17157 13.5 10C13.5 10.8284 12.8284 11.5 12 11.5C11.1716 11.5 10.5 10.8284 10.5 10C10.5 9.17157 11.1716 8.5 12 8.5ZM14.6652 12.2688C15.1858 11.6578 15.5 10.8656 15.5 10C15.5 8.067 13.933 6.5 12 6.5C10.067 6.5 8.5 8.067 8.5 10C8.5 10.8656 8.81422 11.6578 9.33483 12.2688C7.93188 13.1543 7 14.7183 7 16.5V17.5H9V16.5C9 14.8431 10.3431 13.5 12 13.5C13.6569 13.5 15 14.8431 15 16.5V17.5H17V16.5C17 14.7183 16.0681 13.1543 14.6652 12.2688ZM4 15V20H9V22H2V15H4ZM22 15V22H15V20H20V15H22Z"
      }
    }]
  };
  var portrait = vue.defineComponent({
    name: "PortraitIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-portrait", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$9s(_objectSpread$9s({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$9q, finalProps.value);
    }
  });

  function ownKeys$9r(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$9r(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$9r(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$9r(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$9p = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M12 23C5.92487 23 1 18.0751 1 12C1 5.92487 5.92487 1 12 1C18.0751 1 23 5.92487 23 12C23 18.0751 18.0751 23 12 23ZM10.2327 10.1338L6.76855 8.13379L5.76855 9.86584L9.23266 11.8658L10.2327 10.1338ZM14.7686 11.8658L18.2327 9.86584L17.2327 8.13379L13.7686 10.1338L14.7686 11.8658ZM14.9998 17.1326V13.9998H12.9998V14.867L9.13157 14.3835L8.8835 16.3681L14.9998 17.1326Z"
      }
    }]
  };
  var poutFilled = vue.defineComponent({
    name: "PoutFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-pout-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$9r(_objectSpread$9r({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$9p, finalProps.value);
    }
  });

  function ownKeys$9q(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$9q(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$9q(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$9q(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$9o = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M12 3C7.02944 3 3 7.02944 3 12C3 16.9706 7.02944 21 12 21C16.9706 21 21 16.9706 21 12C21 7.02944 16.9706 3 12 3ZM1 12C1 5.92487 5.92487 1 12 1C18.0751 1 23 5.92487 23 12C23 18.0751 18.0751 23 12 23C5.92487 23 1 18.0751 1 12ZM6.76874 8.13397L10.2328 10.134L9.23284 11.866L5.76874 9.86603L6.76874 8.13397ZM18.2328 9.86603L14.7687 11.866L13.7687 10.134L17.2328 8.13397L18.2328 9.86603ZM15 14V17.1328L8.88369 16.3682L9.13176 14.3837L13 14.8672V14H15Z"
      }
    }]
  };
  var pout = vue.defineComponent({
    name: "PoutIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-pout", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$9q(_objectSpread$9q({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$9o, finalProps.value);
    }
  });

  function ownKeys$9p(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$9p(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$9p(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$9p(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$9n = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M13 2V12H11V2H13ZM16.7806 3.72791L17.5889 4.31676C19.9574 6.04242 21.5 8.84092 21.5 11.9996C21.5 17.2463 17.2467 21.4996 12 21.4996C6.75329 21.4996 2.5 17.2463 2.5 11.9996C2.5 8.84092 4.04258 6.04242 6.41114 4.31676L7.21938 3.72791L8.39709 5.34438L7.58886 5.93324C5.71475 7.29865 4.5 9.50721 4.5 11.9996C4.5 16.1417 7.85786 19.4996 12 19.4996C16.1421 19.4996 19.5 16.1417 19.5 11.9996C19.5 9.50721 18.2853 7.29865 16.4111 5.93324L15.6029 5.34438L16.7806 3.72791Z"
      }
    }]
  };
  var poweroff = vue.defineComponent({
    name: "PoweroffIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-poweroff", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$9p(_objectSpread$9p({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$9n, finalProps.value);
    }
  });

  function ownKeys$9o(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$9o(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$9o(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$9o(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$9m = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M13 2V8H11V2H13ZM4 2.58579L9.91421 8.5L8.5 9.91421L2.58579 4L4 2.58579ZM21.4142 4L15.5 9.91421L14.0858 8.5L20 2.58579L21.4142 4ZM10.2676 11C10.6134 10.4022 11.2597 10 12 10C13.1046 10 14 10.8954 14 12C14 13.1046 13.1046 14 12 14C11.2597 14 10.6134 13.5978 10.2676 13H2V11H10.2676ZM16 11H22V13H16V11ZM9.91421 15.5L4 21.4142L2.58579 20L8.5 14.0858L9.91421 15.5ZM15.5 14.0858L21.4142 20L20 21.4142L14.0858 15.5L15.5 14.0858ZM13 16V22H11V16H13Z"
      }
    }]
  };
  var preciseMonitor = vue.defineComponent({
    name: "PreciseMonitorIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-precise-monitor", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$9o(_objectSpread$9o({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$9m, finalProps.value);
    }
  });

  function ownKeys$9n(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$9n(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$9n(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$9n(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$9l = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M17.25 4.33594V19.6644L9.58579 12.0002L17.25 4.33594ZM8.5 5.00015V19.0002H6.5V5.00015H8.5Z"
      }
    }]
  };
  var previousFilled = vue.defineComponent({
    name: "PreviousFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-previous-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$9n(_objectSpread$9n({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$9l, finalProps.value);
    }
  });

  function ownKeys$9m(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$9m(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$9m(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$9m(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$9k = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M17.25 4.33594V19.6644L9.58579 12.0002L17.25 4.33594ZM8.5 5.00015V19.0002H6.5V5.00015H8.5ZM12.4142 12.0002L15.25 14.8359V9.16436L12.4142 12.0002Z"
      }
    }]
  };
  var previous = vue.defineComponent({
    name: "PreviousIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-previous", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$9m(_objectSpread$9m({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$9k, finalProps.value);
    }
  });

  function ownKeys$9l(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$9l(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$9l(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$9l(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$9j = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M4 2H20V6H4V2zM6 17H18V22H6V17z"
      }
    }, {
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M0.5 8H23.5V19H20V15H4V19H0.5V8ZM20 10.5H18V12.5H20V10.5Z"
      }
    }]
  };
  var printFilled = vue.defineComponent({
    name: "PrintFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-print-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$9l(_objectSpread$9l({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$9j, finalProps.value);
    }
  });

  function ownKeys$9k(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$9k(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$9k(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$9k(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$9i = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M4 2L20 2V7H23.5L23.5 18H19V22L5 22L5 18H0.5L0.5 7L4 7L4 2ZM6 7L18 7V4L6 4L6 7ZM2.5 9L2.5 16H5L5 14L19 14V16H21.5L21.5 9L2.5 9ZM17 16H7L7 20L17 20V16ZM17 10.4961L19.0039 10.4961V12.5L17 12.5V10.4961Z"
      }
    }]
  };
  var print = vue.defineComponent({
    name: "PrintIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-print", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$9k(_objectSpread$9k({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$9i, finalProps.value);
    }
  });

  function ownKeys$9j(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$9j(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$9j(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$9j(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$9h = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M11.8329 1.94533L11.2782 1.11328 9.61407 2.22268 10.1688 3.05473C10.4024 3.40512 10.5704 3.75457 10.6913 4.11077 7.98971 4.57048 7.59344 7.12948 7.43418 9.62635 7.31763 11.4535 7.47432 13.4155 7.77275 15.238 8.07111 17.06 8.50848 18.7266 8.94452 19.9595 9.5476 21.6648 10.1562 22 12.0047 22 13.9722 22 14.4246 21.5632 15.0527 19.7515 15.4893 18.4921 15.926 16.8395 16.2236 15.0493 16.5215 13.2581 16.6778 11.3437 16.5619 9.55657 16.3777 6.71622 15.803 4.32644 12.7492 4.03536 12.581 3.3501 12.3005 2.64682 11.8329 1.94533zM6.28719 5.28005C6.32369 5.19938 6.36109 5.12052 6.39965 5.04324 6.02307 5.03328 5.63557 5.06611 5.25791 5.144 4.07803 5.38733 2.8296 6.10124 2.10511 7.55345 1.64087 8.484 1.50554 9.79303 1.5364 11.0989 1.56817 12.4429 1.781 13.9357 2.13039 15.331 2.47767 16.7179 2.97439 18.0667 3.60467 19.0944 4.19141 20.051 5.10169 21.0587 6.37036 21.0587H7.22164C7.16301 20.9131 7.10924 20.7684 7.05896 20.6262 6.57961 19.2708 6.11461 17.4883 5.79903 15.5611 5.48366 13.6351 5.30954 11.5165 5.43823 9.49891 5.51745 8.25693 5.66394 6.65754 6.28719 5.28005zM16.9423 20.4065C16.8706 20.6134 16.7923 20.8334 16.7018 21.0587H17.1696C18.4925 21.0587 19.4923 20.1377 20.1779 19.1367 20.8869 18.1017 21.4327 16.743 21.811 15.3502 22.1917 13.9487 22.4194 12.4512 22.4582 11.104 22.4959 9.79403 22.3602 8.48466 21.8956 7.55346 21.1716 6.10223 19.9262 5.38773 18.7477 5.1441 18.3591 5.06378 17.9603 5.03134 17.5737 5.04426 18.28 6.42097 18.4682 8.047 18.5577 9.427 18.6862 11.4084 18.5116 13.4822 18.1965 15.3772 17.881 17.2748 17.4171 19.0369 16.9423 20.4065z"
      }
    }]
  };
  var pumpkinFilled = vue.defineComponent({
    name: "PumpkinFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-pumpkin-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$9j(_objectSpread$9j({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$9h, finalProps.value);
    }
  });

  function ownKeys$9i(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$9i(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$9i(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$9i(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$9g = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M11.2774 1.11328L11.8321 1.94533C12.2997 2.64682 12.5802 3.3501 12.7484 4.03536C14.4015 4.19293 15.6327 4.8426 16.3127 5.26837C17.0207 5.02066 17.9078 4.97082 18.7469 5.14427C19.9255 5.3879 21.1708 6.1024 21.8948 7.55363C22.3594 8.48483 22.4952 9.7942 22.4575 11.1042C22.4187 12.4514 22.1909 13.9489 21.8102 15.3504C21.4319 16.7432 20.8861 18.1019 20.1772 19.1368C19.4915 20.1378 18.4917 21.0589 17.1688 21.0589H15.2807C15.0515 21.2775 14.7591 21.4752 14.3788 21.6312C13.784 21.875 13.0152 22 12.0039 22C10.9925 22 10.2237 21.875 9.62896 21.6312C9.24862 21.4752 8.95621 21.2775 8.72702 21.0589H6.36938C5.10071 21.0589 4.19043 20.0512 3.6037 19.0946C2.97341 18.0669 2.47669 16.718 2.12942 15.3312C1.78002 13.9359 1.5672 12.4431 1.53543 11.099C1.50456 9.79321 1.63989 8.48419 2.10413 7.55363C2.82862 6.10142 4.07705 5.38751 5.25693 5.14418C6.0971 4.97091 6.98598 5.02061 7.69486 5.26846C8.29446 4.89307 9.3225 4.34355 10.6905 4.11077C10.5696 3.75457 10.4016 3.40512 10.168 3.05473L9.61327 2.22268L11.2774 1.11328ZM10.9905 6.08802C9.86766 6.28539 9.04852 6.77007 8.58232 7.07658C7.87672 8.8697 7.892 11.5101 8.29597 14.0425C8.5033 15.3422 8.80429 16.5591 9.1244 17.5356C9.45759 18.5519 9.77501 19.193 9.96816 19.435L9.99521 19.4689L10.0192 19.505C10.0725 19.5851 10.1539 19.6848 10.3877 19.7807C10.6538 19.8898 11.1371 20 12.0039 20C12.8707 20 13.354 19.8898 13.6201 19.7807C13.8538 19.6848 13.9352 19.5851 13.9885 19.505L14.0125 19.4689L14.0396 19.435C14.2327 19.193 14.5501 18.5519 14.8833 17.5356C15.2034 16.5591 15.5044 15.3422 15.7118 14.0425C16.1157 11.5101 16.131 8.86969 15.4254 7.07657C14.9558 6.76784 14.1282 6.27834 12.9927 6.08377C13.0002 6.37436 13.0001 6.65667 13 6.92873C13 6.95258 13 6.97634 13 7.00003V8.00003H11V7.00003C11 6.68344 10.9992 6.38041 10.9905 6.08802ZM17.5266 7.04887C18.1757 9.26372 18.0623 12.0038 17.6868 14.3576C17.4637 15.7559 17.1386 17.0762 16.7838 18.1586C16.6815 18.4706 16.5735 18.7733 16.4606 19.0589H17.1688C17.4893 19.0589 17.9662 18.8255 18.5271 18.0066C19.0648 17.2217 19.5355 16.0951 19.8802 14.8261C20.2225 13.5659 20.4243 12.2251 20.4583 11.0466C20.4933 9.83089 20.3449 8.92703 20.1052 8.44646C19.7023 7.63887 19.0321 7.24551 18.342 7.10286C18.0429 7.04103 17.7648 7.03082 17.5266 7.04887ZM6.48108 7.04901C6.24169 7.03077 5.96194 7.04087 5.6609 7.10296C4.96775 7.24591 4.29619 7.63985 3.89378 8.44646C3.65372 8.92767 3.50603 9.83188 3.53487 11.0518C3.5628 12.2335 3.75238 13.5789 4.06951 14.8454C4.38876 16.1203 4.82269 17.2567 5.30857 18.0489C5.83801 18.9121 6.22943 19.0589 6.36938 19.0589H7.54708C7.43426 18.7733 7.3262 18.4706 7.22393 18.1586C6.86909 17.0762 6.54402 15.7559 6.32094 14.3576C5.94547 12.0039 5.83203 9.26384 6.48108 7.04901Z"
      }
    }]
  };
  var pumpkin = vue.defineComponent({
    name: "PumpkinIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-pumpkin", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$9i(_objectSpread$9i({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$9g, finalProps.value);
    }
  });

  function ownKeys$9h(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$9h(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$9h(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$9h(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$9f = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M11.0009 2.96045L15.4405 10.8531L16.5009 8.92514L23.6921 22.0002H0.291016L11.0009 2.96045ZM12.6921 20.0002H15.5009V17.0002H14.3421L12.6921 20.0002ZM17.5009 20.0002H20.3096L18.6596 17.0002H17.5009V20.0002ZM17.5596 15.0002L16.5009 13.0752L15.4421 15.0002H17.5596Z"
      }
    }]
  };
  var pyramidFilled = vue.defineComponent({
    name: "PyramidFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-pyramid-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$9h(_objectSpread$9h({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$9f, finalProps.value);
    }
  });

  function ownKeys$9g(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$9g(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$9g(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$9g(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$9e = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M6 2H18V4H17V8H7V4H6V2zM11 4.49805V6.50195H13.0039V4.49805H11zM5 10H8V23H2V19H3V16H4L4 13H5V10zM14 10H10V23H14V10zM19 10H16V23H22V19H21V16H20V13H19V10z"
      }
    }]
  };
  var pyramidMayaFilled = vue.defineComponent({
    name: "PyramidMayaFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-pyramid-maya-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$9g(_objectSpread$9g({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$9e, finalProps.value);
    }
  });

  function ownKeys$9f(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$9f(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$9f(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$9f(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$9d = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M6 2H18V4H17V8H19V11H20V14H21V17H22V23H2V17H3V14H4L4 11H5V8H7V4H6V2ZM9 4V8H14.999L15 4H9ZM13 10H11V21H13V10ZM15 21H20V19H19V16H18V13H17V10H15V21ZM9 21V10H7V13H6V16H5L5 19H4V21H9ZM11 4.99805H13.0039V7.00195H11V4.99805Z"
      }
    }]
  };
  var pyramidMaya = vue.defineComponent({
    name: "PyramidMayaIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-pyramid-maya", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$9f(_objectSpread$9f({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$9d, finalProps.value);
    }
  });

  function ownKeys$9e(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$9e(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$9e(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$9e(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$9c = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M10.9999 2.96045L15.4395 10.8531L16.4999 8.92514L23.6912 22.0002H0.290039L10.9999 2.96045ZM13.2275 11.0002L10.9999 7.03991L8.77223 11.0002H13.2275ZM7.64723 13.0002L3.70973 20.0002H9.99989V13.0002H7.64723ZM11.9999 13.0002V17.107L14.2586 13.0002H11.9999ZM12.6912 20.0002H15.4999V17.0002H14.3412L12.6912 20.0002ZM17.4999 20.0002H20.3086L18.6586 17.0002H17.4999V20.0002ZM17.5586 15.0002L16.4999 13.0752L15.4412 15.0002H17.5586Z"
      }
    }]
  };
  var pyramid = vue.defineComponent({
    name: "PyramidIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-pyramid", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$9e(_objectSpread$9e({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$9c, finalProps.value);
    }
  });

  function ownKeys$9d(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$9d(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$9d(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$9d(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$9b = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M2 2H11V11H2V2ZM4 4V9H9V4H4ZM13 2H22V11H13V2ZM15 4V9H20V4H15ZM5.5 5.5H7.50391V7.50391H5.5V5.5ZM16.5 5.5H18.5039V7.50391H16.5V5.5ZM12.9961 12.9961H15V15H12.9961V12.9961ZM19.9961 12.9961H22V15H19.9961V12.9961ZM2 13H11V22H2V13ZM4 15V20H9V15H4ZM15.9961 15.9961H18V17.9961H20V19.9961H22V22H19.9961V20H17.9961V18H15.9961V15.9961ZM5.5 16.5H7.50391V18.5039H5.5V16.5ZM12.9961 19.9961H15V22H12.9961V19.9961Z"
      }
    }]
  };
  var qrcode = vue.defineComponent({
    name: "QrcodeIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-qrcode", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$9d(_objectSpread$9d({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$9b, finalProps.value);
    }
  });

  function ownKeys$9c(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$9c(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$9c(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$9c(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$9a = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M11.2533 3H23V5H12.7467L7.88216 21.4178L3.66667 14.6429H1V12.6429H4.77778L7.22895 16.5822L11.2533 3ZM22 9.99999L22 12.1363C22 12.7327 21.7339 13.298 21.2742 13.6779L19.0696 15.5L21.2742 17.3221C21.7338 17.702 22 18.2673 22 18.8637L22 21L20 21L20 18.8637L17.5 16.7974L15 18.8637L15 21L13 21L13 18.8637C13 18.2673 13.2662 17.702 13.7258 17.3221L15.9304 15.5L13.7258 13.6779C13.2662 13.298 13 12.7327 13 12.1363L13 10L15 10L15 12.1363L17.5 14.2026L20 12.1363L20 10L22 9.99999Z"
      }
    }]
  };
  var quadratic = vue.defineComponent({
    name: "QuadraticIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-quadratic", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$9c(_objectSpread$9c({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$9a, finalProps.value);
    }
  });

  function ownKeys$9b(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$9b(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$9b(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$9b(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$99 = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M20 2V16H5.82046L1 19.4432V2H20ZM9.5 7.5C9.5 6.94772 9.94771 6.5 10.5 6.5C11.0523 6.5 11.5 6.94772 11.5 7.5C11.5 7.82392 11.4223 8.00753 11.3501 8.11822C11.2729 8.23684 11.1597 8.3355 11.0062 8.42305C10.8462 8.51433 10.6775 8.57513 10.4869 8.64144L10.4686 8.64778C10.3935 8.67378 10.2666 8.71774 10.1602 8.76828C10.1042 8.79486 9.98358 8.85498 9.86436 8.96014C9.74806 9.06273 9.50345 9.3263 9.50345 9.75V10.75H11.5034V10.3975C11.6536 10.3366 11.8243 10.2589 11.9972 10.1603C12.3429 9.96311 12.7288 9.66594 13.0259 9.2099C13.3282 8.74594 13.5 8.17608 13.5 7.5C13.5 5.84315 12.1569 4.5 10.5 4.5C8.84315 4.5 7.5 5.84315 7.5 7.5V8.5H9.5V7.5ZM11.5039 11.5H9.5V13.5039H11.5039V11.5Z"
      }
    }, {
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M23.5 22.9432V4.5H21.5V19.0568L19.3205 17.5H7.5V19.5H18.6795L23.5 22.9432Z"
      }
    }]
  };
  var questionnaireDoubleFilled = vue.defineComponent({
    name: "QuestionnaireDoubleFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-questionnaire-double-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$9b(_objectSpread$9b({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$99, finalProps.value);
    }
  });

  function ownKeys$9a(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$9a(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$9a(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$9a(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$98 = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M1 2H20V16H5.82046L1 19.4432V2ZM3 4V15.5568L5.17953 14H18V4H3ZM23.5 4.5V22.9432L18.6795 19.5H7.5V17.5H19.3205L21.5 19.0568V4.5H23.5Z"
      }
    }, {
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M10.5 6.5C9.94772 6.5 9.5 6.94772 9.5 7.5V8.5H7.5V7.5C7.5 5.84315 8.84315 4.5 10.5 4.5C12.1569 4.5 13.5 5.84315 13.5 7.5C13.5 8.17608 13.3282 8.74594 13.0259 9.2099C12.7288 9.66594 12.3429 9.96311 11.9972 10.1603C11.8243 10.2589 11.6536 10.3366 11.5034 10.3975V10.75H9.50345V9.75C9.50345 9.3263 9.74806 9.06273 9.86436 8.96014C9.98358 8.85498 10.1042 8.79486 10.1602 8.76828C10.2666 8.71774 10.3935 8.67378 10.4686 8.64778C10.4751 8.64553 10.4812 8.64341 10.4869 8.64144C10.6775 8.57513 10.8462 8.51433 11.0062 8.42305C11.1597 8.3355 11.2729 8.23684 11.3501 8.11822C11.4223 8.00753 11.5 7.82392 11.5 7.5C11.5 6.94772 11.0523 6.5 10.5 6.5ZM9.5 11.5H11.5039V13.5039H9.5V11.5Z"
      }
    }]
  };
  var questionnaireDouble = vue.defineComponent({
    name: "QuestionnaireDoubleIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-questionnaire-double", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$9a(_objectSpread$9a({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$98, finalProps.value);
    }
  });

  function ownKeys$99(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$99(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$99(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$99(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$97 = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M22.5 2V18H6.87574L1.5 22.7038V2H22.5ZM11 8.5C11 7.94771 11.4477 7.5 12 7.5C12.5523 7.5 13 7.94771 13 8.5C13 8.82392 12.9223 9.00753 12.8501 9.11822C12.7729 9.23684 12.6597 9.3355 12.5062 9.42305C12.3462 9.51433 12.1775 9.57513 11.9869 9.64144L11.9686 9.64778C11.8935 9.67378 11.7666 9.71774 11.6602 9.76828C11.6042 9.79486 11.4836 9.85498 11.3644 9.96014C11.2481 10.0627 11.0034 10.3263 11.0034 10.75V11.75H13.0034V11.3975C13.1536 11.3366 13.3243 11.2589 13.4972 11.1603C13.8429 10.9631 14.2288 10.6659 14.5259 10.2099C14.8282 9.74594 15 9.17608 15 8.5C15 6.84314 13.6569 5.5 12 5.5C10.3431 5.5 9 6.84314 9 8.5V9.5H11V8.5ZM13.0039 12.5H11V14.5039H13.0039V12.5Z"
      }
    }]
  };
  var questionnaireFilled = vue.defineComponent({
    name: "QuestionnaireFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-questionnaire-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$99(_objectSpread$99({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$97, finalProps.value);
    }
  });

  function ownKeys$98(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$98(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$98(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$98(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$96 = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M1.5 2H22.5V18H6.87574L1.5 22.7038V2ZM3.5 4V18.2962L6.12426 16H20.5V4H3.5ZM12 7.5C11.4477 7.5 11 7.94772 11 8.5V9.5H9V8.5C9 6.84315 10.3431 5.5 12 5.5C13.6569 5.5 15 6.84315 15 8.5C15 9.17608 14.8282 9.74594 14.5259 10.2099C14.2288 10.6659 13.8429 10.9631 13.4972 11.1603C13.3243 11.2589 13.1536 11.3366 13.0034 11.3975V11.75H11.0034V10.75C11.0034 10.3263 11.2481 10.0627 11.3644 9.96014C11.4836 9.85498 11.6042 9.79486 11.6602 9.76828C11.7666 9.71774 11.8935 9.67378 11.9686 9.64778C11.9751 9.64553 11.9812 9.64341 11.9869 9.64144C12.1775 9.57513 12.3462 9.51433 12.5062 9.42305C12.6597 9.3355 12.7729 9.23684 12.8501 9.11822C12.9223 9.00753 13 8.82392 13 8.5C13 7.94772 12.5523 7.5 12 7.5ZM11 12.5H13.0039V14.5039H11V12.5Z"
      }
    }]
  };
  var questionnaire = vue.defineComponent({
    name: "QuestionnaireIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-questionnaire", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$98(_objectSpread$98({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$96, finalProps.value);
    }
  });

  function ownKeys$97(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$97(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$97(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$97(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$95 = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M22.0034 20.4186L22 2.00098L7.00089 2.0021L7.00104 4.0021L20 4.00113V18.4153L22.0034 20.4186Z"
      }
    }, {
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M18 6.00008H2V22.0001H18V6.00008ZM14.5 15H11V18.5H9V15H5.5V13H9V9.5H11V13H14.5V15Z"
      }
    }]
  };
  var queueFilled = vue.defineComponent({
    name: "QueueFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-queue-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$97(_objectSpread$97({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$95, finalProps.value);
    }
  });

  function ownKeys$96(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$96(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$96(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$96(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$94 = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M22 2.00098L22.0034 20.4186L20 18.4153V4.00113L7.00104 4.0021L7.00089 2.0021L22 2.00098ZM2 6.00008H18V22.0001H2V6.00008ZM4 8.00008V20.0001H16V8.00008H4ZM11 9.50007V13.0001H14.5V15.0001H11V18.5001H9V15.0001H5.5V13.0001H9V9.50007H11Z"
      }
    }]
  };
  var queue = vue.defineComponent({
    name: "QueueIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-queue", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$96(_objectSpread$96({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$94, finalProps.value);
    }
  });

  function ownKeys$95(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$95(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$95(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$95(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$93 = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M2.5 5H11.0001V12.6507L6.51825 19H3.79467L6.46133 13H2.5V5ZM13 5H21.5V12.6507L17.0182 19H14.2946L16.9612 13H13V5Z",
        "fillOpacity": 0.9
      }
    }]
  };
  var quoteFilled = vue.defineComponent({
    name: "QuoteFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-quote-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$95(_objectSpread$95({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$93, finalProps.value);
    }
  });

  function ownKeys$94(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$94(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$94(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$94(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$92 = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M2.5 5H11.0001V12.6507L6.51825 19H3.79467L6.46133 13H2.5V5ZM4.5 7V11H9.00009V7H4.5ZM13 5H21.5V12.6507L17.0182 19H14.2946L16.9612 13H13V5ZM15 7V11H19.5V7H15Z",
        "fillOpacity": 0.9
      }
    }]
  };
  var quote = vue.defineComponent({
    name: "QuoteIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-quote", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$94(_objectSpread$94({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$92, finalProps.value);
    }
  });

  function ownKeys$93(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$93(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$93(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$93(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$91 = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M11 3.05493C6.50005 3.55237 3 7.36745 3 12C3 16.9706 7.02944 21 12 21C16.9706 21 21 16.9706 21 12C21 10.02 20.3618 8.19209 19.2797 6.7067L18.6908 5.89845L20.3074 4.72078L20.8962 5.52904C22.2192 7.345 23 9.58278 23 12C23 18.0751 18.0751 23 12 23C5.92487 23 1 18.0751 1 12C1 5.92487 5.92487 1 12 1H13V10.2678C13.2429 10.4083 13.4533 10.5982 13.617 10.823C13.8577 11.1533 14 11.5615 14 12C14 13.1046 13.1046 14 12 14C10.8954 14 10 13.1046 10 12C10 11.2597 10.4022 10.6134 11 10.2676V7.61151C8.99601 8.06624 7.5 9.85841 7.5 12C7.5 14.4853 9.51472 16.5 12 16.5C14.4853 16.5 16.5 14.4853 16.5 12C16.5 11.0094 16.1811 10.0962 15.6401 9.35366L15.0513 8.54541L16.6678 7.36774L17.2566 8.176C18.0384 9.24916 18.5 10.5721 18.5 12C18.5 15.5899 15.5899 18.5 12 18.5C8.41015 18.5 5.5 15.5899 5.5 12C5.5 8.75021 7.88491 6.05745 11 5.57645V3.05493Z"
      }
    }]
  };
  var radar = vue.defineComponent({
    name: "RadarIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-radar", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$93(_objectSpread$93({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$91, finalProps.value);
    }
  });

  function ownKeys$92(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$92(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$92(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$92(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$90 = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M7 14C7 12.8954 7.89543 12 9 12C10.1046 12 11 12.8954 11 14C11 15.1046 10.1046 16 9 16C7.89543 16 7 15.1046 7 14Z"
      }
    }, {
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M23 21.9998H1V6.38181L12.4472 0.658203L13.3416 2.44706L6.23607 5.99985H23V21.9998ZM9 10C6.79086 10 5 11.7909 5 14C5 16.2091 6.79086 18 9 18C11.2091 18 13 16.2091 13 14C13 11.7909 11.2091 10 9 10ZM19 11H15V13H19V11ZM19 15H15V17H19V15Z"
      }
    }]
  };
  var radio1Filled = vue.defineComponent({
    name: "Radio1FilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-radio-1-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$92(_objectSpread$92({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$90, finalProps.value);
    }
  });

  function ownKeys$91(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$91(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$91(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$91(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$8$ = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M13.3416 2.44706L6.23607 5.99985H23V21.9998H22V20.9998C22 21.9998 22.0001 21.9998 22 21.9998H1L1 6.38181L12.4472 0.658203L13.3416 2.44706ZM21 19.9998V7.99985L3 7.99984L3 19.9998H21ZM9 11.9998C7.89543 11.9998 7 12.8953 7 13.9998C7 15.1044 7.89543 15.9998 9 15.9998C10.1046 15.9998 11 15.1044 11 13.9998C11 12.8953 10.1046 11.9998 9 11.9998ZM5 13.9998C5 11.7907 6.79086 9.99984 9 9.99984C11.2091 9.99984 13 11.7907 13 13.9998C13 16.209 11.2091 17.9998 9 17.9998C6.79086 17.9998 5 16.209 5 13.9998ZM15 10.9998H19V12.9998H15V10.9998ZM15 14.9998H19V16.9998H15V14.9998Z"
      }
    }]
  };
  var radio1 = vue.defineComponent({
    name: "Radio1Icon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-radio-1", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$91(_objectSpread$91({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$8$, finalProps.value);
    }
  });

  function ownKeys$90(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$90(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$90(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$90(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$8_ = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M13 11C13 9.89543 13.8954 9 15 9C16.1046 9 17 9.89543 17 11C17 12.1046 16.1046 13 15 13C13.8954 13 13 12.1046 13 11Z"
      }
    }, {
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M23 3V19H19V22H17V19H7V22H5V19H1V3H23ZM15 7C12.7909 7 11 8.79086 11 11C11 13.2091 12.7909 15 15 15C17.2091 15 19 13.2091 19 11C19 8.79086 17.2091 7 15 7ZM9 8H5V10H9V8ZM9 12H5V14H9V12Z"
      }
    }]
  };
  var radio2Filled = vue.defineComponent({
    name: "Radio2FilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-radio-2-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$90(_objectSpread$90({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$8_, finalProps.value);
    }
  });

  function ownKeys$8$(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$8$(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$8$(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$8$(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$8Z = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M1 3L23 3V19H19V22H17V19H7V22H5V19H1L1 3ZM3 5L3 17H21V5L3 5ZM15 9C13.8954 9 13 9.89543 13 11C13 12.1046 13.8954 13 15 13C16.1046 13 17 12.1046 17 11C17 9.89543 16.1046 9 15 9ZM11 11C11 8.79086 12.7909 7 15 7C17.2091 7 19 8.79086 19 11C19 13.2091 17.2091 15 15 15C12.7909 15 11 13.2091 11 11ZM5 8H9V10H5V8ZM5 12H9V14H5V12Z"
      }
    }]
  };
  var radio2 = vue.defineComponent({
    name: "Radio2Icon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-radio-2", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$8$(_objectSpread$8$({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$8Z, finalProps.value);
    }
  });

  function ownKeys$8_(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$8_(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$8_(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$8_(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$8Y = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M16.3892 6.1965L16.3892 1.95386H14.3892L14.3892 6.45436C13.5742 5.84268 12.458 5.12066 11.4068 4.90282C10.0339 4.56554 8.44594 4.7826 6.9806 5.52419L10.5608 9.15622L9.13641 10.5602L5.29779 6.66598C3.9776 7.82153 2.86671 9.5036 2.1875 11.7411L6.56079 16.1521L5.14053 17.5603L1.67477 14.0646C1.3732 16.1255 1.38663 18.5434 1.81945 21.3449L1.93127 22.0686L2.65504 22.1805C7.84793 22.9828 11.7428 22.3302 14.4697 20.9013L10.378 16.788L11.796 15.3775L16.1825 19.7873C18.7215 17.7498 19.6657 14.9054 19.0971 12.5931C18.8792 11.5418 18.1572 10.4257 17.5456 9.61071L22.046 9.61071V7.61071L17.8034 7.61071L21.4143 3.99979L20.0001 2.58557L16.3892 6.1965Z"
      }
    }]
  };
  var radishFilled = vue.defineComponent({
    name: "RadishFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-radish-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$8_(_objectSpread$8_({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$8Y, finalProps.value);
    }
  });

  function ownKeys$8Z(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$8Z(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$8Z(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$8Z(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$8X = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M16.3894 1.9541L16.3894 6.19675L20.0004 2.58582L21.4146 4.00003L17.8037 7.61096L22.0463 7.61096V9.61096L17.5458 9.61096C18.1575 10.4259 18.8794 11.5421 19.0973 12.5933C19.7365 15.1926 18.464 18.4644 15.1635 20.5063C12.4192 22.2042 8.30564 23.0537 2.65528 22.1807L1.93152 22.0689L1.8197 21.3451C1.34973 18.3033 1.37423 15.7137 1.75953 13.5423C2.42595 9.78659 4.1761 7.28111 6.27355 5.93003C7.92129 4.86863 9.80968 4.51065 11.407 4.90307C12.4583 5.1209 13.5745 5.84292 14.3894 6.4546L14.3894 1.9541L16.3894 1.9541ZM14.6822 9.31817L14.6697 9.30608C14.6538 9.29087 14.6293 9.26755 14.597 9.23721C14.5323 9.17647 14.4364 9.0878 14.3153 8.97964C14.0723 8.76264 13.7317 8.47067 13.3409 8.16976C12.5125 7.5319 11.6242 6.98603 10.9905 6.85929L10.9669 6.85458L10.9436 6.84873C10.2496 6.67484 9.38228 6.72 8.48862 7.04584L10.9146 9.51155L9.48889 10.9142L6.71025 8.09002C5.48297 9.12488 4.37449 10.829 3.82695 13.3892L6.91459 16.5069L5.49355 17.9143L3.49987 15.9012C3.42679 17.2054 3.47912 18.6707 3.69208 20.3082C7.81919 20.8439 10.852 20.3499 12.9763 19.4033L10.0862 16.4958L11.5046 15.0859L14.7606 18.3614C16.9351 16.7178 17.5212 14.5317 17.1517 13.0568L17.1458 13.0335L17.1411 13.0099C17.0144 12.3762 16.4685 11.4879 15.8306 10.6595C15.5297 10.2687 15.2378 9.92813 15.0208 9.68513C14.9126 9.56402 14.8239 9.46811 14.7632 9.40339C14.7328 9.37106 14.7095 9.34658 14.6943 9.33071L14.6822 9.31817Z"
      }
    }]
  };
  var radish = vue.defineComponent({
    name: "RadishIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-radish", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$8Z(_objectSpread$8Z({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$8X, finalProps.value);
    }
  });

  function ownKeys$8Y(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$8Y(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$8Y(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$8Y(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$8W = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M11.1 4C11.0786 4 11.0572 4.00015 11.0359 4.00043C8.60036 4.03348 6.7 5.93535 6.7 8.2C6.7 8.46219 6.72505 8.71792 6.77273 8.9654L6.95683 9.92085L6.00676 10.131C4.83155 10.3909 4 11.3903 4 12.5333C4 13.4799 4.56612 14.3234 5.43167 14.7376L6.3337 15.1693L5.47036 16.9734L4.56833 16.5417C3.06313 15.8214 2 14.309 2 12.5333C2 10.7035 3.12452 9.15803 4.70565 8.46243C4.70189 8.37536 4.7 8.28787 4.7 8.2C4.7 4.77081 7.55127 2.04754 11.0088 2.00062C11.0392 2.00021 11.0696 2 11.1 2C11.646 2 12.1775 2.06644 12.6858 2.192C14.8331 2.7225 16.5652 4.31155 17.2193 6.37863C17.9415 6.47026 18.6217 6.69802 19.2299 7.03569C19.4545 7.16039 19.6692 7.30005 19.8726 7.45334C21.1579 8.42182 22 9.94389 22 11.6667C22 13.8773 20.6183 15.7492 18.6872 16.5614L17.7654 16.9491L16.998 15.1247V18H14.998V12.002H16.998V15.1022L17.9118 14.7179C19.1598 14.193 20 13.0103 20 11.6667C20 10.6158 19.489 9.66848 18.669 9.05063C18.5396 8.95307 18.4026 8.86396 18.259 8.78426C17.7444 8.49852 17.1446 8.33333 16.5 8.33333C16.4803 8.33333 16.4607 8.33349 16.4411 8.33379L15.5868 8.34716L15.4403 7.50544C15.158 5.88414 13.8892 4.54944 12.2061 4.13363C11.8538 4.0466 11.4834 4 11.1 4ZM12.998 10.002V20H10.998V10.002H12.998ZM8.99805 12.002V18H6.99805V12.002H8.99805Z"
      }
    }]
  };
  var rainHeavy = vue.defineComponent({
    name: "RainHeavyIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-rain-heavy", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$8Y(_objectSpread$8Y({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$8W, finalProps.value);
    }
  });

  function ownKeys$8X(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$8X(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$8X(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$8X(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$8V = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M11.1 3C11.0696 3 11.0392 3.00021 11.0088 3.00062 7.55127 3.04754 4.7 5.77081 4.7 9.2 4.7 9.28787 4.70189 9.37536 4.70565 9.46243 3.12452 10.158 2 11.7035 2 13.5333 2 15.309 3.06313 16.8214 4.56833 17.5417L4.77305 17.6397H18.5012L18.6872 17.5614C20.6183 16.7492 22 14.8773 22 12.6667 22 10.9439 21.1579 9.42182 19.8726 8.45334 19.6692 8.30005 19.4545 8.16039 19.2299 8.03569 18.6217 7.69802 17.9415 7.47026 17.2193 7.37863 16.5652 5.31155 14.8331 3.7225 12.6858 3.192 12.1775 3.06644 11.646 3 11.1 3zM6.99805 18.998H9.00195V21.002H6.99805V18.998zM14.998 18.998H17.002V21.002H14.998V18.998zM13.002 20.998H10.998V23.002H13.002V20.998z"
      }
    }]
  };
  var rainLightFilled = vue.defineComponent({
    name: "RainLightFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-rain-light-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$8X(_objectSpread$8X({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$8V, finalProps.value);
    }
  });

  function ownKeys$8W(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$8W(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$8W(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$8W(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$8U = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M11.1 4C11.0786 4 11.0572 4.00015 11.0359 4.00043C8.60036 4.03348 6.7 5.93535 6.7 8.2C6.7 8.46219 6.72505 8.71792 6.77273 8.9654L6.95683 9.92085L6.00676 10.131C4.83155 10.3909 4 11.3903 4 12.5333C4 13.4799 4.56612 14.3234 5.43167 14.7376L6.3337 15.1693L5.47036 16.9734L4.56833 16.5417C3.06313 15.8214 2 14.309 2 12.5333C2 10.7035 3.12452 9.15803 4.70565 8.46243C4.70189 8.37536 4.7 8.28787 4.7 8.2C4.7 4.77081 7.55127 2.04754 11.0088 2.00062C11.0392 2.00021 11.0696 2 11.1 2C11.646 2 12.1775 2.06644 12.6858 2.192C14.8331 2.7225 16.5652 4.31155 17.2193 6.37863C17.9415 6.47026 18.6217 6.69802 19.2299 7.03569C19.4545 7.16039 19.6692 7.30005 19.8726 7.45334C21.1579 8.42182 22 9.94389 22 11.6667C22 13.8773 20.6183 15.7492 18.6872 16.5614L17.7654 16.9491L16.99 15.1056L17.9118 14.7179C19.1598 14.193 20 13.0103 20 11.6667C20 10.6158 19.489 9.66848 18.669 9.05063C18.5396 8.95307 18.4026 8.86396 18.259 8.78426C17.7444 8.49852 17.1446 8.33333 16.5 8.33333C16.4803 8.33333 16.4607 8.33349 16.4411 8.33379L15.5868 8.34716L15.4403 7.50544C15.158 5.88414 13.8892 4.54944 12.2061 4.13363C11.8538 4.0466 11.4834 4 11.1 4ZM10.998 9.99805H13.002V12.002H10.998V9.99805ZM6.99805 11.998H9.00195V14.002H6.99805V11.998ZM14.998 11.998H17.002V14.002H14.998V11.998ZM10.998 13.998H13.002V16.002H10.998V13.998ZM6.99805 15.998H9.00195V18.002H6.99805V15.998ZM14.998 15.998H17.002V18.002H14.998V15.998ZM10.998 17.998H13.002V20.002H10.998V17.998Z"
      }
    }]
  };
  var rainLight = vue.defineComponent({
    name: "RainLightIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-rain-light", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$8W(_objectSpread$8W({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$8U, finalProps.value);
    }
  });

  function ownKeys$8V(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$8V(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$8V(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$8V(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$8T = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M11.1 4C11.0786 4 11.0572 4.00015 11.0359 4.00043C8.60036 4.03348 6.7 5.93535 6.7 8.2C6.7 8.46219 6.72505 8.71792 6.77273 8.9654L6.95683 9.92085L6.00676 10.131C4.83155 10.3909 4 11.3903 4 12.5333C4 13.4799 4.56612 14.3234 5.43167 14.7376L6.3337 15.1693L5.47036 16.9734L4.56833 16.5417C3.06313 15.8214 2 14.309 2 12.5333C2 10.7035 3.12452 9.15803 4.70565 8.46243C4.70189 8.37536 4.7 8.28787 4.7 8.2C4.7 4.77081 7.55127 2.04754 11.0088 2.00062C11.0392 2.00021 11.0696 2 11.1 2C11.646 2 12.1775 2.06644 12.6858 2.192C14.8331 2.7225 16.5652 4.31155 17.2193 6.37863C17.9415 6.47026 18.6217 6.69802 19.2299 7.03569C19.4545 7.16039 19.6692 7.30005 19.8726 7.45334C21.1579 8.42182 22 9.94389 22 11.6667C22 13.8773 20.6183 15.7492 18.6872 16.5614L17.7654 16.9491L16.99 15.1056L17.9118 14.7179C19.1598 14.193 20 13.0103 20 11.6667C20 10.6158 19.489 9.66848 18.669 9.05063C18.5396 8.95307 18.4026 8.86396 18.259 8.78426C17.7444 8.49852 17.1446 8.33333 16.5 8.33333C16.4803 8.33333 16.4607 8.33349 16.4411 8.33379L15.5868 8.34716L15.4403 7.50544C15.158 5.88414 13.8892 4.54944 12.2061 4.13363C11.8538 4.0466 11.4834 4 11.1 4ZM12.998 10.002V13.001H10.998V10.002H12.998ZM8.99805 12.002V15H6.99805V12.002H8.99805ZM16.998 12.002V15H14.998V12.002H16.998ZM12.998 14.0005V20H10.998V14.0005H12.998ZM6.99805 15.998H9.00195V18.002H6.99805V15.998ZM14.998 15.998H17.002V18.002H14.998V15.998Z"
      }
    }]
  };
  var rainMedium = vue.defineComponent({
    name: "RainMediumIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-rain-medium", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$8V(_objectSpread$8V({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$8T, finalProps.value);
    }
  });

  function ownKeys$8U(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$8U(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$8U(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$8U(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$8S = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M12 8C7.02944 8 3 12.0294 3 17V18H1V17C1 10.9249 5.92487 6 12 6C18.0751 6 23 10.9249 23 17V18H21V17C21 12.0294 16.9706 8 12 8ZM12 11C8.68629 11 6 13.6863 6 17V18H4V17C4 12.5817 7.58172 9 12 9C16.4183 9 20 12.5817 20 17V18H18V17C18 13.6863 15.3137 11 12 11ZM12 14C10.3431 14 9 15.3431 9 17V18H7V17C7 14.2386 9.23858 12 12 12C14.7614 12 17 14.2386 17 17V18H15V17C15 15.3431 13.6569 14 12 14Z"
      }
    }]
  };
  var rainbow = vue.defineComponent({
    name: "RainbowIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-rainbow", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$8U(_objectSpread$8U({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$8S, finalProps.value);
    }
  });

  function ownKeys$8T(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$8T(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$8T(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$8T(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$8R = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M2 2H22V22H2V2Z"
      }
    }]
  };
  var rectangleFilled = vue.defineComponent({
    name: "RectangleFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-rectangle-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$8T(_objectSpread$8T({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$8R, finalProps.value);
    }
  });

  function ownKeys$8S(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$8S(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$8S(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$8S(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$8Q = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M2 2H22V22H2V2ZM4 4V20H20V4H4Z"
      }
    }]
  };
  var rectangle = vue.defineComponent({
    name: "RectangleIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-rectangle", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$8S(_objectSpread$8S({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$8Q, finalProps.value);
    }
  });

  function ownKeys$8R(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$8R(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$8R(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$8R(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$8P = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M20.4997 5.83468C18.5918 3.20865 15.4961 1.5 11.9997 1.5C6.57341 1.5 2.10958 5.61542 1.55717 10.896L1.45312 11.8905L3.44227 12.0986L3.54632 11.104C3.9933 6.83125 7.60814 3.5 11.9997 3.5C15.0404 3.5 17.7099 5.09688 19.2125 7.5H15.4997V9.5H22.4997V2.5H20.4997V5.83468ZM20.5572 11.9014L20.4532 12.896C20.0062 17.1687 16.3913 20.5 11.9997 20.5C8.95904 20.5 6.28956 18.9031 4.78702 16.5H8.49974V14.5H1.49974V21.5H3.49974V18.1653C5.40769 20.7914 8.50342 22.5 11.9997 22.5C17.4261 22.5 21.8899 18.3846 22.4423 13.104L22.5464 12.1095L20.5572 11.9014Z"
      }
    }]
  };
  var refresh = vue.defineComponent({
    name: "RefreshIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-refresh", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$8R(_objectSpread$8R({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$8P, finalProps.value);
    }
  });

  function ownKeys$8Q(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$8Q(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$8Q(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$8Q(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$8O = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M10.2386 1.6333L12 4.68409L13.7614 1.6333L15.4934 2.6333L13.1547 6.68409L19.1106 17H23V19H20.2653L21.3934 20.9539L19.6613 21.9539L17.9559 19H6.04412L4.33868 21.9539L2.60663 20.9539L3.73472 19H1V17H4.88942L10.8453 6.68409L8.50658 2.6333L10.2386 1.6333ZM12 8.68409L7.19883 17H16.8012L12 8.68409Z"
      }
    }]
  };
  var relation = vue.defineComponent({
    name: "RelationIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-relation", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$8Q(_objectSpread$8Q({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$8O, finalProps.value);
    }
  });

  function ownKeys$8P(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$8P(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$8P(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$8P(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$8N = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M15 2H2V15H7V7H15V2Z"
      }
    }, {
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M15 9H9V15H15V9Z"
      }
    }, {
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M9 17H17V9H22V22H9V17Z"
      }
    }]
  };
  var relativityFilled = vue.defineComponent({
    name: "RelativityFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-relativity-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$8P(_objectSpread$8P({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$8N, finalProps.value);
    }
  });

  function ownKeys$8O(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$8O(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$8O(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$8O(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$8M = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M2 2H15V9H22V22H9V15H2V2ZM11 15V20H20V11H15V15H11ZM13 9V4H4V13H9V9H13ZM13 11H11V13H13V11Z"
      }
    }]
  };
  var relativity = vue.defineComponent({
    name: "RelativityIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-relativity", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$8O(_objectSpread$8O({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$8M, finalProps.value);
    }
  });

  function ownKeys$8N(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$8N(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$8N(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$8N(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$8L = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M12.0041 3C8.46675 3 5.35758 4.83591 3.57841 7.61157L3.03877 8.45347L1.35498 7.37418L1.89462 6.53229C4.02599 3.20715 7.75697 1 12.0041 1C16.2512 1 19.9822 3.20715 22.1136 6.53229L22.6532 7.37418L20.9694 8.45347L20.4298 7.61157C18.6506 4.83591 15.5414 3 12.0041 3ZM11.9927 6.98828C10.2246 6.98828 8.66999 7.90531 7.77958 9.29443L7.23994 10.1363L5.55615 9.05704L6.09579 8.21515C7.3384 6.27656 9.5148 4.98828 11.9927 4.98828C14.4707 4.98828 16.6471 6.27656 17.8897 8.21515L18.4293 9.05704L16.7455 10.1363L16.2059 9.29443C15.3155 7.90531 13.7609 6.98828 11.9927 6.98828ZM5.00019 11H19.0002V23H5.00019V11ZM11.0002 15V17.0039H13.0041V15H11.0002Z"
      }
    }]
  };
  var remoteWaveFilled = vue.defineComponent({
    name: "RemoteWaveFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-remote-wave-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$8N(_objectSpread$8N({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$8L, finalProps.value);
    }
  });

  function ownKeys$8M(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$8M(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$8M(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$8M(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$8K = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M12.0036 3C8.46627 3 5.35709 4.83591 3.57792 7.61157L3.03828 8.45347L1.35449 7.37418L1.89413 6.53229C4.0255 3.20715 7.75648 1 12.0036 1C16.2507 1 19.9817 3.20715 22.1131 6.53229L22.6527 7.37418L20.9689 8.45347L20.4293 7.61157C18.6501 4.83591 15.5409 3 12.0036 3ZM11.9922 6.98828C10.2241 6.98828 8.6695 7.90531 7.77909 9.29443L7.23945 10.1363L5.55566 9.05704L6.09531 8.21515C7.33792 6.27656 9.51431 4.98828 11.9922 4.98828C14.4702 4.98828 16.6466 6.27656 17.8892 8.21515L18.4288 9.05704L16.745 10.1363L16.2054 9.29443C15.315 7.90531 13.7604 6.98828 11.9922 6.98828ZM4.9997 11H18.9997V23H16.9997V13H6.9997V23H4.9997V11ZM10.9997 15H13.0036V17.0039H10.9997V15Z"
      }
    }]
  };
  var remoteWave = vue.defineComponent({
    name: "RemoteWaveIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-remote-wave", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$8M(_objectSpread$8M({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$8K, finalProps.value);
    }
  });

  function ownKeys$8L(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$8L(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$8L(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$8L(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$8J = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M4 11L20 11V13L4 13L4 11Z"
      }
    }]
  };
  var remove = vue.defineComponent({
    name: "RemoveIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-remove", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$8L(_objectSpread$8L({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$8J, finalProps.value);
    }
  });

  function ownKeys$8K(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$8K(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$8K(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$8K(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$8I = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M23 14L18.6 10.7L19.8 9.1L20.7282 9.79616C19.7453 5.891 16.2102 3 12 3C7.02944 3 3 7.02944 3 12C3 16.9706 7.02944 21 12 21C15.689 21 18.8618 18.7803 20.2516 15.5996L20.6519 14.6833L22.4846 15.484L22.0843 16.4004C20.3878 20.2833 16.5123 23 12 23C5.92487 23 1 18.0751 1 12C1 5.92487 5.92487 1 12 1C18.0751 1 23 5.92487 23 12V14ZM16.8028 12L9.5 16.8685V7.13148L16.8028 12Z"
      }
    }]
  };
  var replayFilled = vue.defineComponent({
    name: "ReplayFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-replay-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$8K(_objectSpread$8K({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$8I, finalProps.value);
    }
  });

  function ownKeys$8J(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$8J(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$8J(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$8J(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$8H = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M23 14L18.6 10.7L19.8 9.1L20.7282 9.79616C19.7453 5.891 16.2102 3 12 3C7.02944 3 3 7.02944 3 12C3 16.9706 7.02944 21 12 21C15.689 21 18.8618 18.7803 20.2516 15.5996L20.6519 14.6833L22.4846 15.484L22.0843 16.4004C20.3878 20.2833 16.5123 23 12 23C5.92487 23 1 18.0751 1 12C1 5.92487 5.92487 1 12 1C18.0751 1 23 5.92487 23 12V14ZM16.8028 12L9.5 16.8685V7.13148L16.8028 12ZM11.5 10.8685V13.1315L13.1972 12L11.5 10.8685Z"
      }
    }]
  };
  var replay = vue.defineComponent({
    name: "ReplayIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-replay", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$8J(_objectSpread$8J({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$8H, finalProps.value);
    }
  });

  function ownKeys$8I(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$8I(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$8I(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$8I(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$8G = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M9.01735 2.40327C9.84697 1.51548 10.8866 1.00001 12 1C13.1134 1.00001 14.153 1.51549 14.9826 2.40327C16.5862 4.1193 18.3279 6.57308 19.7793 9.18426C21.2271 11.7888 22.4277 14.6246 22.8919 17.1081C23.0423 17.9132 23.0609 18.736 22.7839 19.5399C22.5034 20.3537 21.9563 21.0435 21.1581 21.6429C20.7914 21.9183 20.2371 22.1003 19.7151 22.2351C19.1449 22.3824 18.4395 22.5143 17.6481 22.6253C17.4389 22.6546 17.2226 22.6827 17 22.7092V14H7V22.7092C6.77739 22.6827 6.56111 22.6546 6.35192 22.6253C5.56051 22.5143 4.85507 22.3824 4.28486 22.2351C3.76283 22.1003 3.20861 21.9183 2.84184 21.6429C2.04366 21.0435 1.49654 20.3537 1.21607 19.5399C0.939032 18.736 0.957642 17.9132 1.10811 17.1081C1.57226 14.6246 2.77291 11.7888 4.22063 9.18426C5.67204 6.57308 7.41375 4.1193 9.01735 2.40327ZM10.9983 5.12793V7.13189H13.0018V5.12793H10.9983ZM8.2959 9.18673V11.1907H10.2994V9.18673H8.2959ZM15.7043 9.18673H13.7007V11.1907H15.7043V9.18673Z"
      }
    }, {
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M15 16V22.8945C14.0471 22.9595 13.0342 22.9974 12.0025 23H11.9975C10.9658 22.9974 9.95292 22.9595 9 22.8945V16H15Z"
      }
    }]
  };
  var riceBallFilled = vue.defineComponent({
    name: "RiceBallFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-rice-ball-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$8I(_objectSpread$8I({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$8G, finalProps.value);
    }
  });

  function ownKeys$8H(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$8H(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$8H(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$8H(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$8F = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M9.01735 2.40327C9.84697 1.51548 10.8866 1.00001 12 1C13.1134 1.00001 14.153 1.51549 14.9826 2.40327C16.5862 4.1193 18.3279 6.57308 19.7793 9.18426C21.2271 11.7888 22.4277 14.6246 22.8919 17.1081C23.0423 17.9132 23.0609 18.736 22.7839 19.5399C22.5034 20.3537 21.9563 21.0435 21.1581 21.6429C20.7914 21.9183 20.2371 22.1003 19.7151 22.2351C19.1449 22.3824 18.4395 22.5143 17.6481 22.6253C16.0628 22.8477 14.0704 22.9948 12.0025 23H11.9975C9.92959 22.9948 7.93719 22.8477 6.35192 22.6253C5.56051 22.5143 4.85507 22.3824 4.28486 22.2351C3.76283 22.1003 3.20861 21.9183 2.84184 21.6429C2.04366 21.0435 1.49654 20.3537 1.21607 19.5399C0.939032 18.736 0.957642 17.9132 1.10811 17.1081C1.57226 14.6246 2.77291 11.7888 4.22063 9.18426C5.67204 6.57308 7.41375 4.1193 9.01735 2.40327ZM12 3C11.538 3.00001 11.0022 3.20856 10.4786 3.7688C9.00947 5.34096 7.3593 7.65421 5.96873 10.1559C4.57447 12.6643 3.48304 15.2873 3.07407 17.4755C2.96189 18.0758 2.98049 18.5213 3.10693 18.8882C3.22992 19.2451 3.48974 19.6283 4.0428 20.0436C4.03989 20.042 4.04061 20.042 4.0428 20.0436C4.05405 20.0501 4.1074 20.0804 4.22531 20.1259C4.36228 20.1788 4.54807 20.2374 4.78503 20.2986C5.25856 20.421 5.88463 20.5402 6.62976 20.6447C6.75051 20.6616 6.87398 20.6781 6.99999 20.6941V13H17V20.6941C17.126 20.6781 17.2495 20.6616 17.3702 20.6447C18.1154 20.5402 18.7414 20.421 19.2149 20.2986C19.4519 20.2374 19.6377 20.1788 19.7747 20.1259C19.8926 20.0804 19.945 20.0502 19.9563 20.0438C19.9585 20.0421 19.9592 20.0421 19.9563 20.0438C20.5094 19.6284 20.7701 19.2451 20.8931 18.8882C21.0195 18.5213 21.0381 18.0758 20.9259 17.4755C20.5169 15.2873 19.4255 12.6643 18.0312 10.1559C16.6407 7.65421 14.9905 5.34096 13.5214 3.7688C12.9978 3.20856 12.462 3.00001 12 3ZM15 20.8897V15H8.99999V20.8897C9.94562 20.9572 10.9614 20.9973 12 21C13.0386 20.9973 14.0544 20.9572 15 20.8897ZM10.9982 5.12813H13.0017V7.1321H10.9982V5.12813ZM8.2958 9.18694H10.2993V11.1909H8.2958V9.18694ZM13.7007 9.18694H15.7042V11.1909H13.7007V9.18694Z"
      }
    }]
  };
  var riceBall = vue.defineComponent({
    name: "RiceBallIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-rice-ball", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$8H(_objectSpread$8H({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$8F, finalProps.value);
    }
  });

  function ownKeys$8G(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$8G(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$8G(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$8G(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$8E = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M12 4C8.85483 4 6.17033 5.21134 5.49292 7.71396C5.27866 8.5055 5.13191 9.29497 5.05728 10L18.9427 10C18.8682 9.29614 18.7218 8.50811 18.5081 7.71785C17.8306 5.21232 15.1471 4 12 4ZM3.04776 10C3.12762 9.11406 3.30525 8.14137 3.56239 7.1914C4.60455 3.34126 8.5638 2 12 2C15.4394 2 19.397 3.3431 20.4388 7.19579C20.6953 8.14435 20.8725 9.11541 20.9522 10H22V12C22 17.5228 17.5228 22 12 22C6.47715 22 2 17.5228 2 12V10H3.04776ZM10.998 4.99805H13.002V7.00195H10.998V4.99805ZM7.99805 6.99805H10.002V9.00195H7.99805V6.99805ZM13.998 6.99805H16.002V9.00195H13.998V6.99805Z"
      }
    }]
  };
  var riceFilled = vue.defineComponent({
    name: "RiceFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-rice-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$8G(_objectSpread$8G({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$8E, finalProps.value);
    }
  });

  function ownKeys$8F(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$8F(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$8F(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$8F(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$8D = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M12 4C8.85483 4 6.17033 5.21135 5.49292 7.71396C5.27866 8.5055 5.13191 9.29497 5.05728 10L18.9427 10C18.8682 9.29614 18.7218 8.50811 18.5081 7.71785C17.8306 5.21232 15.1471 4 12 4ZM20 12L4 12C4 16.4183 7.58172 20 12 20C16.4183 20 20 16.4183 20 12ZM3.04776 10C3.12762 9.11406 3.30525 8.14137 3.56239 7.1914C4.60455 3.34126 8.5638 2 12 2C15.4394 2 19.397 3.3431 20.4388 7.19579C20.6953 8.14435 20.8725 9.11541 20.9522 10H22V12C22 17.5228 17.5228 22 12 22C6.47715 22 2 17.5228 2 12V10H3.04776ZM10.998 4.99805H13.002V7.00195H10.998V4.99805ZM7.99805 6.99805H10.002V9.00195H7.99805V6.99805ZM13.998 6.99805H16.002V9.00195H13.998V6.99805Z"
      }
    }]
  };
  var rice = vue.defineComponent({
    name: "RiceIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-rice", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$8F(_objectSpread$8F({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$8D, finalProps.value);
    }
  });

  function ownKeys$8E(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$8E(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$8E(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$8E(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$8C = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M12 23C5.92487 23 1 18.0751 1 12C1 5.92487 5.92487 1 12 1C18.0751 1 23 5.92487 23 12C23 18.0751 18.0751 23 12 23ZM10 9H6V11H10V9ZM18 9H14V11H18V9ZM15 18V14H9V18H15Z"
      }
    }]
  };
  var roastFilled = vue.defineComponent({
    name: "RoastFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-roast-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$8E(_objectSpread$8E({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$8C, finalProps.value);
    }
  });

  function ownKeys$8D(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$8D(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$8D(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$8D(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$8B = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M12 3C7.02944 3 3 7.02944 3 12C3 16.9706 7.02944 21 12 21C16.9706 21 21 16.9706 21 12C21 7.02944 16.9706 3 12 3ZM1 12C1 5.92487 5.92487 1 12 1C18.0751 1 23 5.92487 23 12C23 18.0751 18.0751 23 12 23C5.92487 23 1 18.0751 1 12ZM6 9H10V11H6V9ZM14 9H18V11H14V9ZM9 13H15V18H9V13ZM11 15V16H13V15H11Z"
      }
    }]
  };
  var roast = vue.defineComponent({
    name: "RoastIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-roast", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$8D(_objectSpread$8D({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$8B, finalProps.value);
    }
  });

  function ownKeys$8C(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$8C(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$8C(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$8C(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$8A = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M18.0029 13.0675L20.2637 10.8067C21.9515 9.11889 22.8997 6.8297 22.8997 4.44275V1.09961H19.5566C17.1696 1.09961 14.8804 2.04782 13.1926 3.73565L10.9319 5.99642L5.275 5.28931L1.04008 9.52423L14.4751 22.9593L18.71 18.7243L18.0029 13.0675ZM16.2113 14.8591L16.6041 18.0018L14.4751 20.1308L12.7073 18.3631L16.2113 14.8591ZM9.14024 7.78803L5.63627 11.292L3.8685 9.52423L5.99754 7.39519L9.14024 7.78803ZM5.63627 16.9489L2.10074 20.4844L0.686523 19.0702L4.22206 15.5346L5.63627 16.9489ZM8.4647 19.7773L4.92916 23.3128L3.51495 21.8986L7.05048 18.3631L8.4647 19.7773Z"
      }
    }]
  };
  var rocketFilled = vue.defineComponent({
    name: "RocketFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-rocket-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$8C(_objectSpread$8C({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$8A, finalProps.value);
    }
  });

  function ownKeys$8B(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$8B(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$8B(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$8B(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$8z = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M19.5566 3.09961H20.8997V4.44275C20.8997 6.29927 20.1622 8.07975 18.8495 9.3925L11.2931 16.9489L7.05048 12.7062L14.6068 5.14986C15.9196 3.83711 17.7001 3.09961 19.5566 3.09961ZM18.0029 13.0675L20.2637 10.8067C21.9515 9.11889 22.8997 6.8297 22.8997 4.44275V1.09961H19.5566C17.1696 1.09961 14.8804 2.04782 13.1926 3.73565L10.9319 5.99642L5.275 5.28931L1.04008 9.52423L14.4751 22.9593L18.71 18.7243L18.0029 13.0675ZM16.2113 14.8591L16.6041 18.0018L14.4751 20.1308L12.7073 18.3631L16.2113 14.8591ZM9.14024 7.78803L5.63627 11.292L3.8685 9.52423L5.99754 7.39519L9.14024 7.78803ZM5.63627 16.9489L2.10074 20.4844L0.686523 19.0702L4.22206 15.5346L5.63627 16.9489ZM8.4647 19.7773L4.92916 23.3128L3.51495 21.8986L7.05048 18.3631L8.4647 19.7773Z"
      }
    }]
  };
  var rocket = vue.defineComponent({
    name: "RocketIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-rocket", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$8B(_objectSpread$8B({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$8z, finalProps.value);
    }
  });

  function ownKeys$8A(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$8A(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$8A(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$8A(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$8y = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M20.9293 13.9999C20.444 17.3922 17.5266 19.9999 14.0001 19.9999H5.50015L5.50015 17.9999H14.0002C16.7616 17.9999 19.0001 15.7613 19.0001 12.9999C19.0001 10.2385 16.7616 7.99991 14.0001 7.99991L6.91436 7.99991L9.41436 10.4999L8.00015 11.9141L3.08594 6.99991L8.00015 2.08569L9.41436 3.49991L6.91436 5.99991L14.0001 5.99991C17.8661 5.99991 21.0001 9.13392 21.0001 12.9999V13.9999H20.9293Z"
      }
    }]
  };
  var rollback = vue.defineComponent({
    name: "RollbackIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-rollback", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$8A(_objectSpread$8A({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$8y, finalProps.value);
    }
  });

  function ownKeys$8z(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$8z(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$8z(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$8z(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$8x = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M3.07089 13.9999C3.55612 17.3922 6.47353 19.9999 10 19.9999H18.5V17.9999H10C7.23858 17.9999 5 15.7613 5 12.9999C5 10.2385 7.23858 7.99991 10 7.99991L17.0858 7.99991L14.5858 10.4999L16 11.9141L20.9142 6.99991L16 2.08569L14.5858 3.49991L17.0858 5.99991L10 5.99991C6.13401 5.99991 3 9.13392 3 12.9999L3 13.9999H3.07089Z"
      }
    }]
  };
  var rollfront = vue.defineComponent({
    name: "RollfrontIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-rollfront", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$8z(_objectSpread$8z({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$8x, finalProps.value);
    }
  });

  function ownKeys$8y(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$8y(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$8y(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$8y(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$8w = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M22 2V22L2 22V2H22ZM18 7.5L6 7.5V9.5L18 9.5V7.5ZM14 11.5L6 11.5V13.5L14 13.5V11.5Z"
      }
    }]
  };
  var rootListFilled = vue.defineComponent({
    name: "RootListFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-root-list-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$8y(_objectSpread$8y({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$8w, finalProps.value);
    }
  });

  function ownKeys$8x(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$8x(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$8x(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$8x(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$8v = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M2 2H22V22L2 22V2ZM4 4V20L20 20V4H4ZM6 7.5L18 7.5V9.5L6 9.5V7.5ZM6 11.5L14 11.5V13.5L6 13.5L6 11.5Z"
      }
    }]
  };
  var rootList = vue.defineComponent({
    name: "RootListIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-root-list", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$8x(_objectSpread$8x({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$8v, finalProps.value);
    }
  });

  function ownKeys$8w(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$8w(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$8w(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$8w(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$8u = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 25 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M12.2263 3C7.25576 3 3.22632 7.02944 3.22632 12C3.22632 16.9706 7.25576 21 12.2263 21C15.9153 21 19.0882 18.7803 20.4779 15.5996L22.3106 16.4004C20.6141 20.2833 16.7386 23 12.2263 23C6.15119 23 1.22632 18.0751 1.22632 12C1.22632 5.92487 6.15119 1 12.2263 1C18.3015 1 23.2263 5.92487 23.2263 12V14L19.6263 11.3L20.8263 9.7L20.9545 9.79616C19.9716 5.891 16.4366 3 12.2263 3ZM12.2263 8.5C12.9167 8.5 13.4763 9.05964 13.4763 9.75V10.5H10.9763V9.75C10.9763 9.05964 11.536 8.5 12.2263 8.5ZM15.4763 10.5V9.75C15.4763 7.95508 14.0212 6.5 12.2263 6.5C10.4314 6.5 8.97632 7.95507 8.97632 9.75V10.5H7.72485V17H16.7249V10.5H15.4763Z"
      }
    }]
  };
  var rotateLockedFilled = vue.defineComponent({
    name: "RotateLockedFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-rotate-locked-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$8w(_objectSpread$8w({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$8u, finalProps.value);
    }
  });

  function ownKeys$8v(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$8v(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$8v(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$8v(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$8t = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M12 3C7.02944 3 3 7.02944 3 12C3 16.9706 7.02944 21 12 21C15.689 21 18.8618 18.7803 20.2516 15.5996L22.0843 16.4004C20.3878 20.2833 16.5123 23 12 23C5.92487 23 1 18.0751 1 12C1 5.92487 5.92487 1 12 1C18.0751 1 23 5.92487 23 12V14L19.4 11.3L20.6 9.7L20.7282 9.79616C19.7453 5.891 16.2102 3 12 3ZM12 8.5C12.6904 8.5 13.25 9.05964 13.25 9.75V10.5H10.75V9.75C10.75 9.05964 11.3096 8.5 12 8.5ZM15.25 10.5V9.75C15.25 7.95508 13.7949 6.5 12 6.5C10.2051 6.5 8.75 7.95507 8.75 9.75V10.5H7.49854V17H16.4985V10.5H15.25ZM14.4985 12.5V15H9.49854V12.5H14.4985Z"
      }
    }]
  };
  var rotateLocked = vue.defineComponent({
    name: "RotateLockedIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-rotate-locked", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$8v(_objectSpread$8v({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$8t, finalProps.value);
    }
  });

  function ownKeys$8u(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$8u(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$8u(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$8u(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$8s = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M12 3C7.02944 3 3 7.02944 3 12C3 16.9706 7.02944 21 12 21C15.689 21 18.8618 18.7803 20.2516 15.5996L20.6519 14.6833L22.4846 15.484L22.0843 16.4004C20.3878 20.2833 16.5123 23 12 23C5.92487 23 1 18.0751 1 12C1 5.92487 5.92487 1 12 1C18.0751 1 23 5.92487 23 12V14L18.6 10.7L19.8 9.1L20.7282 9.79616C19.7453 5.891 16.2102 3 12 3Z"
      }
    }]
  };
  var rotate = vue.defineComponent({
    name: "RotateIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-rotate", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$8u(_objectSpread$8u({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$8s, finalProps.value);
    }
  });

  function ownKeys$8t(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$8t(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$8t(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$8t(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$8r = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M4 2V11C8.97056 11 13 15.0294 13 20H22V22H2V2H4ZM4 20H11C11 16.134 7.86599 13 4 13V20Z"
      }
    }]
  };
  var rotation = vue.defineComponent({
    name: "RotationIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-rotation", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$8t(_objectSpread$8t({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$8r, finalProps.value);
    }
  });

  function ownKeys$8s(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$8s(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$8s(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$8s(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$8q = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M4 12C4 7.58172 7.58172 4 12 4C16.4183 4 20 7.58172 20 12C20 16.4183 16.4183 20 12 20C7.58172 20 4 16.4183 4 12Z"
      }
    }]
  };
  var roundFilled = vue.defineComponent({
    name: "RoundFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-round-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$8s(_objectSpread$8s({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$8q, finalProps.value);
    }
  });

  function ownKeys$8r(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$8r(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$8r(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$8r(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$8p = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M12 6C8.68629 6 6 8.68629 6 12C6 15.3137 8.68629 18 12 18C15.3137 18 18 15.3137 18 12C18 8.68629 15.3137 6 12 6ZM4 12C4 7.58172 7.58172 4 12 4C16.4183 4 20 7.58172 20 12C20 16.4183 16.4183 20 12 20C7.58172 20 4 16.4183 4 12Z"
      }
    }]
  };
  var round = vue.defineComponent({
    name: "RoundIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-round", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$8r(_objectSpread$8r({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$8p, finalProps.value);
    }
  });

  function ownKeys$8q(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$8q(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$8q(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$8q(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$8o = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M12.0041 3C8.46675 3 5.35758 4.83591 3.57841 7.61157L3.03877 8.45347L1.35498 7.37418L1.89462 6.53229C4.02599 3.20715 7.75697 1 12.0041 1C16.2512 1 19.9822 3.20715 22.1136 6.53229L22.6532 7.37418L20.9694 8.45347L20.4298 7.61157C18.6506 4.83591 15.5414 3 12.0041 3ZM11.9927 6.98828C10.2246 6.98828 8.66999 7.90531 7.77958 9.29443L7.23994 10.1363L5.55615 9.05704L6.09579 8.21515C7.3384 6.27656 9.5148 4.98828 11.9927 4.98828C14.4707 4.98828 16.6471 6.27656 17.8897 8.21515L18.4293 9.05704L16.7455 10.1363L16.2059 9.29443C15.3155 7.90531 13.7609 6.98828 11.9927 6.98828ZM13.0002 11V14H20.0002V23H4.00019V14H11.0002V11H13.0002Z"
      }
    }]
  };
  var routerWaveFilled = vue.defineComponent({
    name: "RouterWaveFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-router-wave-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$8q(_objectSpread$8q({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$8o, finalProps.value);
    }
  });

  function ownKeys$8p(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$8p(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$8p(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$8p(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$8n = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M12.0036 3C8.46627 3 5.35709 4.83591 3.57792 7.61157L3.03828 8.45347L1.35449 7.37418L1.89413 6.53229C4.0255 3.20715 7.75648 1 12.0036 1C16.2507 1 19.9817 3.20715 22.1131 6.53229L22.6527 7.37418L20.9689 8.45347L20.4293 7.61157C18.6501 4.83591 15.5409 3 12.0036 3ZM11.9922 6.98828C10.2241 6.98828 8.6695 7.90531 7.77909 9.29443L7.23945 10.1363L5.55566 9.05704L6.09531 8.21515C7.33792 6.27656 9.51431 4.98828 11.9922 4.98828C14.4702 4.98828 16.6466 6.27656 17.8892 8.21515L18.4288 9.05704L16.745 10.1363L16.2054 9.29443C15.315 7.90531 13.7604 6.98828 11.9922 6.98828ZM12.9997 11V14H19.9997V23H3.9997V14H10.9997V11H12.9997ZM5.9997 16V21H17.9997V16H5.9997Z"
      }
    }]
  };
  var routerWave = vue.defineComponent({
    name: "RouterWaveIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-router-wave", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$8p(_objectSpread$8p({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$8n, finalProps.value);
    }
  });

  function ownKeys$8o(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$8o(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$8o(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$8o(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$8m = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M3 3H4C13.3888 3 21 10.6112 21 20V21H19V20C19 11.7157 12.2843 5 4 5H3V3ZM3 10H4C9.52285 10 14 14.4772 14 20V21H12V20C12 15.5817 8.41828 12 4 12H3V10ZM3 19C3 17.8954 3.89543 17 5 17C6.10457 17 7 17.8954 7 19C7 20.1046 6.10457 21 5 21C3.89543 21 3 20.1046 3 19Z"
      }
    }]
  };
  var rss = vue.defineComponent({
    name: "RssIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-rss", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$8o(_objectSpread$8o({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$8m, finalProps.value);
    }
  });

  function ownKeys$8n(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$8n(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$8n(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$8n(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$8l = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M16.7803 2H6.71875L5.59375 6.5H9.875V8.5H5.09375L4.46875 11H8.75V13H3.96875L3.34375 15.5H7.625V17.5H2.84375L1.71875 22L21.9995 22V20H12.2803L16.7803 2Z"
      }
    }]
  };
  var rulerFilled = vue.defineComponent({
    name: "RulerFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-ruler-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$8n(_objectSpread$8n({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$8l, finalProps.value);
    }
  });

  function ownKeys$8m(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$8m(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$8m(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$8m(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$8k = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M6.71875 2H17.7539L13.6396 20H21.9995V22L1.71875 22L6.71875 2ZM11.588 20L15.2452 4H8.2803L7.6553 6.5H11.8745V8.5H7.1553L6.5303 11H10.7495V13H6.0303L5.4053 15.5H9.62453V17.5H4.9053L4.2803 20H11.588Z"
      }
    }]
  };
  var ruler = vue.defineComponent({
    name: "RulerIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-ruler", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$8m(_objectSpread$8m({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$8k, finalProps.value);
    }
  });

  function ownKeys$8l(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$8l(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$8l(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$8l(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$8j = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M8.17134 1.01475L7 .811035V6H16.0189C14.4259 3.55866 11.9091 1.66479 8.17134 1.01475zM17.0786 8H7V11H17.9958C17.7893 9.98461 17.4908 8.97227 17.0786 8zM18.2902 13H7V16H18.3594C18.4033 15.036 18.3868 14.0244 18.2902 13zM18.1771 18H7V21H4V23H21V21H17.508C17.7907 20.1416 18.0232 19.115 18.1771 18z"
      }
    }]
  };
  var sailingHotelFilled = vue.defineComponent({
    name: "SailingHotelFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-sailing-hotel-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$8l(_objectSpread$8l({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$8j, finalProps.value);
    }
  });

  function ownKeys$8k(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$8k(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$8k(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$8k(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$8i = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M7 0.811035L8.17134 1.01475C12.1578 1.70804 14.7554 3.81621 16.3247 6.4944C17.2986 8.1565 17.8635 10.0136 18.1472 11.8471C18.4275 13.659 18.437 15.4713 18.2824 17.0947C18.1431 18.558 17.8658 19.9136 17.508 21H21V23H4V21H7V0.811035ZM9 21H15.3764C15.6746 20.2921 15.9645 19.2532 16.1561 18H9V21ZM9 16H16.3571C16.4055 15.0345 16.3872 14.0197 16.2803 13H9V16ZM9 11H15.9494C15.707 9.95057 15.3545 8.9356 14.8712 7.99996H9V11ZM9 5.99996H13.5131C12.4256 4.77073 10.961 3.79301 9 3.24773V5.99996Z"
      }
    }]
  };
  var sailingHotel = vue.defineComponent({
    name: "SailingHotelIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-sailing-hotel", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$8k(_objectSpread$8k({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$8i, finalProps.value);
    }
  });

  function ownKeys$8j(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$8j(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$8j(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$8j(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$8h = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M13.8 2.51531C14.6382 2.05807 15.6828 2.25718 16.2941 2.99074L21 8.63779H3V8.40621L13.8 2.51531zM3 17.3677H21V21.9977H3V17.3677zM21 10.6406H3V15.2706H21V10.6406z"
      }
    }]
  };
  var sandwichFilled = vue.defineComponent({
    name: "SandwichFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-sandwich-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$8j(_objectSpread$8j({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$8h, finalProps.value);
    }
  });

  function ownKeys$8i(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$8i(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$8i(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$8i(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$8g = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M13.8 2.51531C14.6382 2.05807 15.6828 2.25718 16.2941 2.99074L21 8.63779V21.9998H3V8.40621L13.8 2.51531ZM5 9.99984V13.9998H19V9.99984H5ZM17.865 7.99984L14.7577 4.27111L7.92166 7.99984H17.865ZM19 15.9998H5V19.9998H19V15.9998Z"
      }
    }]
  };
  var sandwich = vue.defineComponent({
    name: "SandwichIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-sandwich", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$8i(_objectSpread$8i({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$8g, finalProps.value);
    }
  });

  function ownKeys$8h(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$8h(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$8h(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$8h(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$8f = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M19.0677 7.07007L12 0.0690918L4.93229 7.07007C1.02257 10.9429 1.02257 17.2259 4.93229 21.0987C8.83675 24.9663 15.1632 24.9663 19.0677 21.0987C22.9774 17.2259 22.9774 10.9429 19.0677 7.07007ZM18 13.9963C18 17.31 15.3137 19.9963 12 19.9963V7.99634C15.3137 7.99634 18 10.6826 18 13.9963Z"
      }
    }]
  };
  var saturationFilled = vue.defineComponent({
    name: "SaturationFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-saturation-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$8h(_objectSpread$8h({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$8f, finalProps.value);
    }
  });

  function ownKeys$8g(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$8g(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$8g(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$8g(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$8e = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M12 0.0690918L19.0677 7.07007C22.9774 10.9429 22.9774 17.2259 19.0677 21.0987C15.1632 24.9663 8.83675 24.9663 4.93229 21.0987C1.02257 17.2259 1.02257 10.9429 4.93229 7.07007L12 0.0690918ZM12 2.8842L6.33978 8.49098C3.22007 11.5812 3.22007 16.5876 6.33978 19.6778C9.46476 22.7733 14.5352 22.7733 17.6602 19.6778C20.7799 16.5876 20.7799 11.5812 17.6602 8.49098L12 2.8842ZM11 9.03493H12C15.0274 9.03493 17.4816 11.4891 17.4816 14.5165C17.4816 17.5439 15.0274 19.9981 12 19.9981H11L11 9.03493ZM13 11.1807L13 17.8524C14.4355 17.4227 15.4816 16.0918 15.4816 14.5165C15.4816 12.9413 14.4355 11.6104 13 11.1807Z"
      }
    }]
  };
  var saturation = vue.defineComponent({
    name: "SaturationIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-saturation", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$8g(_objectSpread$8g({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$8e, finalProps.value);
    }
  });

  function ownKeys$8f(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$8f(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$8f(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$8f(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$8d = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M19.9983 2.00293V3.99941H22.0023V5.99941H20.7451C21.2068 7.45561 20.8602 9.11256 19.7054 10.2674L10.2656 19.7072C9.11077 20.862 7.45381 21.2086 5.99761 20.7469L5.99761 22.001H3.99761L3.99761 20.0001H2.00195V18.0001H3.2508C2.78915 16.5439 3.13571 14.887 4.2905 13.7322L13.7304 4.2923C14.8852 3.13751 16.5421 2.79095 17.9983 3.2526V2.00293H19.9983Z"
      }
    }]
  };
  var sausageFilled = vue.defineComponent({
    name: "SausageFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-sausage-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$8f(_objectSpread$8f({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$8d, finalProps.value);
    }
  });

  function ownKeys$8e(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$8e(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$8e(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$8e(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$8c = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M19.9983 2.00293V3.99941H22.0023V5.99941H20.7451C21.2068 7.45561 20.8602 9.11256 19.7054 10.2674L10.2656 19.7072C9.11077 20.862 7.45381 21.2086 5.99761 20.7469L5.99761 22.001H3.99761L3.99761 20.0001H2.00195V18.0001H3.2508C2.78915 16.5439 3.13571 14.887 4.2905 13.7322L13.7304 4.2923C14.8852 3.13751 16.5421 2.79095 17.9983 3.2526V2.00293H19.9983ZM18.2912 5.70652C17.4223 4.8376 16.0135 4.8376 15.1446 5.70652L5.70472 15.1464C4.8358 16.0153 4.8358 17.4241 5.70472 18.293C6.57363 19.1619 7.98243 19.1619 8.85134 18.293L18.2912 8.85314C19.1601 7.98422 19.1601 6.57543 18.2912 5.70652Z"
      }
    }]
  };
  var sausage = vue.defineComponent({
    name: "SausageIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-sausage", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$8e(_objectSpread$8e({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$8c, finalProps.value);
    }
  });

  function ownKeys$8d(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$8d(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$8d(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$8d(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$8b = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M8 2V4H11V2H8Z"
      }
    }, {
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M6 2V6H13V2H16.4142L22 7.58579V22H18V15H6V22H2V2H6Z"
      }
    }, {
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M8 22H16V17H8V22Z"
      }
    }]
  };
  var saveFilled = vue.defineComponent({
    name: "SaveFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-save-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$8d(_objectSpread$8d({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$8b, finalProps.value);
    }
  });

  function ownKeys$8c(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$8c(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$8c(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$8c(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$8a = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M2 2L16.4142 2L22 7.58579L22 22L2 22L2 2ZM4 4L4 20H6L6 14L18 14V20H20L20 8.41421L15.5858 4L13 4L13 8L6 8L6 4L4 4ZM8 4V6L11 6V4L8 4ZM16 20L16 16H8V20L16 20Z"
      }
    }]
  };
  var save = vue.defineComponent({
    name: "SaveIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-save", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$8c(_objectSpread$8c({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$8a, finalProps.value);
    }
  });

  function ownKeys$8b(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$8b(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$8b(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$8b(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$89 = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M10.8022 22.5007H5.19783L4.4102 18.9564C3.09004 18.3695 1.44434 17.3534 0.294702 16.2096L0 15.9164V8.50073L1.93381 8.50055L2.88731 6.91154L1.63894 3.79032L2.7735 3.52648C3.88674 3.2676 5.34267 3.33278 6.76717 4.1183L6.78641 4.10683C6.82482 4.08401 6.88 4.05143 6.94869 4.0114C7.08585 3.93145 7.27797 3.82116 7.49871 3.69925C7.9302 3.46095 8.50794 3.15762 9.00293 2.95754C9.45988 2.77284 9.89459 2.61797 10.3167 2.49005C10.1111 3.12299 10 3.79852 10 4.5C10 8.08985 12.9102 11 16.5 11C19.2649 11 21.6266 9.27369 22.566 6.84014C22.5978 6.89303 22.6292 6.94633 22.6603 7.00004C25.1245 11.2683 24.0847 16.5964 20.4341 19.6573L19.8022 22.5007H14.1978L13.7534 20.5007H11.2466L10.8022 22.5007ZM4.5 11.5H6.50391V9.49609H4.5V11.5Z"
      }
    }, {
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M16.5 0C18.9853 0 21 2.01472 21 4.5C21 6.98528 18.9853 9 16.5 9C14.0147 9 12 6.98528 12 4.5C12 2.01472 14.0147 0 16.5 0Z"
      }
    }]
  };
  var savingPotFilled = vue.defineComponent({
    name: "SavingPotFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-saving-pot-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$8b(_objectSpread$8b({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$89, finalProps.value);
    }
  });

  function ownKeys$8a(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$8a(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$8a(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$8a(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$88 = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "g",
      "attrs": {
        "clipPath": "url(#clip0_8780_6716)"
      },
      "children": [{
        "tag": "path",
        "attrs": {
          "fill": "currentColor",
          "d": "M5.19783 22.5H10.8022L11.2466 20.5H13.7534L14.1978 22.5H19.8022L20.4341 19.6565C24.0847 16.5956 25.1245 11.2675 22.6603 6.99928C22.4344 6.60815 22.1872 6.23876 21.9204 5.89149C21.9728 5.60145 22 5.30321 22 4.99927C22 2.23784 19.7614 -0.000732422 17 -0.000732422C15.3588 -0.000732422 13.9034 0.790379 12.9927 2.00868C11.6486 2.0934 10.2922 2.41134 8.98813 2.96289L8.06712 3.35244L8.84621 5.19445L9.76722 4.80491C10.5261 4.48393 11.3018 4.25852 12.0761 4.12646C12.0261 4.41011 12 4.70181 12 4.99927C12 7.76069 14.2386 9.99927 17 9.99927C18.6122 9.99927 20.045 9.2366 20.959 8.05316C22.94 11.5453 22.0078 15.9082 18.9199 18.309L18.6356 18.53L18.1978 20.5H15.8022L15.3577 18.5H9.64227L9.19783 20.5H6.80217L6.13342 17.4906L5.63197 17.2982C4.56752 16.8898 3.0689 16.0274 2 15.0689V10.4998L3.06619 10.4997L5.1127 7.08917L4.44457 5.41869C5.25089 5.52339 6.1802 5.91995 7.04631 6.87255L7.71902 7.61245L9.19882 6.26702L8.52611 5.52711C6.63283 3.44476 4.35664 3.15756 2.7735 3.52571L1.63894 3.78955L2.8873 6.91077L1.93381 8.49978L0 8.49996V15.9157L0.294702 16.2089C1.44434 17.3527 3.09003 18.3688 4.4102 18.9556L5.19783 22.5ZM5.5 11.4993H7.50391V9.49536H5.5V11.4993ZM17 7.99927C15.3431 7.99927 14 6.65612 14 4.99927C14 4.44743 14.1481 3.93323 14.406 3.49092C14.9275 2.59661 15.8946 1.99927 17 1.99927C18.6569 1.99927 20 3.34241 20 4.99927C20 5.29815 19.9566 5.58514 19.8764 5.85517C19.5079 7.09596 18.3582 7.99927 17 7.99927Z"
        }
      }]
    }]
  };
  var savingPot = vue.defineComponent({
    name: "SavingPotIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-saving-pot", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$8a(_objectSpread$8a({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$88, finalProps.value);
    }
  });

  function ownKeys$89(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$89(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$89(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$89(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$87 = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M2 2H9V4H4V9H2V2ZM15 2H22V9H20V4H15V2ZM2 11H22V13H2V11ZM4 15V20H9V22H2V15H4ZM22 15V22H15V20H20V15H22Z"
      }
    }]
  };
  var scan = vue.defineComponent({
    name: "ScanIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-scan", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$89(_objectSpread$89({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$87, finalProps.value);
    }
  });

  function ownKeys$88(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$88(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$88(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$88(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$86 = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M23 3H1V21H23V3ZM15 10.0476L16 9.33979V8H18V9.59847C18 10.0852 17.7638 10.5416 17.3666 10.8228L15.7034 12L17.3666 13.1772C17.7638 13.4584 18 13.9148 18 14.4015V16H16V14.6602L15 13.9524V16H13V8H15V10.0476ZM7 11.4286H9V8H11V16H9V13.4286H7C5.89543 13.4286 5 12.5331 5 11.4286V8H7V11.4286Z"
      }
    }]
  };
  var screen4kFilled = vue.defineComponent({
    name: "Screen4KFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-screen-4k-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$88(_objectSpread$88({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$86, finalProps.value);
    }
  });

  function ownKeys$87(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$87(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$87(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$87(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$85 = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M1 3L23 3V21H1L1 3ZM3 5L3 19H21V5L3 5ZM15 8V10.0476L16 9.33979V8H18V9.59847C18 10.0852 17.7638 10.5416 17.3666 10.8228L15.7034 12L17.3666 13.1772C17.7639 13.4584 18 13.9148 18 14.4015V16H16V14.6602L15 13.9524V16H13V8H15ZM7 8V11.4286H9V8H11V16H9V13.4286H7C5.89543 13.4286 5 12.5331 5 11.4286V8H7Z"
      }
    }]
  };
  var screen4k = vue.defineComponent({
    name: "Screen4KIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-screen-4k", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$87(_objectSpread$87({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$85, finalProps.value);
    }
  });

  function ownKeys$86(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$86(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$86(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$86(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$84 = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M1 1.99951H23.0001L23.0001 18.9995L17.0355 18.9995L12.0001 13.9641L6.96495 18.9995L1.00112 18.9995L1 1.99951Z"
      }
    }, {
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M17.2072 21.9997L6.79297 22L12.0001 16.7926L17.2072 21.9997Z"
      }
    }]
  };
  var screencastFilled = vue.defineComponent({
    name: "ScreencastFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-screencast-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$86(_objectSpread$86({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$84, finalProps.value);
    }
  });

  function ownKeys$85(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$85(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$85(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$85(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$83 = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M1 1.99951L23.0001 1.99951L23.0001 18.9995H17.0001V16.9995L21.0001 16.9995L21.0001 3.99951L3.00013 3.99951L3.00099 16.9995L7.00006 16.9995L7.00007 18.9995L1.00112 18.9995L1 1.99951ZM5.58581 21.9999L12 15.5853L18.4142 21.9994L5.58581 21.9999ZM10.4142 19.9997L13.5859 19.9996L12.0001 18.4137L10.4142 19.9997Z"
      }
    }]
  };
  var screencast = vue.defineComponent({
    name: "ScreencastIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-screencast", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$85(_objectSpread$85({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$83, finalProps.value);
    }
  });

  function ownKeys$84(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$84(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$84(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$84(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$82 = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M2 2L22 2L22 16H20L20 4L4 4L4 16H2L2 2ZM5.40267 9H8.22548L12 12.797L15.7745 9L18.5973 9L13.4107 14.2161L16.0985 16.92C16.5771 16.6523 17.1291 16.5 17.7143 16.5C19.514 16.5 21 17.9403 21 19.75C21 21.5597 19.514 23 17.7143 23C15.9145 23 14.4286 21.5597 14.4286 19.75C14.4286 19.26 14.5375 18.7971 14.7321 18.3825L12 15.6348L9.26788 18.3825C9.46249 18.7971 9.57143 19.26 9.57143 19.75C9.57143 21.5597 8.08546 23 6.28572 23C4.48597 23 3 21.5597 3 19.75C3 17.9403 4.48597 16.5 6.28571 16.5C6.87091 16.5 7.42293 16.6523 7.90149 16.92L10.5893 14.2161L5.40267 9ZM17.7143 18.5C16.9893 18.5 16.4286 19.0744 16.4286 19.75C16.4286 20.4256 16.9893 21 17.7143 21C18.4393 21 19 20.4256 19 19.75C19 19.0744 18.4393 18.5 17.7143 18.5ZM6.28571 18.5C5.56073 18.5 5 19.0744 5 19.75C5 20.4256 5.56073 21 6.28572 21C7.0107 21 7.57143 20.4256 7.57143 19.75C7.57143 19.0744 7.0107 18.5 6.28571 18.5Z"
      }
    }]
  };
  var screenshot = vue.defineComponent({
    name: "ScreenshotIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-screenshot", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$84(_objectSpread$84({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$82, finalProps.value);
    }
  });

  function ownKeys$83(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$83(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$83(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$83(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$81 = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M22 2V22H20V2H22ZM2 2H18V22H2V2Z"
      }
    }]
  };
  var scrollBarFilled = vue.defineComponent({
    name: "ScrollBarFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-scroll-bar-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$83(_objectSpread$83({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$81, finalProps.value);
    }
  });

  function ownKeys$82(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$82(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$82(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$82(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$80 = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M22 2L22 22H20L20 2L22 2ZM2 2L18 2L18 22L2 22L2 2ZM4 4L4 20L16 20L16 4L4 4Z"
      }
    }]
  };
  var scrollBar = vue.defineComponent({
    name: "ScrollBarIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-scroll-bar", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$82(_objectSpread$82({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$80, finalProps.value);
    }
  });

  function ownKeys$81(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$81(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$81(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$81(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$7$ = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M15.5146 2L21 9.67954V22H3V2H15.5146ZM7 4H5V8H7V4ZM10.5 4H8.5V8H10.5V4ZM14 4H12V8H14V4Z"
      }
    }]
  };
  var sdCard1Filled = vue.defineComponent({
    name: "SdCard1FilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-sd-card-1-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$81(_objectSpread$81({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$7$, finalProps.value);
    }
  });

  function ownKeys$80(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$80(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$80(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$80(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$7_ = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M3 2H15.5146L21 9.67953V22H3V2ZM12 4H11V7.5H9V4H8V7.5H6V4H5V20H19V10.3205L14.4854 4H14V7.5H12V4Z"
      }
    }]
  };
  var sdCard1 = vue.defineComponent({
    name: "SdCard1Icon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-sd-card-1", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$80(_objectSpread$80({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$7_, finalProps.value);
    }
  });

  function ownKeys$7$(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$7$(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$7$(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$7$(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$7Z = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M21 1H5V9.58579L3 11.5858V23H21V1ZM11 8H9V5H11V8ZM14 8H12V5H14V8ZM15 8V5H17V8H15Z"
      }
    }]
  };
  var sdCardFilled = vue.defineComponent({
    name: "SdCardFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-sd-card-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$7$(_objectSpread$7$({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$7Z, finalProps.value);
    }
  });

  function ownKeys$7_(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$7_(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$7_(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$7_(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$7Y = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M5 1H21V23H3V11.5858L5 9.58579V1ZM7 3V10.4142L5 12.4142V21H19V3H7ZM11 5V8H9V5H11ZM14 5V8H12V5H14ZM17 5V8H15V5H17Z"
      }
    }]
  };
  var sdCard = vue.defineComponent({
    name: "SdCardIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-sd-card", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$7_(_objectSpread$7_({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$7Y, finalProps.value);
    }
  });

  function ownKeys$7Z(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$7Z(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$7Z(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$7Z(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$7X = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M2 20.5001H22V22.5001H2V20.5001zM7 7C7 4.23858 9.23858 2 12 2 14.7614 2 17 4.23858 17 7 17 8.56955 16.2753 10.2975 15.1526 11.4883 14.9901 11.6607 14.8522 11.8446 14.7457 12.0415 14.483 12.5272 14.9477 13 15.5 13L20 13C21.1046 13 22 13.8954 22 15V19.5L2 19.5V15C2 13.8954 2.89543 13 4 13L8.5 13C9.05228 13 9.51703 12.5272 9.25426 12.0415 9.14775 11.8446 9.00993 11.6607 8.84741 11.4883 7.72475 10.2975 7 8.56955 7 7z",
        "fillOpacity": 0.9
      }
    }]
  };
  var sealFilled = vue.defineComponent({
    name: "SealFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-seal-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$7Z(_objectSpread$7Z({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$7X, finalProps.value);
    }
  });

  function ownKeys$7Y(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$7Y(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$7Y(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$7Y(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$7W = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M6.5 7C6.5 3.96243 8.96243 1.5 12 1.5C15.0376 1.5 17.5 3.96243 17.5 7C17.5 8.70712 16.7194 10.5553 15.5164 11.8313C15.2992 12.0616 15.1538 12.2884 15.0741 12.5H20C21.1046 12.5 22 13.3954 22 14.5V19.5H2V14.5C2 13.3954 2.89543 12.5 4 12.5H8.92593C8.84617 12.2884 8.70076 12.0616 8.48359 11.8313C7.2806 10.5553 6.5 8.70712 6.5 7ZM12 3.5C10.067 3.5 8.5 5.067 8.5 7C8.5 8.15682 9.05711 9.52411 9.9388 10.4593C10.485 11.0386 11 11.8708 11 12.8762V13C11 13.8284 10.3284 14.5 9.5 14.5H4V17.5H20V14.5H14.5C13.6716 14.5 13 13.8284 13 13V12.8762C13 11.8708 13.515 11.0386 14.0612 10.4593C14.9429 9.5241 15.5 8.15682 15.5 7C15.5 5.067 13.933 3.5 12 3.5ZM2 20.5001H22V22.5001H2V20.5001Z",
        "fillOpacity": 0.9
      }
    }]
  };
  var seal = vue.defineComponent({
    name: "SealIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-seal", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$7Y(_objectSpread$7Y({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$7W, finalProps.value);
    }
  });

  function ownKeys$7X(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$7X(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$7X(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$7X(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$7V = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M15.762 17.1765C14.3137 18.3208 12.579 18.9266 10.8275 18.9937C10.9403 18.5141 11 18.014 11 17.5C11 13.9101 8.08985 11 4.5 11C3.63546 11 2.81034 11.1688 2.05579 11.4752C1.77014 8.9875 2.58141 6.39778 4.48959 4.48959C7.80905 1.17014 13.191 1.17014 16.5104 4.48959C19.5907 7.56987 19.8126 12.4261 17.1763 15.7623L22.5206 21.1067L21.1064 22.5209L15.762 17.1765Z"
      }
    }, {
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M8.74261 14.6717L7.32839 13.2574L4.49996 16.0859L1.67154 13.2574L0.257324 14.6717L3.08575 17.5001L0.257324 20.3285L1.67154 21.7427L4.49996 18.9143L7.32839 21.7427L8.74261 20.3285L5.91418 17.5001L8.74261 14.6717Z"
      }
    }]
  };
  var searchErrorFilled = vue.defineComponent({
    name: "SearchErrorFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-search-error-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$7X(_objectSpread$7X({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$7V, finalProps.value);
    }
  });

  function ownKeys$7W(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$7W(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$7W(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$7W(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$7U = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M15.0966 5.90381C12.5582 3.3654 8.44267 3.3654 5.90426 5.90381C4.634 7.17406 3.99959 8.83721 4.00045 10.5034L4.00097 11.5034L2.00097 11.5044L2.00045 10.5044C1.99933 8.32916 2.82939 6.15025 4.49005 4.48959C7.8095 1.17014 13.1914 1.17014 16.5109 4.48959C19.5911 7.56983 19.8131 12.4259 17.1768 15.7621L22.5213 21.1066L21.1071 22.5208L15.7626 17.1763C14.2238 18.392 12.3609 19 10.5005 19H9.50045V17H10.5005C12.1655 17 13.8272 16.3656 15.0966 15.0962C17.6351 12.5578 17.6351 8.44221 15.0966 5.90381ZM1.67203 13.2574L4.50045 16.0858L7.32888 13.2574L8.74309 14.6716L5.91467 17.5L8.74309 20.3284L7.32888 21.7426L4.50045 18.9142L1.67203 21.7426L0.257812 20.3284L3.08624 17.5L0.257812 14.6716L1.67203 13.2574Z"
      }
    }]
  };
  var searchError = vue.defineComponent({
    name: "SearchErrorIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-search-error", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$7W(_objectSpread$7W({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$7U, finalProps.value);
    }
  });

  function ownKeys$7V(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$7V(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$7V(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$7V(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$7T = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M15.762 17.1765C12.4258 19.8126 7.56978 19.5906 4.48959 16.5104C1.17014 13.191 1.17014 7.80905 4.48959 4.48959C7.80905 1.17014 13.191 1.17014 16.5104 4.48959C19.5907 7.56987 19.8126 12.4261 17.1763 15.7623L22.5206 21.1067L21.1064 22.5209L15.762 17.1765Z"
      }
    }]
  };
  var searchFilled = vue.defineComponent({
    name: "SearchFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-search-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$7V(_objectSpread$7V({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$7T, finalProps.value);
    }
  });

  function ownKeys$7U(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$7U(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$7U(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$7U(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$7S = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M15.0962 5.90381C12.5578 3.3654 8.44221 3.3654 5.90381 5.90381C3.3654 8.44221 3.3654 12.5578 5.90381 15.0962C8.44221 17.6346 12.5578 17.6346 15.0962 15.0962C17.6346 12.5578 17.6346 8.44221 15.0962 5.90381ZM4.48959 4.48959C7.80905 1.17014 13.191 1.17014 16.5104 4.48959C19.5906 7.56983 19.8126 12.4259 17.1764 15.7621L22.5208 21.1066L21.1066 22.5208L15.7621 17.1764C12.4259 19.8126 7.56983 19.5906 4.48959 16.5104C1.17014 13.191 1.17014 7.80905 4.48959 4.48959Z"
      }
    }]
  };
  var search = vue.defineComponent({
    name: "SearchIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-search", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$7U(_objectSpread$7U({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$7S, finalProps.value);
    }
  });

  function ownKeys$7T(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$7T(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$7T(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$7T(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$7R = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M22 3.94055L12 0.440552L2 3.94055V12C2 16.1271 4.53351 19.0117 6.89576 20.8031C8.08675 21.7063 9.27184 22.3623 10.1566 22.7924C10.6002 23.008 10.9717 23.1685 11.2352 23.2761C11.3671 23.33 11.4722 23.3707 11.546 23.3985C11.6592 23.4412 11.7735 23.4808 11.8878 23.5205C11.9252 23.5335 11.9626 23.5464 12 23.5595C12.0379 23.5463 12.0757 23.5331 12.1136 23.52C12.2275 23.4805 12.3413 23.441 12.454 23.3985C12.5278 23.3707 12.6329 23.33 12.7648 23.2761C13.0283 23.1685 13.3998 23.008 13.8434 22.7924C14.7282 22.3623 15.9133 21.7063 17.1042 20.8031C19.4665 19.0117 22 16.1271 22 12V3.94055ZM11.0014 15.4142L6.75879 11.1716L8.173 9.75738L11.0014 12.5858L16.6583 6.92896L18.0725 8.34317L11.0014 15.4142Z"
      }
    }]
  };
  var securedFilled = vue.defineComponent({
    name: "SecuredFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-secured-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$7T(_objectSpread$7T({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$7R, finalProps.value);
    }
  });

  function ownKeys$7S(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$7S(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$7S(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$7S(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$7Q = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M12 0.440552L22 3.94055V12C22 16.1271 19.4665 19.0117 17.1042 20.8031C15.9133 21.7063 14.7282 22.3623 13.8434 22.7924C13.3998 23.008 13.0283 23.1685 12.7648 23.2761C12.6329 23.33 12.5278 23.3707 12.454 23.3985C12.4171 23.4124 12.388 23.4232 12.3672 23.4307L12.3423 23.4397L12.3347 23.4424L12.3321 23.4433L12.3311 23.4436C12.3307 23.4438 12.3304 23.4439 12 22.5C11.6696 23.4439 11.6693 23.4438 11.6689 23.4436L11.6679 23.4433L11.6653 23.4424L11.6577 23.4397L11.6328 23.4307C11.612 23.4232 11.5829 23.4124 11.546 23.3985C11.4722 23.3707 11.3671 23.33 11.2352 23.2761C10.9717 23.1685 10.6002 23.008 10.1566 22.7924C9.27184 22.3623 8.08675 21.7063 6.89576 20.8031C4.53351 19.0117 2 16.1271 2 12V3.94055L12 0.440552ZM12 22.5L11.6689 23.4436L12 23.5595L12.3311 23.4436L12 22.5ZM12 21.4281C12.0029 21.4269 12.0058 21.4257 12.0087 21.4245C12.2374 21.3312 12.569 21.1881 12.9691 20.9936C13.7718 20.6034 14.8367 20.0126 15.8958 19.2095C18.0335 17.5884 20 15.223 20 12V5.35951L12 2.55951L4 5.35951V12C4 15.223 5.96649 17.5884 8.10424 19.2095C9.16325 20.0126 10.2282 20.6034 11.0309 20.9936C11.431 21.1881 11.7626 21.3312 11.9913 21.4245C11.9942 21.4257 11.9971 21.4269 12 21.4281ZM18.0721 8.34317L11.001 15.4142L6.75839 11.1716L8.17261 9.75739L11.001 12.5858L16.6579 6.92896L18.0721 8.34317Z"
      }
    }]
  };
  var secured = vue.defineComponent({
    name: "SecuredIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-secured", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$7S(_objectSpread$7S({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$7Q, finalProps.value);
    }
  });

  function ownKeys$7R(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$7R(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$7R(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$7R(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$7P = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M24.0029 12.0001L0.291992 1.66455L3.58686 11H11.0005V13H3.5869L0.291992 22.3356L12.8617 16.8565C13.7475 14.3198 16.1612 12.5 19 12.5C19.9274 12.5 20.8094 12.6942 21.6076 13.0442L24.0029 12.0001Z"
      }
    }, {
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M21.8308 14.7573L19.0024 17.5858L16.174 14.7573L14.7598 16.1715L17.5882 19L14.7598 21.8284L16.174 23.2426L19.0024 20.4142L21.8308 23.2426L23.245 21.8284L20.4166 19L23.245 16.1715L21.8308 14.7573Z"
      }
    }]
  };
  var sendCancelFilled = vue.defineComponent({
    name: "SendCancelFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-send-cancel-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$7R(_objectSpread$7R({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$7P, finalProps.value);
    }
  });

  function ownKeys$7Q(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$7Q(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$7Q(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$7Q(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$7O = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "g",
      "attrs": {
        "clipPath": "url(#clip0_8726_7234)"
      },
      "children": [{
        "tag": "path",
        "attrs": {
          "fill": "currentColor",
          "d": "M0.291992 1.66455L24.0029 12.0001L18.5457 14.3788L17.7465 12.5455L18.9977 12.0001L3.70856 5.33557L5.70779 11.0001H11.0003V13.0001H5.70779L3.70856 18.6646L12.2674 14.9338L13.0666 16.7672L0.291992 22.3356L3.93982 12.0001L0.291992 1.66455ZM23.0819 15.9954L20.25 18.8462L23.0713 21.6675L21.6571 23.0817L18.8381 20.2628L16.0203 23.0806L14.6061 21.6664L17.4239 18.8485L14.5861 16.0107L16.0003 14.5965L18.8358 17.432L21.663 14.5859L23.0819 15.9954Z"
        }
      }]
    }]
  };
  var sendCancel = vue.defineComponent({
    name: "SendCancelIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-send-cancel", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$7Q(_objectSpread$7Q({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$7O, finalProps.value);
    }
  });

  function ownKeys$7P(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$7P(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$7P(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$7P(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$7N = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M24.0029 12.0001L0.291992 1.66455L3.58686 11H11.0005V13H3.5869L0.291992 22.3356L24.0029 12.0001Z"
      }
    }]
  };
  var sendFilled = vue.defineComponent({
    name: "SendFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-send-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$7P(_objectSpread$7P({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$7N, finalProps.value);
    }
  });

  function ownKeys$7O(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$7O(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$7O(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$7O(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$7M = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "g",
      "attrs": {
        "clipPath": "url(#clip0_8726_7232)"
      },
      "children": [{
        "tag": "path",
        "attrs": {
          "fill": "currentColor",
          "d": "M0.291992 1.66455L24.0029 12.0001L0.291992 22.3356L3.93982 12.0001L0.291992 1.66455ZM5.70779 13.0001L3.70856 18.6646L18.9977 12.0001L3.70856 5.33557L5.70779 11.0001H11.0003V13.0001H5.70779Z"
        }
      }]
    }]
  };
  var send = vue.defineComponent({
    name: "SendIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-send", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$7O(_objectSpread$7O({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$7M, finalProps.value);
    }
  });

  function ownKeys$7N(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$7N(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$7N(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$7N(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$7L = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M5.63604 4.22256L4.92893 4.92967C3.11819 6.74041 2 9.23904 2 12.0007C2 14.7624 3.11819 17.2611 4.92893 19.0718L5.63604 19.7789L4.22183 21.1931L3.51472 20.486C1.34424 18.3155 0 15.3142 0 12.0007C0 8.6873 1.34424 5.68593 3.51472 3.51546L4.22183 2.80835L5.63604 4.22256ZM19.7773 2.80835L20.4845 3.51546C22.6549 5.68593 23.9992 8.68731 23.9992 12.0007C23.9992 15.3142 22.6549 18.3155 20.4845 20.486L19.7773 21.1931L18.3631 19.7789L19.0702 19.0718C20.881 17.2611 21.9992 14.7624 21.9992 12.0007C21.9992 9.23904 20.881 6.74041 19.0702 4.92967L18.3631 4.22256L19.7773 2.80835ZM8.46447 7.05069L7.75736 7.75779C6.67048 8.84468 6 10.3433 6 12.0004C6 13.6576 6.67048 15.1562 7.75736 16.2431L8.46447 16.9502L7.05025 18.3644L6.34315 17.6573C4.89653 16.2107 4 14.2093 4 12.0004C4 9.79157 4.89653 7.7902 6.34315 6.34358L7.05025 5.63647L8.46447 7.05069ZM16.9492 5.63647L17.6563 6.34358C19.1029 7.7902 19.9995 9.79157 19.9995 12.0004C19.9995 14.2093 19.1029 16.2107 17.6563 17.6573L16.9492 18.3644L15.535 16.9502L16.2421 16.2431C17.329 15.1562 17.9995 13.6576 17.9995 12.0004C17.9995 10.3433 17.329 8.84468 16.2421 7.75779L15.535 7.05069L16.9492 5.63647ZM12 9.99991C10.8954 9.99991 10 10.8953 10 11.9999C10 13.1045 10.8954 13.9999 12 13.9999C13.1046 13.9999 14 13.1045 14 11.9999C14 10.8953 13.1046 9.99991 12 9.99991ZM8 11.9999C8 9.79077 9.79086 7.99991 12 7.99991C14.2091 7.99991 16 9.79077 16 11.9999C16 13.8637 14.7252 15.4298 13 15.8739V20.7789H11V15.8739C9.27477 15.4298 8 13.8637 8 11.9999Z"
      }
    }]
  };
  var sensors1 = vue.defineComponent({
    name: "Sensors1Icon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-sensors-1", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$7N(_objectSpread$7N({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$7L, finalProps.value);
    }
  });

  function ownKeys$7M(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$7M(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$7M(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$7M(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$7K = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M6.34315 4.92886L5.63604 5.63597C4.00626 7.26574 3 9.51437 3 11.9999C3 14.4855 4.00631 16.7342 5.63614 18.364L6.34326 19.0711L4.92906 20.4853L4.22195 19.7782C2.23236 17.7887 1 15.0373 1 11.9999C1 8.96264 2.23231 6.21127 4.22183 4.22176L4.92893 3.51465L6.34315 4.92886ZM19.0711 3.51465L19.7782 4.22176C21.7677 6.21127 23 8.96264 23 11.9999C23 15.0373 21.7676 17.7887 19.7781 19.7782L19.0709 20.4853L17.6567 19.0711L18.3639 18.364C19.9937 16.7342 21 14.4855 21 11.9999C21 9.51437 19.9937 7.26574 18.364 5.63597L17.6569 4.92886L19.0711 3.51465ZM9.17157 7.75729L8.46446 8.46439C7.55855 9.37031 7 10.6189 7 11.9999C7 13.381 7.55859 14.6296 8.46456 15.5356L9.17168 16.2426L7.75751 17.6569L7.05038 16.9498C5.78465 15.6841 5 13.9327 5 11.9999C5 10.0672 5.78459 8.31584 7.05025 7.05018L7.75736 6.34307L9.17157 7.75729ZM16.2426 6.34308L16.9497 7.05018C18.2154 8.31584 19 10.0672 19 11.9999C19 13.9327 18.2153 15.6841 16.9496 16.9498L16.2425 17.6569L14.8283 16.2426L15.5354 15.5356C16.4414 14.6296 17 13.381 17 11.9999C17 10.6189 16.4415 9.37031 15.5355 8.4644L14.8284 7.75729L16.2426 6.34308ZM13 9.00015V15.0002H11V9.00015H13Z"
      }
    }]
  };
  var sensors2 = vue.defineComponent({
    name: "Sensors2Icon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-sensors-2", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$7M(_objectSpread$7M({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$7K, finalProps.value);
    }
  });

  function ownKeys$7L(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$7L(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$7L(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$7L(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$7J = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "g",
      "attrs": {
        "clipPath": "url(#clip0_8726_7452)"
      },
      "children": [{
        "tag": "path",
        "attrs": {
          "fill": "currentColor",
          "d": "M21.2185 4.31711C22.9546 6.39814 24 9.07825 24 11.9999C24 14.9532 22.9321 17.6586 21.163 19.7487L22.4142 20.9999L21 22.4141L12.518 13.9322C12.3528 13.9763 12.1792 13.9999 12 13.9999C10.8954 13.9999 10 13.1045 10 11.9999C10 11.8207 10.0236 11.6471 10.0677 11.4819L7.82829 9.2424C7.30442 10.033 7 10.9804 7 11.9999C7 13.2185 7.43464 14.3329 8.15844 15.2005L8.79903 15.9684L7.26327 17.2496L6.62268 16.4817C5.61009 15.2679 5 13.7038 5 11.9999C5 10.428 5.519 8.97605 6.39368 7.8078L4.25703 5.67115C3.72069 6.32649 3.2661 7.05085 2.90861 7.82858C2.3256 9.09696 2 10.509 2 11.9999C2 13.4908 2.3256 14.9029 2.90861 16.1712C3.27938 16.9779 3.75461 17.7271 4.31723 18.4015L4.95783 19.1694L3.42207 20.4506L2.78147 19.6827C2.10705 18.8743 1.53672 17.9754 1.09139 17.0065C0.390386 15.4814 -7.80246e-08 13.7849 0 11.9999C7.80247e-08 10.2149 0.390387 8.51836 1.09139 6.99329C1.54886 5.99803 2.13825 5.07655 2.83696 4.25108L1.58579 2.99991L3 1.58569L11.482 10.0676C11.6472 10.0235 11.8208 9.99991 12 9.99991C13.1046 9.99991 14 10.8953 14 11.9999C14 12.1791 13.9764 12.3527 13.9323 12.518L16.1717 14.7574C16.6956 13.9668 17 13.0194 17 11.9999C17 10.7813 16.5654 9.66691 15.8416 8.7993L15.201 8.03142L16.7367 6.75023L17.3773 7.51811C18.3899 8.73189 19 10.296 19 11.9999C19 13.5718 18.481 15.0238 17.6063 16.192L19.743 18.3287C21.1543 16.6043 22 14.4016 22 11.9999C22 9.56362 21.13 7.33315 19.6828 5.5983L19.0422 4.83042L20.5779 3.54923L21.2185 4.31711Z"
        }
      }]
    }]
  };
  var sensorsOff = vue.defineComponent({
    name: "SensorsOffIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-sensors-off", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$7L(_objectSpread$7L({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$7J, finalProps.value);
    }
  });

  function ownKeys$7K(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$7K(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$7K(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$7K(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$7I = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "g",
      "attrs": {
        "clipPath": "url(#clip0_8726_7450)"
      },
      "children": [{
        "tag": "path",
        "attrs": {
          "fill": "currentColor",
          "d": "M22 11.9993C22 9.56298 21.13 7.33251 19.6828 5.59765L19.0422 4.82977L20.5779 3.54858L21.2185 4.31646C22.9546 6.39749 24 9.07761 24 11.9993C24 14.9209 22.9546 17.601 21.2185 19.6821L20.5779 20.4499L19.0422 19.1688L19.6828 18.4009C21.13 16.666 22 14.4355 22 11.9993ZM17.3773 7.51746C18.3899 8.73125 19 10.2953 19 11.9993C19 13.7032 18.3899 15.2673 17.3773 16.4811L16.7367 17.2489L15.201 15.9677L15.8416 15.1999C16.5654 14.3323 17 13.2178 17 11.9993C17 10.7807 16.5654 9.66626 15.8416 8.79866L15.201 8.03078L16.7367 6.74959L17.3773 7.51746ZM12 10C13.1046 10 14 10.8955 14 12C14 13.1046 13.1046 14 12 14C10.8954 14 10 13.1046 10 12C10 10.8955 10.8954 10 12 10ZM8.79903 8.03078L8.15844 8.79866C7.43464 9.66626 7 10.7807 7 11.9993C7 13.2178 7.43464 14.3323 8.15844 15.1999L8.79903 15.9677L7.26327 17.2489L6.62268 16.4811C5.61009 15.2673 5 13.7032 5 11.9993C5 10.2953 5.61009 8.73125 6.62268 7.51747L7.26327 6.74959L8.79903 8.03078ZM4.95783 4.82977L4.31723 5.59765C2.86995 7.33251 2 9.56298 2 11.9993C2 14.4355 2.86995 16.666 4.31723 18.4009L4.95783 19.1687L3.42207 20.4499L2.78147 19.6821C1.0454 17.601 -1.2771e-07 14.9209 0 11.9993C1.2771e-07 9.07761 1.0454 6.39749 2.78148 4.31646L3.42207 3.54858L4.95783 4.82977Z"
        }
      }]
    }]
  };
  var sensors = vue.defineComponent({
    name: "SensorsIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-sensors", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$7K(_objectSpread$7K({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$7I, finalProps.value);
    }
  });

  function ownKeys$7J(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$7J(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$7J(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$7J(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$7H = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M2 4H10V10H7V20H5V10H2V4ZM14 4H22V10H19V20H17V10H14V4ZM12.6356 12.0861L16.3848 16L12.6356 19.9139L11.1914 18.5304L12.6573 17H8V15H12.6573L11.1914 13.4696L12.6356 12.0861Z"
      }
    }]
  };
  var sequenceFilled = vue.defineComponent({
    name: "SequenceFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-sequence-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$7J(_objectSpread$7J({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$7H, finalProps.value);
    }
  });

  function ownKeys$7I(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$7I(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$7I(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$7I(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$7G = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M2 4H10V10H7V20H5V10H2V4ZM8 8V6H4V8H8ZM14 4H22V10H19V20H17V10H14V4ZM20 8V6H16V8H20ZM12.6356 12.0861L16.3848 16L12.6356 19.9139L11.1914 18.5304L12.6573 17H8V15H12.6573L11.1914 13.4696L12.6356 12.0861Z"
      }
    }]
  };
  var sequence = vue.defineComponent({
    name: "SequenceIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-sequence", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$7I(_objectSpread$7I({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$7G, finalProps.value);
    }
  });

  function ownKeys$7H(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$7H(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$7H(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$7H(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$7F = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M12 23C5.92487 23 1 18.0751 1 12C1 5.92487 5.92487 1 12 1C18.0751 1 23 5.92487 23 12C23 18.0751 18.0751 23 12 23ZM10 9H6V11H10V9ZM18 9H14V11H18V9ZM9.40076 14.4993L8.90004 13.6337L7.16882 14.6351L7.66955 15.5007C8.53256 16.9926 10.1481 18 12 18C13.852 18 15.4675 16.9926 16.3305 15.5007L16.8312 14.6351L15.1 13.6337L14.5993 14.4993C14.0791 15.3986 13.1092 16 12 16C10.8909 16 9.92099 15.3986 9.40076 14.4993Z"
      }
    }]
  };
  var serenityFilled = vue.defineComponent({
    name: "SerenityFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-serenity-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$7H(_objectSpread$7H({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$7F, finalProps.value);
    }
  });

  function ownKeys$7G(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$7G(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$7G(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$7G(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$7E = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M12 3C7.02944 3 3 7.02944 3 12C3 16.9706 7.02944 21 12 21C16.9706 21 21 16.9706 21 12C21 7.02944 16.9706 3 12 3ZM1 12C1 5.92487 5.92487 1 12 1C18.0751 1 23 5.92487 23 12C23 18.0751 18.0751 23 12 23C5.92487 23 1 18.0751 1 12ZM6 9H10V11H6V9ZM14 9H18V11H14V9ZM8.90004 13.6337L9.40076 14.4993C9.92099 15.3986 10.8909 16 12 16C13.1092 16 14.0791 15.3986 14.5993 14.4993L15.1 13.6337L16.8312 14.6351L16.3305 15.5007C15.4675 16.9926 13.852 18 12 18C10.1481 18 8.53256 16.9926 7.66955 15.5007L7.16882 14.6351L8.90004 13.6337Z"
      }
    }]
  };
  var serenity = vue.defineComponent({
    name: "SerenityIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-serenity", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$7G(_objectSpread$7G({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$7E, finalProps.value);
    }
  });

  function ownKeys$7F(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$7F(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$7F(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$7F(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$7D = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M22 2H2V11H22V2zM7.00391 5.5L7.00391 7.50391H5V5.5H7.00391zM22 13H2V22H22V13zM7.00391 16.5V18.5039H5V16.5H7.00391z"
      }
    }]
  };
  var serverFilled = vue.defineComponent({
    name: "ServerFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-server-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$7F(_objectSpread$7F({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$7D, finalProps.value);
    }
  });

  function ownKeys$7E(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$7E(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$7E(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$7E(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$7C = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M22 13V22H2L2 13L22 13ZM20 15L4 15L4 20H20V15ZM22 2V11L2 11L2 2L22 2ZM20 4L4 4L4 9L20 9V4ZM7.50391 16.5L7.50391 18.5039H5.5V16.5H7.50391ZM7.50391 5.5L7.50391 7.50391H5.5V5.5L7.50391 5.5Z"
      }
    }]
  };
  var server = vue.defineComponent({
    name: "ServerIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-server", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$7E(_objectSpread$7E({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$7C, finalProps.value);
    }
  });

  function ownKeys$7D(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$7D(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$7D(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$7D(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$7B = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M2 11C2 5.47715 6.47715 1 12 1C17.5228 1 22 5.47715 22 11V16.1538C22 17.7996 20.58 19 19 19H16V11H20C20 6.58172 16.4183 3 12 3C7.58172 3 4 6.58172 4 11H8V19H6.06301C6.28503 19.8626 7.06808 20.5 8 20.5H9.56367C9.87991 20.0466 10.4053 19.75 11 19.75H13C13.9665 19.75 14.75 20.5335 14.75 21.5C14.75 22.4665 13.9665 23.25 13 23.25H11C10.4053 23.25 9.87991 22.9534 9.56367 22.5H8C5.90559 22.5 4.18714 20.8903 4.0143 18.8406C2.87438 18.4625 2 17.4453 2 16.1538V11Z"
      }
    }]
  };
  var serviceFilled = vue.defineComponent({
    name: "ServiceFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-service-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$7D(_objectSpread$7D({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$7B, finalProps.value);
    }
  });

  function ownKeys$7C(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$7C(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$7C(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$7C(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$7A = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M2 11C2 5.47715 6.47715 1 12 1C17.5228 1 22 5.47715 22 11V16.1538C22 17.7996 20.58 19 19 19H16V11H20C20 6.58172 16.4183 3 12 3C7.58172 3 4 6.58172 4 11H8V19H6.06301C6.28503 19.8626 7.06808 20.5 8 20.5H9.56367C9.87991 20.0466 10.4053 19.75 11 19.75H13C13.9665 19.75 14.75 20.5335 14.75 21.5C14.75 22.4665 13.9665 23.25 13 23.25H11C10.4053 23.25 9.87991 22.9534 9.56367 22.5H8C5.90559 22.5 4.18714 20.8903 4.0143 18.8406C2.87438 18.4625 2 17.4453 2 16.1538V11ZM6 17V13H4V16.1538C4 16.5473 4.37084 17 5 17H6ZM20 13H18V17H19C19.6292 17 20 16.5473 20 16.1538V13Z"
      }
    }]
  };
  var service = vue.defineComponent({
    name: "ServiceIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-service", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$7C(_objectSpread$7C({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$7A, finalProps.value);
    }
  });

  function ownKeys$7B(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$7B(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$7B(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$7B(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$7z = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M14.82 1H9.18034L8.53289 4.23728C7.99386 4.47836 7.48479 4.77378 7.0126 5.11643L3.88377 4.05799L1.06396 8.94203L3.54498 11.1224C3.51532 11.4112 3.50015 11.704 3.50015 12C3.50015 12.2961 3.51532 12.5888 3.54498 12.8776L1.06396 15.058L3.88377 19.942L7.01262 18.8836C7.4848 19.2262 7.99387 19.5216 8.53289 19.7627L9.18034 23H14.82L15.4674 19.7627C16.0064 19.5216 16.5155 19.2262 16.9877 18.8836L20.1165 19.942L22.9363 15.058L20.4553 12.8776C20.485 12.5888 20.5001 12.2961 20.5001 12C20.5001 11.704 20.485 11.4112 20.4553 11.1224L22.9363 8.94203L20.1165 4.05799L16.9877 5.11643C16.5155 4.77378 16.0064 4.47836 15.4674 4.23728L14.82 1ZM12 16C9.79086 16 8 14.2091 8 12C8 9.79086 9.79086 8 12 8C14.2091 8 16 9.79086 16 12C16 14.2091 14.2091 16 12 16Z"
      }
    }]
  };
  var setting1Filled = vue.defineComponent({
    name: "Setting1FilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-setting-1-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$7B(_objectSpread$7B({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$7z, finalProps.value);
    }
  });

  function ownKeys$7A(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$7A(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$7A(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$7A(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$7y = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M9.17986 1H14.8195L15.4669 4.23728C16.0059 4.47836 16.515 4.77378 16.9872 5.11643L20.116 4.05799L22.9358 8.94203L20.4548 11.1224C20.4845 11.4112 20.4997 11.704 20.4997 12C20.4997 12.2961 20.4845 12.5888 20.4548 12.8776L22.9358 15.058L20.116 19.942L16.9872 18.8836C16.515 19.2262 16.0059 19.5216 15.4669 19.7627L14.8195 23H9.17986L8.5324 19.7627C7.99338 19.5216 7.48432 19.2262 7.01213 18.8836L3.88328 19.942L1.06348 15.058L3.54449 12.8776C3.51483 12.5888 3.49966 12.2961 3.49966 12C3.49966 11.704 3.51483 11.4112 3.54449 11.1224L1.06348 8.94203L3.88328 4.05799L7.01211 5.11643C7.4843 4.77378 7.99338 4.47836 8.5324 4.23728L9.17986 1ZM10.8195 3L10.2785 5.70491L9.75327 5.89834C9.05162 6.15676 8.40614 6.53319 7.84109 7.00413L7.41089 7.36268L4.79553 6.47793L3.61533 8.52209L5.68752 10.3432L5.59319 10.8941C5.53177 11.2529 5.49966 11.6223 5.49966 12C5.49966 12.3777 5.53177 12.7471 5.59319 13.1059L5.68752 13.6568L3.61533 15.4779L4.79553 17.5221L7.41091 16.6373L7.8411 16.9959C8.40615 17.4668 9.05162 17.8432 9.75327 18.1017L10.2785 18.2951L10.8195 21H13.1799L13.7208 18.2951L14.246 18.1017C14.9477 17.8432 15.5932 17.4668 16.1582 16.9959L16.5884 16.6373L19.2038 17.5221L20.384 15.4779L18.3118 13.6568L18.4061 13.1059C18.4675 12.7471 18.4997 12.3777 18.4997 12C18.4997 11.6223 18.4675 11.2529 18.4061 10.8941L18.3118 10.3432L20.384 8.52209L19.2038 6.47793L16.5884 7.36267L16.1582 7.00413C15.5932 6.53319 14.9477 6.15676 14.246 5.89834L13.7208 5.70491L13.1799 3H10.8195ZM11.9996 9C10.3427 9 8.99956 10.3431 8.99956 12C8.99956 13.6569 10.3427 15 11.9996 15C13.6564 15 14.9996 13.6569 14.9996 12C14.9996 10.3431 13.6564 9 11.9996 9ZM6.99956 12C6.99956 9.23858 9.23814 7 11.9996 7C14.761 7 16.9996 9.23858 16.9996 12C16.9996 14.7614 14.761 17 11.9996 17C9.23814 17 6.99956 14.7614 6.99956 12Z"
      }
    }]
  };
  var setting1 = vue.defineComponent({
    name: "Setting1Icon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-setting-1", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$7A(_objectSpread$7A({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$7y, finalProps.value);
    }
  });

  function ownKeys$7z(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$7z(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$7z(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$7z(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$7x = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M21.6604 6.42269L12.0001 0.845337L2.33984 6.42269V17.5774L12.0001 23.1547L21.6604 17.5774V6.42269ZM12 16C9.79086 16 8 14.2091 8 12C8 9.79086 9.79086 8 12 8C14.2091 8 16 9.79086 16 12C16 14.2091 14.2091 16 12 16Z"
      }
    }]
  };
  var settingFilled = vue.defineComponent({
    name: "SettingFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-setting-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$7z(_objectSpread$7z({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$7x, finalProps.value);
    }
  });

  function ownKeys$7y(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$7y(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$7y(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$7y(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$7w = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M12.0001 0.845337L21.6604 6.42269V17.5774L12.0001 23.1547L2.33984 17.5774V6.42269L12.0001 0.845337ZM12.0001 3.15474L4.33984 7.57739V16.4227L12.0001 20.8453L19.6604 16.4227V7.57739L12.0001 3.15474ZM12.0001 9.00004C10.3432 9.00004 9.0001 10.3432 9.0001 12C9.0001 13.6569 10.3432 15 12.0001 15C13.657 15 15.0001 13.6569 15.0001 12C15.0001 10.3432 13.657 9.00004 12.0001 9.00004ZM7.0001 12C7.0001 9.23861 9.23867 7.00004 12.0001 7.00004C14.7615 7.00004 17.0001 9.23861 17.0001 12C17.0001 14.7615 14.7615 17 12.0001 17C9.23867 17 7.0001 14.7615 7.0001 12Z"
      }
    }]
  };
  var setting = vue.defineComponent({
    name: "SettingIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-setting", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$7y(_objectSpread$7y({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$7w, finalProps.value);
    }
  });

  function ownKeys$7x(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$7x(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$7x(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$7x(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$7v = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M11.5001 1.85059L23.5526 12L11.5001 22.1495V15.9233C7.30565 16.1238 4.4268 17.6231 2.31385 20.5813L0.519531 19.8039C1.04297 17.1867 2.10079 14.5092 3.99754 12.3415C5.75937 10.328 8.20695 8.79947 11.5001 8.15506L11.5001 1.85059Z"
      }
    }]
  };
  var share1Filled = vue.defineComponent({
    name: "Share1FilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-share-1-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$7x(_objectSpread$7x({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$7v, finalProps.value);
    }
  });

  function ownKeys$7w(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$7w(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$7w(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$7w(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$7u = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M11.5001 1.85059L23.5526 12L11.5001 22.1495V15.9233C7.30565 16.1238 4.4268 17.6231 2.31385 20.5813L0.519531 19.8039C1.04297 17.1867 2.10079 14.5092 3.99754 12.3415C5.75937 10.328 8.20695 8.79947 11.5001 8.15506L11.5001 1.85059ZM13.5001 6.14948L13.5001 9.86733L12.6415 9.98998C9.37204 10.4571 7.09103 11.8433 5.50269 13.6585C4.79919 14.4625 4.22297 15.3609 3.75752 16.3174C6.09576 14.6658 8.97868 13.9 12.5001 13.9H13.5001V17.8506L20.4476 12L13.5001 6.14948Z"
      }
    }]
  };
  var share1 = vue.defineComponent({
    name: "Share1Icon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-share-1", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$7w(_objectSpread$7w({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$7u, finalProps.value);
    }
  });

  function ownKeys$7v(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$7v(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$7v(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$7v(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$7t = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M21.5 4.5C21.5 6.433 19.933 8 18 8C17.0667 8 16.2187 7.63468 15.5912 7.03924L8.40532 11.188C8.46723 11.4486 8.5 11.7205 8.5 12C8.5 12.2795 8.46723 12.5514 8.40532 12.812L15.5912 16.9608C16.2187 16.3653 17.0667 16 18 16C19.933 16 21.5 17.567 21.5 19.5C21.5 21.433 19.933 23 18 23C16.067 23 14.5 21.433 14.5 19.5C14.5 19.2226 14.5323 18.9528 14.5933 18.694L7.40431 14.5435C6.77728 15.1364 5.9311 15.5 5 15.5C3.067 15.5 1.5 13.933 1.5 12C1.5 10.067 3.067 8.5 5 8.5C5.93111 8.5 6.77729 8.86359 7.40433 9.45653L14.5933 5.306C14.5323 5.04723 14.5 4.77739 14.5 4.5C14.5 2.567 16.067 1 18 1C19.933 1 21.5 2.567 21.5 4.5Z"
      }
    }]
  };
  var shareFilled = vue.defineComponent({
    name: "ShareFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-share-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$7v(_objectSpread$7v({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$7t, finalProps.value);
    }
  });

  function ownKeys$7u(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$7u(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$7u(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$7u(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$7s = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M15.991 1.0351C17.9042 -0.069468 20.3506 0.586032 21.4552 2.4992C22.5597 4.41237 21.9042 6.85874 19.991 7.9633C18.3769 8.89522 16.3832 8.57429 15.1361 7.30222L8.85564 10.9282C8.95406 11.2816 9.00175 11.6421 9.00133 12.0001C9.00175 12.3581 8.95406 12.7187 8.85564 13.072L15.1361 16.698C16.3832 15.426 18.3769 15.105 19.991 16.037C21.9042 17.1415 22.5597 19.5879 21.4552 21.5011C20.3506 23.4142 17.9042 24.0697 15.991 22.9652C14.3769 22.0332 13.658 20.1462 14.1361 18.4301L7.85564 14.8041C6.60847 16.0761 4.6148 16.3971 3.00067 15.4652C2.14332 14.9702 1.53853 14.2057 1.23153 13.3405C1.07513 12.9026 0.999685 12.4494 1 12.0001C0.999685 11.5508 1.07515 11.0975 1.23161 10.6595C1.53864 9.79441 2.1434 9.03005 3.00067 8.5351C4.6148 7.60318 6.60847 7.92412 7.85564 9.19619L14.1361 5.57017C13.658 3.85406 14.3769 1.96702 15.991 1.0351ZM19.7231 3.4992C19.1708 2.54262 17.9476 2.21487 16.991 2.76715C16.0345 3.31944 15.7067 4.54262 16.259 5.4992C16.8113 6.45579 18.0345 6.78354 18.991 6.23125C19.9476 5.67897 20.2754 4.45579 19.7231 3.4992ZM3.07108 12.5271C3.1154 12.6887 3.18091 12.8473 3.26862 12.9992C3.8209 13.9558 5.04408 14.2835 6.00067 13.7313C6.64142 13.3613 7.00003 12.6904 7.001 12.0001C7.00003 11.3099 6.64142 10.6389 6.00067 10.269C5.04408 9.71672 3.8209 10.0445 3.26862 11.0011C3.0866 11.3163 3.00017 11.6605 3.00033 12.0001C3.00042 12.1787 3.02444 12.3559 3.07108 12.5271ZM18.991 17.769C18.0345 17.2167 16.8113 17.5445 16.259 18.5011C15.7067 19.4576 16.0345 20.6808 16.991 21.2331C17.9476 21.7854 19.1708 21.4576 19.7231 20.5011C20.2754 19.5445 19.9476 18.3213 18.991 17.769Z"
      }
    }]
  };
  var share = vue.defineComponent({
    name: "ShareIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-share", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$7u(_objectSpread$7u({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$7s, finalProps.value);
    }
  });

  function ownKeys$7t(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$7t(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$7t(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$7t(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$7r = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M20.5006 0.585693V19.4999H1.5864L20.5006 0.585693ZM20.5006 20.9999V22.9999L1.50098 22.9999L1.50098 20.9999L20.5006 20.9999Z"
      }
    }]
  };
  var sharpnessFilled = vue.defineComponent({
    name: "SharpnessFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-sharpness-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$7t(_objectSpread$7t({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$7r, finalProps.value);
    }
  });

  function ownKeys$7s(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$7s(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$7s(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$7s(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$7q = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M20.5006 0.585693V19.4999H1.5864L20.5006 0.585693ZM6.41482 17.4999H18.5006V5.41412L6.41482 17.4999ZM20.5006 20.9999V22.9999L1.50098 22.9999L1.50098 20.9999L20.5006 20.9999Z"
      }
    }]
  };
  var sharpness = vue.defineComponent({
    name: "SharpnessIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-sharpness", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$7s(_objectSpread$7s({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$7q, finalProps.value);
    }
  });

  function ownKeys$7r(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$7r(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$7r(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$7r(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$7p = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M2 12C2 16.1271 4.53351 19.0117 6.89576 20.8031C8.08675 21.7062 9.27184 22.3623 10.1566 22.7924C10.6002 23.008 10.9717 23.1685 11.2352 23.2761C11.3671 23.33 11.4722 23.3707 11.546 23.3985C11.6592 23.4412 11.7735 23.4808 11.8878 23.5205C11.9252 23.5335 11.9626 23.5464 12 23.5595C12.0374 23.5464 12.0749 23.5334 12.1124 23.5204C12.2267 23.4808 12.3409 23.4412 12.454 23.3985C12.5278 23.3707 12.6329 23.33 12.7648 23.2761C13.0283 23.1685 13.3998 23.008 13.8434 22.7924C14.7282 22.3623 15.9133 21.7062 17.1042 20.8031C19.4665 19.0117 22 16.1271 22 12V3.94055L12 0.440552L2 3.94055V12ZM13 8.5H10.9961V6.49609H13L13 8.5ZM11 16.5V10H13V16.5H11Z"
      }
    }]
  };
  var shieldErrorFilled = vue.defineComponent({
    name: "ShieldErrorFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-shield-error-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$7r(_objectSpread$7r({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$7p, finalProps.value);
    }
  });

  function ownKeys$7q(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$7q(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$7q(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$7q(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$7o = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M11.6697 23.4439L12 22.5L12.3304 23.4439L12 23.5595L11.6697 23.4439ZM12 21.4281C12.0029 21.4269 12.0058 21.4257 12.0087 21.4245C12.2374 21.3312 12.569 21.1881 12.9691 20.9936C13.7718 20.6034 14.8367 20.0126 15.8958 19.2095C18.0335 17.5884 20 15.223 20 12V5.35951L12 2.55951L4 5.35952L4 12C4 15.223 5.96649 17.5884 8.10424 19.2095C9.16325 20.0126 10.2282 20.6034 11.0309 20.9936C11.431 21.1881 11.7626 21.3312 11.9913 21.4245C11.9942 21.4257 11.9971 21.4269 12 21.4281ZM6.89576 20.8031C4.53351 19.0117 2 16.1271 2 12L2 3.94055L12 0.440552L22 3.94055V12C22 16.1271 19.4665 19.0117 17.1042 20.8031C15.9133 21.7062 14.7282 22.3623 13.8434 22.7924C13.3998 23.008 13.0283 23.1685 12.7648 23.2761C12.6329 23.33 12.5278 23.3707 12.454 23.3985C12.4171 23.4124 12.388 23.4232 12.3672 23.4307L12.3423 23.4397L12.3347 23.4424L12.3304 23.4439C12.3299 23.444 12.3304 23.4439 12 22.5C11.6697 23.4439 11.6701 23.444 11.6697 23.4439L11.6653 23.4424L11.6577 23.4397L11.6328 23.4307C11.612 23.4232 11.5829 23.4124 11.546 23.3985C11.4722 23.3707 11.3671 23.33 11.2353 23.2761C10.9717 23.1685 10.6002 23.008 10.1566 22.7924C9.27184 22.3623 8.08675 21.7062 6.89576 20.8031ZM11 16.5V10H13V16.5H11ZM13 8.50003H10.9961L10.9961 6.49613H13L13 8.50003Z"
      }
    }]
  };
  var shieldError = vue.defineComponent({
    name: "ShieldErrorIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-shield-error", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$7q(_objectSpread$7q({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$7o, finalProps.value);
    }
  });

  function ownKeys$7p(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$7p(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$7p(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$7p(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$7n = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M11.998 1.99561L22.998 3.09561V7.90558L20.0663 8.19876L21.0737 22.0006H13.9122L15.0077 8.71261L11.998 9L9.08393 8.71417L10.0755 22.0006H2.92239L3.92983 8.19876L0.998047 7.90558V3.09561L11.998 1.99561ZM5.92062 8.39784L5.0737 20.0006H7.92064L7.06329 8.5121L5.92062 8.39784ZM17.0312 8.51068L16.0839 20.0006H18.9224L18.0757 8.4007C17.7242 8.4376 17.3788 8.47436 17.0312 8.51068Z"
      }
    }]
  };
  var shimenFilled = vue.defineComponent({
    name: "ShimenFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-shimen-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$7p(_objectSpread$7p({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$7n, finalProps.value);
    }
  });

  function ownKeys$7o(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$7o(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$7o(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$7o(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$7m = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M11.999 1.99561L22.999 3.09561V7.90558L20.0672 8.19876L21.0747 22.0006H13.9132L15.0087 8.71261C14.8053 8.73225 14.5982 8.75216 14.3876 8.77242L14.267 8.78402C13.5827 8.84983 12.8601 8.91947 12.0985 8.99563L11.999 9.00558L9.08491 8.71417L10.0764 22.0006H2.92337L3.9308 8.19876L0.999023 7.90558V3.09561L11.999 1.99561ZM5.92159 8.39784L5.07468 20.0006H7.92162L7.06427 8.5121L5.92159 8.39784ZM17.0322 8.51068L16.0849 20.0006H18.9234L18.0767 8.4007C17.9308 8.41602 17.7863 8.43127 17.6421 8.4465L17.6276 8.44803C17.4298 8.46891 17.2323 8.48976 17.0322 8.51068ZM2.99902 4.90558V6.09561L11.9991 6.99561C12.7283 6.92291 13.421 6.85615 14.0755 6.7932L14.195 6.78171C14.8353 6.72014 15.4378 6.6622 16.0043 6.60556C16.497 6.55628 16.9548 6.50795 17.42 6.45883L17.4321 6.45755C17.9008 6.40806 18.3771 6.35779 18.8995 6.30556L20.999 6.09561V4.90558L11.999 4.00558L2.99902 4.90558Z"
      }
    }]
  };
  var shimen = vue.defineComponent({
    name: "ShimenIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-shimen", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$7o(_objectSpread$7o({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$7m, finalProps.value);
    }
  });

  function ownKeys$7n(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$7n(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$7n(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$7n(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$7l = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M22 2H2V5C2 7.20914 3.79086 9 6 9 7.19469 9 8.26706 8.47624 9 7.64582 9.73295 8.47624 10.8053 9 12 9 13.1947 9 14.2671 8.47624 15 7.64582 15.7329 8.47624 16.8053 9 18 9 20.2091 9 22 7.20914 22 5V2zM2 22.0004V9.47266C3.06151 10.4227 4.46329 11.0004 6 11.0004 7.09262 11.0004 8.11773 10.7075 9 10.1973 9.88227 10.7075 10.9074 11.0004 12 11.0004 13.0926 11.0004 14.1177 10.7075 15 10.1973 15.8823 10.7075 16.9074 11.0004 18 11.0004 19.5367 11.0004 20.9385 10.4227 22 9.47266V22.0004H16.5V14.0005H7.5V22.0004H2z"
      }
    }, {
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M9.5 16.0005V22.0005H14.5V16.0005H9.5Z"
      }
    }]
  };
  var shop1Filled = vue.defineComponent({
    name: "Shop1FilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-shop-1-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$7n(_objectSpread$7n({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$7l, finalProps.value);
    }
  });

  function ownKeys$7m(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$7m(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$7m(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$7m(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$7k = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M2 2H22V6C22 5.99995 22 6.00005 22 6V22H2V2ZM4 9.46487V20H8V13H16V20H20V9.46487C19.4117 9.80521 18.7286 10 18 10C16.8053 10 15.7329 9.47624 15 8.64582C14.2671 9.47624 13.1947 10 12 10C10.8053 10 9.73295 9.47624 9 8.64582C8.26706 9.47624 7.19469 10 6 10C5.27143 10 4.58835 9.80521 4 9.46487ZM10 6C10 7.10457 10.8954 8 12 8C13.1046 8 14 7.10457 14 6V4H10V6ZM8 4H4V6C4 7.10457 4.89543 8 6 8C7.10457 8 8 7.10457 8 6V4ZM16 4V6C16 7.10457 16.8954 8 18 8C19.1046 8 20 7.10457 20 6V4H16ZM14 20V15H10V20H14Z"
      }
    }]
  };
  var shop1 = vue.defineComponent({
    name: "Shop1Icon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-shop-1", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$7m(_objectSpread$7m({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$7k, finalProps.value);
    }
  });

  function ownKeys$7l(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$7l(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$7l(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$7l(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$7j = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M4.98178 5.10982C6.40894 3.39722 8.68374 2 12 2C15.3163 2 17.5911 3.39722 19.0182 5.10982C20.0773 6.38067 20.6733 7.82942 20.8968 9H22V11H21V20H22V22H16.5V18.5C16.5 16.0147 14.4853 14 12 14C9.51472 14 7.5 16.0147 7.5 18.5V22H2V20H3V11H2V9H3.10317C3.32668 7.82942 3.92274 6.38067 4.98178 5.10982ZM18.8461 9C18.6403 8.231 18.2137 7.2685 17.4818 6.39018C16.7708 5.53703 15.7734 4.76496 14.4003 4.34117C14.5815 4.66019 14.7532 4.9995 14.9119 5.35201C15.4055 6.44866 15.799 7.73088 15.9419 9H18.8461ZM13.9261 9C13.7925 8.05122 13.4871 7.05935 13.0881 6.17299C12.8194 5.57591 12.5183 5.04984 12.2202 4.63657C12.144 4.53083 12.0703 4.43589 12 4.3512C11.9297 4.43589 11.856 4.53083 11.7798 4.63657C11.4817 5.04984 11.1806 5.57591 10.9119 6.17299C10.5129 7.05935 10.2075 8.05122 10.0739 9H13.9261ZM8.05806 9C8.20101 7.73088 8.59446 6.44866 9.08813 5.35201C9.24682 4.9995 9.41851 4.66019 9.59969 4.34117C8.22664 4.76496 7.22919 5.53703 6.51822 6.39018C5.78629 7.2685 5.35973 8.231 5.15392 9H8.05806Z"
      }
    }, {
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M12 16C10.6193 16 9.5 17.1193 9.5 18.5V22H14.5V18.5C14.5 17.1193 13.3807 16 12 16Z"
      }
    }]
  };
  var shop2Filled = vue.defineComponent({
    name: "Shop2FilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-shop-2-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$7l(_objectSpread$7l({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$7j, finalProps.value);
    }
  });

  function ownKeys$7k(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$7k(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$7k(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$7k(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$7i = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M4.98178 5.10982C6.40894 3.39722 8.68374 2 12 2C15.3163 2 17.5911 3.39722 19.0182 5.10982C20.0773 6.38067 20.6733 7.82942 20.8968 9H22V11H21V20H22V22H2V20H3V11H2V9H3.10317C3.32668 7.82942 3.92274 6.38067 4.98178 5.10982ZM5 11V20H8V16.9997C8 14.7905 9.79098 13 12 13C14.2091 13 16 14.7909 16 17V20H19V11H5ZM18.8461 9C18.6403 8.231 18.2137 7.2685 17.4818 6.39018C16.7708 5.53703 15.7734 4.76496 14.4003 4.34117C14.5815 4.66019 14.7532 4.9995 14.9119 5.35201C15.4055 6.44866 15.799 7.73088 15.9419 9H18.8461ZM13.9261 9C13.7925 8.05122 13.4871 7.05935 13.0881 6.17299C12.8194 5.57591 12.5183 5.04984 12.2202 4.63657C12.144 4.53083 12.0703 4.43589 12 4.3512C11.9297 4.43589 11.856 4.53083 11.7798 4.63657C11.4817 5.04984 11.1806 5.57591 10.9119 6.17299C10.5129 7.05935 10.2075 8.05122 10.0739 9H13.9261ZM8.05806 9C8.20101 7.73088 8.59446 6.44866 9.08813 5.35201C9.24682 4.9995 9.41851 4.66019 9.59969 4.34117C8.22664 4.76496 7.22919 5.53703 6.51822 6.39018C5.78629 7.2685 5.35973 8.231 5.15392 9H8.05806ZM14 20V17C14 15.8954 13.1046 15 12 15C10.8953 15 10 15.8953 10 16.9997V20H14Z"
      }
    }]
  };
  var shop2 = vue.defineComponent({
    name: "Shop2Icon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-shop-2", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$7k(_objectSpread$7k({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$7i, finalProps.value);
    }
  });

  function ownKeys$7j(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$7j(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$7j(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$7j(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$7h = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M2 21.9999V8.62515C2.93941 9.33104 4.10759 9.75 5.375 9.75 6.61448 9.75 7.75906 9.34917 8.6875 8.67138 9.61594 9.34917 10.7605 9.75 12 9.75 13.2395 9.75 14.3841 9.34917 15.3125 8.67138 16.2409 9.34917 17.3855 9.75 18.625 9.75 19.8924 9.75 21.0606 9.33104 22 8.62515V21.9999H16.5V13.9999H7.5V21.9999H2zM5.375 7.75C3.8408 7.75 2.52921 6.79692 2 5.45053V2H22V5.45053C21.4708 6.79692 20.1592 7.75 18.625 7.75 17.9214 7.75 17.2646 7.54955 16.7087 7.20263 16.0976 6.82133 15.6083 6.2631 15.3125 5.59962 15.0167 6.2631 14.5274 6.82133 13.9163 7.20263 13.3604 7.54955 12.7036 7.75 12 7.75 11.2964 7.75 10.6396 7.54955 10.0837 7.20263 9.47259 6.82133 8.98331 6.2631 8.6875 5.59962 8.3917 6.2631 7.90241 6.82133 7.29134 7.20263 6.73537 7.54955 6.0786 7.75 5.375 7.75z"
      }
    }, {
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M9.5 21.9999V15.9999H14.5V21.9999H9.5Z"
      }
    }]
  };
  var shop3Filled = vue.defineComponent({
    name: "Shop3FilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-shop-3-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$7j(_objectSpread$7j({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$7h, finalProps.value);
    }
  });

  function ownKeys$7i(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$7i(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$7i(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$7i(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$7g = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M2 2H22V6C22 5.99995 22 6.00005 22 6V22H2V2ZM4 9.46487V20H8V13H16V20H20V9.46487C19.4117 9.80521 18.7286 10 18 10C16.8053 10 15.7329 9.47624 15 8.64582C14.2671 9.47624 13.1947 10 12 10C10.8053 10 9.73295 9.47624 9 8.64582C8.26706 9.47624 7.19469 10 6 10C5.27143 10 4.58835 9.80521 4 9.46487ZM8 6H10C10 7.10457 10.8954 8 12 8C13.1046 8 14 7.10457 14 6H16C16 7.10457 16.8954 8 18 8C19.1046 8 20 7.10457 20 6V4H4V6C4 7.10457 4.89543 8 6 8C7.10457 8 8 7.10457 8 6ZM14 20V15H10V20H14Z"
      }
    }]
  };
  var shop3 = vue.defineComponent({
    name: "Shop3Icon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-shop-3", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$7i(_objectSpread$7i({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$7g, finalProps.value);
    }
  });

  function ownKeys$7h(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$7h(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$7h(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$7h(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$7f = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M21 7H22V9H21V20H22V22H16.5V16.5C16.5 14.0147 14.4853 12 12 12C9.51472 12 7.5 14.0147 7.5 16.5V22H2V20H3V9H2V7H3V6C3 3.79086 4.79086 2 7 2H17C19.2091 2 21 3.79086 21 6V7ZM7 4C5.89543 4 5 4.89543 5 6V7H8V4H7ZM10 4V7H14V4H10ZM16 4V7H19V6C19 4.89543 18.1046 4 17 4H16Z"
      }
    }, {
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M12 14C10.6193 14 9.5 15.1193 9.5 16.5V22H14.5V16.5C14.5 15.1193 13.3807 14 12 14Z"
      }
    }]
  };
  var shop4Filled = vue.defineComponent({
    name: "Shop4FilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-shop-4-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$7h(_objectSpread$7h({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$7f, finalProps.value);
    }
  });

  function ownKeys$7g(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$7g(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$7g(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$7g(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$7e = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M7 4C5.89543 4 5 4.89543 5 6V7H8V4H7ZM10 4V7H14V4H10ZM16 4V7H19V6C19 4.89543 18.1046 4 17 4H16ZM21 7H22V9H21V20H22V22H2V20H3V9H2V7H3V6C3 3.79086 4.79086 2 7 2H17C19.2091 2 21 3.79086 21 6V7ZM19 9H5V20H8V15C8 12.7909 9.79086 11 12 11C14.2091 11 16 12.7909 16 15V20H19V9ZM14 20V15C14 13.8954 13.1046 13 12 13C10.8954 13 10 13.8954 10 15V20H14Z"
      }
    }]
  };
  var shop4 = vue.defineComponent({
    name: "Shop4Icon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-shop-4", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$7g(_objectSpread$7g({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$7e, finalProps.value);
    }
  });

  function ownKeys$7f(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$7f(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$7f(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$7f(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$7d = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M20.8888 2C20.8888 2 20.9315 2.05148 21 2.14672 21.2814 2.53779 22 3.66668 22 4.9989 22 5.83805 21.6171 6.59672 21 7.14114 20.3988 7.67151 19.5753 7.99854 18.6669 7.99854 17.9238 7.99854 17.2374 7.77968 16.683 7.40969 15.864 6.86314 15.3331 5.98679 15.3331 4.9989 15.3331 5.9869 14.8023 6.86333 13.9834 7.40987 13.4292 7.77975 12.743 7.99854 12 7.99854 11.2569 7.99854 10.5705 7.77968 10.0161 7.40969 9.19706 6.86314 8.66613 5.98679 8.66613 4.9989 8.66613 5.9869 8.13537 6.86333 7.31646 7.40987 6.76224 7.77975 6.07605 7.99854 5.33306 7.99854 4.42469 7.99854 3.60119 7.67151 3 7.14114 2.38288 6.59672 2 5.83805 2 4.9989 2 3.66668 2.71856 2.53779 3 2.14672 3.06854 2.05148 3.11116 2 3.11116 2H20.8888zM18.6669 9.99854C19.479 9.99854 20.2778 9.81913 21 9.48985V19.9961H22V22H16.5V14H7.5V22H2V19.9961H3V9.48985C3.72221 9.81913 4.52103 9.99854 5.33306 9.99854 6.54353 9.99854 7.72463 9.5999 8.66637 8.9004 9.60839 9.59994 10.7897 9.99854 12 9.99854 13.2105 9.99854 14.3916 9.5999 15.3333 8.9004 16.2753 9.59994 17.4566 9.99854 18.6669 9.99854z"
      }
    }, {
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M9.5 22V16H14.5V22H9.5Z"
      }
    }]
  };
  var shop5Filled = vue.defineComponent({
    name: "Shop5FilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-shop-5-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$7f(_objectSpread$7f({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$7d, finalProps.value);
    }
  });

  function ownKeys$7e(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$7e(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$7e(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$7e(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$7c = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M3.27924 2H20.7208L21.6921 4.91402C21.8731 5.45691 22.083 6.24588 21.8555 7.06828C21.6913 7.66173 21.3946 8.19867 21 8.6458V20H22V22H2V20H3V8.64575C2.37852 7.94132 2 7.01438 2 6V5.83772L3.27924 2ZM5 9.87377V20H8V13H16V20H19V9.87377C18.6802 9.95615 18.3451 10 18 10C16.8053 10 15.7329 9.47624 15 8.64582C14.2671 9.47624 13.1947 10 12 10C10.8053 10 9.73295 9.47624 9 8.64582C8.26706 9.47624 7.19469 10 6 10C5.65489 10 5.31975 9.95615 5 9.87377ZM10 6C10 7.10457 10.8954 8 12 8C13.1046 8 14 7.10457 14 6V4H10V6ZM8 4H4.72076L4.00526 6.14649C4.04369 6.67948 4.29033 7.15392 4.66691 7.49097C5.02142 7.80826 5.48712 8 6 8C7.10457 8 8 7.10457 8 6V4ZM16 4V6C16 7.10457 16.8954 8 18 8C18.5129 8 18.9786 7.80826 19.3331 7.49097C19.6157 7.23801 19.8249 6.90744 19.9279 6.53505C19.987 6.32154 19.9537 6.02326 19.7947 5.54648L19.2792 4H16ZM14 20V15H10V20H14Z"
      }
    }]
  };
  var shop5 = vue.defineComponent({
    name: "Shop5Icon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-shop-5", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$7e(_objectSpread$7e({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$7c, finalProps.value);
    }
  });

  function ownKeys$7d(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$7d(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$7d(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$7d(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$7b = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M12 1C9.51472 1 7.5 3.01472 7.5 5.5V7H3V23H21V7H16.5V5.5C16.5 3.01472 14.4853 1 12 1ZM14.5 5.5V7H9.5V5.5C9.5 4.11929 10.6193 3 12 3C13.3807 3 14.5 4.11929 14.5 5.5ZM7.5 12V9H9.5V12H7.5ZM14.5 12V9H16.5V12H14.5Z"
      }
    }]
  };
  var shopFilled = vue.defineComponent({
    name: "ShopFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-shop-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$7d(_objectSpread$7d({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$7b, finalProps.value);
    }
  });

  function ownKeys$7c(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$7c(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$7c(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$7c(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$7a = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M7.5 5.5C7.5 3.01472 9.51472 1 12 1C14.4853 1 16.5 3.01472 16.5 5.5V7H21V23H3V7H7.5V5.5ZM7.5 9H5V21H19V9H16.5V12H14.5V9H9.5V12H7.5V9ZM14.5 7V5.5C14.5 4.11929 13.3807 3 12 3C10.6193 3 9.5 4.11929 9.5 5.5V7H14.5Z"
      }
    }]
  };
  var shop = vue.defineComponent({
    name: "ShopIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-shop", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$7c(_objectSpread$7c({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$7a, finalProps.value);
    }
  });

  function ownKeys$7b(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$7b(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$7b(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$7b(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$79 = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M12.5003 21L12.5003 15H9C6.79086 15 5 16.7909 5 19V21H12.5003zM12.5003 3H1V4.375C1 6.65782 2.07377 8.47896 3.75676 9.69728 5.41388 10.8969 7.63387 11.5 10 11.5H12.5003L12.5003 3zM8.00195 4.99805V7.00195H5.99805V4.99805H8.00195zM14.5003 14.4152L14.5003 20.9861C16.2995 20.8859 17.9676 20.2498 19.332 19.2496L14.5003 14.4152zM22.9456 13C22.7415 14.8643 21.9725 16.5529 20.8054 17.8946L15.9136 13 22.9456 13zM20.8044 6.11394C21.9607 7.45451 22.737 9.14442 22.9444 11L15.9155 11 20.8044 6.11394zM14.5003 9.58679L19.3382 4.75167C17.9682 3.73643 16.3088 3.11121 14.5003 3.01347L14.5003 9.58679z"
      }
    }]
  };
  var shrimpFilled = vue.defineComponent({
    name: "ShrimpFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-shrimp-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$7b(_objectSpread$7b({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$79, finalProps.value);
    }
  });

  function ownKeys$7a(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$7a(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$7a(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$7a(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$78 = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M17.5984 5.99073L14 9.58686V5C15.3244 5 16.5497 5.35851 17.5984 5.99073ZM12 5V11L10 11C7.97723 11 6.21627 10.4087 4.98059 9.38636C3.76404 8.37989 3 6.91311 3 5L12 5ZM14 14.4153L17.5899 18.0074C16.5377 18.635 15.3054 19 14 19V14.4153ZM12 17V19H8C8 17.8954 8.89543 17 10 17H12ZM14 21C16.1908 21 18.2151 20.202 19.7726 18.9051C21.7557 17.254 23 14.7793 23 12C23 9.2351 21.7355 6.74979 19.7816 5.10234C18.2136 3.78037 16.2053 3 14 3H1V5C1 7.50516 2.02682 9.53839 3.7057 10.9274C5.36545 12.3005 7.60449 13 10 13H12V15H10C7.79086 15 6 16.7909 6 19V21H14ZM19.1528 16.7421L15.4131 13L20.9302 13C20.7273 14.4375 20.0919 15.7275 19.1528 16.7421ZM20.9282 11L15.4153 11L19.1524 7.26525C20.0827 8.28201 20.722 9.57491 20.9282 11ZM9.00195 5.99805H6.99805V8.00195H9.00195V5.99805Z"
      }
    }]
  };
  var shrimp = vue.defineComponent({
    name: "ShrimpIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-shrimp", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$7a(_objectSpread$7a({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$78, finalProps.value);
    }
  });

  function ownKeys$79(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$79(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$79(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$79(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$77 = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M1.5 11L6.58579 11L4.08579 8.5L5.5 7.08579L10.4142 12L5.5 16.9142L4.08579 15.5L6.58578 13L1.5 13L1.5 11ZM13 3V21H11V3L13 3ZM13.5858 12L18.5 7.08579L19.9142 8.5L17.4142 11L22.5 11V13L17.4142 13L19.9142 15.5L18.5 16.9142L13.5858 12Z"
      }
    }]
  };
  var shrinkHorizontal = vue.defineComponent({
    name: "ShrinkHorizontalIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-shrink-horizontal", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$79(_objectSpread$79({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$77, finalProps.value);
    }
  });

  function ownKeys$78(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$78(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$78(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$78(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$76 = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M13 1.5V6.58579L15.5 4.08579L16.9142 5.5L12 10.4142L7.08579 5.5L8.5 4.08579L11 6.58579L11 1.5L13 1.5ZM21 13L3 13L3 11L21 11L21 13ZM12 13.5858L16.9142 18.5L15.5 19.9142L13 17.4142L13 22.5H11L11 17.4142L8.5 19.9142L7.08579 18.5L12 13.5858Z"
      }
    }]
  };
  var shrinkVertical = vue.defineComponent({
    name: "ShrinkVerticalIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-shrink-vertical", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$78(_objectSpread$78({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$76, finalProps.value);
    }
  });

  function ownKeys$77(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$77(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$77(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$77(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$75 = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M14.8091 1.36241L11.4983 7.20403 21.9016 7.20403C20.5176 4.3516 17.9368 2.1862 14.8091 1.36241zM22.6191 9.12211L15.7974 9.12211 20.993 18.3358C22.2569 16.5446 22.9998 14.358 22.9998 12.0002 22.9998 11.0053 22.8674 10.0402 22.6191 9.12211zM19.6664 19.8883L16.3168 13.953 11.2297 22.9737C11.4843 22.9913 11.741 23.0002 11.9998 23.0002 14.9814 23.0002 17.6861 21.8132 19.6664 19.8883zM9.21356 22.6441L12.5151 16.7944H2.09693C3.48413 19.6549 6.07466 21.8248 9.21356 22.6441zM1.37982 14.8763L8.20211 14.8763 3.01563 5.65176C1.74616 7.44533.999756 9.63686.999756 12.0002.999756 12.9945 1.1319 13.9589 1.37982 14.8763zM4.34438 4.10125C6.32369 2.18281 9.02378 1.00024 11.9998 1.00024 12.2666 1.00024 12.5314 1.00977 12.7938 1.02851L7.68635 10.0462 4.34438 4.10125z"
      }
    }]
  };
  var shutterFilled = vue.defineComponent({
    name: "ShutterFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-shutter-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$77(_objectSpread$77({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$75, finalProps.value);
    }
  });

  function ownKeys$76(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$76(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$76(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$76(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$74 = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M5.28825 6.00379L7.50404 9.96057L11.4282 3.01786C8.992 3.1705 6.81874 4.2918 5.28825 6.00379ZM13.6504 3.15083L11.4748 7L19.4846 7C18.161 5.02284 16.0753 3.60009 13.6504 3.15083ZM20.4882 9L15.9598 9L19.9852 16.1562C20.6336 14.9133 21 13.5002 21 12C21 10.9467 20.8195 9.93733 20.4882 9ZM18.7202 17.9867L16.5 14.0397L12.5958 20.9806C15.0267 20.8219 17.1943 19.6985 18.7202 17.9867ZM10.3726 20.8534L12.5402 17L4.51536 17C5.84314 18.9834 7.93787 20.4089 10.3726 20.8534ZM3.51183 15L8.04015 15L6.62749 12.4886L4.0204 7.83308C3.36851 9.07861 3 10.4955 3 12C3 13.0533 3.18054 14.0627 3.51183 15ZM10.3348 15L13.6652 15L15.3527 12L13.6652 9L10.3443 9L8.64801 12.0012L10.3348 15ZM3.28888 5.28233C5.29881 2.67945 8.4535 1 12 1C12.4147 1 12.8244 1.02299 13.2278 1.06784C17.2082 1.51035 20.5439 4.07405 22.0843 7.59963C22.6736 8.94843 23 10.4374 23 12C23 14.5224 22.1498 16.8491 20.7208 18.7051C18.7113 21.3151 15.5522 23 12 23C11.5949 23 11.1946 22.9781 10.8002 22.9352C6.80747 22.5017 3.45973 19.9342 1.91573 16.4004C1.32642 15.0516 1 13.5626 1 12C1 9.47188 1.85408 7.14041 3.28888 5.28233Z"
      }
    }]
  };
  var shutter = vue.defineComponent({
    name: "ShutterIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-shutter", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$76(_objectSpread$76({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$74, finalProps.value);
    }
  });

  function ownKeys$75(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$75(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$75(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$75(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$73 = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M12 23C5.92487 23 1 18.0751 1 12C1 5.92487 5.92487 1 12 1C18.0751 1 23 5.92487 23 12C23 18.0751 18.0751 23 12 23ZM10 9H6V11H10V9ZM18 9H14V11H18V9ZM12 13.5858L11 12.5858L9.58579 14L10.5858 15L9.58579 16L11 17.4142L12 16.4142L13 17.4142L14.4142 16L13.4142 15L14.4142 14L13 12.5858L12 13.5858Z"
      }
    }]
  };
  var shutupFilled = vue.defineComponent({
    name: "ShutupFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-shutup-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$75(_objectSpread$75({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$73, finalProps.value);
    }
  });

  function ownKeys$74(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$74(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$74(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$74(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$72 = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M12 3C7.02944 3 3 7.02944 3 12C3 16.9706 7.02944 21 12 21C16.9706 21 21 16.9706 21 12C21 7.02944 16.9706 3 12 3ZM1 12C1 5.92487 5.92487 1 12 1C18.0751 1 23 5.92487 23 12C23 18.0751 18.0751 23 12 23C5.92487 23 1 18.0751 1 12ZM6 9H10V11H6V9ZM14 9H18V11H14V9ZM11 12.5858L12 13.5858L13 12.5858L14.4142 14L13.4142 15L14.4142 16L13 17.4142L12 16.4142L11 17.4142L9.58579 16L10.5858 15L9.58579 14L11 12.5858Z"
      }
    }]
  };
  var shutup = vue.defineComponent({
    name: "ShutupIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-shutup", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$74(_objectSpread$74({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$72, finalProps.value);
    }
  });

  function ownKeys$73(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$73(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$73(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$73(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$71 = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M21 1H7.58579L3 5.58579V23H21V1ZM11.5 16.9876V11.0059H10.5V9.00586H13.5V16.9876H11.5Z"
      }
    }]
  };
  var simCard1Filled = vue.defineComponent({
    name: "SimCard1FilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-sim-card-1-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$73(_objectSpread$73({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$71, finalProps.value);
    }
  });

  function ownKeys$72(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$72(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$72(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$72(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$70 = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M7.58579 1H21V23H3V5.58579L7.58579 1ZM8.41421 3L5 6.41421V21H19V3H8.41421ZM10.5 9.00586H13.5V16.9876H11.5V11.0059H10.5V9.00586Z"
      }
    }]
  };
  var simCard1 = vue.defineComponent({
    name: "SimCard1Icon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-sim-card-1", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$72(_objectSpread$72({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$70, finalProps.value);
    }
  });

  function ownKeys$71(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$71(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$71(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$71(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$6$ = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M21 1H7.58579L3 5.58579V23H21V1ZM11 11V12H9V11C9 9.34315 10.3431 8 12 8C13.6569 8 15 9.34315 15 11C15 11.814 14.6745 12.5539 14.1488 13.0935L14.1211 13.1219L12.28 14.7333H15V16.7333H9V14.9463L12.739 11.6737C12.902 11.4952 13 11.26 13 11C13 10.4477 12.5523 10 12 10C11.4477 10 11 10.4477 11 11Z"
      }
    }]
  };
  var simCard2Filled = vue.defineComponent({
    name: "SimCard2FilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-sim-card-2-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$71(_objectSpread$71({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$6$, finalProps.value);
    }
  });

  function ownKeys$70(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$70(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$70(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$70(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$6_ = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M7.58579 1H21V23H3V5.58579L7.58579 1ZM8.41421 3L5 6.41421V21H19V3H8.41421ZM12 10C11.4477 10 11 10.4477 11 11V12H9V11C9 9.34315 10.3431 8 12 8C13.6569 8 15 9.34315 15 11C15 11.814 14.6745 12.5539 14.1488 13.0935L14.1211 13.1219L12.28 14.7333H15V16.7333H9V14.9463L12.739 11.6737C12.902 11.4952 13 11.26 13 11C13 10.4477 12.5523 10 12 10Z"
      }
    }]
  };
  var simCard2 = vue.defineComponent({
    name: "SimCard2Icon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-sim-card-2", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$70(_objectSpread$70({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$6_, finalProps.value);
    }
  });

  function ownKeys$6$(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$6$(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$6$(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$6$(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$6Z = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M21 1H7.58579L3 5.58579V23H21V1ZM10.0039 8.99805V11.002H8V8.99805H10.0039ZM11 14V9H13V14H11ZM8 17V12H10V17H8ZM16 17H14V12H16V17ZM14 8.99805H16.0039V11.002H14V8.99805ZM13.002 14.998V17.002H10.998V14.998H13.002Z"
      }
    }]
  };
  var simCardFilled = vue.defineComponent({
    name: "SimCardFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-sim-card-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$6$(_objectSpread$6$({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$6Z, finalProps.value);
    }
  });

  function ownKeys$6_(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$6_(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$6_(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$6_(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$6Y = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M7.58579 1H21V23H3V5.58579L7.58579 1ZM8.41421 3L5 6.41421V21H19V3H8.41421ZM8 8.99805H10.0039V11.002H8V8.99805ZM14 8.99805H16.0039V11.002H14V8.99805ZM13 9V14H11V9H13ZM10 12V17H8V12H10ZM16 12V17H14V12H16ZM10.998 14.998H13.002V17.002H10.998V14.998Z"
      }
    }]
  };
  var simCard = vue.defineComponent({
    name: "SimCardIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-sim-card", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$6_(_objectSpread$6_({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$6Y, finalProps.value);
    }
  });

  function ownKeys$6Z(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$6Z(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$6Z(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$6Z(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$6X = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M12 23C5.92487 23 1 18.0751 1 12C1 5.92487 5.92487 1 12 1C18.0751 1 23 5.92487 23 12C23 18.0751 18.0751 23 12 23ZM10 9H6V12H8V11H10V9ZM18 9H14V12H16V11H18V9ZM9.40076 14.4993L8.90004 13.6337L7.16882 14.6351L7.66955 15.5007C8.53256 16.9926 10.1481 18 12 18C13.852 18 15.4675 16.9926 16.3305 15.5007L16.8312 14.6351L15.1 13.6337L14.5993 14.4993C14.0791 15.3986 13.1092 16 12 16C10.8909 16 9.92099 15.3986 9.40076 14.4993Z"
      }
    }]
  };
  var sinisterSmileFilled = vue.defineComponent({
    name: "SinisterSmileFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-sinister-smile-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$6Z(_objectSpread$6Z({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$6X, finalProps.value);
    }
  });

  function ownKeys$6Y(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$6Y(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$6Y(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$6Y(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$6W = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M12 3C7.02944 3 3 7.02944 3 12C3 16.9706 7.02944 21 12 21C16.9706 21 21 16.9706 21 12C21 7.02944 16.9706 3 12 3ZM1 12C1 5.92487 5.92487 1 12 1C18.0751 1 23 5.92487 23 12C23 18.0751 18.0751 23 12 23C5.92487 23 1 18.0751 1 12ZM6 9H10V11H8V12H6V9ZM14 9H18V11H16V12H14V9ZM8.90004 13.6337L9.40076 14.4993C9.92099 15.3986 10.8909 16 12 16C13.1092 16 14.0791 15.3986 14.5993 14.4993L15.1 13.6337L16.8312 14.6351L16.3305 15.5007C15.4675 16.9926 13.852 18 12 18C10.1481 18 8.53256 16.9926 7.66955 15.5007L7.16882 14.6351L8.90004 13.6337Z"
      }
    }]
  };
  var sinisterSmile = vue.defineComponent({
    name: "SinisterSmileIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-sinister-smile", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$6Y(_objectSpread$6Y({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$6W, finalProps.value);
    }
  });

  function ownKeys$6X(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$6X(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$6X(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$6X(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$6V = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M16.5576 12.356L11.7151 7.51354 2.07153 17.1573 2.07153 21.9997 6.91397 21.9997 16.5576 12.356zM20.7803 8.13243C22.1174 6.79523 22.1174 4.62721 20.7802 3.29001 19.443 1.9528 17.275 1.95281 15.9378 3.29002L14.1896 5.03826 12.904 3.75266 11.4898 5.16687 18.9034 12.5805 20.3176 11.1663 19.032 9.88069 20.7803 8.13243z"
      }
    }]
  };
  var sipFilled = vue.defineComponent({
    name: "SipFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-sip-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$6X(_objectSpread$6X({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$6V, finalProps.value);
    }
  });

  function ownKeys$6W(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$6W(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$6W(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$6W(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$6U = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M20.7814 8.13243C22.1186 6.79523 22.1186 4.62721 20.7814 3.29001C19.4442 1.9528 17.2762 1.95281 15.939 3.29002L14.1907 5.03826L12.9051 3.75266L11.4909 5.16687L12.7765 6.45248L2.07227 17.1569L2.07227 21.9993H6.9147L17.619 11.2949L18.9045 12.5805L20.3187 11.1663L19.0332 9.88069L20.7814 8.13243ZM16.2048 9.88069L6.08627 19.9993H4.07226L4.07227 17.9853L14.1908 7.86669L16.2048 9.88069ZM15.605 6.45247L17.3532 4.70423C17.9093 4.14807 18.811 4.14807 19.3672 4.70422C19.9233 5.26037 19.9233 6.16207 19.3672 6.71822L17.619 8.46647L15.605 6.45247Z"
      }
    }]
  };
  var sip = vue.defineComponent({
    name: "SipIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-sip", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$6W(_objectSpread$6W({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$6U, finalProps.value);
    }
  });

  function ownKeys$6V(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$6V(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$6V(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$6V(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$6T = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M1.99987 5.4999C1.99996 3.56696 3.567 2 5.49993 2C7.08542 2 8.42475 3.05424 8.85504 4.5H15.1449C15.5752 3.05425 16.9145 2 18.5 2C20.433 2 22 3.567 22 5.5C22 7.433 20.433 9 18.5 9C16.9145 9 15.5752 7.94574 15.1449 6.5H8.85503C8.78575 6.73276 8.69291 6.95537 8.57927 7.16507L16.8347 15.4205C17.3299 15.1522 17.8971 14.9998 18.4999 14.9998C20.4329 14.9998 22 16.5668 22 18.4999C22 20.4329 20.4329 22 18.4999 22C16.5668 22 14.9998 20.4329 14.9998 18.4999C14.9998 17.8971 15.1521 17.3299 15.4205 16.8347L7.16502 8.57924C6.95526 8.69291 6.73258 8.78577 6.49976 8.85506V15.1449C7.94551 15.5752 8.99999 16.9144 8.99999 18.5C8.99999 20.4331 7.43281 22 5.49987 22C3.56693 22 1.99976 20.4331 1.99976 18.5C1.99976 16.9145 3.05401 15.5752 4.49976 15.1449V8.85505C3.05401 8.42475 1.9998 7.08538 1.99987 5.4999Z"
      }
    }]
  };
  var sitemapFilled = vue.defineComponent({
    name: "SitemapFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-sitemap-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$6V(_objectSpread$6V({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$6T, finalProps.value);
    }
  });

  function ownKeys$6U(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$6U(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$6U(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$6U(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$6S = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M5.49993 4C4.67153 4 3.99991 4.67159 3.99987 5.49999C3.99983 6.32841 4.6714 7 5.49976 7C6.3283 7 6.99999 6.32831 6.99999 5.5C6.99999 4.6716 6.32839 4 5.49993 4ZM1.99987 5.4999C1.99996 3.56696 3.567 2 5.49993 2C7.08542 2 8.42475 3.05424 8.85504 4.5H15.1449C15.5752 3.05425 16.9145 2 18.5 2C20.433 2 22 3.567 22 5.5C22 7.433 20.433 9 18.5 9C16.9145 9 15.5752 7.94574 15.1449 6.5H8.85503C8.78575 6.73276 8.69291 6.95537 8.57927 7.16507L16.8347 15.4205C17.3299 15.1522 17.8971 14.9998 18.4999 14.9998C20.4329 14.9998 22 16.5668 22 18.4999C22 20.4329 20.4329 22 18.4999 22C16.5668 22 14.9998 20.4329 14.9998 18.4999C14.9998 17.8971 15.1521 17.3299 15.4205 16.8347L7.16502 8.57924C6.95526 8.69291 6.73258 8.78577 6.49976 8.85506V15.1449C7.94551 15.5752 8.99999 16.9144 8.99999 18.5C8.99999 20.4331 7.43281 22 5.49987 22C3.56693 22 1.99976 20.4331 1.99976 18.5C1.99976 16.9145 3.05401 15.5752 4.49976 15.1449V8.85505C3.05401 8.42475 1.9998 7.08538 1.99987 5.4999ZM18.5 4C17.6716 4 17 4.67157 17 5.5C17 6.32843 17.6716 7 18.5 7C19.3284 7 20 6.32843 20 5.5C20 4.67157 19.3284 4 18.5 4ZM18.4999 16.9998C17.6714 16.9998 16.9998 17.6714 16.9998 18.4999C16.9998 19.3284 17.6714 20 18.4999 20C19.3284 20 20 19.3284 20 18.4999C20 17.6714 19.3284 16.9998 18.4999 16.9998ZM5.49976 17C4.67133 17 3.99976 17.6716 3.99976 18.5C3.99976 19.3284 4.67138 20 5.49987 20C6.32836 20 6.99999 19.3284 6.99999 18.5C6.99999 17.6717 6.3283 17 5.49976 17Z"
      }
    }]
  };
  var sitemap = vue.defineComponent({
    name: "SitemapIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-sitemap", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$6U(_objectSpread$6U({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$6S, finalProps.value);
    }
  });

  function ownKeys$6T(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$6T(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$6T(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$6T(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$6R = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M18.3658 2.97363L7.36584 22.0262L5.63379 21.0262L16.6338 1.97363L18.3658 2.97363Z"
      }
    }]
  };
  var slash = vue.defineComponent({
    name: "SlashIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-slash", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$6T(_objectSpread$6T({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$6R, finalProps.value);
    }
  });

  function ownKeys$6S(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$6S(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$6S(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$6S(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$6Q = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M12 23C5.92487 23 1 18.0751 1 12C1 5.92487 5.92487 1 12 1C18.0751 1 23 5.92487 23 12C23 18.0751 18.0751 23 12 23ZM8 9.5V8.5H6V9.5C6 10.8807 7.11929 12 8.5 12C9.88071 12 11 10.8807 11 9.5V8.5H9V9.5C9 9.77614 8.77614 10 8.5 10C8.22386 10 8 9.77614 8 9.5ZM15 9.5V8.5H13V9.5C13 10.8807 14.1193 12 15.5 12C16.8807 12 18 10.8807 18 9.5V8.5H16V9.5C16 9.77614 15.7761 10 15.5 10C15.2239 10 15 9.77614 15 9.5ZM13.0039 14H11V16.0039H13.0039V14Z"
      }
    }]
  };
  var sleepFilled = vue.defineComponent({
    name: "SleepFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-sleep-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$6S(_objectSpread$6S({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$6Q, finalProps.value);
    }
  });

  function ownKeys$6R(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$6R(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$6R(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$6R(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$6P = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M12 3C7.02944 3 3 7.02944 3 12C3 16.9706 7.02944 21 12 21C16.9706 21 21 16.9706 21 12C21 7.02944 16.9706 3 12 3ZM1 12C1 5.92487 5.92487 1 12 1C18.0751 1 23 5.92487 23 12C23 18.0751 18.0751 23 12 23C5.92487 23 1 18.0751 1 12ZM8 8.5V9.5C8 9.77614 8.22386 10 8.5 10C8.77614 10 9 9.77614 9 9.5V8.5H11V9.5C11 10.8807 9.88071 12 8.5 12C7.11929 12 6 10.8807 6 9.5V8.5H8ZM15 8.5V9.5C15 9.77614 15.2239 10 15.5 10C15.7761 10 16 9.77614 16 9.5V8.5H18V9.5C18 10.8807 16.8807 12 15.5 12C14.1193 12 13 10.8807 13 9.5V8.5H15ZM11 14H13.0039V16.0039H11V14Z"
      }
    }]
  };
  var sleep = vue.defineComponent({
    name: "SleepIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-sleep", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$6R(_objectSpread$6R({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$6P, finalProps.value);
    }
  });

  function ownKeys$6Q(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$6Q(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$6Q(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$6Q(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$6O = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M0.185547 18.9616L8.15951 21.6452L12.8168 16.9879L14.0022 18.1733L22.0591 10.1142C23.8575 8.3153 23.8573 5.3992 22.0587 3.60057C20.2597 1.8016 17.3429 1.80179 15.5442 3.601L0.185547 18.9616ZM11.4026 15.5737L7.62215 19.3541L3.88063 18.0949L8.90225 13.0733L11.4026 15.5737Z"
      }
    }]
  };
  var sliceFilled = vue.defineComponent({
    name: "SliceFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-slice-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$6Q(_objectSpread$6Q({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$6O, finalProps.value);
    }
  });

  function ownKeys$6P(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$6P(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$6P(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$6P(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$6N = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M0.185547 18.9616L8.15951 21.6452L12.8168 16.9879L14.0022 18.1733L22.0591 10.1142C23.8575 8.3153 23.8573 5.3992 22.0587 3.60057C20.2597 1.8016 17.3429 1.80179 15.5442 3.601L0.185547 18.9616ZM10.3164 11.659L16.9586 5.01502C17.9763 3.99704 19.6266 3.99693 20.6444 5.01478C21.6621 6.03244 21.6622 7.68235 20.6447 8.70014L14.002 15.3446L10.3164 11.659ZM11.4026 15.5737L7.62215 19.3541L3.88063 18.0949L8.90225 13.0733L11.4026 15.5737Z"
      }
    }]
  };
  var slice = vue.defineComponent({
    name: "SliceIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-slice", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$6P(_objectSpread$6P({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$6N, finalProps.value);
    }
  });

  function ownKeys$6O(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$6O(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$6O(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$6O(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$6M = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M6 3H18V21H6V3ZM1 5H4.5V19H1V17H2.5V7H1V5ZM19.5 5H23V7H21.5V17H23V19H19.5V5Z"
      }
    }]
  };
  var slideshowFilled = vue.defineComponent({
    name: "SlideshowFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-slideshow-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$6O(_objectSpread$6O({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$6M, finalProps.value);
    }
  });

  function ownKeys$6N(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$6N(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$6N(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$6N(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$6L = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M6 3L18 3V21H6L6 3ZM8 5V19H16V5H8ZM1 5H4.5V19H1V17H2.5L2.5 7H1V5ZM19.5 5L23 5V7H21.5V17H23V19H19.5V5Z"
      }
    }]
  };
  var slideshow = vue.defineComponent({
    name: "SlideshowIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-slideshow", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$6N(_objectSpread$6N({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$6L, finalProps.value);
    }
  });

  function ownKeys$6M(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$6M(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$6M(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$6M(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$6K = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M12 23C5.92487 23 1 18.0751 1 12C1 5.92487 5.92487 1 12 1C18.0751 1 23 5.92487 23 12C23 18.0751 18.0751 23 12 23ZM9 12V8H7V12H9ZM17 12V8H15V12H17ZM9.40076 14.4993L8.90004 13.6337L7.16882 14.6351L7.66955 15.5007C8.53256 16.9926 10.1481 18 12 18C13.852 18 15.4675 16.9926 16.3305 15.5007L16.8312 14.6351L15.1 13.6337L14.5993 14.4993C14.0791 15.3986 13.1092 16 12 16C10.8909 16 9.92099 15.3986 9.40076 14.4993Z"
      }
    }]
  };
  var smileFilled = vue.defineComponent({
    name: "SmileFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-smile-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$6M(_objectSpread$6M({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$6K, finalProps.value);
    }
  });

  function ownKeys$6L(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$6L(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$6L(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$6L(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$6J = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M12 3C7.02944 3 3 7.02944 3 12C3 16.9706 7.02944 21 12 21C16.9706 21 21 16.9706 21 12C21 7.02944 16.9706 3 12 3ZM1 12C1 5.92487 5.92487 1 12 1C18.0751 1 23 5.92487 23 12C23 18.0751 18.0751 23 12 23C5.92487 23 1 18.0751 1 12ZM9 8V12H7V8H9ZM17 8V12H15V8H17ZM8.90004 13.6337L9.40076 14.4993C9.92099 15.3986 10.8909 16 12 16C13.1092 16 14.0791 15.3986 14.5993 14.4993L15.1 13.6337L16.8312 14.6351L16.3305 15.5007C15.4675 16.9926 13.852 18 12 18C10.1481 18 8.53256 16.9926 7.66955 15.5007L7.16882 14.6351L8.90004 13.6337Z"
      }
    }]
  };
  var smile = vue.defineComponent({
    name: "SmileIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-smile", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$6L(_objectSpread$6L({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$6J, finalProps.value);
    }
  });

  function ownKeys$6K(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$6K(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$6K(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$6K(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$6I = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M12 23C5.92487 23 1 18.0751 1 12C1 5.92487 5.92487 1 12 1C18.0751 1 23 5.92487 23 12C23 18.0751 18.0751 23 12 23ZM10 9H6V11H10V9ZM18 9H14V11H18V9ZM16.4684 14.7493L16.7177 13.7808L14.7808 13.2823L14.5316 14.2507C14.3566 14.9306 14.0629 15.3307 13.7101 15.5769C13.3431 15.8331 12.8008 16 12 16H11V18H12C13.063 18 14.0487 17.7795 14.8547 17.217C15.6749 16.6446 16.1994 15.7946 16.4684 14.7493Z"
      }
    }]
  };
  var sneerFilled = vue.defineComponent({
    name: "SneerFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-sneer-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$6K(_objectSpread$6K({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$6I, finalProps.value);
    }
  });

  function ownKeys$6J(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$6J(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$6J(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$6J(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$6H = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M12 3C7.02944 3 3 7.02944 3 12C3 16.9706 7.02944 21 12 21C16.9706 21 21 16.9706 21 12C21 7.02944 16.9706 3 12 3ZM1 12C1 5.92487 5.92487 1 12 1C18.0751 1 23 5.92487 23 12C23 18.0751 18.0751 23 12 23C5.92487 23 1 18.0751 1 12ZM6 9H10V11H6V9ZM14 9H18V11H14V9ZM16.7177 13.7808L16.4684 14.7493C16.1994 15.7946 15.6749 16.6446 14.8547 17.217C14.0487 17.7795 13.063 18 12 18H11V16H12C12.8008 16 13.3431 15.8331 13.7101 15.5769C14.0629 15.3307 14.3566 14.9306 14.5316 14.2507L14.7808 13.2823L16.7177 13.7808Z"
      }
    }]
  };
  var sneer = vue.defineComponent({
    name: "SneerIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-sneer", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$6J(_objectSpread$6J({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$6H, finalProps.value);
    }
  });

  function ownKeys$6I(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$6I(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$6I(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$6I(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$6G = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M13 1V2.58579L14 1.58579L15.4142 3L13 5.41421L13 9.61712L16.943 5.6361L18.3639 7.0435L14.4143 11.0313L18.583 11.0028L21 8.58579L22.4142 10L21.4142 11H23V13H21.4142L22.4142 14L21 15.4142L18.5886 13.0028L14.4142 13.0314L18.3639 16.9429L16.9566 18.364L13 14.4456L13 18.5858L15.4142 21L14 22.4142L13 21.4142L13 23L11 23L11 21.4142L10 22.4142L8.58579 21L11 18.5858L11 14.4456L7.04339 18.364L5.63606 16.9429L9.58576 13.0314L5.41138 13.0028L3 15.4142L1.58579 14L2.58579 13L1 13L1 11L2.58578 11L1.58579 10L3 8.58579L5.41704 11.0028L9.58573 11.0313L5.63606 7.0435L7.05705 5.6361L11 9.61712L11 5.41421L8.58579 3L10 1.58579L11 2.58578V1L13 1Z"
      }
    }]
  };
  var snowflake = vue.defineComponent({
    name: "SnowflakeIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-snowflake", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$6I(_objectSpread$6I({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$6G, finalProps.value);
    }
  });

  function ownKeys$6H(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$6H(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$6H(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$6H(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$6F = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M13 2L13 22H11L11 2L13 2ZM9 6L9 18H7L7 6H9ZM17 6L17 18H15L15 6H17ZM5 9V15H3V9H5ZM21 9V15H19V9H21Z"
      }
    }]
  };
  var sonic = vue.defineComponent({
    name: "SonicIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-sonic", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$6H(_objectSpread$6H({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$6F, finalProps.value);
    }
  });

  function ownKeys$6G(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$6G(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$6G(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$6G(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$6E = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M5 6.4998V17.4998L1 17.5 1 6.5 5 6.4998zM7 18.2099L15.0004 22.7095 15.0004 1.29004 7 5.7896V18.2099zM24 11H16V13H24V11z"
      }
    }]
  };
  var soundDownFilled = vue.defineComponent({
    name: "SoundDownFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-sound-down-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$6G(_objectSpread$6G({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$6E, finalProps.value);
    }
  });

  function ownKeys$6F(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$6F(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$6F(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$6F(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$6D = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M15 1.29004V22.7095L5.7369 17.4998L1 17.4998L1 6.49976H5.7369L15 1.29004ZM4.99882 8.49976H3L3 15.4998L4.99882 15.4998L4.99882 8.49976ZM6.99882 15.9149L13 19.29V4.70949L6.99882 8.08465V15.9149ZM16 10.9998H24V12.9998H16V10.9998Z"
      }
    }]
  };
  var soundDown = vue.defineComponent({
    name: "SoundDownIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-sound-down", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$6F(_objectSpread$6F({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$6D, finalProps.value);
    }
  });

  function ownKeys$6E(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$6E(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$6E(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$6E(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$6C = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M5 6.4998V17.4998L1 17.5 1 6.5 5 6.4998zM7 18.2099L15.0004 22.7095 15.0004 1.29004 7 5.7896V18.2099zM21.5814 7.77945L20.9788 6.98145 19.3828 8.18675 19.9854 8.98475C20.6412 9.85308 20.9958 10.9116 20.9954 11.9998 20.995 13.0879 20.6397 14.1462 19.9833 15.0141L19.3801 15.8116 20.9753 17.0181 21.5785 16.2205C22.4974 15.0054 22.9949 13.5238 22.9954 12.0005 22.9959 10.4771 22.4995 8.99511 21.5814 7.77945z"
      }
    }, {
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M18.7887 9.88858L18.1861 9.09058L16.5901 10.2959L17.1927 11.0939C17.3894 11.3544 17.4958 11.6719 17.4957 11.9984C17.4956 12.3248 17.389 12.6423 17.1921 12.9027L16.5889 13.7003L18.184 14.9067L18.7872 14.1091C19.2467 13.5016 19.4954 12.7608 19.4957 11.9991C19.496 11.2374 19.2478 10.4964 18.7887 9.88858Z"
      }
    }]
  };
  var soundFilled = vue.defineComponent({
    name: "SoundFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-sound-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$6E(_objectSpread$6E({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$6C, finalProps.value);
    }
  });

  function ownKeys$6D(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$6D(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$6D(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$6D(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$6B = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M5 6.4998V17.4998L1 17.5 1 6.5 5 6.4998zM7 18.2099L15.0004 22.7095 15.0004 1.29004 7 5.7896V18.2099zM21.1569 6.34285L20.4497 5.63574 19.0355 7.04996 19.7426 7.75706C22.0858 10.1002 22.0858 13.8992 19.7426 16.2423L19.0355 16.9495 20.4497 18.3637 21.1569 17.6566C24.2811 14.5324 24.2811 9.46704 21.1569 6.34285z"
      }
    }, {
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M18.682 7.40351L17.2678 8.81772L17.9749 9.52483C19.3417 10.8917 19.3417 13.1077 17.9749 14.4746L17.2678 15.1817L18.682 16.5959L19.3891 15.8888C21.537 13.7409 21.537 10.2585 19.3891 8.11062L18.682 7.40351Z"
      }
    }, {
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M17.6213 14.121C18.7929 12.9495 18.7929 11.05 17.6213 9.87838L16.9142 9.17128L15.5 10.5855L16.2071 11.2926C16.5976 11.6831 16.5976 12.3163 16.2071 12.7068L15.5 13.4139L16.9142 14.8281L17.6213 14.121Z"
      }
    }]
  };
  var soundHighFilled = vue.defineComponent({
    name: "SoundHighFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-sound-high-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$6D(_objectSpread$6D({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$6B, finalProps.value);
    }
  });

  function ownKeys$6C(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$6C(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$6C(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$6C(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$6A = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M15 1.29004V22.7095L5.7369 17.4998L1 17.4998L1 6.49976H5.7369L15 1.29004ZM4.99882 8.49976H3L3 15.4998L4.99882 15.4998L4.99882 8.49976ZM6.99882 15.9149L13 19.29V4.70949L6.99882 8.08465V15.9149ZM20.4497 5.6358L21.1569 6.34291C24.281 9.4671 24.281 14.5324 21.1569 17.6566L20.4497 18.3637L19.0355 16.9495L19.7426 16.2424C22.0858 13.8993 22.0858 10.1003 19.7426 7.75712L19.0355 7.05002L20.4497 5.6358ZM17.2678 8.81778L18.682 7.40357L19.3891 8.11068C21.537 10.2586 21.537 13.741 19.3891 15.8888L18.682 16.596L17.2678 15.1817L17.9749 14.4746C19.3417 13.1078 19.3417 10.8917 17.9749 9.52489L17.2678 8.81778ZM16.9142 9.17134L17.6213 9.87844C18.7929 11.05 18.7929 12.9495 17.6213 14.1211L16.9142 14.8282L15.5 13.414L16.2071 12.7069C16.5976 12.3163 16.5976 11.6832 16.2071 11.2927L15.5 10.5855L16.9142 9.17134Z"
      }
    }]
  };
  var soundHigh = vue.defineComponent({
    name: "SoundHighIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-sound-high", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$6C(_objectSpread$6C({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$6A, finalProps.value);
    }
  });

  function ownKeys$6B(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$6B(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$6B(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$6B(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$6z = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M5 6.4998V17.4998L1 17.5 1 6.5 5 6.4998zM7 18.2099L15.0004 22.7095 15.0004 1.29004 7 5.7896V18.2099zM19.3889 8.10994L18.6818 7.40283 17.2676 8.81705 17.9747 9.52415C19.3415 10.891 19.3415 13.1071 17.9747 14.4739L17.2676 15.181 18.6818 16.5952 19.3889 15.8881C21.5368 13.7402 21.5368 10.2578 19.3889 8.10994z"
      }
    }]
  };
  var soundLowFilled = vue.defineComponent({
    name: "SoundLowFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-sound-low-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$6B(_objectSpread$6B({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$6z, finalProps.value);
    }
  });

  function ownKeys$6A(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$6A(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$6A(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$6A(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$6y = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M15 1.29004V22.7095L5.7369 17.4998L1 17.4998L1 6.49976H5.7369L15 1.29004ZM4.99882 8.49976H3L3 15.4998L4.99882 15.4998L4.99882 8.49976ZM6.99882 15.9149L13 19.29V4.70949L6.99882 8.08465V15.9149ZM18.6821 7.40293L19.3892 8.11004C21.5371 10.2579 21.5371 13.7403 19.3892 15.8882L18.6821 16.5953L17.2679 15.1811L17.975 14.474C19.3419 13.1072 19.3419 10.8911 17.975 9.52425L17.2679 8.81715L18.6821 7.40293Z"
      }
    }]
  };
  var soundLow = vue.defineComponent({
    name: "SoundLowIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-sound-low", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$6A(_objectSpread$6A({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$6y, finalProps.value);
    }
  });

  function ownKeys$6z(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$6z(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$6z(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$6z(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$6x = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M5 6.4998V17.4998L1 17.5 1 6.5 5 6.4998zM7 18.2099L15.0004 22.7095 15.0004 1.29004 7 5.7896V18.2099zM20.0004 10.5857L17.8791 8.46436 16.4648 9.87857 18.5862 11.9999 16.4648 14.1212 17.8791 15.5354 20.0004 13.4141 22.1217 15.5354 23.5359 14.1212 21.4146 11.9999 23.5359 9.87857 22.1217 8.46436 20.0004 10.5857z"
      }
    }]
  };
  var soundMute1Filled = vue.defineComponent({
    name: "SoundMute1FilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-sound-mute-1-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$6z(_objectSpread$6z({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$6x, finalProps.value);
    }
  });

  function ownKeys$6y(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$6y(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$6y(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$6y(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$6w = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M15 1.29004V22.7095L5.7369 17.4998L1 17.4998L1 6.49976H5.7369L15 1.29004ZM4.99882 8.49976H3L3 15.4998L4.99882 15.4998L4.99882 8.49976ZM6.99882 15.9149L13 19.29V4.70949L6.99882 8.08465V15.9149ZM17.8787 8.46423L20 10.5855L22.1213 8.46423L23.5355 9.87844L21.4142 11.9998L23.5355 14.1211L22.1213 15.5353L20 13.414L17.8787 15.5353L16.4645 14.1211L18.5858 11.9998L16.4645 9.87844L17.8787 8.46423Z"
      }
    }]
  };
  var soundMute1 = vue.defineComponent({
    name: "SoundMute1Icon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-sound-mute-1", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$6y(_objectSpread$6y({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$6w, finalProps.value);
    }
  });

  function ownKeys$6x(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$6x(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$6x(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$6x(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$6v = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M9 17.4998V6.4998L5 6.5 5 17.5 9 17.4998zM19.0004 22.7095L11 18.2099V5.7896L19.0004 1.29004 19.0004 22.7095z"
      }
    }]
  };
  var soundMuteFilled = vue.defineComponent({
    name: "SoundMuteFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-sound-mute-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$6x(_objectSpread$6x({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$6v, finalProps.value);
    }
  });

  function ownKeys$6w(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$6w(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$6w(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$6w(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$6u = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M19 22.7095L9.7369 17.4998H5L5 6.49976H9.7369L19 1.29004L19 22.7095ZM8.99882 8.49976H7L7 15.4998L8.99882 15.4998L8.99882 8.49976ZM10.9988 15.9149L17 19.29L17 4.70949L10.9988 8.08465L10.9988 15.9149Z"
      }
    }]
  };
  var soundMute = vue.defineComponent({
    name: "SoundMuteIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-sound-mute", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$6w(_objectSpread$6w({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$6u, finalProps.value);
    }
  });

  function ownKeys$6v(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$6v(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$6v(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$6v(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$6t = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M5 6.4998V17.4998L1 17.5 1 6.5 5 6.4998zM7 18.2099L15.0004 22.7095 15.0004 1.29004 7 5.7896V18.2099zM21 8H19V11H16V13H19V16H21V13H24V11H21V8z"
      }
    }]
  };
  var soundUpFilled = vue.defineComponent({
    name: "SoundUpFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-sound-up-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$6v(_objectSpread$6v({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$6t, finalProps.value);
    }
  });

  function ownKeys$6u(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$6u(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$6u(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$6u(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$6s = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M15 1.29004V22.7095L5.7369 17.4998L1 17.4998L1 6.49976H5.7369L15 1.29004ZM4.99882 8.49976H3L3 15.4998L4.99882 15.4998L4.99882 8.49976ZM6.99882 15.9149L13 19.29V4.70949L6.99882 8.08465V15.9149ZM19 7.99976H21V10.9998H24V12.9998H21V15.9998H19V12.9998H16V10.9998H19V7.99976Z"
      }
    }]
  };
  var soundUp = vue.defineComponent({
    name: "SoundUpIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-sound-up", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$6u(_objectSpread$6u({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$6s, finalProps.value);
    }
  });

  function ownKeys$6t(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$6t(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$6t(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$6t(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$6r = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M15 1.29004V22.7095L5.7369 17.4998L1 17.4998L1 6.49976H5.7369L15 1.29004ZM4.99882 8.49976H3L3 15.4998L4.99882 15.4998L4.99882 8.49976ZM6.99882 15.9149L13 19.29V4.70949L6.99882 8.08465V15.9149ZM20.9791 6.98155L21.5818 7.77956C22.4998 8.99522 22.9963 10.4772 22.9958 12.0006C22.9952 13.5239 22.4977 15.0056 21.5788 16.2206L20.9756 17.0182L19.3805 15.8117L19.9837 15.0142C20.64 14.1463 20.9954 13.088 20.9958 11.9999C20.9961 10.9117 20.6415 9.85319 19.9858 8.98486L19.3831 8.18686L20.9791 6.98155ZM18.1864 9.09068L18.7891 9.88869C19.2481 10.4965 19.4963 11.2375 19.496 11.9992C19.4958 12.7609 19.247 13.5017 18.7876 14.1092L18.1844 14.9068L16.5892 13.7004L17.1924 12.9028C17.3893 12.6424 17.4959 12.3249 17.496 11.9985C17.4962 11.6721 17.3898 11.3545 17.1931 11.094L16.5904 10.296L18.1864 9.09068Z"
      }
    }]
  };
  var sound = vue.defineComponent({
    name: "SoundIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-sound", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$6t(_objectSpread$6t({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$6r, finalProps.value);
    }
  });

  function ownKeys$6s(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$6s(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$6s(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$6s(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$6q = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M3 9L3 14L21 14V9H23V16L1 16L1 9H3Z"
      }
    }]
  };
  var space = vue.defineComponent({
    name: "SpaceIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-space", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$6s(_objectSpread$6s({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$6q, finalProps.value);
    }
  });

  function ownKeys$6r(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$6r(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$6r(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$6r(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$6p = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M12 23C5.92487 23 1 18.0751 1 12C1 5.92487 5.92487 1 12 1C18.0751 1 23 5.92487 23 12C23 18.0751 18.0751 23 12 23ZM11 9H6V11H9V17H14V15H11V9ZM18 9H14V11H18V9Z"
      }
    }]
  };
  var speechless1Filled = vue.defineComponent({
    name: "Speechless1FilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-speechless-1-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$6r(_objectSpread$6r({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$6p, finalProps.value);
    }
  });

  function ownKeys$6q(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$6q(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$6q(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$6q(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$6o = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M12 3C7.02944 3 3 7.02944 3 12C3 16.9706 7.02944 21 12 21C16.9706 21 21 16.9706 21 12C21 7.02944 16.9706 3 12 3ZM1 12C1 5.92487 5.92487 1 12 1C18.0751 1 23 5.92487 23 12C23 18.0751 18.0751 23 12 23C5.92487 23 1 18.0751 1 12ZM6 9L11 9V15H14V17H9V11L6 11V9ZM14 9H18V11H14V9Z"
      }
    }]
  };
  var speechless1 = vue.defineComponent({
    name: "Speechless1Icon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-speechless-1", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$6q(_objectSpread$6q({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$6o, finalProps.value);
    }
  });

  function ownKeys$6p(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$6p(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$6p(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$6p(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$6n = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M12 23C5.92487 23 1 18.0751 1 12C1 5.92487 5.92487 1 12 1C18.0751 1 23 5.92487 23 12C23 18.0751 18.0751 23 12 23ZM10 9H6V11H10V9ZM18 9H14V11H18V9ZM15 16V14H9V16H15Z"
      }
    }]
  };
  var speechlessFilled = vue.defineComponent({
    name: "SpeechlessFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-speechless-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$6p(_objectSpread$6p({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$6n, finalProps.value);
    }
  });

  function ownKeys$6o(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$6o(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$6o(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$6o(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$6m = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M12 3C7.02944 3 3 7.02944 3 12C3 16.9706 7.02944 21 12 21C16.9706 21 21 16.9706 21 12C21 7.02944 16.9706 3 12 3ZM1 12C1 5.92487 5.92487 1 12 1C18.0751 1 23 5.92487 23 12C23 18.0751 18.0751 23 12 23C5.92487 23 1 18.0751 1 12ZM6 9H10V11H6V9ZM14 9H18V11H14V9ZM9 14H15V16H9V14Z"
      }
    }]
  };
  var speechless = vue.defineComponent({
    name: "SpeechlessIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-speechless", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$6o(_objectSpread$6o({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$6m, finalProps.value);
    }
  });

  function ownKeys$6n(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$6n(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$6n(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$6n(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$6l = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M12.0012 0.63031L14.9039 8.98087L23.7427 9.16099L16.6978 14.502L19.2579 22.9639L12.0012 17.9143L4.74461 22.9639L7.30465 14.502L0.259766 9.16099L9.09859 8.98087L12.0012 0.63031Z"
      }
    }]
  };
  var starFilled = vue.defineComponent({
    name: "StarFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-star-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$6n(_objectSpread$6n({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$6l, finalProps.value);
    }
  });

  function ownKeys$6m(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$6m(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$6m(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$6m(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$6k = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M12.0003 0.630371L14.9029 8.98093L23.7417 9.16105L16.6969 14.5021L19.2569 22.964L12.0003 17.9144L4.74363 22.964L7.30367 14.5021L0.258789 9.16105L9.09761 8.98093L12.0003 0.630371ZM12.0003 6.72181L10.5298 10.9522L6.05209 11.0434L9.62099 13.7492L8.32409 18.0359L12.0003 15.4778L15.6764 18.0359L14.3795 13.7492L17.9484 11.0434L13.4707 10.9522L12.0003 6.72181Z"
      }
    }]
  };
  var star = vue.defineComponent({
    name: "StarIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-star", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$6m(_objectSpread$6m({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$6k, finalProps.value);
    }
  });

  function ownKeys$6l(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$6l(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$6l(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$6l(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$6j = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M10 1H14V5H10V1ZM2 6H22V8.6594L15 11.6594V17H15.7808L17.2808 23H6.71922L8.21922 17H9V11.6594L2 8.6594V6ZM9 9.48346V8H5.53859L9 9.48346ZM11 8V10.5858L13 12.5858V8H11ZM15 8V9.48346L18.4614 8H15ZM13 15.4142L11 13.4142V17H13V15.4142Z"
      }
    }]
  };
  var statueOfJesusFilled = vue.defineComponent({
    name: "StatueOfJesusFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-statue-of-jesus-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$6l(_objectSpread$6l({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$6j, finalProps.value);
    }
  });

  function ownKeys$6k(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$6k(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$6k(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$6k(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$6i = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M10 1H14V5H10V1ZM2 6H22V8.6594L15 11.6594V17H15.7808L17.2808 23H6.71922L8.21922 17H9V11.6594L2 8.6594V6ZM9 9.48346V8H5.53859L9 9.48346ZM11 8V10.5858L13 12.5858V8H11ZM15 8V9.48346L18.4614 8H15ZM13 15.4142L11 13.4142V17H13V15.4142ZM14.2192 19H9.78078L9.28078 21H14.7192L14.2192 19Z"
      }
    }]
  };
  var statueOfJesus = vue.defineComponent({
    name: "StatueOfJesusIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-statue-of-jesus", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$6k(_objectSpread$6k({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$6i, finalProps.value);
    }
  });

  function ownKeys$6j(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$6j(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$6j(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$6j(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$6h = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M16.4142 22H2V2H22V16.4142L16.4142 22ZM15.5 15.5V20L20 15.5H15.5ZM18 10V8H6V10H18ZM11 14V12H6V14H11Z",
        "fillOpacity": 0.9
      }
    }]
  };
  var stickyNoteFilled = vue.defineComponent({
    name: "StickyNoteFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-sticky-note-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$6j(_objectSpread$6j({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$6h, finalProps.value);
    }
  });

  function ownKeys$6i(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$6i(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$6i(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$6i(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$6g = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M2 2L22 2L22 14.4142L14.4142 22L2 22L2 2ZM4 4L4 20H13L13 13L20 13V4L4 4ZM18.5858 15L15 15L15 18.5858L18.5858 15ZM6 8L18 8V10L6 10V8ZM6 12L11 12V14L6 14V12Z"
      }
    }]
  };
  var stickyNote = vue.defineComponent({
    name: "StickyNoteIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-sticky-note", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$6i(_objectSpread$6i({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$6g, finalProps.value);
    }
  });

  function ownKeys$6h(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$6h(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$6h(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$6h(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$6f = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M12 1C5.92487 1 1 5.92487 1 12C1 18.0751 5.92487 23 12 23C18.0751 23 23 18.0751 23 12C23 5.92487 18.0751 1 12 1ZM16 8V16H8V8H16Z"
      }
    }]
  };
  var stopCircleFilled = vue.defineComponent({
    name: "StopCircleFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-stop-circle-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$6h(_objectSpread$6h({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$6f, finalProps.value);
    }
  });

  function ownKeys$6g(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$6g(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$6g(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$6g(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$6e = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M12 1C5.92487 1 1 5.92487 1 12C1 18.0751 5.92487 23 12 23C18.0751 23 23 18.0751 23 12C23 5.92487 18.0751 1 12 1ZM16 8V16H8V8H16Z"
      }
    }]
  };
  var stopCircleStrokeFilled = vue.defineComponent({
    name: "StopCircleStrokeFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-stop-circle-stroke-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$6g(_objectSpread$6g({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$6e, finalProps.value);
    }
  });

  function ownKeys$6f(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$6f(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$6f(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$6f(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$6d = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M12 3C7.02944 3 3 7.02944 3 12C3 16.9706 7.02944 21 12 21C16.9706 21 21 16.9706 21 12C21 7.02944 16.9706 3 12 3ZM1 12C1 5.92487 5.92487 1 12 1C18.0751 1 23 5.92487 23 12C23 18.0751 18.0751 23 12 23C5.92487 23 1 18.0751 1 12ZM8 8H16V16H8V8ZM10 10V14H14V10H10Z"
      }
    }]
  };
  var stopCircleStroke = vue.defineComponent({
    name: "StopCircleStrokeIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-stop-circle-stroke", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$6f(_objectSpread$6f({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$6d, finalProps.value);
    }
  });

  function ownKeys$6e(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$6e(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$6e(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$6e(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$6c = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M12 3C7.02944 3 3 7.02944 3 12C3 16.9706 7.02944 21 12 21C16.9706 21 21 16.9706 21 12C21 7.02944 16.9706 3 12 3ZM1 12C1 5.92487 5.92487 1 12 1C18.0751 1 23 5.92487 23 12C23 18.0751 18.0751 23 12 23C5.92487 23 1 18.0751 1 12Z"
      }
    }, {
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M8 8H16V16H8V8Z"
      }
    }]
  };
  var stopCircle = vue.defineComponent({
    name: "StopCircleIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-stop-circle", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$6e(_objectSpread$6e({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$6c, finalProps.value);
    }
  });

  function ownKeys$6d(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$6d(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$6d(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$6d(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$6b = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M8 8H16V16H8V8Z"
      }
    }]
  };
  var stop = vue.defineComponent({
    name: "StopIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-stop", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$6d(_objectSpread$6d({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$6b, finalProps.value);
    }
  });

  function ownKeys$6c(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$6c(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$6c(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$6c(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$6a = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M3.5 2.5H20.5V4.5H3.5V2.5ZM2.6802 5.5H21.3198L22.5 11.401V13.5H21V21.5H19V13.5H14V21.5H3V13.5H1.5V11.401L2.6802 5.5ZM5 13.5V19.5H12V13.5H5Z"
      }
    }]
  };
  var storeFilled = vue.defineComponent({
    name: "StoreFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-store-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$6c(_objectSpread$6c({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$6a, finalProps.value);
    }
  });

  function ownKeys$6b(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$6b(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$6b(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$6b(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$69 = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M3.5 2.5H20.5V4.5H3.5V2.5ZM2.6802 5.5H21.3198L22.5 11.401V13.5H21V21.5H19V13.5H14V21.5H3V13.5H1.5V11.401L2.6802 5.5ZM5 13.5V19.5H12V13.5H5ZM20.4802 11.5L19.6802 7.5H4.3198L3.5198 11.5H20.4802Z"
      }
    }]
  };
  var store = vue.defineComponent({
    name: "StoreIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-store", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$6b(_objectSpread$6b({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$69, finalProps.value);
    }
  });

  function ownKeys$6a(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$6a(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$6a(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$6a(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$68 = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M22 2V22H2V2H22ZM7.7844 18.1766L10.1766 6.21547L8.21547 5.82324L5.82324 17.7844L7.7844 18.1766ZM18.1766 17.7844L15.7844 5.82324L13.8232 6.21547L16.2155 18.1766L18.1766 17.7844ZM12.9999 9.99994V6.99994H10.9999V9.99994H12.9999ZM12.9999 13.9999V10.9999H10.9999V13.9999H12.9999ZM12.9999 17.9999V14.9999H10.9999V17.9999H12.9999Z"
      }
    }]
  };
  var streetRoad1Filled = vue.defineComponent({
    name: "StreetRoad1FilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-street-road-1-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$6a(_objectSpread$6a({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$68, finalProps.value);
    }
  });

  function ownKeys$69(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$69(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$69(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$69(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$67 = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M2 2H22V22H2V2ZM4 4V20H20V4H4ZM10.1767 6.21554L7.78446 18.1767L5.8233 17.7845L8.21554 5.8233L10.1767 6.21554ZM15.7845 5.8233L18.1767 17.7845L16.2155 18.1767L13.8233 6.21554L15.7845 5.8233ZM13 7V10H11V7H13ZM13 11V14H11V11H13ZM13 15V18H11V15H13Z"
      }
    }]
  };
  var streetRoad1 = vue.defineComponent({
    name: "StreetRoad1Icon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-street-road-1", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$69(_objectSpread$69({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$67, finalProps.value);
    }
  });

  function ownKeys$68(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$68(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$68(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$68(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$66 = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M22 2V22H2V2H22ZM6.65692 13.3719L18.3719 6.34292L17.3429 4.62793L9.45531 9.36049L7.38843 5.64012L5.64012 6.6114L7.73937 10.3901L5.62793 11.6569L6.65692 13.3719ZM16.2605 13.6098L18.3719 12.3429L17.3429 10.6279L5.62793 17.6569L6.65692 19.3719L14.5445 14.6393L16.6114 18.3597L18.3597 17.3884L16.2605 13.6098Z"
      }
    }]
  };
  var streetRoadFilled = vue.defineComponent({
    name: "StreetRoadFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-street-road-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$68(_objectSpread$68({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$66, finalProps.value);
    }
  });

  function ownKeys$67(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$67(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$67(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$67(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$65 = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M2 2H22V22H2V2ZM4 4V20H20V4H4ZM18.372 6.343L6.657 13.372L5.62801 11.657L7.73945 10.3901L5.6402 6.61149L7.38851 5.6402L9.45539 9.36058L17.343 4.62801L18.372 6.343ZM18.372 12.343L16.2605 13.6099L18.3598 17.3885L16.6115 18.3598L14.5446 14.6394L6.657 19.372L5.62801 17.657L17.343 10.628L18.372 12.343Z"
      }
    }]
  };
  var streetRoad = vue.defineComponent({
    name: "StreetRoadIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-street-road", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$67(_objectSpread$67({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$65, finalProps.value);
    }
  });

  function ownKeys$66(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$66(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$66(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$66(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$64 = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M23 3H1V21H23V3ZM7 8H11V10H7V14H11V16H7C5.89543 16 5 15.1046 5 14V10C5 8.89543 5.89543 8 7 8ZM15 8H19V10H15V14H19V16H15C13.8954 16 13 15.1046 13 14V10C13 8.89543 13.8954 8 15 8Z"
      }
    }]
  };
  var subtitleFilled = vue.defineComponent({
    name: "SubtitleFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-subtitle-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$66(_objectSpread$66({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$64, finalProps.value);
    }
  });

  function ownKeys$65(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$65(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$65(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$65(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$63 = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M1 3L23 3V21H1L1 3ZM3 5L3 19H21V5L3 5ZM5 10C5 8.89543 5.89543 8 7 8H11V10H7V14H11V16H7C5.89543 16 5 15.1046 5 14V10ZM13 10C13 8.89543 13.8954 8 15 8H19V10H15V14H19V16H15C13.8954 16 13 15.1046 13 14V10Z"
      }
    }]
  };
  var subtitle = vue.defineComponent({
    name: "SubtitleIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-subtitle", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$65(_objectSpread$65({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$63, finalProps.value);
    }
  });

  function ownKeys$64(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$64(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$64(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$64(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$62 = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M7 2V5H16.1707C16.472 4.14759 17.1476 3.47199 18 3.17071V2H20V3.17071C21.1652 3.58254 22 4.69378 22 6C22 7.30622 21.1652 8.41746 20 8.82929V19H8.82929C8.52801 19.8524 7.85241 20.528 7 20.8293V22H5V20.8293C4.14759 20.528 3.47199 19.8524 3.17071 19H2V17H3.17071C3.47199 16.1476 4.14759 15.472 5 15.1707L5 7H2V5H5V2H7ZM7 7V15.1707C7.85241 15.472 8.52801 16.1476 8.82929 17H18V8.82929C17.1476 8.52801 16.472 7.85241 16.1707 7H7Z"
      }
    }]
  };
  var subwayLineFilled = vue.defineComponent({
    name: "SubwayLineFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-subway-line-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$64(_objectSpread$64({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$62, finalProps.value);
    }
  });

  function ownKeys$63(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$63(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$63(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$63(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$61 = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M7 2V5H16.1707C16.472 4.14759 17.1476 3.47199 18 3.17071V2H20V3.17071C21.1652 3.58254 22 4.69378 22 6C22 7.30622 21.1652 8.41746 20 8.82929V19H8.82929C8.52801 19.8524 7.85241 20.528 7 20.8293V22H5V20.8293C4.14759 20.528 3.47199 19.8524 3.17071 19H2V17H3.17071C3.47199 16.1476 4.14759 15.472 5 15.1707L5 7H2V5H5V2H7ZM7 7V15.1707C7.85241 15.472 8.52801 16.1476 8.82929 17H18V8.82929C17.1476 8.52801 16.472 7.85241 16.1707 7H7ZM19 5C18.4477 5 18 5.44772 18 6C18 6.55228 18.4477 7 19 7C19.5523 7 20 6.55228 20 6C20 5.44772 19.5523 5 19 5ZM6 17C5.44772 17 5 17.4477 5 18C5 18.5523 5.44772 19 6 19C6.55228 19 7 18.5523 7 18C7 17.4477 6.55228 17 6 17Z"
      }
    }]
  };
  var subwayLine = vue.defineComponent({
    name: "SubwayLineIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-subway-line", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$63(_objectSpread$63({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$61, finalProps.value);
    }
  });

  function ownKeys$62(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$62(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$62(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$62(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$60 = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M1.58594 3H21.0002V5H6.41436L13.4144 12L6.41437 19H21.0002V21H1.58594L10.5859 12L1.58594 3Z"
      }
    }]
  };
  var sum = vue.defineComponent({
    name: "SumIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-sum", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$62(_objectSpread$62({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$60, finalProps.value);
    }
  });

  function ownKeys$61(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$61(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$61(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$61(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$5$ = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M13 3V6H11V3H13ZM20.4853 6.92848L18.364 9.0498L16.9497 7.63559L19.0711 5.51426L20.4853 6.92848ZM4.9289 5.51431L7.05022 7.63563L5.63601 9.04984L3.51469 6.92852L4.9289 5.51431ZM6 15V14C6 10.6863 8.68629 8 12 8C15.3137 8 18 10.6863 18 14V15C14.2177 15 12.5765 15 6 15ZM1 13H4V15H1V13ZM20 13H23V15H20V13ZM1 17H9.30278L12 18.7982L14.6972 17H23V19H15.3028L12 21.2019L8.69722 19H1V17Z"
      }
    }]
  };
  var sunFallFilled = vue.defineComponent({
    name: "SunFallFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-sun-fall-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$61(_objectSpread$61({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$5$, finalProps.value);
    }
  });

  function ownKeys$60(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$60(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$60(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$60(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$5_ = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M13 3V6H11V3H13ZM20.4853 6.92848L18.364 9.0498L16.9497 7.63559L19.0711 5.51426L20.4853 6.92848ZM4.9289 5.51431L7.05022 7.63563L5.63601 9.04984L3.51469 6.92852L4.9289 5.51431ZM12 10C9.79086 10 8 11.7909 8 14V15H6V14C6 10.6863 8.68629 8 12 8C15.3137 8 18 10.6863 18 14V15H16V14C16 11.7909 14.2091 10 12 10ZM1 13H4V15H1V13ZM20 13H23V15H20V13ZM1 17H9.30278L12 18.7982L14.6972 17H23V19H15.3028L12 21.2019L8.69722 19H1V17Z"
      }
    }]
  };
  var sunFall = vue.defineComponent({
    name: "SunFallIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-sun-fall", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$60(_objectSpread$60({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$5_, finalProps.value);
    }
  });

  function ownKeys$5$(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$5$(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$5$(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$5$(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$5Z = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M13 3V6H11V3H13ZM20.4853 6.92848L18.364 9.0498L16.9497 7.63559L19.0711 5.51426L20.4853 6.92848ZM4.9289 5.51431L7.05022 7.63563L5.63601 9.04984L3.51469 6.92852L4.9289 5.51431ZM6 15V14C6 10.6863 8.68629 8 12 8C15.3137 8 18 10.6863 18 14V15C14.2177 15 12.5765 15 6 15ZM1 13H4V15H1V13ZM20 13H23V15H20V13ZM12 15.7981L15.3028 18H23V20H14.6972L12 18.2018L9.30278 20H1V18H8.69722L12 15.7981Z"
      }
    }]
  };
  var sunRisingFilled = vue.defineComponent({
    name: "SunRisingFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-sun-rising-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$5$(_objectSpread$5$({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$5Z, finalProps.value);
    }
  });

  function ownKeys$5_(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$5_(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$5_(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$5_(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$5Y = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M13 3V6H11V3H13ZM20.4853 6.92848L18.364 9.0498L16.9497 7.63559L19.0711 5.51426L20.4853 6.92848ZM4.9289 5.51431L7.05022 7.63563L5.63601 9.04984L3.51469 6.92852L4.9289 5.51431ZM12 10C9.79086 10 8 11.7909 8 14V15H6V14C6 10.6863 8.68629 8 12 8C15.3137 8 18 10.6863 18 14V15H16V14C16 11.7909 14.2091 10 12 10ZM1 13H4V15H1V13ZM20 13H23V15H20V13ZM12 15.7981L15.3028 18H23V20H14.6972L12 18.2018L9.30278 20H1V18H8.69722L12 15.7981Z"
      }
    }]
  };
  var sunRising = vue.defineComponent({
    name: "SunRisingIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-sun-rising", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$5_(_objectSpread$5_({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$5Y, finalProps.value);
    }
  });

  function ownKeys$5Z(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$5Z(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$5Z(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$5Z(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$5X = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M13 1V4H11V1H13ZM20.4853 4.92848L18.364 7.0498L16.9497 5.63559L19.0711 3.51427L20.4853 4.92848ZM4.9289 3.51431L7.05022 5.63563L5.63601 7.04984L3.51469 4.92852L4.9289 3.51431ZM6 12C6 8.68629 8.68629 6 12 6C15.3137 6 18 8.68629 18 12C18 15.3137 15.3137 18 12 18C8.68629 18 6 15.3137 6 12ZM1 11H4V13H1V11ZM20 11H23V13H20V11ZM7.05024 18.3635L4.92892 20.4848L3.51471 19.0706L5.63603 16.9493L7.05024 18.3635ZM18.3639 16.9493L20.4852 19.0707L19.071 20.4849L16.9497 18.3636L18.3639 16.9493ZM13 20V23H11V20H13Z"
      }
    }]
  };
  var sunnyFilled = vue.defineComponent({
    name: "SunnyFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-sunny-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$5Z(_objectSpread$5Z({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$5X, finalProps.value);
    }
  });

  function ownKeys$5Y(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$5Y(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$5Y(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$5Y(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$5W = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M13 1V4H11V1H13ZM20.4853 4.92848L18.364 7.0498L16.9497 5.63559L19.0711 3.51427L20.4853 4.92848ZM4.9289 3.51431L7.05022 5.63563L5.63601 7.04984L3.51469 4.92852L4.9289 3.51431ZM12 8C9.79086 8 8 9.79086 8 12C8 14.2091 9.79086 16 12 16C14.2091 16 16 14.2091 16 12C16 9.79086 14.2091 8 12 8ZM6 12C6 8.68629 8.68629 6 12 6C15.3137 6 18 8.68629 18 12C18 15.3137 15.3137 18 12 18C8.68629 18 6 15.3137 6 12ZM1 11H4V13H1V11ZM20 11H23V13H20V11ZM7.05024 18.3635L4.92892 20.4848L3.51471 19.0706L5.63603 16.9493L7.05024 18.3635ZM18.3639 16.9493L20.4852 19.0707L19.071 20.4849L16.9497 18.3636L18.3639 16.9493ZM13 20V23H11V20H13Z"
      }
    }]
  };
  var sunny = vue.defineComponent({
    name: "SunnyIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-sunny", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$5Y(_objectSpread$5Y({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$5W, finalProps.value);
    }
  });

  function ownKeys$5X(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$5X(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$5X(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$5X(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$5V = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M4.96077 3.54632L9.61383 8.19938C11.0678 7.28457 12.9326 7.28457 14.3866 8.19938L19.0394 3.5465C14.9717.151228 9.02856.151168 4.96077 3.54632zM20.4536 4.96072L15.8008 9.61359C16.7156 11.0676 16.7156 12.9323 15.8008 14.3863L20.4537 19.0392C23.8488 14.9715 23.8488 9.02844 20.4536 4.96072zM19.0395 20.4535L14.3866 15.8005C12.9326 16.7153 11.0678 16.7153 9.61383 15.8005L4.96072 20.4536C9.02853 23.8488 14.9718 23.8488 19.0395 20.4535zM3.5465 19.0394L8.19962 14.3863C7.28482 12.9323 7.28482 11.0676 8.19962 9.61359L3.54654 4.96051C.151168 9.0283.151155 14.9716 3.5465 19.0394z"
      }
    }]
  };
  var supportFilled = vue.defineComponent({
    name: "SupportFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-support-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$5X(_objectSpread$5X({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$5V, finalProps.value);
    }
  });

  function ownKeys$5W(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$5W(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$5W(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$5W(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$5U = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M6.38199 4.96777L9.2423 7.82808C10.9088 6.72397 13.0912 6.72397 14.7577 7.82808L17.618 4.96777C14.3422 2.34408 9.65784 2.34408 6.38199 4.96777ZM19.0322 6.38199L16.1719 9.2423C17.276 10.9088 17.276 13.0912 16.1719 14.7577L19.0322 17.618C21.6559 14.3422 21.6559 9.65785 19.0322 6.38199ZM17.618 19.0322L14.7577 16.1719C13.0912 17.276 10.9088 17.276 9.2423 16.1719L6.38199 19.0322C9.65785 21.6559 14.3422 21.6559 17.618 19.0322ZM4.96777 17.618L7.82808 14.7577C6.72397 13.0912 6.72397 10.9088 7.82808 9.2423L4.96777 6.38199C2.34408 9.65785 2.34408 14.3422 4.96777 17.618ZM4.22182 4.22182C8.51759 -0.0739419 15.4824 -0.0739412 19.7782 4.22182C24.0739 8.51759 24.0739 15.4824 19.7782 19.7782C15.4824 24.0739 8.51759 24.0739 4.22183 19.7782C-0.0739405 15.4824 -0.0739429 8.51759 4.22182 4.22182ZM14.1213 9.87868C12.9497 8.70711 11.0503 8.70711 9.87868 9.87868C8.70711 11.0503 8.70711 12.9497 9.87868 14.1213C11.0503 15.2929 12.9497 15.2929 14.1213 14.1213C15.2929 12.9497 15.2929 11.0503 14.1213 9.87868Z"
      }
    }]
  };
  var support = vue.defineComponent({
    name: "SupportIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-support", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$5W(_objectSpread$5W({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$5U, finalProps.value);
    }
  });

  function ownKeys$5V(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$5V(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$5V(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$5V(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$5T = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M11 15.5C11 14.4518 11.6444 14 12 14C12.3556 14 13 14.4518 13 15.5C13 16.5482 12.3556 17 12 17C11.6444 17 11 16.5482 11 15.5Z"
      }
    }, {
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M12 23C5.92487 23 1 18.0751 1 12C1 5.92487 5.92487 1 12 1C18.0751 1 23 5.92487 23 12C23 18.0751 18.0751 23 12 23ZM9 12V8H7V12H9ZM17 12V8H15V12H17ZM12 12C10.1464 12 9 13.7868 9 15.5C9 17.2132 10.1464 19 12 19C13.8536 19 15 17.2132 15 15.5C15 13.7868 13.8536 12 12 12Z"
      }
    }]
  };
  var surprised1Filled = vue.defineComponent({
    name: "Surprised1FilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-surprised-1-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$5V(_objectSpread$5V({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$5T, finalProps.value);
    }
  });

  function ownKeys$5U(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$5U(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$5U(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$5U(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$5S = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M12 3C7.02944 3 3 7.02944 3 12C3 16.9706 7.02944 21 12 21C16.9706 21 21 16.9706 21 12C21 7.02944 16.9706 3 12 3ZM1 12C1 5.92487 5.92487 1 12 1C18.0751 1 23 5.92487 23 12C23 18.0751 18.0751 23 12 23C5.92487 23 1 18.0751 1 12ZM9 8V12H7V8H9ZM17 8V12H15V8H17ZM12 14C11.6444 14 11 14.4518 11 15.5C11 16.5482 11.6444 17 12 17C12.3556 17 13 16.5482 13 15.5C13 14.4518 12.3556 14 12 14ZM9 15.5C9 13.7868 10.1464 12 12 12C13.8536 12 15 13.7868 15 15.5C15 17.2132 13.8536 19 12 19C10.1464 19 9 17.2132 9 15.5Z"
      }
    }]
  };
  var surprised1 = vue.defineComponent({
    name: "Surprised1Icon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-surprised-1", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$5U(_objectSpread$5U({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$5S, finalProps.value);
    }
  });

  function ownKeys$5T(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$5T(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$5T(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$5T(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$5R = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M11 15C11 14.4477 11.4477 14 12 14C12.5523 14 13 14.4477 13 15C13 15.5523 12.5523 16 12 16C11.4477 16 11 15.5523 11 15Z"
      }
    }, {
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M12 23C5.92487 23 1 18.0751 1 12C1 5.92487 5.92487 1 12 1C18.0751 1 23 5.92487 23 12C23 18.0751 18.0751 23 12 23ZM8 8C6.89543 8 6 8.89543 6 10C6 11.1046 6.89543 12 8 12C9.10457 12 10 11.1046 10 10C10 8.89543 9.10457 8 8 8ZM16 8C14.8954 8 14 8.89543 14 10C14 11.1046 14.8954 12 16 12C17.1046 12 18 11.1046 18 10C18 8.89543 17.1046 8 16 8ZM12 12C10.3431 12 9 13.3431 9 15C9 16.6569 10.3431 18 12 18C13.6569 18 15 16.6569 15 15C15 13.3431 13.6569 12 12 12Z"
      }
    }]
  };
  var surprisedFilled = vue.defineComponent({
    name: "SurprisedFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-surprised-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$5T(_objectSpread$5T({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$5R, finalProps.value);
    }
  });

  function ownKeys$5S(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$5S(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$5S(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$5S(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$5Q = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M12 3C7.02944 3 3 7.02944 3 12C3 16.9706 7.02944 21 12 21C16.9706 21 21 16.9706 21 12C21 7.02944 16.9706 3 12 3ZM1 12C1 5.92487 5.92487 1 12 1C18.0751 1 23 5.92487 23 12C23 18.0751 18.0751 23 12 23C5.92487 23 1 18.0751 1 12ZM6 10C6 8.89543 6.89543 8 8 8C9.10457 8 10 8.89543 10 10C10 11.1046 9.10457 12 8 12C6.89543 12 6 11.1046 6 10ZM14 10C14 8.89543 14.8954 8 16 8C17.1046 8 18 8.89543 18 10C18 11.1046 17.1046 12 16 12C14.8954 12 14 11.1046 14 10ZM12 14C11.4477 14 11 14.4477 11 15C11 15.5523 11.4477 16 12 16C12.5523 16 13 15.5523 13 15C13 14.4477 12.5523 14 12 14ZM9 15C9 13.3431 10.3431 12 12 12C13.6569 12 15 13.3431 15 15C15 16.6569 13.6569 18 12 18C10.3431 18 9 16.6569 9 15Z"
      }
    }]
  };
  var surprised = vue.defineComponent({
    name: "SurprisedIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-surprised", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$5S(_objectSpread$5S({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$5Q, finalProps.value);
    }
  });

  function ownKeys$5R(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$5R(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$5R(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$5R(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$5P = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M10.4144 8.99991L6.41437 12.9999L22.0002 12.9999V14.9999L1.58594 14.9999L9.00015 7.58569L10.4144 8.99991Z"
      }
    }]
  };
  var swapLeft = vue.defineComponent({
    name: "SwapLeftIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-swap-left", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$5R(_objectSpread$5R({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$5P, finalProps.value);
    }
  });

  function ownKeys$5Q(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$5Q(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$5Q(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$5Q(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$5O = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M15 7.58569L22.4142 14.9999L2 14.9999V12.9999L17.5858 12.9999L13.5858 8.99991L15 7.58569Z"
      }
    }]
  };
  var swapRight = vue.defineComponent({
    name: "SwapRightIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-swap-right", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$5Q(_objectSpread$5Q({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$5O, finalProps.value);
    }
  });

  function ownKeys$5P(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$5P(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$5P(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$5P(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$5N = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M15.0002 3.08569L22.4144 10.4999L2.00015 10.4999V8.4999L17.5859 8.4999L13.5859 4.49991L15.0002 3.08569ZM22.0002 13.4999V15.4999L6.41437 15.4999L10.4144 19.4999L9.00015 20.9141L1.58594 13.4999L22.0002 13.4999Z"
      }
    }]
  };
  var swap = vue.defineComponent({
    name: "SwapIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-swap", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$5P(_objectSpread$5P({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$5N, finalProps.value);
    }
  });

  function ownKeys$5O(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$5O(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$5O(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$5O(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$5M = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M12 23C5.92487 23 1 18.0751 1 12C1 5.92487 5.92487 1 12 1C18.0751 1 23 5.92487 23 12C23 18.0751 18.0751 23 12 23ZM10.2327 10.1338L6.76855 8.13379L5.76855 9.86584L9.23266 11.8658L10.2327 10.1338ZM14.7686 11.8658L18.2327 9.86584L17.2327 8.13379L13.7686 10.1338L14.7686 11.8658ZM11.9998 13.1998C9.90936 13.1998 8.41835 15.0013 8.0191 17.0043H15.9805C15.5813 15.0013 14.0903 13.1998 11.9998 13.1998Z"
      }
    }]
  };
  var swear1Filled = vue.defineComponent({
    name: "Swear1FilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-swear-1-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$5O(_objectSpread$5O({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$5M, finalProps.value);
    }
  });

  function ownKeys$5N(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$5N(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$5N(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$5N(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$5L = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M12 3C7.02944 3 3 7.02944 3 12C3 16.9706 7.02944 21 12 21C16.9706 21 21 16.9706 21 12C21 7.02944 16.9706 3 12 3ZM1 12C1 5.92487 5.92487 1 12 1C18.0751 1 23 5.92487 23 12C23 18.0751 18.0751 23 12 23C5.92487 23 1 18.0751 1 12ZM6.76874 8.13397L10.2328 10.134L9.23284 11.866L5.76874 9.86603L6.76874 8.13397ZM18.2328 9.86603L14.7687 11.866L13.7687 10.134L17.2328 8.13397L18.2328 9.86603ZM8.01929 16.8045C8.41853 14.8015 9.90954 13 12 13C14.0905 13 15.5815 14.8015 15.9807 16.8045L16.219 18H7.78101L8.01929 16.8045ZM10.4446 16H13.5554C13.1334 15.3383 12.5354 15 12 15C11.4646 15 10.8666 15.3383 10.4446 16Z"
      }
    }]
  };
  var swear1 = vue.defineComponent({
    name: "Swear1Icon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-swear-1", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$5N(_objectSpread$5N({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$5L, finalProps.value);
    }
  });

  function ownKeys$5M(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$5M(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$5M(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$5M(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$5K = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M10.9998 15.4998C10.9998 14.4516 11.6442 13.9998 11.9998 13.9998C12.3554 13.9998 12.9998 14.4516 12.9998 15.4998C12.9998 16.548 12.3554 16.9998 11.9998 16.9998C11.6442 16.9998 10.9998 16.548 10.9998 15.4998Z"
      }
    }, {
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M12 23C5.92487 23 1 18.0751 1 12C1 5.92487 5.92487 1 12 1C18.0751 1 23 5.92487 23 12C23 18.0751 18.0751 23 12 23ZM10.2327 10.1338L6.76855 8.13379L5.76855 9.86584L9.23266 11.8658L10.2327 10.1338ZM14.7686 11.8658L18.2327 9.86584L17.2327 8.13379L13.7686 10.1338L14.7686 11.8658ZM11.9998 11.9998C10.1463 11.9998 8.99981 13.7866 8.99981 15.4998C8.99981 17.213 10.1463 18.9998 11.9998 18.9998C13.8534 18.9998 14.9998 17.213 14.9998 15.4998C14.9998 13.7866 13.8534 11.9998 11.9998 11.9998Z"
      }
    }]
  };
  var swear2Filled = vue.defineComponent({
    name: "Swear2FilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-swear-2-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$5M(_objectSpread$5M({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$5K, finalProps.value);
    }
  });

  function ownKeys$5L(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$5L(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$5L(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$5L(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$5J = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M12 3C7.02944 3 3 7.02944 3 12C3 16.9706 7.02944 21 12 21C16.9706 21 21 16.9706 21 12C21 7.02944 16.9706 3 12 3ZM1 12C1 5.92487 5.92487 1 12 1C18.0751 1 23 5.92487 23 12C23 18.0751 18.0751 23 12 23C5.92487 23 1 18.0751 1 12ZM6.76874 8.13397L10.2328 10.134L9.23284 11.866L5.76874 9.86603L6.76874 8.13397ZM18.2328 9.86603L14.7687 11.866L13.7687 10.134L17.2328 8.13397L18.2328 9.86603ZM12 14C11.6444 14 11 14.4518 11 15.5C11 16.5482 11.6444 17 12 17C12.3556 17 13 16.5482 13 15.5C13 14.4518 12.3556 14 12 14ZM9 15.5C9 13.7868 10.1464 12 12 12C13.8536 12 15 13.7868 15 15.5C15 17.2132 13.8536 19 12 19C10.1464 19 9 17.2132 9 15.5Z"
      }
    }]
  };
  var swear2 = vue.defineComponent({
    name: "Swear2Icon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-swear-2", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$5L(_objectSpread$5L({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$5J, finalProps.value);
    }
  });

  function ownKeys$5K(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$5K(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$5K(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$5K(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$5I = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M10 4.36994V13H8V4.05181L8.04193 3.91161C8.16532 3.49904 8.49182 2.79747 9.10487 2.18351C9.74103 1.5464 10.6942 1 12 1C13.3058 1 14.259 1.5464 14.8951 2.18351C15.5082 2.79747 15.8347 3.49904 15.9581 3.91161L16 4.05181V6.43653H14V4.36994C13.9224 4.18303 13.7561 3.87331 13.4799 3.59668C13.1577 3.27403 12.6942 3 12 3C11.3058 3 10.8423 3.27403 10.5201 3.59668C10.2439 3.87331 10.0776 4.18303 10 4.36994ZM4.05181 8H6.43653V10H4.36994C4.18303 10.0776 3.87331 10.2439 3.59668 10.5201C3.27403 10.8423 3 11.3058 3 12C3 12.6942 3.27403 13.1577 3.59668 13.4799C3.87331 13.7561 4.18302 13.9224 4.36994 14H13V16H4.05181L3.91161 15.9581C3.49904 15.8347 2.79747 15.5082 2.18351 14.8951C1.5464 14.259 1 13.3058 1 12C1 10.6942 1.5464 9.74103 2.18351 9.10487C2.79747 8.49182 3.49904 8.16532 3.91161 8.04193L4.05181 8ZM11 8L19.9482 8L20.0884 8.04193C20.501 8.16532 21.2025 8.49182 21.8165 9.10487C22.4536 9.74103 23 10.6942 23 12C23 13.3058 22.4536 14.259 21.8165 14.8951C21.2025 15.5082 20.501 15.8347 20.0884 15.9581L19.9482 16H17.5635V14H19.6301C19.817 13.9224 20.1267 13.7561 20.4033 13.4799C20.726 13.1577 21 12.6942 21 12C21 11.3058 20.726 10.8423 20.4033 10.5201C20.1267 10.2439 19.817 10.0776 19.6301 10H11V8ZM16 11V19.9482L15.9581 20.0884C15.8347 20.501 15.5082 21.2025 14.8951 21.8165C14.259 22.4536 13.3058 23 12 23C10.6942 23 9.74103 22.4536 9.10487 21.8165C8.49182 21.2025 8.16532 20.501 8.04193 20.0884L8 19.9482V17.5635H10V19.6301C10.0776 19.817 10.2439 20.1267 10.5201 20.4033C10.8423 20.726 11.3058 21 12 21C12.6942 21 13.1577 20.726 13.4799 20.4033C13.7561 20.1267 13.9224 19.817 14 19.6301V11H16Z"
      }
    }]
  };
  var system2 = vue.defineComponent({
    name: "System2Icon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-system-2", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$5K(_objectSpread$5K({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$5I, finalProps.value);
    }
  });

  function ownKeys$5J(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$5J(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$5J(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$5J(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$5H = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M2 2H7.07713C9.24103 2 11 3.75897 11 5.92277V11H5.92287C3.75893 11 2 9.24099 2 7.07705V2ZM13 5.92277C13 3.75897 14.759 2 16.9229 2H22V7.07705C22 9.24099 20.2411 11 18.0771 11H13V5.92277ZM2 16.9229C2 14.759 3.75893 13 5.92287 13H11V18.0772C11 20.241 9.24103 22 7.07713 22H2V16.9229ZM13 13H18.0771C20.2411 13 22 14.759 22 16.9229V22H16.9229C14.759 22 13 20.241 13 18.0772V13Z"
      }
    }]
  };
  var system3Filled = vue.defineComponent({
    name: "System3FilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-system-3-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$5J(_objectSpread$5J({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$5H, finalProps.value);
    }
  });

  function ownKeys$5I(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$5I(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$5I(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$5I(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$5G = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M2 2H7.07713C9.24103 2 11 3.75897 11 5.92277V11H5.92287C3.75893 11 2 9.24099 2 7.07705V2ZM4 4V7.07705C4 8.13647 4.86355 9 5.92287 9H9V5.92277C9 4.86357 8.13649 4 7.07713 4H4ZM16.9229 4C15.8635 4 15 4.86357 15 5.92277V9H18.0771C19.1365 9 20 8.13647 20 7.07705V4H16.9229ZM13 5.92277C13 3.75897 14.759 2 16.9229 2H22V7.07705C22 9.24099 20.2411 11 18.0771 11H13V5.92277ZM5.92287 15C4.86355 15 4 15.8635 4 16.9229V20H7.07713C8.13649 20 9 19.1364 9 18.0772V15H5.92287ZM2 16.9229C2 14.759 3.75893 13 5.92287 13H11V18.0772C11 20.241 9.24103 22 7.07713 22H2V16.9229ZM13 13H18.0771C20.2411 13 22 14.759 22 16.9229V22H16.9229C14.759 22 13 20.241 13 18.0772V13ZM15 15V18.0772C15 19.1364 15.8635 20 16.9229 20H20V16.9229C20 15.8635 19.1365 15 18.0771 15H15Z"
      }
    }]
  };
  var system3 = vue.defineComponent({
    name: "System3Icon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-system-3", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$5I(_objectSpread$5I({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$5G, finalProps.value);
    }
  });

  function ownKeys$5H(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$5H(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$5H(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$5H(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$5F = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M22 2H2V11H22V2zM7.00391 5.5L7.00391 7.50391H5V5.5H7.00391zM11.0039 5.5L11.0039 7.50391H9V5.5H11.0039zM22 13H2V22H22V13zM7.00391 16.5V18.5039H5V16.5H7.00391zM11.0039 18.5039H9V16.5H11.0039V18.5039z"
      }
    }]
  };
  var systemApplicationFilled = vue.defineComponent({
    name: "SystemApplicationFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-system-application-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$5H(_objectSpread$5H({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$5F, finalProps.value);
    }
  });

  function ownKeys$5G(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$5G(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$5G(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$5G(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$5E = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M22 13V22H2L2 13L22 13ZM20 15L4 15L4 20H20V15ZM22 2V11L2 11L2 2L22 2ZM20 4L4 4L4 9L20 9V4ZM7.50391 16.5L7.50391 18.5039H5.5V16.5H7.50391ZM7.50391 5.5L7.50391 7.50391H5.5V5.5L7.50391 5.5Z"
      }
    }, {
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M11.5039 7.50391V5.5H9.5V7.50391H11.5039zM11.5039 18.5039V16.5H9.5V18.5039H11.5039z"
      }
    }]
  };
  var systemApplication = vue.defineComponent({
    name: "SystemApplicationIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-system-application", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$5G(_objectSpread$5G({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$5E, finalProps.value);
    }
  });

  function ownKeys$5F(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$5F(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$5F(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$5F(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$5D = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M23 2H1V18H11.5176C11.5059 17.8348 11.5 17.6681 11.5 17.5 11.5 16.2242 11.8413 15.0281 12.4376 13.998H3V3.99805H21V10.9596C21.734 11.2404 22.4087 11.6411 23 12.1379V2zM3 20H11.9596C12.2404 20.734 12.6411 21.4087 13.1379 22H3V20z"
      }
    }, {
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M18.5 12C15.4624 12 13 14.4624 13 17.5C13 19.0184 13.6167 20.3948 14.6108 21.389C15.605 22.3832 16.9814 23 18.5 23C21.5376 23 24 20.5376 24 17.5C24 15.9816 23.3833 14.6052 22.3892 13.611C21.395 12.6168 20.0186 12 18.5 12ZM15 17.5C15 15.567 16.567 14 18.5 14C19.1032 14 19.6701 14.1521 20.1654 14.4206L15.4205 19.1652C15.152 18.67 15 18.1031 15 17.5ZM16.8346 20.5794L21.5795 15.8348C21.848 16.33 22 16.8969 22 17.5C22 19.433 20.433 21 18.5 21C17.8968 21 17.3299 20.8479 16.8346 20.5794Z"
      }
    }]
  };
  var systemBlockedFilled = vue.defineComponent({
    name: "SystemBlockedFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-system-blocked-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$5F(_objectSpread$5F({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$5D, finalProps.value);
    }
  });

  function ownKeys$5E(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$5E(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$5E(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$5E(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$5C = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M1 1H23V10.5H21V3H3V16H11.5V18H1V1ZM18.5 14C16.567 14 15 15.567 15 17.5C15 18.1031 15.152 18.67 15.4205 19.1652L20.1654 14.4206C19.6701 14.1521 19.1032 14 18.5 14ZM21.5795 15.8348L16.8346 20.5794C17.3299 20.8479 17.8968 21 18.5 21C20.433 21 22 19.433 22 17.5C22 16.8969 21.848 16.33 21.5795 15.8348ZM13 17.5C13 14.4624 15.4624 12 18.5 12C20.0186 12 21.395 12.6168 22.3892 13.611C23.3833 14.6052 24 15.9816 24 17.5C24 20.5376 21.5376 23 18.5 23C16.9814 23 15.605 22.3832 14.6108 21.389C13.6167 20.3948 13 19.0184 13 17.5ZM2.25 21H11.5V23H2.25V21Z"
      }
    }]
  };
  var systemBlocked = vue.defineComponent({
    name: "SystemBlockedIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-system-blocked", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$5E(_objectSpread$5E({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$5C, finalProps.value);
    }
  });

  function ownKeys$5D(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$5D(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$5D(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$5D(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$5B = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M23 2H1V18H23V2zM13.5859 12.5002L16.0859 10.0002 13.5859 7.50015 15.0001 6.08594 18.9144 10.0002 15.0001 13.9144 13.5859 12.5002zM9.00015 13.9144L5.08594 10.0002 9.00015 6.08595 10.4144 7.50016 7.91436 10.0002 10.4144 12.5002 9.00015 13.9144zM21 20H3V22H21V20z"
      }
    }]
  };
  var systemCodeFilled = vue.defineComponent({
    name: "SystemCodeFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-system-code-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$5D(_objectSpread$5D({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$5B, finalProps.value);
    }
  });

  function ownKeys$5C(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$5C(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$5C(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$5C(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$5A = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M1 2H23V18H1V2ZM3 4V16H21V4H3ZM15 6.08579L18.9142 10L15 13.9142L13.5858 12.5L16.0858 10L13.5858 7.5L15 6.08579ZM10.4142 7.50001L7.91422 10L10.4142 12.5L9 13.9142L5.08579 10L9 6.08579L10.4142 7.50001ZM3 20H21V22H3V20Z"
      }
    }]
  };
  var systemCode = vue.defineComponent({
    name: "SystemCodeIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-system-code", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$5C(_objectSpread$5C({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$5A, finalProps.value);
    }
  });

  function ownKeys$5B(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$5B(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$5B(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$5B(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$5z = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M12.9997 7.81265C14.0242 7.41269 14.75 6.4161 14.75 5.25C14.75 3.73122 13.5188 2.5 12 2.5C10.4812 2.5 9.25 3.73122 9.25 5.25C9.25 6.41588 9.97552 7.4123 10.9997 7.81241V9.17624L7.1507 11.4262V15.8836L5.87017 16.5277C5.41577 16.1959 4.85576 16 4.25 16C2.73122 16 1.5 17.2312 1.5 18.75C1.5 20.2688 2.73122 21.5 4.25 21.5C5.76878 21.5 7 20.2688 7 18.75C7 18.5699 6.98269 18.3939 6.94965 18.2235L8.11488 17.6374L11.9997 19.9083L15.8849 17.6372L17.0505 18.2226C17.0174 18.3933 17 18.5696 17 18.75C17 20.2688 18.2312 21.5 19.75 21.5C21.2688 21.5 22.5 20.2688 22.5 18.75C22.5 17.2312 21.2688 16 19.75 16C19.1446 16 18.5849 16.1956 18.1307 16.5271L16.8487 15.8832V11.4262L12.9997 9.17624V7.81265Z"
      }
    }]
  };
  var systemComponentsFilled = vue.defineComponent({
    name: "SystemComponentsFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-system-components-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$5B(_objectSpread$5B({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$5z, finalProps.value);
    }
  });

  function ownKeys$5A(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$5A(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$5A(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$5A(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$5y = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M12 4C11.3367 4 10.7778 4.5479 10.7778 5.25C10.7778 5.9521 11.3367 6.5 12 6.5C12.6633 6.5 13.2222 5.9521 13.2222 5.25C13.2222 4.5479 12.6633 4 12 4ZM8.77778 5.25C8.77778 3.46682 10.2087 2 12 2C13.7913 2 15.2222 3.46682 15.2222 5.25C15.2222 6.68503 14.2955 7.91518 13 8.34082V9.17624L16.849 11.4262V15.8832L17.6671 16.2941C18.2308 15.8002 18.9674 15.5 19.7778 15.5C21.569 15.5 23 16.9668 23 18.75C23 20.5332 21.569 22 19.7778 22C17.9865 22 16.5556 20.5332 16.5556 18.75C16.5556 18.4978 16.5842 18.2518 16.6384 18.0155L15.8852 17.6372L12 19.9083L8.11518 17.6374L7.36176 18.0163C7.41588 18.2524 7.44444 18.4981 7.44444 18.75C7.44444 20.5332 6.01348 22 4.22222 22C2.43096 22 1 20.5332 1 18.75C1 16.9668 2.43096 15.5 4.22222 15.5C5.03293 15.5 5.76983 15.8005 6.33367 16.2947L7.151 15.8836V11.4262L11 9.17624V8.34082C9.70453 7.91518 8.77778 6.68503 8.77778 5.25ZM12 10.9083L9.151 12.5738V15.9262L12 17.5917L14.849 15.9262V12.5738L12 10.9083ZM5.22459 18.0341C5.00163 17.7089 4.63184 17.5 4.22222 17.5C3.55888 17.5 3 18.0479 3 18.75C3 19.4521 3.55888 20 4.22222 20C4.88556 20 5.44444 19.4521 5.44444 18.75C5.44444 18.6035 5.42013 18.4638 5.37562 18.3343L5.22459 18.0341ZM18.6235 18.337C18.5795 18.4657 18.5556 18.6045 18.5556 18.75C18.5556 19.4521 19.1144 20 19.7778 20C20.4411 20 21 19.4521 21 18.75C21 18.0479 20.4411 17.5 19.7778 17.5C19.3686 17.5 18.9992 17.7085 18.7761 18.033L18.6235 18.337Z"
      }
    }]
  };
  var systemComponents = vue.defineComponent({
    name: "SystemComponentsIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-system-components", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$5A(_objectSpread$5A({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$5y, finalProps.value);
    }
  });

  function ownKeys$5z(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$5z(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$5z(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$5z(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$5x = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M13.272 1V3.65018L19.8853 7.53907V15.2847L22.35 16.58L21.4197 18.3504L18.9126 17.0329L13.272 20.3498V23H11.272V20.3498L5.58289 17.0044L2.4625 18.3082L1.69141 16.4629L4.65873 15.223V7.53907L11.272 3.65018V1H13.272ZM11.2721 18.0297L11.2723 12.572L6.65873 9.85919V15.3168L11.2721 18.0297Z"
      }
    }]
  };
  var systemCoordinateFilled = vue.defineComponent({
    name: "SystemCoordinateFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-system-coordinate-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$5z(_objectSpread$5z({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$5x, finalProps.value);
    }
  });

  function ownKeys$5y(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$5y(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$5y(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$5y(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$5w = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M13.272 1V3.65018L19.8853 7.53907V15.2847L22.35 16.58L21.4197 18.3504L18.9126 17.0329L13.272 20.3498V23H11.272V20.3498L5.58289 17.0044L2.4625 18.3082L1.69141 16.4629L4.65873 15.223V7.53907L11.272 3.65018V1H13.272ZM12.272 5.38231L7.63156 8.11109L12.2723 10.8399L16.9126 8.11113L12.272 5.38231ZM17.8853 9.85928L13.2723 12.572L13.2721 18.0296L17.8853 15.3168V9.85928ZM11.2721 18.0297L11.2723 12.572L6.65873 9.85919V15.3168L11.2721 18.0297Z"
      }
    }]
  };
  var systemCoordinate = vue.defineComponent({
    name: "SystemCoordinateIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-system-coordinate", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$5y(_objectSpread$5y({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$5w, finalProps.value);
    }
  });

  function ownKeys$5x(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$5x(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$5x(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$5x(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$5v = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M21.9999 2H8V7H13V22H21.9999V2Z"
      }
    }, {
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M2 9H11V21.9976H2V9ZM5 17V19H8V17H5Z"
      }
    }]
  };
  var systemDeviceFilled = vue.defineComponent({
    name: "SystemDeviceFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-system-device-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$5x(_objectSpread$5x({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$5v, finalProps.value);
    }
  });

  function ownKeys$5w(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$5w(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$5w(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$5w(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$5u = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M6.53333 1H21V22H2V6.58824H6.53333V1ZM8.53333 6.58824H13.0667V20H19V3H8.53333V6.58824ZM11.0667 20V8.58824H4V20H11.0667ZM6 16H9V18H6V16Z"
      }
    }]
  };
  var systemDevice = vue.defineComponent({
    name: "SystemDeviceIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-system-device", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$5w(_objectSpread$5w({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$5u, finalProps.value);
    }
  });

  function ownKeys$5v(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$5v(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$5v(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$5v(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$5t = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M22 2H2V7H22V2zM2 9V22H22V9H2zM5 12H7.00391V14.0039H5V12zM9 12H11.0039V14.0039H9V12zM13 12H15.0039V14.0039H13V12z"
      }
    }]
  };
  var systemInterfaceFilled = vue.defineComponent({
    name: "SystemInterfaceFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-system-interface-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$5v(_objectSpread$5v({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$5t, finalProps.value);
    }
  });

  function ownKeys$5u(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$5u(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$5u(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$5u(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$5s = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M2 2H22V22H2V2ZM4 9V20H20V9H4ZM20 7V4H4V7H20ZM6 11H8.00391V13.0039H6V11ZM10 11H12.0039V13.0039H10V11ZM14 11H16.0039V13.0039H14V11Z"
      }
    }]
  };
  var systemInterface = vue.defineComponent({
    name: "SystemInterfaceIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-system-interface", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$5u(_objectSpread$5u({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$5s, finalProps.value);
    }
  });

  function ownKeys$5t(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$5t(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$5t(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$5t(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$5r = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M23 2H1V18H11.75V16.75C11.75 15.7699 11.9589 14.8385 12.3346 13.998H3V3.99805H21V10.4781C21.7402 10.7734 22.4159 11.196 23 11.7188V2zM3 20H11.75V22H3V20z"
      }
    }, {
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M18.5 23.7013L17.9453 23.332L17.9432 23.3306L17.9392 23.3279L17.9271 23.3198L17.8874 23.2925C17.8542 23.2694 17.808 23.2368 17.7505 23.1949C17.6356 23.1113 17.4752 22.9906 17.2845 22.836C16.9045 22.5281 16.3963 22.0799 15.8852 21.5179C14.8903 20.4239 13.75 18.7512 13.75 16.75C13.75 14.1266 15.8766 12 18.5 12C21.1234 12 23.25 14.1266 23.25 16.75C23.25 18.7512 22.1097 20.4239 21.1148 21.5179C20.6037 22.0799 20.0955 22.5281 19.7155 22.836C19.5248 22.9906 19.3644 23.1113 19.2495 23.1949C19.192 23.2368 19.1458 23.2694 19.1126 23.2925L19.0729 23.3198L19.0608 23.3279L19.0568 23.3306L19.0553 23.3316L18.5 23.7013ZM19.75 16H17.25V18H19.75V16Z"
      }
    }]
  };
  var systemLocationFilled = vue.defineComponent({
    name: "SystemLocationFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-system-location-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$5t(_objectSpread$5t({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$5r, finalProps.value);
    }
  });

  function ownKeys$5s(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$5s(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$5s(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$5s(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$5q = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M1 1H23V11H21V3H3V16H12V18H1V1ZM18.5 14C16.9812 14 15.75 15.2312 15.75 16.75C15.75 18.0023 16.4847 19.2045 17.3648 20.1722C17.7723 20.6202 18.1824 20.9864 18.5 21.2466C18.8176 20.9864 19.2277 20.6202 19.6352 20.1722C20.5153 19.2045 21.25 18.0023 21.25 16.75C21.25 15.2312 20.0188 14 18.5 14ZM18.5 23.7013L17.9453 23.332L17.9432 23.3306L17.9392 23.3279L17.9271 23.3198L17.8874 23.2925C17.8542 23.2694 17.808 23.2368 17.7505 23.1949C17.6356 23.1113 17.4752 22.9906 17.2845 22.836C16.9045 22.5281 16.3963 22.0799 15.8852 21.5179C14.8903 20.4239 13.75 18.7512 13.75 16.75C13.75 14.1266 15.8766 12 18.5 12C21.1234 12 23.25 14.1266 23.25 16.75C23.25 18.7512 22.1097 20.4239 21.1148 21.5179C20.6037 22.0799 20.0955 22.5281 19.7155 22.836C19.5248 22.9906 19.3644 23.1113 19.2495 23.1949C19.192 23.2368 19.1458 23.2694 19.1126 23.2925L19.0729 23.3198L19.0608 23.3279L19.0568 23.3306L19.0553 23.3316L18.5 23.7013ZM17.25 16H19.75V18H17.25V16ZM2.25 21H12V23H2.25V21Z"
      }
    }]
  };
  var systemLocation = vue.defineComponent({
    name: "SystemLocationIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-system-location", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$5s(_objectSpread$5s({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$5q, finalProps.value);
    }
  });

  function ownKeys$5r(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$5r(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$5r(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$5r(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$5p = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M23 2H1V18H13V16C13 15.3015 13.1102 14.6287 13.3141 13.998H3V3.99805H21V9.67393C21.7204 9.8441 22.3945 10.1341 23 10.5218V2zM3 20H13V22H3V20z"
      }
    }, {
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M22.7515 14.75V15.5H24V22H15V15.5H16.2515V14.75C16.2515 12.9551 17.7065 11.5 19.5015 11.5C21.2964 11.5 22.7515 12.9551 22.7515 14.75ZM20.7515 14.75C20.7515 14.0596 20.1918 13.5 19.5015 13.5C18.8111 13.5 18.2515 14.0596 18.2515 14.75V15.5H20.7515V14.75Z"
      }
    }]
  };
  var systemLockedFilled = vue.defineComponent({
    name: "SystemLockedFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-system-locked-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$5r(_objectSpread$5r({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$5p, finalProps.value);
    }
  });

  function ownKeys$5q(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$5q(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$5q(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$5q(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$5o = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M1 1H23V11H21V3H3V16H13V18H1V1ZM19.5015 14.5C20.1918 14.5 20.7515 15.0596 20.7515 15.75V16.5H18.2515V15.75C18.2515 15.0596 18.8111 14.5 19.5015 14.5ZM22.7515 16.5V15.75C22.7515 13.9551 21.2964 12.5 19.5015 12.5C17.7065 12.5 16.2515 13.9551 16.2515 15.75V16.5H15V23H24V16.5H22.7515ZM22 18.5V21H17V18.5H22ZM2.25 21H13V23H2.25V21Z"
      }
    }]
  };
  var systemLocked = vue.defineComponent({
    name: "SystemLockedIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-system-locked", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$5q(_objectSpread$5q({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$5o, finalProps.value);
    }
  });

  function ownKeys$5p(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$5p(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$5p(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$5p(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$5n = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M2 2V8H22V2H2zM4 4H6.00391V6.00391H4V4zM2 10.0005V22.0005H22V10.0005H2zM5 13.0005L19 13.0005V15.0005L5 15.0005V13.0005zM5 17.0005H11V19.0005H5V17.0005z"
      }
    }]
  };
  var systemLogFilled = vue.defineComponent({
    name: "SystemLogFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-system-log-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$5p(_objectSpread$5p({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$5n, finalProps.value);
    }
  });

  function ownKeys$5o(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$5o(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$5o(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$5o(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$5m = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M2 2H22V22H2V2ZM4 10V20H20V10H4ZM20 8V4H4V8H20ZM5 5H7.00391V7.00391H5V5ZM6 12L18 12V14L6 14V12ZM6 16H12V18H6V16Z"
      }
    }]
  };
  var systemLog = vue.defineComponent({
    name: "SystemLogIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-system-log", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$5o(_objectSpread$5o({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$5m, finalProps.value);
    }
  });

  function ownKeys$5n(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$5n(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$5n(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$5n(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$5l = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M23 2H1V18H12.5V13.998H3V3.99805H21V11H23V2zM3 20H12.5V22H3V20z"
      }
    }, {
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M23 12.9961H14.5V23.2886L18.7529 20.6742L23 23.2906V12.9961Z"
      }
    }]
  };
  var systemMarkedFilled = vue.defineComponent({
    name: "SystemMarkedFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-system-marked-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$5n(_objectSpread$5n({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$5l, finalProps.value);
    }
  });

  function ownKeys$5m(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$5m(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$5m(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$5m(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$5k = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M1 1H23V11H21V3H3V16H12.5V18H1V1ZM14.5 12.9961H23V23.2906L18.7529 20.6742L14.5 23.2886V12.9961ZM16.5 14.9961V19.7114L18.7541 18.3258L21 19.7094V14.9961H16.5ZM2.25 21H12.5V23H2.25V21Z"
      }
    }]
  };
  var systemMarked = vue.defineComponent({
    name: "SystemMarkedIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-system-marked", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$5m(_objectSpread$5m({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$5k, finalProps.value);
    }
  });

  function ownKeys$5l(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$5l(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$5l(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$5l(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$5j = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M12 1C5.92487 1 1 5.92487 1 12C1 18.0751 5.92487 23 12 23C18.0751 23 23 18.0751 23 12C23 5.92487 18.0751 1 12 1ZM9.50301 14.5001H6.5V9.50008H9.50302L15.5 5.5V18.5L9.50301 14.5001Z"
      }
    }]
  };
  var systemMessagesFilled = vue.defineComponent({
    name: "SystemMessagesFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-system-messages-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$5l(_objectSpread$5l({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$5j, finalProps.value);
    }
  });

  function ownKeys$5k(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$5k(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$5k(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$5k(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$5i = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M12 3C7.02944 3 3 7.02944 3 12C3 16.9706 7.02944 21 12 21C16.9706 21 21 16.9706 21 12C21 7.02944 16.9706 3 12 3ZM1 12C1 5.92487 5.92487 1 12 1C18.0751 1 23 5.92487 23 12C23 18.0751 18.0751 23 12 23C5.92487 23 1 18.0751 1 12ZM16 5.23381V18.7662L9.72301 15H6L6 9H9.72302L16 5.23381ZM14 8.76619L10.277 11H8V13H10.277L14 15.2338V8.76619Z"
      }
    }]
  };
  var systemMessages = vue.defineComponent({
    name: "SystemMessagesIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-system-messages", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$5k(_objectSpread$5k({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$5i, finalProps.value);
    }
  });

  function ownKeys$5j(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$5j(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$5j(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$5j(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$5h = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M23 2H1V18H23V2zM7 10V6H9V10H7zM11 8V6H13V8H11zM17 10H15V6H17V10zM11 14V9H13V14H11zM9 14H7V11H9V14zM15 14V11H17V14H15zM21 20H3V22H21V20z"
      }
    }]
  };
  var systemRegulationFilled = vue.defineComponent({
    name: "SystemRegulationFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-system-regulation-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$5j(_objectSpread$5j({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$5h, finalProps.value);
    }
  });

  function ownKeys$5i(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$5i(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$5i(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$5i(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$5g = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M1 1H23V18H1V1ZM3 3V16H21V3H3ZM9 5V10H7V5H9ZM13 5V8H11V5H13ZM17 5V10H15V5H17ZM13 9V14H11V9H13ZM9 11V14H7V11H9ZM17 11V14H15V11H17ZM3.22222 21H20.7778V23H3.22222V21Z"
      }
    }]
  };
  var systemRegulation = vue.defineComponent({
    name: "SystemRegulationIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-system-regulation", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$5i(_objectSpread$5i({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$5g, finalProps.value);
    }
  });

  function ownKeys$5h(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$5h(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$5h(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$5h(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$5f = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M23 2H1V18H11.5412C11.514 17.7537 11.5 17.5035 11.5 17.25 11.5 16.071 11.8023 14.9626 12.3336 13.998H3V3.99805H21V11.0837C21.7486 11.4181 22.4252 11.8849 23 12.4542V2zM3 20H12.0837C12.4181 20.7486 12.8849 21.4252 13.4542 22H3V20z"
      }
    }, {
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M23 17.25C23 18.1992 22.7216 19.0834 22.2419 19.8254L23.9142 21.5017L22.4983 22.9142L20.8282 21.2401C20.0857 21.7209 19.2004 22 18.25 22C15.6266 22 13.5 19.8734 13.5 17.25C13.5 14.6266 15.6266 12.5 18.25 12.5C20.8734 12.5 23 14.6266 23 17.25ZM21 17.25C21 15.7312 19.7688 14.5 18.25 14.5C16.7312 14.5 15.5 15.7312 15.5 17.25C15.5 18.7688 16.7312 20 18.25 20C19.006 20 19.6907 19.695 20.1878 19.2013L20.1965 19.1926C20.693 18.6951 21 18.0084 21 17.25Z"
      }
    }]
  };
  var systemSearchFilled = vue.defineComponent({
    name: "SystemSearchFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-system-search-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$5h(_objectSpread$5h({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$5f, finalProps.value);
    }
  });

  function ownKeys$5g(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$5g(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$5g(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$5g(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$5e = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M1 1H23V12H21V3H3V16H12V18H1V1ZM18.25 15C19.7688 15 21 16.2312 21 17.75C21 18.5084 20.693 19.1951 20.1965 19.6926C20.1936 19.6955 20.1907 19.6984 20.1878 19.7013C19.6907 20.195 19.006 20.5 18.25 20.5C16.7312 20.5 15.5 19.2688 15.5 17.75C15.5 16.2312 16.7312 15 18.25 15ZM22.2419 20.3254C22.7216 19.5834 23 18.6992 23 17.75C23 15.1266 20.8734 13 18.25 13C15.6266 13 13.5 15.1266 13.5 17.75C13.5 20.3734 15.6266 22.5 18.25 22.5C19.2004 22.5 20.0857 22.2209 20.8282 21.7401L22.4983 23.4142L23.9142 22.0017L22.2419 20.3254ZM2.25 21H12V23H2.25V21Z"
      }
    }]
  };
  var systemSearch = vue.defineComponent({
    name: "SystemSearchIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-system-search", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$5g(_objectSpread$5g({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$5e, finalProps.value);
    }
  });

  function ownKeys$5f(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$5f(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$5f(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$5f(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$5d = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M23 2H1V18H11.7682C11.7562 17.8349 11.75 17.6682 11.75 17.5 11.75 16.2178 12.1075 15.019 12.7283 13.998H3V3.99805H21V11.2281C21.7402 11.5234 22.4159 11.946 23 12.4688V2zM3 20H12.2281C12.5234 20.7402 12.946 21.4159 13.4688 22H3V20z"
      }
    }, {
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M19.4998 13.376V12H17.4998V13.376C16.7848 13.56 16.1472 13.9367 15.6457 14.4475L14.4531 13.759L13.4531 15.491L14.6447 16.179C14.5503 16.5199 14.4998 16.879 14.4998 17.25C14.4998 17.621 14.5503 17.9801 14.6447 18.321L13.4531 19.009L14.4531 20.741L15.6457 20.0525C16.1472 20.5633 16.7848 20.94 17.4998 21.124V22.5H19.4998V21.124C20.2147 20.94 20.8523 20.5633 21.3539 20.0525L22.5464 20.741L23.5464 19.009L22.3548 18.321C22.4493 17.9801 22.4998 17.621 22.4998 17.25C22.4998 16.879 22.4493 16.5199 22.3548 16.179L23.5464 15.491L22.5464 13.759L21.3539 14.4475C20.8523 13.9367 20.2147 13.56 19.4998 13.376ZM16.785 16.22C17.1349 15.6388 17.7719 15.25 18.4998 15.25C19.2276 15.25 19.8646 15.6388 20.2145 16.22L20.251 16.2832C20.4095 16.5698 20.4998 16.8993 20.4998 17.25C20.4998 17.6007 20.4095 17.9302 20.251 18.2168L20.2145 18.28C19.8646 18.8612 19.2276 19.25 18.4998 19.25C17.7719 19.25 17.1349 18.8612 16.785 18.28L16.7485 18.2167C16.59 17.9302 16.4998 17.6006 16.4998 17.25C16.4998 16.8994 16.59 16.5698 16.7485 16.2833L16.785 16.22Z"
      }
    }]
  };
  var systemSettingFilled = vue.defineComponent({
    name: "SystemSettingFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-system-setting-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$5f(_objectSpread$5f({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$5d, finalProps.value);
    }
  });

  function ownKeys$5e(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$5e(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$5e(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$5e(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$5c = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M1 2H23V10.25H21V4H3V16H11.5V18H1V2ZM3 20H11.5V22H3V20Z"
      }
    }, {
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M19.4999 12V13.376C20.2149 13.56 20.8525 13.9367 21.354 14.4475L22.5466 13.759L23.5466 15.491L22.355 16.179C22.4494 16.5199 22.4999 16.879 22.4999 17.25C22.4999 17.621 22.4494 17.9801 22.355 18.321L23.5466 19.009L22.5466 20.741L21.354 20.0525C20.8525 20.5633 20.2149 20.94 19.4999 21.124V22.5H17.4999V21.124C16.785 20.94 16.1474 20.5633 15.6458 20.0525L14.4533 20.741L13.4533 19.009L14.6449 18.321C14.5504 17.9801 14.4999 17.621 14.4999 17.25C14.4999 16.879 14.5504 16.5199 14.6449 16.179L13.4533 15.491L14.4533 13.759L15.6458 14.4475C16.1474 13.9367 16.785 13.56 17.4999 13.376V12H19.4999ZM16.7487 16.2833C16.5902 16.5698 16.4999 16.8994 16.4999 17.25C16.4999 17.6006 16.5902 17.9302 16.7487 18.2167L16.7852 18.28C17.1351 18.8612 17.7721 19.25 18.4999 19.25C19.2278 19.25 19.8648 18.8612 20.2147 18.28L20.2512 18.2168C20.4097 17.9302 20.4999 17.6007 20.4999 17.25C20.4999 16.8993 20.4097 16.5698 20.2512 16.2832L20.2147 16.22C19.8648 15.6388 19.2278 15.25 18.4999 15.25C17.7721 15.25 17.1351 15.6388 16.7852 16.22L16.7487 16.2833Z"
      }
    }]
  };
  var systemSetting = vue.defineComponent({
    name: "SystemSettingIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-system-setting", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$5e(_objectSpread$5e({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$5c, finalProps.value);
    }
  });

  function ownKeys$5d(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$5d(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$5d(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$5d(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$5b = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M15.7893 2.00053L22 8.21116V22.0001H2V2.00049L15.7893 2.00053ZM7 4.00027V9H11V4L7 4.00027ZM7 13V15H17V13H7ZM7 16V18H13V16H7Z"
      }
    }]
  };
  var systemStorageFilled = vue.defineComponent({
    name: "SystemStorageFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-system-storage-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$5d(_objectSpread$5d({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$5b, finalProps.value);
    }
  });

  function ownKeys$5c(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$5c(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$5c(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$5c(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$5a = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M8.5 4.00041V7.62538H11V4.00022L8.5 4.00041ZM13 4.00024V9.62538H6.5V4.00049H4V20.0001H20V9.0396L14.9607 4.00045L13 4.00024ZM15.7893 2.00053L22 8.21116V22.0001H2V2.00049L15.7893 2.00053ZM7 14.0001V12.0001H17V14.0001H7ZM7 17.0001V15.0001H13V17.0001H7Z"
      }
    }]
  };
  var systemStorage = vue.defineComponent({
    name: "SystemStorageIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-system-storage", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$5c(_objectSpread$5c({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$5a, finalProps.value);
    }
  });

  function ownKeys$5b(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$5b(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$5b(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$5b(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$59 = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M13.5266 5.69337C14.3427 6.35784 15.1567 7.09183 15.9514 7.88659C16.746 8.68114 17.4798 9.49486 18.1441 10.3108C18.7149 9.43817 19.1779 8.59574 19.5225 7.81242C19.9773 6.77877 20.2042 5.89754 20.2328 5.21439C20.2615 4.53241 20.093 4.15535 19.8875 3.94993C19.6821 3.7445 19.305 3.57598 18.6231 3.60461C17.9399 3.63328 17.0587 3.86012 16.025 4.31493C15.2417 4.6596 14.3992 5.1226 13.5266 5.69337ZM11.8389 4.41972C13.0019 3.61065 14.1454 2.95691 15.2196 2.4843C16.3866 1.97079 17.5214 1.64909 18.5392 1.60637C19.5581 1.5636 20.5669 1.80085 21.3017 2.53571C22.0366 3.27058 22.2738 4.27934 22.2311 5.29827C22.1884 6.31604 21.8667 7.45083 21.3532 8.6179C20.8806 9.69197 20.2269 10.8354 19.4178 11.9984C20.2271 13.1616 20.881 14.3054 21.3537 15.3797C21.8672 16.5468 22.1889 17.6816 22.2317 18.6993C22.2744 19.7183 22.0372 20.727 21.3023 21.4619C20.5675 22.1968 19.5587 22.434 18.5398 22.3912C17.522 22.3485 16.3872 22.0268 15.2201 21.5133C14.1459 21.0406 13.0021 20.3867 11.8389 19.5775C10.6758 20.3867 9.53203 21.0406 8.45774 21.5133C7.29067 22.0268 6.15588 22.3485 5.13811 22.3912C4.11918 22.434 3.11042 22.1968 2.37556 21.4619C1.64069 20.727 1.40345 19.7183 1.44621 18.6993C1.48893 17.6816 1.81063 16.5468 2.32415 15.3797C2.79685 14.3054 3.45076 13.1616 4.26006 11.9984C3.45103 10.8354 2.79732 9.69197 2.32473 8.6179C1.81122 7.45083 1.48952 6.31604 1.4468 5.29827C1.40403 4.27934 1.64128 3.27058 2.37614 2.53571C3.11101 1.80085 4.11976 1.5636 5.13869 1.60637C6.15647 1.64909 7.29126 1.97079 8.45833 2.4843C9.53243 2.95691 10.676 3.61065 11.8389 4.41972ZM5.53375 10.3108C6.19807 9.49486 6.93189 8.68114 7.72644 7.88659C8.5212 7.09183 9.33514 6.35783 10.1513 5.69337C9.27865 5.1226 8.43619 4.6596 7.65285 4.31493C6.6192 3.86012 5.73796 3.63328 5.05482 3.60461C4.37284 3.57598 3.99578 3.7445 3.79036 3.94993C3.58493 4.15535 3.41641 4.53241 3.44504 5.21439C3.47371 5.89754 3.70055 6.77877 4.15536 7.81242C4.50002 8.59574 4.963 9.43817 5.53375 10.3108ZM6.74564 11.9984C7.44705 12.8956 8.24907 13.8046 9.14123 14.6968C10.0332 15.5887 10.942 16.3906 11.8389 17.0919C12.7359 16.3906 13.6447 15.5887 14.5366 14.6968C15.4288 13.8046 16.2308 12.8956 16.9322 11.9984C16.231 11.1015 15.4291 10.1927 14.5372 9.30081C13.6451 8.40867 12.7361 7.60667 11.8389 6.90528C10.9418 7.60667 10.0328 8.40867 9.14065 9.30081C8.24873 10.1927 7.44691 11.1015 6.74564 11.9984ZM5.53368 13.686C4.9627 14.5589 4.49954 15.4016 4.15478 16.1852C3.69997 17.2188 3.47313 18.1001 3.44445 18.7832C3.41583 19.4652 3.58434 19.8423 3.78977 20.0477C3.9952 20.2531 4.37225 20.4216 5.05424 20.393C5.73738 20.3643 6.61861 20.1375 7.65227 19.6827C8.4358 19.3379 9.27848 18.8748 10.1514 18.3038C9.33538 17.6395 8.52162 16.9056 7.72702 16.111C6.93221 15.3162 6.19818 14.5022 5.53368 13.686ZM13.5265 18.3038C14.3994 18.8748 15.2421 19.3379 16.0256 19.6827C17.0593 20.1375 17.9405 20.3643 18.6236 20.393C19.3056 20.4216 19.6827 20.2531 19.8881 20.0477C20.0935 19.8423 20.2621 19.4652 20.2334 18.7832C20.2048 18.1001 19.9779 17.2188 19.5231 16.1852C19.1783 15.4016 18.7152 14.5589 18.1442 13.686C17.4797 14.5022 16.7457 15.3162 15.9509 16.111C15.1563 16.9056 14.3425 17.6395 13.5265 18.3038ZM11.0001 10.9998H13.004V13.0037H11.0001V10.9998Z"
      }
    }]
  };
  var systemSum = vue.defineComponent({
    name: "SystemSumIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-system-sum", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$5b(_objectSpread$5b({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$59, finalProps.value);
    }
  });

  function ownKeys$5a(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$5a(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$5a(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$5a(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$58 = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M23 2H1V18H13V16C13 15.3015 13.1102 14.6287 13.3141 13.998H3V3.99805H21V9.67393C21.7204 9.8441 22.3945 10.1341 23 10.5218V2zM3 20H13V22H3V20z"
      }
    }, {
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M18.2515 14.75C18.2515 14.0596 18.8111 13.5 19.5015 13.5C19.8456 13.5 20.1555 13.6377 20.3826 13.8634L21.0919 14.5683L22.5017 13.1498L21.7925 12.4448C21.206 11.8619 20.395 11.5 19.5015 11.5C17.7065 11.5 16.2515 12.9551 16.2515 14.75V15.5H15V22H24V15.5H18.2515V14.75Z"
      }
    }]
  };
  var systemUnlockedFilled = vue.defineComponent({
    name: "SystemUnlockedFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-system-unlocked-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$5a(_objectSpread$5a({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$58, finalProps.value);
    }
  });

  function ownKeys$59(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$59(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$59(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$59(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$57 = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M1 1H23V11H21V3H3V16H13V18H1V1ZM19.5015 14.5C18.8111 14.5 18.2515 15.0596 18.2515 15.75V16.5H24V23H15V16.5H16.2515V15.75C16.2515 13.9551 17.7065 12.5 19.5015 12.5C20.395 12.5 21.206 12.8619 21.7925 13.4448L22.5017 14.1498L21.0919 15.5683L20.3826 14.8634C20.1555 14.6377 19.8456 14.5 19.5015 14.5ZM17 18.5V21H22V18.5H17ZM2.25 21H13V23H2.25V21Z"
      }
    }]
  };
  var systemUnlocked = vue.defineComponent({
    name: "SystemUnlockedIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-system-unlocked", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$59(_objectSpread$59({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$57, finalProps.value);
    }
  });

  function ownKeys$58(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$58(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$58(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$58(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$56 = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M22.5 20L1.5 20L1.5 18H22.5V20ZM22.5 4V16H16.5L16.5 4L22.5 4ZM15 4L15 16L9 16L9 4L15 4ZM7.5 4L7.5 16L1.5 16L1.5 4L7.5 4Z"
      }
    }]
  };
  var tabFilled = vue.defineComponent({
    name: "TabFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-tab-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$58(_objectSpread$58({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$56, finalProps.value);
    }
  });

  function ownKeys$57(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$57(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$57(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$57(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$55 = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M22.5 20L1.5 20L1.5 18H22.5V20ZM22.5 4V16H16.5L16.5 4L22.5 4ZM20.5 6L18.5 6V14H20.5V6ZM15 4L15 16L9 16L9 4L15 4ZM13 6L11 6L11 14L13 14L13 6ZM7.5 4L7.5 16L1.5 16L1.5 4L7.5 4ZM5.5 6L3.5 6L3.5 14H5.5V6Z"
      }
    }]
  };
  var tab = vue.defineComponent({
    name: "TabIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-tab", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$57(_objectSpread$57({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$55, finalProps.value);
    }
  });

  function ownKeys$56(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$56(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$56(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$56(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$54 = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M22 2H2V8H22V2ZM7.33057 10H2V22H7.33057V10ZM14.6655 10H9.33496V22H14.6655V10ZM16.6689 10H21.9995V22H16.6689V10Z",
        "fillRule": "evenodd",
        "clipRule": "evenodd"
      }
    }]
  };
  var table1Filled = vue.defineComponent({
    name: "Table1FilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-table-1-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$56(_objectSpread$56({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$54, finalProps.value);
    }
  });

  function ownKeys$55(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$55(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$55(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$55(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$53 = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M2 2L22 2L22 22L2 22L2 2ZM4 4L4 8L20 8V4L4 4ZM20 10H16L16 20H20L20 10ZM14 20L14 10L10 10L10 20L14 20ZM8 20L8 10H4L4 20H8Z"
      }
    }]
  };
  var table1 = vue.defineComponent({
    name: "Table1Icon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-table-1", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$55(_objectSpread$55({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$53, finalProps.value);
    }
  });

  function ownKeys$54(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$54(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$54(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$54(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$52 = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M11 3.5H1.5V7.81818H11V3.5zM1.5 9.81818V14.1818H11V9.81818H1.5zM1.5 16.1818V20.5H11V16.1818H1.5zM13 20.5H22.5V16.1818H13V20.5zM22.5 14.1818V9.81818H13V14.1818H22.5zM22.5 7.81818V3.5H13V7.81818H22.5z"
      }
    }]
  };
  var table2Filled = vue.defineComponent({
    name: "Table2FilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-table-2-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$54(_objectSpread$54({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$52, finalProps.value);
    }
  });

  function ownKeys$53(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$53(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$53(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$53(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$51 = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M1.5 3.5H22.5V20.5H1.5V3.5ZM3.5 5.5V8.5H11V5.5H3.5ZM13 5.5V8.5H20.5V5.5H13ZM20.5 10.5H13V13.5H20.5V10.5ZM20.5 15.5H13V18.5H20.5V15.5ZM11 18.5V15.5H3.5V18.5H11ZM3.5 13.5H11V10.5H3.5V13.5Z"
      }
    }]
  };
  var table2 = vue.defineComponent({
    name: "Table2Icon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-table-2", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$53(_objectSpread$53({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$51, finalProps.value);
    }
  });

  function ownKeys$52(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$52(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$52(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$52(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$50 = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M22 2H2V22H22V2ZM4 6V4H20V6H4ZM16 15H13V18H11V15H8V13H11V10H13V13H16V15Z"
      }
    }]
  };
  var tableAddFilled = vue.defineComponent({
    name: "TableAddFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-table-add-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$52(_objectSpread$52({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$50, finalProps.value);
    }
  });

  function ownKeys$51(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$51(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$51(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$51(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$4$ = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M2 2H22V22H2V2ZM4 4V6H20V4H4ZM20 8H4V20H20V8ZM13 10V13H16V15H13V18H11V15H8V13H11V10H13Z"
      }
    }]
  };
  var tableAdd = vue.defineComponent({
    name: "TableAddIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-table-add", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$51(_objectSpread$51({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$4$, finalProps.value);
    }
  });

  function ownKeys$50(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$50(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$50(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$50(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$4_ = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M2 22H22V2H2V22ZM4 20V15H8V20H4ZM10 20V15H14V20H10ZM16 20V15H20V20H16ZM20 13H16V8H20V13ZM4 8H8V13H4V8ZM10 13V8H14V13H10Z"
      }
    }]
  };
  var tableFilled = vue.defineComponent({
    name: "TableFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-table-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$50(_objectSpread$50({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$4_, finalProps.value);
    }
  });

  function ownKeys$4$(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$4$(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$4$(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$4$(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$4Z = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M22 2V22H2V2H22ZM4 6H11V4H4V6ZM13 6H20V4H13V6ZM13.002 10.75H10.998V12.7539H13.002V10.75ZM7.00195 13.75H4.99805V15.7539H7.00195V13.75ZM10.002 13.75H7.99805V15.7539H10.002V13.75ZM13.002 13.75H10.998V15.7539H13.002V13.75ZM16.002 13.75H13.998V15.7539H16.002V13.75ZM19.002 13.75H16.998V15.7539H19.002V13.75ZM13.002 16.75H10.998V18.7539H13.002V16.75Z"
      }
    }]
  };
  var tableSplitFilled = vue.defineComponent({
    name: "TableSplitFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-table-split-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$4$(_objectSpread$4$({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$4Z, finalProps.value);
    }
  });

  function ownKeys$4_(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$4_(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$4_(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$4_(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$4Y = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M2 2H22V22H2V2ZM4 4V6H11V4H4ZM13 4V6H20V4H13ZM20 8H4V20H20V8ZM10.998 9.99805H13.002V12.002H10.998V9.99805ZM4.99805 12.998H7.00195V15.002H4.99805V12.998ZM7.99805 12.998H10.002V15.002H7.99805V12.998ZM10.998 12.998H13.002V15.002H10.998V12.998ZM13.998 12.998H16.002V15.002H13.998V12.998ZM16.998 12.998H19.002V15.002H16.998V12.998ZM10.998 15.998H13.002V18.002H10.998V15.998Z"
      }
    }]
  };
  var tableSplit = vue.defineComponent({
    name: "TableSplitIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-table-split", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$4_(_objectSpread$4_({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$4Y, finalProps.value);
    }
  });

  function ownKeys$4Z(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$4Z(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$4Z(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$4Z(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$4X = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M2 22L22 22L22 2L2 2L2 22ZM4 20L4 15H8L8 20H4ZM10 20V15L14 15L14 20H10ZM16 20L16 15H20V20H16ZM20 13L16 13V8L20 8L20 13ZM20 6L4 6V4L20 4V6ZM4 8L8 8L8 13L4 13L4 8ZM10 13L10 8H14V13H10Z"
      }
    }]
  };
  var table = vue.defineComponent({
    name: "TableIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-table", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$4Z(_objectSpread$4Z({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$4X, finalProps.value);
    }
  });

  function ownKeys$4Y(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$4Y(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$4Y(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$4Y(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$4W = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M0.978516 13.1206L10.878 23.0201L20.9999 12.9145L21 2.99805L11.1002 3.01525L0.978516 13.1206ZM14.9961 9.00382V7H16.9999L17.0001 9.00399L14.9961 9.00382Z"
      }
    }]
  };
  var tagFilled = vue.defineComponent({
    name: "TagFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-tag-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$4Y(_objectSpread$4Y({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$4W, finalProps.value);
    }
  });

  function ownKeys$4X(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$4X(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$4X(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$4X(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$4V = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M10.878 23.0201L0.978516 13.1206L11.1002 3.01525L21 2.99805L20.9999 12.9145L10.878 23.0201ZM10.8792 20.1928L18.9999 12.0851L19 5.00153L11.9291 5.01382L3.80809 13.1217L10.8792 20.1928ZM14.9961 9.00361V6.99979H16.9999L17.0001 9.00378L14.9961 9.00361Z"
      }
    }]
  };
  var tag = vue.defineComponent({
    name: "TagIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-tag", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$4X(_objectSpread$4X({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$4V, finalProps.value);
    }
  });

  function ownKeys$4W(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$4W(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$4W(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$4W(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$4U = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M14.8682 4.5472L16.4105 2.99615L14.9923 1.58594L12.5707 4.02127C12.411 3.70572 12.2085 3.42613 11.9664 3.18304C11.32 2.53394 10.4985 2.25346 9.78233 2.13936C9.06306 2.02476 8.36798 2.06417 7.87079 2.12497C7.61807 2.15588 7.40643 2.1936 7.25539 2.22423C6.65163 2.34664 6.05636 2.51255 5.46186 2.67824C5.19355 2.75301 4.92541 2.82775 4.65671 2.89842L7.76057 4.70407L7.72517 4.71398C6.13837 5.16753 4.67724 5.97107 3.62223 7.35457C2.56694 8.73845 2.00016 10.5948 2 12.9999C1.9998 16.0065 3.11121 18.305 4.99588 19.8298C6.84999 21.3299 9.34671 21.9973 12 21.9973C14.6523 21.9973 17.1497 21.3332 19.0045 19.8345C20.8903 18.3107 22.0015 16.0115 22 12.9994C21.9988 10.5846 21.4109 8.72948 20.3475 7.3496C19.2863 5.97258 17.8307 5.17157 16.2822 4.71611C15.8418 4.58658 15.3508 4.54298 14.8682 4.5472ZM7 8H9.00391V10.0039H7V8ZM5 11H7.00391V13.0039H5V11ZM9.00391 14V16.0039H7V14H9.00391Z"
      }
    }]
  };
  var tangerinrFilled = vue.defineComponent({
    name: "TangerinrFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-tangerinr-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$4W(_objectSpread$4W({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$4U, finalProps.value);
    }
  });

  function ownKeys$4V(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$4V(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$4V(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$4V(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$4T = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M9.5038 1.58594L12.0254 4.12107L14.7369 1.58674L16.1025 3.04788L15.0787 4.00478C15.8653 4.04231 16.6509 4.30241 17.2847 4.59184C17.9415 4.89177 18.5473 5.27502 18.9266 5.62029C20.4373 6.77477 21.9084 9.32564 21.9959 12.2365C22.0873 15.2785 20.6737 18.6379 16.5036 21.2751C16.0252 21.5776 15.4574 21.7885 14.9076 21.9015C14.3656 22.0128 13.759 22.0459 13.2126 21.9163C12.7677 21.8108 12.52 21.7133 12.3748 21.6561C12.3482 21.6457 12.3251 21.6366 12.3048 21.629C12.2687 21.6155 12.2622 21.6145 12.2503 21.6127L12.2491 21.6125C12.2222 21.6083 12.1553 21.601 12 21.601C11.8447 21.601 11.7778 21.6083 11.7509 21.6125L11.7498 21.6127C11.7378 21.6145 11.7313 21.6155 11.6952 21.629C11.6749 21.6366 11.6518 21.6457 11.6252 21.6561C11.48 21.7133 11.2323 21.8108 10.7874 21.9163C10.241 22.0459 9.63441 22.0128 9.09245 21.9015C8.54262 21.7885 7.97479 21.5776 7.49637 21.2751C3.32636 18.6379 1.91274 15.2785 2.00413 12.2365C2.09158 9.32563 3.56273 6.77477 5.07344 5.62029C5.45273 5.27502 6.05849 4.89176 6.7153 4.59184C7.39293 4.28241 8.24403 4.00649 9.08433 4.00025L8.0858 2.99636L9.5038 1.58594ZM7.54606 6.41114C6.99126 6.66448 6.57058 6.95591 6.40455 7.11341L6.3615 7.15424L6.31393 7.18969C5.31459 7.93454 4.07468 9.91836 4.00323 12.2965C3.93484 14.5727 4.94139 17.2929 8.56535 19.5847C8.8086 19.7386 9.14284 19.87 9.49509 19.9424C9.85522 20.0164 10.1507 20.0119 10.3259 19.9703C10.6277 19.8987 10.7584 19.8476 10.8938 19.7946C10.927 19.7816 10.9604 19.7685 10.9968 19.7549C11.2946 19.6439 11.5543 19.601 12 19.601C12.4457 19.601 12.7055 19.6439 13.0032 19.7549C13.0396 19.7685 13.073 19.7816 13.1062 19.7946C13.2416 19.8476 13.3723 19.8987 13.6741 19.9703C13.8493 20.0119 14.1448 20.0164 14.5049 19.9424C14.8572 19.87 15.1914 19.7386 15.4347 19.5847C19.0586 17.2929 20.0652 14.5727 19.9968 12.2965C19.9253 9.91836 18.6854 7.93454 17.6861 7.18969L17.6385 7.15424L17.5955 7.11341C17.4294 6.95591 17.0088 6.66448 16.454 6.41114C15.9009 6.15861 15.336 6.00015 14.8867 6.00015C14.0333 6.00015 13.3843 6.17102 13.0437 6.30017C12.7751 6.40201 12.4123 6.51358 12 6.51358C11.5877 6.51358 11.2249 6.40201 10.9563 6.30017C10.6157 6.17102 9.96674 6.00015 9.11334 6.00015C8.66405 6.00015 8.09908 6.15861 7.54606 6.41114ZM8.00001 8.00015H10.0039V10.0041H8.00001V8.00015ZM6.00001 11.0001H8.00391V13.0041H6.00001V11.0001ZM8.00001 14.0001H10.0039V16.0041H8.00001V14.0001Z"
      }
    }]
  };
  var tangerinr = vue.defineComponent({
    name: "TangerinrIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-tangerinr", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$4V(_objectSpread$4V({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$4T, finalProps.value);
    }
  });

  function ownKeys$4U(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$4U(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$4U(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$4U(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$4S = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M1 3V21H23V3H1ZM18 7H6L4.5 5H19.5L18 7ZM10 13.5C10 14.8807 8.88071 16 7.5 16C6.11929 16 5 14.8807 5 13.5C5 12.1193 6.11929 11 7.5 11C8.88071 11 10 12.1193 10 13.5ZM19 13.5C19 14.8807 17.8807 16 16.5 16C15.1193 16 14 14.8807 14 13.5C14 12.1193 15.1193 11 16.5 11C17.8807 11 19 12.1193 19 13.5Z"
      }
    }]
  };
  var tapeFilled = vue.defineComponent({
    name: "TapeFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-tape-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$4U(_objectSpread$4U({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$4S, finalProps.value);
    }
  });

  function ownKeys$4T(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$4T(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$4T(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$4T(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$4R = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M1 3L23 3V21H1L1 3ZM3 5L3 19H21V5H19.5352L17.5352 8H6.46482L4.46482 5L3 5ZM6.86852 5L7.53518 6H16.4648L17.1315 5H6.86852ZM8 12C7.44772 12 7 12.4477 7 13C7 13.5523 7.44772 14 8 14C8.55228 14 9 13.5523 9 13C9 12.4477 8.55228 12 8 12ZM5 13C5 11.3431 6.34315 10 8 10C9.65685 10 11 11.3431 11 13C11 14.6569 9.65685 16 8 16C6.34315 16 5 14.6569 5 13ZM16 12C15.4477 12 15 12.4477 15 13C15 13.5523 15.4477 14 16 14C16.5523 14 17 13.5523 17 13C17 12.4477 16.5523 12 16 12ZM13 13C13 11.3431 14.3431 10 16 10C17.6569 10 19 11.3431 19 13C19 14.6569 17.6569 16 16 16C14.3431 16 13 14.6569 13 13Z"
      }
    }]
  };
  var tape = vue.defineComponent({
    name: "TapeIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-tape", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$4T(_objectSpread$4T({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$4R, finalProps.value);
    }
  });

  function ownKeys$4S(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$4S(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$4S(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$4S(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$4Q = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M16 1H8V5H16V1Z"
      }
    }, {
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M3 3H6V7H18V3H21V23H3V3Z"
      }
    }]
  };
  var task1Filled = vue.defineComponent({
    name: "Task1FilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-task-1-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$4S(_objectSpread$4S({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$4Q, finalProps.value);
    }
  });

  function ownKeys$4R(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$4R(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$4R(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$4R(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$4P = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M7 1L17 1V3L21 3L21 23L3 23L3 3L7 3V1ZM7 5H5L5 21L19 21L19 5L17 5V7L7 7V5ZM15 3L9 3V5L15 5V3Z"
      }
    }]
  };
  var task1 = vue.defineComponent({
    name: "Task1Icon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-task-1", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$4R(_objectSpread$4R({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$4P, finalProps.value);
    }
  });

  function ownKeys$4Q(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$4Q(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$4Q(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$4Q(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$4O = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M12 3C7.02944 3 3 7.02944 3 12C3 16.9706 7.02944 21 12 21H13V23H12C5.92487 23 1 18.0751 1 12C1 5.92487 5.92487 1 12 1C13.4978 1 14.9281 1.29991 16.2322 1.8439L17.1551 2.2289L16.3851 4.07474L15.4622 3.68974C14.3977 3.24571 13.2288 3 12 3ZM23.4142 4.5L12 15.9142L6.08579 10L7.5 8.58579L12 13.0858L22 3.08579L23.4142 4.5ZM20 15V18H23V20H20V23H18V20H15V18H18V15H20Z"
      }
    }]
  };
  var taskAdd1 = vue.defineComponent({
    name: "TaskAdd1Icon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-task-add-1", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$4Q(_objectSpread$4Q({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$4O, finalProps.value);
    }
  });

  function ownKeys$4P(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$4P(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$4P(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$4P(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$4N = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M16 1H8V5H16V1Z"
      }
    }, {
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M6 3H3V23H13.8762C13.0139 21.897 12.5 20.5085 12.5 19C12.5 15.4101 15.4101 12.5 19 12.5C19.6978 12.5 20.3699 12.61 21 12.8135V3H18V7H6V3Z"
      }
    }, {
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M24 20H20V24H18V20H14V18H18V14H20V18H24V20Z"
      }
    }]
  };
  var taskAddFilled = vue.defineComponent({
    name: "TaskAddFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-task-add-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$4P(_objectSpread$4P({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$4N, finalProps.value);
    }
  });

  function ownKeys$4O(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$4O(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$4O(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$4O(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$4M = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M7 1H17V3H21V12H19V5H17V7H7V5H5V21H12V23H3V3H7V1ZM9 5H15V3H9V5ZM20 14V18H24V20H20V24H18V20H14V18H18V14H20Z"
      }
    }]
  };
  var taskAdd = vue.defineComponent({
    name: "TaskAddIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-task-add", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$4O(_objectSpread$4O({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$4M, finalProps.value);
    }
  });

  function ownKeys$4N(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$4N(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$4N(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$4N(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$4L = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M12 3C7.02944 3 3 7.02944 3 12C3 16.9706 7.02944 21 12 21C16.9706 21 21 16.9706 21 12V11H23V12C23 18.0751 18.0751 23 12 23C5.92487 23 1 18.0751 1 12C1 5.92487 5.92487 1 12 1C13.4978 1 14.9281 1.29991 16.2322 1.8439L17.1551 2.2289L16.3851 4.07474L15.4622 3.68974C14.3977 3.24571 13.2288 3 12 3ZM23.4142 4.5L12 15.9142L6.08579 10L7.5 8.58579L12 13.0858L22 3.08579L23.4142 4.5Z"
      }
    }]
  };
  var taskChecked1 = vue.defineComponent({
    name: "TaskChecked1Icon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-task-checked-1", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$4N(_objectSpread$4N({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$4L, finalProps.value);
    }
  });

  function ownKeys$4M(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$4M(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$4M(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$4M(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$4K = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M16 1H8V5H16V1Z"
      }
    }, {
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M6 3H3V23H12.8762C12.0139 21.897 11.5 20.5085 11.5 19C11.5 15.4102 14.4101 12.5 18 12.5C19.0821 12.5 20.1025 12.7644 21 13.2322V3H18V7H6V3Z"
      }
    }, {
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M12.3438 19.4143L13.758 18.0001L16.5864 20.8285L22.2432 15.1716L23.6575 16.5858L16.5864 23.6569L12.3438 19.4143Z"
      }
    }]
  };
  var taskCheckedFilled = vue.defineComponent({
    name: "TaskCheckedFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-task-checked-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$4M(_objectSpread$4M({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$4K, finalProps.value);
    }
  });

  function ownKeys$4L(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$4L(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$4L(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$4L(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$4J = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M7 1H17V3H21V14H19V5H17V7H7V5H5V21H11V23H3V3H7V1ZM9 5H15V3H9V5ZM23.6573 16.5858L16.5862 23.6569L12.3436 19.4142L13.7578 18L16.5862 20.8285L22.2431 15.1716L23.6573 16.5858Z"
      }
    }]
  };
  var taskChecked = vue.defineComponent({
    name: "TaskCheckedIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-task-checked", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$4L(_objectSpread$4L({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$4J, finalProps.value);
    }
  });

  function ownKeys$4K(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$4K(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$4K(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$4K(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$4I = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M12 0V2H15V0H17V2H21V19H6V2H10V0H12ZM11 15H16V13H11V15Z"
      }
    }, {
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M4 6V21H15V23H2V6H4Z"
      }
    }]
  };
  var taskDoubleFilled = vue.defineComponent({
    name: "TaskDoubleFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-task-double-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$4K(_objectSpread$4K({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$4I, finalProps.value);
    }
  });

  function ownKeys$4J(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$4J(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$4J(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$4J(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$4H = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M16 15H11V13H16V15Z"
      }
    }, {
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M12 2V0H10V2H6V19H21V2H17V0H15V2H12ZM15 6H17V4H19V17H8V4H10V6H12V4H15V6Z"
      }
    }, {
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M4 21V6H2V23H15V21H4Z"
      }
    }]
  };
  var taskDouble = vue.defineComponent({
    name: "TaskDoubleIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-task-double", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$4J(_objectSpread$4J({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$4H, finalProps.value);
    }
  });

  function ownKeys$4I(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$4I(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$4I(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$4I(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$4G = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M16 1H8V5H16V1Z"
      }
    }, {
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M6 3H3V23H13.8762C13.0139 21.897 12.5 20.5085 12.5 19C12.5 15.4101 15.4101 12.5 19 12.5C19.6978 12.5 20.3699 12.61 21 12.8135V3H18V7H6V3Z"
      }
    }, {
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M23.2431 21.8284L21.8289 23.2426L19.0005 20.4142L16.172 23.2426L14.7578 21.8284L17.5862 19L14.7578 16.1715L16.172 14.7573L19.0005 17.5857L21.8289 14.7573L23.2431 16.1715L20.4147 19L23.2431 21.8284Z"
      }
    }]
  };
  var taskErrorFilled = vue.defineComponent({
    name: "TaskErrorFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-task-error-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$4I(_objectSpread$4I({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$4G, finalProps.value);
    }
  });

  function ownKeys$4H(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$4H(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$4H(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$4H(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$4F = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M7 1H17V3H21V12H19V5H17V7H7V5H5V21H12V23H3V3H7V1ZM9 5H15V3H9V5ZM16.1716 14.7574L19 17.5858L21.8284 14.7574L23.2426 16.1716L20.4142 19L23.2426 21.8284L21.8284 23.2426L19 20.4142L16.1716 23.2426L14.7574 21.8284L17.5858 19L14.7574 16.1716L16.1716 14.7574Z"
      }
    }]
  };
  var taskError = vue.defineComponent({
    name: "TaskErrorIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-task-error", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$4H(_objectSpread$4H({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$4F, finalProps.value);
    }
  });

  function ownKeys$4G(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$4G(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$4G(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$4G(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$4E = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M16 1H8V5H16V1Z"
      }
    }, {
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M3 3H6V7H18V3H21V23H3V3ZM15 13V11H9V13H15ZM15 17V15H9V17H15Z"
      }
    }]
  };
  var taskFilled = vue.defineComponent({
    name: "TaskFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-task-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$4G(_objectSpread$4G({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$4E, finalProps.value);
    }
  });

  function ownKeys$4F(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$4F(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$4F(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$4F(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$4D = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M16 1H8V5H16V1Z"
      }
    }, {
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M3 3H6V7H18V3H21V10.9172C20.3019 10.6478 19.5432 10.5 18.75 10.5C15.2982 10.5 12.5 13.2982 12.5 16.75C12.5 19.313 13.9446 21.3386 15.0255 22.5271C15.1774 22.6941 15.3288 22.8519 15.4771 23H3V3Z"
      }
    }, {
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M18.75 23.7013C18.6826 23.6564 18.6149 23.6118 18.5471 23.5672C18.363 23.446 18.1786 23.3246 18.0005 23.1949C17.8856 23.1113 17.7252 22.9906 17.5345 22.836C17.1545 22.5281 16.6463 22.0799 16.1352 21.5179C15.1403 20.4239 14 18.7512 14 16.75C14 14.1266 16.1266 12 18.75 12C21.3734 12 23.5 14.1266 23.5 16.75C23.5 18.7512 22.3597 20.4239 21.3648 21.5179C20.8537 22.0799 20.3455 22.5281 19.9655 22.836C19.7748 22.9906 19.6144 23.1113 19.4995 23.1949C19.3213 23.3246 19.137 23.4459 18.9528 23.5672C18.8851 23.6118 18.8174 23.6564 18.75 23.7013ZM17.5 16V18H20V16H17.5Z"
      }
    }]
  };
  var taskLocationFilled = vue.defineComponent({
    name: "TaskLocationFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-task-location-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$4F(_objectSpread$4F({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$4D, finalProps.value);
    }
  });

  function ownKeys$4E(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$4E(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$4E(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$4E(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$4C = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M8.5 0V2H15.5V0H17.5V2H21V10.5H19V9H5V21H14V23H3V2H6.5V0H8.5ZM5 7H19V4H5V7ZM18.75 14C17.2312 14 16 15.2312 16 16.75C16 18.0023 16.7347 19.2045 17.6148 20.1722C18.0223 20.6202 18.4324 20.9864 18.75 21.2466C19.0676 20.9864 19.4777 20.6202 19.8852 20.1722C20.7653 19.2045 21.5 18.0023 21.5 16.75C21.5 15.2312 20.2688 14 18.75 14ZM18.75 23.7013C18.4993 23.534 18.2442 23.3723 18.0005 23.1949C17.8856 23.1113 17.7252 22.9906 17.5345 22.836C17.1545 22.5281 16.6463 22.0799 16.1352 21.5179C15.1403 20.4239 14 18.7512 14 16.75C14 14.1266 16.1266 12 18.75 12C21.3734 12 23.5 14.1266 23.5 16.75C23.5 18.7512 22.3597 20.4239 21.3648 21.5179C20.8537 22.0799 20.3455 22.5281 19.9655 22.836C19.7748 22.9906 19.6144 23.1113 19.4995 23.1949C19.2558 23.3723 19.0007 23.534 18.75 23.7013ZM17.5 16H20V18H17.5V16Z"
      }
    }]
  };
  var taskLocation = vue.defineComponent({
    name: "TaskLocationIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-task-location", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$4E(_objectSpread$4E({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$4C, finalProps.value);
    }
  });

  function ownKeys$4D(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$4D(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$4D(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$4D(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$4B = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M16 1H8V5H16V1Z"
      }
    }, {
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M6 3H3V23H12.75V11H21V3H18V7H6V3Z"
      }
    }, {
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M14.75 12.9961H23.25V23.2906L19.0029 20.6742L14.75 23.2886V12.9961Z"
      }
    }]
  };
  var taskMarkedFilled = vue.defineComponent({
    name: "TaskMarkedFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-task-marked-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$4D(_objectSpread$4D({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$4B, finalProps.value);
    }
  });

  function ownKeys$4C(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$4C(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$4C(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$4C(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$4A = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M7 1H17V3H21V11H19V5H17V7H7V5H5V21H12.5V23H3V3H7V1ZM9 5H15V3H9V5ZM14.75 12.9961H23.25V23.2906L19.0029 20.6742L14.75 23.2886V12.9961ZM16.75 14.9961V19.7114L19.0041 18.3258L21.25 19.7094V14.9961H16.75Z"
      }
    }]
  };
  var taskMarked = vue.defineComponent({
    name: "TaskMarkedIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-task-marked", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$4C(_objectSpread$4C({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$4A, finalProps.value);
    }
  });

  function ownKeys$4B(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$4B(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$4B(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$4B(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$4z = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 25 25",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M16 1H8V5H16V1Z"
      }
    }, {
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M6 3H3V23H13.8762C13.0139 21.897 12.5 20.5085 12.5 19C12.5 15.4101 15.4101 12.5 19 12.5C19.6978 12.5 20.3699 12.61 21 12.8135V3H18V7H6V3Z"
      }
    }, {
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M19.9998 13.75V15.126C20.7147 15.31 21.3523 15.6867 21.8539 16.1975L23.0464 15.509L24.0464 17.241L22.8548 17.929C22.9493 18.2699 22.9998 18.629 22.9998 19C22.9998 19.371 22.9493 19.7301 22.8548 20.071L24.0464 20.759L23.0464 22.491L21.8539 21.8025C21.3523 22.3133 20.7147 22.69 19.9998 22.874V24.25H17.9998V22.874C17.2848 22.69 16.6472 22.3133 16.1457 21.8025L14.9531 22.491L13.9531 20.759L15.1447 20.071C15.0503 19.7301 14.9998 19.371 14.9998 19C14.9998 18.629 15.0503 18.2699 15.1447 17.929L13.9531 17.241L14.9531 15.509L16.1457 16.1975C16.6472 15.6867 17.2848 15.31 17.9998 15.126V13.75H19.9998ZM17.2485 18.0333C17.09 18.3198 16.9998 18.6494 16.9998 19C16.9998 19.3506 17.09 19.6802 17.2485 19.9667L17.2851 20.03C17.6349 20.6112 18.2719 21 18.9998 21C19.7276 21 20.3646 20.6112 20.7145 20.03L20.751 19.9668C20.9095 19.6802 20.9998 19.3507 20.9998 19C20.9998 18.6493 20.9095 18.3198 20.751 18.0332L20.7145 17.97C20.3646 17.3888 19.7276 17 18.9998 17C18.2719 17 17.6349 17.3888 17.285 17.97L17.2485 18.0333Z"
      }
    }]
  };
  var taskSettingFilled = vue.defineComponent({
    name: "TaskSettingFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-task-setting-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$4B(_objectSpread$4B({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$4z, finalProps.value);
    }
  });

  function ownKeys$4A(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$4A(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$4A(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$4A(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$4y = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "g",
      "attrs": {
        "clipPath": "url(#clip0_9300_24245)"
      },
      "children": [{
        "tag": "path",
        "attrs": {
          "fill": "currentColor",
          "d": "M7 1H17V3H21V12H19V5H17V7H7V5H5V21H12V23H3V3H7V1ZM9 5H15V3H9V5ZM19.9999 13.75V15.126C20.7149 15.31 21.3525 15.6867 21.854 16.1975L23.0466 15.509L24.0466 17.241L22.855 17.929C22.9494 18.2699 22.9999 18.629 22.9999 19C22.9999 19.371 22.9494 19.7301 22.855 20.071L24.0466 20.759L23.0466 22.491L21.854 21.8025C21.3525 22.3133 20.7149 22.69 19.9999 22.874V24.25H17.9999V22.874C17.285 22.69 16.6474 22.3133 16.1458 21.8025L14.9533 22.491L13.9533 20.759L15.1449 20.071C15.0504 19.7301 14.9999 19.371 14.9999 19C14.9999 18.629 15.0504 18.2699 15.1449 17.929L13.9533 17.241L14.9533 15.509L16.1458 16.1975C16.6474 15.6867 17.285 15.31 17.9999 15.126V13.75H19.9999ZM17.2487 18.0333C17.0902 18.3198 16.9999 18.6494 16.9999 19C16.9999 19.3506 17.0902 19.6802 17.2487 19.9667L17.2852 20.03C17.6351 20.6112 18.2721 21 18.9999 21C19.7278 21 20.3648 20.6112 20.7147 20.03L20.7512 19.9668C20.9097 19.6802 20.9999 19.3507 20.9999 19C20.9999 18.6493 20.9097 18.3198 20.7512 18.0332L20.7147 17.97C20.3648 17.3888 19.7278 17 18.9999 17C18.2721 17 17.6351 17.3888 17.2852 17.97L17.2487 18.0333Z"
        }
      }]
    }]
  };
  var taskSetting = vue.defineComponent({
    name: "TaskSettingIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-task-setting", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$4A(_objectSpread$4A({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$4y, finalProps.value);
    }
  });

  function ownKeys$4z(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$4z(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$4z(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$4z(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$4x = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M16 1H8V5H16V1Z"
      }
    }, {
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M3 3H6V7H18V3H21V11.6736C20.0907 11.2417 19.0736 11 18 11C14.134 11 11 14.134 11 18C11 19.9587 11.8045 21.7295 13.101 23H3V3Z"
      }
    }, {
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M12.5 18C12.5 14.9624 14.9624 12.5 18 12.5C21.0376 12.5 23.5 14.9624 23.5 18C23.5 21.0376 21.0376 23.5 18 23.5C14.9624 23.5 12.5 21.0376 12.5 18ZM20.4142 19.0001L19 17.5857V15.752H17V18.4141L18.9999 20.4142L20.4142 19.0001Z"
      }
    }]
  };
  var taskTimeFilled = vue.defineComponent({
    name: "TaskTimeFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-task-time-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$4z(_objectSpread$4z({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$4x, finalProps.value);
    }
  });

  function ownKeys$4y(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$4y(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$4y(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$4y(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$4w = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M7 1H17V3H21V11H19V5H17V7H7V5H5V21H11V23H3V3H7V1ZM9 5H15V3H9V5Z"
      }
    }, {
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M18 14.5C16.067 14.5 14.5 16.067 14.5 18C14.5 19.933 16.067 21.5 18 21.5C19.933 21.5 21.5 19.933 21.5 18C21.5 16.067 19.933 14.5 18 14.5ZM12.5 18C12.5 14.9624 14.9624 12.5 18 12.5C21.0376 12.5 23.5 14.9624 23.5 18C23.5 21.0376 21.0376 23.5 18 23.5C14.9624 23.5 12.5 21.0376 12.5 18ZM19 15.752V17.5858L20.4142 19.0001L18.9999 20.4142L17 18.4141V15.752H19Z"
      }
    }]
  };
  var taskTime = vue.defineComponent({
    name: "TaskTimeIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-task-time", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$4y(_objectSpread$4y({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$4w, finalProps.value);
    }
  });

  function ownKeys$4x(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$4x(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$4x(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$4x(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$4v = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M16 1H8V5H16V1Z"
      }
    }, {
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M6 3H3V23H11.9113C11.7079 22.8166 11.5222 22.6316 11.354 22.4505C10.7999 21.8535 10.4014 21.2645 10.1397 20.8244C9.89066 20.4056 9.70573 19.9834 9.53684 19.5933L9.2793 18.9984L9.5361 18.4032C9.70649 18.0082 9.89318 17.5898 10.14 17.175C10.4017 16.735 10.8002 16.1462 11.3543 15.5495C12.4613 14.3573 14.3281 13.0015 16.9982 12.9998C18.6279 12.9987 19.9586 13.5031 21 14.1675V3H18V7H6V3Z"
      }
    }, {
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M21.5483 16.5687C20.6184 15.5665 19.1211 14.4984 17.0012 14.4998C14.8821 14.5011 13.3854 15.5687 12.4555 16.5702C11.9902 17.0713 11.6529 17.5692 11.4311 17.9419C11.3196 18.1292 11.2358 18.2876 11.1784 18.4025C11.1158 18.5279 11.0612 18.6557 11.0132 18.768L10.9141 18.9996L11.0132 19.2313C11.0611 19.3436 11.1157 19.4715 11.1783 19.5969C11.2357 19.7119 11.3195 19.8703 11.431 20.0577C11.6527 20.4306 11.9901 20.9287 12.4554 21.43C13.3853 22.4318 14.8823 23.4996 17.0017 23.4998C19.1213 23.4999 20.6183 22.432 21.5482 21.4301C22.0135 20.9288 22.3509 20.4307 22.5726 20.0577C22.6841 19.8703 22.7679 19.7119 22.8253 19.5969C22.8879 19.4715 22.9424 19.3437 22.9904 19.2314L23.0894 18.9999L22.9901 18.7677C22.9423 18.6555 22.8878 18.5279 22.8254 18.4028C22.768 18.2877 22.6842 18.1292 22.5727 17.9417C22.351 17.5686 22.0136 17.0702 21.5483 16.5687ZM18.25 18V20H15.75V18H18.25Z"
      }
    }]
  };
  var taskVisibleFilled = vue.defineComponent({
    name: "TaskVisibleFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-task-visible-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$4x(_objectSpread$4x({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$4v, finalProps.value);
    }
  });

  function ownKeys$4w(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$4w(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$4w(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$4w(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$4u = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M17 1H7V3H3V23H10V21H5V5H7V7H17V5H19V13H21V3H17V1zM15 5H9V3H15V5zM15.75 20V18H18.25V20H15.75z"
      }
    }, {
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M17.0021 23.4998C21.4205 23.4998 23.0921 18.9998 23.0921 18.9998C23.0921 18.9998 21.4185 14.4998 17.0021 14.4998C12.5857 14.4998 10.9121 18.9998 10.9121 18.9998C10.9121 18.9998 12.5837 23.4998 17.0021 23.4998ZM17.0004 21.4998C14.3848 21.4998 13.1309 18.9998 13.1309 18.9998C13.1309 18.9998 14.3797 16.4998 17.0004 16.4998C19.6211 16.4998 20.8709 18.9998 20.8709 18.9998C20.8709 18.9998 19.616 21.4998 17.0004 21.4998Z"
      }
    }]
  };
  var taskVisible = vue.defineComponent({
    name: "TaskVisibleIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-task-visible", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$4w(_objectSpread$4w({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$4u, finalProps.value);
    }
  });

  function ownKeys$4v(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$4v(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$4v(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$4v(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$4t = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M7 1H17V3H21V23H3V3H7V1ZM7 5H5V21H19V5H17V7H7V5ZM15 3H9V5H15V3ZM9 11H15V13H9V11ZM9 15H15V17H9V15Z"
      }
    }]
  };
  var task = vue.defineComponent({
    name: "TaskIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-task", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$4v(_objectSpread$4v({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$4t, finalProps.value);
    }
  });

  function ownKeys$4u(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$4u(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$4u(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$4u(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$4s = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M11.0004 2V7H9.00041V2H11.0004ZM7.00041 3V7H5.00041V3H7.00041ZM15.0004 3V7H13.0004V3H15.0004ZM2.92676 8H21.0004V13C21.0004 15.2091 19.2095 17 17.0004 17H16.0669C15.5284 18.2443 14.6199 19.2901 13.4843 20H20.0004V22H3.00041V20H6.50591C4.79741 18.9327 3.60555 17.1027 3.422 14.9613L3.42138 14.9541L2.92676 8ZM16.5754 15H17.0004C18.105 15 19.0004 14.1046 19.0004 13V10H16.9318L16.5794 14.9541L16.5788 14.9613C16.5777 14.9742 16.5766 14.9871 16.5754 15Z"
      }
    }]
  };
  var teaFilled = vue.defineComponent({
    name: "TeaFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-tea-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$4u(_objectSpread$4u({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$4s, finalProps.value);
    }
  });

  function ownKeys$4t(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$4t(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$4t(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$4t(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$4r = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M11.0004 2V7H9.00041V2H11.0004ZM7.00041 3V7H5.00041V3H7.00041ZM15.0004 3V7H13.0004V3H15.0004ZM2.92676 8H21.0004V13C21.0004 15.2091 19.2095 17 17.0004 17H16.0669C15.5284 18.2443 14.6199 19.2901 13.4843 20H20.0004V22H3.00041V20H6.50591C4.79741 18.9327 3.60555 17.1027 3.422 14.9613L3.42138 14.9541L2.92676 8ZM16.5754 15H17.0004C18.105 15 19.0004 14.1046 19.0004 13V10H16.9318L16.5794 14.9541L16.5788 14.9613C16.5777 14.9742 16.5766 14.9871 16.5754 15ZM14.9268 10H5.07406L5.41529 14.7974C5.6226 17.1749 7.61317 19 10.0004 19C12.0585 19 13.8359 17.6205 14.4124 15.711C14.5014 15.4162 14.5571 15.1245 14.5855 14.7975L14.9268 10Z"
      }
    }]
  };
  var tea = vue.defineComponent({
    name: "TeaIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-tea", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$4t(_objectSpread$4t({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$4r, finalProps.value);
    }
  });

  function ownKeys$4s(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$4s(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$4s(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$4s(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$4q = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M8 2V3H16V2H18V3H19V5H18V6.66667L20.5 10H22V12H21V20H22V22H2V20H3V12H2V10H3.5L6 6.66667V5H5V3H6V2H8ZM8 5V6H16V5H8ZM19 12H16V20H19V12ZM14 20V12H10V20H14ZM8 20V12H5V20H8Z"
      }
    }]
  };
  var teahouseFilled = vue.defineComponent({
    name: "TeahouseFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-teahouse-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$4s(_objectSpread$4s({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$4q, finalProps.value);
    }
  });

  function ownKeys$4r(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$4r(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$4r(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$4r(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$4p = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M8 2V3H16V2H18V3H19V5H18V6.66667L20.5 10H22V12H21V20H22V22H2V20H3V12H2V10H3.5L6 6.66667V5H5V3H6V2H8ZM8 5V6H16V5H8ZM16.5 8H7.5L6 10H18L16.5 8ZM19 12H16V20H19V12ZM14 20V12H10V20H14ZM8 20V12H5V20H8Z"
      }
    }]
  };
  var teahouse = vue.defineComponent({
    name: "TeahouseIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-teahouse", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$4r(_objectSpread$4r({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$4p, finalProps.value);
    }
  });

  function ownKeys$4q(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$4q(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$4q(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$4q(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$4o = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M22 2H2V8H22V2zM22 10H11V22H22V10zM9 22V10H2V22H9z"
      }
    }]
  };
  var templateFilled = vue.defineComponent({
    name: "TemplateFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-template-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$4q(_objectSpread$4q({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$4o, finalProps.value);
    }
  });

  function ownKeys$4p(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$4p(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$4p(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$4p(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$4n = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M2 2L22 2L22 22L2 22L2 2ZM4 4L4 8L20 8V4L4 4ZM20 10L11 10L11 20L20 20L20 10ZM9 20L9 10H4L4 20H9Z"
      }
    }]
  };
  var template = vue.defineComponent({
    name: "TemplateIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-template", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$4p(_objectSpread$4p({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$4n, finalProps.value);
    }
  });

  function ownKeys$4o(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$4o(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$4o(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$4o(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$4m = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M12 1.58594L19.4142 9.00015H21V11.0002H20V20.0002H22V22.0002H2V20.0002H4V11.0002H3V9.00015H4.58579L12 1.58594ZM6 11.0002V20.0002H11V11.0002H6ZM13 11.0002V20.0002H18V11.0002H13Z"
      }
    }]
  };
  var templeFilled = vue.defineComponent({
    name: "TempleFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-temple-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$4o(_objectSpread$4o({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$4m, finalProps.value);
    }
  });

  function ownKeys$4n(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$4n(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$4n(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$4n(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$4l = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M12 1.58594L19.4142 9.00015H21V11.0002H20V20.0002H22V22.0002H2V20.0002H4V11.0002H3V9.00015H4.58579L12 1.58594ZM6 11.0002V20.0002H11V11.0002H6ZM13 11.0002V20.0002H18V11.0002H13ZM16.5858 9.00015L12 4.41436L7.41421 9.00015H16.5858Z"
      }
    }]
  };
  var temple = vue.defineComponent({
    name: "TempleIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-temple", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$4n(_objectSpread$4n({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$4l, finalProps.value);
    }
  });

  function ownKeys$4m(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$4m(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$4m(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$4m(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$4k = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M23 8.00488V3H1V8.00488L23 8.00488zM23 9.99536H1V21L23 21V9.99536zM7.00015 12.0835L10.4144 15.4977 7.00015 18.9119 5.58594 17.4977 7.58594 15.4977 5.58594 13.4977 7.00015 12.0835zM12.0002 16.4977H18.0002L18.0002 18.4977H12.0002V16.4977z"
      }
    }]
  };
  var terminalRectangle1Filled = vue.defineComponent({
    name: "TerminalRectangle1FilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-terminal-rectangle-1-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$4m(_objectSpread$4m({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$4k, finalProps.value);
    }
  });

  function ownKeys$4l(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$4l(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$4l(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$4l(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$4j = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M1 3H23V21H1V3ZM3 5V8H21V5H3ZM21 10H3V19H21V10ZM7 11.0858L10.4142 14.5L7 17.9142L5.58579 16.5L7.58579 14.5L5.58579 12.5L7 11.0858ZM12 15L18 15L18 17L12 17V15Z"
      }
    }]
  };
  var terminalRectangle1 = vue.defineComponent({
    name: "TerminalRectangle1Icon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-terminal-rectangle-1", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$4l(_objectSpread$4l({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$4j, finalProps.value);
    }
  });

  function ownKeys$4k(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$4k(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$4k(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$4k(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$4i = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M23 21V3H1V21L23 21ZM10.0703 12L6.33118 15.7442L4.91602 14.3309L7.24382 12L4.91602 9.669L6.33118 8.25574L10.0703 12ZM19.0002 17H12.0002V15H19.0002V17Z"
      }
    }]
  };
  var terminalRectangleFilled = vue.defineComponent({
    name: "TerminalRectangleFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-terminal-rectangle-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$4k(_objectSpread$4k({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$4i, finalProps.value);
    }
  });

  function ownKeys$4j(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$4j(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$4j(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$4j(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$4h = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M23 3V21L1 21L1 3L23 3ZM21 5L3 5L3 19H21V5ZM19 17H12V15H19V17ZM10.0701 12L6.33096 15.7442L4.91579 14.331L7.2436 12L4.91579 9.66905L6.33096 8.25579L10.0701 12Z"
      }
    }]
  };
  var terminalRectangle = vue.defineComponent({
    name: "TerminalRectangleIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-terminal-rectangle", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$4j(_objectSpread$4j({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$4h, finalProps.value);
    }
  });

  function ownKeys$4i(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$4i(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$4i(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$4i(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$4g = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M23 8V3H1V8L23 8zM23 9.99756H1V21L23 21V9.99756zM5 18L5 13 7 13 7 18H5z"
      }
    }]
  };
  var terminalWindowFilled = vue.defineComponent({
    name: "TerminalWindowFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-terminal-window-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$4i(_objectSpread$4i({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$4g, finalProps.value);
    }
  });

  function ownKeys$4h(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$4h(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$4h(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$4h(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$4f = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M23 3L1 3L1 21L23 21V3ZM3 10H21V19H3L3 10ZM3 8V5L21 5V8H3ZM7 17H5L5 12L7 12L7 17Z"
      }
    }]
  };
  var terminalWindow = vue.defineComponent({
    name: "TerminalWindowIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-terminal-window", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$4h(_objectSpread$4h({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$4f, finalProps.value);
    }
  });

  function ownKeys$4g(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$4g(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$4g(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$4g(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$4e = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M3.50015 5.58582L9.91436 12L3.50015 18.4142L2.08594 17L7.08594 12L2.08594 7.00003L3.50015 5.58582ZM12.0002 18H22.0002V20H12.0002V18Z"
      }
    }]
  };
  var terminal = vue.defineComponent({
    name: "TerminalIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-terminal", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$4g(_objectSpread$4g({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$4e, finalProps.value);
    }
  });

  function ownKeys$4f(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$4f(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$4f(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$4f(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$4d = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M22 2V22H2V2H22ZM6 8.5H11V18H13V8.5H18V6.5H6V8.5Z"
      }
    }]
  };
  var textboxFilled = vue.defineComponent({
    name: "TextboxFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-textbox-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$4f(_objectSpread$4f({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$4d, finalProps.value);
    }
  });

  function ownKeys$4e(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$4e(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$4e(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$4e(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$4c = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M2 2L22 2L22 22L2 22L2 2ZM4 4L4 20L20 20L20 4L4 4ZM11 8.5L6 8.5V6.5L18 6.5V8.5L13 8.5V18H11V8.5Z"
      }
    }]
  };
  var textbox = vue.defineComponent({
    name: "TextboxIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-textbox", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$4e(_objectSpread$4e({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$4c, finalProps.value);
    }
  });

  function ownKeys$4d(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$4d(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$4d(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$4d(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$4b = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M6 3H5V4V11V12V13V20V21H6H14C16.7614 21 19 18.7614 19 16C19 14.123 17.9657 12.4875 16.4359 11.6325C17.3991 10.7211 18 9.43071 18 8C18 5.23858 15.7614 3 13 3H6ZM13 11H7V5H13C14.6569 5 16 6.34315 16 8C16 9.65685 14.6569 11 13 11ZM7 13H13H14C15.6569 13 17 14.3431 17 16C17 17.6569 15.6569 19 14 19H7V13Z"
      }
    }]
  };
  var textformatBold = vue.defineComponent({
    name: "TextformatBoldIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-textformat-bold", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$4d(_objectSpread$4d({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$4b, finalProps.value);
    }
  });

  function ownKeys$4c(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$4c(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$4c(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$4c(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$4a = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M19.8131 17.5252L19.4191 16.6061L13.4191 2.60608L13.1594 2H12.5H11.5H10.8406L10.5809 2.60608L4.58086 16.6061L4.18694 17.5252L6.02523 18.3131L6.41914 17.3939L8.2428 13.1387L9.79073 13.1389L11.9995 13.139L14.2083 13.1392L15.7575 13.1393L17.5809 17.3939L17.9748 18.3131L19.8131 17.5252ZM9.7909 11.1389L9.09991 11.1388L12 4.37192L14.9003 11.1393L14.2085 11.1392L11.9997 11.139L9.7909 11.1389ZM19 22H20V20H19H5H4V22H5H19Z"
      }
    }]
  };
  var textformatColor = vue.defineComponent({
    name: "TextformatColorIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-textformat-color", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$4c(_objectSpread$4c({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$4a, finalProps.value);
    }
  });

  function ownKeys$4b(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$4b(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$4b(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$4b(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$49 = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M7.5 3H8.5H13H17H18V5H17H14.3298L11.7048 19H15.5H16.5V21H15.5H11.5H7H6V19H7H9.66994L12.2949 5H8.5H7.5V3Z"
      }
    }]
  };
  var textformatItalic = vue.defineComponent({
    name: "TextformatItalicIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-textformat-italic", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$4b(_objectSpread$4b({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$49, finalProps.value);
    }
  });

  function ownKeys$4a(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$4a(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$4a(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$4a(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$48 = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M7.97741 3.08274C9.29975 2.27621 10.8694 2.00122 12.0027 2.00122C14.4567 2.00122 16.2894 2.99224 18.0562 4.16237L18.8899 4.71454L17.7856 6.382L16.9518 5.82982C15.279 4.7219 13.8552 4.00122 12.0027 4.00122C11.1311 4.00122 9.94806 4.22344 9.01884 4.7902C8.13845 5.32717 7.49716 6.15363 7.49716 7.49998C7.49716 7.95639 7.5748 8.32673 7.69642 8.6319L8.06661 9.56086L6.2087 10.3012L5.83851 9.37228C5.61576 8.81334 5.49716 8.18959 5.49716 7.49998C5.49716 5.34198 6.60623 3.91906 7.97741 3.08274ZM4 11H20V13H17.0371C17.8895 13.801 18.5 14.9321 18.5 16.5039C18.5 18.6619 17.3909 20.0849 16.0198 20.9212C14.6974 21.7277 13.1277 22.0027 11.9945 22.0027C9.53841 22.0027 7.70916 21.0144 5.94354 19.833L5.11245 19.2768L6.22471 17.6146L7.0558 18.1708C8.72058 19.2848 10.1407 20.0027 11.9945 20.0027C12.866 20.0027 14.0491 19.7805 14.9783 19.2137C15.8587 18.6768 16.5 17.8503 16.5 16.5039C16.5 15.2006 15.8618 14.4535 14.9511 13.939C14.0031 13.4034 12.8346 13.1719 11.9043 13.0012H8.0044V13H4V11Z"
      }
    }]
  };
  var textformatStrikethrough = vue.defineComponent({
    name: "TextformatStrikethroughIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-textformat-strikethrough", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$4a(_objectSpread$4a({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$48, finalProps.value);
    }
  });

  function ownKeys$49(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$49(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$49(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$49(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$47 = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M18 3L18 12C18 15.3137 15.3137 18 12 18C8.68629 18 6 15.3137 6 12L6 3L8 3L8 12C8 14.2091 9.79086 16 12 16C14.2091 16 16 14.2091 16 12L16 3L18 3ZM4 20H20V22H4V20Z"
      }
    }]
  };
  var textformatUnderline = vue.defineComponent({
    name: "TextformatUnderlineIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-textformat-underline", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$49(_objectSpread$49({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$47, finalProps.value);
    }
  });

  function ownKeys$48(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$48(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$48(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$48(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$46 = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M2 4H3H21H22V6H21H3H2V4ZM2 11H3H17C18.1478 11 19.3791 11.2843 20.35 12.0125C21.3601 12.7701 22 13.9458 22 15.5C22 17.0542 21.3601 18.2299 20.35 18.9875C19.3791 19.7157 18.1478 20 17 20H14H11.5858L13.2929 18.2929L15.2929 16.2929L16 15.5858L17.4142 17L16.7071 17.7071L16.4142 18H17C17.8522 18 18.6209 17.7843 19.15 17.3875C19.6399 17.0201 20 16.4458 20 15.5C20 14.5542 19.6399 13.9799 19.15 13.6125C18.6209 13.2157 17.8522 13 17 13H3H2V11ZM3 18H2V20H3H9H10V18H9H3Z"
      }
    }]
  };
  var textformatWrap = vue.defineComponent({
    name: "TextformatWrapIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-textformat-wrap", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$48(_objectSpread$48({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$46, finalProps.value);
    }
  });

  function ownKeys$47(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$47(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$47(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$47(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$45 = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M22 22H2L2 2L22 2V22ZM20 4L17.5 4V6.5H20V4ZM20 8.5H17.5V11H20V8.5ZM20 13H17.5V15.5H20V13ZM17.5 17.5V20H20V17.5H17.5ZM6.5 4H4V6.5H6.5L6.5 4ZM6.5 8.5H4V11L6.5 11V8.5ZM6.5 13L4 13L4 15.5L6.5 15.5V13ZM6.5 17.5L4 17.5L4 20H6.5V17.5Z"
      }
    }]
  };
  var theatersFilled = vue.defineComponent({
    name: "TheatersFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-theaters-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$47(_objectSpread$47({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$45, finalProps.value);
    }
  });

  function ownKeys$46(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$46(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$46(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$46(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$44 = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M22 22H2L2 2L22 2V22ZM20 4L17.5 4V6.5H20V4ZM20 8.5H17.5V11H20V8.5ZM20 13H17.5V15.5H20V13ZM17.5 17.5V20H20V17.5H17.5ZM15.5 15.5V13H15L15 11H15.5V8.5H15V6.5H15.5V4H8.5L8.5 6.5H9V8.5H8.5V11H9V13H8.5V15.5H9L9 17.5H8.5V20H15.5V17.5H15V15.5H15.5ZM6.5 4H4V6.5H6.5L6.5 4ZM6.5 8.5H4V11L6.5 11V8.5ZM6.5 13L4 13L4 15.5L6.5 15.5V13ZM6.5 17.5L4 17.5L4 20H6.5V17.5Z"
      }
    }]
  };
  var theaters = vue.defineComponent({
    name: "TheatersIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-theaters", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$46(_objectSpread$46({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$44, finalProps.value);
    }
  });

  function ownKeys$45(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$45(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$45(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$45(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$43 = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M13.4456 22.2358L11.7304 21.6641C10.2196 21.1605 9.20047 19.7465 9.20047 18.154V15.7H5.3317C3.49304 15.7 2.087 14.0611 2.36658 12.2438L3.5512 4.54383C3.77635 3.08034 5.0356 2 6.51631 2H21.0005V13.9H17.1503L13.4456 22.2358Z"
      }
    }]
  };
  var thumbDown1Filled = vue.defineComponent({
    name: "ThumbDown1FilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-thumb-down-1-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$45(_objectSpread$45({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$43, finalProps.value);
    }
  });

  function ownKeys$44(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$44(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$44(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$44(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$42 = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M13.4456 22.2358L11.7304 21.6641C10.2196 21.1605 9.20048 19.7465 9.20048 18.154V15.7H5.3317C3.49304 15.7 2.087 14.0611 2.36658 12.2438L3.5512 4.54383C3.77635 3.08034 5.0356 2 6.51631 2H21.0005V13.9H17.1503L13.4456 22.2358ZM12.3554 19.7642L15.8506 11.9H19.0005V4H6.51631C6.02274 4 5.60299 4.36011 5.52794 4.84794L4.34333 12.5479C4.25013 13.1537 4.71881 13.7 5.3317 13.7H11.2005V18.154C11.2005 18.883 11.6653 19.5306 12.3554 19.7642Z"
      }
    }]
  };
  var thumbDown1 = vue.defineComponent({
    name: "ThumbDown1Icon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-thumb-down-1", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$44(_objectSpread$44({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$42, finalProps.value);
    }
  });

  function ownKeys$43(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$43(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$43(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$43(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$41 = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M11.7304 21.6641L13.4456 22.2358 17.15 13.9V2H6.51631C5.0356 2 3.77635 3.08034 3.5512 4.54383L2.36658 12.2438C2.087 14.0611 3.49304 15.7 5.3317 15.7H9.20047V18.154C9.20047 19.7465 10.2196 21.1605 11.7304 21.6641zM22.0004 13.9V2H19.1504L19.1508 13.9H22.0004z"
      }
    }]
  };
  var thumbDown2Filled = vue.defineComponent({
    name: "ThumbDown2FilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-thumb-down-2-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$43(_objectSpread$43({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$41, finalProps.value);
    }
  });

  function ownKeys$42(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$42(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$42(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$42(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$40 = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M13.4456 22.2358L11.7304 21.6641C10.2196 21.1605 9.20048 19.7465 9.20048 18.154V15.7H5.3317C3.49304 15.7 2.087 14.0611 2.36658 12.2438L3.5512 4.54383C3.77635 3.08034 5.0356 2 6.51631 2H22.0005V13.9H17.1503L13.4456 22.2358ZM17.5005 11.9H20.0005V4H17.5005V11.9ZM15.5005 4H6.51631C6.02274 4 5.60299 4.36011 5.52794 4.84794L4.34333 12.5479C4.25013 13.1537 4.71881 13.7 5.3317 13.7H11.2005V18.154C11.2005 18.883 11.6653 19.5306 12.3554 19.7642L15.5005 12.6878V4Z"
      }
    }]
  };
  var thumbDown2 = vue.defineComponent({
    name: "ThumbDown2Icon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-thumb-down-2", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$42(_objectSpread$42({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$40, finalProps.value);
    }
  });

  function ownKeys$41(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$41(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$41(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$41(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$3$ = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M10.8786 22.6174L12.1576 22.4042C14.0863 22.0827 15.5 20.414 15.5 18.4586V16H20.8195C22.0554 16 22.9955 14.8903 22.7923 13.6712L21.1257 3.6712C20.9649 2.70683 20.1306 2 19.1529 2H7V13.1978L10.8786 22.6174ZM4 14V2H2V14H4Z"
      }
    }]
  };
  var thumbDownFilled = vue.defineComponent({
    name: "ThumbDownFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-thumb-down-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$41(_objectSpread$41({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$3$, finalProps.value);
    }
  });

  function ownKeys$40(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$40(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$40(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$40(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$3_ = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M10.8786 22.6174L12.1576 22.4043C14.0863 22.0828 15.5 20.4141 15.5 18.4587V16.0001H20.8195C22.0554 16.0001 22.9955 14.8903 22.7923 13.6713L21.1257 3.67128C20.9649 2.7069 20.1306 2.00008 19.1529 2.00008H7V13.1979L10.8786 22.6174ZM12.1131 20.3626L9 12.8023V4.00008H19.1529L20.8195 14.0001H13.5V18.4587C13.5 19.3375 12.9289 20.1005 12.1131 20.3626ZM4 14.0001V2.00008H2V14.0001H4Z"
      }
    }]
  };
  var thumbDown = vue.defineComponent({
    name: "ThumbDownIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-thumb-down", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$40(_objectSpread$40({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$3_, finalProps.value);
    }
  });

  function ownKeys$3$(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$3$(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$3$(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$3$(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$3Z = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M10.5549 1.76416L12.27 2.33587C13.7809 2.83949 14.8 4.2534 14.8 5.84599V8.29995H18.6688C20.5074 8.29995 21.9135 9.93884 21.6339 11.7561L20.4493 19.4561C20.2241 20.9196 18.9649 21.9999 17.4842 21.9999H3V10.0999H6.85013L10.5549 1.76416Z"
      }
    }]
  };
  var thumbUp1Filled = vue.defineComponent({
    name: "ThumbUp1FilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-thumb-up-1-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$3$(_objectSpread$3$({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$3Z, finalProps.value);
    }
  });

  function ownKeys$3_(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$3_(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$3_(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$3_(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$3Y = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M10.5549 1.76416L12.27 2.33587C13.7809 2.83949 14.8 4.2534 14.8 5.846V8.29995H18.6688C20.5074 8.29995 21.9135 9.93884 21.6339 11.7561L20.4493 19.4561C20.2241 20.9196 18.9649 21.9999 17.4842 21.9999H3V10.0999H6.85013L10.5549 1.76416ZM11.6451 4.23575L8.14987 12.0999H5V19.9999H17.4842C17.9777 19.9999 18.3975 19.6398 18.4725 19.152L19.6572 11.452C19.7503 10.8462 19.2817 10.2999 18.6688 10.2999H12.8V5.846C12.8 5.1169 12.3351 4.4693 11.6451 4.23575Z"
      }
    }]
  };
  var thumbUp1 = vue.defineComponent({
    name: "ThumbUp1Icon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-thumb-up-1", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$3_(_objectSpread$3_({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$3Y, finalProps.value);
    }
  });

  function ownKeys$3Z(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$3Z(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$3Z(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$3Z(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$3X = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M12.2697 2.33587L10.5546 1.76416 6.85015 10.0999V21.9999H17.4838C18.9645 21.9999 20.2238 20.9196 20.4489 19.4561L21.6336 11.7561C21.9131 9.93884 20.5071 8.29995 18.6684 8.29995H14.7997V5.84599C14.7997 4.2534 13.7806 2.83949 12.2697 2.33587zM1.99976 10.0999V21.9999H4.84976L4.84943 10.0999H1.99976z"
      }
    }]
  };
  var thumbUp2Filled = vue.defineComponent({
    name: "ThumbUp2FilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-thumb-up-2-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$3Z(_objectSpread$3Z({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$3X, finalProps.value);
    }
  });

  function ownKeys$3Y(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$3Y(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$3Y(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$3Y(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$3W = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M10.5549 1.76416L12.27 2.33587C13.7809 2.83949 14.8 4.2534 14.8 5.846V8.29995H18.6688C20.5074 8.29995 21.9135 9.93884 21.6339 11.7561L20.4493 19.4561C20.2241 20.9196 18.9649 21.9999 17.4842 21.9999H2V10.0999H6.85013L10.5549 1.76416ZM6.5 12.0999H4V19.9999H6.5V12.0999ZM8.5 19.9999H17.4842C17.9777 19.9999 18.3975 19.6398 18.4725 19.152L19.6572 11.452C19.7503 10.8462 19.2817 10.2999 18.6688 10.2999H12.8V5.846C12.8 5.1169 12.3351 4.4693 11.6451 4.23575L8.5 11.3122V19.9999Z"
      }
    }]
  };
  var thumbUp2 = vue.defineComponent({
    name: "ThumbUp2Icon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-thumb-up-2", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$3Y(_objectSpread$3Y({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$3W, finalProps.value);
    }
  });

  function ownKeys$3X(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$3X(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$3X(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$3X(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$3V = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M12.1578 1.59573C14.0866 1.91719 15.5002 3.58595 15.5002 5.54131L15.5002 7.99992 20.8198 7.99992C22.0557 7.99992 22.9958 9.10966 22.7926 10.3287L21.1259 20.3287C20.9652 21.2931 20.1308 21.9999 19.1531 21.9999H7.00024L7.00025 10.8021 10.8789 1.38257 12.1578 1.59573zM4.00024 21.9999H2.00024L2.00025 9.99992H4.00025L4.00024 21.9999z"
      }
    }]
  };
  var thumbUpFilled = vue.defineComponent({
    name: "ThumbUpFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-thumb-up-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$3X(_objectSpread$3X({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$3V, finalProps.value);
    }
  });

  function ownKeys$3W(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$3W(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$3W(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$3W(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$3U = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M10.8786 1.38257L12.1576 1.59573C14.0863 1.91719 15.5 3.58595 15.5 5.54131V7.99992H20.8195C22.0554 7.99992 22.9955 9.10966 22.7923 10.3287L21.1257 20.3287C20.9649 21.2931 20.1306 21.9999 19.1529 21.9999H7V10.8021L10.8786 1.38257ZM12.1131 3.63742L9 11.1977V19.9999L19.1529 19.9999L20.8195 9.99992H13.5V5.54131C13.5 4.66252 12.9289 3.89951 12.1131 3.63742ZM4 9.99992V21.9999H2V9.99992H4Z"
      }
    }]
  };
  var thumbUp = vue.defineComponent({
    name: "ThumbUpIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-thumb-up", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$3W(_objectSpread$3W({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$3U, finalProps.value);
    }
  });

  function ownKeys$3V(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$3V(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$3V(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$3V(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$3T = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M11.1 5C11.0786 5 11.0572 5.00015 11.0359 5.00043C8.60036 5.03348 6.7 6.93535 6.7 9.2C6.7 9.46219 6.72505 9.71792 6.77273 9.9654L6.95683 10.9209L6.00676 11.131C4.83155 11.3909 4 12.3903 4 13.5333C4 14.4799 4.56612 15.3234 5.43167 15.7376L6.3337 16.1693L5.47036 17.9734L4.56833 17.5417C3.06313 16.8214 2 15.309 2 13.5333C2 11.7035 3.12452 10.158 4.70565 9.46243C4.70189 9.37536 4.7 9.28787 4.7 9.2C4.7 5.77081 7.55127 3.04754 11.0088 3.00062C11.0392 3.00021 11.0696 3 11.1 3C11.646 3 12.1775 3.06644 12.6858 3.192C14.8331 3.7225 16.5652 5.31155 17.2193 7.37863C17.9415 7.47026 18.6217 7.69802 19.2299 8.03569C19.4545 8.16039 19.6692 8.30005 19.8726 8.45334C21.1579 9.42182 22 10.9439 22 12.6667C22 14.8773 20.6183 16.7492 18.6872 17.5614L17.7654 17.9491L16.99 16.1056L17.9118 15.7179C19.1598 15.193 20 14.0103 20 12.6667C20 11.6158 19.489 10.6685 18.669 10.0506C18.5396 9.95307 18.4026 9.86396 18.259 9.78426C17.7444 9.49852 17.1446 9.33333 16.5 9.33333C16.4803 9.33333 16.4607 9.33349 16.4411 9.33379L15.5868 9.34716L15.4403 8.50544C15.158 6.88414 13.8892 5.54944 12.2061 5.13363C11.8538 5.0466 11.4834 5 11.1 5ZM13.8767 10.6766L11.8177 14H15.8352L11.8125 20.3793L10.1207 19.3125L12.2096 16H8.22589L12.1766 9.62326L13.8767 10.6766Z"
      }
    }]
  };
  var thunder = vue.defineComponent({
    name: "ThunderIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-thunder", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$3V(_objectSpread$3V({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$3T, finalProps.value);
    }
  });

  function ownKeys$3U(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$3U(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$3U(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$3U(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$3S = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M16.1313 0.901367L16.029 2.08597C16.0178 2.21553 16.0121 2.34687 16.0121 2.47979C16.0121 4.96789 18.0291 6.98489 20.5172 6.98489C20.6501 6.98489 20.7814 6.97917 20.911 6.96798L22.0956 6.8657L21.9933 8.0503C21.8458 9.75856 21.0391 11.2761 19.8311 12.3493C20.5702 13.2552 21.0167 14.4038 21.0167 15.6588C21.0167 17.871 19.634 19.7444 17.7014 20.5572L16.7796 20.9449L16.0042 19.1014L16.926 18.7137C18.1755 18.1881 19.0167 17.0041 19.0167 15.6588C19.0167 14.6066 18.5051 13.6582 17.6842 13.0396C17.5545 12.9419 17.4174 12.8527 17.2737 12.7729C16.7584 12.4868 16.1579 12.3214 15.5125 12.3214C15.5007 12.3214 15.4889 12.3215 15.4771 12.3216C15.4692 12.3217 15.4614 12.3218 15.4535 12.3219L14.5993 12.3352L14.4527 11.4935C14.1701 9.87034 12.8999 8.53412 11.2149 8.11784C10.8622 8.03072 10.4913 7.98406 10.1075 7.98406C10.0861 7.98406 10.0647 7.98421 10.0434 7.9845C7.60508 8.01758 5.70251 9.9216 5.70251 12.1889C5.70251 12.4514 5.72758 12.7074 5.77532 12.9552L5.95942 13.9106L5.00935 14.1208C3.83266 14.381 3 15.3817 3 16.5262C3 17.4741 3.56688 18.3187 4.43353 18.7334L5.33556 19.1651L4.47222 20.9692L3.57019 20.5375C2.06388 19.8166 1 18.3032 1 16.5262C1 14.6949 2.1256 13.1481 3.70819 12.4522C3.70441 12.3648 3.70251 12.277 3.70251 12.1889C3.70251 9.04272 6.1007 6.49027 9.16605 6.05095C9.77898 3.32609 12.1 1.24945 14.9467 1.00365L16.1313 0.901367ZM12.8767 13.656L10.8177 16.9794H14.8352L10.8125 23.3587L9.12075 22.2919L11.2096 18.9794H7.2259L11.1766 12.6027L12.8767 13.656Z"
      }
    }]
  };
  var thunderstormNightFilled = vue.defineComponent({
    name: "ThunderstormNightFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-thunderstorm-night-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$3U(_objectSpread$3U({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$3S, finalProps.value);
    }
  });

  function ownKeys$3T(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$3T(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$3T(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$3T(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$3R = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M17.1313 0.901367L17.029 2.08597C17.0178 2.21553 17.0121 2.34687 17.0121 2.47979C17.0121 4.96789 19.0291 6.98489 21.5172 6.98489C21.6501 6.98489 21.7814 6.97917 21.911 6.96798L23.0956 6.8657L22.9933 8.0503C22.8458 9.75856 22.0391 11.2761 20.8311 12.3493C21.5702 13.2552 22.0167 14.4038 22.0167 15.6588C22.0167 17.871 20.634 19.7444 18.7014 20.5572L17.7796 20.9449L17.0042 19.1014L17.926 18.7137C19.1755 18.1881 20.0167 17.0041 20.0167 15.6588C20.0167 14.6066 19.5051 13.6582 18.6842 13.0396C18.5545 12.9419 18.4174 12.8527 18.2737 12.7729C17.7584 12.4868 17.1579 12.3214 16.5125 12.3214C16.5007 12.3214 16.4889 12.3215 16.4771 12.3216C16.4692 12.3217 16.4614 12.3218 16.4535 12.3219L15.5993 12.3352L15.4527 11.4935C15.1701 9.87034 13.8999 8.53412 12.2149 8.11784C11.8622 8.03072 11.4913 7.98406 11.1075 7.98406C11.0861 7.98406 11.0647 7.98421 11.0434 7.9845C8.60508 8.01758 6.70251 9.9216 6.70251 12.1889C6.70251 12.4514 6.72758 12.7074 6.77532 12.9552L6.95942 13.9106L6.00935 14.1208C4.83266 14.381 4 15.3817 4 16.5262C4 17.4741 4.56688 18.3187 5.43353 18.7334L6.33556 19.1651L5.47222 20.9692L4.57019 20.5375C3.06388 19.8166 2 18.3032 2 16.5262C2 14.6949 3.1256 13.1481 4.70819 12.4522C4.70441 12.3648 4.70251 12.277 4.70251 12.1889C4.70251 9.04272 7.1007 6.49027 10.166 6.05095C10.779 3.32609 13.1 1.24945 15.9467 1.00365L17.1313 0.901367ZM12.2307 6.0793C12.3873 6.10615 12.5419 6.13852 12.6945 6.17621C14.8438 6.70718 16.5773 8.29772 17.2318 10.3667C17.9548 10.4583 18.6357 10.6863 19.2445 11.0243C19.2552 11.0303 19.2659 11.0363 19.2766 11.0423C19.9629 10.5083 20.4899 9.78093 20.7764 8.94318C17.7757 8.60303 15.3939 6.22131 15.0538 3.22058C13.7215 3.67633 12.6701 4.73959 12.2307 6.0793ZM13.8767 13.656L11.8177 16.9794H15.8352L11.8125 23.3587L10.1208 22.2919L12.2096 18.9794H8.2259L12.1766 12.6027L13.8767 13.656Z"
      }
    }]
  };
  var thunderstormNight = vue.defineComponent({
    name: "ThunderstormNightIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-thunderstorm-night", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$3T(_objectSpread$3T({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$3R, finalProps.value);
    }
  });

  function ownKeys$3S(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$3S(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$3S(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$3S(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$3Q = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M16.0035 1V3.00396L14 3.00424V1.00027L16.0035 1ZM10.0524 2.63458L11.4699 4.05185L10.0529 5.4685L8.63643 4.05168L10.0524 2.63458ZM19.9515 2.63476L21.3674 4.05132L19.9516 5.46846L18.5337 4.05202L19.9515 2.63476ZM10.9588 6.05557C10.6775 6.01898 10.3908 6.00014 10.1 6.00014C6.60128 6.00014 3.7 8.74073 3.7 12.2001C3.7 12.288 3.70189 12.3755 3.70565 12.4626C2.12452 13.1582 1 14.7036 1 16.5335C1 18.3092 2.06313 19.8215 3.56833 20.5418L4.47036 20.9735L5.3337 19.1694L4.43167 18.7378C3.56612 18.3235 3 17.4801 3 16.5335C3 15.3905 3.83155 14.3911 5.00676 14.1311L5.95683 13.921L5.77273 12.9655C5.72505 12.7181 5.7 12.4623 5.7 12.2001C5.7 9.91577 7.63404 8.00014 10.1 8.00014C10.4834 8.00014 10.8538 8.04674 11.2061 8.13376C12.8892 8.54957 14.158 9.88428 14.4403 11.5056L14.5868 12.3473L15.4411 12.3339C15.4607 12.3336 15.4803 12.3335 15.5 12.3335C16.1446 12.3335 16.7444 12.4987 17.259 12.7844C18.3143 13.3703 19 14.4514 19 15.6668C19 17.0105 18.1598 18.1931 16.9118 18.718L15.99 19.1057L16.7654 20.9493L17.6872 20.5616C19.6183 19.7493 21 17.8774 21 15.6668C21 14.0925 20.2982 12.6885 19.1971 11.7183C19.7046 10.936 20 10.0022 20 9.00012C20 6.2387 17.7614 4.00012 15 4.00012C13.3383 4.00012 11.8672 4.81094 10.9588 6.05557ZM21 8.00004L23.0039 8.00029V10.0037H21V8.00004ZM12.8767 13.6767L10.8177 17.0001H14.8352L10.8125 23.3794L9.12075 22.3126L11.2096 19.0001H7.2259L11.1766 12.6234L12.8767 13.6767Z"
      }
    }]
  };
  var thunderstormSunnyFilled = vue.defineComponent({
    name: "ThunderstormSunnyFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-thunderstorm-sunny-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$3S(_objectSpread$3S({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$3Q, finalProps.value);
    }
  });

  function ownKeys$3R(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$3R(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$3R(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$3R(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$3P = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M16.0035 1V3.00396L14 3.00424V1.00027L16.0035 1ZM10.0524 2.63458L11.4699 4.05185L10.0529 5.4685L8.63643 4.05168L10.0524 2.63458ZM19.9515 2.63476L21.3674 4.05132L19.9516 5.46846L18.5337 4.05202L19.9515 2.63476ZM10.9588 6.05557C10.6775 6.01898 10.3908 6.00014 10.1 6.00014C6.60128 6.00014 3.7 8.74073 3.7 12.2001C3.7 12.288 3.70189 12.3755 3.70565 12.4626C2.12452 13.1582 1 14.7036 1 16.5335C1 18.3092 2.06313 19.8215 3.56833 20.5418L4.47036 20.9735L5.3337 19.1694L4.43167 18.7378C3.56612 18.3235 3 17.4801 3 16.5335C3 15.3905 3.83155 14.3911 5.00676 14.1311L5.95683 13.921L5.77273 12.9655C5.72505 12.7181 5.7 12.4623 5.7 12.2001C5.7 9.91578 7.63404 8.00014 10.1 8.00014C10.4834 8.00014 10.8538 8.04674 11.2061 8.13376C12.8892 8.54957 14.158 9.88428 14.4403 11.5056L14.5868 12.3473L15.4411 12.3339C15.4607 12.3336 15.4803 12.3335 15.5 12.3335C16.1446 12.3335 16.7444 12.4987 17.259 12.7844C18.3143 13.3703 19 14.4514 19 15.6668C19 17.0105 18.1598 18.1931 16.9118 18.718L15.99 19.1057L16.7654 20.9493L17.6872 20.5616C19.6183 19.7493 21 17.8774 21 15.6668C21 14.0925 20.2982 12.6885 19.1971 11.7183C19.7046 10.936 20 10.0022 20 9.00012C20 6.2387 17.7614 4.00012 15 4.00012C13.3383 4.00012 11.8672 4.81094 10.9588 6.05557ZM13.067 6.70559C13.5896 6.26491 14.2642 6.00012 15 6.00012C16.6569 6.00012 18 7.34327 18 9.00012C18 9.62695 17.8084 10.2082 17.4796 10.6896C17.0794 10.5399 16.6571 10.4343 16.2193 10.3788C15.7126 8.77763 14.5592 7.46331 13.067 6.70559ZM21 8.00004L23.004 8.00029V10.0037H21V8.00004ZM12.8767 13.6767L10.8177 17.0001H14.8352L10.8125 23.3794L9.12075 22.3126L11.2096 19.0001H7.2259L11.1766 12.6234L12.8767 13.6767Z"
      }
    }]
  };
  var thunderstormSunny = vue.defineComponent({
    name: "ThunderstormSunnyIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-thunderstorm-sunny", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$3R(_objectSpread$3R({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$3P, finalProps.value);
    }
  });

  function ownKeys$3Q(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$3Q(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$3Q(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$3Q(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$3O = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M11.1 5C11.0786 5 11.0572 5.00015 11.0359 5.00043C8.60036 5.03348 6.7 6.93535 6.7 9.2C6.7 9.46219 6.72505 9.71792 6.77273 9.9654L6.95683 10.9209L6.00676 11.131C4.83155 11.3909 4 12.3903 4 13.5333C4 14.4799 4.56612 15.3234 5.43167 15.7376L6.3337 16.1693L5.47036 17.9734L4.56833 17.5417C3.06313 16.8214 2 15.309 2 13.5333C2 11.7035 3.12452 10.158 4.70565 9.46243C4.70189 9.37536 4.7 9.28787 4.7 9.2C4.7 5.77081 7.55127 3.04754 11.0088 3.00062C11.0392 3.00021 11.0696 3 11.1 3C11.646 3 12.1775 3.06644 12.6858 3.192C14.8331 3.7225 16.5652 5.31155 17.2193 7.37863C17.9415 7.47026 18.6217 7.69802 19.2299 8.03569C19.4545 8.16039 19.6692 8.30005 19.8726 8.45334C21.1579 9.42182 22 10.9439 22 12.6667C22 14.8773 20.6183 16.7492 18.6872 17.5614L17.7654 17.9491L16.99 16.1056L17.9118 15.7179C19.1598 15.193 20 14.0103 20 12.6667C20 11.6158 19.489 10.6685 18.669 10.0506C18.5396 9.95307 18.4026 9.86396 18.259 9.78426C17.7444 9.49852 17.1446 9.33333 16.5 9.33333C16.4803 9.33333 16.4607 9.33349 16.4411 9.33379L15.5868 9.34716L15.4403 8.50544C15.158 6.88414 13.8892 5.54944 12.2061 5.13363C11.8538 5.0466 11.4834 5 11.1 5ZM13.8767 10.6766L11.8177 14H15.8352L11.8125 20.3793L10.1207 19.3125L12.2096 16H8.22589L12.1766 9.62326L13.8767 10.6766ZM6.99805 17.998H9.00195V20.002H6.99805V17.998ZM14.998 17.998H17.002V20.002H14.998V17.998Z"
      }
    }]
  };
  var thunderstorm = vue.defineComponent({
    name: "ThunderstormIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-thunderstorm", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$3Q(_objectSpread$3Q({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$3O, finalProps.value);
    }
  });

  function ownKeys$3P(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$3P(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$3P(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$3P(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$3N = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M1 4H23V9.04148C21.5812 9.27953 20.5 10.5135 20.5 12C20.5 13.4865 21.5812 14.7205 23 14.9585V20H1V14.9585C2.41887 14.7205 3.50002 13.4865 3.50002 12C3.50002 10.5135 2.41887 9.27951 1 9.04148V4ZM16 11V9H8V11H16ZM16 15V13H8V15H16Z"
      }
    }]
  };
  var ticketFilled = vue.defineComponent({
    name: "TicketFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-ticket-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$3P(_objectSpread$3P({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$3N, finalProps.value);
    }
  });

  function ownKeys$3O(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$3O(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$3O(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$3O(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$3M = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M1 4H23V9.46887L22.4291 9.74008C21.5821 10.1424 21 11.0042 21 12C21 12.9958 21.5821 13.8576 22.4291 14.2599L23 14.5311V20H1V14.5311L1.57091 14.2599C2.41786 13.8576 3 12.9958 3 12C3 11.0042 2.41786 10.1424 1.57091 9.74008L1 9.46887V4ZM3 6V8.25799C4.20471 9.06439 5 10.4386 5 12C5 13.5614 4.20471 14.9356 3 15.742V18L21 18V15.742C19.7953 14.9356 19 13.5614 19 12C19 10.4386 19.7953 9.06439 21 8.25799V6H3ZM8 9H16V11H8V9ZM8 13H16V15H8V13Z"
      }
    }]
  };
  var ticket = vue.defineComponent({
    name: "TicketIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-ticket", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$3O(_objectSpread$3O({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$3M, finalProps.value);
    }
  });

  function ownKeys$3N(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$3N(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$3N(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$3N(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$3L = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M12 23C5.92487 23 1 18.0751 1 12C1 5.92487 5.92487 1 12 1C18.0751 1 23 5.92487 23 12C23 18.0751 18.0751 23 12 23ZM12.9999 5.49999H10.9999L10.9998 12.4142L14.9999 16.4142L16.4141 15L12.9999 11.5858V5.49999Z"
      }
    }]
  };
  var timeFilled = vue.defineComponent({
    name: "TimeFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-time-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$3N(_objectSpread$3N({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$3L, finalProps.value);
    }
  });

  function ownKeys$3M(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$3M(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$3M(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$3M(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$3K = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M12 21C16.9706 21 21 16.9706 21 12C21 7.02944 16.9706 3 12 3C7.02944 3 3 7.02944 3 12C3 16.9706 7.02944 21 12 21ZM23 12C23 18.0751 18.0751 23 12 23C5.92487 23 0.999999 18.0751 1 12C1 5.92487 5.92487 0.999999 12 1C18.0751 1 23 5.92487 23 12ZM15 16.4142L11 12.4142L11 5.5H13L13 11.5858L16.4142 15L15 16.4142Z"
      }
    }]
  };
  var time = vue.defineComponent({
    name: "TimeIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-time", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$3M(_objectSpread$3M({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$3K, finalProps.value);
    }
  });

  function ownKeys$3L(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$3L(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$3L(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$3L(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$3J = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M23 20H16.9142L13.5 23.4142L10.0858 20H4L4 5L23 5V20ZM19 3.5H2.5L2.5 15.5H0.5L0.500001 1.5L19 1.5V3.5Z"
      }
    }]
  };
  var tipsDoubleFilled = vue.defineComponent({
    name: "TipsDoubleFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-tips-double-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$3L(_objectSpread$3L({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$3J, finalProps.value);
    }
  });

  function ownKeys$3K(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$3K(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$3K(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$3K(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$3I = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M21 7L6 7L6 18H10.9142L13.5 20.5858L16.0858 18H21V7ZM23 20H16.9142L13.5 23.4142L10.0858 20H4L4 5L23 5V20ZM19 3.5H2.5L2.5 15.5H0.5L0.500001 1.5L19 1.5V3.5Z"
      }
    }]
  };
  var tipsDouble = vue.defineComponent({
    name: "TipsDoubleIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-tips-double", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$3K(_objectSpread$3K({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$3I, finalProps.value);
    }
  });

  function ownKeys$3J(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$3J(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$3J(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$3J(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$3H = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M23 2V19L15.4142 19L12 22.4142L8.58579 19H1L1 2L23 2Z"
      }
    }]
  };
  var tipsFilled = vue.defineComponent({
    name: "TipsFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-tips-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$3J(_objectSpread$3J({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$3H, finalProps.value);
    }
  });

  function ownKeys$3I(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$3I(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$3I(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$3I(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$3G = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M23 2V19L15.4142 19L12 22.4142L8.58579 19H1L1 2L23 2ZM21 4L3 4L3 17H9.41421L12 19.5858L14.5858 17H21V4Z"
      }
    }]
  };
  var tips = vue.defineComponent({
    name: "TipsIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-tips", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$3I(_objectSpread$3I({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$3G, finalProps.value);
    }
  });

  function ownKeys$3H(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$3H(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$3H(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$3H(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$3F = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M12.0254 4.12107L9.50378 1.58594L8.08579 2.99636L9.13573 4.05194C8.65416 4.0469 8.16446 4.08856 7.72517 4.21412C6.13836 4.66767 4.67724 5.47124 3.62223 6.85477C2.56694 8.23866 2.00016 10.095 2 12.5001C1.99983 15.0244 3.11154 17.5634 4.69339 19.3629C6.25049 21.1342 8.48948 22.4181 10.7874 21.8732C11.1426 21.7889 11.3995 21.7128 11.552 21.6677C11.5993 21.6536 11.6369 21.6425 11.6639 21.6351L11.6663 21.6345C11.7423 21.6137 11.7888 21.601 12 21.601C12.2112 21.601 12.2577 21.6137 12.3336 21.6345L12.3361 21.6351C12.3631 21.6425 12.4005 21.6536 12.448 21.6676C12.6004 21.7128 12.8574 21.7889 13.2126 21.8732C15.5179 22.4199 17.7575 21.1393 19.3143 19.3661C20.8949 17.5658 22.0013 15.0256 22 12.4996C21.9988 10.0848 21.4109 8.22969 20.3475 6.8498C19.2863 5.47275 17.8307 4.67171 16.2822 4.21625C15.8918 4.10142 15.4616 4.05412 15.0327 4.04781L16.1025 3.04788L14.7368 1.58674L12.0254 4.12107ZM12 8C9.7424 8 9 6 9 6C9 6 10.8754 6.63618 12 6.63618C13.1247 6.63618 15 6 15 6C15 6 14.2577 8 12 8Z"
      }
    }]
  };
  var tomatoFilled = vue.defineComponent({
    name: "TomatoFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-tomato-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$3H(_objectSpread$3H({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$3F, finalProps.value);
    }
  });

  function ownKeys$3G(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$3G(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$3G(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$3G(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$3E = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M9.5038 1.58594L12.0254 4.12107L14.7369 1.58674L16.1025 3.04788L15.079 4.00456C15.494 4.02352 15.8948 4.1023 16.2822 4.21625C17.3419 4.52795 18.3896 5.13242 18.9263 5.62009C20.4371 6.77448 21.9084 9.32547 21.9959 12.2365C22.0873 15.2785 20.6737 18.6379 16.5036 21.2751C16.0252 21.5776 15.4574 21.7885 14.9076 21.9015C14.3656 22.0128 13.759 22.0459 13.2126 21.9163C12.7677 21.8108 12.52 21.7133 12.3748 21.6561C12.3482 21.6457 12.3251 21.6366 12.3048 21.629C12.2687 21.6155 12.2622 21.6145 12.2503 21.6127L12.2491 21.6125C12.2222 21.6083 12.1553 21.601 12 21.601C11.8447 21.601 11.7778 21.6083 11.7509 21.6125L11.7498 21.6127C11.7378 21.6145 11.7313 21.6155 11.6952 21.629C11.6749 21.6366 11.6518 21.6457 11.6252 21.6561C11.48 21.7133 11.2323 21.8108 10.7874 21.9163C10.241 22.0459 9.63441 22.0128 9.09245 21.9015C8.54262 21.7885 7.97479 21.5776 7.49637 21.2751C3.32636 18.6379 1.91274 15.2785 2.00413 12.2365C2.09158 9.3257 3.56266 6.77488 5.07334 5.62037C5.6103 5.13117 6.6397 4.52438 7.72518 4.21412C8.1401 4.09553 8.61872 4.00394 9.08434 4.00026L8.0858 2.99636L9.5038 1.58594ZM10.4698 6.15351L11.3089 6.95584C11.6955 7.32547 12.3045 7.32547 12.6911 6.95584L13.5302 6.15351C13.3309 6.20114 13.1671 6.25339 13.0437 6.30017C12.7751 6.40201 12.4123 6.51358 12 6.51358C11.5877 6.51358 11.2249 6.40201 10.9563 6.30017C10.833 6.25339 10.6691 6.20114 10.4698 6.15351ZM16.2469 6.3231L14.0732 8.40141C12.9135 9.51028 11.0865 9.51028 9.92678 8.40141L7.75001 6.32013C7.12981 6.57404 6.6129 6.91576 6.40455 7.11341L6.3615 7.15424L6.31393 7.18969C5.31459 7.93454 4.07468 9.91836 4.00323 12.2965C3.93484 14.5727 4.94139 17.2929 8.56535 19.5847C8.8086 19.7386 9.14284 19.87 9.49509 19.9424C9.85522 20.0164 10.1507 20.0119 10.3259 19.9703C10.6277 19.8987 10.7584 19.8476 10.8938 19.7946C10.927 19.7816 10.9604 19.7685 10.9968 19.7549C11.2946 19.6439 11.5543 19.601 12 19.601C12.4457 19.601 12.7055 19.6439 13.0032 19.7549C13.0396 19.7685 13.073 19.7816 13.1062 19.7946C13.2416 19.8476 13.3723 19.8987 13.6741 19.9703C13.8493 20.0119 14.1448 20.0164 14.5049 19.9424C14.8572 19.87 15.1914 19.7386 15.4347 19.5847C19.0586 17.2929 20.0652 14.5727 19.9968 12.2965C19.9253 9.91836 18.6854 7.93454 17.6861 7.18969L17.6385 7.15424L17.5955 7.11341C17.3948 6.92303 16.8688 6.58073 16.2469 6.3231Z"
      }
    }]
  };
  var tomato = vue.defineComponent({
    name: "TomatoIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-tomato", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$3G(_objectSpread$3G({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$3E, finalProps.value);
    }
  });

  function ownKeys$3F(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$3F(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$3F(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$3F(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$3D = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M12 23C5.92487 23 1 18.0751 1 12C1 5.92487 5.92487 1 12 1C18.0751 1 23 5.92487 23 12C23 18.0751 18.0751 23 12 23ZM11.6259 14.4533L15.6911 18.5186L18.5195 15.6901L14.4543 11.6249C14.9811 10.0572 14.6208 8.25586 13.3709 7.006C12.0276 5.66262 10.0471 5.34686 8.40439 6.05579L8.03504 6.21519L8.19203 7.02435L10.2801 9.11241L9.11434 10.2782L7.02611 8.18992L6.21646 8.03361L6.05717 8.40249C5.34772 10.0454 5.66335 12.0263 7.00697 13.37C8.25684 14.6198 10.0582 14.9801 11.6259 14.4533Z"
      }
    }]
  };
  var toolsCircleFilled = vue.defineComponent({
    name: "ToolsCircleFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-tools-circle-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$3F(_objectSpread$3F({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$3D, finalProps.value);
    }
  });

  function ownKeys$3E(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$3E(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$3E(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$3E(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$3C = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M12 21C16.9706 21 21 16.9706 21 12C21 7.02944 16.9706 3 12 3C7.02944 3 3 7.02944 3 12C3 16.9706 7.02944 21 12 21ZM23 12C23 18.0751 18.0751 23 12 23C5.92487 23 0.999999 18.0751 1 12C1 5.92487 5.92487 0.999999 12 1C18.0751 1 23 5.92487 23 12ZM15.6906 19.2252L11.4831 15.0176C9.81625 15.4628 7.96248 15.0326 6.65294 13.723C5.15953 12.2296 4.80973 10.0284 5.59766 8.20379L5.91624 7.46604L7.27084 7.72756L9.11387 9.57058L9.57251 9.11194L7.72984 7.26927L7.46709 5.91504L8.20579 5.59624C10.0302 4.80888 12.2309 5.15883 13.724 6.65197C15.0335 7.96151 15.4637 9.81528 15.0186 11.4821L19.2262 15.6897L15.6906 19.2252ZM16.3977 15.6897L12.6882 11.9802L12.9512 11.3595C13.4147 10.2656 13.1989 8.95533 12.3098 8.06618C11.8016 7.55801 11.1559 7.26981 10.4916 7.20264L12.4009 9.11194L9.11387 12.399L7.2034 10.4885C7.27017 11.1535 7.55845 11.8001 8.06715 12.3088C8.9563 13.198 10.2666 13.4137 11.3605 12.9502L11.9811 12.6873L15.6906 16.3968L16.3977 15.6897Z"
      }
    }]
  };
  var toolsCircle = vue.defineComponent({
    name: "ToolsCircleIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-tools-circle", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$3E(_objectSpread$3E({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$3C, finalProps.value);
    }
  });

  function ownKeys$3D(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$3D(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$3D(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$3D(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$3B = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M3.73497 6.56731L1.83867 6.50327L1.61364 7.23431C0.717737 10.1447 1.42109 13.4458 3.72738 15.7521C6.02641 18.0511 9.31152 18.7556 12.2145 17.8742L17.509 23.1699L19.6318 21.0472L15.3359 16.7514L16.7501 15.3372L21.046 19.633L23.1661 17.5129L17.8702 12.2189C18.7518 9.31581 18.0474 6.03045 15.7482 3.73129C13.4419 1.42499 10.1408 0.721643 7.23041 1.61754L6.49936 1.84258L6.5634 3.73888L10.0913 7.26682L7.26291 10.0952L3.73497 6.56731Z"
      }
    }]
  };
  var toolsFilled = vue.defineComponent({
    name: "ToolsFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-tools-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$3D(_objectSpread$3D({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$3B, finalProps.value);
    }
  });

  function ownKeys$3C(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$3C(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$3C(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$3C(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$3A = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M6.53385 1.86579C9.60307 0.617451 13.2574 1.23778 15.7501 3.73054C17.9027 5.88313 18.6574 8.90017 18.0214 11.6586L23.1748 16.812L21.7605 18.2262L15.773 12.2387L15.9505 11.663C16.6384 9.43131 16.0992 6.908 14.3359 5.14475C12.7092 3.51804 10.4337 2.93229 8.34011 3.39158L12.5682 7.61962L7.6184 12.5694L3.39036 8.34133C2.93107 10.4349 3.51682 12.7104 5.14353 14.3371C6.90678 16.1004 9.43009 16.6396 11.6617 15.9517L12.2375 15.7742L18.225 21.7618L16.8108 23.176L11.6574 18.0226C8.89895 18.6587 5.88191 17.9039 3.72932 15.7514C1.23656 13.2586 0.61623 9.60429 1.86457 6.53507L2.11838 5.91103L3.79047 5.91301L7.6184 9.74094L9.73972 7.61962L5.91179 3.79169L5.90981 2.1196L6.53385 1.86579ZM15.7501 14.3371L20.6999 19.2869L19.2857 20.7011L14.3359 15.7514L15.7501 14.3371Z"
      }
    }]
  };
  var tools = vue.defineComponent({
    name: "ToolsIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-tools", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$3C(_objectSpread$3C({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$3A, finalProps.value);
    }
  });

  function ownKeys$3B(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$3B(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$3B(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$3B(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$3z = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M5.52778 4C5.21892 4 5 4.24108 5 4.5C5 4.75892 5.21892 5 5.52778 5L19 5L19 7L5.52778 7C4.1491 7 3 5.89793 3 4.5C3 3.10207 4.1491 2 5.52778 2L8 2L8 4L5.52778 4ZM21 8L21 10L6 10L6 8L21 8ZM8 11L19 11L19 13L8 13L8 11ZM6 14L15 14L15 16L6 16L6 14ZM5 17L13 17L13 19L5 19L5 17ZM8 20L15 20L15 22L8 22L8 20Z"
      }
    }]
  };
  var tornado = vue.defineComponent({
    name: "TornadoIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-tornado", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$3B(_objectSpread$3B({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$3z, finalProps.value);
    }
  });

  function ownKeys$3A(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$3A(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$3A(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$3A(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$3y = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M13 1V2H16V8H15.0614C15.2612 9.7854 15.9348 12.1988 16.8796 14.5814C17.9352 17.2434 19.2498 19.6653 20.4322 21H22V23H14.1527L14.0144 22.1689L14.0121 22.157C14.0097 22.1443 14.0052 22.1221 13.9983 22.0915C13.9844 22.0303 13.9613 21.9373 13.9265 21.8233C13.8558 21.5918 13.7427 21.2933 13.5739 21.0038C13.2377 20.4274 12.7631 20 12 20C11.2369 20 10.7623 20.4274 10.4261 21.0038C10.2573 21.2933 10.1442 21.5918 10.0735 21.8233C10.0387 21.9373 10.0156 22.0303 10.0017 22.0915C9.99484 22.1221 9.99033 22.1443 9.98787 22.157L9.98579 22.168L9.84729 23H2V21H3.56781C4.75023 19.6653 6.0648 17.2434 7.12042 14.5814C8.06522 12.1988 8.73883 9.7854 8.93861 8H8V2H11V1H13ZM10.9489 8C10.7483 10.1007 9.977 12.8034 8.97958 15.3186C8.16311 17.3775 7.14961 19.4261 6.08129 21H8.23905C8.34209 20.7056 8.49 20.3536 8.69847 19.9962C9.23712 19.0726 10.2625 18 12 18C13.7375 18 14.7629 19.0726 15.3015 19.9962C15.51 20.3536 15.6579 20.7056 15.7609 21H17.9187C16.8504 19.4261 15.8369 17.3775 15.0204 15.3186C14.023 12.8034 13.2517 10.1007 13.0511 8H10.9489Z"
      }
    }]
  };
  var tower1Filled = vue.defineComponent({
    name: "Tower1FilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-tower-1-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$3A(_objectSpread$3A({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$3y, finalProps.value);
    }
  });

  function ownKeys$3z(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$3z(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$3z(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$3z(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$3x = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M13 1V2H16V8H15.0614C15.2612 9.7854 15.9348 12.1988 16.8796 14.5814C17.9352 17.2434 19.2498 19.6653 20.4322 21H22V23H14.1527L14.0144 22.1689L14.0121 22.157C14.0097 22.1443 14.0052 22.1221 13.9983 22.0915C13.9844 22.0303 13.9613 21.9373 13.9265 21.8233C13.8558 21.5918 13.7427 21.2933 13.5739 21.0038C13.2377 20.4274 12.7631 20 12 20C11.2369 20 10.7623 20.4274 10.4261 21.0038C10.2573 21.2933 10.1442 21.5918 10.0735 21.8233C10.0387 21.9373 10.0156 22.0303 10.0017 22.0915C9.99484 22.1221 9.99033 22.1443 9.98787 22.157L9.98579 22.168L9.84729 23H2V21H3.56781C4.75023 19.6653 6.0648 17.2434 7.12042 14.5814C8.06522 12.1988 8.73883 9.7854 8.93861 8H8V2H11V1H13ZM10.9489 8C10.7483 10.1007 9.977 12.8034 8.97958 15.3186C8.16311 17.3775 7.14961 19.4261 6.08129 21H8.23905C8.34209 20.7056 8.49 20.3536 8.69847 19.9962C9.23712 19.0726 10.2625 18 12 18C13.7375 18 14.7629 19.0726 15.3015 19.9962C15.51 20.3536 15.6579 20.7056 15.7609 21H17.9187C16.8504 19.4261 15.8369 17.3775 15.0204 15.3186C14.023 12.8034 13.2517 10.1007 13.0511 8H10.9489ZM10 6H14V4H10V6Z"
      }
    }]
  };
  var tower1 = vue.defineComponent({
    name: "Tower1Icon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-tower-1", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$3z(_objectSpread$3z({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$3x, finalProps.value);
    }
  });

  function ownKeys$3y(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$3y(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$3y(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$3y(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$3w = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M12 0.585938L14.9728 3.55873L15.9356 18.0002H17V23.0002H7V18.0002H8.06445L9.02721 3.55873L12 0.585938ZM10.0689 18.0002H13.9311L13.0272 4.44157L12 3.41436L10.9728 4.44157L10.0689 18.0002Z"
      }
    }]
  };
  var tower2Filled = vue.defineComponent({
    name: "Tower2FilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-tower-2-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$3y(_objectSpread$3y({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$3w, finalProps.value);
    }
  });

  function ownKeys$3x(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$3x(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$3x(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$3x(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$3v = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M12 0.585938L14.9728 3.55873L15.9356 18.0002H17V23.0002H7V18.0002H8.06445L9.02721 3.55873L12 0.585938ZM10.0689 18.0002H13.9311L13.0272 4.44157L12 3.41436L10.9728 4.44157L10.0689 18.0002ZM9 20.0002V21.0002H15V20.0002H9Z"
      }
    }]
  };
  var tower2 = vue.defineComponent({
    name: "Tower2Icon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-tower-2", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$3x(_objectSpread$3x({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$3v, finalProps.value);
    }
  });

  function ownKeys$3w(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$3w(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$3w(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$3w(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$3u = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M11.0002 3.12602V1H13.0002V3.12602C14.7254 3.57006 16.0002 5.13616 16.0002 7C16.0002 8.22945 15.4452 9.32849 14.5748 10.0613L16.1274 23H7.87305L9.42569 10.0613C8.55527 9.32849 8.00022 8.22945 8.00022 7C8.00022 5.13616 9.27499 3.57006 11.0002 3.12602ZM11.334 10.9446L10.1274 21H13.873L12.6664 10.9446C12.4495 10.981 12.2269 11 12.0002 11C11.7735 11 11.5509 10.981 11.334 10.9446Z"
      }
    }]
  };
  var tower3Filled = vue.defineComponent({
    name: "Tower3FilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-tower-3-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$3w(_objectSpread$3w({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$3u, finalProps.value);
    }
  });

  function ownKeys$3v(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$3v(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$3v(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$3v(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$3t = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M11.0002 3.12602V1H13.0002V3.12602C14.7254 3.57006 16.0002 5.13616 16.0002 7C16.0002 8.22945 15.4452 9.32849 14.5748 10.0613L16.1274 23H7.87305L9.42569 10.0613C8.55527 9.32849 8.00022 8.22945 8.00022 7C8.00022 5.13616 9.27499 3.57006 11.0002 3.12602ZM11.334 10.9446L10.1274 21H13.873L12.6664 10.9446C12.4495 10.981 12.2269 11 12.0002 11C11.7735 11 11.5509 10.981 11.334 10.9446ZM12.0002 5C10.8957 5 10.0002 5.89543 10.0002 7C10.0002 7.73599 10.3972 8.38039 10.9936 8.72876C11.2884 8.901 11.6312 9 12.0002 9C12.3692 9 12.712 8.901 13.0069 8.72876C13.6032 8.38039 14.0002 7.73599 14.0002 7C14.0002 5.89543 13.1048 5 12.0002 5Z"
      }
    }]
  };
  var tower3 = vue.defineComponent({
    name: "Tower3Icon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-tower-3", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$3v(_objectSpread$3v({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$3t, finalProps.value);
    }
  });

  function ownKeys$3u(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$3u(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$3u(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$3u(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$3s = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M10.75 11C10.75 10.3096 11.3096 9.75 12 9.75C12.6904 9.75 13.25 10.3096 13.25 11C13.25 11.6904 12.6904 12.25 12 12.25C11.3096 12.25 10.75 11.6904 10.75 11Z"
      }
    }, {
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M17.2878 2.91444L12.0003 0.931641L6.71289 2.91444L7.41514 4.78709L8.00034 4.56764V5H5V17H7V23H17V17H19V5H16.0003V4.56764L16.5855 4.78709L17.2878 2.91444ZM11 20V17H13V20H11ZM12 7.75C13.7949 7.75 15.25 9.20507 15.25 11C15.25 12.7949 13.7949 14.25 12 14.25C10.2051 14.25 8.75 12.7949 8.75 11C8.75 9.20507 10.2051 7.75 12 7.75Z"
      }
    }]
  };
  var towerClockFilled = vue.defineComponent({
    name: "TowerClockFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-tower-clock-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$3u(_objectSpread$3u({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$3s, finalProps.value);
    }
  });

  function ownKeys$3t(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$3t(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$3t(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$3t(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$3r = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M12 0.932129L17.2875 2.91492L16.5852 4.78758L16 4.56813V5.00013H19V17.0001H17V23.0001H7V17.0001H5V5.00013H8V4.56813L7.41479 4.78758L6.71255 2.91492L12 0.932129ZM10 3.81813V5.00013H14V3.81813L12 3.06813L10 3.81813ZM9 17.0001V21.0001H15V17.0001H13V20.0001H11V17.0001H9ZM17 15.0001V7.00013H7V15.0001H17ZM12 10.0001C11.4477 10.0001 11 10.4478 11 11.0001C11 11.5524 11.4477 12.0001 12 12.0001C12.5523 12.0001 13 11.5524 13 11.0001C13 10.4478 12.5523 10.0001 12 10.0001ZM9 11.0001C9 9.34328 10.3431 8.00013 12 8.00013C13.6569 8.00013 15 9.34328 15 11.0001C15 12.657 13.6569 14.0001 12 14.0001C10.3431 14.0001 9 12.657 9 11.0001Z"
      }
    }]
  };
  var towerClock = vue.defineComponent({
    name: "TowerClockIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-tower-clock", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$3t(_objectSpread$3t({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$3r, finalProps.value);
    }
  });

  function ownKeys$3s(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$3s(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$3s(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$3s(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$3q = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M13 1V2H16V8H15.0226C15.102 9.8724 15.3927 12.3528 15.9258 14.7313C16.2426 16.1448 16.64 17.499 17.1179 18.6556C17.4733 19.5155 17.8587 20.2302 18.2633 20.7737C18.3376 20.856 18.4049 20.9318 18.4644 21H20V23H14V21H15.6744C15.5853 20.9183 15.4935 20.8361 15.3992 20.754C14.8585 20.2831 14.2581 19.833 13.6504 19.5049C13.0353 19.1728 12.4761 19 12 19C11.5239 19 10.9647 19.1728 10.3496 19.5049C9.74188 19.833 9.14146 20.2831 8.60079 20.754C8.50653 20.8361 8.41471 20.9183 8.32561 21H10V23H4V21H5.53562C5.59513 20.9318 5.66236 20.856 5.73673 20.7737C6.14129 20.2302 6.52668 19.5155 6.88206 18.6556C7.36004 17.499 7.75739 16.1448 8.07421 14.7313C8.60731 12.3528 8.89796 9.8724 8.97739 8H8V2H11V1H13ZM10.979 8C10.8994 10.0097 10.5914 12.6454 10.0258 15.1687C9.82635 16.0585 9.59305 16.9428 9.32324 17.7867C9.34854 17.7727 9.37391 17.7588 9.39934 17.7451C10.1732 17.3272 11.0681 17 12 17C12.9319 17 13.8268 17.3272 14.6007 17.7451C14.6261 17.7588 14.6515 17.7727 14.6768 17.7867C14.407 16.9428 14.1737 16.0585 13.9742 15.1687C13.4086 12.6454 13.1006 10.0097 13.021 8H10.979Z"
      }
    }]
  };
  var towerFilled = vue.defineComponent({
    name: "TowerFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-tower-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$3s(_objectSpread$3s({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$3q, finalProps.value);
    }
  });

  function ownKeys$3r(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$3r(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$3r(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$3r(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$3p = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M13 1V2H16V8H15.0226C15.102 9.87239 15.3927 12.3528 15.9258 14.7313C16.2426 16.1448 16.64 17.499 17.1179 18.6556C17.4733 19.5155 17.8587 20.2302 18.2633 20.7737C18.3376 20.856 18.4049 20.9318 18.4644 21H20V23H14V21H15.6744C15.5853 20.9183 15.4935 20.8361 15.3992 20.754C14.8585 20.2831 14.2581 19.833 13.6504 19.5049C13.0353 19.1728 12.4761 19 12 19C11.5239 19 10.9647 19.1728 10.3496 19.5049C9.74188 19.833 9.14146 20.2831 8.60079 20.754C8.50653 20.8361 8.41471 20.9183 8.32561 21H10V23H4V21H5.53562C5.59513 20.9318 5.66236 20.856 5.73673 20.7737C6.14129 20.2302 6.52668 19.5155 6.88206 18.6556C7.36004 17.499 7.75739 16.1448 8.07421 14.7313C8.60731 12.3528 8.89796 9.8724 8.97739 8H8V2H11V1H13ZM10.979 8C10.8994 10.0097 10.5914 12.6454 10.0258 15.1687C9.82635 16.0585 9.59305 16.9428 9.32324 17.7867C9.34854 17.7727 9.37391 17.7588 9.39934 17.7451C10.1732 17.3272 11.0681 17 12 17C12.9319 17 13.8268 17.3272 14.6007 17.7451C14.6261 17.7588 14.6515 17.7727 14.6768 17.7867C14.407 16.9428 14.1737 16.0585 13.9742 15.1687C13.4086 12.6454 13.1006 10.0097 13.021 8H10.979ZM10 6H14V4H10V6Z"
      }
    }]
  };
  var tower = vue.defineComponent({
    name: "TowerIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-tower", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$3r(_objectSpread$3r({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$3p, finalProps.value);
    }
  });

  function ownKeys$3q(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$3q(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$3q(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$3q(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$3o = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M8.00391 7.99805H6V10.002H8.00391V7.99805zM8.00391 11.998H6V14.002H8.00391V11.998zM8.00391 15.998H6V18.002H8.00391V15.998z"
      }
    }, {
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M7.44237 2H2V22H22V8.63795L16.4684 2H11V5.91339L7.44237 2ZM11 8.88661V20H4V4H6.55763L11 8.88661ZM15 7.99805H17.0039V10.002H15V7.99805ZM15 11.998H17.0039V14.002H15V11.998ZM17.0039 15.998V18.002H15V15.998H17.0039Z"
      }
    }]
  };
  var townFilled = vue.defineComponent({
    name: "TownFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-town-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$3q(_objectSpread$3q({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$3o, finalProps.value);
    }
  });

  function ownKeys$3p(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$3p(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$3p(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$3p(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$3n = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M2 2H7.44237L11 5.91339V2H16.4684L22 8.63795V22H2V2ZM13 4V20H20V9.36205L15.5316 4H13ZM11 20V8.88661L6.55763 4H4V20H11ZM6 7.99805H8.00391V10.002H6V7.99805ZM15 7.99805H17.0039V10.002H15V7.99805ZM6 11.998H8.00391V14.002H6V11.998ZM15 11.998H17.0039V14.002H15V11.998ZM6 15.998H8.00391V18.002H6V15.998ZM15 15.998H17.0039V18.002H15V15.998Z"
      }
    }]
  };
  var town = vue.defineComponent({
    name: "TownIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-town", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$3p(_objectSpread$3p({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$3n, finalProps.value);
    }
  });

  function ownKeys$3o(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$3o(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$3o(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$3o(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$3m = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M14.7618 8.5L12 1.91406 9.23816 8.5H14.7618zM15.6006 10.5H8.39945L6.83493 14.2308H17.1651L15.6006 10.5zM18.0038 16.2308H5.99622L4.83498 18.9999H3V20.9999H21V18.9999H19.165L18.0038 16.2308z"
      }
    }]
  };
  var trafficEventsFilled = vue.defineComponent({
    name: "TrafficEventsFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-traffic-events-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$3o(_objectSpread$3o({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$3m, finalProps.value);
    }
  });

  function ownKeys$3n(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$3n(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$3n(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$3n(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$3l = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M12 1.91406L15.6428 10.6007L16.0488 11.4997L16.0244 11.5107L19.165 18.9999H21V20.9999H3V18.9999H4.83498L7.97562 11.5107L7.95124 11.4997L8.35724 10.6006L12 1.91406ZM10.1489 11.4999L9.00373 14.2306H14.9963L13.8511 11.4999H10.1489ZM13.0124 9.49987L12 7.08567L10.9876 9.49987H13.0124ZM15.835 16.2306H8.16502L7.00373 18.9999H16.9963L15.835 16.2306Z"
      }
    }]
  };
  var trafficEvents = vue.defineComponent({
    name: "TrafficEventsIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-traffic-events", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$3n(_objectSpread$3n({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$3l, finalProps.value);
    }
  });

  function ownKeys$3m(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$3m(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$3m(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$3m(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$3k = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M18 2H6V6H3V8H6V11H3V13H6V16H3V18H6V22H18V18H21V16H18V13H21V11H18V8H21V6H18V2ZM10 7C10 5.89543 10.8954 5 12 5C13.1046 5 14 5.89543 14 7C14 8.10457 13.1046 9 12 9C10.8954 9 10 8.10457 10 7ZM10 12C10 10.8954 10.8954 10 12 10C13.1046 10 14 10.8954 14 12C14 13.1046 13.1046 14 12 14C10.8954 14 10 13.1046 10 12ZM12 15C13.1046 15 14 15.8954 14 17C14 18.1046 13.1046 19 12 19C10.8954 19 10 18.1046 10 17C10 15.8954 10.8954 15 12 15Z"
      }
    }]
  };
  var trafficFilled = vue.defineComponent({
    name: "TrafficFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-traffic-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$3m(_objectSpread$3m({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$3k, finalProps.value);
    }
  });

  function ownKeys$3l(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$3l(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$3l(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$3l(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$3j = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M6 2H18V6H21V8H18V11H21V13H18V16H21V18H18V22H6V18H3V16H6V13H3V11H6V8H3V6H6V2ZM8 4V20H16V4H8ZM10 7C10 5.89543 10.8954 5 12 5C13.1046 5 14 5.89543 14 7C14 8.10457 13.1046 9 12 9C10.8954 9 10 8.10457 10 7ZM10 12C10 10.8954 10.8954 10 12 10C13.1046 10 14 10.8954 14 12C14 13.1046 13.1046 14 12 14C10.8954 14 10 13.1046 10 12ZM10 17C10 15.8954 10.8954 15 12 15C13.1046 15 14 15.8954 14 17C14 18.1046 13.1046 19 12 19C10.8954 19 10 18.1046 10 17Z"
      }
    }]
  };
  var traffic = vue.defineComponent({
    name: "TrafficIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-traffic", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$3l(_objectSpread$3l({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$3j, finalProps.value);
    }
  });

  function ownKeys$3k(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$3k(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$3k(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$3k(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$3i = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M2.00001 2H8V4H16L16 2H22V8H20V16H22V22H16L16 20H8V22H2V16H4V8H2L2.00001 2ZM6 8V16H8V18H16L16 16H18V8H16L16 6H8V8H6Z"
      }
    }]
  };
  var transform1Filled = vue.defineComponent({
    name: "Transform1FilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-transform-1-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$3k(_objectSpread$3k({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$3i, finalProps.value);
    }
  });

  function ownKeys$3j(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$3j(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$3j(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$3j(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$3h = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M2.00001 2L8 2V4L16 4L16 2L22 2V8L20 8L20 16H22V22H16L16 20L8 20V22H2L2 16H4L4 8H2L2.00001 2ZM6 8L6 16L8 16V18H16L16 16H18L18 8H16L16 6L8 6V8H6ZM6 4L4.00001 4L4 6H6L6 4ZM20 6V4H18V6L20 6ZM18 18V20H20V18L18 18ZM6 20V18H4L4 20H6Z"
      }
    }]
  };
  var transform1 = vue.defineComponent({
    name: "Transform1Icon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-transform-1", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$3j(_objectSpread$3j({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$3h, finalProps.value);
    }
  });

  function ownKeys$3i(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$3i(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$3i(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$3i(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$3g = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M8 1L8 16H14V18H6V8H1V6H6L6 1L8 1ZM10 6H18V16H23V18H18V23H16V8H10V6Z"
      }
    }]
  };
  var transform2 = vue.defineComponent({
    name: "Transform2Icon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-transform-2", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$3i(_objectSpread$3i({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$3g, finalProps.value);
    }
  });

  function ownKeys$3h(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$3h(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$3h(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$3h(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$3f = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M8 2.5L8 6H16.5858L20 2.58579L21.4142 4L18 7.41422V16H21.5V18H18V21.5H16V18L6 18L6 8H2.5V6H6L6 2.5L8 2.5ZM8 8L8 14.5858L14.5858 8H8ZM16 9.41422L9.41421 16L16 16V9.41422Z"
      }
    }]
  };
  var transform3 = vue.defineComponent({
    name: "Transform3Icon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-transform-3", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$3h(_objectSpread$3h({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$3f, finalProps.value);
    }
  });

  function ownKeys$3g(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$3g(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$3g(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$3g(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$3e = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M1 4C1 2.34315 2.34315 1 4 1C5.30622 1 6.41746 1.83481 6.82929 3H17.1707C17.5825 1.83481 18.6938 1 20 1C21.6569 1 23 2.34315 23 4C23 5.30622 22.1652 6.41746 21 6.82929V17.1707C22.1652 17.5825 23 18.6938 23 20C23 21.6569 21.6569 23 20 23C18.6938 23 17.5825 22.1652 17.1707 21H6.82929C6.41746 22.1652 5.30622 23 4 23C2.34315 23 1 21.6569 1 20C1 18.6938 1.83481 17.5825 3 17.1707V6.82929C1.83481 6.41746 1 5.30622 1 4ZM5 6.82929V17.1707C5.85241 17.472 6.52801 18.1476 6.82929 19H17.1707C17.472 18.1476 18.1476 17.472 19 17.1707V6.82929C18.1476 6.52801 17.472 5.85241 17.1707 5H6.82929C6.52801 5.85241 5.85241 6.52801 5 6.82929Z"
      }
    }]
  };
  var transformFilled = vue.defineComponent({
    name: "TransformFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-transform-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$3g(_objectSpread$3g({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$3e, finalProps.value);
    }
  });

  function ownKeys$3f(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$3f(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$3f(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$3f(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$3d = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M4 3C3.44772 3 3 3.44772 3 4C3 4.55228 3.44772 5 4 5C4.55228 5 5 4.55228 5 4C5 3.44772 4.55228 3 4 3ZM1 4C1 2.34315 2.34315 1 4 1C5.30622 1 6.41746 1.83481 6.82929 3H17.1707C17.5825 1.83481 18.6938 1 20 1C21.6569 1 23 2.34315 23 4C23 5.30622 22.1652 6.41746 21 6.82929V17.1707C22.1652 17.5825 23 18.6938 23 20C23 21.6569 21.6569 23 20 23C18.6938 23 17.5825 22.1652 17.1707 21H6.82929C6.41746 22.1652 5.30622 23 4 23C2.34315 23 1 21.6569 1 20C1 18.6938 1.83481 17.5825 3 17.1707V6.82929C1.83481 6.41746 1 5.30622 1 4ZM5 6.82929V17.1707C5.85241 17.472 6.52801 18.1476 6.82929 19H17.1707C17.472 18.1476 18.1476 17.472 19 17.1707V6.82929C18.1476 6.52801 17.472 5.85241 17.1707 5H6.82929C6.52801 5.85241 5.85241 6.52801 5 6.82929ZM20 3C19.4477 3 19 3.44772 19 4C19 4.55228 19.4477 5 20 5C20.5523 5 21 4.55228 21 4C21 3.44772 20.5523 3 20 3ZM4 19C3.44772 19 3 19.4477 3 20C3 20.5523 3.44772 21 4 21C4.55228 21 5 20.5523 5 20C5 19.4477 4.55228 19 4 19ZM20 19C19.4477 19 19 19.4477 19 20C19 20.5523 19.4477 21 20 21C20.5523 21 21 20.5523 21 20C21 19.4477 20.5523 19 20 19Z"
      }
    }]
  };
  var transform = vue.defineComponent({
    name: "TransformIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-transform", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$3f(_objectSpread$3f({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$3d, finalProps.value);
    }
  });

  function ownKeys$3e(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$3e(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$3e(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$3e(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$3c = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M6.5 2V4.5H2V6.5H9.45971C8.93752 7.82397 8.2321 9.05625 7.37462 10.1654C6.82023 9.4482 6.32938 8.67946 5.91052 7.86765L5.452 6.97897L3.67463 7.89601L4.13316 8.78469C4.66619 9.81778 5.30191 10.7891 6.02685 11.6852C5.1225 12.5763 4.10552 13.3537 2.99916 13.9938L2.13362 14.4947L3.1353 16.2258L4.00084 15.7249C5.23108 15.013 6.36398 14.1514 7.37453 13.1648C8.38522 14.1516 9.51844 15.0134 10.7493 15.7254L11.6149 16.2261L12.6163 14.4949L11.7507 13.9942C10.6442 13.3541 9.62694 12.5767 8.72231 11.6853C9.96117 10.1542 10.9397 8.40334 11.5902 6.5H13V4.5H8.5V2H6.5ZM16.5 9.16402L10.6682 21.4757L12.4757 22.3318L13.5802 20H19.4198L20.5243 22.3318L22.3318 21.4757L16.5 9.16402ZM18.4724 18H14.5276L16.5 13.836L18.4724 18Z"
      }
    }]
  };
  var translate1 = vue.defineComponent({
    name: "Translate1Icon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-translate-1", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$3e(_objectSpread$3e({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$3c, finalProps.value);
    }
  });

  function ownKeys$3d(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$3d(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$3d(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$3d(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$3b = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M2 5C2 3.34315 3.34315 2 5 2H7C8.65685 2 10 3.34315 10 5V11H8V8.5H4V11H2V5ZM4 6.5H8V5C8 4.44772 7.55228 4 7 4H5C4.44772 4 4 4.44772 4 5V6.5ZM12 3.5H18C19.6569 3.5 21 4.84315 21 6.5V9H19V6.5C19 5.94772 18.5523 5.5 18 5.5H12V3.5ZM18 11.5V13H22V15H20.9381C20.7182 16.7638 19.9241 18.3492 18.7488 19.5634C19.4441 19.845 20.2041 20 21 20H22V22H21C19.5425 22 18.1765 21.6102 17.0001 20.9297C15.8234 21.6104 14.4572 22 13 22H12V20H13C13.7962 20 14.5562 19.8449 15.2514 19.5633C14.6487 18.9407 14.1463 18.2205 13.7704 17.4291L13.3413 16.5258L15.1478 15.6676L15.5769 16.5709C15.9219 17.2971 16.4081 17.9427 16.9999 18.4723C17.9921 17.5843 18.687 16.371 18.917 15H12V13H16V11.5H18ZM6 13V19C6 19.5523 6.44772 20 7 20H9.5V22H7C5.34315 22 4 20.6569 4 19V13H6Z"
      }
    }]
  };
  var translate = vue.defineComponent({
    name: "TranslateIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-translate", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$3d(_objectSpread$3d({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$3b, finalProps.value);
    }
  });

  function ownKeys$3c(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$3c(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$3c(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$3c(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$3a = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M19.5 23C17.567 23 16 21.433 16 19.5C16 17.9145 17.0543 16.5752 18.5 16.1449V14C18.5 13.4478 18.0523 13 17.5 13H6.5C5.94772 13 5.5 13.4478 5.5 14L5.5 16.1449C6.94574 16.5752 8 17.9145 8 19.5C8 21.433 6.433 23 4.5 23C2.567 23 1 21.433 1 19.5C1 17.9145 2.05425 16.5752 3.5 16.1449V14C3.5 12.3432 4.84315 11 6.5 11H11L11 7.85506C9.55426 7.42479 8.5 6.08551 8.5 4.5C8.5 2.567 10.067 1 12 1C13.933 1 15.5 2.567 15.5 4.5C15.5 6.08551 14.4457 7.42479 13 7.85506L13 11H17.5C19.1569 11 20.5 12.3432 20.5 14V16.1449C21.9457 16.5752 23 17.9145 23 19.5C23 21.433 21.433 23 19.5 23Z"
      }
    }]
  };
  var treeRoundDotFilled = vue.defineComponent({
    name: "TreeRoundDotFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-tree-round-dot-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$3c(_objectSpread$3c({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$3a, finalProps.value);
    }
  });

  function ownKeys$3b(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$3b(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$3b(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$3b(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$39 = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M23 4.5C23 6.433 21.433 8 19.5 8C17.9145 8 16.5752 6.94574 16.1449 5.5H14C13.4478 5.5 13 5.94772 13 6.5V17.5C13 18.5042 13.4078 18.5025 13.9251 18.5002L14 18.5H16.1449C16.5752 17.0543 17.9145 16 19.5 16C21.433 16 23 17.567 23 19.5C23 21.433 21.433 23 19.5 23C17.9145 23 16.5752 21.9457 16.1449 20.5H14C12.3432 20.5 11 19.1569 11 17.5V13L7.85506 13C7.42479 14.4457 6.08551 15.5 4.5 15.5C2.567 15.5 1 13.933 1 12C1 10.067 2.567 8.5 4.5 8.5C6.08551 8.5 7.42479 9.55426 7.85506 11L11 11V6.5C11 4.84315 12.3432 3.5 14 3.5H16.1449C16.5752 2.05426 17.9145 1 19.5 1C21.433 1 23 2.567 23 4.5Z"
      }
    }]
  };
  var treeRoundDotVerticalFilled = vue.defineComponent({
    name: "TreeRoundDotVerticalFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-tree-round-dot-vertical-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$3b(_objectSpread$3b({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$39, finalProps.value);
    }
  });

  function ownKeys$3a(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$3a(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$3a(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$3a(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$38 = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M15.126 4C15.5701 2.27477 17.1362 1 19 1C21.2091 1 23 2.79086 23 5C23 7.20914 21.2091 9 19 9C17.1362 9 15.5701 7.72523 15.126 6H14C13.4477 6 13 6.44772 13 7V17C13 17.5523 13.4477 18 14 18H15.126C15.5701 16.2748 17.1362 15 19 15C21.2091 15 23 16.7909 23 19C23 21.2091 21.2091 23 19 23C17.1362 23 15.5701 21.7252 15.126 20H14C12.3431 20 11 18.6569 11 17V13L8.87398 13C8.42994 14.7252 6.86384 16 5 16C2.79086 16 1 14.2091 1 12C1 9.79086 2.79086 8 5 8C6.86384 8 8.42994 9.27477 8.87398 11L11 11V7C11 5.34315 12.3431 4 14 4H15.126ZM19 3C17.8954 3 17 3.89543 17 5C17 6.10457 17.8954 7 19 7C20.1046 7 21 6.10457 21 5C21 3.89543 20.1046 3 19 3ZM5 10C3.89543 10 3 10.8954 3 12C3 13.1046 3.89543 14 5 14C6.10457 14 7 13.1046 7 12C7 10.8954 6.10457 10 5 10ZM19 17C17.8954 17 17 17.8954 17 19C17 20.1046 17.8954 21 19 21C20.1046 21 21 20.1046 21 19C21 17.8954 20.1046 17 19 17Z"
      }
    }]
  };
  var treeRoundDotVertical = vue.defineComponent({
    name: "TreeRoundDotVerticalIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-tree-round-dot-vertical", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$3a(_objectSpread$3a({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$38, finalProps.value);
    }
  });

  function ownKeys$39(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$39(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$39(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$39(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$37 = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M12 3C10.8954 3 10 3.89543 10 5C10 6.10457 10.8954 7 12 7C13.1046 7 14 6.10457 14 5C14 3.89543 13.1046 3 12 3ZM11 8.87398C9.27477 8.42994 8 6.86384 8 5C8 2.79086 9.79086 1 12 1C14.2091 1 16 2.79086 16 5C16 6.86384 14.7252 8.42994 13 8.87398V11H17C18.6569 11 20 12.3431 20 14V15.126C21.7252 15.5701 23 17.1362 23 19C23 21.2091 21.2091 23 19 23C16.7909 23 15 21.2091 15 19C15 17.1362 16.2748 15.5701 18 15.126V14C18 13.4477 17.5523 13 17 13H7C6.44772 13 6 13.4477 6 14V15.126C7.72523 15.5701 9 17.1362 9 19C9 21.2091 7.20914 23 5 23C2.79086 23 1 21.2091 1 19C1 17.1362 2.27477 15.5701 4 15.126L4 14C4 12.3431 5.34315 11 7 11H11V8.87398ZM19.0028 17H18.9972C17.8939 17.0015 17 17.8964 17 19C17 20.1046 17.8954 21 19 21C20.1046 21 21 20.1046 21 19C21 17.8964 20.1061 17.0015 19.0028 17ZM5 17C3.89543 17 3 17.8954 3 19C3 20.1046 3.89543 21 5 21C6.10457 21 7 20.1046 7 19C7 17.8954 6.10457 17 5 17Z"
      }
    }]
  };
  var treeRoundDot = vue.defineComponent({
    name: "TreeRoundDotIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-tree-round-dot", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$39(_objectSpread$39({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$37, finalProps.value);
    }
  });

  function ownKeys$38(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$38(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$38(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$38(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$36 = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M18 16H16V22H22V16H20V11.3333H13L13 8H15V2L9 2L9 8H11L11 11.3333L4 11.3333L4 16L2 16L2 22H8L8 16H6V13.3333L18 13.3333V16Z"
      }
    }]
  };
  var treeSquareDotFilled = vue.defineComponent({
    name: "TreeSquareDotFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-tree-square-dot-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$38(_objectSpread$38({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$36, finalProps.value);
    }
  });

  function ownKeys$37(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$37(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$37(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$37(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$35 = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M16 6V8H22V2L16 2V4H11.3333V11H8V9H2L2 15H8V13H11.3333L11.3333 20H16V22H22V16H16V18H13.3333L13.3333 6H16Z"
      }
    }]
  };
  var treeSquareDotVerticalFilled = vue.defineComponent({
    name: "TreeSquareDotVerticalFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-tree-square-dot-vertical-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$37(_objectSpread$37({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$35, finalProps.value);
    }
  });

  function ownKeys$36(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$36(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$36(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$36(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$34 = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M17 4L20 4V7H17V4ZM15 6.5V9H22V2L15 2V4.5H11.3333V11H9V8.5H2L2 15.5H9V13H11.3333L11.3333 19.5H15V22H22V15H15V17.5H13.3333L13.3333 6.5H15ZM17 20V17H20V20H17ZM7 10.5V13.5H4L4 10.5H7Z"
      }
    }]
  };
  var treeSquareDotVertical = vue.defineComponent({
    name: "TreeSquareDotVerticalIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-tree-square-dot-vertical", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$36(_objectSpread$36({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$34, finalProps.value);
    }
  });

  function ownKeys$35(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$35(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$35(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$35(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$33 = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M8.5 2H15.5V9H13V11.3333H19.5V15H22V22H15V15H17.5V13.3333H6.5V15H9V22H2V15H4.5V11.3333H11V9H8.5V2ZM13.5 7V4H10.5V7H13.5ZM4 17V20H7V17H4ZM17 17V20H20V17H17Z"
      }
    }]
  };
  var treeSquareDot = vue.defineComponent({
    name: "TreeSquareDotIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-tree-square-dot", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$35(_objectSpread$35({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$33, finalProps.value);
    }
  });

  function ownKeys$34(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$34(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$34(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$34(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$32 = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M2.08594 7.49991L8.50016 13.9141L12.5002 9.91415L17.5859 14.9999L13.5002 14.9999V16.9999H21.0002V9.49991H19.0002V13.5857L12.5002 7.08572L8.50016 11.0857L3.50015 6.08569L2.08594 7.49991Z"
      }
    }]
  };
  var trendingDown = vue.defineComponent({
    name: "TrendingDownIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-trending-down", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$34(_objectSpread$34({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$32, finalProps.value);
    }
  });

  function ownKeys$33(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$33(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$33(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$33(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$31 = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M2.08594 16.5L8.50016 10.0858L12.5002 14.0858L17.5859 9L13.5002 9V7L21.0002 7V14.5H19.0002V10.4142L12.5002 16.9142L8.50016 12.9142L3.50015 17.9142L2.08594 16.5Z"
      }
    }]
  };
  var trendingUp = vue.defineComponent({
    name: "TrendingUpIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-trending-up", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$33(_objectSpread$33({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$31, finalProps.value);
    }
  });

  function ownKeys$32(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$32(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$32(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$32(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$30 = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M0 3H24V18H19.9539L22.6518 20.0631L21.4369 21.6518L16.6615 18H7.3347L2.56374 21.6519L1.34811 20.0637L4.04425 18H0V3Z"
      }
    }]
  };
  var tv1Filled = vue.defineComponent({
    name: "Tv1FilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-tv-1-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$32(_objectSpread$32({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$30, finalProps.value);
    }
  });

  function ownKeys$31(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$31(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$31(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$31(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$2$ = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M0 3H24V18H19.9539L22.6518 20.0631L21.4369 21.6518L16.6615 18H7.3347L2.56374 21.6519L1.34811 20.0637L4.04425 18H0V3ZM2 5V16H22V5H2Z"
      }
    }]
  };
  var tv1 = vue.defineComponent({
    name: "Tv1Icon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-tv-1", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$31(_objectSpread$31({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$2$, finalProps.value);
    }
  });

  function ownKeys$30(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$30(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$30(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$30(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$2_ = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M0 3H24V18H0V3ZM4 20H20V22H4V20Z"
      }
    }]
  };
  var tv2Filled = vue.defineComponent({
    name: "Tv2FilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-tv-2-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$30(_objectSpread$30({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$2_, finalProps.value);
    }
  });

  function ownKeys$2$(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$2$(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$2$(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$2$(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$2Z = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M0 3H24V18H0V3ZM2 5V16H22V5H2ZM4 20H20V22H4V20Z"
      }
    }]
  };
  var tv2 = vue.defineComponent({
    name: "Tv2Icon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-tv-2", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$2$(_objectSpread$2$({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$2Z, finalProps.value);
    }
  });

  function ownKeys$2_(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$2_(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$2_(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$2_(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$2Y = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M1 2H23.0001L23.0001 19L18.2461 19L11.9998 12.7593L5.75476 19L1.00112 19L1 2Z"
      }
    }, {
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M12 15.5872L7.75875 19.8301L5.33984 22.2442H8.1731L12.0003 18.4159L15.8286 22.2441H18.6618L12 15.5872Z"
      }
    }]
  };
  var tvFilled = vue.defineComponent({
    name: "TvFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-tv-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$2_(_objectSpread$2_({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$2Y, finalProps.value);
    }
  });

  function ownKeys$2Z(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$2Z(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$2Z(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$2Z(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$2X = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M1 2L23.0001 2L23.0001 19H17.0001V17H21.0001L21.0001 4L3.00013 4L3.00099 17L7.00006 17L7.00007 19L1.00112 19L1 2ZM12 15.5872L16.2421 19.8292L18.6618 22.2441H15.8286L14.8293 21.2448L12.0003 18.4159L9.17327 21.244L8.17313 22.2441H5.33987L7.75878 19.8301L12 15.5872Z"
      }
    }]
  };
  var tv = vue.defineComponent({
    name: "TvIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-tv", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$2Z(_objectSpread$2Z({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$2X, finalProps.value);
    }
  });

  function ownKeys$2Y(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$2Y(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$2Y(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$2Y(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$2W = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M2 3H17V11H2V3ZM2 14H22V16H2V14ZM2 19H22V21H2V19Z"
      }
    }]
  };
  var typographyFilled = vue.defineComponent({
    name: "TypographyFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-typography-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$2Y(_objectSpread$2Y({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$2W, finalProps.value);
    }
  });

  function ownKeys$2X(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$2X(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$2X(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$2X(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$2V = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M2 3L17 3V11L2 11L2 3ZM4 5L4 9L15 9L15 5L4 5ZM2 14L22 14L22 16L2 16L2 14ZM2 19L22 19V21L2 21L2 19Z"
      }
    }]
  };
  var typography = vue.defineComponent({
    name: "TypographyIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-typography", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$2X(_objectSpread$2X({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$2V, finalProps.value);
    }
  });

  function ownKeys$2W(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$2W(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$2W(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$2W(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$2U = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M12 23C5.92487 23 1 18.0751 1 12C1 5.92487 5.92487 1 12 1C18.0751 1 23 5.92487 23 12C23 18.0751 18.0751 23 12 23ZM10.9996 9.04019L7.61829 7.13818L6.63776 8.88133L8.45877 9.90565L6.59961 11.3L7.79961 12.9L10.9996 10.5L10.9996 9.04019ZM15.5404 9.90565L17.3614 8.88133L16.3809 7.13818L12.9996 9.04019L12.9996 10.5L16.1996 12.9L17.3996 11.3L15.5404 9.90565ZM11.9996 13C10.1477 13 8.53217 14.0074 7.66915 15.4993L7.16843 16.3649L8.89964 17.3664L9.40036 16.5007C9.92059 15.6014 10.8905 15 11.9996 15C13.1088 15 14.0787 15.6014 14.5989 16.5007L15.0996 17.3664L16.8308 16.3649L16.3301 15.4993C15.4671 14.0074 13.8516 13 11.9996 13Z"
      }
    }]
  };
  var uncomfortable1Filled = vue.defineComponent({
    name: "Uncomfortable1FilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-uncomfortable-1-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$2W(_objectSpread$2W({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$2U, finalProps.value);
    }
  });

  function ownKeys$2V(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$2V(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$2V(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$2V(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$2T = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M12 3C7.02944 3 3 7.02944 3 12C3 16.9706 7.02944 21 12 21C16.9706 21 21 16.9706 21 12C21 7.02944 16.9706 3 12 3ZM1 12C1 5.92487 5.92487 1 12 1C18.0751 1 23 5.92487 23 12C23 18.0751 18.0751 23 12 23C5.92487 23 1 18.0751 1 12ZM7.61869 7.13816L11 9.04017L11 10.5L7.80001 12.9L6.60001 11.3L8.45917 9.90563L6.63816 8.88131L7.61869 7.13816ZM17.3618 8.88131L15.5408 9.90563L17.4 11.3L16.2 12.9L13 10.5L13 9.04017L16.3813 7.13816L17.3618 8.88131ZM7.66955 15.4993C8.53256 14.0074 10.1481 13 12 13C13.852 13 15.4675 14.0074 16.3305 15.4993L16.8312 16.3649L15.1 17.3663L14.5993 16.5007C14.0791 15.6014 13.1092 15 12 15C10.8909 15 9.92099 15.6014 9.40076 16.5007L8.90004 17.3663L7.16882 16.3649L7.66955 15.4993Z"
      }
    }]
  };
  var uncomfortable1 = vue.defineComponent({
    name: "Uncomfortable1Icon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-uncomfortable-1", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$2V(_objectSpread$2V({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$2T, finalProps.value);
    }
  });

  function ownKeys$2U(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$2U(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$2U(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$2U(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$2S = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M12 1C18.0751 1 23 5.92487 23 12C23 18.0751 18.0751 23 12 23C5.92487 23 1 18.0751 1 12C1 5.92487 5.92487 1 12 1ZM11 9.0397L7.61869 7.1377L6.63816 8.88084L8.45917 9.90517L6.60001 11.2995L7.80001 12.8995L11 10.4995L11 9.0397ZM15.5408 9.90516L17.3618 8.88084L16.3813 7.1377L13 9.0397L13 10.4995L16.2 12.8995L17.4 11.2995L15.5408 9.90516ZM8.5 16.4995C8.5 15.9472 8.9477 15.4995 9.5 15.4995C9.76708 15.4995 10.0079 15.6029 10.188 15.7738C10.5103 16.0796 11.0664 16.4995 11.8092 16.4995H12.1908C12.9336 16.4995 13.4897 16.0796 13.812 15.7738C13.9921 15.6029 14.2329 15.4995 14.5 15.4995C15.0523 15.4995 15.5 15.9472 15.5 16.4995V17.4995H17.5V16.4995C17.5 14.8427 16.1569 13.4995 14.5 13.4995C13.7006 13.4995 12.9724 13.8135 12.4355 14.3229C12.3491 14.4048 12.2793 14.4543 12.2289 14.4808C12.2049 14.4934 12.1907 14.498 12.185 14.4995H11.815C11.8093 14.498 11.7952 14.4934 11.7711 14.4808C11.7207 14.4543 11.6509 14.4048 11.5645 14.3229C11.0276 13.8135 10.2994 13.4995 9.5 13.4995C7.84313 13.4995 6.5 14.8427 6.5 16.4995V17.4995H8.5V16.4995Z"
      }
    }]
  };
  var uncomfortable2Filled = vue.defineComponent({
    name: "Uncomfortable2FilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-uncomfortable-2-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$2U(_objectSpread$2U({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$2S, finalProps.value);
    }
  });

  function ownKeys$2T(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$2T(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$2T(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$2T(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$2R = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M12 3C7.02944 3 3 7.02944 3 12C3 16.9706 7.02944 21 12 21C16.9706 21 21 16.9706 21 12C21 7.02944 16.9706 3 12 3ZM1 12C1 5.92487 5.92487 1 12 1C18.0751 1 23 5.92487 23 12C23 18.0751 18.0751 23 12 23C5.92487 23 1 18.0751 1 12ZM7.61869 7.13816L11 9.04017L11 10.5L7.80001 12.9L6.60001 11.3L8.45917 9.90563L6.63816 8.88131L7.61869 7.13816ZM17.3618 8.88131L15.5408 9.90563L17.4 11.3L16.2 12.9L13 10.5L13 9.04017L16.3813 7.13816L17.3618 8.88131ZM9.5 15.5C8.9477 15.5 8.5 15.9477 8.5 16.5V17.5H6.5V16.5C6.5 14.8431 7.84313 13.5 9.5 13.5C10.2994 13.5 11.0276 13.814 11.5645 14.3233C11.6509 14.4053 11.7207 14.4548 11.7711 14.4813C11.7952 14.4939 11.8093 14.4985 11.815 14.5H12.185C12.1907 14.4985 12.2049 14.4939 12.2289 14.4813C12.2793 14.4548 12.3491 14.4053 12.4355 14.3233C12.9724 13.814 13.7006 13.5 14.5 13.5C16.1569 13.5 17.5 14.8431 17.5 16.5V17.5H15.5V16.5C15.5 15.9477 15.0523 15.5 14.5 15.5C14.2329 15.5 13.9921 15.6034 13.812 15.7743C13.4897 16.08 12.9336 16.5 12.1908 16.5H11.8092C11.0664 16.5 10.5103 16.08 10.188 15.7743C10.0079 15.6034 9.76708 15.5 9.5 15.5ZM12.1821 14.5006C12.1821 14.5006 12.1825 14.5005 12.1832 14.5004L12.1821 14.5006ZM11.8179 14.5006C11.8179 14.5006 11.8176 14.5006 11.8168 14.5004L11.8179 14.5006Z"
      }
    }]
  };
  var uncomfortable2 = vue.defineComponent({
    name: "Uncomfortable2Icon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-uncomfortable-2", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$2T(_objectSpread$2T({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$2R, finalProps.value);
    }
  });

  function ownKeys$2S(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$2S(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$2S(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$2S(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$2Q = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M23 12C23 18.0751 18.0751 23 12 23C5.92487 23 1 18.0751 1 12C1 5.92487 5.92487 1 12 1C18.0751 1 23 5.92487 23 12ZM14.501 15.5C15.0533 15.5 15.501 15.9477 15.501 16.5V17.5H17.501V16.5C17.501 14.8431 16.1578 13.5 14.501 13.5C13.7016 13.5 12.9734 13.814 12.4365 14.3233C12.3501 14.4053 12.2803 14.4548 12.2299 14.4813C12.2058 14.4939 12.1916 14.4985 12.186 14.5H11.816C11.8103 14.4985 11.7961 14.4939 11.7721 14.4813C11.7217 14.4548 11.6519 14.4053 11.5655 14.3233C11.0286 13.814 10.3004 13.5 9.50098 13.5C7.84411 13.5 6.50098 14.8431 6.50098 16.5V17.5H8.50098V16.5C8.50098 15.9477 8.94868 15.5 9.50098 15.5C9.76805 15.5 10.0088 15.6034 10.189 15.7743C10.5113 16.08 11.0674 16.5 11.8102 16.5H12.1917C12.9346 16.5 13.4907 16.08 13.813 15.7743C13.9931 15.6034 14.2339 15.5 14.501 15.5ZM6.76855 11.8658L10.2327 9.86584L9.23266 8.13379L5.76855 10.1338L6.76855 11.8658ZM18.2327 10.1338L14.7686 8.13379L13.7686 9.86584L17.2327 11.8658L18.2327 10.1338Z"
      }
    }]
  };
  var uncomfortableFilled = vue.defineComponent({
    name: "UncomfortableFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-uncomfortable-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$2S(_objectSpread$2S({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$2Q, finalProps.value);
    }
  });

  function ownKeys$2R(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$2R(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$2R(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$2R(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$2P = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M12 3C7.02944 3 3 7.02944 3 12C3 16.9706 7.02944 21 12 21C16.9706 21 21 16.9706 21 12C21 7.02944 16.9706 3 12 3ZM1 12C1 5.92487 5.92487 1 12 1C18.0751 1 23 5.92487 23 12C23 18.0751 18.0751 23 12 23C5.92487 23 1 18.0751 1 12ZM10.2328 9.86603L6.76874 11.866L5.76874 10.134L9.23284 8.13397L10.2328 9.86603ZM14.7687 8.13397L18.2328 10.134L17.2328 11.866L13.7687 9.86603L14.7687 8.13397ZM9.5 15.5C8.9477 15.5 8.5 15.9477 8.5 16.5V17.5H6.5V16.5C6.5 14.8431 7.84313 13.5 9.5 13.5C10.2994 13.5 11.0276 13.814 11.5645 14.3233C11.6509 14.4053 11.7207 14.4548 11.7711 14.4813C11.7952 14.4939 11.8093 14.4985 11.815 14.5H12.185C12.1907 14.4985 12.2049 14.4939 12.2289 14.4813C12.2793 14.4548 12.3491 14.4053 12.4355 14.3233C12.9724 13.814 13.7006 13.5 14.5 13.5C16.1569 13.5 17.5 14.8431 17.5 16.5V17.5H15.5V16.5C15.5 15.9477 15.0523 15.5 14.5 15.5C14.2329 15.5 13.9921 15.6034 13.812 15.7743C13.4897 16.08 12.9336 16.5 12.1908 16.5H11.8092C11.0664 16.5 10.5103 16.08 10.188 15.7743C10.0079 15.6034 9.76708 15.5 9.5 15.5ZM12.1821 14.5006C12.1821 14.5006 12.1825 14.5005 12.1832 14.5004L12.1821 14.5006ZM11.8179 14.5006C11.8179 14.5006 11.8176 14.5006 11.8168 14.5004L11.8179 14.5006Z"
      }
    }]
  };
  var uncomfortable = vue.defineComponent({
    name: "UncomfortableIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-uncomfortable", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$2R(_objectSpread$2R({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$2P, finalProps.value);
    }
  });

  function ownKeys$2Q(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$2Q(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$2Q(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$2Q(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$2O = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M21.5 2H7.5V9.84233C7.80877 9.78054 8.12366 9.74947 8.44006 9.75001H13.125C14.2853 9.75001 15.3981 10.2109 16.2186 11.0314C16.6621 11.4749 17.0006 12.0039 17.218 12.5796L19.1823 12.1278C19.7653 11.9779 20.3747 11.9595 20.9662 12.0743C21.1477 12.1096 21.326 12.1571 21.5 12.2163V2ZM12.5 4H16.5V8L14.5 6.5L12.5 8V4Z"
      }
    }, {
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M19.5394 13.5848L15.9866 14.402C15.9955 14.3103 16 14.2179 16 14.125C16 13.3625 15.6971 12.6312 15.1579 12.0921C14.6188 11.5529 13.8875 11.25 13.125 11.25H8.43868C8.01192 11.2491 7.58917 11.3323 7.19455 11.4948C6.79953 11.6574 6.44046 11.8964 6.13787 12.1979L4.08579 14.25H0V21.5H11.3731L17.5695 19.9509L21.3093 18.3556L21.336 18.3422C21.761 18.13 22.1185 17.8036 22.3682 17.3996C22.618 16.9956 22.7502 16.5292 22.75 16.0542C22.7495 15.6609 22.6584 15.2731 22.4837 14.9209C22.309 14.5686 22.0554 14.2614 21.7426 14.0231C21.4298 13.7848 21.0663 13.6218 20.6803 13.5468C20.3019 13.4734 19.9119 13.4864 19.5394 13.5848ZM7.95605 13.3442C8.10798 13.2816 8.27075 13.2496 8.43505 13.25L13.125 13.25C13.3571 13.25 13.5796 13.3422 13.7437 13.5063C13.9078 13.6704 14 13.8929 14 14.125C14 14.3571 13.9078 14.5796 13.7437 14.7437C13.5796 14.9078 13.3571 15 13.125 15H10V17L13.6135 17L20.0256 15.5252L20.0455 15.5198C20.1282 15.4971 20.2149 15.4938 20.299 15.5102C20.3831 15.5265 20.4623 15.562 20.5305 15.6139C20.5986 15.6659 20.6539 15.7328 20.692 15.8096C20.73 15.8863 20.7499 15.9708 20.75 16.0565C20.7499 16.1594 20.7212 16.2604 20.667 16.348C20.6167 16.4294 20.5462 16.4963 20.4625 16.5424L16.9305 18.0491L11.1269 19.5H5.5V15.6642L7.55011 13.6141C7.66639 13.4984 7.80432 13.4066 7.95605 13.3442ZM2 16.25H3.5V19.5H2V16.25Z"
      }
    }]
  };
  var undertakeDeliveryFilled = vue.defineComponent({
    name: "UndertakeDeliveryFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-undertake-delivery-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$2Q(_objectSpread$2Q({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$2O, finalProps.value);
    }
  });

  function ownKeys$2P(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$2P(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$2P(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$2P(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$2N = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M7.5 2H21.5V11.5H19.5V4H17.5V9.61803L14.5 8.11803L11.5 9.61803V4H9.5V9.5H7.5V2ZM13.5 4V6.38197L14.5 5.88197L15.5 6.38197V4H13.5ZM8.43505 13.25C8.27075 13.2496 8.10798 13.2816 7.95605 13.3442C7.80432 13.4066 7.66639 13.4984 7.55011 13.6141C7.54995 13.6143 7.55027 13.614 7.55011 13.6141L5.5 15.6642V19.5H11.1269L16.9305 18.0491L20.4625 16.5424C20.5462 16.4963 20.6167 16.4294 20.667 16.348C20.7212 16.2604 20.7499 16.1594 20.75 16.0565C20.7499 15.9708 20.73 15.8863 20.692 15.8096C20.6539 15.7328 20.5986 15.6659 20.5305 15.6139C20.4623 15.562 20.3831 15.5265 20.299 15.5102C20.2149 15.4938 20.1282 15.4971 20.0455 15.5198L20.0256 15.5252L13.6135 17L13.1251 17C13.1251 17 13.1251 17 13.1251 17L12.1251 17L10 17V15H13.125C13.3571 15 13.5796 14.9078 13.7437 14.7437C13.9078 14.5796 14 14.3571 14 14.125C14 13.8929 13.9078 13.6704 13.7437 13.5063C13.5796 13.3422 13.3571 13.25 13.125 13.25H8.4375L8.43505 13.25ZM15.9866 14.402L19.5394 13.5848C19.9119 13.4864 20.3019 13.4734 20.6803 13.5468C21.0663 13.6218 21.4298 13.7848 21.7426 14.0231C22.0554 14.2614 22.309 14.5686 22.4837 14.9209C22.6584 15.2731 22.7495 15.6609 22.75 16.0542C22.7502 16.5292 22.618 16.9956 22.3682 17.3996C22.1185 17.8036 21.761 18.13 21.336 18.3422L21.3093 18.3556L17.5695 19.9509L11.3731 21.5H0V14.25H4.08579L6.13787 12.1979C6.44046 11.8964 6.79953 11.6574 7.19455 11.4948C7.58917 11.3323 8.01192 11.2491 8.43868 11.25C8.43911 11.25 8.43953 11.25 8.43995 11.25L8.4375 11.25H8.43868H13.125C13.8875 11.25 14.6188 11.5529 15.1579 12.0921C15.6971 12.6312 16 13.3625 16 14.125C16 14.2179 15.9955 14.3103 15.9866 14.402ZM3.5 16.25H2V19.5H3.5V16.25Z"
      }
    }]
  };
  var undertakeDelivery = vue.defineComponent({
    name: "UndertakeDeliveryIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-undertake-delivery", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$2P(_objectSpread$2P({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$2N, finalProps.value);
    }
  });

  function ownKeys$2O(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$2O(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$2O(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$2O(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$2M = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M17 0.570801C16.712 0.865134 16.4177 1.15434 16.1377 1.45642C16.0488 1.55233 15.9239 1.69006 15.7749 1.8623C15.4779 2.20568 15.0805 2.69188 14.6811 3.26193C13.9214 4.34607 13 5.94519 13 7.49985C13 9.70899 14.7909 11.4999 17 11.4999C19.2091 11.4999 21 9.709 21 7.49986C21 5.94532 20.0786 4.3462 19.319 3.26205C18.9195 2.69199 18.5221 2.20577 18.2251 1.86237C18.0762 1.69011 17.9512 1.55238 17.8623 1.45646C17.5824 1.15437 17.2881 0.865148 17 0.570801ZM8.43505 13.2499C8.27075 13.2495 8.10797 13.2814 7.95605 13.344C7.80437 13.4065 7.66647 13.4982 7.55021 13.6139L5.5 15.6641V19.4999H11.1269L16.9306 18.0489L20.4625 16.5423C20.5462 16.4962 20.6167 16.4293 20.667 16.3478C20.7212 16.2602 20.7499 16.1593 20.75 16.0563C20.7499 15.9707 20.73 15.8862 20.692 15.8094C20.6539 15.7327 20.5986 15.6657 20.5305 15.6138C20.4623 15.5619 20.3831 15.5264 20.299 15.51C20.2149 15.4937 20.1282 15.497 20.0455 15.5196L20.0256 15.5251L13.6135 16.9999L10 16.9999V14.9999H13.125C13.3571 14.9998 13.5796 14.9077 13.7437 14.7436C13.9078 14.5795 14 14.3569 14 14.1249C14 13.8928 13.9078 13.6702 13.7437 13.5061C13.5796 13.342 13.3571 13.2499 13.125 13.2499H8.4375L8.43505 13.2499ZM15.9866 14.4018L19.5394 13.5847C19.9119 13.4862 20.3019 13.4732 20.6803 13.5467C21.0663 13.6217 21.4298 13.7846 21.7426 14.0229C22.0554 14.2612 22.309 14.5685 22.4837 14.9207C22.6584 15.273 22.7495 15.6608 22.75 16.054C22.7502 16.529 22.618 16.9954 22.3682 17.3995C22.1185 17.8035 21.761 18.1299 21.336 18.3421L21.3093 18.3554L17.5695 19.9508L11.3731 21.4999H0V14.2499H4.08579L6.13787 12.1978C6.44046 11.8962 6.79953 11.6573 7.19455 11.4947C7.58917 11.3322 8.01193 11.249 8.43868 11.2499L8.43995 11.2499L8.4375 11.2499H8.43868H13.125C13.8875 11.2499 14.6188 11.5528 15.1579 12.0919C15.6971 12.6311 16 13.3624 16 14.1249C16 14.2177 15.9955 14.3102 15.9866 14.4018ZM3.5 16.2499H2V19.4999H3.5V16.2499Z"
      }
    }]
  };
  var undertakeEnvironmentProtectionFilled = vue.defineComponent({
    name: "UndertakeEnvironmentProtectionFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-undertake-environment-protection-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$2O(_objectSpread$2O({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$2M, finalProps.value);
    }
  });

  function ownKeys$2N(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$2N(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$2N(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$2N(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$2L = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M17 3.51271C17.21 3.76962 17.446 4.07429 17.681 4.40975C18.4214 5.4663 19 6.61717 19 7.49986C19 8.60442 18.1046 9.49985 17 9.49985C15.8954 9.49985 15 8.60442 15 7.49985C15 6.61702 15.5786 5.46614 16.319 4.40966C16.554 4.07423 16.79 3.76959 17 3.51271ZM17 0.570801L16.2856 1.30008L16.284 1.30175L16.2813 1.30456L16.2726 1.3135L16.2429 1.34447C16.2177 1.37081 16.1822 1.40843 16.1377 1.45642C16.0488 1.55233 15.9239 1.69006 15.7749 1.8623C15.4779 2.20568 15.0805 2.69188 14.6811 3.26193C13.9214 4.34607 13 5.94519 13 7.49985C13 9.70899 14.7909 11.4999 17 11.4999C19.2091 11.4999 21 9.70899 21 7.49986C21 5.94532 20.0786 4.3462 19.319 3.26205C18.9195 2.69199 18.5221 2.20577 18.2251 1.86237C18.0762 1.69011 17.9512 1.55238 17.8623 1.45646C17.8179 1.40847 17.7823 1.37085 17.7572 1.34451L17.7274 1.31354L17.7188 1.30459L17.716 1.30179L17.7144 1.30011L17 0.570801ZM8.43505 13.2499C8.27075 13.2495 8.10798 13.2814 7.95605 13.344C7.80437 13.4065 7.66647 13.4982 7.55021 13.6139L5.5 15.6641V19.4999H11.1269L16.9306 18.0489L20.4625 16.5423C20.5462 16.4962 20.6167 16.4293 20.667 16.3478C20.7212 16.2602 20.7499 16.1593 20.75 16.0563C20.7499 15.9707 20.73 15.8862 20.692 15.8094C20.6539 15.7326 20.5986 15.6657 20.5305 15.6138C20.4623 15.5619 20.3831 15.5264 20.299 15.51C20.2149 15.4937 20.1282 15.497 20.0455 15.5196L20.0256 15.5251L13.6135 16.9999L13.1251 16.9999L12.1251 16.9999L10 16.9999V14.9999H13.125C13.3571 14.9998 13.5796 14.9077 13.7437 14.7436C13.9078 14.5795 14 14.3569 14 14.1249C14 13.8928 13.9078 13.6702 13.7437 13.5061C13.5796 13.342 13.3571 13.2499 13.125 13.2499H8.4375L8.43505 13.2499ZM15.9866 14.4018L19.5394 13.5847C19.9119 13.4862 20.3019 13.4732 20.6803 13.5467C21.0663 13.6216 21.4298 13.7846 21.7426 14.0229C22.0554 14.2612 22.309 14.5685 22.4837 14.9207C22.6584 15.273 22.7495 15.6608 22.75 16.054C22.7502 16.529 22.618 16.9954 22.3682 17.3995C22.1185 17.8035 21.761 18.1299 21.336 18.3421L21.3093 18.3554L17.5695 19.9508L11.3731 21.4999H0V14.2499H4.08579L6.13787 12.1978C6.44046 11.8962 6.79953 11.6573 7.19455 11.4947C7.58917 11.3322 8.01192 11.249 8.43868 11.2499L8.43995 11.2499L8.4375 11.2499H8.43868H13.125C13.8875 11.2499 14.6188 11.5528 15.1579 12.0919C15.6971 12.6311 16 13.3624 16 14.1249C16 14.2177 15.9955 14.3102 15.9866 14.4018ZM3.5 16.2499H2V19.4999H3.5V16.2499Z"
      }
    }]
  };
  var undertakeEnvironmentProtection = vue.defineComponent({
    name: "UndertakeEnvironmentProtectionIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-undertake-environment-protection", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$2N(_objectSpread$2N({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$2L, finalProps.value);
    }
  });

  function ownKeys$2M(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$2M(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$2M(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$2M(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$2K = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M8.86139 8.77735C8.68013 8.7769 8.50057 8.8122 8.33296 8.88121C8.16561 8.95012 8.01347 9.05129 7.8852 9.17896L5.70063 11.3635V15.5003H11.7145L17.862 13.9634L21.6033 12.3674C21.7015 12.3139 21.7842 12.2357 21.8432 12.1403C21.9062 12.0384 21.9395 11.921 21.9395 11.8012C21.9392 11.7021 21.9162 11.6043 21.8721 11.5155C21.828 11.4264 21.7639 11.3488 21.6848 11.2885C21.6057 11.2283 21.5138 11.1871 21.4162 11.1681C21.3187 11.1492 21.218 11.153 21.1221 11.1793L21.1022 11.1847L14.3301 12.7423L13.8201 12.7423H10.5732V10.7423H13.82C14.0806 10.7423 14.3305 10.6388 14.5148 10.4546C14.699 10.2703 14.8025 10.0204 14.8025 9.75983C14.8025 9.49926 14.699 9.24936 14.5148 9.06511C14.3305 8.88086 14.0806 8.77735 13.82 8.77735H8.86384L8.86139 8.77735ZM16.7799 10.1266L20.6159 9.24435C21.0016 9.14226 21.4056 9.12869 21.7975 9.20479C22.197 9.28237 22.5732 9.45102 22.8969 9.69764C23.2206 9.94427 23.483 10.2622 23.6638 10.6268C23.8447 10.9913 23.939 11.3927 23.9395 11.7996C23.9397 12.2912 23.8028 12.7739 23.5444 13.192C23.2859 13.6101 22.916 13.9479 22.4762 14.1675L22.4494 14.1809L18.5009 15.8652L11.9607 17.5003H0V9.94932H4.28642L6.47285 7.76289C6.78745 7.44938 7.16077 7.20096 7.57146 7.03185C7.98174 6.86292 8.42128 6.77644 8.86497 6.77735L8.86629 6.77735L8.86384 6.77735H8.86497H13.82C14.611 6.77735 15.3696 7.09158 15.929 7.6509C16.4883 8.21022 16.8025 8.96883 16.8025 9.75983C16.8025 9.88309 16.7949 10.0056 16.7799 10.1266Z"
      }
    }]
  };
  var undertakeFilled = vue.defineComponent({
    name: "UndertakeFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-undertake-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$2M(_objectSpread$2M({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$2K, finalProps.value);
    }
  });

  function ownKeys$2L(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$2L(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$2L(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$2L(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$2J = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M20.5571 13.526C20.5983 13.532 20.6394 13.5389 20.6803 13.5468C21.0663 13.6218 21.4298 13.7848 21.7426 14.0231C22.0554 14.2614 22.309 14.5686 22.4837 14.9209C22.6584 15.2731 22.7495 15.6609 22.75 16.0542C22.7502 16.5292 22.618 16.9956 22.3682 17.3996C22.1185 17.8036 21.761 18.13 21.336 18.3422L21.3093 18.3556L17.5694 19.9509L11.3731 21.5H0V14.25H4.08579L6.13787 12.1979C6.44046 11.8964 6.79953 11.6574 7.19454 11.4948C7.25866 11.4684 7.32353 11.4441 7.38903 11.4219C5.70857 9.31876 5.84244 6.24326 7.79065 4.29505C9.7651 2.3206 12.8974 2.20968 15.0019 3.96231C17.1065 2.21099 20.2377 2.32233 22.2117 4.2963C24.3037 6.38827 24.3037 9.78001 22.2117 11.872L20.5571 13.526ZM3.5 16.25H2V19.5H3.5V16.25ZM5.5 19.5H11.1269L16.9306 18.0491L20.4625 16.5424C20.5462 16.4963 20.6167 16.4294 20.667 16.348C20.7212 16.2604 20.7499 16.1595 20.75 16.0565C20.7499 15.9708 20.73 15.8863 20.692 15.8096C20.6539 15.7328 20.5986 15.6659 20.5305 15.6139C20.4623 15.562 20.3831 15.5265 20.299 15.5102C20.2149 15.4938 20.1282 15.4971 20.0455 15.5198L20.0256 15.5252L13.6135 17L13.1251 17H10V15H13.125C13.1561 15 13.1869 14.9984 13.2174 14.9951C13.4155 14.9741 13.6016 14.8859 13.7437 14.7437C13.9078 14.5796 14 14.3571 14 14.125C14 13.8929 13.9078 13.6704 13.7437 13.5063C13.5796 13.3422 13.3571 13.25 13.125 13.25H8.4375L8.43505 13.25C8.27074 13.2496 8.10797 13.2816 7.95605 13.3442C7.80432 13.4066 7.66639 13.4984 7.55011 13.6141L5.5 15.6642V19.5Z"
      }
    }]
  };
  var undertakeHoldUpFilled = vue.defineComponent({
    name: "UndertakeHoldUpFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-undertake-hold-up-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$2L(_objectSpread$2L({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$2J, finalProps.value);
    }
  });

  function ownKeys$2K(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$2K(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$2K(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$2K(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$2I = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M13.9521 5.70926C12.6412 4.39835 10.5158 4.39835 9.20487 5.70926C7.89395 7.02018 7.89395 9.14559 9.20487 10.4565L9.99782 11.25H13.125C13.8875 11.25 14.6188 11.5529 15.1579 12.0921C15.6971 12.6312 16 13.3625 16 14.125C16 14.2179 15.9955 14.3103 15.9866 14.402L17.1107 14.1434L20.7975 10.4578C22.1084 9.14685 22.1084 7.02143 20.7975 5.71052C19.4866 4.3996 17.3612 4.3996 16.0503 5.71052L15.0009 6.75806L13.9521 5.70926ZM20.5571 13.526C20.5983 13.532 20.6394 13.5389 20.6803 13.5468C21.0663 13.6218 21.4298 13.7848 21.7426 14.0231C22.0554 14.2614 22.309 14.5686 22.4837 14.9209C22.6584 15.2731 22.7495 15.6609 22.75 16.0542C22.7502 16.5292 22.618 16.9956 22.3682 17.3996C22.1185 17.8036 21.761 18.13 21.336 18.3422L21.3093 18.3556L17.5695 19.9509L11.3731 21.5H0V14.25H4.08579L6.13787 12.1979C6.44046 11.8964 6.79953 11.6574 7.19454 11.4948C7.25867 11.4684 7.32353 11.4441 7.38903 11.4219C5.70857 9.31876 5.84244 6.24326 7.79065 4.29505C9.76511 2.3206 12.8974 2.20968 15.0019 3.96231C17.1065 2.21099 20.2377 2.32233 22.2117 4.2963C24.3037 6.38827 24.3037 9.78001 22.2117 11.872L20.5571 13.526ZM3.5 16.25H2V19.5H3.5V16.25ZM5.5 19.5H11.1269L16.9306 18.0491L20.4625 16.5424C20.5462 16.4963 20.6167 16.4294 20.667 16.348C20.7212 16.2604 20.7499 16.1595 20.75 16.0565C20.7499 15.9708 20.73 15.8863 20.692 15.8096C20.6539 15.7328 20.5986 15.6659 20.5305 15.6139C20.4623 15.562 20.3831 15.5265 20.299 15.5102C20.2149 15.4938 20.1282 15.4971 20.0455 15.5198L20.0256 15.5252L13.6135 17L13.1251 17C13.1251 17 13.1251 17 13.1251 17H10V15H13.125C13.1561 15 13.1869 14.9984 13.2174 14.9951C13.4155 14.9741 13.6016 14.8859 13.7437 14.7437C13.9078 14.5796 14 14.3571 14 14.125C14 13.8929 13.9078 13.6704 13.7437 13.5063C13.5796 13.3422 13.3571 13.25 13.125 13.25H8.4375L8.43505 13.25C8.27074 13.2496 8.10797 13.2816 7.95605 13.3442C7.80432 13.4066 7.66639 13.4984 7.55011 13.6141C7.54995 13.6143 7.55027 13.614 7.55011 13.6141L5.5 15.6642V19.5Z"
      }
    }]
  };
  var undertakeHoldUp = vue.defineComponent({
    name: "UndertakeHoldUpIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-undertake-hold-up", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$2K(_objectSpread$2K({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$2I, finalProps.value);
    }
  });

  function ownKeys$2J(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$2J(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$2J(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$2J(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$2H = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M10 5.5C10 3.01472 12.0147 1 14.5 1C15.2173 1 15.897 1.16848 16.5 1.46802C17.103 1.16848 17.7827 1 18.5 1C20.9853 1 23 3.01472 23 5.5C23 7.98528 20.9853 10 18.5 10C17.7827 10 17.103 9.83152 16.5 9.53198C15.897 9.83152 15.2173 10 14.5 10C12.0147 10 10 7.98528 10 5.5ZM18.2502 7.98774C18.3323 7.99585 18.4156 8 18.5 8C19.8807 8 21 6.88071 21 5.5C21 4.11929 19.8807 3 18.5 3C18.4156 3 18.3323 3.00415 18.2502 3.01226C18.7236 3.72454 19 4.57996 19 5.5C19 6.42004 18.7236 7.27546 18.2502 7.98774ZM8.43505 13.25C8.27075 13.2496 8.10797 13.2816 7.95605 13.3442C7.80432 13.4066 7.66639 13.4984 7.55011 13.6141L5.5 15.6642V19.5H11.1269L16.9305 18.0491L20.4625 16.5424C20.5462 16.4963 20.6167 16.4294 20.667 16.348C20.7212 16.2604 20.7499 16.1594 20.75 16.0565C20.7499 15.9708 20.73 15.8863 20.692 15.8096C20.6539 15.7328 20.5986 15.6659 20.5305 15.6139C20.4623 15.562 20.3831 15.5265 20.299 15.5102C20.2149 15.4938 20.1282 15.4971 20.0455 15.5198L20.0256 15.5252L13.6135 17L13.1251 17H10V15H13.125C13.3571 15 13.5796 14.9078 13.7437 14.7437C13.9078 14.5796 14 14.3571 14 14.125C14 13.8929 13.9078 13.6704 13.7437 13.5063C13.5796 13.3422 13.3571 13.25 13.125 13.25L8.43505 13.25ZM15.9866 14.402L19.5394 13.5848C19.9119 13.4864 20.3019 13.4734 20.6803 13.5468C21.0663 13.6218 21.4298 13.7848 21.7426 14.0231C22.0554 14.2614 22.309 14.5686 22.4837 14.9209C22.6584 15.2731 22.7495 15.6609 22.75 16.0542C22.7502 16.5292 22.618 16.9956 22.3682 17.3996C22.1185 17.8036 21.761 18.13 21.336 18.3422L21.3093 18.3556L17.5695 19.9509L11.3731 21.5H0V14.25H4.08579L6.13787 12.1979C6.44046 11.8964 6.79953 11.6574 7.19455 11.4948C7.58917 11.3323 8.01193 11.2491 8.43868 11.25H13.125C13.8875 11.25 14.6188 11.5529 15.1579 12.0921C15.6971 12.6312 16 13.3625 16 14.125C16 14.2179 15.9955 14.3103 15.9866 14.402ZM3.5 16.25H2V19.5H3.5V16.25Z"
      }
    }]
  };
  var undertakeTransactionFilled = vue.defineComponent({
    name: "UndertakeTransactionFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-undertake-transaction-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$2J(_objectSpread$2J({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$2H, finalProps.value);
    }
  });

  function ownKeys$2I(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$2I(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$2I(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$2I(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$2G = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M14.5 3C13.1193 3 12 4.11929 12 5.5C12 6.88071 13.1193 8 14.5 8C15.0325 8 15.5234 7.83465 15.9279 7.55247C16.578 7.099 17 6.3487 17 5.5C17 4.6513 16.578 3.901 15.9279 3.44753C15.5234 3.16535 15.0325 3 14.5 3ZM10 5.5C10 3.01472 12.0147 1 14.5 1C15.2173 1 15.897 1.16848 16.5 1.46802C17.103 1.16848 17.7827 1 18.5 1C20.9853 1 23 3.01472 23 5.5C23 7.98528 20.9853 10 18.5 10C17.7827 10 17.103 9.83152 16.5 9.53198C15.897 9.83152 15.2173 10 14.5 10C12.0147 10 10 7.98528 10 5.5ZM18.2502 7.98774C18.3323 7.99585 18.4156 8 18.5 8C19.8807 8 21 6.88071 21 5.5C21 4.11929 19.8807 3 18.5 3C18.4156 3 18.3323 3.00415 18.2502 3.01226C18.7236 3.72454 19 4.57996 19 5.5C19 6.42004 18.7236 7.27546 18.2502 7.98774ZM8.43505 13.25C8.27075 13.2496 8.10798 13.2816 7.95605 13.3442C7.80432 13.4066 7.66639 13.4984 7.55011 13.6141L5.5 15.6642V19.5H11.1269L16.9305 18.0491L20.4625 16.5424C20.5462 16.4963 20.6167 16.4294 20.667 16.348C20.7212 16.2604 20.7499 16.1594 20.75 16.0565C20.7499 15.9708 20.73 15.8863 20.692 15.8096C20.6539 15.7328 20.5986 15.6659 20.5305 15.6139C20.4623 15.562 20.3831 15.5265 20.299 15.5102C20.2149 15.4938 20.1282 15.4971 20.0455 15.5198L20.0256 15.5252L13.6135 17L13.1251 17L12.1251 17L10 17V15H13.125C13.3571 15 13.5796 14.9078 13.7437 14.7437C13.9078 14.5796 14 14.3571 14 14.125C14 13.8929 13.9078 13.6704 13.7437 13.5063C13.5796 13.3422 13.3571 13.25 13.125 13.25H8.4375L8.43505 13.25ZM15.9866 14.402L19.5394 13.5848C19.9119 13.4864 20.3019 13.4734 20.6803 13.5468C21.0663 13.6218 21.4298 13.7848 21.7426 14.0231C22.0554 14.2614 22.309 14.5686 22.4837 14.9209C22.6584 15.2731 22.7495 15.6609 22.75 16.0542C22.7502 16.5292 22.618 16.9956 22.3682 17.3996C22.1185 17.8036 21.761 18.13 21.336 18.3422L21.3093 18.3556L17.5695 19.9509L11.3731 21.5H0V14.25H4.08579L6.13787 12.1979C6.44046 11.8964 6.79953 11.6574 7.19455 11.4948C7.58917 11.3323 8.01192 11.2491 8.43868 11.25L8.43995 11.25L8.4375 11.25H8.43868H13.125C13.8875 11.25 14.6188 11.5529 15.1579 12.0921C15.6971 12.6312 16 13.3625 16 14.125C16 14.2179 15.9955 14.3103 15.9866 14.402ZM3.5 16.25H2V19.5H3.5V16.25Z"
      }
    }]
  };
  var undertakeTransaction = vue.defineComponent({
    name: "UndertakeTransactionIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-undertake-transaction", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$2I(_objectSpread$2I({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$2G, finalProps.value);
    }
  });

  function ownKeys$2H(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$2H(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$2H(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$2H(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$2F = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M8.86139 8.77735C8.68013 8.7769 8.50057 8.8122 8.33296 8.88121C8.16561 8.95012 8.01347 9.05129 7.8852 9.17896L5.70063 11.3635V15.5003H11.7145L17.862 13.9634L21.6033 12.3674C21.7015 12.3139 21.7842 12.2357 21.8432 12.1403C21.9062 12.0384 21.9395 11.921 21.9395 11.8012C21.9392 11.7021 21.9162 11.6043 21.8721 11.5155C21.828 11.4264 21.7639 11.3488 21.6848 11.2885C21.6057 11.2283 21.5138 11.1871 21.4162 11.1681C21.3187 11.1492 21.218 11.153 21.1221 11.1793L21.1022 11.1847L14.3301 12.7423L13.8201 12.7423H10.5732V10.7423H13.82C14.0806 10.7423 14.3305 10.6388 14.5148 10.4546C14.699 10.2703 14.8025 10.0204 14.8025 9.75983C14.8025 9.49926 14.699 9.24936 14.5148 9.06511C14.3305 8.88086 14.0806 8.77735 13.82 8.77735H8.86384L8.86139 8.77735ZM16.7799 10.1266L20.6159 9.24435C21.0016 9.14226 21.4056 9.12869 21.7975 9.20479C22.197 9.28237 22.5732 9.45102 22.8969 9.69764C23.2206 9.94427 23.483 10.2622 23.6638 10.6268C23.8447 10.9913 23.939 11.3927 23.9395 11.7996C23.9397 12.2912 23.8028 12.7739 23.5444 13.192C23.2859 13.6101 22.916 13.9479 22.4762 14.1675L22.4494 14.1809L18.5009 15.8652L11.9607 17.5003H0V9.94932H4.28642L6.47285 7.76289C6.78745 7.44938 7.16077 7.20096 7.57146 7.03185C7.98174 6.86292 8.42128 6.77644 8.86497 6.77735L8.86629 6.77735L8.86384 6.77735H8.86497H13.82C14.611 6.77735 15.3696 7.09158 15.929 7.6509C16.4883 8.21022 16.8025 8.96883 16.8025 9.75983C16.8025 9.88309 16.7949 10.0056 16.7799 10.1266ZM3.70063 11.9493H2V15.5003H3.70063V11.9493Z"
      }
    }]
  };
  var undertake = vue.defineComponent({
    name: "UndertakeIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-undertake", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$2H(_objectSpread$2H({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$2F, finalProps.value);
    }
  });

  function ownKeys$2G(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$2G(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$2G(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$2G(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$2E = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M8.00015 3.58569L12.0002 7.58569L16.0002 3.58569L17.4144 4.99991L12.0002 10.4141L6.58594 4.99991L8.00015 3.58569ZM12.0002 13.5857L17.4144 18.9999L16.0002 20.4141L12.0002 16.4141L8.00015 20.4141L6.58594 18.9999L12.0002 13.5857Z"
      }
    }]
  };
  var unfoldLess = vue.defineComponent({
    name: "UnfoldLessIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-unfold-less", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$2G(_objectSpread$2G({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$2E, finalProps.value);
    }
  });

  function ownKeys$2F(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$2F(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$2F(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$2F(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$2D = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M12.0002 3.58569L17.4144 8.99991L16.0002 10.4141L12.0002 6.41412L8.00015 10.4141L6.58594 8.99991L12.0002 3.58569ZM8.00015 13.5857L12.0002 17.5857L16.0002 13.5857L17.4144 14.9999L12.0002 20.4141L6.58594 14.9999L8.00015 13.5857Z"
      }
    }]
  };
  var unfoldMore = vue.defineComponent({
    name: "UnfoldMoreIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-unfold-more", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$2F(_objectSpread$2F({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$2D, finalProps.value);
    }
  });

  function ownKeys$2E(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$2E(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$2E(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$2E(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$2C = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M12 23C5.92487 23 1 18.0751 1 12C1 5.92487 5.92487 1 12 1C18.0751 1 23 5.92487 23 12C23 18.0751 18.0751 23 12 23ZM10 9H6V11H10V9ZM18 9H14V11H18V9ZM12 13C10.1481 13 8.53256 14.0074 7.66955 15.4993L7.16882 16.3649L8.90004 17.3663L9.40076 16.5007C9.92099 15.6014 10.8909 15 12 15C13.1092 15 14.0791 15.6014 14.5993 16.5007L15.1 17.3663L16.8312 16.3649L16.3305 15.4993C15.4675 14.0074 13.852 13 12 13Z"
      }
    }]
  };
  var unhappy1Filled = vue.defineComponent({
    name: "Unhappy1FilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-unhappy-1-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$2E(_objectSpread$2E({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$2C, finalProps.value);
    }
  });

  function ownKeys$2D(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$2D(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$2D(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$2D(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$2B = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M12 3C7.02944 3 3 7.02944 3 12C3 16.9706 7.02944 21 12 21C16.9706 21 21 16.9706 21 12C21 7.02944 16.9706 3 12 3ZM1 12C1 5.92487 5.92487 1 12 1C18.0751 1 23 5.92487 23 12C23 18.0751 18.0751 23 12 23C5.92487 23 1 18.0751 1 12ZM6 9H10V11H6V9ZM14 9H18V11H14V9ZM7.66955 15.4993C8.53256 14.0074 10.1481 13 12 13C13.852 13 15.4675 14.0074 16.3305 15.4993L16.8312 16.3649L15.1 17.3663L14.5993 16.5007C14.0791 15.6014 13.1092 15 12 15C10.8909 15 9.92099 15.6014 9.40076 16.5007L8.90004 17.3663L7.16882 16.3649L7.66955 15.4993Z"
      }
    }]
  };
  var unhappy1 = vue.defineComponent({
    name: "Unhappy1Icon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-unhappy-1", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$2D(_objectSpread$2D({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$2B, finalProps.value);
    }
  });

  function ownKeys$2C(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$2C(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$2C(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$2C(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$2A = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M12 23C5.92487 23 1 18.0751 1 12C1 5.92487 5.92487 1 12 1C18.0751 1 23 5.92487 23 12C23 18.0751 18.0751 23 12 23ZM9 12V8H7V12H9ZM17 12V8H15V12H17ZM12 13C10.1481 13 8.53256 14.0074 7.66955 15.4993L7.16882 16.3649L8.90004 17.3663L9.40076 16.5007C9.92099 15.6014 10.8909 15 12 15C13.1092 15 14.0791 15.6014 14.5993 16.5007L15.1 17.3663L16.8312 16.3649L16.3305 15.4993C15.4675 14.0074 13.852 13 12 13Z"
      }
    }]
  };
  var unhappyFilled = vue.defineComponent({
    name: "UnhappyFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-unhappy-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$2C(_objectSpread$2C({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$2A, finalProps.value);
    }
  });

  function ownKeys$2B(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$2B(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$2B(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$2B(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$2z = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M12 3C7.02944 3 3 7.02944 3 12C3 16.9706 7.02944 21 12 21C16.9706 21 21 16.9706 21 12C21 7.02944 16.9706 3 12 3ZM1 12C1 5.92487 5.92487 1 12 1C18.0751 1 23 5.92487 23 12C23 18.0751 18.0751 23 12 23C5.92487 23 1 18.0751 1 12ZM9 8V12H7V8H9ZM17 8V12H15V8H17ZM7.66955 15.4993C8.53256 14.0074 10.1481 13 12 13C13.852 13 15.4675 14.0074 16.3305 15.4993L16.8312 16.3649L15.1 17.3663L14.5993 16.5007C14.0791 15.6014 13.1092 15 12 15C10.8909 15 9.92099 15.6014 9.40076 16.5007L8.90004 17.3663L7.16882 16.3649L7.66955 15.4993Z"
      }
    }]
  };
  var unhappy = vue.defineComponent({
    name: "UnhappyIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-unhappy", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$2B(_objectSpread$2B({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$2z, finalProps.value);
    }
  });

  function ownKeys$2A(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$2A(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$2A(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$2A(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$2y = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M16.9142 6.45208L12 1.59375L7.08581 6.45207L8.49191 7.87435L11 5.39477V12.504H13V5.39478L15.5081 7.87435L16.9142 6.45208Z"
      }
    }, {
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M7.5 2.00003H2V22H22V2.00003H16.5V4.00003H20V14H4V4.00003H7.5V2.00003ZM8.00195 16.998V19.002H5.99805V16.998H8.00195ZM11.002 16.998V19.002H8.99805V16.998H11.002Z"
      }
    }]
  };
  var uninstallFilled = vue.defineComponent({
    name: "UninstallFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-uninstall-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$2A(_objectSpread$2A({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$2y, finalProps.value);
    }
  });

  function ownKeys$2z(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$2z(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$2z(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$2z(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$2x = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M12 1.59375L16.9142 6.45208L15.5081 7.87435L13 5.39478V12.504H11V5.39477L8.49191 7.87435L7.08581 6.45207L12 1.59375ZM2 2.00003H7.5V4.00003H4V14H20V4.00003H16.5V2.00003H22V22H2V2.00003ZM20 16H4V20H20V16ZM5.99805 16.9981H8.00195V19.002H5.99805V16.9981ZM8.99805 16.9981H11.002V19.002H8.99805V16.9981Z"
      }
    }]
  };
  var uninstall = vue.defineComponent({
    name: "UninstallIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-uninstall", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$2z(_objectSpread$2z({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$2x, finalProps.value);
    }
  });

  function ownKeys$2y(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$2y(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$2y(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$2y(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$2w = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M12 2.58569L18.4142 8.99991L17 10.4141L13 6.41412L13 15.9999H11L11 6.41412L7 10.4141L5.58579 8.99991L12 2.58569ZM3 17.9999H21V19.9999H3V17.9999Z"
      }
    }]
  };
  var upload1 = vue.defineComponent({
    name: "Upload1Icon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-upload-1", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$2y(_objectSpread$2y({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$2w, finalProps.value);
    }
  });

  function ownKeys$2x(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$2x(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$2x(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$2x(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$2v = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M12 2.58569L17.9142 8.49991L16.5 9.91412L13 6.41412L13 15.9999H11L11 6.41412L7.5 9.91412L6.08579 8.49991L12 2.58569ZM4.5 13.9999V18.9999H19.5V13.9999H21.5V20.9999H2.5V13.9999H4.5Z"
      }
    }]
  };
  var upload = vue.defineComponent({
    name: "UploadIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-upload", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$2x(_objectSpread$2x({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$2v, finalProps.value);
    }
  });

  function ownKeys$2w(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$2w(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$2w(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$2w(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$2u = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M15.056 1.99414L21.9662 2.03364L22.0057 8.94385L20.0057 8.95529L19.9856 5.42847L14.9586 10.4555L13.5444 9.04125L18.5713 4.01427L15.0446 3.99411L15.056 1.99414ZM2 1.99984H12V3.99984H4V9.99984H2V1.99984ZM2 11.9998H6V13.9998H4V15.9998H2V11.9998ZM8 11.9998H12V15.9998H10V13.9998H8V11.9998ZM22 11.9998V21.9998H14V19.9998H20V11.9998H22ZM4 17.9998V19.9998H6V21.9998H2V17.9998H4ZM12 17.9998V21.9998H8V19.9998H10V17.9998H12Z"
      }
    }]
  };
  var upscale = vue.defineComponent({
    name: "UpscaleIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-upscale", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$2w(_objectSpread$2w({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$2u, finalProps.value);
    }
  });

  function ownKeys$2v(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$2v(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$2v(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$2v(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$2t = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M4 2H20V11H22V22H2V11H4V2ZM18 11V4H6V11H18ZM8 6.49609H10.0039V8.5H8V6.49609ZM14 6.49609H16.0039V8.5H14V6.49609Z"
      }
    }]
  };
  var usbFilled = vue.defineComponent({
    name: "UsbFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-usb-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$2v(_objectSpread$2v({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$2t, finalProps.value);
    }
  });

  function ownKeys$2u(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$2u(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$2u(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$2u(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$2s = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M4 2H20V11H22V22H2V11H4V2ZM4 13V20H20V13H4ZM18 11V4H6V11H18ZM8 6.49609H10.0039V8.5H8V6.49609ZM14 6.49609H16.0039V8.5H14V6.49609Z"
      }
    }]
  };
  var usb = vue.defineComponent({
    name: "UsbIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-usb", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$2u(_objectSpread$2u({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$2s, finalProps.value);
    }
  });

  function ownKeys$2t(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$2t(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$2t(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$2t(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$2r = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M7 7C7 4.23858 9.23858 2 12 2C14.7614 2 17 4.23858 17 7C17 9.76142 14.7614 12 12 12C9.23858 12 7 9.76142 7 7ZM3.5 19C3.5 16.2386 5.73858 14 8.5 14H15.5C18.2614 14 20.5 16.2386 20.5 19V21C13.2302 21 7.37302 21 3.5 21V19Z"
      }
    }]
  };
  var user1Filled = vue.defineComponent({
    name: "User1FilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-user-1-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$2t(_objectSpread$2t({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$2r, finalProps.value);
    }
  });

  function ownKeys$2s(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$2s(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$2s(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$2s(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$2q = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M12 4C10.3431 4 9 5.34315 9 7C9 8.65685 10.3431 10 12 10C13.6569 10 15 8.65685 15 7C15 5.34315 13.6569 4 12 4ZM7 7C7 4.23858 9.23858 2 12 2C14.7614 2 17 4.23858 17 7C17 9.76142 14.7614 12 12 12C9.23858 12 7 9.76142 7 7ZM3.5 19C3.5 16.2386 5.73858 14 8.5 14H15.5C18.2614 14 20.5 16.2386 20.5 19V21H18.5V19C18.5 17.3431 17.1569 16 15.5 16H8.5C6.84315 16 5.5 17.3431 5.5 19V21H3.5V19Z"
      }
    }]
  };
  var user1 = vue.defineComponent({
    name: "User1Icon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-user-1", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$2s(_objectSpread$2s({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$2q, finalProps.value);
    }
  });

  function ownKeys$2r(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$2r(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$2r(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$2r(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$2p = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M11.5 2C8.46243 2 6 4.46243 6 7.5 6 10.5376 8.46243 13 11.5 13 14.5376 13 17 10.5376 17 7.5 17 4.46243 14.5376 2 11.5 2zM23 19H19V23H17V19H13V17H17V13H19V17H23V19zM12.8762 14C12.0139 15.103 11.5 16.4915 11.5 18 11.5 19.5085 12.0139 20.897 12.8762 22H2V20C2 16.6863 4.68629 14 8 14H12.8762z"
      }
    }]
  };
  var userAddFilled = vue.defineComponent({
    name: "UserAddFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-user-add-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$2r(_objectSpread$2r({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$2p, finalProps.value);
    }
  });

  function ownKeys$2q(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$2q(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$2q(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$2q(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$2o = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M11.5 4C9.567 4 8 5.567 8 7.5C8 9.433 9.567 11 11.5 11C13.433 11 15 9.433 15 7.5C15 5.567 13.433 4 11.5 4ZM6 7.5C6 4.46243 8.46243 2 11.5 2C14.5376 2 17 4.46243 17 7.5C17 10.5376 14.5376 13 11.5 13C8.46243 13 6 10.5376 6 7.5ZM19 13V17H23V19H19V23H17V19H13V17H17V13H19ZM8 16C5.79086 16 4 17.7909 4 20H12.0508V22H2V20C2 16.6863 4.68629 14 8 14H12V16H8Z"
      }
    }]
  };
  var userAdd = vue.defineComponent({
    name: "UserAddIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-user-add", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$2q(_objectSpread$2q({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$2o, finalProps.value);
    }
  });

  function ownKeys$2p(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$2p(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$2p(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$2p(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$2n = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M11.5 2C8.46244 2 6 4.46243 6 7.5 6 10.5376 8.46243 13 11.5 13 14.5376 13 17 10.5376 17 7.5 17 4.46243 14.5376 2 11.5 2zM19.0001 12V19.1092L21.5082 16.6297 22.9143 18.0519 18.0001 22.9103 13.0859 18.0519 14.492 16.6297 17.0001 19.1092V12H19.0001zM12.8762 14C12.0139 15.103 11.5 16.4915 11.5 18 11.5 19.5085 12.0139 20.897 12.8762 22H2V20C2 16.6863 4.68629 14 8 14H12.8762z"
      }
    }]
  };
  var userArrowDownFilled = vue.defineComponent({
    name: "UserArrowDownFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-user-arrow-down-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$2p(_objectSpread$2p({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$2n, finalProps.value);
    }
  });

  function ownKeys$2o(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$2o(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$2o(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$2o(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$2m = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M11.5 4C9.567 4 8 5.567 8 7.5C8 9.433 9.567 11 11.5 11C13.433 11 15 9.433 15 7.5C15 5.567 13.433 4 11.5 4ZM6 7.5C6 4.46243 8.46243 2 11.5 2C14.5376 2 17 4.46243 17 7.5C17 10.5376 14.5376 13 11.5 13C8.46243 13 6 10.5376 6 7.5ZM19 12V19.1092L21.5081 16.6297L22.9142 18.0519L18 22.9103L13.0858 18.0519L14.4919 16.6297L17 19.1092V12H19ZM8 16C5.79086 16 4 17.7909 4 20H12.8008V22H2V20C2 16.6863 4.68629 14 8 14H12.75V16H8Z"
      }
    }]
  };
  var userArrowDown = vue.defineComponent({
    name: "UserArrowDownIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-user-arrow-down", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$2o(_objectSpread$2o({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$2m, finalProps.value);
    }
  });

  function ownKeys$2n(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$2n(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$2n(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$2n(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$2l = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M11.5 2C8.46243 2 6 4.46243 6 7.5 6 10.5376 8.46243 13 11.5 13 14.5376 13 17 10.5376 17 7.5 17 4.46243 14.5376 2 11.5 2zM18.8724 14.494L16.3928 17.0021 23.5021 17.0021V19.0021L16.3928 19.0021 18.8724 21.5102 17.4501 22.9163 12.5918 18.0021 17.4501 13.0879 18.8724 14.494z"
      }
    }, {
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M12.8762 14C12.0139 15.103 11.5 16.4915 11.5 18C11.5 19.5085 12.0139 20.897 12.8762 22H2V20C2 16.6863 4.68629 14 8 14H12.8762Z"
      }
    }]
  };
  var userArrowLeftFilled = vue.defineComponent({
    name: "UserArrowLeftFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-user-arrow-left-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$2n(_objectSpread$2n({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$2l, finalProps.value);
    }
  });

  function ownKeys$2m(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$2m(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$2m(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$2m(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$2k = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M11.5 4C9.567 4 8 5.567 8 7.5C8 9.433 9.567 11 11.5 11C13.433 11 15 9.433 15 7.5C15 5.567 13.433 4 11.5 4ZM6 7.5C6 4.46243 8.46243 2 11.5 2C14.5376 2 17 4.46243 17 7.5C17 10.5376 14.5376 13 11.5 13C8.46243 13 6 10.5376 6 7.5ZM18.8723 14.4939L16.3927 17.0019L23.502 17.0019V19.0019L16.3927 19.0019L18.8723 21.51L17.45 22.9161L12.5917 18.0019L17.45 13.0878L18.8723 14.4939ZM8 16C5.79086 16 4 17.7909 4 20H12.0508V22H2V20C2 16.6863 4.68629 14 8 14H12V16H8Z"
      }
    }]
  };
  var userArrowLeft = vue.defineComponent({
    name: "UserArrowLeftIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-user-arrow-left", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$2m(_objectSpread$2m({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$2k, finalProps.value);
    }
  });

  function ownKeys$2l(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$2l(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$2l(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$2l(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$2j = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M11.5 2C8.46244 2 6 4.46243 6 7.5 6 10.5376 8.46243 13 11.5 13 14.5376 13 17 10.5376 17 7.5 17 4.46243 14.5376 2 11.5 2zM19.05 13.0879L23.9083 18.0021 19.05 22.9163 17.6277 21.5102 20.1073 19.0021 12.998 19.0021V17.0021L20.1073 17.0021 17.6277 14.494 19.05 13.0879zM12.8762 14C12.0139 15.103 11.5 16.4915 11.5 18 11.5 19.5085 12.0139 20.897 12.8762 22H2V20C2 16.6863 4.68629 14 8 14H12.8762z"
      }
    }]
  };
  var userArrowRightFilled = vue.defineComponent({
    name: "UserArrowRightFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-user-arrow-right-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$2l(_objectSpread$2l({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$2j, finalProps.value);
    }
  });

  function ownKeys$2k(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$2k(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$2k(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$2k(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$2i = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M11.5 4C9.567 4 8 5.567 8 7.5C8 9.433 9.567 11 11.5 11C13.433 11 15 9.433 15 7.5C15 5.567 13.433 4 11.5 4ZM6 7.5C6 4.46243 8.46243 2 11.5 2C14.5376 2 17 4.46243 17 7.5C17 10.5376 14.5376 13 11.5 13C8.46243 13 6 10.5376 6 7.5ZM19.05 13.0878L23.9083 18.0019L19.05 22.9161L17.6277 21.51L20.1073 19.0019L12.998 19.0019V17.0019L20.1073 17.0019L17.6277 14.4939L19.05 13.0878ZM8 16C5.79086 16 4 17.7909 4 20H12.0508V22H2V20C2 16.6863 4.68629 14 8 14H12V16H8Z"
      }
    }]
  };
  var userArrowRight = vue.defineComponent({
    name: "UserArrowRightIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-user-arrow-right", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$2k(_objectSpread$2k({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$2i, finalProps.value);
    }
  });

  function ownKeys$2j(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$2j(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$2j(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$2j(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$2h = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M11.5 2C8.46244 2 6 4.46243 6 7.5 6 10.5376 8.46243 13 11.5 13 14.5376 13 17 10.5376 17 7.5 17 4.46243 14.5376 2 11.5 2zM18.0001 12.5938L22.9143 17.4521 21.5082 18.8743 19.0001 16.3948V23.504H17.0001V16.3948L14.492 18.8743 13.0859 17.4521 18.0001 12.5938zM12.8762 14C12.0139 15.103 11.5 16.4915 11.5 18 11.5 19.5085 12.0139 20.897 12.8762 22H2V20C2 16.6863 4.68629 14 8 14H12.8762z"
      }
    }]
  };
  var userArrowUpFilled = vue.defineComponent({
    name: "UserArrowUpFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-user-arrow-up-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$2j(_objectSpread$2j({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$2h, finalProps.value);
    }
  });

  function ownKeys$2i(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$2i(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$2i(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$2i(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$2g = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M11.5 4C9.567 4 8 5.567 8 7.5C8 9.433 9.567 11 11.5 11C13.433 11 15 9.433 15 7.5C15 5.567 13.433 4 11.5 4ZM6 7.5C6 4.46243 8.46243 2 11.5 2C14.5376 2 17 4.46243 17 7.5C17 10.5376 14.5376 13 11.5 13C8.46243 13 6 10.5376 6 7.5ZM18 12.5936L22.9142 17.452L21.5081 18.8742L19 16.3947V23.5039H17V16.3947L14.4919 18.8742L13.0858 17.452L18 12.5936ZM8 16C5.79086 16 4 17.7909 4 20H12.8008V22H2V20C2 16.6863 4.68629 14 8 14H12.75V16H8Z"
      }
    }]
  };
  var userArrowUp = vue.defineComponent({
    name: "UserArrowUpIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-user-arrow-up", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$2i(_objectSpread$2i({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$2g, finalProps.value);
    }
  });

  function ownKeys$2h(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$2h(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$2h(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$2h(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$2f = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M22 2H2V22H22L22 2ZM15.75 9.5C15.75 11.5711 14.0711 13.25 12 13.25C9.92893 13.25 8.25 11.5711 8.25 9.5C8.25 7.42893 9.92893 5.75 12 5.75C14.0711 5.75 15.75 7.42893 15.75 9.5ZM5 19.5018C5 17.0166 7.01472 15.0018 9.5 15.0018H14.5C16.9853 15.0018 19 17.0166 19 19.5018V20.0018H5V19.5018Z"
      }
    }]
  };
  var userAvatarFilled = vue.defineComponent({
    name: "UserAvatarFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-user-avatar-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$2h(_objectSpread$2h({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$2f, finalProps.value);
    }
  });

  function ownKeys$2g(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$2g(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$2g(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$2g(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$2e = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M2 2L22 2L22 22L2 22L2 2ZM19.5 20H20L20 4L4 4L4 20H4.5C4.5 17.2386 6.73858 15 9.5 15H14.5C17.2614 15 19.5 17.2386 19.5 20ZM12 7C10.6193 7 9.5 8.11929 9.5 9.5C9.5 10.8807 10.6193 12 12 12C13.3807 12 14.5 10.8807 14.5 9.5C14.5 8.11929 13.3807 7 12 7ZM7.5 9.5C7.5 7.01472 9.51472 5 12 5C14.4853 5 16.5 7.01472 16.5 9.5C16.5 11.9853 14.4853 14 12 14C9.51472 14 7.5 11.9853 7.5 9.5ZM9.5 17C7.84315 17 6.5 18.3431 6.5 20L17.5 20C17.5 18.3431 16.1569 17 14.5 17H9.5Z"
      }
    }]
  };
  var userAvatar = vue.defineComponent({
    name: "UserAvatarIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-user-avatar", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$2g(_objectSpread$2g({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$2e, finalProps.value);
    }
  });

  function ownKeys$2f(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$2f(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$2f(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$2f(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$2d = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M11.5 2C8.46243 2 6 4.46243 6 7.5 6 10.5376 8.46243 13 11.5 13 14.5376 13 17 10.5376 17 7.5 17 4.46243 14.5376 2 11.5 2zM12.5 18C12.5 14.9624 14.9624 12.5 18 12.5 19.5186 12.5 20.895 13.1168 21.8892 14.111 22.8833 15.1052 23.5 16.4816 23.5 18 23.5 21.0376 21.0376 23.5 18 23.5 16.4814 23.5 15.105 22.8832 14.1108 21.889 13.1167 20.8948 12.5 19.5184 12.5 18zM18 14.5C16.067 14.5 14.5 16.067 14.5 18 14.5 18.6031 14.652 19.17 14.9205 19.6652L19.6654 14.9206C19.1701 14.6521 18.6032 14.5 18 14.5zM21.0795 16.3348L16.3346 21.0794C16.8299 21.3479 17.3968 21.5 18 21.5 19.933 21.5 21.5 19.933 21.5 18 21.5 17.3969 21.348 16.83 21.0795 16.3348zM12.2547 14C11.4638 15.1338 11 16.5128 11 18 11 19.4872 11.4638 20.8662 12.2547 22H2V20C2 16.6863 4.68629 14 8 14H12.2547z"
      }
    }]
  };
  var userBlockedFilled = vue.defineComponent({
    name: "UserBlockedFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-user-blocked-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$2f(_objectSpread$2f({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$2d, finalProps.value);
    }
  });

  function ownKeys$2e(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$2e(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$2e(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$2e(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$2c = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M11.5 4C9.567 4 8 5.567 8 7.5C8 9.433 9.567 11 11.5 11C13.433 11 15 9.433 15 7.5C15 5.567 13.433 4 11.5 4ZM6 7.5C6 4.46243 8.46243 2 11.5 2C14.5376 2 17 4.46243 17 7.5C17 10.5376 14.5376 13 11.5 13C8.46243 13 6 10.5376 6 7.5ZM18 14.5C16.067 14.5 14.5 16.067 14.5 18C14.5 18.6031 14.652 19.17 14.9205 19.6652L19.6654 14.9206C19.1701 14.6521 18.6032 14.5 18 14.5ZM21.0795 16.3348L16.3346 21.0794C16.8299 21.3479 17.3968 21.5 18 21.5C19.933 21.5 21.5 19.933 21.5 18C21.5 17.3969 21.348 16.83 21.0795 16.3348ZM12.5 18C12.5 14.9624 14.9624 12.5 18 12.5C19.5186 12.5 20.895 13.1168 21.8892 14.111C22.8833 15.1052 23.5 16.4816 23.5 18C23.5 21.0376 21.0376 23.5 18 23.5C16.4814 23.5 15.105 22.8832 14.1108 21.889C13.1167 20.8948 12.5 19.5184 12.5 18ZM8 16C5.79086 16 4 17.7909 4 20H11.0508V22H2V20C2 16.6863 4.68629 14 8 14H11V16H8Z"
      }
    }]
  };
  var userBlocked = vue.defineComponent({
    name: "UserBlockedIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-user-blocked", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$2e(_objectSpread$2e({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$2c, finalProps.value);
    }
  });

  function ownKeys$2d(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$2d(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$2d(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$2d(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$2b = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M12 2C8.96243 2 6.5 4.46243 6.5 7.5 6.5 10.5376 8.96243 13 12 13 15.0376 13 17.5 10.5376 17.5 7.5 17.5 4.46243 15.0376 2 12 2zM8 14C5.23858 14 3 16.2386 3 19V22H21V19C21 16.2386 18.7614 14 16 14H14.618L12 19.2361 9.38197 14H8z"
      }
    }]
  };
  var userBusinessFilled = vue.defineComponent({
    name: "UserBusinessFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-user-business-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$2d(_objectSpread$2d({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$2b, finalProps.value);
    }
  });

  function ownKeys$2c(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$2c(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$2c(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$2c(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$2a = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M12 4C10.067 4 8.5 5.567 8.5 7.5C8.5 9.433 10.067 11 12 11C13.933 11 15.5 9.433 15.5 7.5C15.5 5.567 13.933 4 12 4ZM6.5 7.5C6.5 4.46243 8.96243 2 12 2C15.0376 2 17.5 4.46243 17.5 7.5C17.5 10.5376 15.0376 13 12 13C8.96243 13 6.5 10.5376 6.5 7.5ZM3 19C3 16.2386 5.23858 14 8 14H16C18.7614 14 21 16.2386 21 19V22H3V19ZM8 16C6.34315 16 5 17.3431 5 19V20H10.6126L9.27924 16H8ZM11.3874 16L12 17.8377L12.6126 16H11.3874ZM14.7208 16L13.3874 20H19V19C19 17.3431 17.6569 16 16 16H14.7208Z"
      }
    }]
  };
  var userBusiness = vue.defineComponent({
    name: "UserBusinessIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-user-business", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$2c(_objectSpread$2c({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$2a, finalProps.value);
    }
  });

  function ownKeys$2b(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$2b(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$2b(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$2b(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$29 = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M3.5 7C3.5 4.23858 5.73858 2 8.5 2C11.2614 2 13.5 4.23858 13.5 7C13.5 9.76142 11.2614 12 8.5 12C5.73858 12 3.5 9.76142 3.5 7ZM23.5962 8.43934L17.9393 14.0962L14.4038 10.5607L15.818 9.14645L17.9393 11.2678L22.182 7.02513L23.5962 8.43934ZM0 19C0 16.2386 2.23858 14 5 14H12C14.7614 14 17 16.2386 17 19V21C9.77818 21 3.91154 21 0 21V19Z"
      }
    }]
  };
  var userChecked1Filled = vue.defineComponent({
    name: "UserChecked1FilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-user-checked-1-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$2b(_objectSpread$2b({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$29, finalProps.value);
    }
  });

  function ownKeys$2a(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$2a(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$2a(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$2a(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$28 = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M8.5 4C6.84315 4 5.5 5.34315 5.5 7C5.5 8.65685 6.84315 10 8.5 10C10.1569 10 11.5 8.65685 11.5 7C11.5 5.34315 10.1569 4 8.5 4ZM3.5 7C3.5 4.23858 5.73858 2 8.5 2C11.2614 2 13.5 4.23858 13.5 7C13.5 9.76142 11.2614 12 8.5 12C5.73858 12 3.5 9.76142 3.5 7ZM23.5962 8.43934L17.9393 14.0962L14.4038 10.5607L15.818 9.14645L17.9393 11.2678L22.182 7.02513L23.5962 8.43934ZM0 19C0 16.2386 2.23858 14 5 14H12C14.7614 14 17 16.2386 17 19V21H15V19C15 17.3431 13.6569 16 12 16H5C3.34315 16 2 17.3431 2 19V21H0V19Z"
      }
    }]
  };
  var userChecked1 = vue.defineComponent({
    name: "UserChecked1Icon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-user-checked-1", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$2a(_objectSpread$2a({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$28, finalProps.value);
    }
  });

  function ownKeys$29(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$29(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$29(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$29(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$27 = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M11.5 2C8.46243 2 6 4.46243 6 7.5 6 10.5376 8.46243 13 11.5 13 14.5376 13 17 10.5376 17 7.5 17 4.46243 14.5376 2 11.5 2zM23.6565 15.09L16.5854 22.1611 12.3428 17.9184 13.757 16.5042 16.5854 19.3326 22.2423 13.6758 23.6565 15.09z"
      }
    }, {
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M12.8762 14C12.0139 15.103 11.5 16.4915 11.5 18C11.5 19.5085 12.0139 20.897 12.8762 22H2V20C2 16.6863 4.68629 14 8 14H12.8762Z"
      }
    }]
  };
  var userCheckedFilled = vue.defineComponent({
    name: "UserCheckedFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-user-checked-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$29(_objectSpread$29({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$27, finalProps.value);
    }
  });

  function ownKeys$28(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$28(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$28(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$28(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$26 = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M11.5 4C9.567 4 8 5.567 8 7.5C8 9.433 9.567 11 11.5 11C13.433 11 15 9.433 15 7.5C15 5.567 13.433 4 11.5 4ZM6 7.5C6 4.46243 8.46243 2 11.5 2C14.5376 2 17 4.46243 17 7.5C17 10.5376 14.5376 13 11.5 13C8.46243 13 6 10.5376 6 7.5ZM23.6568 15.09L16.5858 22.1611L12.3431 17.9184L13.7573 16.5042L16.5858 19.3326L22.2426 13.6758L23.6568 15.09ZM8 16C5.79086 16 4 17.7909 4 20H12.0508V22H2V20C2 16.6863 4.68629 14 8 14H12V16H8Z"
      }
    }]
  };
  var userChecked = vue.defineComponent({
    name: "UserCheckedIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-user-checked", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$28(_objectSpread$28({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$26, finalProps.value);
    }
  });

  function ownKeys$27(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$27(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$27(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$27(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$25 = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M23 12C23 15.3454 21.5066 18.3421 19.15 20.3595C17.2272 22.0057 14.7297 23 12 23C9.2703 23 6.77283 22.0057 4.85 20.3595C2.49344 18.3421 1 15.3454 1 12C1 5.92487 5.92487 1 12 1C18.0751 1 23 5.92487 23 12ZM16 8.5C16 6.29086 14.2091 4.5 12 4.5C9.79086 4.5 8 6.29086 8 8.5C8 10.7091 9.79086 12.5 12 12.5C14.2091 12.5 16 10.7091 16 8.5ZM18.5 18.225V18C18.5 15.7909 16.7091 14 14.5 14H9.5C7.29086 14 5.5 15.7909 5.5 18V18.225C5.70642 18.4405 5.92348 18.6457 6.15034 18.8399C7.72404 20.1872 9.76583 21 12 21C14.2342 21 16.276 20.1872 17.8497 18.8399C18.0765 18.6457 18.2936 18.4405 18.5 18.225Z"
      }
    }]
  };
  var userCircleFilled = vue.defineComponent({
    name: "UserCircleFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-user-circle-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$27(_objectSpread$27({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$25, finalProps.value);
    }
  });

  function ownKeys$26(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$26(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$26(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$26(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$24 = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M12 3C7.02944 3 3 7.02944 3 12C3 14.0106 3.65863 15.8668 4.77331 17.3654C5.45057 15.4067 7.31101 14 9.5 14H14.5C16.689 14 18.5494 15.4067 19.2267 17.3654C20.3414 15.8668 21 14.0106 21 12C21 7.02944 16.9706 3 12 3ZM17.5 19.1245V19C17.5 17.3431 16.1569 16 14.5 16H9.5C7.84315 16 6.5 17.3431 6.5 19V19.1245C8.0212 20.3008 9.92785 21 12 21C14.0721 21 15.9788 20.3008 17.5 19.1245ZM1 12C1 5.92487 5.92487 1 12 1C18.0751 1 23 5.92487 23 12C23 15.3457 21.5051 18.3433 19.1503 20.3592C17.228 22.005 14.7289 23 12 23C9.27108 23 6.77201 22.005 4.84966 20.3592C2.49488 18.3433 1 15.3457 1 12ZM12 6C10.6193 6 9.5 7.11929 9.5 8.5C9.5 9.88071 10.6193 11 12 11C13.3807 11 14.5 9.88071 14.5 8.5C14.5 7.11929 13.3807 6 12 6ZM7.5 8.5C7.5 6.01472 9.51472 4 12 4C14.4853 4 16.5 6.01472 16.5 8.5C16.5 10.9853 14.4853 13 12 13C9.51472 13 7.5 10.9853 7.5 8.5Z"
      }
    }]
  };
  var userCircle = vue.defineComponent({
    name: "UserCircleIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-user-circle", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$26(_objectSpread$26({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$24, finalProps.value);
    }
  });

  function ownKeys$25(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$25(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$25(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$25(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$23 = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M11.5 2C8.46243 2 6 4.46243 6 7.5 6 10.5376 8.46243 13 11.5 13 14.5376 13 17 10.5376 17 7.5 17 4.46243 14.5376 2 11.5 2zM20.8289 13.7573L22.2431 15.1715 19.4147 18 22.2431 20.8284 20.8289 22.2426 18.0005 19.4142 15.172 22.2426 13.7578 20.8284 16.5862 18 13.7578 15.1715 15.172 13.7573 18.0005 16.5858 20.8289 13.7573zM12.8762 14C12.0139 15.103 11.5 16.4915 11.5 18 11.5 19.5085 12.0139 20.897 12.8762 22H2V20C2 16.6863 4.68629 14 8 14H12.8762z"
      }
    }]
  };
  var userClearFilled = vue.defineComponent({
    name: "UserClearFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-user-clear-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$25(_objectSpread$25({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$23, finalProps.value);
    }
  });

  function ownKeys$24(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$24(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$24(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$24(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$22 = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M11.5 4C9.567 4 8 5.567 8 7.5C8 9.433 9.567 11 11.5 11C13.433 11 15 9.433 15 7.5C15 5.567 13.433 4 11.5 4ZM6 7.5C6 4.46243 8.46243 2 11.5 2C14.5376 2 17 4.46243 17 7.5C17 10.5376 14.5376 13 11.5 13C8.46243 13 6 10.5376 6 7.5ZM15.1716 13.7574L18 16.5858L20.8284 13.7574L22.2426 15.1716L19.4142 18L22.2426 20.8284L20.8284 22.2426L18 19.4142L15.1716 22.2426L13.7574 20.8284L16.5858 18L13.7574 15.1716L15.1716 13.7574ZM8 16C5.79086 16 4 17.7909 4 20H12.0508V22H2V20C2 16.6863 4.68629 14 8 14H12V16H8Z"
      }
    }]
  };
  var userClear = vue.defineComponent({
    name: "UserClearIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-user-clear", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$24(_objectSpread$24({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$22, finalProps.value);
    }
  });

  function ownKeys$23(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$23(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$23(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$23(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$21 = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M3.5 7C3.5 4.23858 5.73858 2 8.5 2C11.2614 2 13.5 4.23858 13.5 7C13.5 9.76142 11.2614 12 8.5 12C5.73858 12 3.5 9.76142 3.5 7ZM17.3787 6.46447L19.5 8.58579L21.6213 6.46447L23.0355 7.87868L20.9142 10L23.0355 12.1213L21.6213 13.5355L19.5 11.4142L17.3787 13.5355L15.9645 12.1213L18.0858 10L15.9645 7.87868L17.3787 6.46447ZM0 19C0 16.2386 2.23858 14 5 14H12C14.7614 14 17 16.2386 17 19V21C9.78733 21 3.91775 21 0 21V19Z"
      }
    }]
  };
  var userError1Filled = vue.defineComponent({
    name: "UserError1FilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-user-error-1-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$23(_objectSpread$23({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$21, finalProps.value);
    }
  });

  function ownKeys$22(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$22(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$22(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$22(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$20 = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M8.5 4C6.84315 4 5.5 5.34315 5.5 7C5.5 8.65685 6.84315 10 8.5 10C10.1569 10 11.5 8.65685 11.5 7C11.5 5.34315 10.1569 4 8.5 4ZM3.5 7C3.5 4.23858 5.73858 2 8.5 2C11.2614 2 13.5 4.23858 13.5 7C13.5 9.76142 11.2614 12 8.5 12C5.73858 12 3.5 9.76142 3.5 7ZM17.3787 6.46447L19.5 8.58579L21.6213 6.46447L23.0355 7.87868L20.9142 10L23.0355 12.1213L21.6213 13.5355L19.5 11.4142L17.3787 13.5355L15.9645 12.1213L18.0858 10L15.9645 7.87868L17.3787 6.46447ZM0 19C0 16.2386 2.23858 14 5 14H12C14.7614 14 17 16.2386 17 19V21H15V19C15 17.3431 13.6569 16 12 16H5C3.34315 16 2 17.3431 2 19V21H0V19Z"
      }
    }]
  };
  var userError1 = vue.defineComponent({
    name: "UserError1Icon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-user-error-1", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$22(_objectSpread$22({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$20, finalProps.value);
    }
  });

  function ownKeys$21(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$21(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$21(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$21(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$1$ = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M6.5 7.5C6.5 4.46243 8.96243 2 12 2C15.0376 2 17.5 4.46243 17.5 7.5C17.5 10.5376 15.0376 13 12 13C8.96243 13 6.5 10.5376 6.5 7.5ZM3 19C3 16.2386 5.23858 14 8 14H16C18.7614 14 21 16.2386 21 19V22H3V19Z"
      }
    }]
  };
  var userFilled = vue.defineComponent({
    name: "UserFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-user-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$21(_objectSpread$21({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$1$, finalProps.value);
    }
  });

  function ownKeys$20(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$20(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$20(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$20(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$1_ = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M11.5 2C8.46243 2 6 4.46243 6 7.5 6 10.5376 8.46243 13 11.5 13 14.5376 13 17 10.5376 17 7.5 17 4.46243 14.5376 2 11.5 2zM23.5902 18C23.5902 18 21.9185 22.5 17.5002 22.5 16.5284 22.5 15.6895 22.2823 14.972 21.9427L14.0005 22.9142 12.5863 21.4999 13.3038 20.7824C11.9716 19.5115 11.4102 18 11.4102 18 11.4102 18 13.0838 13.5 17.5002 13.5 18.472 13.5 19.311 13.7179 20.0287 14.0578L21.0006 13.0859 22.4148 14.5002 21.6965 15.2184C23.0283 16.4892 23.5902 18 23.5902 18zM20.287 16.6279L16.5339 20.3809C16.8319 20.4565 17.1533 20.5 17.4985 20.5 20.114 20.5 21.3689 18 21.3689 18 21.3689 18 21.0144 17.2908 20.287 16.6279zM18.4668 15.6197C18.1678 15.5437 17.8451 15.5 17.4985 15.5 14.8778 15.5 13.6289 18 13.6289 18 13.6289 18 13.9849 18.7098 14.7133 19.373L18.4668 15.6197z"
      }
    }, {
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M9.53584 18.6981L9.27637 17.9996L9.53611 17.3012L9.53676 17.2995L9.53818 17.2957L9.54153 17.2868L9.55026 17.2641C9.55698 17.2467 9.56553 17.225 9.57595 17.1993C9.59677 17.1478 9.62512 17.08 9.66133 16.9981C9.73359 16.8346 9.83804 16.6131 9.97744 16.3527C10.2539 15.8364 10.6805 15.1439 11.2845 14.4436C11.4114 14.2966 11.5472 14.1481 11.6921 14H8C4.68629 14 2 16.6863 2 20V22H11.6913C11.5463 21.8519 11.4105 21.7033 11.2836 21.5562C10.6796 20.8558 10.2533 20.1632 9.97688 19.6467C9.83755 19.3864 9.73318 19.1648 9.66097 19.0013C9.62478 18.9194 9.59645 18.8515 9.57565 18.8C9.56524 18.7743 9.5567 18.7526 9.54998 18.7352L9.54126 18.7125L9.53791 18.7036L9.53649 18.6998L9.53584 18.6981Z"
      }
    }]
  };
  var userInvisibleFilled = vue.defineComponent({
    name: "UserInvisibleFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-user-invisible-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$20(_objectSpread$20({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$1_, finalProps.value);
    }
  });

  function ownKeys$1$(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$1$(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$1$(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$1$(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$1Z = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M11.5 2C8.46243 2 6 4.46243 6 7.5 6 10.5376 8.46243 13 11.5 13 14.5376 13 17 10.5376 17 7.5 17 4.46243 14.5376 2 11.5 2zM8 7.5C8 5.567 9.567 4 11.5 4 13.433 4 15 5.567 15 7.5 15 9.433 13.433 11 11.5 11 9.567 11 8 9.433 8 7.5zM4 20C4 17.7909 5.79086 16 8 16H11V14H8C4.68629 14 2 16.6863 2 20V22H11.05V20H4zM23.5898 18C23.5898 18 21.9181 22.5 17.4998 22.5 16.528 22.5 15.6891 22.2823 14.9716 21.9427L14.0001 22.9142 12.5859 21.4999 13.3034 20.7824C11.9712 19.5115 11.4098 18 11.4098 18 11.4098 18 13.0834 13.5 17.4998 13.5 18.4716 13.5 19.3106 13.7179 20.0283 14.0578L21.0002 13.0859 22.4144 14.5002 21.6961 15.2184C23.0279 16.4892 23.5898 18 23.5898 18zM20.2866 16.6279L16.5335 20.3809C16.8315 20.4565 17.1529 20.5 17.498 20.5 20.1136 20.5 21.3685 18 21.3685 18 21.3685 18 21.014 17.2908 20.2866 16.6279zM18.4664 15.6197C18.1674 15.5437 17.8447 15.5 17.498 15.5 14.8774 15.5 13.6285 18 13.6285 18 13.6285 18 13.9845 18.7098 14.7129 19.373L18.4664 15.6197z"
      }
    }]
  };
  var userInvisible = vue.defineComponent({
    name: "UserInvisibleIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-user-invisible", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$1$(_objectSpread$1$({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$1Z, finalProps.value);
    }
  });

  function ownKeys$1_(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$1_(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$1_(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$1_(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$1Y = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M6 7.5C6 4.46243 8.46243 2 11.5 2C14.5376 2 17 4.46243 17 7.5C17 10.5376 14.5376 13 11.5 13C8.46243 13 6 10.5376 6 7.5ZM11.75 22H2V20C2 16.6863 4.68629 14 8 14H11.75V22ZM13.75 14H22.25V16H13.75V14ZM13.75 17H22.25V19H13.75V17ZM13.75 20H22.25V22H13.75V20Z"
      }
    }]
  };
  var userListFilled = vue.defineComponent({
    name: "UserListFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-user-list-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$1_(_objectSpread$1_({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$1Y, finalProps.value);
    }
  });

  function ownKeys$1Z(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$1Z(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$1Z(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$1Z(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$1X = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M11.5 4C9.567 4 8 5.567 8 7.5C8 9.433 9.567 11 11.5 11C13.433 11 15 9.433 15 7.5C15 5.567 13.433 4 11.5 4ZM6 7.5C6 4.46243 8.46243 2 11.5 2C14.5376 2 17 4.46243 17 7.5C17 10.5376 14.5376 13 11.5 13C8.46243 13 6 10.5376 6 7.5ZM8 16C5.79086 16 4 17.7909 4 20H11.8008V22H2V20C2 16.6863 4.68629 14 8 14H11.75V16H8ZM13.75 14H22.25V16H13.75V14ZM13.75 17H22.25V19H13.75V17ZM13.75 20H22.25V22H13.75V20Z"
      }
    }]
  };
  var userList = vue.defineComponent({
    name: "UserListIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-user-list", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$1Z(_objectSpread$1Z({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$1X, finalProps.value);
    }
  });

  function ownKeys$1Y(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$1Y(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$1Y(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$1Y(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$1W = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M6 7.5C6 4.46243 8.46243 2 11.5 2C14.5376 2 17 4.46243 17 7.5C17 10.5376 14.5376 13 11.5 13C8.46243 13 6 10.5376 6 7.5ZM18 14C18.6904 14 19.25 14.5596 19.25 15.25V16H16.75V15.25C16.75 14.5596 17.3096 14 18 14ZM21.25 16V15.25C21.25 13.4551 19.7949 12 18 12C16.2051 12 14.75 13.4551 14.75 15.25V16H13.4985V22.5H22.4985V16H21.25ZM11.5 22H2V20C2 16.6863 4.68629 14 8 14H11.5V22Z"
      }
    }]
  };
  var userLockedFilled = vue.defineComponent({
    name: "UserLockedFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-user-locked-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$1Y(_objectSpread$1Y({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$1W, finalProps.value);
    }
  });

  function ownKeys$1X(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$1X(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$1X(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$1X(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$1V = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M11.5 4C9.567 4 8 5.567 8 7.5C8 9.433 9.567 11 11.5 11C13.433 11 15 9.433 15 7.5C15 5.567 13.433 4 11.5 4ZM6 7.5C6 4.46243 8.46243 2 11.5 2C14.5376 2 17 4.46243 17 7.5C17 10.5376 14.5376 13 11.5 13C8.46243 13 6 10.5376 6 7.5ZM18 14C18.6904 14 19.25 14.5596 19.25 15.25V16H16.75V15.25C16.75 14.5596 17.3096 14 18 14ZM21.25 16V15.25C21.25 13.4551 19.7949 12 18 12C16.2051 12 14.75 13.4551 14.75 15.25V16H13.4985V22.5H22.4985V16H21.25ZM20.4985 18V20.5H15.4985V18H20.4985ZM8 16C5.79086 16 4 17.7909 4 20H11.5508V22H2V20C2 16.6863 4.68629 14 8 14H11.5V16H8Z"
      }
    }]
  };
  var userLocked = vue.defineComponent({
    name: "UserLockedIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-user-locked", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$1X(_objectSpread$1X({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$1V, finalProps.value);
    }
  });

  function ownKeys$1W(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$1W(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$1W(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$1W(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$1U = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M6 7.5C6 4.46243 8.46243 2 11.5 2C14.5376 2 17 4.46243 17 7.5C17 10.5376 14.5376 13 11.5 13C8.46243 13 6 10.5376 6 7.5ZM14.75 13.5H23.25V23.7945L19.0029 21.1781L14.75 23.7925V13.5ZM12.75 22H2V20C2 16.6863 4.68629 14 8 14H12.75V22Z"
      }
    }]
  };
  var userMarkedFilled = vue.defineComponent({
    name: "UserMarkedFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-user-marked-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$1W(_objectSpread$1W({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$1U, finalProps.value);
    }
  });

  function ownKeys$1V(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$1V(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$1V(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$1V(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$1T = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M11.5 4C9.567 4 8 5.567 8 7.5C8 9.433 9.567 11 11.5 11C13.433 11 15 9.433 15 7.5C15 5.567 13.433 4 11.5 4ZM6 7.5C6 4.46243 8.46243 2 11.5 2C14.5376 2 17 4.46243 17 7.5C17 10.5376 14.5376 13 11.5 13C8.46243 13 6 10.5376 6 7.5ZM14.75 13.5H23.25V23.7945L19.0029 21.1781L14.75 23.7925V13.5ZM16.75 15.5V20.2153L19.0041 18.8297L21.25 20.2133V15.5H16.75ZM8 16C5.79086 16 4 17.7909 4 20H12.8008V22H2V20C2 16.6863 4.68629 14 8 14H12.75V16H8Z"
      }
    }]
  };
  var userMarked = vue.defineComponent({
    name: "UserMarkedIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-user-marked", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$1V(_objectSpread$1V({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$1T, finalProps.value);
    }
  });

  function ownKeys$1U(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$1U(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$1U(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$1U(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$1S = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M11.5 2C8.46243 2 6 4.46243 6 7.5 6 10.5376 8.46243 13 11.5 13 14.5376 13 17 10.5376 17 7.5 17 4.46243 14.5376 2 11.5 2zM2 22H11.5V14H8C4.68629 14 2 16.6863 2 20V22zM21 12H17V16.0029H15.0471L13.5 17.1395V22.5H22.5V17.1395L20.9529 16.0029H19V14H21V12z"
      }
    }]
  };
  var userPasswordFilled = vue.defineComponent({
    name: "UserPasswordFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-user-password-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$1U(_objectSpread$1U({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$1S, finalProps.value);
    }
  });

  function ownKeys$1T(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$1T(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$1T(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$1T(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$1R = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M11.5 4C9.567 4 8 5.567 8 7.5C8 9.433 9.567 11 11.5 11C13.433 11 15 9.433 15 7.5C15 5.567 13.433 4 11.5 4ZM6 7.5C6 4.46243 8.46243 2 11.5 2C14.5376 2 17 4.46243 17 7.5C17 10.5376 14.5376 13 11.5 13C8.46243 13 6 10.5376 6 7.5ZM17 12H21V14H19V16.0029H20.9529L22.5 17.1395V22.5H13.5V17.1395L15.0471 16.0029H17V12ZM8 16C5.79086 16 4 17.7909 4 20H11.5508V22H2V20C2 16.6863 4.68629 14 8 14H11.5V16H8ZM15.5 18.1519V20.5H20.5V18.1519L20.2971 18.0029H15.7029L15.5 18.1519Z"
      }
    }]
  };
  var userPassword = vue.defineComponent({
    name: "UserPasswordIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-user-password", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$1T(_objectSpread$1T({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$1R, finalProps.value);
    }
  });

  function ownKeys$1S(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$1S(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$1S(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$1S(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$1Q = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M6 7.5C6 4.46243 8.46243 2 11.5 2C14.5376 2 17 4.46243 17 7.5C17 10.5376 14.5376 13 11.5 13C8.46243 13 6 10.5376 6 7.5ZM14.5 13.5H23.5V19.1336C23.5 20.1466 22.9888 21.0912 22.1407 21.6452L19 23.6969L15.8593 21.6452C15.0112 21.0912 14.5 20.1466 14.5 19.1336V13.5ZM12.5 22H2V20C2 16.6863 4.68629 14 8 14H12.5V22Z"
      }
    }]
  };
  var userSafetyFilled = vue.defineComponent({
    name: "UserSafetyFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-user-safety-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$1S(_objectSpread$1S({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$1Q, finalProps.value);
    }
  });

  function ownKeys$1R(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$1R(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$1R(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$1R(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$1P = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M11.5 4C9.567 4 8 5.567 8 7.5C8 9.433 9.567 11 11.5 11C13.433 11 15 9.433 15 7.5C15 5.567 13.433 4 11.5 4ZM6 7.5C6 4.46243 8.46243 2 11.5 2C14.5376 2 17 4.46243 17 7.5C17 10.5376 14.5376 13 11.5 13C8.46243 13 6 10.5376 6 7.5ZM16.5 15.5V19.1336C16.5 19.4713 16.6704 19.7861 16.9531 19.9708L19 21.308L21.0469 19.9708C21.3296 19.7861 21.5 19.4713 21.5 19.1336V15.5H16.5ZM14.5 13.5H23.5V19.1336C23.5 20.1466 22.9888 21.0912 22.1407 21.6452L19 23.6969L15.8593 21.6452C15.0112 21.0912 14.5 20.1466 14.5 19.1336V13.5ZM8 16C5.79086 16 4 17.7909 4 20H12.5508V22H2V20C2 16.6863 4.68629 14 8 14H12.5V16H8Z"
      }
    }]
  };
  var userSafety = vue.defineComponent({
    name: "UserSafetyIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-user-safety", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$1R(_objectSpread$1R({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$1P, finalProps.value);
    }
  });

  function ownKeys$1Q(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$1Q(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$1Q(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$1Q(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$1O = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M11.5 2C8.46243 2 6 4.46243 6 7.5 6 10.5376 8.46243 13 11.5 13 14.5376 13 17 10.5376 17 7.5 17 4.46243 14.5376 2 11.5 2zM13 17.75C13 15.1266 15.1266 13 17.75 13 20.3734 13 22.5 15.1266 22.5 17.75 22.5 18.7002 22.221 19.5852 21.7405 20.3276L23.4142 21.999 22.001 23.4142 20.326 21.7415C19.5839 22.2214 18.6995 22.5 17.75 22.5 15.1266 22.5 13 20.3734 13 17.75zM17.75 15C16.2312 15 15 16.2312 15 17.75 15 19.2688 16.2312 20.5 17.75 20.5 19.2688 20.5 20.5 19.2688 20.5 17.75 20.5 16.2312 19.2688 15 17.75 15z"
      }
    }, {
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M12.7495 14C11.9649 15.0446 11.5 16.343 11.5 17.75C11.5 19.3913 12.1326 20.8848 13.1674 22H2V20C2 16.6863 4.68629 14 8 14H12.7495Z"
      }
    }]
  };
  var userSearchFilled = vue.defineComponent({
    name: "UserSearchFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-user-search-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$1Q(_objectSpread$1Q({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$1O, finalProps.value);
    }
  });

  function ownKeys$1P(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$1P(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$1P(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$1P(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$1N = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M11.5 4C9.567 4 8 5.567 8 7.5C8 9.433 9.567 11 11.5 11C13.433 11 15 9.433 15 7.5C15 5.567 13.433 4 11.5 4ZM6 7.5C6 4.46243 8.46243 2 11.5 2C14.5376 2 17 4.46243 17 7.5C17 10.5376 14.5376 13 11.5 13C8.46243 13 6 10.5376 6 7.5ZM17.75 15C16.2312 15 15 16.2312 15 17.75C15 19.2688 16.2312 20.5 17.75 20.5C19.2688 20.5 20.5 19.2688 20.5 17.75C20.5 16.2312 19.2688 15 17.75 15ZM13 17.75C13 15.1266 15.1266 13 17.75 13C20.3734 13 22.5 15.1266 22.5 17.75C22.5 18.7002 22.221 19.5852 21.7405 20.3276L23.4142 21.999L22.001 23.4142L20.326 21.7415C19.5839 22.2214 18.6995 22.5 17.75 22.5C15.1266 22.5 13 20.3734 13 17.75ZM8 16C5.79086 16 4 17.7909 4 20H11.5508V22H2V20C2 16.6863 4.68629 14 8 14H11.5V16H8Z"
      }
    }]
  };
  var userSearch = vue.defineComponent({
    name: "UserSearchIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-user-search", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$1P(_objectSpread$1P({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$1N, finalProps.value);
    }
  });

  function ownKeys$1O(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$1O(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$1O(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$1O(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$1M = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M11.5 2C8.46243 2 6 4.46243 6 7.5 6 10.5376 8.46243 13 11.5 13 14.5376 13 17 10.5376 17 7.5 17 4.46243 14.5376 2 11.5 2zM19.4998 12.75V14.126C20.2147 14.31 20.8523 14.6867 21.3539 15.1975L22.5464 14.509 23.5464 16.241 22.3548 16.929C22.4493 17.2699 22.4998 17.629 22.4998 18 22.4998 18.371 22.4493 18.7301 22.3548 19.071L23.5464 19.759 22.5464 21.491 21.3539 20.8025C20.8523 21.3133 20.2147 21.69 19.4998 21.874V23.25H17.4998V21.874C16.7848 21.69 16.1472 21.3133 15.6457 20.8025L14.4531 21.491 13.4531 19.759 14.6447 19.071C14.5503 18.7301 14.4998 18.371 14.4998 18 14.4998 17.629 14.5503 17.2699 14.6447 16.929L13.4531 16.241 14.4531 14.509 15.6457 15.1975C16.1472 14.6867 16.7848 14.31 17.4998 14.126V12.75H19.4998zM16.7485 17.0333C16.59 17.3198 16.4998 17.6494 16.4998 18 16.4998 18.3506 16.59 18.6802 16.7485 18.9667L16.7851 19.03C17.1349 19.6112 17.7719 20 18.4998 20 19.2276 20 19.8646 19.6112 20.2145 19.03L20.251 18.9668C20.4095 18.6802 20.4998 18.3507 20.4998 18 20.4998 17.6493 20.4095 17.3198 20.251 17.0332L20.2145 16.97C19.8646 16.3888 19.2276 16 18.4998 16 17.7719 16 17.1349 16.3888 16.785 16.97L16.7485 17.0333zM13.0623 14C12.2375 15.1195 11.75 16.5028 11.75 18 11.75 19.4972 12.2375 20.8805 13.0623 22H2V20C2 16.6863 4.68629 14 8 14H13.0623z"
      }
    }]
  };
  var userSettingFilled = vue.defineComponent({
    name: "UserSettingFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-user-setting-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$1O(_objectSpread$1O({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$1M, finalProps.value);
    }
  });

  function ownKeys$1N(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$1N(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$1N(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$1N(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$1L = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M11.5 4C9.567 4 8 5.567 8 7.5 8 9.433 9.567 11 11.5 11 13.433 11 15 9.433 15 7.5 15 5.567 13.433 4 11.5 4zM6 7.5C6 4.46243 8.46243 2 11.5 2 14.5376 2 17 4.46243 17 7.5 17 10.5376 14.5376 13 11.5 13 8.46243 13 6 10.5376 6 7.5zM8 16C5.79086 16 4 17.7909 4 20H12.05V22L2 22 2 20C2 16.6863 4.68629 14 8 14H12V16H8zM19.4999 12.75V14.126C20.2149 14.31 20.8525 14.6867 21.354 15.1975L22.5466 14.509 23.5466 16.241 22.355 16.929C22.4494 17.2699 22.4999 17.629 22.4999 18 22.4999 18.371 22.4494 18.7301 22.355 19.071L23.5466 19.759 22.5466 21.491 21.354 20.8025C20.8525 21.3133 20.2149 21.69 19.4999 21.874V23.25H17.4999V21.874C16.785 21.69 16.1474 21.3133 15.6458 20.8025L14.4533 21.491 13.4533 19.759 14.6449 19.071C14.5504 18.7301 14.4999 18.371 14.4999 18 14.4999 17.629 14.5504 17.2699 14.6449 16.929L13.4533 16.241 14.4533 14.509 15.6458 15.1975C16.1474 14.6867 16.785 14.31 17.4999 14.126V12.75H19.4999zM16.7487 17.0333C16.5902 17.3198 16.4999 17.6494 16.4999 18 16.4999 18.3506 16.5902 18.6802 16.7487 18.9667L16.7852 19.03C17.1351 19.6112 17.7721 20 18.4999 20 19.2278 20 19.8648 19.6112 20.2147 19.03L20.2512 18.9668C20.4097 18.6802 20.4999 18.3507 20.4999 18 20.4999 17.6493 20.4097 17.3198 20.2512 17.0332L20.2147 16.97C19.8648 16.3888 19.2278 16 18.4999 16 17.7721 16 17.1351 16.3888 16.7852 16.97L16.7487 17.0333z"
      }
    }]
  };
  var userSetting = vue.defineComponent({
    name: "UserSettingIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-user-setting", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$1N(_objectSpread$1N({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$1L, finalProps.value);
    }
  });

  function ownKeys$1M(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$1M(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$1M(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$1M(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$1K = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M3.5 7C3.5 4.23858 5.73858 2 8.5 2C11.2614 2 13.5 4.23858 13.5 7C13.5 9.76142 11.2614 12 8.5 12C5.73858 12 3.5 9.76142 3.5 7ZM20.5725 5.64806L21.0704 6.5153C21.6797 7.57662 22.0001 8.77914 21.9996 10.0029C21.9992 11.2267 21.678 12.429 21.0679 13.4899L20.5694 14.3568L18.8356 13.3598L19.3341 12.4929C19.7699 11.7351 19.9993 10.8764 19.9996 10.0022C20 9.12809 19.7711 8.26915 19.3359 7.51107L18.838 6.64382L20.5725 5.64806ZM17.5375 7.39046L18.0354 8.25771C18.34 8.78837 18.5002 9.38962 18.5 10.0015C18.4998 10.6134 18.3392 11.2146 18.0341 11.745L17.5356 12.6119L15.8019 11.6149L16.3003 10.748C16.4311 10.5207 16.4999 10.2631 16.5 10.0008C16.5001 9.73858 16.4314 9.4809 16.3009 9.25347L15.803 8.38623L17.5375 7.39046ZM0 19C0 16.2386 2.23858 14 5 14H12C14.7614 14 17 16.2386 17 19V21C9.78733 21 3.91775 21 0 21V19Z"
      }
    }]
  };
  var userTalk1Filled = vue.defineComponent({
    name: "UserTalk1FilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-user-talk-1-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$1M(_objectSpread$1M({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$1K, finalProps.value);
    }
  });

  function ownKeys$1L(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$1L(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$1L(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$1L(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$1J = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M8.5 4C6.84315 4 5.5 5.34315 5.5 7C5.5 8.65685 6.84315 10 8.5 10C10.1569 10 11.5 8.65685 11.5 7C11.5 5.34315 10.1569 4 8.5 4ZM3.5 7C3.5 4.23858 5.73858 2 8.5 2C11.2614 2 13.5 4.23858 13.5 7C13.5 9.76142 11.2614 12 8.5 12C5.73858 12 3.5 9.76142 3.5 7ZM20.5725 5.64806L21.0704 6.5153C21.6797 7.57662 22.0001 8.77914 21.9996 10.0029C21.9992 11.2267 21.678 12.429 21.0679 13.4899L20.5694 14.3568L18.8356 13.3598L19.3341 12.4929C19.7699 11.7351 19.9993 10.8764 19.9996 10.0022C20 9.12809 19.7711 8.26915 19.3359 7.51107L18.838 6.64382L20.5725 5.64806ZM17.5375 7.39046L18.0354 8.25771C18.34 8.78837 18.5002 9.38962 18.5 10.0015C18.4998 10.6134 18.3392 11.2146 18.0341 11.745L17.5356 12.6119L15.8019 11.6149L16.3003 10.748C16.4311 10.5207 16.4999 10.2631 16.5 10.0008C16.5001 9.73858 16.4314 9.4809 16.3009 9.25347L15.803 8.38623L17.5375 7.39046ZM0 19C0 16.2386 2.23858 14 5 14H12C14.7614 14 17 16.2386 17 19V21H15V19C15 17.3431 13.6569 16 12 16H5C3.34315 16 2 17.3431 2 19V21H0V19Z"
      }
    }]
  };
  var userTalk1 = vue.defineComponent({
    name: "UserTalk1Icon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-user-talk-1", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$1L(_objectSpread$1L({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$1J, finalProps.value);
    }
  });

  function ownKeys$1K(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$1K(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$1K(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$1K(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$1I = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M11.5 2C8.46243 2 6 4.46243 6 7.5 6 10.5376 8.46243 13 11.5 13 14.5376 13 17 10.5376 17 7.5 17 4.46243 14.5376 2 11.5 2zM18.9837 12.9819L19.5863 13.7799C20.5044 14.9956 21.0008 16.4776 21.0003 18.0009 20.9998 19.5243 20.5023 21.0059 19.5834 22.221L18.9802 23.0185 17.385 21.8121 17.9882 21.0145C18.6446 20.1467 18.9999 19.0884 19.0003 18.0002 19.0007 16.9121 18.6461 15.8536 17.9903 14.9852L17.3877 14.1872 18.9837 12.9819z"
      }
    }, {
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M16.1909 15.0911L16.7936 15.8891C17.2526 16.4969 17.5008 17.2379 17.5006 17.9996 17.5003 18.7613 17.2516 19.5021 16.7921 20.1096L16.1889 20.9072 14.5938 19.7007 15.197 18.9032C15.3939 18.6428 15.5005 18.3253 15.5006 17.9989 15.5007 17.6724 15.3943 17.3549 15.1976 17.0944L14.5949 16.2964 16.1909 15.0911zM12.8762 14C12.0139 15.103 11.5 16.4915 11.5 18 11.5 19.5085 12.0139 20.897 12.8762 22H2V20C2 16.6863 4.68629 14 8 14H12.8762z"
      }
    }]
  };
  var userTalkFilled = vue.defineComponent({
    name: "UserTalkFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-user-talk-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$1K(_objectSpread$1K({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$1I, finalProps.value);
    }
  });

  function ownKeys$1J(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$1J(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$1J(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$1J(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$1H = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M2.0043.590088L2.00015.585938.585938 2.00015 3.82053 5.23475C3.61336 5.78365 3.5 6.37859 3.5 7 3.5 9.76142 5.73858 12 8.5 12 9.12141 12 9.71635 11.8866 10.2653 11.6795L12.6244 14.0386C12.4198 14.0131 12.2115 14 12 14H5C2.23858 14 0 16.2386 0 19V21H17V19C17 18.7885 16.9869 18.5802 16.9614 18.3756L22.0002 23.4144 23.4101 22.0045 2 .594389 2.0043.590088zM15.9126 11.6785L15.819 11.5849 16.3002 10.7479C16.431 10.5206 16.4998 10.2629 16.4999 10.0007 16.5 9.73847 16.4313 9.48079 16.3008 9.25336L15.8029 8.38612 17.5374 7.39035 18.0353 8.2576C18.3399 8.78826 18.5001 9.38952 18.4999 10.0014 18.4997 10.6133 18.3391 11.2144 18.034 11.7449L17.5355 12.6118 15.9126 11.6785zM13.1286 8.89455L6.60545 2.37141C7.18976 2.13199 7.82947 2 8.5 2 11.2614 2 13.5 4.23858 13.5 7 13.5 7.67053 13.368 8.31024 13.1286 8.89455zM21.0703 6.51519L20.5724 5.64795 18.8379 6.64371 19.3358 7.51096C19.771 8.26904 19.9999 9.12798 19.9995 10.0021 19.9992 10.8763 19.7698 11.735 19.334 12.4928L18.8355 13.3597 20.5693 14.3567 21.0678 13.4898C21.6779 12.4289 21.9991 11.2266 21.9995 10.0028 22 8.77903 21.6796 7.57652 21.0703 6.51519z"
      }
    }]
  };
  var userTalkOff1Filled = vue.defineComponent({
    name: "UserTalkOff1FilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-user-talk-off-1-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$1J(_objectSpread$1J({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$1H, finalProps.value);
    }
  });

  function ownKeys$1I(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$1I(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$1I(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$1I(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$1G = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M3 1.58594L22.4142 21.0002L21 22.4144L16.9614 18.3758C16.9869 18.5803 17 18.7887 17 19.0002V21.0002H15V19.0002C15 17.3433 13.6569 16.0002 12 16.0002H5C3.34315 16.0002 2 17.3433 2 19.0002V21.0002H0V19.0002C0 16.2387 2.23858 14.0002 5 14.0002H12C12.2115 14.0002 12.4198 14.0133 12.6244 14.0388L10.265 11.6794C9.71549 11.8868 9.12026 12.0002 8.5 12.0002C5.73858 12.0002 3.5 9.76157 3.5 7.00015C3.5 6.37989 3.61337 5.78466 3.82075 5.23511L1.58579 3.00015L3 1.58594ZM5.50116 6.91553C5.50039 6.94363 5.5 6.97184 5.5 7.00015C5.5 8.65701 6.84315 10.0002 8.5 10.0002C8.52831 10.0002 8.55652 9.99976 8.58462 9.99899L5.50116 6.91553ZM8.49974 4.00015C8.37905 4.00015 8.26042 4.00723 8.14419 4.0209L7.15104 4.13775L6.91735 2.15145L7.91049 2.0346C8.10412 2.01182 8.30078 2.00015 8.49974 2.00015C11.2612 2.00015 13.4997 4.23873 13.4997 7.00015C13.4997 7.19911 13.4881 7.39577 13.4653 7.5894L13.3484 8.58255L11.3621 8.34885L11.479 7.3557C11.4927 7.23947 11.4997 7.12085 11.4997 7.00015C11.4997 5.3433 10.1566 4.00015 8.49974 4.00015ZM20.5752 5.64821L21.0731 6.51545C21.6824 7.57677 22.0028 8.77929 22.0024 10.0031C22.002 11.2269 21.6807 12.4291 21.0707 13.49L20.5722 14.3569L18.8384 13.36L19.3369 12.4931C19.7726 11.7353 20.0021 10.8765 20.0024 10.0024C20.0027 9.12824 19.7738 8.2693 19.3386 7.51122L18.8407 6.64397L20.5752 5.64821ZM17.5402 7.39061L18.0381 8.25786C18.3428 8.78852 18.503 9.38977 18.5028 10.0017C18.5025 10.6136 18.3419 11.2147 18.0369 11.7452L17.5384 12.612L15.8046 11.6151L16.3031 10.7482C16.4338 10.5208 16.5027 10.2632 16.5028 10.001C16.5028 9.73873 16.4342 9.48105 16.3036 9.25362L15.8057 8.38638L17.5402 7.39061Z"
      }
    }]
  };
  var userTalkOff1 = vue.defineComponent({
    name: "UserTalkOff1Icon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-user-talk-off-1", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$1I(_objectSpread$1I({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$1G, finalProps.value);
    }
  });

  function ownKeys$1H(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$1H(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$1H(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$1H(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$1F = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M11.5 4C9.567 4 8 5.567 8 7.5C8 9.433 9.567 11 11.5 11C13.433 11 15 9.433 15 7.5C15 5.567 13.433 4 11.5 4ZM6 7.5C6 4.46243 8.46243 2 11.5 2C14.5376 2 17 4.46243 17 7.5C17 10.5376 14.5376 13 11.5 13C8.46243 13 6 10.5376 6 7.5ZM18.9833 12.9818L19.5859 13.7798C20.504 14.9954 21.0004 16.4774 20.9999 18.0008C20.9994 19.5241 20.5019 21.0058 19.583 22.2208L18.9798 23.0184L17.3846 21.812L17.9878 21.0144C18.6442 20.1465 18.9995 19.0882 18.9999 18.0001C19.0003 16.912 18.6457 15.8534 17.9899 14.9851L17.3873 14.1871L18.9833 12.9818ZM8 16C5.79086 16 4 17.7909 4 20H13.0508V22H2V20C2 16.6863 4.68629 14 8 14H13V16H8ZM16.1905 15.0909L16.7932 15.8889C17.2522 16.4967 17.5004 17.2377 17.5002 17.9994C17.4999 18.7611 17.2512 19.5019 16.7917 20.1094L16.1885 20.907L14.5933 19.7006L15.1966 18.903C15.3935 18.6426 15.5001 18.3251 15.5002 17.9987C15.5003 17.6723 15.3939 17.3547 15.1972 17.0942L14.5945 16.2962L16.1905 15.0909Z"
      }
    }]
  };
  var userTalk = vue.defineComponent({
    name: "UserTalkIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-user-talk", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$1H(_objectSpread$1H({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$1F, finalProps.value);
    }
  });

  function ownKeys$1G(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$1G(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$1G(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$1G(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$1E = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M11.5 2C8.46243 2 6 4.46243 6 7.5 6 10.5376 8.46243 13 11.5 13 14.5376 13 17 10.5376 17 7.5 17 4.46243 14.5376 2 11.5 2zM18 12.5C14.9624 12.5 12.5 14.9624 12.5 18 12.5 21.0376 14.9624 23.5 18 23.5 21.0376 23.5 23.5 21.0376 23.5 18 23.5 14.9624 21.0376 12.5 18 12.5zM18.9999 20.4142L17 18.4141V15.752H19V17.5857L20.4142 19.0001 18.9999 20.4142zM12.2547 14C11.4638 15.1338 11 16.5128 11 18 11 19.4872 11.4638 20.8662 12.2547 22H2V20C2 16.6863 4.68629 14 8 14H12.2547z"
      }
    }]
  };
  var userTimeFilled = vue.defineComponent({
    name: "UserTimeFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-user-time-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$1G(_objectSpread$1G({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$1E, finalProps.value);
    }
  });

  function ownKeys$1F(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$1F(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$1F(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$1F(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$1D = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M11.5 4C9.567 4 8 5.567 8 7.5C8 9.433 9.567 11 11.5 11C13.433 11 15 9.433 15 7.5C15 5.567 13.433 4 11.5 4ZM6 7.5C6 4.46243 8.46243 2 11.5 2C14.5376 2 17 4.46243 17 7.5C17 10.5376 14.5376 13 11.5 13C8.46243 13 6 10.5376 6 7.5ZM18 14.5C16.067 14.5 14.5 16.067 14.5 18C14.5 19.933 16.067 21.5 18 21.5C19.933 21.5 21.5 19.933 21.5 18C21.5 16.067 19.933 14.5 18 14.5ZM12.5 18C12.5 14.9624 14.9624 12.5 18 12.5C21.0376 12.5 23.5 14.9624 23.5 18C23.5 21.0376 21.0376 23.5 18 23.5C14.9624 23.5 12.5 21.0376 12.5 18ZM8 16C5.79086 16 4 17.7909 4 20H11.0508V22H2V20C2 16.6863 4.68629 14 8 14H11V16H8ZM19 15.752V17.5858L20.4142 19.0001L18.9999 20.4142L17 18.4141V15.752H19Z"
      }
    }]
  };
  var userTime = vue.defineComponent({
    name: "UserTimeIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-user-time", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$1F(_objectSpread$1F({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$1D, finalProps.value);
    }
  });

  function ownKeys$1E(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$1E(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$1E(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$1E(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$1C = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M11.5 2C8.46243 2 6 4.46243 6 7.5 6 10.5376 8.46243 13 11.5 13 14.5376 13 17 10.5376 17 7.5 17 4.46243 14.5376 2 11.5 2zM18.5776 13.0962L22.252 15.977V17.502H13.75V15.502H18.4046L17.3436 14.6701 18.5776 13.0962zM13.7519 18.4983H22.2542V20.4983H17.5993L18.6603 21.3302 17.4263 22.9041 13.7519 20.0233V18.4983zM12.8762 14C12.0139 15.103 11.5 16.4915 11.5 18 11.5 19.5085 12.0139 20.897 12.8762 22H2V20C2 16.6863 4.68629 14 8 14H12.8762z"
      }
    }]
  };
  var userTransmitFilled = vue.defineComponent({
    name: "UserTransmitFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-user-transmit-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$1E(_objectSpread$1E({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$1C, finalProps.value);
    }
  });

  function ownKeys$1D(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$1D(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$1D(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$1D(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$1B = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M11.5 4C9.567 4 8 5.567 8 7.5C8 9.433 9.567 11 11.5 11C13.433 11 15 9.433 15 7.5C15 5.567 13.433 4 11.5 4ZM6 7.5C6 4.46243 8.46243 2 11.5 2C14.5376 2 17 4.46243 17 7.5C17 10.5376 14.5376 13 11.5 13C8.46243 13 6 10.5376 6 7.5ZM18.5776 13.096L22.252 15.9769V17.5019H13.75V15.5019H18.4046L17.3436 14.67L18.5776 13.096ZM8 16C5.79086 16 4 17.7909 4 20H11.8008V22H2V20C2 16.6863 4.68629 14 8 14H11.75V16H8ZM13.752 18.4981H22.2542V20.4981H17.5993L18.6603 21.33L17.4263 22.904L13.752 20.0231V18.4981Z"
      }
    }]
  };
  var userTransmit = vue.defineComponent({
    name: "UserTransmitIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-user-transmit", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$1D(_objectSpread$1D({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$1B, finalProps.value);
    }
  });

  function ownKeys$1C(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$1C(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$1C(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$1C(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$1A = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M11.5 2C8.46243 2 6 4.46243 6 7.5 6 10.5376 8.46243 13 11.5 13 14.5376 13 17 10.5376 17 7.5 17 4.46243 14.5376 2 11.5 2zM18 14C17.0694 14 16.5 14.6561 16.5 15.2489V16.2489H14.5V15.2489C14.5 13.3576 16.1692 12 18 12 19.8308 12 21.5 13.3576 21.5 15.2489 21.5 16.1644 21.0933 16.9746 20.4733 17.549L19 18.9388V19.6223H17V18.0759L19.1123 16.0834C19.3677 15.8476 19.5 15.5523 19.5 15.2489 19.5 14.6561 18.9306 14 18 14zM16.9991 20.9961H19.003V23H16.9991V20.9961zM12.8762 14C12.0139 15.103 11.5 16.4915 11.5 18 11.5 19.5085 12.0139 20.897 12.8762 22H2V20C2 16.6863 4.68629 14 8 14H12.8762z"
      }
    }]
  };
  var userUnknownFilled = vue.defineComponent({
    name: "UserUnknownFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-user-unknown-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$1C(_objectSpread$1C({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$1A, finalProps.value);
    }
  });

  function ownKeys$1B(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$1B(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$1B(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$1B(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$1z = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M11.5 4C9.567 4 8 5.567 8 7.5C8 9.433 9.567 11 11.5 11C13.433 11 15 9.433 15 7.5C15 5.567 13.433 4 11.5 4ZM6 7.5C6 4.46243 8.46243 2 11.5 2C14.5376 2 17 4.46243 17 7.5C17 10.5376 14.5376 13 11.5 13C8.46243 13 6 10.5376 6 7.5ZM18 14C17.0694 14 16.5 14.6561 16.5 15.2489V16.2489H14.5V15.2489C14.5 13.3576 16.1692 12 18 12C19.8308 12 21.5 13.3576 21.5 15.2489C21.5 16.1644 21.0933 16.9746 20.4733 17.549L19 18.9388V19.6223H17V18.0759L19.1123 16.0834C19.3677 15.8476 19.5 15.5523 19.5 15.2489C19.5 14.6561 18.9306 14 18 14ZM8 16C5.79086 16 4 17.7909 4 20H12.8008V22H2V20C2 16.6863 4.68629 14 8 14H12.75V16H8ZM16.9991 20.9961H19.003V23H16.9991V20.9961Z"
      }
    }]
  };
  var userUnknown = vue.defineComponent({
    name: "UserUnknownIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-user-unknown", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$1B(_objectSpread$1B({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$1z, finalProps.value);
    }
  });

  function ownKeys$1A(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$1A(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$1A(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$1A(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$1y = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M6 7.5C6 4.46243 8.46243 2 11.5 2C14.5376 2 17 4.46243 17 7.5C17 10.5376 14.5376 13 11.5 13C8.46243 13 6 10.5376 6 7.5ZM18 14C17.3096 14 16.75 14.5596 16.75 15.25V16H22.4985V22.5H13.4985V16H14.75V15.25C14.75 13.4551 16.2051 12 18 12C18.8936 12 19.7045 12.3619 20.291 12.9448L21.0003 13.6498L19.5904 15.0683L18.8811 14.3634C18.6541 14.1377 18.3441 14 18 14ZM11.5 22H2V20C2 16.6863 4.68629 14 8 14H11.5V22Z"
      }
    }]
  };
  var userUnlockedFilled = vue.defineComponent({
    name: "UserUnlockedFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-user-unlocked-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$1A(_objectSpread$1A({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$1y, finalProps.value);
    }
  });

  function ownKeys$1z(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$1z(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$1z(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$1z(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$1x = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M11.5 4C9.567 4 8 5.567 8 7.5C8 9.433 9.567 11 11.5 11C13.433 11 15 9.433 15 7.5C15 5.567 13.433 4 11.5 4ZM6 7.5C6 4.46243 8.46243 2 11.5 2C14.5376 2 17 4.46243 17 7.5C17 10.5376 14.5376 13 11.5 13C8.46243 13 6 10.5376 6 7.5ZM18 14C17.3096 14 16.75 14.5596 16.75 15.25V16H22.4985V22.5H13.4985V16H14.75V15.25C14.75 13.4551 16.2051 12 18 12C18.8936 12 19.7045 12.3619 20.291 12.9448L21.0003 13.6498L19.5904 15.0683L18.8811 14.3634C18.6541 14.1377 18.3441 14 18 14ZM15.4985 18V20.5H20.4985V18H15.4985ZM8 16C5.79086 16 4 17.7909 4 20H11.5508V22H2V20C2 16.6863 4.68629 14 8 14H11.5V16H8Z"
      }
    }]
  };
  var userUnlocked = vue.defineComponent({
    name: "UserUnlockedIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-user-unlocked", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$1z(_objectSpread$1z({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$1x, finalProps.value);
    }
  });

  function ownKeys$1y(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$1y(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$1y(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$1y(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$1w = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M11.5 2C8.46243 2 6 4.46243 6 7.5 6 10.5376 8.46243 13 11.5 13 14.5376 13 17 10.5376 17 7.5 17 4.46243 14.5376 2 11.5 2zM14.382 13.5H21.618L23.6992 17.6624 18 23.9948 12.3008 17.6624 14.382 13.5zM12.2547 14C11.4638 15.1338 11 16.5128 11 18 11 19.4872 11.4638 20.8662 12.2547 22H2V20C2 16.6863 4.68629 14 8 14H12.2547z"
      }
    }]
  };
  var userVipFilled = vue.defineComponent({
    name: "UserVipFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-user-vip-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$1y(_objectSpread$1y({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$1w, finalProps.value);
    }
  });

  function ownKeys$1x(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$1x(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$1x(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$1x(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$1v = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M11.5 4C9.567 4 8 5.567 8 7.5C8 9.433 9.567 11 11.5 11C13.433 11 15 9.433 15 7.5C15 5.567 13.433 4 11.5 4ZM6 7.5C6 4.46243 8.46243 2 11.5 2C14.5376 2 17 4.46243 17 7.5C17 10.5376 14.5376 13 11.5 13C8.46243 13 6 10.5376 6 7.5ZM14.382 13.5H21.618L23.6992 17.6624L18 23.9948L12.3008 17.6624L14.382 13.5ZM15.618 15.5L14.6992 17.3376L18 21.0052L21.3008 17.3376L20.382 15.5H15.618ZM8 16C5.79086 16 4 17.7909 4 20H11.0508V22H2V20C2 16.6863 4.68629 14 8 14H11V16H8Z"
      }
    }]
  };
  var userVip = vue.defineComponent({
    name: "UserVipIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-user-vip", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$1x(_objectSpread$1x({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$1v, finalProps.value);
    }
  });

  function ownKeys$1w(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$1w(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$1w(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$1w(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$1u = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M11.5 2C8.46243 2 6 4.46243 6 7.5 6 10.5376 8.46243 13 11.5 13 14.5376 13 17 10.5376 17 7.5 17 4.46243 14.5376 2 11.5 2zM23.5902 18C23.5902 18 21.9185 22.5 17.5002 22.5 13.0818 22.5 11.4102 18 11.4102 18 11.4102 18 13.0838 13.5 17.5002 13.5 21.9165 13.5 23.5902 18 23.5902 18zM18.748 17H16.248V19H18.748V17z"
      }
    }, {
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M9.53584 18.6981L9.27637 17.9996L9.53611 17.3012L9.53676 17.2995L9.53818 17.2957L9.54153 17.2868L9.55026 17.2641C9.55698 17.2467 9.56553 17.225 9.57595 17.1993C9.59677 17.1478 9.62512 17.08 9.66133 16.9981C9.73359 16.8346 9.83804 16.6131 9.97744 16.3527C10.2539 15.8364 10.6805 15.1439 11.2845 14.4436C11.4114 14.2966 11.5472 14.1481 11.6921 14H8C4.68629 14 2 16.6863 2 20V22H11.6913C11.5463 21.8519 11.4105 21.7033 11.2836 21.5562C10.6796 20.8558 10.2533 20.1632 9.97688 19.6467C9.83755 19.3864 9.73318 19.1648 9.66097 19.0013C9.62478 18.9194 9.59645 18.8515 9.57565 18.8C9.56524 18.7743 9.5567 18.7526 9.54998 18.7352L9.54126 18.7125L9.53791 18.7036L9.53649 18.6998L9.53584 18.6981Z"
      }
    }]
  };
  var userVisibleFilled = vue.defineComponent({
    name: "UserVisibleFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-user-visible-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$1w(_objectSpread$1w({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$1u, finalProps.value);
    }
  });

  function ownKeys$1v(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$1v(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$1v(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$1v(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$1t = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M11.5 4C9.567 4 8 5.567 8 7.5 8 9.433 9.567 11 11.5 11 13.433 11 15 9.433 15 7.5 15 5.567 13.433 4 11.5 4zM6 7.5C6 4.46243 8.46243 2 11.5 2 14.5376 2 17 4.46243 17 7.5 17 10.5376 14.5376 13 11.5 13 8.46243 13 6 10.5376 6 7.5zM8 16C5.79086 16 4 17.7909 4 20H11.05V22H2V20C2 16.6863 4.68629 14 8 14H11V16H8zM16.2476 19.0002V17.0002H18.7476V19.0002H16.2476z"
      }
    }, {
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M17.4998 22.5C21.9181 22.5 23.5898 18 23.5898 18C23.5898 18 21.9161 13.5 17.4998 13.5C13.0834 13.5 11.4098 18 11.4098 18C11.4098 18 13.0814 22.5 17.4998 22.5ZM17.498 20.5C14.8825 20.5 13.6285 18 13.6285 18C13.6285 18 14.8774 15.5 17.498 15.5C20.1187 15.5 21.3685 18 21.3685 18C21.3685 18 20.1136 20.5 17.498 20.5Z"
      }
    }]
  };
  var userVisible = vue.defineComponent({
    name: "UserVisibleIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-user-visible", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$1v(_objectSpread$1v({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$1t, finalProps.value);
    }
  });

  function ownKeys$1u(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$1u(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$1u(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$1u(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$1s = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M12 4C10.067 4 8.5 5.567 8.5 7.5C8.5 9.433 10.067 11 12 11C13.933 11 15.5 9.433 15.5 7.5C15.5 5.567 13.933 4 12 4ZM6.5 7.5C6.5 4.46243 8.96243 2 12 2C15.0376 2 17.5 4.46243 17.5 7.5C17.5 10.5376 15.0376 13 12 13C8.96243 13 6.5 10.5376 6.5 7.5ZM3 19C3 16.2386 5.23858 14 8 14H16C18.7614 14 21 16.2386 21 19V22H3V19ZM8 16C6.34315 16 5 17.3431 5 19V20H19V19C19 17.3431 17.6569 16 16 16H8Z"
      }
    }]
  };
  var user = vue.defineComponent({
    name: "UserIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-user", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$1u(_objectSpread$1u({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$1s, finalProps.value);
    }
  });

  function ownKeys$1t(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$1t(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$1t(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$1t(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$1r = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M18 5C18.9214 5 19.8929 5.23169 20.676 5.75374C21.4671 6.28116 22 7.07483 22 8C22 8.92517 21.4671 9.71884 20.676 10.2463C19.8929 10.7683 18.9214 11 18 11C17.0786 11 16.107 10.7683 15.324 10.2463C14.5328 9.71884 14 8.92517 14 8C14 7.07483 14.5328 6.28116 15.324 5.75374C16.107 5.23169 17.0786 5 18 5ZM5.99999 10.8292C6.40944 10.6848 6.79381 10.4488 7.12131 10.1213C8.29288 8.94975 8.29288 7.05025 7.12131 5.87868C5.94974 4.70711 4.05024 4.70711 2.87867 5.87868C1.70709 7.05025 1.70709 8.94975 2.87867 10.1213C3.20616 10.4488 3.59053 10.6848 3.99999 10.8292V12H1.99999V14H3.99999V15.5857L1.58594 17.9986L2.99984 19.4132L5.00035 17.4135L7.00291 19.4132L8.41609 17.9979L5.99999 15.5854V14H7.99999V12H5.99999V10.8292ZM9.49999 7H12.5V9H9.49999V7ZM18 13C18.9214 13 19.8929 13.2317 20.676 13.7537C21.4671 14.2812 22 15.0748 22 16C22 16.9252 21.4671 17.7188 20.676 18.2463C19.8929 18.7683 18.9214 19 18 19C17.0786 19 16.107 18.7683 15.324 18.2463C14.5328 17.7188 14 16.9252 14 16C14 15.0748 14.5328 14.2812 15.324 13.7537C16.107 13.2317 17.0786 13 18 13ZM9.49999 15H12.5V17H9.49999V15Z"
      }
    }]
  };
  var usercaseFilled = vue.defineComponent({
    name: "UsercaseFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-usercase-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$1t(_objectSpread$1t({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$1r, finalProps.value);
    }
  });

  function ownKeys$1s(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$1s(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$1s(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$1s(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$1q = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M6 9C6.92138 9 7.89295 9.23169 8.67602 9.75374C9.46716 10.2812 10 11.0748 10 12C10 12.9252 9.46716 13.7188 8.67602 14.2463C7.89295 14.7683 6.92138 15 6 15C5.07862 15 4.10705 14.7683 3.32398 14.2463C2.53284 13.7188 2 12.9252 2 12C2 11.0748 2.53284 10.2812 3.32398 9.75374C4.10705 9.23169 5.07862 9 6 9ZM18 9C18.9214 9 19.893 9.23169 20.676 9.75374C21.4672 10.2812 22 11.0748 22 12C22 12.9252 21.4672 13.7188 20.676 14.2463C19.893 14.7683 18.9214 15 18 15C17.0786 15 16.107 14.7683 15.324 14.2463C14.5328 13.7188 14 12.9252 14 12C14 11.0748 14.5328 10.2812 15.324 9.75374C16.107 9.23169 17.0786 9 18 9ZM10.998 10.9961H13.002V13H10.998V10.9961Z"
      }
    }]
  };
  var usercaseLinkFilled = vue.defineComponent({
    name: "UsercaseLinkFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-usercase-link-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$1s(_objectSpread$1s({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$1q, finalProps.value);
    }
  });

  function ownKeys$1r(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$1r(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$1r(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$1r(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$1p = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M6 11C5.38585 11 4.82189 11.1588 4.43338 11.4178C4.05295 11.6715 4 11.9015 4 12C4 12.0985 4.05295 12.3285 4.43338 12.5822C4.82189 12.8412 5.38585 13 6 13C6.61415 13 7.17811 12.8412 7.56662 12.5822C7.94705 12.3285 8 12.0985 8 12C8 11.9015 7.94705 11.6715 7.56662 11.4178C7.17811 11.1588 6.61415 11 6 11ZM6 9C6.92138 9 7.89295 9.23169 8.67602 9.75374C9.46716 10.2812 10 11.0748 10 12C10 12.9252 9.46716 13.7188 8.67602 14.2463C7.89295 14.7683 6.92138 15 6 15C5.07862 15 4.10705 14.7683 3.32398 14.2463C2.53284 13.7188 2 12.9252 2 12C2 11.0748 2.53284 10.2812 3.32398 9.75374C4.10705 9.23169 5.07862 9 6 9ZM18 11C17.3858 11 16.8219 11.1588 16.4334 11.4178C16.0529 11.6715 16 11.9015 16 12C16 12.0985 16.0529 12.3285 16.4334 12.5822C16.8219 12.8412 17.3858 13 18 13C18.6142 13 19.1781 12.8412 19.5666 12.5822C19.9471 12.3285 20 12.0985 20 12C20 11.9015 19.9471 11.6715 19.5666 11.4178C19.1781 11.1588 18.6142 11 18 11ZM18 9C18.9214 9 19.893 9.23169 20.676 9.75374C21.4672 10.2812 22 11.0748 22 12C22 12.9252 21.4672 13.7188 20.676 14.2463C19.893 14.7683 18.9214 15 18 15C17.0786 15 16.107 14.7683 15.324 14.2463C14.5328 13.7188 14 12.9252 14 12C14 11.0748 14.5328 10.2812 15.324 9.75374C16.107 9.23169 17.0786 9 18 9ZM10.998 10.9961H13.002V13H10.998V10.9961Z"
      }
    }]
  };
  var usercaseLink = vue.defineComponent({
    name: "UsercaseLinkIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-usercase-link", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$1r(_objectSpread$1r({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$1p, finalProps.value);
    }
  });

  function ownKeys$1q(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$1q(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$1q(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$1q(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$1o = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M18 7C17.3858 7 16.8219 7.15883 16.4334 7.41784C16.0529 7.67146 16 7.90148 16 8C16 8.09852 16.0529 8.32854 16.4334 8.58216C16.8219 8.84117 17.3858 9 18 9C18.6141 9 19.1781 8.84117 19.5666 8.58216C19.947 8.32854 20 8.09852 20 8C20 7.90148 19.947 7.67146 19.5666 7.41784C19.1781 7.15883 18.6141 7 18 7ZM18 5C18.9214 5 19.8929 5.23169 20.676 5.75374C21.4671 6.28116 22 7.07483 22 8C22 8.92517 21.4671 9.71884 20.676 10.2463C19.8929 10.7683 18.9214 11 18 11C17.0786 11 16.107 10.7683 15.324 10.2463C14.5328 9.71884 14 8.92517 14 8C14 7.07483 14.5328 6.28116 15.324 5.75374C16.107 5.23169 17.0786 5 18 5ZM5.70709 7.29289C6.09762 7.68342 6.09762 8.31658 5.70709 8.70711C5.51221 8.902 5.25689 8.99963 5.00146 9C5.00048 9 4.9995 9 4.99852 9C4.74309 8.99963 4.48777 8.902 4.29288 8.70711C3.90236 8.31658 3.90236 7.68342 4.29288 7.29289C4.68341 6.90237 5.31657 6.90237 5.70709 7.29289ZM5.99999 10.8292C6.40944 10.6848 6.79381 10.4488 7.12131 10.1213C8.29288 8.94975 8.29288 7.05025 7.12131 5.87868C5.94974 4.70711 4.05024 4.70711 2.87867 5.87868C1.70709 7.05025 1.70709 8.94975 2.87867 10.1213C3.20616 10.4488 3.59053 10.6848 3.99999 10.8292V12H1.99999V14H3.99999V15.5857L1.58594 17.9986L2.99984 19.4132L5.00035 17.4135L7.00291 19.4132L8.41609 17.9979L5.99999 15.5854V14H7.99999V12H5.99999V10.8292ZM9.49999 7H12.5V9H9.49999V7ZM18 15C17.3858 15 16.8219 15.1588 16.4334 15.4178C16.0529 15.6715 16 15.9015 16 16C16 16.0985 16.0529 16.3285 16.4334 16.5822C16.8219 16.8412 17.3858 17 18 17C18.6141 17 19.1781 16.8412 19.5666 16.5822C19.947 16.3285 20 16.0985 20 16C20 15.9015 19.947 15.6715 19.5666 15.4178C19.1781 15.1588 18.6141 15 18 15ZM18 13C18.9214 13 19.8929 13.2317 20.676 13.7537C21.4671 14.2812 22 15.0748 22 16C22 16.9252 21.4671 17.7188 20.676 18.2463C19.8929 18.7683 18.9214 19 18 19C17.0786 19 16.107 18.7683 15.324 18.2463C14.5328 17.7188 14 16.9252 14 16C14 15.0748 14.5328 14.2812 15.324 13.7537C16.107 13.2317 17.0786 13 18 13ZM9.49999 15H12.5V17H9.49999V15Z"
      }
    }]
  };
  var usercase = vue.defineComponent({
    name: "UsercaseIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-usercase", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$1q(_objectSpread$1q({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$1o, finalProps.value);
    }
  });

  function ownKeys$1p(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$1p(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$1p(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$1p(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$1n = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M9 5C7.34315 5 6 6.34315 6 8 6 9.65685 7.34315 11 9 11V13C6.23858 13 4 15.2386 4 18V22H2V18C2 15.3075 3.52021 12.97 5.74913 11.7991 4.67847 10.882 4 9.52024 4 8 4 5.23858 6.23858 3 9 3H10V5H9zM10 8C10 5.23858 12.2386 3 15 3 17.7614 3 20 5.23858 20 8 20 10.7614 17.7614 13 15 13 12.2386 13 10 10.7614 10 8zM16.2251 14C15.1629 15.0028 14.5 16.424 14.5 18 14.5 19.576 15.1629 20.9972 16.2251 22H7V19C7 16.2386 9.23858 14 12 14H16.2251z"
      }
    }, {
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M24.0004 18.9999V16.9999H21.0004V13.9999H19.0004V16.9999L16.0004 16.9999V18.9999L19.0004 18.9999L19.0004 21.9999H21.0004L21.0004 18.9999H24.0004Z"
      }
    }]
  };
  var usergroupAddFilled = vue.defineComponent({
    name: "UsergroupAddFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-usergroup-add-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$1p(_objectSpread$1p({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$1n, finalProps.value);
    }
  });

  function ownKeys$1o(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$1o(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$1o(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$1o(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$1m = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M9 5C7.34315 5 6 6.34315 6 8C6 9.65685 7.34315 11 9 11V13C6.23858 13 4 15.2386 4 18V22H2V18C2 15.3075 3.52021 12.97 5.74913 11.7991C4.67847 10.882 4 9.52024 4 8C4 5.23858 6.23858 3 9 3H10V5H9ZM15 5C13.3431 5 12 6.34315 12 8C12 9.65685 13.3431 11 15 11C16.6569 11 18 9.65685 18 8C18 6.34315 16.6569 5 15 5ZM10 8C10 5.23858 12.2386 3 15 3C17.7614 3 20 5.23858 20 8C20 10.7614 17.7614 13 15 13C12.2386 13 10 10.7614 10 8ZM7 19C7 16.2386 9.23858 14 12 14H15V16H12C10.3431 16 9 17.3431 9 19V20H15V22H7V19ZM21 14V17H24V19H21V22H19V19H16V17H19V14H21Z"
      }
    }]
  };
  var usergroupAdd = vue.defineComponent({
    name: "UsergroupAddIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-usergroup-add", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$1o(_objectSpread$1o({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$1m, finalProps.value);
    }
  });

  function ownKeys$1n(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$1n(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$1n(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$1n(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$1l = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M9 5C7.34315 5 6 6.34315 6 8 6 9.65685 7.34315 11 9 11V13C6.23858 13 4 15.2386 4 18V22H2V18C2 15.3075 3.52021 12.97 5.74913 11.7991 4.67847 10.882 4 9.52024 4 8 4 5.23858 6.23858 3 9 3H10V5H9zM10 8C10 5.23858 12.2386 3 15 3 17.7614 3 20 5.23858 20 8 20 10.7614 17.7614 13 15 13 12.2386 13 10 10.7614 10 8zM16.2251 14C15.1629 15.0028 14.5 16.424 14.5 18 14.5 19.576 15.1629 20.9972 16.2251 22H7V19C7 16.2386 9.23858 14 12 14H16.2251zM23.5359 15.8786L22.1217 14.4644 20.0004 16.5857 17.8791 14.4644 16.4648 15.8786 18.5862 17.9999 16.4648 20.1212 17.8791 21.5354 20.0004 19.4141 22.1217 21.5354 23.5359 20.1212 21.4146 17.9999 23.5359 15.8786z"
      }
    }]
  };
  var usergroupClearFilled = vue.defineComponent({
    name: "UsergroupClearFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-usergroup-clear-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$1n(_objectSpread$1n({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$1l, finalProps.value);
    }
  });

  function ownKeys$1m(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$1m(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$1m(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$1m(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$1k = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M9 5C7.34315 5 6 6.34315 6 8C6 9.65685 7.34315 11 9 11V13C6.23858 13 4 15.2386 4 18V22H2V18C2 15.3075 3.52021 12.97 5.74913 11.7991C4.67847 10.882 4 9.52024 4 8C4 5.23858 6.23858 3 9 3H10V5H9ZM15 5C13.3431 5 12 6.34315 12 8C12 9.65685 13.3431 11 15 11C16.6569 11 18 9.65685 18 8C18 6.34315 16.6569 5 15 5ZM10 8C10 5.23858 12.2386 3 15 3C17.7614 3 20 5.23858 20 8C20 10.7614 17.7614 13 15 13C12.2386 13 10 10.7614 10 8ZM7 19C7 16.2386 9.23858 14 12 14H15V16H12C10.3431 16 9 17.3431 9 19V20H15V22H7V19ZM17.8787 14.4644L20 16.5858L22.1213 14.4644L23.5355 15.8786L21.4142 18L23.5355 20.1213L22.1213 21.5355L20 19.4142L17.8787 21.5355L16.4645 20.1213L18.5858 18L16.4645 15.8786L17.8787 14.4644Z"
      }
    }]
  };
  var usergroupClear = vue.defineComponent({
    name: "UsergroupClearIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-usergroup-clear", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$1m(_objectSpread$1m({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$1k, finalProps.value);
    }
  });

  function ownKeys$1l(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$1l(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$1l(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$1l(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$1j = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M7 5C5.34315 5 4 6.34315 4 8C4 9.65685 5.34315 11 7 11V13C4.23858 13 2 15.2386 2 18V22H0V18C0 15.3075 1.52021 12.97 3.74913 11.7991C2.67847 10.882 2 9.52024 2 8C2 5.23858 4.23858 3 7 3H8V4.99951C8.91223 3.78534 10.3644 3 12 3C13.6356 3 15.0878 3.78534 16 4.99951V3H17C19.7614 3 22 5.23858 22 8C22 9.52024 21.3215 10.882 20.2509 11.7991C22.4798 12.97 24 15.3075 24 18V22H22V18C22 15.2386 19.7614 13 17 13V11C18.6569 11 20 9.65685 20 8C20 6.34315 18.6569 5 17 5L16 4.99951C16.6277 5.83517 17 6.87439 17 8C17 10.7614 14.7614 13 12 13C9.23858 13 7 10.7614 7 8C7 6.87439 7.37231 5.83517 8 4.99951L7 5ZM4 19C4 16.2386 6.23858 14 9 14H15C17.7614 14 20 16.2386 20 19V22H4V19Z"
      }
    }]
  };
  var usergroupFilled = vue.defineComponent({
    name: "UsergroupFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-usergroup-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$1l(_objectSpread$1l({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$1j, finalProps.value);
    }
  });

  function ownKeys$1k(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$1k(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$1k(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$1k(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$1i = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M7 5C5.34315 5 4 6.34315 4 8C4 9.65685 5.34315 11 7 11V13C4.23858 13 2 15.2386 2 18V22H0V18C0 15.3075 1.52021 12.97 3.74913 11.7991C2.67847 10.882 2 9.52024 2 8C2 5.23858 4.23858 3 7 3H8V4.99951C8.91223 3.78534 10.3644 3 12 3C13.6356 3 15.0878 3.78534 16 4.99951V3H17C19.7614 3 22 5.23858 22 8C22 9.52024 21.3215 10.882 20.2509 11.7991C22.4798 12.97 24 15.3075 24 18V22H22V18C22 15.2386 19.7614 13 17 13V11C18.6569 11 20 9.65685 20 8C20 6.34315 18.6569 5 17 5L16 4.99951C16.6277 5.83517 17 6.87439 17 8C17 10.7614 14.7614 13 12 13C9.23858 13 7 10.7614 7 8C7 6.87439 7.37231 5.83517 8 4.99951L7 5ZM12 5C10.3431 5 9 6.34315 9 8C9 9.65685 10.3431 11 12 11C13.6569 11 15 9.65685 15 8C15 6.34315 13.6569 5 12 5ZM4 19C4 16.2386 6.23858 14 9 14H15C17.7614 14 20 16.2386 20 19V22H4V19ZM9 16C7.34315 16 6 17.3431 6 19V20H18V19C18 17.3431 16.6569 16 15 16H9Z"
      }
    }]
  };
  var usergroup = vue.defineComponent({
    name: "UsergroupIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-usergroup", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$1k(_objectSpread$1k({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$1i, finalProps.value);
    }
  });

  function ownKeys$1j(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$1j(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$1j(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$1j(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$1h = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M2 3C0.895431 3 0 3.89543 0 5V18C0 19.1046 0.89543 20 2 20H2.58579L2.08579 20.5L3.5 21.9142L5.41421 20H8V12H2V5H13V7H15V5C15 3.89543 14.1046 3 13 3H2ZM3 15H5.00391V17.0039H3V15Z"
      }
    }, {
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M21.677 8H11.323L9 13.8074V21.5H11V20H22V21.5H24V13.8074L21.677 8ZM21.123 12H11.877L12.677 10H20.323L21.123 12ZM12 15H14.0039V17.0039H12V15ZM21.0039 15V17.0039H19V15H21.0039Z"
      }
    }]
  };
  var vehicleFilled = vue.defineComponent({
    name: "VehicleFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-vehicle-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$1j(_objectSpread$1j({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$1h, finalProps.value);
    }
  });

  function ownKeys$1i(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$1i(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$1i(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$1i(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$1g = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M0 5C0 3.89543 0.895431 3 2 3H13C14.1046 3 15 3.89543 15 5V7H13V5H2V12H8V14H2V18H8V20H5.41421L3.5 21.9142L2.08579 20.5L2.58579 20H2C0.89543 20 0 19.1046 0 18V5ZM11.323 8H21.677L24 13.8074V21.5H22V20H11V21.5H9V13.8074L11.323 8ZM11 18H22V14.1926L21.923 14H11.077L11 14.1926V18ZM11.877 12H21.123L20.323 10H12.677L11.877 12ZM3 15H5.00391V17.0039H3V15ZM12 15H14.0039V17.0039H12V15ZM19 15H21.0039V17.0039H19V15Z"
      }
    }]
  };
  var vehicle = vue.defineComponent({
    name: "VehicleIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-vehicle", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$1i(_objectSpread$1i({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$1g, finalProps.value);
    }
  });

  function ownKeys$1h(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$1h(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$1h(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$1h(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$1f = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M15.6162 3.26835L11.9994 0.186157L8.38263 3.26835L3.64575 3.64636L3.26774 8.38324L0.185547 12L3.26774 15.6168L3.64575 20.3537L8.38264 20.7317L11.9994 23.8139L15.6162 20.7317L20.3531 20.3537L20.7311 15.6168L23.8133 12L20.7311 8.38325L20.3531 3.64636L15.6162 3.26835ZM10.9994 16.4142L6.58521 12L7.99942 10.5858L10.9994 13.5858L16.4994 8.08582L17.9136 9.50003L10.9994 16.4142Z"
      }
    }]
  };
  var verifiedFilled = vue.defineComponent({
    name: "VerifiedFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-verified-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$1h(_objectSpread$1h({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$1f, finalProps.value);
    }
  });

  function ownKeys$1g(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$1g(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$1g(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$1g(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$1e = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "g",
      "attrs": {
        "clipPath": "url(#clip0_8726_7351)"
      },
      "children": [{
        "tag": "path",
        "attrs": {
          "fill": "currentColor",
          "d": "M12.0004 0.186157L15.6172 3.26835L20.354 3.64636L20.7321 8.38325L23.8142 12L20.7321 15.6168L20.354 20.3537L15.6172 20.7317L12.0004 23.8139L8.38361 20.7317L3.64672 20.3537L3.26872 15.6168L0.186523 12L3.26872 8.38324L3.64672 3.64636L8.38361 3.26835L12.0004 0.186157ZM12.0004 2.81388L9.18808 5.21051L5.50481 5.50444L5.21088 9.18771L2.81425 12L5.21088 14.8123L5.50481 18.4956L9.18808 18.7895L12.0004 21.1862L14.8127 18.7895L18.496 18.4956L18.7899 14.8123L21.1865 12L18.7899 9.18771L18.496 5.50444L14.8127 5.21051L12.0004 2.81388ZM17.9146 9.50002L11.0004 16.4142L6.58617 12L8.00039 10.5858L11.0004 13.5858L16.5004 8.08581L17.9146 9.50002Z"
        }
      }]
    }]
  };
  var verified = vue.defineComponent({
    name: "VerifiedIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-verified", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$1g(_objectSpread$1g({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$1e, finalProps.value);
    }
  });

  function ownKeys$1f(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$1f(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$1f(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$1f(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$1d = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M1 3V21H23V3H1ZM5 9H9.5V11H5V9ZM5 13H9.5V15H5V13ZM18 10C18 10.9537 17.466 11.7826 16.6807 12.2042C18.0328 12.6886 19 13.9813 19 15.5V16.5H12V15.5C12 13.9813 12.9672 12.6886 14.3193 12.2042C13.534 11.7826 13 10.9537 13 10C13 8.61929 14.1193 7.5 15.5 7.5C16.8807 7.5 18 8.61929 18 10Z"
      }
    }]
  };
  var verifyFilled = vue.defineComponent({
    name: "VerifyFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-verify-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$1f(_objectSpread$1f({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$1d, finalProps.value);
    }
  });

  function ownKeys$1e(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$1e(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$1e(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$1e(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$1c = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M1 3L23 3V21H1L1 3ZM3 5L3 19H21V5L3 5ZM15.5 9.5C16.0523 9.5 16.5 9.94772 16.5 10.5C16.5 11.0523 16.0523 11.5 15.5 11.5C14.9477 11.5 14.5 11.0523 14.5 10.5C14.5 9.94772 14.9477 9.5 15.5 9.5ZM17.9003 12.2999C18.2769 11.7985 18.5 11.1753 18.5 10.5C18.5 8.84315 17.1569 7.5 15.5 7.5C13.8431 7.5 12.5 8.84315 12.5 10.5C12.5 11.1753 12.7231 11.7985 13.0997 12.2999C12.1283 13.0297 11.5 14.1915 11.5 15.5V16.5H13.5V15.5C13.5 14.3954 14.3954 13.5 15.5 13.5C16.6046 13.5 17.5 14.3954 17.5 15.5V16.5H19.5V15.5C19.5 14.1915 18.8717 13.0297 17.9003 12.2999ZM5 9H9.5V11H5V9ZM5 13H9.5V15H5V13Z"
      }
    }]
  };
  var verify = vue.defineComponent({
    name: "VerifyIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-verify", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$1e(_objectSpread$1e({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$1c, finalProps.value);
    }
  });

  function ownKeys$1d(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$1d(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$1d(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$1d(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$1b = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M2 2H18V8H2V2zM2 10H18V22H2V10zM22 2V22H20V2H22z"
      }
    }]
  };
  var verticalFilled = vue.defineComponent({
    name: "VerticalFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-vertical-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$1d(_objectSpread$1d({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$1b, finalProps.value);
    }
  });

  function ownKeys$1c(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$1c(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$1c(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$1c(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$1a = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M2 2H18V8H2V2zM4 4V6H16V4H4zM2 10H18V22H2V10zM4 12V20H16V12H4zM22 2V22H20V2H22z"
      }
    }]
  };
  var vertical = vue.defineComponent({
    name: "VerticalIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-vertical", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$1c(_objectSpread$1c({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$1a, finalProps.value);
    }
  });

  function ownKeys$1b(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$1b(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$1b(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$1b(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$19 = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M17 4H0V20H17V15.7232L24 19.7232V4.23382L17 8.43382V4ZM10 10H4V8H10V10Z"
      }
    }]
  };
  var videoCamera1Filled = vue.defineComponent({
    name: "VideoCamera1FilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-video-camera-1-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$1b(_objectSpread$1b({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$19, finalProps.value);
    }
  });

  function ownKeys$1a(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$1a(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$1a(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$1a(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$18 = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M0 4H17V8.43382L24 4.23382V19.7232L17 15.7232V20H0V4ZM17 13.4197L22 16.2768V7.76619L17 10.7662V13.4197ZM2 6V18H15V6H2ZM4 8H10V10H4V8Z"
      }
    }]
  };
  var videoCamera1 = vue.defineComponent({
    name: "VideoCamera1Icon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-video-camera-1", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$1a(_objectSpread$1a({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$18, finalProps.value);
    }
  });

  function ownKeys$19(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$19(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$19(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$19(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$17 = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M15.5005 10H18V13L23 10.523L23 21.477L18 19V22H1V10H2.55051C1.90223 9.36474 1.5 8.47935 1.5 7.5C1.5 5.567 3.067 4 5 4C6.01874 4 6.93582 4.43525 7.57544 5.12993C7.9872 2.78327 10.0353 1 12.5 1C15.2614 1 17.5 3.23858 17.5 6C17.5 7.6356 16.7147 9.08777 15.5005 10ZM8.28962 8.69794C8.10893 9.19401 7.81923 9.63769 7.44949 10H9.49951C9.02297 9.64197 8.61249 9.20076 8.28962 8.69794Z"
      }
    }]
  };
  var videoCamera2Filled = vue.defineComponent({
    name: "VideoCamera2FilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-video-camera-2-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$19(_objectSpread$19({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$17, finalProps.value);
    }
  });

  function ownKeys$18(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$18(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$18(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$18(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$16 = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M12.5 3C14.433 3 16 4.567 16 6.5C16 8.433 14.433 10 12.5 10C10.567 10 9 8.433 9 6.5C9 4.567 10.567 3 12.5 3ZM16.7428 10C17.5282 9.04906 18 7.82963 18 6.5C18 3.46243 15.5376 1 12.5 1C10.0845 1 8.03263 2.55718 7.29358 4.72247C6.64419 4.26719 5.8533 4 5 4C2.79086 4 1 5.79086 1 8C1 8.72858 1.19479 9.41166 1.53513 10H1L1 22H18V19.477L23 21.477L23 10.523L18 12.523V10H16.7428ZM18 14.677L21 13.477L21 18.523L18 17.323V14.677ZM16 12V20H3L3 12L5 12C5.00002 12 5.00103 12 5.00105 12L16 12ZM5.00007 10C5.00004 10 5.00009 10 5.00007 10C3.8955 10 3 9.10457 3 8C3 6.89543 3.89543 6 5 6C6.10457 6 7 6.89543 7 8C7 9.10455 6.10461 9.99996 5.00007 10Z"
      }
    }]
  };
  var videoCamera2 = vue.defineComponent({
    name: "VideoCamera2Icon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-video-camera-2", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$18(_objectSpread$18({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$16, finalProps.value);
    }
  });

  function ownKeys$17(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$17(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$17(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$17(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$15 = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M24 19.7232V4.23382L17 8.43382V4H0V20L17 20V15.7232L24 19.7232ZM12.3 12L6 16.2V7.8L12.3 12Z"
      }
    }]
  };
  var videoCamera3Filled = vue.defineComponent({
    name: "VideoCamera3FilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-video-camera-3-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$17(_objectSpread$17({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$15, finalProps.value);
    }
  });

  function ownKeys$16(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$16(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$16(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$16(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$14 = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M24 4.23382V19.7232L17 15.7232V20L0 20L6.9938e-07 4L17 4V8.43382L24 4.23382ZM17 10.7662V13.4197L22 16.2768V7.76619L17 10.7662ZM15 18V6L2 6L2 18H15ZM13.3028 12L6 16.8685L6 7.13148L13.3028 12ZM8 10.8685V13.1315L9.69722 12L8 10.8685Z"
      }
    }]
  };
  var videoCamera3 = vue.defineComponent({
    name: "VideoCamera3Icon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-video-camera-3", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$16(_objectSpread$16({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$14, finalProps.value);
    }
  });

  function ownKeys$15(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$15(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$15(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$15(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$13 = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M17 4H0V20H17V15.7232L24 19.7232V4.23382L17 8.43382V4ZM9.5 8H11.5V10H7.5V11L9.5 11C10.6046 11 11.5 11.8954 11.5 13V14C11.5 15.1046 10.6046 16 9.5 16L9.5 17L7.5 17L7.5 16L5.5 16V14H9.5V13H7.5C6.39543 13 5.5 12.1046 5.5 11V10C5.5 8.89543 6.39543 8 7.5 8V7H9.5V8Z"
      }
    }]
  };
  var videoCameraDollarFilled = vue.defineComponent({
    name: "VideoCameraDollarFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-video-camera-dollar-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$15(_objectSpread$15({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$13, finalProps.value);
    }
  });

  function ownKeys$14(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$14(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$14(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$14(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$12 = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M6.55651e-07 3.99805L17 3.99805L17 8.43186L24 4.23186V19.7212L17 15.7212V19.998H0L6.55651e-07 3.99805ZM17 13.4177L22 16.2749V7.76423L17 10.7642V13.4177ZM2 5.99805L2 17.998L15 17.998L15 5.99805L2 5.99805ZM9.50004 7V8H11.5V10H7.50004V11L9.50004 11C10.6046 11 11.5 11.8954 11.5 13V14C11.5 15.1046 10.6046 16 9.50004 16L9.50004 17L7.50004 17L7.50004 16L5.50004 16V14H9.50004V13H7.50004C6.39548 13 5.50004 12.1046 5.50004 11V10C5.50004 8.89543 6.39547 8 7.50004 8V7H9.50004Z"
      }
    }]
  };
  var videoCameraDollar = vue.defineComponent({
    name: "VideoCameraDollarIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-video-camera-dollar", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$14(_objectSpread$14({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$12, finalProps.value);
    }
  });

  function ownKeys$13(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$13(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$13(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$13(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$11 = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 25 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M0.226318 4H17.2263V8.43381L24.2263 4.23381V19.7662L17.2263 15.5662V20H0.226318V4Z"
      }
    }]
  };
  var videoCameraFilled = vue.defineComponent({
    name: "VideoCameraFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-video-camera-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$13(_objectSpread$13({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$11, finalProps.value);
    }
  });

  function ownKeys$12(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$12(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$12(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$12(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$10 = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M17 4H0V20H17V15.7232L24 19.7232V4.23382L17 8.43382V4ZM4.5 13V11H12.5V13L4.5 13Z"
      }
    }]
  };
  var videoCameraMinusFilled = vue.defineComponent({
    name: "VideoCameraMinusFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-video-camera-minus-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$12(_objectSpread$12({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$10, finalProps.value);
    }
  });

  function ownKeys$11(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$11(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$11(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$11(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$$ = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M24 4.23381V19.7232L17 15.7232V20L0 20L6.9938e-07 4L17 4V8.43382L24 4.23381ZM17 10.7662V13.4197L22 16.2768V7.76619L17 10.7662ZM15 18V6L2 6L2 18H15ZM12.5 13L4.5 13V11H12.5V13Z"
      }
    }]
  };
  var videoCameraMinus = vue.defineComponent({
    name: "VideoCameraMinusIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-video-camera-minus", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$11(_objectSpread$11({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$$, finalProps.value);
    }
  });

  function ownKeys$10(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$10(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$10(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$10(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$_ = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M17 4H0V20H17V15.7232L24 19.7232V4.23382L17 8.43382V4ZM12 7V9H10V14.5C10 15.8807 8.88072 17 7.5 17C6.11929 17 5 15.8807 5 14.5C5 13.1193 6.11929 12 7.5 12C7.67123 12 7.83845 12.0172 8 12.05V7H12Z"
      }
    }]
  };
  var videoCameraMusicFilled = vue.defineComponent({
    name: "VideoCameraMusicFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-video-camera-music-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$10(_objectSpread$10({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$_, finalProps.value);
    }
  });

  function ownKeys$$(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$$(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$$(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$$(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$Z = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M24 4.23382V19.7232L17 15.7232V20L0 20L6.9938e-07 4L17 4V8.43382L24 4.23382ZM17 10.7662V13.4197L22 16.2768V7.76619L17 10.7662ZM15 6L2 6L2 18H15L15 6ZM12.5 9L10.5 9L10.5 14C10.5 15.6569 9.15686 17 7.5 17C5.84315 17 4.5 15.6569 4.5 14C4.5 12.3431 5.84315 11 7.5 11C7.85064 11 8.18722 11.0602 8.5 11.1707L8.5 7H12.5V9ZM8.5 14C8.5 13.4477 8.05229 13 7.5 13C6.94772 13 6.5 13.4477 6.5 14C6.5 14.5523 6.94772 15 7.5 15C8.05229 15 8.5 14.5523 8.5 14Z"
      }
    }]
  };
  var videoCameraMusic = vue.defineComponent({
    name: "VideoCameraMusicIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-video-camera-music", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$$(_objectSpread$$({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$Z, finalProps.value);
    }
  });

  function ownKeys$_(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$_(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$_(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$_(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$Y = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M23.4144 22.0002L2.00015.585938.585938 2.00015 2.58579 4H0V20H17V18.4142L22.0002 23.4144 23.4144 22.0002zM24 19.7232L23.9001 19.6661 8.23404 4H17V8.43382L24 4.23382V19.7232z"
      }
    }]
  };
  var videoCameraOffFilled = vue.defineComponent({
    name: "VideoCameraOffFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-video-camera-off-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$_(_objectSpread$_({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$Y, finalProps.value);
    }
  });

  function ownKeys$Z(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$Z(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$Z(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$Z(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$X = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 25 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M3 1.58594L22.4142 21.0002L21 22.4144L17 18.4144V20.0002H0V4.00015H2.58579L1.58579 3.00015L3 1.58594ZM4.58579 6.00015H2V18.0002H15V16.4144L4.58579 6.00015ZM7.58171 3.99869L17 4.00085L17 8.43397L24 4.23397V16.0002L24.0035 19.4162L22 17.4146V7.76634L17.0007 10.7659L17.0039 13.4209L15 11.415L15 6.00141L9.58704 6.00211L7.58171 3.99869Z"
      }
    }]
  };
  var videoCameraOff = vue.defineComponent({
    name: "VideoCameraOffIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-video-camera-off", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$Z(_objectSpread$Z({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$X, finalProps.value);
    }
  });

  function ownKeys$Y(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$Y(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$Y(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$Y(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$W = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M0 4H17V8.43381L24 4.23381V19.7662L17 15.5662V20H0V4ZM15 6H2V18H15V6ZM17 13.2338L22 16.2338V7.76619L17 10.7662V13.2338Z"
      }
    }]
  };
  var videoCamera = vue.defineComponent({
    name: "VideoCameraIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-video-camera", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$Y(_objectSpread$Y({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$W, finalProps.value);
    }
  });

  function ownKeys$X(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$X(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$X(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$X(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$V = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M22 2H2V22H22V2ZM16.75 11.9998L8.75 16.5V7.5L16.75 11.9998Z",
        "fillOpacity": 0.9
      }
    }]
  };
  var videoFilled = vue.defineComponent({
    name: "VideoFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-video-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$X(_objectSpread$X({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$V, finalProps.value);
    }
  });

  function ownKeys$W(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$W(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$W(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$W(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$U = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M18.0001 2H6.00005V4H18.0001V2zM20.0001 5H4.00005V7H20.0001V5zM22.1612 8H1.83887L3.93887 22H20.0612L22.1612 8zM15.1667 15L10.5 18.5V11.5L15.1667 15z"
      }
    }]
  };
  var videoLibraryFilled = vue.defineComponent({
    name: "VideoLibraryFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-video-library-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$W(_objectSpread$W({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$U, finalProps.value);
    }
  });

  function ownKeys$V(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$V(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$V(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$V(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$T = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M6.00005 2H18.0001V4H6.00005V2ZM4.00005 5H20.0001V7H4.00005V5ZM1.83887 8H22.1612L20.0612 22H3.93887L1.83887 8ZM4.16124 10L5.66124 20H18.3389L19.8389 10H4.16124ZM10.5001 11.5L15.1667 15L10.5001 18.5V11.5Z"
      }
    }]
  };
  var videoLibrary = vue.defineComponent({
    name: "VideoLibraryIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-video-library", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$V(_objectSpread$V({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$T, finalProps.value);
    }
  });

  function ownKeys$U(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$U(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$U(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$U(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$S = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M2 2H22V22H2V2ZM4 4V20H20V4H4ZM8 6.37083L17.75 12L8 17.6292L8 6.37083ZM10 9.83494L10 14.1651L13.75 12L10 9.83494Z"
      }
    }]
  };
  var video = vue.defineComponent({
    name: "VideoIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-video", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$U(_objectSpread$U({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$S, finalProps.value);
    }
  });

  function ownKeys$T(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$T(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$T(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$T(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$R = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M2 3H22V11H2V3ZM2 13H22V21H2V13Z"
      }
    }]
  };
  var viewAgendaFilled = vue.defineComponent({
    name: "ViewAgendaFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-view-agenda-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$T(_objectSpread$T({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$R, finalProps.value);
    }
  });

  function ownKeys$S(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$S(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$S(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$S(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$Q = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M2 3H22V11H2V3ZM4 5V9H20V5H4ZM2 13H22V21H2V13ZM4 15V19H20V15H4Z"
      }
    }]
  };
  var viewAgenda = vue.defineComponent({
    name: "ViewAgendaIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-view-agenda", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$S(_objectSpread$S({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$Q, finalProps.value);
    }
  });

  function ownKeys$R(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$R(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$R(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$R(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$P = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M6 2V22H4V2H6ZM13 2L13 22H11L11 2L13 2ZM20 2V22H18L18 2L20 2Z"
      }
    }]
  };
  var viewColumn = vue.defineComponent({
    name: "ViewColumnIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-view-column", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$R(_objectSpread$R({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$P, finalProps.value);
    }
  });

  function ownKeys$Q(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$Q(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$Q(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$Q(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$O = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M6.5 1.5H1.5V6.5H3.5V3.5H6.5V1.5zM22.5 1.5H17.5V3.5H20.5V6.5H22.5V1.5zM18.0549 7.34129L11.9997 3.8453 5.94548 7.34069 11.9991 10.8345 18.0549 7.34129zM19.0614 9.06958L12.999 12.5666V19.5778L19.0619 16.0774 19.0614 9.06958zM10.999 19.5769V12.5665L4.93841 9.06867 4.9375 16.0774 10.999 19.5769zM3.5 20.5V17.5H1.5V22.5H6.5V20.5H3.5zM22.5 22.5V17.5H20.5V20.5H17.5V22.5H22.5z"
      }
    }]
  };
  var viewInArFilled = vue.defineComponent({
    name: "ViewInArFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-view-in-ar-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$Q(_objectSpread$Q({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$O, finalProps.value);
    }
  });

  function ownKeys$P(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$P(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$P(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$P(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$N = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M1.5 1.5H6.5V3.5H3.5V6.5H1.5V1.5ZM17.5 1.5H22.5V6.5H20.5V3.5H17.5V1.5ZM11.9997 3.8453L19.0614 7.92236L19.0619 16.0774L11.9997 20.1547L4.9375 16.0774L4.93856 7.92204L11.9997 3.8453ZM6.93775 10.2312L6.9375 14.9227L10.9998 17.268L11.0001 12.5766L6.93775 10.2312ZM12.9998 17.2679L17.0619 14.9227L17.0617 10.2316L13.0001 12.5766L12.9998 17.2679ZM12.0001 10.8446L16.0614 8.49976L11.9997 6.1547L7.93836 8.4995L12.0001 10.8446ZM3.5 17.5V20.5H6.5V22.5H1.5V17.5H3.5ZM22.5 17.5V22.5H17.5V20.5H20.5V17.5H22.5Z"
      }
    }]
  };
  var viewInAr = vue.defineComponent({
    name: "ViewInArIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-view-in-ar", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$P(_objectSpread$P({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$N, finalProps.value);
    }
  });

  function ownKeys$O(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$O(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$O(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$O(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$M = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M2 4H3H21H22V6H21H3H2V4ZM2 11H3H21H22V13H21H3H2V11ZM3 18H2V20H3H21H22V18H21H3Z"
      }
    }]
  };
  var viewList = vue.defineComponent({
    name: "ViewListIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-view-list", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$O(_objectSpread$O({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$M, finalProps.value);
    }
  });

  function ownKeys$N(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$N(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$N(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$N(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$L = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M9 13V21H14.9955V13H9zM16.9955 21H23V13H16.9955V21zM23 11V3H16.9955V11H23zM14.9955 3H9V11H14.9955V3zM7 3H1V11H7V3zM1 13H7V21L1 21V13z"
      }
    }]
  };
  var viewModuleFilled = vue.defineComponent({
    name: "ViewModuleFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-view-module-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$N(_objectSpread$N({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$L, finalProps.value);
    }
  });

  function ownKeys$M(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$M(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$M(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$M(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$K = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M1 3H23V21H1V3ZM3 5V11H7.66667V5H3ZM9.66667 5V11H14.3333V5H9.66667ZM16.3333 5V11H21V5H16.3333ZM21 13H16.3333V19H21V13ZM14.3333 19V13H9.66667V19H14.3333ZM7.66667 19V13H3V19H7.66667Z"
      }
    }]
  };
  var viewModule = vue.defineComponent({
    name: "ViewModuleIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-view-module", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$M(_objectSpread$M({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$K, finalProps.value);
    }
  });

  function ownKeys$L(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$L(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$L(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$L(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$J = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M22 2H2V22H14.8762C14.0139 20.897 13.5 19.5085 13.5 18C13.5 16.61 13.9363 15.3219 14.6794 14.2652L9 8.58579L4 13.5858V4H20V11.5C20.6978 11.5 21.3699 11.61 22 11.8135V2Z"
      }
    }, {
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M16 5.25C14.4812 5.25 13.25 6.48122 13.25 8 13.25 9.51878 14.4812 10.75 16 10.75 17.5188 10.75 18.75 9.51878 18.75 8 18.75 6.48122 17.5188 5.25 16 5.25zM24 16V14H16V16H19V23H21V16H24z"
      }
    }]
  };
  var visualRecognitionFilled = vue.defineComponent({
    name: "VisualRecognitionFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-visual-recognition-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$L(_objectSpread$L({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$J, finalProps.value);
    }
  });

  function ownKeys$K(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$K(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$K(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$K(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$I = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M2 2H22V12H20V4H4V13.5858L9 8.58579L13.9142 13.5L12.5 14.9142L9 11.4142L4 16.4142V20H17V22H2V2ZM15.5469 7C14.9946 7 14.5469 7.44772 14.5469 8C14.5469 8.55228 14.9946 9 15.5469 9C16.0992 9 16.5469 8.55228 16.5469 8C16.5469 7.44772 16.0992 7 15.5469 7ZM12.5469 8C12.5469 6.34315 13.89 5 15.5469 5C17.2037 5 18.5469 6.34315 18.5469 8C18.5469 9.65685 17.2037 11 15.5469 11C13.89 11 12.5469 9.65685 12.5469 8ZM16 14H24V16H21V23H19V16H16V14Z"
      }
    }]
  };
  var visualRecognition = vue.defineComponent({
    name: "VisualRecognitionIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-visual-recognition", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$K(_objectSpread$K({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$I, finalProps.value);
    }
  });

  function ownKeys$J(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$J(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$J(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$J(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$H = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M5.00002 2C3.34318 2 2.00004 3.34313 2.00002 4.99997L2 22H19C20.6568 22 22 20.6569 22 19V9C22 7.34314 20.6568 6 19 6H5.00002C4.44773 6 4.00001 5.55228 4.00002 4.99999C4.00003 4.44771 4.44774 4 5.00002 4H20V2H5.00002ZM18 15H15V13H18V15Z"
      }
    }]
  };
  var walletFilled = vue.defineComponent({
    name: "WalletFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-wallet-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$J(_objectSpread$J({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$H, finalProps.value);
    }
  });

  function ownKeys$I(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$I(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$I(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$I(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$G = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M2.00002 4.99997C2.00004 3.34313 3.34318 2 5.00002 2H20V4H5.00002C4.44774 4 4.00003 4.44771 4.00002 4.99999C4.00001 5.55228 4.44773 6 5.00002 6H19C20.6568 6 22 7.34314 22 9V19C22 20.6569 20.6568 22 19 22H2L2.00002 4.99997V4.99997ZM4 7.82929V20H19C19.5522 20 20 19.5523 20 19V9C20 8.44772 19.5522 8 19 8H5.00002C4.64938 8 4.31278 7.93984 4 7.82929ZM15 13H18V15H15V13Z"
      }
    }]
  };
  var wallet = vue.defineComponent({
    name: "WalletIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-wallet", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$I(_objectSpread$I({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$G, finalProps.value);
    }
  });

  function ownKeys$H(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$H(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$H(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$H(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$F = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M7.11722 0H16.8828L17.3859 4.02458C18.8605 4.21393 20 5.47389 20 7V9H21V15H20V17C20 18.5261 18.8605 19.7861 17.3859 19.9754L16.8828 24H7.11722L6.61414 19.9754C5.13954 19.7861 4 18.5261 4 17V7C4 5.47389 5.13954 4.21393 6.61414 4.02458L7.11722 0ZM7 18H17C17.5523 18 18 17.5523 18 17V7C18 6.44772 17.5523 6 17 6H7C6.44772 6 6 6.44772 6 7V17C6 17.5523 6.44772 18 7 18Z"
      }
    }]
  };
  var watchFilled = vue.defineComponent({
    name: "WatchFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-watch-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$H(_objectSpread$H({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$F, finalProps.value);
    }
  });

  function ownKeys$G(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$G(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$G(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$G(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$E = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M7.11722 0H16.8828L17.3859 4.02458C18.8605 4.21393 20 5.47389 20 7V9H21V15H20V17C20 18.5261 18.8605 19.7861 17.3859 19.9754L16.8828 24H7.11722L6.61414 19.9754C5.13954 19.7861 4 18.5261 4 17V7C4 5.47389 5.13954 4.21393 6.61414 4.02458L7.11722 0ZM8.63278 4H15.3672L15.1172 2H8.88278L8.63278 4ZM7 18H17C17.5523 18 18 17.5523 18 17V7C18 6.44772 17.5523 6 17 6H7C6.44772 6 6 6.44772 6 7V17C6 17.5523 6.44772 18 7 18ZM8.63278 20L8.88278 22H15.1172L15.3672 20H8.63278Z"
      }
    }]
  };
  var watch = vue.defineComponent({
    name: "WatchIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-watch", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$G(_objectSpread$G({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$E, finalProps.value);
    }
  });

  function ownKeys$F(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$F(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$F(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$F(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$D = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M17.5006 1.08594L18.2077 1.79304C20.0103 3.59563 20.5457 6.52564 20.5006 8.99865L20.5006 9.00139C20.4936 15.3483 15.3501 20.4923 9.00341 20.5001C6.52295 20.552 3.83978 19.8266 1.88216 18.286L0.99707 17.5895L17.5006 1.08594ZM16.5023 8.49805H14.4984V10.502H16.5023V8.49805ZM13.5023 11.498H11.4984V13.502H13.5023V11.498ZM10.5023 14.498H8.49835V16.502H10.5023V14.498Z"
      }
    }, {
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M21.4997 9.49986C21.4997 16.1273 16.1271 21.4999 9.49968 21.4999C7.90658 21.4999 6.386 21.1894 4.99512 20.6257C5.29501 20.799 5.60178 20.9644 5.91307 21.12C7.50687 21.9163 9.31045 22.4998 10.9883 22.4998C17.3461 22.4998 22.5001 17.3458 22.5001 10.988C22.5001 9.31017 21.9166 7.50658 21.1203 5.91278C20.964 5.60007 20.7978 5.29192 20.6237 4.99072C21.1886 6.38285 21.4997 7.90502 21.4997 9.49986Z"
      }
    }]
  };
  var watermelonFilled = vue.defineComponent({
    name: "WatermelonFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-watermelon-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$F(_objectSpread$F({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$D, finalProps.value);
    }
  });

  function ownKeys$E(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$E(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$E(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$E(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$C = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M17.9946 0.59082L1.59082 16.9946L2.28748 17.7017C3.32792 18.7576 4.81049 19.8194 6.41278 20.62C8.00658 21.4163 9.81015 21.9998 11.488 21.9998C17.8458 21.9998 22.9998 16.8458 22.9998 10.488C22.9998 8.81017 22.4163 7.00659 21.62 5.41278C20.8194 3.81048 19.7577 2.32791 18.7016 1.28747L17.9946 0.59082ZM20.9408 9.66091C20.9796 9.94539 20.9998 10.222 20.9998 10.488C20.9998 15.7412 16.7412 19.9998 11.488 19.9998C11.222 19.9998 10.9454 19.9796 10.6609 19.9408C16.0821 19.3922 20.3922 15.0821 20.9408 9.66091ZM17.9035 3.51032C18.3671 4.29781 18.6493 5.27542 18.8101 6.21714C18.9175 6.8457 18.9638 7.41526 18.9837 7.82761C18.9936 8.03296 18.9969 8.198 18.9981 8.31075C18.9986 8.36125 18.9987 8.40115 18.9988 8.43244L18.9989 8.44357C18.9989 8.45743 18.999 8.47714 18.9992 8.49321C18.9993 8.49607 18.9994 8.50416 18.9998 8.51518C18.9851 13.7559 14.7322 17.9998 9.48802 17.9998H9.47022L9.45433 18.0004L9.45296 18.0004L9.42857 18.0009C9.40692 18.0013 9.37201 18.0016 9.32501 18.0014C9.23092 18.001 9.08881 17.9983 8.90792 17.9888C8.54524 17.9699 8.0317 17.9239 7.43985 17.8164C6.55047 17.6547 5.52481 17.3612 4.57295 16.8409L17.9035 3.51032ZM17.0018 7.99785H14.9979V10.0018H17.0018V7.99785ZM14.0018 10.9979H11.9979V13.0018H14.0018V10.9979ZM11.0018 13.9979H8.99786V16.0018H11.0018V13.9979Z"
      }
    }]
  };
  var watermelon = vue.defineComponent({
    name: "WatermelonIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-watermelon", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$E(_objectSpread$E({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$C, finalProps.value);
    }
  });

  function ownKeys$D(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$D(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$D(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$D(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$B = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M10.3171 4.64037C10.8542 4.10349 11.7252 4.10476 12.2608 4.64322L17.5146 9.92546 17.0702 8.82974C16.5106 7.45007 18.0758 6.1798 19.3108 7.01131 19.4992 7.13813 19.6565 7.30585 19.771 7.50194L22.1506 11.5767C23.7982 14.3981 23.3362 17.9757 21.0259 20.2859L20.1816 21.1303C17.3739 23.9379 12.8218 23.9379 10.0142 21.1303L4.9797 16.0946C4.44301 15.5578 4.44284 14.6877 4.97932 14.1506 5.51623 13.6132 6.38723 13.613 6.92441 14.1501L8.528 15.7537 9.05907 15.2227 5.36896 11.5326C4.8321 10.9957 4.83209 10.1253 5.36894 9.58839 5.90581 9.05149 6.77627 9.05148 7.31315 9.58836L11.0033 13.2785 11.5336 12.7481 6.47673 7.69128C5.93991 7.15446 5.93974 6.28415 6.47635 5.74712 7.01326 5.20979 7.88416 5.20962 8.42128 5.74674L13.4781 10.8036 14.0083 10.2734 10.3168 6.58191C9.78067 6.04574 9.78077 5.17641 10.3171 4.64037zM17.9793 1.54565L18.8026 2.11317C20.009 2.94467 21.0554 3.99115 21.8869 5.19753L22.4544 6.02091 20.8076 7.15589 20.2401 6.3325C19.5467 5.3264 18.6737 4.45335 17.6676 3.75989L16.8442 3.19237 17.9793 1.54565zM3.19237 16.8442L3.75989 17.6676C4.45335 18.6737 5.3264 19.5467 6.3325 20.2401L7.15589 20.8076 6.02091 22.4544 5.19753 21.8869C3.99115 21.0554 2.94467 20.009 2.11317 18.8026L1.54565 17.9793 3.19237 16.8442z"
      }
    }]
  };
  var waveByeFilled = vue.defineComponent({
    name: "WaveByeFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-wave-bye-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$D(_objectSpread$D({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$B, finalProps.value);
    }
  });

  function ownKeys$C(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$C(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$C(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$C(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$A = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M17.9794 1.54565L18.8028 2.11317C20.0091 2.94468 21.0555 3.99115 21.887 5.19753L22.4545 6.02091L20.8077 7.15589L20.2402 6.3325C19.5468 5.3264 18.6738 4.45335 17.6677 3.75989L16.8444 3.19237L17.9794 1.54565ZM11.456 6.87772C11.3046 6.72632 11.0591 6.72632 10.9077 6.87772C10.7565 7.02899 10.7563 7.27417 10.9074 7.4256C10.9075 7.42572 10.9072 7.42547 10.9074 7.4256L16.1444 12.6626L14.7301 14.0768L8.12671 7.47336C7.97531 7.32197 7.72985 7.32197 7.57846 7.47336C7.42707 7.62475 7.42707 7.87021 7.57846 8.0216L14.1819 14.625L12.7677 16.0393L7.53106 10.8026C7.37967 10.6512 7.13421 10.6512 6.98282 10.8026C6.83143 10.954 6.83142 11.1995 6.98282 11.3509L12.2194 16.5875L10.8052 18.0017L7.65339 14.8499C7.50277 14.6993 7.25857 14.6993 7.10796 14.8499C6.95734 15.0005 6.95734 15.2447 7.10796 15.3953L11.4284 19.7157C13.455 21.7424 16.7408 21.7424 18.7674 19.7157L19.6117 18.8714C21.2793 17.2038 21.6128 14.6215 20.4235 12.585L18.1973 8.7726C18.1541 8.69875 18.0569 8.67784 17.9872 8.72741C17.9377 8.76265 17.9153 8.82494 17.931 8.88365L18.5997 11.3793C18.6285 11.4866 18.6431 11.6127 18.628 11.7496C18.6235 11.7907 18.6131 11.8628 18.5853 11.9488C18.5629 12.0177 18.4974 12.1994 18.3234 12.3651C18.1003 12.5775 17.7664 12.6944 17.4178 12.6174C17.1473 12.5577 16.9832 12.4049 16.9261 12.3479L11.456 6.87772ZM5.98839 13.1849L5.5686 12.7651C4.63616 11.8326 4.63616 10.3209 5.5686 9.38842C5.67092 9.2861 5.78021 9.19502 5.89495 9.11515C5.24266 8.18383 5.33243 6.89096 6.16425 6.05915C6.99606 5.22733 8.28893 5.13756 9.22026 5.78985C9.30012 5.67511 9.3912 5.56582 9.49352 5.4635C10.426 4.53106 11.9377 4.53106 12.8702 5.4635L15.9478 8.5411C16.0297 7.9716 16.3393 7.44535 16.8278 7.09777C17.8553 6.3668 19.2885 6.67519 19.9243 7.76405L22.1506 11.5764C23.7982 14.3978 23.3362 17.9754 21.0259 20.2856L20.1816 21.13C17.374 23.9376 12.8218 23.9376 10.0142 21.13L5.69374 16.8095C4.76208 15.8779 4.76208 14.3673 5.69374 13.4357C5.78659 13.3428 5.88519 13.2592 5.98839 13.1849ZM3.1925 16.8442L3.76002 17.6676C4.45347 18.6737 5.32653 19.5467 6.33263 20.2401L7.15601 20.8076L6.02104 22.4544L5.19765 21.8869C3.99127 21.0554 2.9448 20.009 2.1133 18.8026L1.54578 17.9793L3.1925 16.8442Z"
      }
    }]
  };
  var waveBye = vue.defineComponent({
    name: "WaveByeIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-wave-bye", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$C(_objectSpread$C({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$A, finalProps.value);
    }
  });

  function ownKeys$B(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$B(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$B(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$B(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$z = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M7.07996 3.01688L6.25658 3.58437C5.25048 4.27779 4.37742 5.15081 3.68397 6.15688L3.11645 6.98024 1.46973 5.8452 2.03725 5.02184C2.86875 3.81549 3.91522 2.76906 5.1216 1.9376L5.94498 1.37012 7.07996 3.01688zM10.2448 4.46556C10.7819 3.92867 11.6529 3.92995 12.1885 4.4684L17.4423 9.75065 16.9979 8.65493C16.4384 7.27525 18.0035 6.00498 19.2385 6.83649 19.4269 6.96332 19.5842 7.13103 19.6987 7.32712L22.0783 11.4019C23.7259 14.2233 23.2639 17.8009 20.9536 20.1111L20.1093 20.9554C17.3017 23.7631 12.7495 23.7631 9.94188 20.9554L4.90742 15.9198C4.37073 15.383 4.37056 14.5128 4.90705 13.9758 5.44395 13.4384 6.31495 13.4382 6.85213 13.9753L8.45572 15.5789 8.98679 15.0478 5.29669 11.3577C4.75982 10.8209 4.75981 9.95045 5.29666 9.41357 5.83353 8.87668 6.70399 8.87667 7.24088 9.41355L10.931 13.1037 11.4613 12.5733 6.40446 7.51647C5.86764 6.97965 5.86747 6.10934 6.40408 5.57231 6.94099 5.03498 7.81188 5.0348 8.349 5.57192L13.4059 10.6288 13.9361 10.0986 10.2446 6.4071C9.70839 5.87093 9.7085 5.0016 10.2448 4.46556z"
      }
    }]
  };
  var waveLeftFilled = vue.defineComponent({
    name: "WaveLeftFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-wave-left-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$B(_objectSpread$B({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$z, finalProps.value);
    }
  });

  function ownKeys$A(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$A(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$A(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$A(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$y = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M7.15613 3.19218L6.33275 3.75966C5.32665 4.45308 4.45359 5.3261 3.76014 6.33217L3.19262 7.15553L1.5459 6.02049L2.11342 5.19713C2.94492 3.99079 3.99139 2.94435 5.19777 2.1129L6.02116 1.54541L7.15613 3.19218ZM11.4561 6.87746C11.3047 6.72607 11.0592 6.72607 10.9079 6.87746C10.7566 7.02873 10.7565 7.27392 10.9075 7.42534C10.9074 7.42522 10.9076 7.42546 10.9075 7.42534L16.1445 12.6623L14.7303 14.0765L8.12683 7.4731C7.97543 7.32171 7.72998 7.32171 7.57858 7.4731C7.42719 7.6245 7.42719 7.86996 7.57858 8.02135L14.182 14.6248L12.7678 16.039L7.53119 10.8024C7.53106 10.8023 7.53131 10.8025 7.53119 10.8024C7.37976 10.6513 7.13421 10.6511 6.98294 10.8024C6.83155 10.9538 6.83155 11.1992 6.98294 11.3506L9.06682 13.4345C9.06712 13.4348 9.06742 13.4351 9.06773 13.4354L12.2196 16.5872L10.8053 18.0015L7.65351 14.8496C7.5029 14.699 7.2587 14.699 7.10808 14.8496C6.95746 15.0002 6.95746 15.2444 7.10808 15.3951L11.4285 19.7155C13.4551 21.7421 16.7409 21.7421 18.7675 19.7155L19.6118 18.8712C21.2794 17.2036 21.6129 14.6212 20.4237 12.5847L18.1974 8.77235C18.1543 8.6985 18.0571 8.67758 17.9874 8.72716C17.9378 8.76239 17.9154 8.82469 17.9312 8.88339L18.5999 11.379C18.6286 11.4864 18.6432 11.6124 18.6281 11.7493C18.6236 11.7904 18.6132 11.8624 18.5854 11.9484C18.5631 12.0173 18.4977 12.1988 18.3238 12.3645C18.1009 12.577 17.767 12.6942 17.4182 12.6172C17.1476 12.5575 16.9833 12.4047 16.9263 12.3476L11.4561 6.87746ZM5.98851 13.1846L5.56873 12.7648C4.63629 11.8324 4.63628 10.3206 5.56873 9.38816C5.67104 9.28585 5.78033 9.19476 5.89507 9.1149C5.24279 8.18357 5.33255 6.89071 6.16437 6.05889C6.99619 5.22707 8.28905 5.13731 9.22038 5.78959C9.30024 5.67485 9.39133 5.56556 9.49364 5.46325C10.4261 4.53081 11.9379 4.53081 12.8703 5.46325L15.9479 8.54084C16.0298 7.97135 16.3394 7.4451 16.8279 7.09751C17.8554 6.36655 19.2886 6.67494 19.9245 7.76379L22.1508 11.5762C23.7983 14.3976 23.3363 17.9751 21.0261 20.2854L20.1818 21.1297C17.3741 23.9374 12.822 23.9374 10.0143 21.1297L5.69386 16.8093C4.7622 15.8776 4.7622 14.3671 5.69386 13.4354C5.78671 13.3426 5.88531 13.259 5.98851 13.1846Z"
      }
    }]
  };
  var waveLeft = vue.defineComponent({
    name: "WaveLeftIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-wave-left", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$A(_objectSpread$A({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$y, finalProps.value);
    }
  });

  function ownKeys$z(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$z(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$z(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$z(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$x = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M18.0471 1.37012L18.8705 1.9376C20.0768 2.76906 21.1233 3.81549 21.9548 5.02184L22.5223 5.8452 20.8756 6.98024 20.3081 6.15688C19.6146 5.15081 18.7416 4.27779 17.7355 3.58437L16.9121 3.01688 18.0471 1.37012zM13.7523 4.46212C13.2151 3.92523 12.3441 3.92651 11.8086 4.46497L6.55473 9.74721 6.99913 8.65149C7.55869 7.27181 5.99352 6.00154 4.75852 6.83306 4.57016 6.95988 4.41285 7.12759 4.29834 7.32369L1.91873 11.3985C.271144 14.2198.733135 17.7974 3.04341 20.1077L3.88772 20.952C6.69539 23.7597 11.2475 23.7597 14.0552 20.952L19.0896 15.9164C19.6263 15.3796 19.6265 14.5094 19.09 13.9724 18.5531 13.4349 17.6821 13.4347 17.1449 13.9719L15.5413 15.5755 15.0103 15.0444 18.7004 11.3543C19.2372 10.8174 19.2372 9.94702 18.7004 9.41014 18.1635 8.87324 17.2931 8.87323 16.7562 9.41011L13.0661 13.1002 12.5357 12.5699 17.5926 7.51303C18.1294 6.97621 18.1296 6.1059 17.593 5.56887 17.0561 5.03154 16.1852 5.03137 15.6481 5.56849L10.5912 10.6253 10.061 10.0952 13.7525 6.40366C14.2887 5.86749 14.2886 4.99816 13.7523 4.46212z"
      }
    }]
  };
  var waveRightFilled = vue.defineComponent({
    name: "WaveRightFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-wave-right-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$z(_objectSpread$z({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$x, finalProps.value);
    }
  });

  function ownKeys$y(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$y(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$y(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$y(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$w = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M19.0473 0.373535L19.8707 0.941022C21.0771 1.77248 22.1236 2.81891 22.9551 4.02526L23.5226 4.84862L21.8759 5.98365L21.3084 5.16029C20.6149 4.15422 19.7419 3.2812 18.7358 2.58779L17.9124 2.0203L19.0473 0.373535ZM12.1982 4.29137C13.1306 3.35893 14.6424 3.35893 15.5749 4.29137C15.6772 4.39369 15.7683 4.50298 15.8481 4.61771C16.7795 3.96543 18.0723 4.0552 18.9041 4.88702C19.7359 5.71883 19.8257 7.0117 19.1734 7.94302C19.2882 8.02288 19.3975 8.11397 19.4998 8.21629C20.4322 9.14873 20.4322 10.6605 19.4998 11.593L19.08 12.0127C19.1832 12.0871 19.2818 12.1707 19.3746 12.2635C20.3063 13.1952 20.3063 14.7057 19.3746 15.6374L15.0542 19.9578C12.2465 22.7655 7.69442 22.7655 4.88675 19.9578L4.04244 19.1135C1.73217 16.8032 1.27016 13.2257 2.91775 10.4043L5.14403 6.59192C5.77989 5.50306 7.21313 5.19467 8.24056 5.92564C8.72911 6.27322 9.03869 6.79947 9.1206 7.36896L12.1982 4.29137ZM18.0856 10.1787C18.237 10.0274 18.237 9.78189 18.0856 9.6305C17.9343 9.47923 17.6891 9.47911 17.5377 9.63014C17.5376 9.63026 17.5378 9.63001 17.5377 9.63014L12.3007 14.8671L10.8865 13.4529L17.4899 6.84947C17.6413 6.69808 17.6413 6.45262 17.4899 6.30123C17.3385 6.14984 17.0931 6.14984 16.9417 6.30123L10.3382 12.9047L8.92403 11.4905L14.1606 6.25383C14.312 6.10244 14.312 5.85698 14.1606 5.70559C14.0093 5.55419 13.7638 5.55419 13.6124 5.70559L8.14397 11.174C7.58133 11.7367 6.61848 11.45 6.45574 10.6707C6.42367 10.5171 6.42816 10.3582 6.46872 10.2068L7.13734 7.71151C7.15306 7.65281 7.13066 7.59051 7.08113 7.55528C7.01145 7.50571 6.91424 7.52662 6.87112 7.60047L4.64483 11.4128C3.45558 13.4494 3.78906 16.0317 5.45666 17.6993L6.30096 18.5436C8.32758 20.5702 11.6134 20.5702 13.64 18.5436L17.9604 14.2232C18.111 14.0726 18.111 13.8284 17.9604 13.6777C17.8098 13.5271 17.5656 13.5271 17.415 13.6777L14.2632 16.8296L12.8489 15.4154L18.0856 10.1787Z"
      }
    }]
  };
  var waveRight = vue.defineComponent({
    name: "WaveRightIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-wave-right", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$y(_objectSpread$y({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$w, finalProps.value);
    }
  });

  function ownKeys$x(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$x(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$x(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$x(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$v = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M16.5461 8.97827C14.8989 9.63717 12.7604 10 10.5 10 8.23963 10 6.10115 9.63717 4.45392 8.97827 3.94923 8.7764 3.45286 8.53173 3 8.23525V11.5C3 13.1569 6.35786 14.5 10.5 14.5 11.6041 14.5 12.6525 14.4046 13.5964 14.2332 14.6394 13.0355 16.1139 12.2236 17.7778 12.0397 17.813 12.0358 17.8484 12.0322 17.8838 12.0288 17.9602 11.8572 18 11.6804 18 11.5V8.23525C17.5471 8.53173 17.0508 8.7764 16.5461 8.97827zM10.5 16.5C11.1255 16.5 11.7416 16.4722 12.3406 16.4181 12.1197 17.0717 12 17.7719 12 18.5 12 19.3465 12.1618 20.1552 12.4562 20.8969 11.8326 20.9641 11.1768 21 10.5 21 6.35786 21 3 19.6569 3 18V14.7352C3.45286 15.0317 3.94923 15.2764 4.45392 15.4783 6.10115 16.1372 8.23963 16.5 10.5 16.5zM10.5 8C6.35786 8 3 6.65685 3 5 3 3.34315 6.35786 2 10.5 2 13.6066 2 16.2721 2.75552 17.4106 3.83226 17.7901 4.19118 18 4.58579 18 5 18 6.65685 14.6421 8 10.5 8zM18.5 23C16.8151 23 15.3464 22.074 14.5752 20.7031 14.2089 20.0519 14 19.3003 14 18.5 14 16.1837 15.75 14.2762 18 14.0275 18.1642 14.0093 18.331 14 18.5 14 20.9853 14 23 16.0147 23 18.5 23 20.9853 20.9853 23 18.5 23z"
      }
    }]
  };
  var wealth1Filled = vue.defineComponent({
    name: "Wealth1FilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-wealth-1-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$x(_objectSpread$x({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$v, finalProps.value);
    }
  });

  function ownKeys$w(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$w(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$w(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$w(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$u = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M5 7.96743V11.4968C5.00414 11.5154 5.03182 11.5953 5.18357 11.7333C5.38893 11.92 5.74187 12.1341 6.26278 12.3344C7.29795 12.7326 8.79572 13 10.5 13C12.2043 13 13.7021 12.7326 14.7372 12.3344C15.2581 12.1341 15.6111 11.92 15.8164 11.7333C15.9682 11.5953 15.9959 11.5154 16 11.4968V7.96743C15.8244 8.05145 15.6421 8.12923 15.4552 8.20111C14.1378 8.7078 12.3856 9 10.5 9C8.61443 9 6.8622 8.7078 5.54483 8.20111C5.35794 8.12923 5.17563 8.05145 5 7.96743ZM18 5.5V12.0224C20.8032 12.275 23 14.631 23 17.5C23 20.5376 20.5376 23 17.5 23C15.7015 23 14.1058 22.1364 13.1032 20.8045C12.2929 20.9313 11.4144 21 10.5 21C8.61443 21 6.8622 20.7078 5.54483 20.2011C4.88947 19.9491 4.29051 19.6244 3.83803 19.213C3.38527 18.8013 3 18.2239 3 17.5V5.5C3 4.77615 3.38527 4.19875 3.83803 3.78704C4.29051 3.37558 4.88947 3.05095 5.54483 2.79889C6.8622 2.2922 8.61443 2 10.5 2C12.3856 2 14.1378 2.2922 15.4552 2.79889C16.1105 3.05095 16.7095 3.37558 17.162 3.78704C17.6147 4.19875 18 4.77615 18 5.5ZM5.00079 5.5C5.00716 5.52341 5.03928 5.60205 5.18357 5.73326C5.38893 5.92 5.74187 6.13407 6.26278 6.33442C7.29795 6.73256 8.79572 7 10.5 7C12.2043 7 13.7021 6.73256 14.7372 6.33442C15.2581 6.13407 15.6111 5.92 15.8164 5.73326C15.9607 5.60205 15.9928 5.52341 15.9992 5.5C15.9928 5.47659 15.9607 5.39795 15.8164 5.26674C15.6111 5.08 15.2581 4.86593 14.7372 4.66558C13.7021 4.26744 12.2043 4 10.5 4C8.79572 4 7.29795 4.26744 6.26278 4.66558C5.74187 4.86593 5.38893 5.08 5.18357 5.26674C5.03928 5.39795 5.00716 5.47659 5.00079 5.5ZM5 13.9674V17.4968C5.00414 17.5154 5.03182 17.5953 5.18357 17.7333C5.38893 17.92 5.74187 18.1341 6.26278 18.3344C7.29795 18.7326 8.79572 19 10.5 19C11.0869 19 11.6515 18.9683 12.1826 18.9098C12.0634 18.4594 12 17.9867 12 17.5C12 16.5456 12.243 15.648 12.6706 14.8658C11.9809 14.9536 11.251 15 10.5 15C8.61443 15 6.8622 14.7078 5.54483 14.2011C5.35794 14.1292 5.17563 14.0514 5 13.9674ZM17.5 14C17.3678 14 17.2376 14.0073 17.1099 14.0214C15.361 14.2147 14 15.6991 14 17.5C14 18.1242 14.1625 18.7074 14.4468 19.2128C15.0481 20.2816 16.1908 21 17.5 21C19.433 21 21 19.433 21 17.5C21 15.567 19.433 14 17.5 14Z"
      }
    }]
  };
  var wealth1 = vue.defineComponent({
    name: "Wealth1Icon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-wealth-1", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$w(_objectSpread$w({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$u, finalProps.value);
    }
  });

  function ownKeys$v(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$v(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$v(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$v(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$t = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M6.75 2.5H17.25V5.25C17.25 6.82062 16.5603 8.23016 15.4672 9.19226C17.3447 9.97683 18.8992 11.379 19.8768 13.1431L20.092 13.5315C19.8975 13.5107 19.7 13.5 19.5 13.5C16.4624 13.5 14 15.9624 14 19C14 20.1068 14.3269 21.1372 14.8895 22H7C4.79086 22 3 20.2091 3 18V17.5C3 13.7583 5.28335 10.5499 8.53267 9.19218C7.43966 8.23008 6.75 6.82058 6.75 5.25V2.5Z"
      }
    }, {
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M23 18V16H16V18H23zM23 22V20H16V22H23z"
      }
    }]
  };
  var wealthFilled = vue.defineComponent({
    name: "WealthFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-wealth-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$v(_objectSpread$v({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$t, finalProps.value);
    }
  });

  function ownKeys$u(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$u(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$u(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$u(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$s = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M6.75 2.5H17.25V5.25C17.25 6.82062 16.5603 8.23016 15.4672 9.19226C17.3447 9.97683 18.8992 11.379 19.8768 13.1431L20.3615 14.0178L18.6122 14.9872L18.1275 14.1126C16.9324 11.9561 14.6356 10.5 12 10.5C8.13401 10.5 5 13.634 5 17.5V18C5 19.1046 5.89543 20 7 20H14V22H7C4.79086 22 3 20.2091 3 18V17.5C3 13.7583 5.28335 10.5499 8.53267 9.19218C7.43966 8.23008 6.75 6.82058 6.75 5.25V2.5ZM12 8.5C13.7949 8.5 15.25 7.04493 15.25 5.25V4.5H8.75V5.25C8.75 7.04493 10.2051 8.5 12 8.5ZM16 16H23V18H16V16ZM16 20H23V22H16V20Z"
      }
    }]
  };
  var wealth = vue.defineComponent({
    name: "WealthIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-wealth", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$u(_objectSpread$u({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$s, finalProps.value);
    }
  });

  function ownKeys$t(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$t(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$t(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$t(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$r = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 25 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M18.8762 3H5.57645L1.22632 12.7878V22H23.2263V12.7878L18.8762 3ZM3.76508 12L6.87619 5L17.5764 5L20.6876 12L3.76508 12ZM7.23022 16V18.0039H5.22632V16H7.23022ZM11.2302 16V18.0039H9.22632V16H11.2302Z"
      }
    }]
  };
  var widgetFilled = vue.defineComponent({
    name: "WidgetFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-widget-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$t(_objectSpread$t({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$r, finalProps.value);
    }
  });

  function ownKeys$s(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$s(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$s(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$s(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$q = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M5.35013 3L18.6499 3L23 12.7878V22H1L1 12.7878L5.35013 3ZM6.64987 5L3.53876 12L20.4612 12L17.3501 5L6.64987 5ZM21 14L3 14L3 20H21V14ZM5 16H7.00391V18.0039H5V16ZM9 16H11.0039V18.0039H9V16Z"
      }
    }]
  };
  var widget = vue.defineComponent({
    name: "WidgetIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-widget", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$s(_objectSpread$s({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$q, finalProps.value);
    }
  });

  function ownKeys$r(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$r(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$r(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$r(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$p = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 25 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M2.0455 6.72498C8.23803 1.75848 17.0961 1.75824 23.2887 6.72485L24.0678 7.34974L12.6671 21.6008L1.26636 7.34987L2.0455 6.72498Z"
      }
    }]
  };
  var wifi1Filled = vue.defineComponent({
    name: "Wifi1FilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-wifi-1-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$r(_objectSpread$r({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$p, finalProps.value);
    }
  });

  function ownKeys$q(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$q(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$q(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$q(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$o = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M3.43 7.6863L12.0003 18.3992L20.5707 7.68617C15.4379 4.10452 8.56279 4.10466 3.43 7.6863ZM1.37875 6.72498C7.57128 1.75848 16.4293 1.75824 22.6219 6.72485L23.401 7.34974L12.0003 21.6008L0.599609 7.34987L1.37875 6.72498Z"
      }
    }]
  };
  var wifi1 = vue.defineComponent({
    name: "Wifi1Icon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-wifi-1", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$q(_objectSpread$q({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$o, finalProps.value);
    }
  });

  function ownKeys$p(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$p(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$p(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$p(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$n = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 25 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M3.67105 1.59007L3.66692 1.58594 2.25269 3.00013 4.39573 5.14323C3.57972 5.59808 2.79318 6.12533 2.0455 6.72498L1.26636 7.34987 12.6671 21.6008 16.3052 17.053 21.6665 22.4144 23.0764 21.0045 3.66675 1.59437 3.67105 1.59007zM18.8156 13.9151L24.0678 7.34974 23.2887 6.72485C19.0212 3.30228 13.4881 2.23837 8.43366 3.53293L18.8156 13.9151z"
      }
    }]
  };
  var wifiOff1Filled = vue.defineComponent({
    name: "WifiOff1FilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-wifi-off-1-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$p(_objectSpread$p({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$n, finalProps.value);
    }
  });

  function ownKeys$o(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$o(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$o(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$o(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$m = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M2.99952 1.58569L22.4137 20.9999L20.9995 22.4141L15.638 17.0526L11.9993 21.601L0.598633 7.35005L1.37778 6.72517C2.12542 6.12554 2.91218 5.59818 3.72858 5.14318L1.58531 2.99991L2.99952 1.58569ZM5.20661 6.62164C4.59574 6.93197 4.00161 7.28689 3.42901 7.68647L11.9993 18.3994L14.2149 15.6299L5.20661 6.62164ZM20.5694 7.68607C17.2635 5.37918 13.2337 4.55718 9.40953 5.22378L8.42438 5.39551L8.08094 3.42522L9.06608 3.25349C13.7505 2.43694 18.715 3.59238 22.6206 6.72476L23.3998 7.34964L17.933 14.1832L16.3712 12.9338L20.5694 7.68607Z"
      }
    }]
  };
  var wifiOff1 = vue.defineComponent({
    name: "WifiOff1Icon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-wifi-off-1", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$o(_objectSpread$o({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$m, finalProps.value);
    }
  });

  function ownKeys$n(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$n(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$n(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$n(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$l = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M3.00015 1.58569L22.4144 20.9999L21.0002 22.4141L13.6961 15.11L11.1415 12.5557C9.77376 12.7365 8.45419 13.3519 7.40306 14.403L6.69595 15.1101L5.28174 13.6959L5.98884 12.9888C6.99668 11.981 8.19571 11.2789 9.46903 10.883L9.09987 10.5138L6.03152 7.4457C4.8712 8.04543 3.78158 8.83212 2.80687 9.80684L2.09976 10.5139L0.685547 9.09973L1.39265 8.39262C2.35857 7.4267 3.42447 6.6194 4.55742 5.97139L1.58594 2.99991L3.00015 1.58569ZM21.1922 9.80751C18.2104 6.82575 14.1414 5.59459 10.2583 6.11633L9.26722 6.2495L9.00089 4.26731L9.99198 4.13415C14.4665 3.53293 19.165 4.95189 22.6064 8.39329L23.3135 9.1004L21.8993 10.5146L21.1922 9.80751ZM10.586 17.5857C11.3671 16.8046 12.6334 16.8047 13.4144 17.5857L14.1215 18.2928L12.0002 20.4141L9.87891 18.2928L10.586 17.5857Z"
      }
    }]
  };
  var wifiOff = vue.defineComponent({
    name: "WifiOffIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-wifi-off", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$n(_objectSpread$n({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$l, finalProps.value);
    }
  });

  function ownKeys$m(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$m(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$m(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$m(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$k = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M21.1926 9.8076C16.1158 4.73082 7.88466 4.73078 2.80784 9.8076L2.10074 10.5147L0.686523 9.10049L1.39363 8.39339C7.2515 2.53551 16.749 2.53556 22.6068 8.39339L23.3139 9.10049L21.8997 10.5147L21.1926 9.8076ZM16.5964 14.4038C14.058 11.8654 9.94245 11.8654 7.40404 14.4038L6.69693 15.1109L5.28271 13.6967L5.98982 12.9896C9.30929 9.67011 14.6912 9.67016 18.0106 12.9896L18.7177 13.6967L17.3035 15.1109L16.5964 14.4038ZM10.586 17.5858C11.3671 16.8047 12.6335 16.8048 13.4145 17.5858L14.1216 18.2929L12.0003 20.4142L9.87894 18.2929L10.586 17.5858Z"
      }
    }]
  };
  var wifi = vue.defineComponent({
    name: "WifiIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-wifi", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$m(_objectSpread$m({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$k, finalProps.value);
    }
  });

  function ownKeys$l(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$l(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$l(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$l(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$j = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M11 0.613281L22 4.27995V22.0007H2V3.00071H11V0.613281ZM20 19.6133V13.7215L13 11.3881V17.2799L20 19.6133ZM20 11.6133V5.72147L13 3.38813V9.27995L20 11.6133Z"
      }
    }]
  };
  var window1Filled = vue.defineComponent({
    name: "Window1FilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-window-1-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$l(_objectSpread$l({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$j, finalProps.value);
    }
  });

  function ownKeys$k(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$k(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$k(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$k(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$i = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M11 0.612793L22 4.27946V22.0002H2V3.00022H11V0.612793ZM11 5.00022H4V20.0002H14.8377L11 18.721V5.00022ZM20 19.6128V13.721L13 11.3876V17.2795L20 19.6128ZM20 11.6128V5.72098L13 3.38764V9.27946L20 11.6128Z"
      }
    }]
  };
  var window1 = vue.defineComponent({
    name: "Window1Icon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-window-1", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$k(_objectSpread$k({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$i, finalProps.value);
    }
  });

  function ownKeys$j(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$j(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$j(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$j(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$h = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M2 2H22V22H2V2ZM13 5.41421V11.5858L20 18.5858V12.4142L13 5.41421ZM20 9.58579V4H14.4142L20 9.58579ZM18.5858 20L13 14.4142V20H18.5858Z"
      }
    }]
  };
  var windowFilled = vue.defineComponent({
    name: "WindowFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-window-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$j(_objectSpread$j({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$h, finalProps.value);
    }
  });

  function ownKeys$i(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$i(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$i(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$i(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$g = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M2 2H22V22H2V2ZM4 4V20H11V4H4ZM13 5.41421V11.5858L20 18.5858V12.4142L13 5.41421ZM20 9.58579V4H14.4142L20 9.58579ZM18.5858 20L13 14.4142V20H18.5858Z"
      }
    }]
  };
  var window$1 = vue.defineComponent({
    name: "WindowIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-window", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$i(_objectSpread$i({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$g, finalProps.value);
    }
  });

  function ownKeys$h(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$h(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$h(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$h(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$f = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M13 5C12.4477 5 12 5.44772 12 6C12 6.55228 12.4477 7 13 7H18V9H13C11.3431 9 10 7.65685 10 6C10 4.34315 11.3431 3 13 3H17V5H13ZM5.5 8C4.67157 8 4 8.67157 4 9.5C4 10.3284 4.67157 11 5.5 11H12V13H5.5C3.567 13 2 11.433 2 9.5C2 7.567 3.567 6 5.5 6H8V8H5.5ZM20 6.99609H22.0039V9H20V6.99609ZM20 10.9961H22.0039V13H20V10.9961ZM14 11H18V13H14V11ZM16 14.9961H18.0039V17H16V14.9961ZM5 18C5 16.3431 6.34315 15 8 15H9V17H8C7.44772 17 7 17.4477 7 18C7 18.5523 7.44772 19 8 19H12.5V21H8C6.34315 21 5 19.6569 5 18ZM11 15H14V17H11V15Z"
      }
    }]
  };
  var windyRain = vue.defineComponent({
    name: "WindyRainIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-windy-rain", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$h(_objectSpread$h({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$f, finalProps.value);
    }
  });

  function ownKeys$g(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$g(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$g(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$g(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$e = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M13 5C12.4477 5 12 5.44772 12 6C12 6.55228 12.4477 7 13 7H22V9H13C11.3431 9 10 7.65685 10 6C10 4.34315 11.3431 3 13 3H17V5H13ZM5.5 8C4.67157 8 4 8.67157 4 9.5C4 10.3284 4.67157 11 5.5 11H22V13H5.5C3.567 13 2 11.433 2 9.5C2 7.567 3.567 6 5.5 6H8V8H5.5ZM5 18C5 16.3431 6.34315 15 8 15H18V17H8C7.44772 17 7 17.4477 7 18C7 18.5523 7.44772 19 8 19H12.5V21H8C6.34315 21 5 19.6569 5 18Z"
      }
    }]
  };
  var windy = vue.defineComponent({
    name: "WindyIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-windy", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$g(_objectSpread$g({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$e, finalProps.value);
    }
  });

  function ownKeys$f(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$f(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$f(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$f(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$d = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M12 23C5.92487 23 1 18.0751 1 12C1 5.92487 5.92487 1 12 1C18.0751 1 23 5.92487 23 12C23 18.0751 18.0751 23 12 23ZM15.5408 9.90565L17.3618 8.88133L16.3813 7.13818L13 9.04019L13 10.5L16.2 12.9L17.4 11.3L15.5408 9.90565ZM9 12V8.00002H7V12H9ZM9.40076 14.4993L8.90004 13.6337L7.16882 14.6351L7.66955 15.5007C8.53256 16.9926 10.1481 18 12 18C13.852 18 15.4675 16.9926 16.3305 15.5007L16.8312 14.6351L15.1 13.6337L14.5993 14.4993C14.0791 15.3986 13.1092 16 12 16C10.8909 16 9.92099 15.3986 9.40076 14.4993Z"
      }
    }]
  };
  var winkFilled = vue.defineComponent({
    name: "WinkFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-wink-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$f(_objectSpread$f({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$d, finalProps.value);
    }
  });

  function ownKeys$e(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$e(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$e(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$e(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$c = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M12 3C7.02944 3 3 7.02944 3 12C3 16.9706 7.02944 21 12 21C16.9706 21 21 16.9706 21 12C21 7.02944 16.9706 3 12 3ZM1 12C1 5.92487 5.92487 1 12 1C18.0751 1 23 5.92487 23 12C23 18.0751 18.0751 23 12 23C5.92487 23 1 18.0751 1 12ZM17.3618 8.88131L15.5408 9.90563L17.4 11.3L16.2 12.9L13 10.5L13 9.04017L16.3813 7.13816L17.3618 8.88131ZM9 8V12H7V8H9ZM8.90004 13.6337L9.40076 14.4993C9.92099 15.3986 10.8909 16 12 16C13.1092 16 14.0791 15.3986 14.5993 14.4993L15.1 13.6337L16.8312 14.6351L16.3305 15.5007C15.4675 16.9926 13.852 18 12 18C10.1481 18 8.53256 16.9926 7.66955 15.5007L7.16882 14.6351L8.90004 13.6337Z"
      }
    }]
  };
  var wink = vue.defineComponent({
    name: "WinkIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-wink", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$e(_objectSpread$e({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$c, finalProps.value);
    }
  });

  function ownKeys$d(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$d(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$d(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$d(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$b = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M7.5 2.5H16.5V6.5H22V21.5H2V6.5H7.5V2.5ZM9.5 6.5H14.5V4.5H9.5V6.5Z"
      }
    }]
  };
  var workFilled = vue.defineComponent({
    name: "WorkFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-work-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$d(_objectSpread$d({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$b, finalProps.value);
    }
  });

  function ownKeys$c(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$c(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$c(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$c(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$a = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M7.5 2.5H16.5V6.5H22V12.2547C20.8662 11.4638 19.4872 11 18 11C14.134 11 11 14.134 11 18C11 19.275 11.3409 20.4704 11.9365 21.5H2V6.5H7.5V2.5ZM9.5 6.5H14.5V4.5H9.5V6.5Z"
      }
    }, {
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M12.5 18C12.5 14.9624 14.9624 12.5 18 12.5C21.0376 12.5 23.5 14.9624 23.5 18C23.5 21.0376 21.0376 23.5 18 23.5C14.9624 23.5 12.5 21.0376 12.5 18ZM20.4142 19.0001L19 17.5857V15.752H17V18.4141L18.9999 20.4142L20.4142 19.0001Z"
      }
    }]
  };
  var workHistoryFilled = vue.defineComponent({
    name: "WorkHistoryFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-work-history-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$c(_objectSpread$c({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$a, finalProps.value);
    }
  });

  function ownKeys$b(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$b(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$b(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$b(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$9 = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M7.5 2.5H16.5V6.5H22V11H20V8.5H4V19.5H11V21.5H2V6.5H7.5V2.5ZM9.5 6.5H14.5V4.5H9.5V6.5ZM18 14.5C16.067 14.5 14.5 16.067 14.5 18C14.5 19.933 16.067 21.5 18 21.5C19.933 21.5 21.5 19.933 21.5 18C21.5 16.067 19.933 14.5 18 14.5ZM12.5 18C12.5 14.9624 14.9624 12.5 18 12.5C21.0376 12.5 23.5 14.9624 23.5 18C23.5 21.0376 21.0376 23.5 18 23.5C14.9624 23.5 12.5 21.0376 12.5 18ZM19 15.752V17.5858L20.4142 19.0001L18.9999 20.4142L17 18.4141V15.752H19Z"
      }
    }]
  };
  var workHistory = vue.defineComponent({
    name: "WorkHistoryIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-work-history", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$b(_objectSpread$b({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$9, finalProps.value);
    }
  });

  function ownKeys$a(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$a(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$a(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$a(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$8 = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M2.0043.590088L2.00015.585938.585938 2.00015 5.08579 6.5H2V21.5H20.0858L22.0002 23.4144 23.4101 22.0045 2 .594389 2.0043.590088zM22 17.766V6.5H16.5V2.5H7.5V3.26596L9.5 5.26596V4.5H14.5V6.5H10.734L22 17.766z"
      }
    }]
  };
  var workOffFilled = vue.defineComponent({
    name: "WorkOffFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-work-off-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$a(_objectSpread$a({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$8, finalProps.value);
    }
  });

  function ownKeys$9(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$9(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$9(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$9(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$7 = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "g",
      "attrs": {
        "clipPath": "url(#clip0_8726_7418)"
      },
      "children": [{
        "tag": "path",
        "attrs": {
          "fill": "currentColor",
          "d": "M2.00015 0.585693L23.4144 21.9999L22.0002 23.4141L20.0859 21.4999H2.00015V6.49991H5.08594L0.585938 1.99991L2.00015 0.585693ZM7.08594 8.49991H4.00015V19.4999H18.0859L7.08594 8.49991ZM7.50581 2.49991H16.5002V6.50186L22.0001 6.5006L22.0035 17.9185L20.0001 15.9151V8.50116L12.5869 8.50186L10.5835 6.49844L14.5002 6.50186V4.49991H9.50017L9.5002 6.12211L7.49685 4.07781L7.50581 2.49991Z"
        }
      }]
    }]
  };
  var workOff = vue.defineComponent({
    name: "WorkOffIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-work-off", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$9(_objectSpread$9({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$7, finalProps.value);
    }
  });

  function ownKeys$8(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$8(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$8(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$8(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$6 = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M7.5 2.5H16.5V6.5H22V21.5H2V6.5H7.5V2.5ZM9.5 6.5H14.5V4.5H9.5V6.5ZM4 8.5V19.5H20V8.5H4Z"
      }
    }]
  };
  var work = vue.defineComponent({
    name: "WorkIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-work", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$8(_objectSpread$8({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$6, finalProps.value);
    }
  });

  function ownKeys$7(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$7(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$7(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$7(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$5 = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M12 23C5.92487 23 1 18.0751 1 12C1 5.92487 5.92487 1 12 1C18.0751 1 23 5.92487 23 12C23 18.0751 18.0751 23 12 23ZM6.76855 11.8658L10.2327 9.86584L9.23266 8.13379L5.76855 10.1338L6.76855 11.8658ZM18.2327 10.1338L14.7686 8.13379L13.7686 9.86584L17.2327 11.8658L18.2327 10.1338ZM9.40058 14.4991L8.89985 13.6335L7.16864 14.6349L7.66936 15.5005C8.53238 16.9924 10.1479 17.9998 11.9998 17.9998C13.8518 17.9998 15.4673 16.9924 16.3303 15.5005L16.831 14.6349L15.0998 13.6335L14.5991 14.4991C14.0789 15.3984 13.109 15.9998 11.9998 15.9998C10.8907 15.9998 9.9208 15.3984 9.40058 14.4991Z"
      }
    }]
  };
  var wrySmileFilled = vue.defineComponent({
    name: "WrySmileFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-wry-smile-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$7(_objectSpread$7({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$5, finalProps.value);
    }
  });

  function ownKeys$6(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$6(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$6(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$6(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$4 = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M12 3C7.02944 3 3 7.02944 3 12C3 16.9706 7.02944 21 12 21C16.9706 21 21 16.9706 21 12C21 7.02944 16.9706 3 12 3ZM1 12C1 5.92487 5.92487 1 12 1C18.0751 1 23 5.92487 23 12C23 18.0751 18.0751 23 12 23C5.92487 23 1 18.0751 1 12ZM10.2328 9.86603L6.76874 11.866L5.76874 10.134L9.23284 8.13397L10.2328 9.86603ZM14.7687 8.13397L18.2328 10.134L17.2328 11.866L13.7687 9.86603L14.7687 8.13397ZM8.90004 13.6337L9.40076 14.4993C9.92099 15.3986 10.8909 16 12 16C13.1092 16 14.0791 15.3986 14.5993 14.4993L15.1 13.6337L16.8312 14.6351L16.3305 15.5007C15.4675 16.9926 13.852 18 12 18C10.1481 18 8.53256 16.9926 7.66955 15.5007L7.16882 14.6351L8.90004 13.6337Z"
      }
    }]
  };
  var wrySmile = vue.defineComponent({
    name: "WrySmileIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-wry-smile", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$6(_objectSpread$6({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$4, finalProps.value);
    }
  });

  function ownKeys$5(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$5(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$5(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$5(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$3 = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M4.48959 16.5104C7.56978 19.5906 12.4258 19.8126 15.762 17.1765L21.1064 22.5209L22.5206 21.1067L17.1763 15.7623C19.8126 12.4261 19.5907 7.56987 16.5104 4.48959C13.191 1.17014 7.80905 1.17014 4.48959 4.48959C1.17014 7.80905 1.17014 13.191 4.48959 16.5104ZM14.5 11.5H11.5V14.5H9.5V11.5H6.5V9.5H9.5L9.5 6.5H11.5L11.5 9.5H14.5V11.5Z"
      }
    }]
  };
  var zoomInFilled = vue.defineComponent({
    name: "ZoomInFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-zoom-in-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$5(_objectSpread$5({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$3, finalProps.value);
    }
  });

  function ownKeys$4(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$4(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$4(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$4(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$2 = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M15.0962 5.90381C12.5578 3.3654 8.44221 3.3654 5.90381 5.90381C3.3654 8.44221 3.3654 12.5578 5.90381 15.0962C8.44221 17.6346 12.5578 17.6346 15.0962 15.0962C17.6346 12.5578 17.6346 8.44221 15.0962 5.90381ZM4.48959 4.48959C7.80905 1.17014 13.191 1.17014 16.5104 4.48959C19.5906 7.56983 19.8126 12.4259 17.1764 15.7621L22.5208 21.1066L21.1066 22.5208L15.7621 17.1764C12.4259 19.8126 7.56983 19.5906 4.48959 16.5104C1.17014 13.191 1.17014 7.80905 4.48959 4.48959ZM11.5 6.5L11.5 9.5H14.5V11.5H11.5V14.5H9.5V11.5H6.5V9.5H9.5L9.5 6.5L11.5 6.5Z"
      }
    }]
  };
  var zoomIn = vue.defineComponent({
    name: "ZoomInIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-zoom-in", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$4(_objectSpread$4({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$2, finalProps.value);
    }
  });

  function ownKeys$3(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$3(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$3(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$3(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element$1 = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M4.48959 16.5104C7.56978 19.5906 12.4258 19.8126 15.762 17.1765L21.1064 22.5209L22.5206 21.1067L17.1763 15.7623C19.8126 12.4261 19.5907 7.56987 16.5104 4.48959C13.191 1.17014 7.80905 1.17014 4.48959 4.48959C1.17014 7.80905 1.17014 13.191 4.48959 16.5104ZM6.5 9.5L14.5 9.5V11.5H6.5V9.5Z"
      }
    }]
  };
  var zoomOutFilled = vue.defineComponent({
    name: "ZoomOutFilledIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-zoom-out-filled", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$3(_objectSpread$3({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element$1, finalProps.value);
    }
  });

  function ownKeys$2(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$2(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$2(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$2(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var element = {
    "tag": "svg",
    "attrs": {
      "fill": "none",
      "viewBox": "0 0 24 24",
      "width": "1em",
      "height": "1em"
    },
    "children": [{
      "tag": "path",
      "attrs": {
        "fill": "currentColor",
        "d": "M15.0962 5.90381C12.5578 3.3654 8.44221 3.3654 5.90381 5.90381C3.3654 8.44221 3.3654 12.5578 5.90381 15.0962C8.44221 17.6346 12.5578 17.6346 15.0962 15.0962C17.6346 12.5578 17.6346 8.44221 15.0962 5.90381ZM4.48959 4.48959C7.80905 1.17014 13.191 1.17014 16.5104 4.48959C19.5906 7.56983 19.8126 12.4259 17.1764 15.7621L22.5208 21.1066L21.1066 22.5208L15.7621 17.1764C12.4259 19.8126 7.56983 19.5906 4.48959 16.5104C1.17014 13.191 1.17014 7.80905 4.48959 4.48959ZM6.5 11.5V9.5L14.5 9.5V11.5L6.5 11.5Z"
      }
    }]
  };
  var zoomOut = vue.defineComponent({
    name: "ZoomOutIcon",
    props: {
      size: {
        type: String
      },
      onClick: {
        type: Function
      }
    },
    setup(props, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props.size);
      var {
        className,
        style
      } = useSizeProps(propsSize);
      var finalCls = vue.computed(() => ["t-icon", "t-icon-zoom-out", className.value]);
      var finalStyle = vue.computed(() => _objectSpread$2(_objectSpread$2({}, style.value), attrs.style));
      var finalProps = vue.computed(() => ({
        class: finalCls.value,
        style: finalStyle.value,
        onClick: e => {
          var _props$onClick;
          return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
            e
          });
        }
      }));
      return () => renderFn(element, finalProps.value);
    }
  });

  var icons = /*#__PURE__*/Object.freeze({
    __proto__: null,
    AccessibilityFilledIcon: accessibilityFilled,
    AccessibilityIcon: accessibility,
    ActivityFilledIcon: activityFilled,
    ActivityIcon: activity,
    AddAndSubtractIcon: addAndSubtract,
    AddCircleFilledIcon: addCircleFilled,
    AddCircleIcon: addCircle,
    AddRectangleFilledIcon: addRectangleFilled,
    AddRectangleIcon: addRectangle,
    AddIcon: add,
    AddressBookFilledIcon: addressBookFilled,
    AddressBookIcon: addressBook,
    AdjustmentFilledIcon: adjustmentFilled,
    AdjustmentIcon: adjustment,
    AirplayWaveFilledIcon: airplayWaveFilled,
    AirplayWaveIcon: airplayWave,
    AlarmAddFilledIcon: alarmAddFilled,
    AlarmAddIcon: alarmAdd,
    AlarmFilledIcon: alarmFilled,
    AlarmOffFilledIcon: alarmOffFilled,
    AlarmOffIcon: alarmOff,
    AlarmIcon: alarm,
    AlignTopIcon: alignTop,
    AlignVerticalIcon: alignVertical,
    AlphaIcon: alpha,
    AnalyticsFilledIcon: analyticsFilled,
    AnalyticsIcon: analytics,
    AnchorIcon: anchor,
    AngryFilledIcon: angryFilled,
    AngryIcon: angry,
    Animation1FilledIcon: animation1Filled,
    Animation1Icon: animation1,
    AnimationFilledIcon: animationFilled,
    AnimationIcon: animation,
    AnticlockwiseFilledIcon: anticlockwiseFilled,
    AnticlockwiseIcon: anticlockwise,
    ApiIcon: api,
    AppFilledIcon: appFilled,
    AppIcon: app,
    AppleFilledIcon: appleFilled,
    AppleIcon: apple,
    ApplicationFilledIcon: applicationFilled,
    ApplicationIcon: application,
    ArchitectureHuiStyleFilledIcon: architectureHuiStyleFilled,
    ArchitectureHuiStyleIcon: architectureHuiStyle,
    Archway1FilledIcon: archway1Filled,
    Archway1Icon: archway1,
    ArchwayFilledIcon: archwayFilled,
    ArchwayIcon: archway,
    ArrowDownCircleFilledIcon: arrowDownCircleFilled,
    ArrowDownCircleIcon: arrowDownCircle,
    ArrowDownRectangleFilledIcon: arrowDownRectangleFilled,
    ArrowDownRectangleIcon: arrowDownRectangle,
    ArrowDownIcon: arrowDown,
    ArrowLeftCircleFilledIcon: arrowLeftCircleFilled,
    ArrowLeftCircleIcon: arrowLeftCircle,
    ArrowLeftDownCircleFilledIcon: arrowLeftDownCircleFilled,
    ArrowLeftDownCircleIcon: arrowLeftDownCircle,
    ArrowLeftDownIcon: arrowLeftDown,
    ArrowLeftRight1Icon: arrowLeftRight1,
    ArrowLeftRight2Icon: arrowLeftRight2,
    ArrowLeftRight3Icon: arrowLeftRight3,
    ArrowLeftRightCircleFilledIcon: arrowLeftRightCircleFilled,
    ArrowLeftRightCircleIcon: arrowLeftRightCircle,
    ArrowLeftUpCircleFilledIcon: arrowLeftUpCircleFilled,
    ArrowLeftUpCircleIcon: arrowLeftUpCircle,
    ArrowLeftUpIcon: arrowLeftUp,
    ArrowLeftIcon: arrowLeft,
    ArrowRightCircleFilledIcon: arrowRightCircleFilled,
    ArrowRightCircleIcon: arrowRightCircle,
    ArrowRightDownCircleFilledIcon: arrowRightDownCircleFilled,
    ArrowRightDownCircleIcon: arrowRightDownCircle,
    ArrowRightDownIcon: arrowRightDown,
    ArrowRightUpCircleFilledIcon: arrowRightUpCircleFilled,
    ArrowRightUpCircleIcon: arrowRightUpCircle,
    ArrowRightUpIcon: arrowRightUp,
    ArrowRightIcon: arrowRight,
    ArrowTriangleDownFilledIcon: arrowTriangleDownFilled,
    ArrowTriangleDownIcon: arrowTriangleDown,
    ArrowTriangleUpFilledIcon: arrowTriangleUpFilled,
    ArrowTriangleUpIcon: arrowTriangleUp,
    ArrowUpCircleFilledIcon: arrowUpCircleFilled,
    ArrowUpCircleIcon: arrowUpCircle,
    ArrowUpDown1Icon: arrowUpDown1,
    ArrowUpDown2Icon: arrowUpDown2,
    ArrowUpDown3Icon: arrowUpDown3,
    ArrowUpDownCircleFilledIcon: arrowUpDownCircleFilled,
    ArrowUpDownCircleIcon: arrowUpDownCircle,
    ArrowUpIcon: arrowUp,
    ArtboardIcon: artboard,
    ArticleFilledIcon: articleFilled,
    ArticleIcon: article,
    AssignmentCheckedFilledIcon: assignmentCheckedFilled,
    AssignmentCheckedIcon: assignmentChecked,
    AssignmentCodeFilledIcon: assignmentCodeFilled,
    AssignmentCodeIcon: assignmentCode,
    AssignmentErrorFilledIcon: assignmentErrorFilled,
    AssignmentErrorIcon: assignmentError,
    AssignmentFilledIcon: assignmentFilled,
    AssignmentUserFilledIcon: assignmentUserFilled,
    AssignmentUserIcon: assignmentUser,
    AssignmentIcon: assignment,
    AttachIcon: attach,
    Attic1FilledIcon: attic1Filled,
    Attic1Icon: attic1,
    AtticFilledIcon: atticFilled,
    AtticIcon: attic,
    AudioFilledIcon: audioFilled,
    AudioIcon: audio,
    AwkwardFilledIcon: awkwardFilled,
    AwkwardIcon: awkward,
    BacktopRectangleFilledIcon: backtopRectangleFilled,
    BacktopRectangleIcon: backtopRectangle,
    BacktopIcon: backtop,
    BackupFilledIcon: backupFilled,
    BackupIcon: backup,
    BackwardFilledIcon: backwardFilled,
    BackwardIcon: backward,
    BadLaughFilledIcon: badLaughFilled,
    BadLaughIcon: badLaugh,
    BambooShootFilledIcon: bambooShootFilled,
    BambooShootIcon: bambooShoot,
    BananaFilledIcon: bananaFilled,
    BananaIcon: banana,
    BarbecueFilledIcon: barbecueFilled,
    BarbecueIcon: barbecue,
    Barcode1Icon: barcode1,
    BarcodeIcon: barcode,
    BaseStationIcon: baseStation,
    BatteryAddFilledIcon: batteryAddFilled,
    BatteryAddIcon: batteryAdd,
    BatteryChargingFilledIcon: batteryChargingFilled,
    BatteryChargingIcon: batteryCharging,
    BatteryFilledIcon: batteryFilled,
    BatteryLowFilledIcon: batteryLowFilled,
    BatteryLowIcon: batteryLow,
    BatteryIcon: battery,
    BeanFilledIcon: beanFilled,
    BeanIcon: bean,
    BeerFilledIcon: beerFilled,
    BeerIcon: beer,
    BetaIcon: beta,
    BifurcateFilledIcon: bifurcateFilled,
    BifurcateIcon: bifurcate,
    BillFilledIcon: billFilled,
    BillIcon: bill,
    BluetoothIcon: bluetooth,
    BoneFilledIcon: boneFilled,
    BoneIcon: bone,
    BookFilledIcon: bookFilled,
    BookOpenFilledIcon: bookOpenFilled,
    BookOpenIcon: bookOpen,
    BookUnknownFilledIcon: bookUnknownFilled,
    BookUnknownIcon: bookUnknown,
    BookIcon: book,
    BookmarkAddFilledIcon: bookmarkAddFilled,
    BookmarkAddIcon: bookmarkAdd,
    BookmarkCheckedFilledIcon: bookmarkCheckedFilled,
    BookmarkCheckedIcon: bookmarkChecked,
    BookmarkDoubleFilledIcon: bookmarkDoubleFilled,
    BookmarkDoubleIcon: bookmarkDouble,
    BookmarkFilledIcon: bookmarkFilled,
    BookmarkMinusFilledIcon: bookmarkMinusFilled,
    BookmarkMinusIcon: bookmarkMinus,
    BookmarkIcon: bookmark,
    BracesIcon: braces,
    BracketsIcon: brackets,
    BreadFilledIcon: breadFilled,
    BreadIcon: bread,
    Bridge1FilledIcon: bridge1Filled,
    Bridge1Icon: bridge1,
    Bridge2FilledIcon: bridge2Filled,
    Bridge2Icon: bridge2,
    Bridge3Icon: bridge3,
    Bridge4Icon: bridge4,
    Bridge5FilledIcon: bridge5Filled,
    Bridge5Icon: bridge5,
    Bridge6FilledIcon: bridge6Filled,
    Bridge6Icon: bridge6,
    BridgeIcon: bridge,
    Brightness1FilledIcon: brightness1Filled,
    Brightness1Icon: brightness1,
    BrightnessFilledIcon: brightnessFilled,
    BrightnessIcon: brightness,
    BroccoliFilledIcon: broccoliFilled,
    BroccoliIcon: broccoli,
    BrowseFilledIcon: browseFilled,
    BrowseGalleryFilledIcon: browseGalleryFilled,
    BrowseGalleryIcon: browseGallery,
    BrowseOffFilledIcon: browseOffFilled,
    BrowseOffIcon: browseOff,
    BrowseIcon: browse,
    BrushFilledIcon: brushFilled,
    BrushIcon: brush,
    BugFilledIcon: bugFilled,
    BugReportFilledIcon: bugReportFilled,
    BugReportIcon: bugReport,
    BugIcon: bug,
    Building1FilledIcon: building1Filled,
    Building1Icon: building1,
    Building2FilledIcon: building2Filled,
    Building2Icon: building2,
    Building3FilledIcon: building3Filled,
    Building3Icon: building3,
    Building4FilledIcon: building4Filled,
    Building4Icon: building4,
    Building5FilledIcon: building5Filled,
    Building5Icon: building5,
    BuildingFilledIcon: buildingFilled,
    BuildingIcon: building,
    BulletpointIcon: bulletpoint,
    ButtonFilledIcon: buttonFilled,
    ButtonIcon: button,
    CabbageFilledIcon: cabbageFilled,
    CabbageIcon: cabbage,
    CakeFilledIcon: cakeFilled,
    CakeIcon: cake,
    Calculation1FilledIcon: calculation1Filled,
    Calculation1Icon: calculation1,
    CalculationIcon: calculation,
    Calculator1Icon: calculator1,
    CalculatorFilledIcon: calculatorFilled,
    CalculatorIcon: calculator,
    Calendar1FilledIcon: calendar1Filled,
    Calendar1Icon: calendar1,
    Calendar2FilledIcon: calendar2Filled,
    Calendar2Icon: calendar2,
    CalendarEditFilledIcon: calendarEditFilled,
    CalendarEditIcon: calendarEdit,
    CalendarEventFilledIcon: calendarEventFilled,
    CalendarEventIcon: calendarEvent,
    CalendarFilledIcon: calendarFilled,
    CalendarIcon: calendar,
    Call1FilledIcon: call1Filled,
    Call1Icon: call1,
    CallCancelFilledIcon: callCancelFilled,
    CallCancelIcon: callCancel,
    CallFilledIcon: callFilled,
    CallForwardedFilledIcon: callForwardedFilled,
    CallForwardedIcon: callForwarded,
    CallIncomingFilledIcon: callIncomingFilled,
    CallIncomingIcon: callIncoming,
    CallOffFilledIcon: callOffFilled,
    CallOffIcon: callOff,
    CallIcon: call,
    Calm1FilledIcon: calm1Filled,
    Calm1Icon: calm1,
    CalmFilledIcon: calmFilled,
    CalmIcon: calm,
    Camera1FilledIcon: camera1Filled,
    Camera1Icon: camera1,
    Camera2FilledIcon: camera2Filled,
    Camera2Icon: camera2,
    CameraFilledIcon: cameraFilled,
    CameraOffFilledIcon: cameraOffFilled,
    CameraOffIcon: cameraOff,
    CameraIcon: camera,
    CandyFilledIcon: candyFilled,
    CandyIcon: candy,
    CardFilledIcon: cardFilled,
    CardIcon: card,
    CardmembershipFilledIcon: cardmembershipFilled,
    CardmembershipIcon: cardmembership,
    CaretDownSmallIcon: caretDownSmall,
    CaretDownIcon: caretDown,
    CaretLeftSmallIcon: caretLeftSmall,
    CaretLeftIcon: caretLeft,
    CaretRightSmallIcon: caretRightSmall,
    CaretRightIcon: caretRight,
    CaretUpSmallIcon: caretUpSmall,
    CaretUpIcon: caretUp,
    CartAddFilledIcon: cartAddFilled,
    CartAddIcon: cartAdd,
    CartFilledIcon: cartFilled,
    CartIcon: cart,
    CastFilledIcon: castFilled,
    CastIcon: cast,
    Castle1FilledIcon: castle1Filled,
    Castle1Icon: castle1,
    Castle2FilledIcon: castle2Filled,
    Castle2Icon: castle2,
    Castle3FilledIcon: castle3Filled,
    Castle3Icon: castle3,
    Castle4FilledIcon: castle4Filled,
    Castle4Icon: castle4,
    Castle5FilledIcon: castle5Filled,
    Castle5Icon: castle5,
    Castle6FilledIcon: castle6Filled,
    Castle6Icon: castle6,
    Castle7FilledIcon: castle7Filled,
    Castle7Icon: castle7,
    CastleFilledIcon: castleFilled,
    CastleIcon: castle,
    CatFilledIcon: catFilled,
    CatIcon: cat,
    CatalogFilledIcon: catalogFilled,
    CatalogIcon: catalog,
    CdFilledIcon: cdFilled,
    CdIcon: cd,
    CelsiusIcon: celsius,
    CenterFocusStrongFilledIcon: centerFocusStrongFilled,
    CenterFocusStrongIcon: centerFocusStrong,
    CentimeterIcon: centimeter,
    Certificate1FilledIcon: certificate1Filled,
    Certificate1Icon: certificate1,
    CertificateFilledIcon: certificateFilled,
    CertificateIcon: certificate,
    Chart3DFilledIcon: chart3dFilled,
    Chart3DIcon: chart3d,
    ChartAddFilledIcon: chartAddFilled,
    ChartAddIcon: chartAdd,
    ChartAnalyticsIcon: chartAnalytics,
    ChartAreaFilledIcon: chartAreaFilled,
    ChartAreaMultiFilledIcon: chartAreaMultiFilled,
    ChartAreaMultiIcon: chartAreaMulti,
    ChartAreaIcon: chartArea,
    ChartBarFilledIcon: chartBarFilled,
    ChartBarIcon: chartBar,
    ChartBubbleFilledIcon: chartBubbleFilled,
    ChartBubbleIcon: chartBubble,
    ChartColumnFilledIcon: chartColumnFilled,
    ChartColumnIcon: chartColumn,
    ChartComboFilledIcon: chartComboFilled,
    ChartComboIcon: chartCombo,
    ChartFilledIcon: chartFilled,
    ChartLineData1Icon: chartLineData1,
    ChartLineDataIcon: chartLineData,
    ChartLineMultiIcon: chartLineMulti,
    ChartLineIcon: chartLine,
    ChartMaximumIcon: chartMaximum,
    ChartMedianIcon: chartMedian,
    ChartMinimumIcon: chartMinimum,
    ChartPieFilledIcon: chartPieFilled,
    ChartPieIcon: chartPie,
    ChartRadarFilledIcon: chartRadarFilled,
    ChartRadarIcon: chartRadar,
    ChartRadialIcon: chartRadial,
    ChartRing1FilledIcon: chartRing1Filled,
    ChartRing1Icon: chartRing1,
    ChartRingFilledIcon: chartRingFilled,
    ChartRingIcon: chartRing,
    ChartScatterIcon: chartScatter,
    ChartStackedFilledIcon: chartStackedFilled,
    ChartStackedIcon: chartStacked,
    ChartIcon: chart,
    ChatAddFilledIcon: chatAddFilled,
    ChatAddIcon: chatAdd,
    ChatBubble1FilledIcon: chatBubble1Filled,
    ChatBubble1Icon: chatBubble1,
    ChatBubbleAddFilledIcon: chatBubbleAddFilled,
    ChatBubbleAddIcon: chatBubbleAdd,
    ChatBubbleErrorFilledIcon: chatBubbleErrorFilled,
    ChatBubbleErrorIcon: chatBubbleError,
    ChatBubbleFilledIcon: chatBubbleFilled,
    ChatBubbleHelpFilledIcon: chatBubbleHelpFilled,
    ChatBubbleHelpIcon: chatBubbleHelp,
    ChatBubbleHistoryFilledIcon: chatBubbleHistoryFilled,
    ChatBubbleHistoryIcon: chatBubbleHistory,
    ChatBubbleLockedFilledIcon: chatBubbleLockedFilled,
    ChatBubbleLockedIcon: chatBubbleLocked,
    ChatBubbleSmileFilledIcon: chatBubbleSmileFilled,
    ChatBubbleSmileIcon: chatBubbleSmile,
    ChatBubbleIcon: chatBubble,
    ChatCheckedFilledIcon: chatCheckedFilled,
    ChatCheckedIcon: chatChecked,
    ChatClearFilledIcon: chatClearFilled,
    ChatClearIcon: chatClear,
    ChatDoubleFilledIcon: chatDoubleFilled,
    ChatDoubleIcon: chatDouble,
    ChatErrorFilledIcon: chatErrorFilled,
    ChatErrorIcon: chatError,
    ChatFilledIcon: chatFilled,
    ChatHeartFilledIcon: chatHeartFilled,
    ChatHeartIcon: chatHeart,
    ChatMessageFilledIcon: chatMessageFilled,
    ChatMessageIcon: chatMessage,
    ChatOffFilledIcon: chatOffFilled,
    ChatOffIcon: chatOff,
    ChatPollFilledIcon: chatPollFilled,
    ChatPollIcon: chatPoll,
    ChatSettingFilledIcon: chatSettingFilled,
    ChatSettingIcon: chatSetting,
    ChatIcon: chat,
    CheckCircleFilledIcon: checkCircleFilled,
    CheckCircleIcon: checkCircle,
    CheckDoubleIcon: checkDouble,
    CheckRectangleFilledIcon: checkRectangleFilled,
    CheckRectangleIcon: checkRectangle,
    CheckIcon: check,
    CheeseFilledIcon: cheeseFilled,
    CheeseIcon: cheese,
    CherryFilledIcon: cherryFilled,
    CherryIcon: cherry,
    ChevronDownCircleFilledIcon: chevronDownCircleFilled,
    ChevronDownCircleIcon: chevronDownCircle,
    ChevronDownDoubleSIcon: chevronDownDoubleS,
    ChevronDownDoubleIcon: chevronDownDouble,
    ChevronDownRectangleFilledIcon: chevronDownRectangleFilled,
    ChevronDownRectangleIcon: chevronDownRectangle,
    ChevronDownSIcon: chevronDownS,
    ChevronDownIcon: chevronDown,
    ChevronLeftCircleFilledIcon: chevronLeftCircleFilled,
    ChevronLeftCircleIcon: chevronLeftCircle,
    ChevronLeftDoubleSIcon: chevronLeftDoubleS,
    ChevronLeftDoubleIcon: chevronLeftDouble,
    ChevronLeftRectangleFilledIcon: chevronLeftRectangleFilled,
    ChevronLeftRectangleIcon: chevronLeftRectangle,
    ChevronLeftSIcon: chevronLeftS,
    ChevronLeftIcon: chevronLeft,
    ChevronRightCircleFilledIcon: chevronRightCircleFilled,
    ChevronRightCircleIcon: chevronRightCircle,
    ChevronRightDoubleSIcon: chevronRightDoubleS,
    ChevronRightDoubleIcon: chevronRightDouble,
    ChevronRightRectangleFilledIcon: chevronRightRectangleFilled,
    ChevronRightRectangleIcon: chevronRightRectangle,
    ChevronRightSIcon: chevronRightS,
    ChevronRightIcon: chevronRight,
    ChevronUpCircleFilledIcon: chevronUpCircleFilled,
    ChevronUpCircleIcon: chevronUpCircle,
    ChevronUpDoubleSIcon: chevronUpDoubleS,
    ChevronUpDoubleIcon: chevronUpDouble,
    ChevronUpRectangleFilledIcon: chevronUpRectangleFilled,
    ChevronUpRectangleIcon: chevronUpRectangle,
    ChevronUpSIcon: chevronUpS,
    ChevronUpIcon: chevronUp,
    ChickenIcon: chicken,
    ChiliFilledIcon: chiliFilled,
    ChiliIcon: chili,
    Chimney1FilledIcon: chimney1Filled,
    Chimney1Icon: chimney1,
    Chimney2FilledIcon: chimney2Filled,
    Chimney2Icon: chimney2,
    ChimneyFilledIcon: chimneyFilled,
    ChimneyIcon: chimney,
    ChineseCabbageFilledIcon: chineseCabbageFilled,
    ChineseCabbageIcon: chineseCabbage,
    ChurchFilledIcon: churchFilled,
    ChurchIcon: church,
    CircleFilledIcon: circleFilled,
    CircleIcon: circle,
    City1FilledIcon: city1Filled,
    City1Icon: city1,
    City10FilledIcon: city10Filled,
    City10Icon: city10,
    City11FilledIcon: city11Filled,
    City11Icon: city11,
    City12FilledIcon: city12Filled,
    City12Icon: city12,
    City13FilledIcon: city13Filled,
    City13Icon: city13,
    City14FilledIcon: city14Filled,
    City14Icon: city14,
    City15FilledIcon: city15Filled,
    City15Icon: city15,
    City2FilledIcon: city2Filled,
    City2Icon: city2,
    City3FilledIcon: city3Filled,
    City3Icon: city3,
    City4FilledIcon: city4Filled,
    City4Icon: city4,
    City5FilledIcon: city5Filled,
    City5Icon: city5,
    City6FilledIcon: city6Filled,
    City6Icon: city6,
    City7FilledIcon: city7Filled,
    City7Icon: city7,
    City8FilledIcon: city8Filled,
    City8Icon: city8,
    City9FilledIcon: city9Filled,
    City9Icon: city9,
    CityAncient1FilledIcon: cityAncient1Filled,
    CityAncient1Icon: cityAncient1,
    CityAncient2FilledIcon: cityAncient2Filled,
    CityAncient2Icon: cityAncient2,
    CityAncientFilledIcon: cityAncientFilled,
    CityAncientIcon: cityAncient,
    CityFilledIcon: cityFilled,
    CityIcon: city,
    ClearFilledIcon: clearFilled,
    ClearFormatting1FilledIcon: clearFormatting1Filled,
    ClearFormatting1Icon: clearFormatting1,
    ClearFormattingFilledIcon: clearFormattingFilled,
    ClearFormattingIcon: clearFormatting,
    ClearIcon: clear,
    CloseCircleFilledIcon: closeCircleFilled,
    CloseCircleIcon: closeCircle,
    CloseOctagonFilledIcon: closeOctagonFilled,
    CloseOctagonIcon: closeOctagon,
    CloseRectangleFilledIcon: closeRectangleFilled,
    CloseRectangleIcon: closeRectangle,
    CloseIcon: close,
    CloudDownloadIcon: cloudDownload,
    CloudFilledIcon: cloudFilled,
    CloudUploadIcon: cloudUpload,
    CloudIcon: cloud,
    CloudyDayFilledIcon: cloudyDayFilled,
    CloudyDayIcon: cloudyDay,
    CloudyNightFilledIcon: cloudyNightFilled,
    CloudyNightRainFilledIcon: cloudyNightRainFilled,
    CloudyNightRainIcon: cloudyNightRain,
    CloudyNightIcon: cloudyNight,
    CloudyRainFilledIcon: cloudyRainFilled,
    CloudyRainIcon: cloudyRain,
    CloudySunnyFilledIcon: cloudySunnyFilled,
    CloudySunnyIcon: cloudySunny,
    Code1Icon: code1,
    CodeOffIcon: codeOff,
    CodeIcon: code,
    ColaFilledIcon: colaFilled,
    ColaIcon: cola,
    CollageFilledIcon: collageFilled,
    CollageIcon: collage,
    CollectionFilledIcon: collectionFilled,
    CollectionIcon: collection,
    ColorInvertFilledIcon: colorInvertFilled,
    ColorInvertIcon: colorInvert,
    CombinationFilledIcon: combinationFilled,
    CombinationIcon: combination,
    CommandIcon: command,
    Compass1FilledIcon: compass1Filled,
    Compass1Icon: compass1,
    CompassFilledIcon: compassFilled,
    CompassIcon: compass,
    ComponentBreadcrumbFilledIcon: componentBreadcrumbFilled,
    ComponentBreadcrumbIcon: componentBreadcrumb,
    ComponentCheckboxFilledIcon: componentCheckboxFilled,
    ComponentCheckboxIcon: componentCheckbox,
    ComponentDividerHorizontalFilledIcon: componentDividerHorizontalFilled,
    ComponentDividerHorizontalIcon: componentDividerHorizontal,
    ComponentDividerVerticalFilledIcon: componentDividerVerticalFilled,
    ComponentDividerVerticalIcon: componentDividerVertical,
    ComponentDropdownFilledIcon: componentDropdownFilled,
    ComponentDropdownIcon: componentDropdown,
    ComponentGridFilledIcon: componentGridFilled,
    ComponentGridIcon: componentGrid,
    ComponentInputFilledIcon: componentInputFilled,
    ComponentInputIcon: componentInput,
    ComponentLayoutFilledIcon: componentLayoutFilled,
    ComponentLayoutIcon: componentLayout,
    ComponentRadioIcon: componentRadio,
    ComponentSpaceFilledIcon: componentSpaceFilled,
    ComponentSpaceIcon: componentSpace,
    ComponentStepsFilledIcon: componentStepsFilled,
    ComponentStepsIcon: componentSteps,
    ComponentSwitchFilledIcon: componentSwitchFilled,
    ComponentSwitchIcon: componentSwitch,
    ConstraintIcon: constraint,
    Contrast1FilledIcon: contrast1Filled,
    Contrast1Icon: contrast1,
    ContrastFilledIcon: contrastFilled,
    ContrastIcon: contrast,
    ControlPlatformFilledIcon: controlPlatformFilled,
    ControlPlatformIcon: controlPlatform,
    CooperateFilledIcon: cooperateFilled,
    CooperateIcon: cooperate,
    CoordinateSystemFilledIcon: coordinateSystemFilled,
    CoordinateSystemIcon: coordinateSystem,
    CopyFilledIcon: copyFilled,
    CopyIcon: copy,
    CopyrightFilledIcon: copyrightFilled,
    CopyrightIcon: copyright,
    CornFilledIcon: cornFilled,
    CornIcon: corn,
    CouponFilledIcon: couponFilled,
    CouponIcon: coupon,
    CourseFilledIcon: courseFilled,
    CourseIcon: course,
    CpuFilledIcon: cpuFilled,
    CpuIcon: cpu,
    CrackFilledIcon: crackFilled,
    CrackIcon: crack,
    CreditcardAddFilledIcon: creditcardAddFilled,
    CreditcardAddIcon: creditcardAdd,
    CreditcardFilledIcon: creditcardFilled,
    CreditcardOffFilledIcon: creditcardOffFilled,
    CreditcardOffIcon: creditcardOff,
    CreditcardIcon: creditcard,
    CrookedSmileFilledIcon: crookedSmileFilled,
    CrookedSmileIcon: crookedSmile,
    CryAndLaughFilledIcon: cryAndLaughFilled,
    CryAndLaughIcon: cryAndLaugh,
    CryLoudlyFilledIcon: cryLoudlyFilled,
    CryLoudlyIcon: cryLoudly,
    Css3FilledIcon: css3Filled,
    Css3Icon: css3,
    CucumberIcon: cucumber,
    CurrencyExchangeIcon: currencyExchange,
    CursorFilledIcon: cursorFilled,
    CursorIcon: cursor,
    CurtainFilledIcon: curtainFilled,
    CurtainIcon: curtain,
    CurveIcon: curve,
    Cut1Icon: cut1,
    CutIcon: cut,
    Dam1FilledIcon: dam1Filled,
    Dam1Icon: dam1,
    Dam2FilledIcon: dam2Filled,
    Dam2Icon: dam2,
    Dam3FilledIcon: dam3Filled,
    Dam3Icon: dam3,
    Dam4FilledIcon: dam4Filled,
    Dam4Icon: dam4,
    Dam5FilledIcon: dam5Filled,
    Dam5Icon: dam5,
    Dam6FilledIcon: dam6Filled,
    Dam6Icon: dam6,
    Dam7FilledIcon: dam7Filled,
    Dam7Icon: dam7,
    DamFilledIcon: damFilled,
    DamIcon: dam,
    DartBoardFilledIcon: dartBoardFilled,
    DartBoardIcon: dartBoard,
    Dashboard1FilledIcon: dashboard1Filled,
    Dashboard1Icon: dashboard1,
    DashboardFilledIcon: dashboardFilled,
    DashboardIcon: dashboard,
    DataBaseFilledIcon: dataBaseFilled,
    DataBaseIcon: dataBase,
    DataCheckedFilledIcon: dataCheckedFilled,
    DataCheckedIcon: dataChecked,
    DataDisplayIcon: dataDisplay,
    DataErrorFilledIcon: dataErrorFilled,
    DataErrorIcon: dataError,
    DataFilledIcon: dataFilled,
    DataSearchFilledIcon: dataSearchFilled,
    DataSearchIcon: dataSearch,
    DataIcon: data,
    Delete1FilledIcon: delete1Filled,
    Delete1Icon: delete1,
    DeleteFilledIcon: deleteFilled,
    DeleteTimeFilledIcon: deleteTimeFilled,
    DeleteTimeIcon: deleteTime,
    DeleteIcon: _delete,
    DeltaFilledIcon: deltaFilled,
    DeltaIcon: delta,
    DepressedFilledIcon: depressedFilled,
    DepressedIcon: depressed,
    Desktop1FilledIcon: desktop1Filled,
    Desktop1Icon: desktop1,
    DesktopFilledIcon: desktopFilled,
    DesktopIcon: desktop,
    DespiseFilledIcon: despiseFilled,
    DespiseIcon: despise,
    DeviceFilledIcon: deviceFilled,
    DeviceIcon: device,
    DiscountFilledIcon: discountFilled,
    DiscountIcon: discount,
    DissatisfactionFilledIcon: dissatisfactionFilled,
    DissatisfactionIcon: dissatisfaction,
    DivideIcon: divide,
    Dividers1Icon: dividers1,
    DividersIcon: dividers,
    DogeFilledIcon: dogeFilled,
    DogeIcon: doge,
    DoubleStoreyFilledIcon: doubleStoreyFilled,
    DoubleStoreyIcon: doubleStorey,
    Download1Icon: download1,
    Download2FilledIcon: download2Filled,
    Download2Icon: download2,
    DownloadIcon: download,
    DownscaleIcon: downscale,
    DragDropIcon: dragDrop,
    DragMoveIcon: dragMove,
    DrinkFilledIcon: drinkFilled,
    DrinkIcon: drink,
    DrumstickFilledIcon: drumstickFilled,
    DrumstickIcon: drumstick,
    DvFilledIcon: dvFilled,
    DvIcon: dv,
    DvdFilledIcon: dvdFilled,
    DvdIcon: dvd,
    EarphoneFilledIcon: earphoneFilled,
    EarphoneIcon: earphone,
    EarthFilledIcon: earthFilled,
    EarthIcon: earth,
    Edit1FilledIcon: edit1Filled,
    Edit1Icon: edit1,
    Edit2FilledIcon: edit2Filled,
    Edit2Icon: edit2,
    EditFilledIcon: editFilled,
    EditOffFilledIcon: editOffFilled,
    EditOffIcon: editOff,
    EditIcon: edit,
    EducationFilledIcon: educationFilled,
    EducationIcon: education,
    EggplantFilledIcon: eggplantFilled,
    EggplantIcon: eggplant,
    EllipsisIcon: ellipsis,
    EmoEmotionalFilledIcon: emoEmotionalFilled,
    EmoEmotionalIcon: emoEmotional,
    EnterIcon: enter,
    EqualIcon: equal,
    ErrorCircleFilledIcon: errorCircleFilled,
    ErrorCircleIcon: errorCircle,
    ErrorTriangleFilledIcon: errorTriangleFilled,
    ErrorTriangleIcon: errorTriangle,
    ErrorIcon: error,
    Excited1FilledIcon: excited1Filled,
    Excited1Icon: excited1,
    ExcitedFilledIcon: excitedFilled,
    ExcitedIcon: excited,
    ExpandDownFilledIcon: expandDownFilled,
    ExpandDownIcon: expandDown,
    ExpandHorizontalIcon: expandHorizontal,
    ExpandUpFilledIcon: expandUpFilled,
    ExpandUpIcon: expandUp,
    ExpandVerticalIcon: expandVertical,
    ExploreFilledIcon: exploreFilled,
    ExploreOffFilledIcon: exploreOffFilled,
    ExploreOffIcon: exploreOff,
    ExploreIcon: explore,
    ExposureFilledIcon: exposureFilled,
    ExposureIcon: exposure,
    ExtensionFilledIcon: extensionFilled,
    ExtensionOffFilledIcon: extensionOffFilled,
    ExtensionOffIcon: extensionOff,
    ExtensionIcon: extension,
    FaceRetouchingFilledIcon: faceRetouchingFilled,
    FaceRetouchingIcon: faceRetouching,
    FactCheckFilledIcon: factCheckFilled,
    FactCheckIcon: factCheck,
    FahrenheitScaleIcon: fahrenheitScale,
    FeelAtEaseFilledIcon: feelAtEaseFilled,
    FeelAtEaseIcon: feelAtEase,
    FerociousFilledIcon: ferociousFilled,
    FerociousIcon: ferocious,
    FerrisWheelFilledIcon: ferrisWheelFilled,
    FerrisWheelIcon: ferrisWheel,
    File1FilledIcon: file1Filled,
    File1Icon: file1,
    FileAdd1FilledIcon: fileAdd1Filled,
    FileAdd1Icon: fileAdd1,
    FileAddFilledIcon: fileAddFilled,
    FileAddIcon: fileAdd,
    FileAttachmentFilledIcon: fileAttachmentFilled,
    FileAttachmentIcon: fileAttachment,
    FileBlockedFilledIcon: fileBlockedFilled,
    FileBlockedIcon: fileBlocked,
    FileCode1FilledIcon: fileCode1Filled,
    FileCode1Icon: fileCode1,
    FileCodeFilledIcon: fileCodeFilled,
    FileCodeIcon: fileCode,
    FileCopyFilledIcon: fileCopyFilled,
    FileCopyIcon: fileCopy,
    FileDownloadFilledIcon: fileDownloadFilled,
    FileDownloadIcon: fileDownload,
    FileExcelFilledIcon: fileExcelFilled,
    FileExcelIcon: fileExcel,
    FileExportFilledIcon: fileExportFilled,
    FileExportIcon: fileExport,
    FileFilledIcon: fileFilled,
    FileIconFilledIcon: fileIconFilled,
    FileIconIcon: fileIcon,
    FileImageFilledIcon: fileImageFilled,
    FileImageIcon: fileImage,
    FileImportFilledIcon: fileImportFilled,
    FileImportIcon: fileImport,
    FileLockedFilledIcon: fileLockedFilled,
    FileLockedIcon: fileLocked,
    FileMinusFilledIcon: fileMinusFilled,
    FileMinusIcon: fileMinus,
    FileMusicFilledIcon: fileMusicFilled,
    FileMusicIcon: fileMusic,
    FileOnenoteFilledIcon: fileOnenoteFilled,
    FileOnenoteIcon: fileOnenote,
    FileOutlookFilledIcon: fileOutlookFilled,
    FileOutlookIcon: fileOutlook,
    FilePasteFilledIcon: filePasteFilled,
    FilePasteIcon: filePaste,
    FilePdfFilledIcon: filePdfFilled,
    FilePdfIcon: filePdf,
    FilePowerpointFilledIcon: filePowerpointFilled,
    FilePowerpointIcon: filePowerpoint,
    FileRestoreFilledIcon: fileRestoreFilled,
    FileRestoreIcon: fileRestore,
    FileSafetyFilledIcon: fileSafetyFilled,
    FileSafetyIcon: fileSafety,
    FileSearchFilledIcon: fileSearchFilled,
    FileSearchIcon: fileSearch,
    FileSettingFilledIcon: fileSettingFilled,
    FileSettingIcon: fileSetting,
    FileTeamsFilledIcon: fileTeamsFilled,
    FileTeamsIcon: fileTeams,
    FileTransmitDoubleFilledIcon: fileTransmitDoubleFilled,
    FileTransmitDoubleIcon: fileTransmitDouble,
    FileTransmitFilledIcon: fileTransmitFilled,
    FileTransmitIcon: fileTransmit,
    FileUnknownFilledIcon: fileUnknownFilled,
    FileUnknownIcon: fileUnknown,
    FileUnlockedFilledIcon: fileUnlockedFilled,
    FileUnlockedIcon: fileUnlocked,
    FileWordFilledIcon: fileWordFilled,
    FileWordIcon: fileWord,
    FileZipFilledIcon: fileZipFilled,
    FileZipIcon: fileZip,
    FileIcon: file,
    FillColor1FilledIcon: fillColor1Filled,
    FillColor1Icon: fillColor1,
    FillColorFilledIcon: fillColorFilled,
    FillColorIcon: fillColor,
    Film1FilledIcon: film1Filled,
    Film1Icon: film1,
    FilmFilledIcon: filmFilled,
    FilmIcon: film,
    Filter1FilledIcon: filter1Filled,
    Filter1Icon: filter1,
    Filter2FilledIcon: filter2Filled,
    Filter2Icon: filter2,
    Filter3FilledIcon: filter3Filled,
    Filter3Icon: filter3,
    FilterClearFilledIcon: filterClearFilled,
    FilterClearIcon: filterClear,
    FilterFilledIcon: filterFilled,
    FilterOffFilledIcon: filterOffFilled,
    FilterOffIcon: filterOff,
    FilterSortFilledIcon: filterSortFilled,
    FilterSortIcon: filterSort,
    FilterIcon: filter,
    Fingerprint1Icon: fingerprint1,
    Fingerprint2Icon: fingerprint2,
    Fingerprint3Icon: fingerprint3,
    FingerprintIcon: fingerprint,
    FishFilledIcon: fishFilled,
    FishIcon: fish,
    Flag1FilledIcon: flag1Filled,
    Flag1Icon: flag1,
    Flag2FilledIcon: flag2Filled,
    Flag2Icon: flag2,
    Flag3FilledIcon: flag3Filled,
    Flag3Icon: flag3,
    Flag4FilledIcon: flag4Filled,
    Flag4Icon: flag4,
    FlagFilledIcon: flagFilled,
    FlagIcon: flag,
    FlashlightFilledIcon: flashlightFilled,
    FlashlightIcon: flashlight,
    FlightLandingFilledIcon: flightLandingFilled,
    FlightLandingIcon: flightLanding,
    FlightTakeoffFilledIcon: flightTakeoffFilled,
    FlightTakeoffIcon: flightTakeoff,
    FlipSmilingFaceFilledIcon: flipSmilingFaceFilled,
    FlipSmilingFaceIcon: flipSmilingFace,
    FlipToBackFilledIcon: flipToBackFilled,
    FlipToBackIcon: flipToBack,
    FlipToFrontFilledIcon: flipToFrontFilled,
    FlipToFrontIcon: flipToFront,
    FocusFilledIcon: focusFilled,
    FocusIcon: focus,
    FogFilledIcon: fogFilled,
    FogNightFilledIcon: fogNightFilled,
    FogNightIcon: fogNight,
    FogSunnyFilledIcon: fogSunnyFilled,
    FogSunnyIcon: fogSunny,
    FogIcon: fog,
    Folder1FilledIcon: folder1Filled,
    Folder1Icon: folder1,
    FolderAdd1FilledIcon: folderAdd1Filled,
    FolderAdd1Icon: folderAdd1,
    FolderAddFilledIcon: folderAddFilled,
    FolderAddIcon: folderAdd,
    FolderBlockedFilledIcon: folderBlockedFilled,
    FolderBlockedIcon: folderBlocked,
    FolderDetailsFilledIcon: folderDetailsFilled,
    FolderDetailsIcon: folderDetails,
    FolderExportFilledIcon: folderExportFilled,
    FolderExportIcon: folderExport,
    FolderFilledIcon: folderFilled,
    FolderImportFilledIcon: folderImportFilled,
    FolderImportIcon: folderImport,
    FolderLockedFilledIcon: folderLockedFilled,
    FolderLockedIcon: folderLocked,
    FolderMinusFilledIcon: folderMinusFilled,
    FolderMinusIcon: folderMinus,
    FolderMoveFilledIcon: folderMoveFilled,
    FolderMoveIcon: folderMove,
    FolderOffFilledIcon: folderOffFilled,
    FolderOffIcon: folderOff,
    FolderOpen1FilledIcon: folderOpen1Filled,
    FolderOpen1Icon: folderOpen1,
    FolderOpenFilledIcon: folderOpenFilled,
    FolderOpenIcon: folderOpen,
    FolderSearchFilledIcon: folderSearchFilled,
    FolderSearchIcon: folderSearch,
    FolderSettingFilledIcon: folderSettingFilled,
    FolderSettingIcon: folderSetting,
    FolderSharedFilledIcon: folderSharedFilled,
    FolderSharedIcon: folderShared,
    FolderUnlockedFilledIcon: folderUnlockedFilled,
    FolderUnlockedIcon: folderUnlocked,
    FolderZipFilledIcon: folderZipFilled,
    FolderZipIcon: folderZip,
    FolderIcon: folder,
    ForestFilledIcon: forestFilled,
    ForestIcon: forest,
    ForkFilledIcon: forkFilled,
    ForkIcon: fork,
    FormFilledIcon: formFilled,
    FormIcon: form,
    FormatHorizontalAlignBottomIcon: formatHorizontalAlignBottom,
    FormatHorizontalAlignCenterIcon: formatHorizontalAlignCenter,
    FormatHorizontalAlignTopIcon: formatHorizontalAlignTop,
    FormatVerticalAlignCenterIcon: formatVerticalAlignCenter,
    FormatVerticalAlignLeftIcon: formatVerticalAlignLeft,
    FormatVerticalAlignRightIcon: formatVerticalAlignRight,
    ForwardFilledIcon: forwardFilled,
    ForwardIcon: forward,
    Frame1FilledIcon: frame1Filled,
    Frame1Icon: frame1,
    FrameFilledIcon: frameFilled,
    FrameIcon: frame,
    FriesFilledIcon: friesFilled,
    FriesIcon: fries,
    Fullscreen1Icon: fullscreen1,
    Fullscreen2Icon: fullscreen2,
    FullscreenExit1Icon: fullscreenExit1,
    FullscreenExitIcon: fullscreenExit,
    FullscreenIcon: fullscreen,
    FunctionCurveIcon: functionCurve,
    Functions1Icon: functions1,
    FunctionsIcon: functions,
    Gamepad1FilledIcon: gamepad1Filled,
    Gamepad1Icon: gamepad1,
    GamepadFilledIcon: gamepadFilled,
    GamepadIcon: gamepad,
    GammaIcon: gamma,
    GarlicFilledIcon: garlicFilled,
    GarlicIcon: garlic,
    GenderFemaleIcon: genderFemale,
    GenderMaleIcon: genderMale,
    GestureApplauseFilledIcon: gestureApplauseFilled,
    GestureApplauseIcon: gestureApplause,
    GestureClickFilledIcon: gestureClickFilled,
    GestureClickIcon: gestureClick,
    GestureDownFilledIcon: gestureDownFilled,
    GestureDownIcon: gestureDown,
    GestureExpansionFilledIcon: gestureExpansionFilled,
    GestureExpansionIcon: gestureExpansion,
    GestureLeftFilledIcon: gestureLeftFilled,
    GestureLeftSlipFilledIcon: gestureLeftSlipFilled,
    GestureLeftSlipIcon: gestureLeftSlip,
    GestureLeftIcon: gestureLeft,
    GestureOpenFilledIcon: gestureOpenFilled,
    GestureOpenIcon: gestureOpen,
    GesturePrayFilledIcon: gesturePrayFilled,
    GesturePrayIcon: gesturePray,
    GesturePressFilledIcon: gesturePressFilled,
    GesturePressIcon: gesturePress,
    GestureRanslationFilledIcon: gestureRanslationFilled,
    GestureRanslationIcon: gestureRanslation,
    GestureRightFilledIcon: gestureRightFilled,
    GestureRightSlipFilledIcon: gestureRightSlipFilled,
    GestureRightSlipIcon: gestureRightSlip,
    GestureRightIcon: gestureRight,
    GestureSlideLeftAndRightFilledIcon: gestureSlideLeftAndRightFilled,
    GestureSlideLeftAndRightIcon: gestureSlideLeftAndRight,
    GestureSlideUpFilledIcon: gestureSlideUpFilled,
    GestureSlideUpIcon: gestureSlideUp,
    GestureTypingFilledIcon: gestureTypingFilled,
    GestureTypingIcon: gestureTyping,
    GestureUpAndDownFilledIcon: gestureUpAndDownFilled,
    GestureUpAndDownIcon: gestureUpAndDown,
    GestureUpFilledIcon: gestureUpFilled,
    GestureUpIcon: gestureUp,
    GestureWipeDownFilledIcon: gestureWipeDownFilled,
    GestureWipeDownIcon: gestureWipeDown,
    GiftFilledIcon: giftFilled,
    GiftIcon: gift,
    GiggleFilledIcon: giggleFilled,
    GiggleIcon: giggle,
    GitBranchFilledIcon: gitBranchFilled,
    GitBranchIcon: gitBranch,
    GitCommitFilledIcon: gitCommitFilled,
    GitCommitIcon: gitCommit,
    GitMergeFilledIcon: gitMergeFilled,
    GitMergeIcon: gitMerge,
    GitPullRequestFilledIcon: gitPullRequestFilled,
    GitPullRequestIcon: gitPullRequest,
    GitRepositoryCommitsFilledIcon: gitRepositoryCommitsFilled,
    GitRepositoryCommitsIcon: gitRepositoryCommits,
    GitRepositoryFilledIcon: gitRepositoryFilled,
    GitRepositoryPrivateFilledIcon: gitRepositoryPrivateFilled,
    GitRepositoryPrivateIcon: gitRepositoryPrivate,
    GitRepositoryIcon: gitRepository,
    GpsFilledIcon: gpsFilled,
    GpsIcon: gps,
    GrapeFilledIcon: grapeFilled,
    GrapeIcon: grape,
    GreaterThanOrEqualIcon: greaterThanOrEqual,
    GreaterThanIcon: greaterThan,
    GreenOnionIcon: greenOnion,
    GridAddFilledIcon: gridAddFilled,
    GridAddIcon: gridAdd,
    GridViewFilledIcon: gridViewFilled,
    GridViewIcon: gridView,
    GuitarFilledIcon: guitarFilled,
    GuitarIcon: guitar,
    HamburgerFilledIcon: hamburgerFilled,
    HamburgerIcon: hamburger,
    HappyFilledIcon: happyFilled,
    HappyIcon: happy,
    HardDiskStorageFilledIcon: hardDiskStorageFilled,
    HardDiskStorageIcon: hardDiskStorage,
    HardDriveFilledIcon: hardDriveFilled,
    HardDriveIcon: hardDrive,
    HashtagIcon: hashtag,
    HdFilledIcon: hdFilled,
    HdIcon: hd,
    HeartFilledIcon: heartFilled,
    HeartIcon: heart,
    HelpCircleFilledIcon: helpCircleFilled,
    HelpCircleIcon: helpCircle,
    HelpRectangleFilledIcon: helpRectangleFilled,
    HelpRectangleIcon: helpRectangle,
    HelpIcon: help,
    Highlight1FilledIcon: highlight1Filled,
    Highlight1Icon: highlight1,
    HighlightIcon: highlight,
    HistorySettingIcon: historySetting,
    HistoryIcon: history,
    HomeFilledIcon: homeFilled,
    HomeIcon: home,
    HorizontalFilledIcon: horizontalFilled,
    HorizontalIcon: horizontal,
    Hospital1FilledIcon: hospital1Filled,
    Hospital1Icon: hospital1,
    HospitalFilledIcon: hospitalFilled,
    HospitalIcon: hospital,
    HotspotWaveFilledIcon: hotspotWaveFilled,
    HotspotWaveIcon: hotspotWave,
    HourglassFilledIcon: hourglassFilled,
    HourglassIcon: hourglass,
    Houses1FilledIcon: houses1Filled,
    Houses1Icon: houses1,
    Houses2FilledIcon: houses2Filled,
    Houses2Icon: houses2,
    HousesFilledIcon: housesFilled,
    HousesIcon: houses,
    Html5FilledIcon: html5Filled,
    Html5Icon: html5,
    HttpsFilledIcon: httpsFilled,
    HttpsIcon: https,
    IceCreamFilledIcon: iceCreamFilled,
    IceCreamIcon: iceCream,
    IconFilledIcon: iconFilled,
    IconIcon: icon,
    Image1FilledIcon: image1Filled,
    Image1Icon: image1,
    ImageAddFilledIcon: imageAddFilled,
    ImageAddIcon: imageAdd,
    ImageEditFilledIcon: imageEditFilled,
    ImageEditIcon: imageEdit,
    ImageErrorFilledIcon: imageErrorFilled,
    ImageErrorIcon: imageError,
    ImageFilledIcon: imageFilled,
    ImageOffFilledIcon: imageOffFilled,
    ImageOffIcon: imageOff,
    ImageSearchFilledIcon: imageSearchFilled,
    ImageSearchIcon: imageSearch,
    ImageIcon: image,
    IndentLeftIcon: indentLeft,
    IndentRightIcon: indentRight,
    IndicatorFilledIcon: indicatorFilled,
    IndicatorIcon: indicator,
    InfoCircleFilledIcon: infoCircleFilled,
    InfoCircleIcon: infoCircle,
    InkFilledIcon: inkFilled,
    InkIcon: ink,
    InstallDesktopFilledIcon: installDesktopFilled,
    InstallDesktopIcon: installDesktop,
    InstallFilledIcon: installFilled,
    InstallMobileFilledIcon: installMobileFilled,
    InstallMobileIcon: installMobile,
    InstallIcon: install$1,
    InstitutionCheckedFilledIcon: institutionCheckedFilled,
    InstitutionCheckedIcon: institutionChecked,
    InstitutionFilledIcon: institutionFilled,
    InstitutionIcon: institution,
    InternetFilledIcon: internetFilled,
    InternetIcon: internet,
    IpodFilledIcon: ipodFilled,
    IpodIcon: ipod,
    JoyfulFilledIcon: joyfulFilled,
    JoyfulIcon: joyful,
    JumpDoubleIcon: jumpDouble,
    JumpOffIcon: jumpOff,
    JumpIcon: jump,
    KeyFilledIcon: keyFilled,
    KeyIcon: key,
    KeyboardFilledIcon: keyboardFilled,
    KeyboardIcon: keyboard,
    LaptopFilledIcon: laptopFilled,
    LaptopIcon: laptop,
    LayersFilledIcon: layersFilled,
    LayersIcon: layers,
    LayoutFilledIcon: layoutFilled,
    LayoutIcon: layout,
    LeaderboardFilledIcon: leaderboardFilled,
    LeaderboardIcon: leaderboard,
    LemonFilledIcon: lemonFilled,
    LemonSliceFilledIcon: lemonSliceFilled,
    LemonSliceIcon: lemonSlice,
    LemonIcon: lemon,
    LessThanOrEqualIcon: lessThanOrEqual,
    LessThanIcon: lessThan,
    LettersAIcon: lettersA,
    LettersBIcon: lettersB,
    LettersCIcon: lettersC,
    LettersDIcon: lettersD,
    LettersEIcon: lettersE,
    LettersFIcon: lettersF,
    LettersGIcon: lettersG,
    LettersHIcon: lettersH,
    LettersIIcon: lettersI,
    LettersJIcon: lettersJ,
    LettersKIcon: lettersK,
    LettersLIcon: lettersL,
    LettersMIcon: lettersM,
    LettersNIcon: lettersN,
    LettersOIcon: lettersO,
    LettersPIcon: lettersP,
    LettersQIcon: lettersQ,
    LettersRIcon: lettersR,
    LettersSIcon: lettersS,
    LettersTIcon: lettersT,
    LettersUIcon: lettersU,
    LettersVIcon: lettersV,
    LettersWIcon: lettersW,
    LettersXIcon: lettersX,
    LettersYIcon: lettersY,
    LettersZIcon: lettersZ,
    LightbulbCircleFilledIcon: lightbulbCircleFilled,
    LightbulbCircleIcon: lightbulbCircle,
    LightbulbFilledIcon: lightbulbFilled,
    LightbulbIcon: lightbulb,
    Lighthouse1FilledIcon: lighthouse1Filled,
    Lighthouse1Icon: lighthouse1,
    Lighthouse2FilledIcon: lighthouse2Filled,
    Lighthouse2Icon: lighthouse2,
    LighthouseFilledIcon: lighthouseFilled,
    LighthouseIcon: lighthouse,
    LightingCircleFilledIcon: lightingCircleFilled,
    LightingCircleIcon: lightingCircle,
    LineHeightIcon: lineHeight,
    Link1Icon: link1,
    LinkUnlinkIcon: linkUnlink,
    LinkIcon: link,
    LiquorFilledIcon: liquorFilled,
    LiquorIcon: liquor,
    ListNumberedIcon: listNumbered,
    ListIcon: list,
    LoadIcon: load,
    LoadingIcon: loading,
    Location1FilledIcon: location1Filled,
    Location1Icon: location1,
    LocationEnlargementFilledIcon: locationEnlargementFilled,
    LocationEnlargementIcon: locationEnlargement,
    LocationErrorFilledIcon: locationErrorFilled,
    LocationErrorIcon: locationError,
    LocationFilledIcon: locationFilled,
    LocationParkingPlaceFilledIcon: locationParkingPlaceFilled,
    LocationParkingPlaceIcon: locationParkingPlace,
    LocationReductionFilledIcon: locationReductionFilled,
    LocationReductionIcon: locationReduction,
    LocationSettingFilledIcon: locationSettingFilled,
    LocationSettingIcon: locationSetting,
    LocationIcon: location,
    LockOffFilledIcon: lockOffFilled,
    LockOffIcon: lockOff,
    LockOnFilledIcon: lockOnFilled,
    LockOnIcon: lockOn,
    LockTimeFilledIcon: lockTimeFilled,
    LockTimeIcon: lockTime,
    LoginIcon: login,
    LogoAdobeIllustrateFilledIcon: logoAdobeIllustrateFilled,
    LogoAdobeIllustrateIcon: logoAdobeIllustrate,
    LogoAdobeLightroomFilledIcon: logoAdobeLightroomFilled,
    LogoAdobeLightroomIcon: logoAdobeLightroom,
    LogoAdobePhotoshopFilledIcon: logoAdobePhotoshopFilled,
    LogoAdobePhotoshopIcon: logoAdobePhotoshop,
    LogoAlipayFilledIcon: logoAlipayFilled,
    LogoAlipayIcon: logoAlipay,
    LogoAndroidFilledIcon: logoAndroidFilled,
    LogoAndroidIcon: logoAndroid,
    LogoAppleFilledIcon: logoAppleFilled,
    LogoAppleIcon: logoApple,
    LogoBehanceFilledIcon: logoBehanceFilled,
    LogoBehanceIcon: logoBehance,
    LogoChromeFilledIcon: logoChromeFilled,
    LogoChromeIcon: logoChrome,
    LogoCinema4DFilledIcon: logoCinema4dFilled,
    LogoCinema4DIcon: logoCinema4d,
    LogoCnbFilledIcon: logoCnbFilled,
    LogoCnbIcon: logoCnb,
    LogoCodepenIcon: logoCodepen,
    LogoCodesandboxIcon: logoCodesandbox,
    LogoDribbbleFilledIcon: logoDribbbleFilled,
    LogoDribbbleIcon: logoDribbble,
    LogoFacebookFilledIcon: logoFacebookFilled,
    LogoFacebookIcon: logoFacebook,
    LogoFigmaFilledIcon: logoFigmaFilled,
    LogoFigmaIcon: logoFigma,
    LogoFramerFilledIcon: logoFramerFilled,
    LogoFramerIcon: logoFramer,
    LogoGithubFilledIcon: logoGithubFilled,
    LogoGithubIcon: logoGithub,
    LogoGitlabFilledIcon: logoGitlabFilled,
    LogoGitlabIcon: logoGitlab,
    LogoIeFilledIcon: logoIeFilled,
    LogoIeIcon: logoIe,
    LogoInstagramFilledIcon: logoInstagramFilled,
    LogoInstagramIcon: logoInstagram,
    LogoMiniprogramFilledIcon: logoMiniprogramFilled,
    LogoMiniprogramIcon: logoMiniprogram,
    LogoQqFilledIcon: logoQqFilled,
    LogoQqIcon: logoQq,
    LogoTwitterFilledIcon: logoTwitterFilled,
    LogoTwitterIcon: logoTwitter,
    LogoWechatStrokeFilledIcon: logoWechatStrokeFilled,
    LogoWechatStrokeIcon: logoWechatStroke,
    LogoWechatpayFilledIcon: logoWechatpayFilled,
    LogoWechatpayIcon: logoWechatpay,
    LogoWecomIcon: logoWecom,
    LogoWindowsFilledIcon: logoWindowsFilled,
    LogoWindowsIcon: logoWindows,
    LogoYoutubeFilledIcon: logoYoutubeFilled,
    LogoYoutubeIcon: logoYoutube,
    LogoutIcon: logout,
    LookAroundFilledIcon: lookAroundFilled,
    LookAroundIcon: lookAround,
    LoudspeakerFilledIcon: loudspeakerFilled,
    LoudspeakerIcon: loudspeaker,
    MailFilledIcon: mailFilled,
    MailIcon: mail,
    Map3DFilledIcon: map3dFilled,
    Map3DIcon: map3d,
    MapAddFilledIcon: mapAddFilled,
    MapAddIcon: mapAdd,
    MapAimingFilledIcon: mapAimingFilled,
    MapAimingIcon: mapAiming,
    MapBlockedFilledIcon: mapBlockedFilled,
    MapBlockedIcon: mapBlocked,
    MapBubbleFilledIcon: mapBubbleFilled,
    MapBubbleIcon: mapBubble,
    MapCancelFilledIcon: mapCancelFilled,
    MapCancelIcon: mapCancel,
    MapChatFilledIcon: mapChatFilled,
    MapChatIcon: mapChat,
    MapCheckedFilledIcon: mapCheckedFilled,
    MapCheckedIcon: mapChecked,
    MapCollectionFilledIcon: mapCollectionFilled,
    MapCollectionIcon: mapCollection,
    MapConnectionFilledIcon: mapConnectionFilled,
    MapConnectionIcon: mapConnection,
    MapDistanceFilledIcon: mapDistanceFilled,
    MapDistanceIcon: mapDistance,
    MapDoubleFilledIcon: mapDoubleFilled,
    MapDoubleIcon: mapDouble,
    MapEditFilledIcon: mapEditFilled,
    MapEditIcon: mapEdit,
    MapFilledIcon: mapFilled,
    MapGridFilledIcon: mapGridFilled,
    MapGridIcon: mapGrid,
    MapInformation1FilledIcon: mapInformation1Filled,
    MapInformation1Icon: mapInformation1,
    MapInformation2FilledIcon: mapInformation2Filled,
    MapInformation2Icon: mapInformation2,
    MapInformationFilledIcon: mapInformationFilled,
    MapInformationIcon: mapInformation,
    MapLocationFilledIcon: mapLocationFilled,
    MapLocationIcon: mapLocation,
    MapLockedFilledIcon: mapLockedFilled,
    MapLockedIcon: mapLocked,
    MapMarkedFilledIcon: mapMarkedFilled,
    MapMarkedIcon: mapMarked,
    MapNavigationFilledIcon: mapNavigationFilled,
    MapNavigationIcon: mapNavigation,
    MapOutlineFilledIcon: mapOutlineFilled,
    MapOutlineIcon: mapOutline,
    MapRoutePlanningFilledIcon: mapRoutePlanningFilled,
    MapRoutePlanningIcon: mapRoutePlanning,
    MapRulerFilledIcon: mapRulerFilled,
    MapRulerIcon: mapRuler,
    MapSafetyFilledIcon: mapSafetyFilled,
    MapSafetyIcon: mapSafety,
    MapSearch1FilledIcon: mapSearch1Filled,
    MapSearch1Icon: mapSearch1,
    MapSearchFilledIcon: mapSearchFilled,
    MapSearchIcon: mapSearch,
    MapSettingFilledIcon: mapSettingFilled,
    MapSettingIcon: mapSetting,
    MapUnlockedFilledIcon: mapUnlockedFilled,
    MapUnlockedIcon: mapUnlocked,
    MapIcon: map,
    MarkAsUnreadFilledIcon: markAsUnreadFilled,
    MarkAsUnreadIcon: markAsUnread,
    MarkupFilledIcon: markupFilled,
    MarkupIcon: markup,
    MathematicsFilledIcon: mathematicsFilled,
    MathematicsIcon: mathematics,
    Measurement1FilledIcon: measurement1Filled,
    Measurement1Icon: measurement1,
    Measurement2FilledIcon: measurement2Filled,
    Measurement2Icon: measurement2,
    MeasurementFilledIcon: measurementFilled,
    MeasurementIcon: measurement,
    MeatPepperFilledIcon: meatPepperFilled,
    MeatPepperIcon: meatPepper,
    MediaLibraryFilledIcon: mediaLibraryFilled,
    MediaLibraryIcon: mediaLibrary,
    MemberFilledIcon: memberFilled,
    MemberIcon: member,
    MenuApplicationIcon: menuApplication,
    MenuFilledIcon: menuFilled,
    MenuFoldIcon: menuFold,
    MenuUnfoldIcon: menuUnfold,
    MenuIcon: menu,
    MergeCellsFilledIcon: mergeCellsFilled,
    MergeCellsIcon: mergeCells,
    Microphone1FilledIcon: microphone1Filled,
    Microphone1Icon: microphone1,
    Microphone2FilledIcon: microphone2Filled,
    Microphone2Icon: microphone2,
    MicrophoneFilledIcon: microphoneFilled,
    MicrophoneIcon: microphone,
    MilkFilledIcon: milkFilled,
    MilkIcon: milk,
    MinusCircleFilledIcon: minusCircleFilled,
    MinusCircleIcon: minusCircle,
    MinusRectangleFilledIcon: minusRectangleFilled,
    MinusRectangleIcon: minusRectangle,
    MinusIcon: minus,
    MirrorFilledIcon: mirrorFilled,
    MirrorIcon: mirror,
    MobileBlockedFilledIcon: mobileBlockedFilled,
    MobileBlockedIcon: mobileBlocked,
    MobileFilledIcon: mobileFilled,
    MobileListFilledIcon: mobileListFilled,
    MobileListIcon: mobileList,
    MobileNavigationFilledIcon: mobileNavigationFilled,
    MobileNavigationIcon: mobileNavigation,
    MobileShortcutFilledIcon: mobileShortcutFilled,
    MobileShortcutIcon: mobileShortcut,
    MobileVibrateFilledIcon: mobileVibrateFilled,
    MobileVibrateIcon: mobileVibrate,
    MobileIcon: mobile,
    ModeDarkFilledIcon: modeDarkFilled,
    ModeDarkIcon: modeDark,
    ModeLightFilledIcon: modeLightFilled,
    ModeLightIcon: modeLight,
    ModuleFilledIcon: moduleFilled,
    ModuleIcon: module,
    MoneyFilledIcon: moneyFilled,
    MoneyIcon: money,
    MonumentFilledIcon: monumentFilled,
    MonumentIcon: monument,
    MoonFallFilledIcon: moonFallFilled,
    MoonFallIcon: moonFall,
    MoonFilledIcon: moonFilled,
    MoonRisingFilledIcon: moonRisingFilled,
    MoonRisingIcon: moonRising,
    MoonIcon: moon,
    MoreIcon: more,
    Mosque1FilledIcon: mosque1Filled,
    Mosque1Icon: mosque1,
    MosqueFilledIcon: mosqueFilled,
    MosqueIcon: mosque,
    MouseFilledIcon: mouseFilled,
    MouseIcon: mouse,
    Move1Icon: move1,
    MoveIcon: move,
    MovieClapperFilledIcon: movieClapperFilled,
    MovieClapperIcon: movieClapper,
    MultiplyIcon: multiply,
    Museum1FilledIcon: museum1Filled,
    Museum1Icon: museum1,
    Museum2FilledIcon: museum2Filled,
    Museum2Icon: museum2,
    MuseumFilledIcon: museumFilled,
    MuseumIcon: museum,
    Mushroom1FilledIcon: mushroom1Filled,
    Mushroom1Icon: mushroom1,
    MushroomFilledIcon: mushroomFilled,
    MushroomIcon: mushroom,
    Music1FilledIcon: music1Filled,
    Music1Icon: music1,
    Music2FilledIcon: music2Filled,
    Music2Icon: music2,
    MusicFilledIcon: musicFilled,
    MusicRectangleAddFilledIcon: musicRectangleAddFilled,
    MusicRectangleAddIcon: musicRectangleAdd,
    MusicIcon: music,
    NavigationArrowFilledIcon: navigationArrowFilled,
    NavigationArrowIcon: navigationArrow,
    NextFilledIcon: nextFilled,
    NextIcon: next,
    NoExpressionFilledIcon: noExpressionFilled,
    NoExpressionIcon: noExpression,
    NoodleFilledIcon: noodleFilled,
    NoodleIcon: noodle,
    NotificationAddFilledIcon: notificationAddFilled,
    NotificationAddIcon: notificationAdd,
    NotificationCircleFilledIcon: notificationCircleFilled,
    NotificationCircleIcon: notificationCircle,
    NotificationErrorFilledIcon: notificationErrorFilled,
    NotificationErrorIcon: notificationError,
    NotificationFilledIcon: notificationFilled,
    NotificationIcon: notification,
    Numbers01Icon: numbers01,
    Numbers0Icon: numbers0,
    Numbers11Icon: numbers11,
    Numbers1Icon: numbers1,
    Numbers21Icon: numbers21,
    Numbers2Icon: numbers2,
    Numbers31Icon: numbers31,
    Numbers3Icon: numbers3,
    Numbers41Icon: numbers41,
    Numbers4Icon: numbers4,
    Numbers51Icon: numbers51,
    Numbers5Icon: numbers5,
    Numbers61Icon: numbers61,
    Numbers6Icon: numbers6,
    Numbers71Icon: numbers71,
    Numbers7Icon: numbers7,
    Numbers81Icon: numbers81,
    Numbers8Icon: numbers8,
    Numbers91Icon: numbers91,
    Numbers9Icon: numbers9,
    NutFilledIcon: nutFilled,
    NutIcon: nut,
    ObjectStorageIcon: objectStorage,
    OpenMouthFilledIcon: openMouthFilled,
    OpenMouthIcon: openMouth,
    OperaFilledIcon: operaFilled,
    OperaIcon: opera,
    OrderAdjustmentColumnIcon: orderAdjustmentColumn,
    OrderAscendingIcon: orderAscending,
    OrderDescendingIcon: orderDescending,
    OutboxFilledIcon: outboxFilled,
    OutboxIcon: outbox,
    PageFirstIcon: pageFirst,
    PageHeadFilledIcon: pageHeadFilled,
    PageHeadIcon: pageHead,
    PageLastIcon: pageLast,
    Palace1FilledIcon: palace1Filled,
    Palace1Icon: palace1,
    Palace2FilledIcon: palace2Filled,
    Palace2Icon: palace2,
    Palace3FilledIcon: palace3Filled,
    Palace3Icon: palace3,
    Palace4FilledIcon: palace4Filled,
    Palace4Icon: palace4,
    PalaceFilledIcon: palaceFilled,
    PalaceIcon: palace,
    Palette1FilledIcon: palette1Filled,
    Palette1Icon: palette1,
    PaletteFilledIcon: paletteFilled,
    PaletteIcon: palette,
    PanoramaHorizontalFilledIcon: panoramaHorizontalFilled,
    PanoramaHorizontalIcon: panoramaHorizontal,
    PanoramaVerticalFilledIcon: panoramaVerticalFilled,
    PanoramaVerticalIcon: panoramaVertical,
    PantoneFilledIcon: pantoneFilled,
    PantoneIcon: pantone,
    ParabolaIcon: parabola,
    ParenthesesIcon: parentheses,
    PasteFilledIcon: pasteFilled,
    PasteIcon: paste,
    PatioFilledIcon: patioFilled,
    PatioIcon: patio,
    PauseCircleFilledIcon: pauseCircleFilled,
    PauseCircleStrokeFilledIcon: pauseCircleStrokeFilled,
    PauseCircleStrokeIcon: pauseCircleStroke,
    PauseCircleIcon: pauseCircle,
    PauseIcon: pause,
    PeaFilledIcon: peaFilled,
    PeaIcon: pea,
    PeachFilledIcon: peachFilled,
    PeachIcon: peach,
    PearFilledIcon: pearFilled,
    PearIcon: pear,
    PearlOfTheOrientFilledIcon: pearlOfTheOrientFilled,
    PearlOfTheOrientIcon: pearlOfTheOrient,
    PenBallFilledIcon: penBallFilled,
    PenBallIcon: penBall,
    PenBrushFilledIcon: penBrushFilled,
    PenBrushIcon: penBrush,
    PenFilledIcon: penFilled,
    PenMarkFilledIcon: penMarkFilled,
    PenMarkIcon: penMark,
    PenQuillFilledIcon: penQuillFilled,
    PenQuillIcon: penQuill,
    PenIcon: pen,
    PendingFilledIcon: pendingFilled,
    PendingIcon: pending,
    PercentIcon: percent,
    PersonalInformationFilledIcon: personalInformationFilled,
    PersonalInformationIcon: personalInformation,
    PhoneLockedFilledIcon: phoneLockedFilled,
    PhoneLockedIcon: phoneLocked,
    PhoneSearchFilledIcon: phoneSearchFilled,
    PhoneSearchIcon: phoneSearch,
    PiIcon: pi,
    PianoFilledIcon: pianoFilled,
    PianoIcon: piano,
    PinFilledIcon: pinFilled,
    PinIcon: pin,
    PlayCircleFilledIcon: playCircleFilled,
    PlayCircleStrokeAddFilledIcon: playCircleStrokeAddFilled,
    PlayCircleStrokeAddIcon: playCircleStrokeAdd,
    PlayCircleStrokeFilledIcon: playCircleStrokeFilled,
    PlayCircleStrokeIcon: playCircleStroke,
    PlayCircleIcon: playCircle,
    PlayDemoFilledIcon: playDemoFilled,
    PlayDemoIcon: playDemo,
    PlayRectangleFilledIcon: playRectangleFilled,
    PlayRectangleIcon: playRectangle,
    PlayIcon: play,
    PlusIcon: plus,
    PopsicleFilledIcon: popsicleFilled,
    PopsicleIcon: popsicle,
    PortraitFilledIcon: portraitFilled,
    PortraitIcon: portrait,
    PoutFilledIcon: poutFilled,
    PoutIcon: pout,
    PoweroffIcon: poweroff,
    PreciseMonitorIcon: preciseMonitor,
    PreviousFilledIcon: previousFilled,
    PreviousIcon: previous,
    PrintFilledIcon: printFilled,
    PrintIcon: print,
    PumpkinFilledIcon: pumpkinFilled,
    PumpkinIcon: pumpkin,
    PyramidFilledIcon: pyramidFilled,
    PyramidMayaFilledIcon: pyramidMayaFilled,
    PyramidMayaIcon: pyramidMaya,
    PyramidIcon: pyramid,
    QrcodeIcon: qrcode,
    QuadraticIcon: quadratic,
    QuestionnaireDoubleFilledIcon: questionnaireDoubleFilled,
    QuestionnaireDoubleIcon: questionnaireDouble,
    QuestionnaireFilledIcon: questionnaireFilled,
    QuestionnaireIcon: questionnaire,
    QueueFilledIcon: queueFilled,
    QueueIcon: queue,
    QuoteFilledIcon: quoteFilled,
    QuoteIcon: quote,
    RadarIcon: radar,
    Radio1FilledIcon: radio1Filled,
    Radio1Icon: radio1,
    Radio2FilledIcon: radio2Filled,
    Radio2Icon: radio2,
    RadishFilledIcon: radishFilled,
    RadishIcon: radish,
    RainHeavyIcon: rainHeavy,
    RainLightFilledIcon: rainLightFilled,
    RainLightIcon: rainLight,
    RainMediumIcon: rainMedium,
    RainbowIcon: rainbow,
    RectangleFilledIcon: rectangleFilled,
    RectangleIcon: rectangle,
    RefreshIcon: refresh,
    RelationIcon: relation,
    RelativityFilledIcon: relativityFilled,
    RelativityIcon: relativity,
    RemoteWaveFilledIcon: remoteWaveFilled,
    RemoteWaveIcon: remoteWave,
    RemoveIcon: remove,
    ReplayFilledIcon: replayFilled,
    ReplayIcon: replay,
    RiceBallFilledIcon: riceBallFilled,
    RiceBallIcon: riceBall,
    RiceFilledIcon: riceFilled,
    RiceIcon: rice,
    RoastFilledIcon: roastFilled,
    RoastIcon: roast,
    RocketFilledIcon: rocketFilled,
    RocketIcon: rocket,
    RollbackIcon: rollback,
    RollfrontIcon: rollfront,
    RootListFilledIcon: rootListFilled,
    RootListIcon: rootList,
    RotateLockedFilledIcon: rotateLockedFilled,
    RotateLockedIcon: rotateLocked,
    RotateIcon: rotate,
    RotationIcon: rotation,
    RoundFilledIcon: roundFilled,
    RoundIcon: round,
    RouterWaveFilledIcon: routerWaveFilled,
    RouterWaveIcon: routerWave,
    RssIcon: rss,
    RulerFilledIcon: rulerFilled,
    RulerIcon: ruler,
    SailingHotelFilledIcon: sailingHotelFilled,
    SailingHotelIcon: sailingHotel,
    SandwichFilledIcon: sandwichFilled,
    SandwichIcon: sandwich,
    SaturationFilledIcon: saturationFilled,
    SaturationIcon: saturation,
    SausageFilledIcon: sausageFilled,
    SausageIcon: sausage,
    SaveFilledIcon: saveFilled,
    SaveIcon: save,
    SavingPotFilledIcon: savingPotFilled,
    SavingPotIcon: savingPot,
    ScanIcon: scan,
    Screen4KFilledIcon: screen4kFilled,
    Screen4KIcon: screen4k,
    ScreencastFilledIcon: screencastFilled,
    ScreencastIcon: screencast,
    ScreenshotIcon: screenshot,
    ScrollBarFilledIcon: scrollBarFilled,
    ScrollBarIcon: scrollBar,
    SdCard1FilledIcon: sdCard1Filled,
    SdCard1Icon: sdCard1,
    SdCardFilledIcon: sdCardFilled,
    SdCardIcon: sdCard,
    SealFilledIcon: sealFilled,
    SealIcon: seal,
    SearchErrorFilledIcon: searchErrorFilled,
    SearchErrorIcon: searchError,
    SearchFilledIcon: searchFilled,
    SearchIcon: search,
    SecuredFilledIcon: securedFilled,
    SecuredIcon: secured,
    SendCancelFilledIcon: sendCancelFilled,
    SendCancelIcon: sendCancel,
    SendFilledIcon: sendFilled,
    SendIcon: send,
    Sensors1Icon: sensors1,
    Sensors2Icon: sensors2,
    SensorsOffIcon: sensorsOff,
    SensorsIcon: sensors,
    SequenceFilledIcon: sequenceFilled,
    SequenceIcon: sequence,
    SerenityFilledIcon: serenityFilled,
    SerenityIcon: serenity,
    ServerFilledIcon: serverFilled,
    ServerIcon: server,
    ServiceFilledIcon: serviceFilled,
    ServiceIcon: service,
    Setting1FilledIcon: setting1Filled,
    Setting1Icon: setting1,
    SettingFilledIcon: settingFilled,
    SettingIcon: setting,
    Share1FilledIcon: share1Filled,
    Share1Icon: share1,
    ShareFilledIcon: shareFilled,
    ShareIcon: share,
    SharpnessFilledIcon: sharpnessFilled,
    SharpnessIcon: sharpness,
    ShieldErrorFilledIcon: shieldErrorFilled,
    ShieldErrorIcon: shieldError,
    ShimenFilledIcon: shimenFilled,
    ShimenIcon: shimen,
    Shop1FilledIcon: shop1Filled,
    Shop1Icon: shop1,
    Shop2FilledIcon: shop2Filled,
    Shop2Icon: shop2,
    Shop3FilledIcon: shop3Filled,
    Shop3Icon: shop3,
    Shop4FilledIcon: shop4Filled,
    Shop4Icon: shop4,
    Shop5FilledIcon: shop5Filled,
    Shop5Icon: shop5,
    ShopFilledIcon: shopFilled,
    ShopIcon: shop,
    ShrimpFilledIcon: shrimpFilled,
    ShrimpIcon: shrimp,
    ShrinkHorizontalIcon: shrinkHorizontal,
    ShrinkVerticalIcon: shrinkVertical,
    ShutterFilledIcon: shutterFilled,
    ShutterIcon: shutter,
    ShutupFilledIcon: shutupFilled,
    ShutupIcon: shutup,
    SimCard1FilledIcon: simCard1Filled,
    SimCard1Icon: simCard1,
    SimCard2FilledIcon: simCard2Filled,
    SimCard2Icon: simCard2,
    SimCardFilledIcon: simCardFilled,
    SimCardIcon: simCard,
    SinisterSmileFilledIcon: sinisterSmileFilled,
    SinisterSmileIcon: sinisterSmile,
    SipFilledIcon: sipFilled,
    SipIcon: sip,
    SitemapFilledIcon: sitemapFilled,
    SitemapIcon: sitemap,
    SlashIcon: slash,
    SleepFilledIcon: sleepFilled,
    SleepIcon: sleep,
    SliceFilledIcon: sliceFilled,
    SliceIcon: slice,
    SlideshowFilledIcon: slideshowFilled,
    SlideshowIcon: slideshow,
    SmileFilledIcon: smileFilled,
    SmileIcon: smile,
    SneerFilledIcon: sneerFilled,
    SneerIcon: sneer,
    SnowflakeIcon: snowflake,
    SonicIcon: sonic,
    SoundDownFilledIcon: soundDownFilled,
    SoundDownIcon: soundDown,
    SoundFilledIcon: soundFilled,
    SoundHighFilledIcon: soundHighFilled,
    SoundHighIcon: soundHigh,
    SoundLowFilledIcon: soundLowFilled,
    SoundLowIcon: soundLow,
    SoundMute1FilledIcon: soundMute1Filled,
    SoundMute1Icon: soundMute1,
    SoundMuteFilledIcon: soundMuteFilled,
    SoundMuteIcon: soundMute,
    SoundUpFilledIcon: soundUpFilled,
    SoundUpIcon: soundUp,
    SoundIcon: sound,
    SpaceIcon: space,
    Speechless1FilledIcon: speechless1Filled,
    Speechless1Icon: speechless1,
    SpeechlessFilledIcon: speechlessFilled,
    SpeechlessIcon: speechless,
    StarFilledIcon: starFilled,
    StarIcon: star,
    StatueOfJesusFilledIcon: statueOfJesusFilled,
    StatueOfJesusIcon: statueOfJesus,
    StickyNoteFilledIcon: stickyNoteFilled,
    StickyNoteIcon: stickyNote,
    StopCircleFilledIcon: stopCircleFilled,
    StopCircleStrokeFilledIcon: stopCircleStrokeFilled,
    StopCircleStrokeIcon: stopCircleStroke,
    StopCircleIcon: stopCircle,
    StopIcon: stop,
    StoreFilledIcon: storeFilled,
    StoreIcon: store,
    StreetRoad1FilledIcon: streetRoad1Filled,
    StreetRoad1Icon: streetRoad1,
    StreetRoadFilledIcon: streetRoadFilled,
    StreetRoadIcon: streetRoad,
    SubtitleFilledIcon: subtitleFilled,
    SubtitleIcon: subtitle,
    SubwayLineFilledIcon: subwayLineFilled,
    SubwayLineIcon: subwayLine,
    SumIcon: sum,
    SunFallFilledIcon: sunFallFilled,
    SunFallIcon: sunFall,
    SunRisingFilledIcon: sunRisingFilled,
    SunRisingIcon: sunRising,
    SunnyFilledIcon: sunnyFilled,
    SunnyIcon: sunny,
    SupportFilledIcon: supportFilled,
    SupportIcon: support,
    Surprised1FilledIcon: surprised1Filled,
    Surprised1Icon: surprised1,
    SurprisedFilledIcon: surprisedFilled,
    SurprisedIcon: surprised,
    SwapLeftIcon: swapLeft,
    SwapRightIcon: swapRight,
    SwapIcon: swap,
    Swear1FilledIcon: swear1Filled,
    Swear1Icon: swear1,
    Swear2FilledIcon: swear2Filled,
    Swear2Icon: swear2,
    System2Icon: system2,
    System3FilledIcon: system3Filled,
    System3Icon: system3,
    SystemApplicationFilledIcon: systemApplicationFilled,
    SystemApplicationIcon: systemApplication,
    SystemBlockedFilledIcon: systemBlockedFilled,
    SystemBlockedIcon: systemBlocked,
    SystemCodeFilledIcon: systemCodeFilled,
    SystemCodeIcon: systemCode,
    SystemComponentsFilledIcon: systemComponentsFilled,
    SystemComponentsIcon: systemComponents,
    SystemCoordinateFilledIcon: systemCoordinateFilled,
    SystemCoordinateIcon: systemCoordinate,
    SystemDeviceFilledIcon: systemDeviceFilled,
    SystemDeviceIcon: systemDevice,
    SystemInterfaceFilledIcon: systemInterfaceFilled,
    SystemInterfaceIcon: systemInterface,
    SystemLocationFilledIcon: systemLocationFilled,
    SystemLocationIcon: systemLocation,
    SystemLockedFilledIcon: systemLockedFilled,
    SystemLockedIcon: systemLocked,
    SystemLogFilledIcon: systemLogFilled,
    SystemLogIcon: systemLog,
    SystemMarkedFilledIcon: systemMarkedFilled,
    SystemMarkedIcon: systemMarked,
    SystemMessagesFilledIcon: systemMessagesFilled,
    SystemMessagesIcon: systemMessages,
    SystemRegulationFilledIcon: systemRegulationFilled,
    SystemRegulationIcon: systemRegulation,
    SystemSearchFilledIcon: systemSearchFilled,
    SystemSearchIcon: systemSearch,
    SystemSettingFilledIcon: systemSettingFilled,
    SystemSettingIcon: systemSetting,
    SystemStorageFilledIcon: systemStorageFilled,
    SystemStorageIcon: systemStorage,
    SystemSumIcon: systemSum,
    SystemUnlockedFilledIcon: systemUnlockedFilled,
    SystemUnlockedIcon: systemUnlocked,
    TabFilledIcon: tabFilled,
    TabIcon: tab,
    Table1FilledIcon: table1Filled,
    Table1Icon: table1,
    Table2FilledIcon: table2Filled,
    Table2Icon: table2,
    TableAddFilledIcon: tableAddFilled,
    TableAddIcon: tableAdd,
    TableFilledIcon: tableFilled,
    TableSplitFilledIcon: tableSplitFilled,
    TableSplitIcon: tableSplit,
    TableIcon: table,
    TagFilledIcon: tagFilled,
    TagIcon: tag,
    TangerinrFilledIcon: tangerinrFilled,
    TangerinrIcon: tangerinr,
    TapeFilledIcon: tapeFilled,
    TapeIcon: tape,
    Task1FilledIcon: task1Filled,
    Task1Icon: task1,
    TaskAdd1Icon: taskAdd1,
    TaskAddFilledIcon: taskAddFilled,
    TaskAddIcon: taskAdd,
    TaskChecked1Icon: taskChecked1,
    TaskCheckedFilledIcon: taskCheckedFilled,
    TaskCheckedIcon: taskChecked,
    TaskDoubleFilledIcon: taskDoubleFilled,
    TaskDoubleIcon: taskDouble,
    TaskErrorFilledIcon: taskErrorFilled,
    TaskErrorIcon: taskError,
    TaskFilledIcon: taskFilled,
    TaskLocationFilledIcon: taskLocationFilled,
    TaskLocationIcon: taskLocation,
    TaskMarkedFilledIcon: taskMarkedFilled,
    TaskMarkedIcon: taskMarked,
    TaskSettingFilledIcon: taskSettingFilled,
    TaskSettingIcon: taskSetting,
    TaskTimeFilledIcon: taskTimeFilled,
    TaskTimeIcon: taskTime,
    TaskVisibleFilledIcon: taskVisibleFilled,
    TaskVisibleIcon: taskVisible,
    TaskIcon: task,
    TeaFilledIcon: teaFilled,
    TeaIcon: tea,
    TeahouseFilledIcon: teahouseFilled,
    TeahouseIcon: teahouse,
    TemplateFilledIcon: templateFilled,
    TemplateIcon: template,
    TempleFilledIcon: templeFilled,
    TempleIcon: temple,
    TerminalRectangle1FilledIcon: terminalRectangle1Filled,
    TerminalRectangle1Icon: terminalRectangle1,
    TerminalRectangleFilledIcon: terminalRectangleFilled,
    TerminalRectangleIcon: terminalRectangle,
    TerminalWindowFilledIcon: terminalWindowFilled,
    TerminalWindowIcon: terminalWindow,
    TerminalIcon: terminal,
    TextboxFilledIcon: textboxFilled,
    TextboxIcon: textbox,
    TextformatBoldIcon: textformatBold,
    TextformatColorIcon: textformatColor,
    TextformatItalicIcon: textformatItalic,
    TextformatStrikethroughIcon: textformatStrikethrough,
    TextformatUnderlineIcon: textformatUnderline,
    TextformatWrapIcon: textformatWrap,
    TheatersFilledIcon: theatersFilled,
    TheatersIcon: theaters,
    ThumbDown1FilledIcon: thumbDown1Filled,
    ThumbDown1Icon: thumbDown1,
    ThumbDown2FilledIcon: thumbDown2Filled,
    ThumbDown2Icon: thumbDown2,
    ThumbDownFilledIcon: thumbDownFilled,
    ThumbDownIcon: thumbDown,
    ThumbUp1FilledIcon: thumbUp1Filled,
    ThumbUp1Icon: thumbUp1,
    ThumbUp2FilledIcon: thumbUp2Filled,
    ThumbUp2Icon: thumbUp2,
    ThumbUpFilledIcon: thumbUpFilled,
    ThumbUpIcon: thumbUp,
    ThunderIcon: thunder,
    ThunderstormNightFilledIcon: thunderstormNightFilled,
    ThunderstormNightIcon: thunderstormNight,
    ThunderstormSunnyFilledIcon: thunderstormSunnyFilled,
    ThunderstormSunnyIcon: thunderstormSunny,
    ThunderstormIcon: thunderstorm,
    TicketFilledIcon: ticketFilled,
    TicketIcon: ticket,
    TimeFilledIcon: timeFilled,
    TimeIcon: time,
    TipsDoubleFilledIcon: tipsDoubleFilled,
    TipsDoubleIcon: tipsDouble,
    TipsFilledIcon: tipsFilled,
    TipsIcon: tips,
    TomatoFilledIcon: tomatoFilled,
    TomatoIcon: tomato,
    ToolsCircleFilledIcon: toolsCircleFilled,
    ToolsCircleIcon: toolsCircle,
    ToolsFilledIcon: toolsFilled,
    ToolsIcon: tools,
    TornadoIcon: tornado,
    Tower1FilledIcon: tower1Filled,
    Tower1Icon: tower1,
    Tower2FilledIcon: tower2Filled,
    Tower2Icon: tower2,
    Tower3FilledIcon: tower3Filled,
    Tower3Icon: tower3,
    TowerClockFilledIcon: towerClockFilled,
    TowerClockIcon: towerClock,
    TowerFilledIcon: towerFilled,
    TowerIcon: tower,
    TownFilledIcon: townFilled,
    TownIcon: town,
    TrafficEventsFilledIcon: trafficEventsFilled,
    TrafficEventsIcon: trafficEvents,
    TrafficFilledIcon: trafficFilled,
    TrafficIcon: traffic,
    Transform1FilledIcon: transform1Filled,
    Transform1Icon: transform1,
    Transform2Icon: transform2,
    Transform3Icon: transform3,
    TransformFilledIcon: transformFilled,
    TransformIcon: transform,
    Translate1Icon: translate1,
    TranslateIcon: translate,
    TreeRoundDotFilledIcon: treeRoundDotFilled,
    TreeRoundDotVerticalFilledIcon: treeRoundDotVerticalFilled,
    TreeRoundDotVerticalIcon: treeRoundDotVertical,
    TreeRoundDotIcon: treeRoundDot,
    TreeSquareDotFilledIcon: treeSquareDotFilled,
    TreeSquareDotVerticalFilledIcon: treeSquareDotVerticalFilled,
    TreeSquareDotVerticalIcon: treeSquareDotVertical,
    TreeSquareDotIcon: treeSquareDot,
    TrendingDownIcon: trendingDown,
    TrendingUpIcon: trendingUp,
    Tv1FilledIcon: tv1Filled,
    Tv1Icon: tv1,
    Tv2FilledIcon: tv2Filled,
    Tv2Icon: tv2,
    TvFilledIcon: tvFilled,
    TvIcon: tv,
    TypographyFilledIcon: typographyFilled,
    TypographyIcon: typography,
    Uncomfortable1FilledIcon: uncomfortable1Filled,
    Uncomfortable1Icon: uncomfortable1,
    Uncomfortable2FilledIcon: uncomfortable2Filled,
    Uncomfortable2Icon: uncomfortable2,
    UncomfortableFilledIcon: uncomfortableFilled,
    UncomfortableIcon: uncomfortable,
    UndertakeDeliveryFilledIcon: undertakeDeliveryFilled,
    UndertakeDeliveryIcon: undertakeDelivery,
    UndertakeEnvironmentProtectionFilledIcon: undertakeEnvironmentProtectionFilled,
    UndertakeEnvironmentProtectionIcon: undertakeEnvironmentProtection,
    UndertakeFilledIcon: undertakeFilled,
    UndertakeHoldUpFilledIcon: undertakeHoldUpFilled,
    UndertakeHoldUpIcon: undertakeHoldUp,
    UndertakeTransactionFilledIcon: undertakeTransactionFilled,
    UndertakeTransactionIcon: undertakeTransaction,
    UndertakeIcon: undertake,
    UnfoldLessIcon: unfoldLess,
    UnfoldMoreIcon: unfoldMore,
    Unhappy1FilledIcon: unhappy1Filled,
    Unhappy1Icon: unhappy1,
    UnhappyFilledIcon: unhappyFilled,
    UnhappyIcon: unhappy,
    UninstallFilledIcon: uninstallFilled,
    UninstallIcon: uninstall,
    Upload1Icon: upload1,
    UploadIcon: upload,
    UpscaleIcon: upscale,
    UsbFilledIcon: usbFilled,
    UsbIcon: usb,
    User1FilledIcon: user1Filled,
    User1Icon: user1,
    UserAddFilledIcon: userAddFilled,
    UserAddIcon: userAdd,
    UserArrowDownFilledIcon: userArrowDownFilled,
    UserArrowDownIcon: userArrowDown,
    UserArrowLeftFilledIcon: userArrowLeftFilled,
    UserArrowLeftIcon: userArrowLeft,
    UserArrowRightFilledIcon: userArrowRightFilled,
    UserArrowRightIcon: userArrowRight,
    UserArrowUpFilledIcon: userArrowUpFilled,
    UserArrowUpIcon: userArrowUp,
    UserAvatarFilledIcon: userAvatarFilled,
    UserAvatarIcon: userAvatar,
    UserBlockedFilledIcon: userBlockedFilled,
    UserBlockedIcon: userBlocked,
    UserBusinessFilledIcon: userBusinessFilled,
    UserBusinessIcon: userBusiness,
    UserChecked1FilledIcon: userChecked1Filled,
    UserChecked1Icon: userChecked1,
    UserCheckedFilledIcon: userCheckedFilled,
    UserCheckedIcon: userChecked,
    UserCircleFilledIcon: userCircleFilled,
    UserCircleIcon: userCircle,
    UserClearFilledIcon: userClearFilled,
    UserClearIcon: userClear,
    UserError1FilledIcon: userError1Filled,
    UserError1Icon: userError1,
    UserFilledIcon: userFilled,
    UserInvisibleFilledIcon: userInvisibleFilled,
    UserInvisibleIcon: userInvisible,
    UserListFilledIcon: userListFilled,
    UserListIcon: userList,
    UserLockedFilledIcon: userLockedFilled,
    UserLockedIcon: userLocked,
    UserMarkedFilledIcon: userMarkedFilled,
    UserMarkedIcon: userMarked,
    UserPasswordFilledIcon: userPasswordFilled,
    UserPasswordIcon: userPassword,
    UserSafetyFilledIcon: userSafetyFilled,
    UserSafetyIcon: userSafety,
    UserSearchFilledIcon: userSearchFilled,
    UserSearchIcon: userSearch,
    UserSettingFilledIcon: userSettingFilled,
    UserSettingIcon: userSetting,
    UserTalk1FilledIcon: userTalk1Filled,
    UserTalk1Icon: userTalk1,
    UserTalkFilledIcon: userTalkFilled,
    UserTalkOff1FilledIcon: userTalkOff1Filled,
    UserTalkOff1Icon: userTalkOff1,
    UserTalkIcon: userTalk,
    UserTimeFilledIcon: userTimeFilled,
    UserTimeIcon: userTime,
    UserTransmitFilledIcon: userTransmitFilled,
    UserTransmitIcon: userTransmit,
    UserUnknownFilledIcon: userUnknownFilled,
    UserUnknownIcon: userUnknown,
    UserUnlockedFilledIcon: userUnlockedFilled,
    UserUnlockedIcon: userUnlocked,
    UserVipFilledIcon: userVipFilled,
    UserVipIcon: userVip,
    UserVisibleFilledIcon: userVisibleFilled,
    UserVisibleIcon: userVisible,
    UserIcon: user,
    UsercaseFilledIcon: usercaseFilled,
    UsercaseLinkFilledIcon: usercaseLinkFilled,
    UsercaseLinkIcon: usercaseLink,
    UsercaseIcon: usercase,
    UsergroupAddFilledIcon: usergroupAddFilled,
    UsergroupAddIcon: usergroupAdd,
    UsergroupClearFilledIcon: usergroupClearFilled,
    UsergroupClearIcon: usergroupClear,
    UsergroupFilledIcon: usergroupFilled,
    UsergroupIcon: usergroup,
    VehicleFilledIcon: vehicleFilled,
    VehicleIcon: vehicle,
    VerifiedFilledIcon: verifiedFilled,
    VerifiedIcon: verified,
    VerifyFilledIcon: verifyFilled,
    VerifyIcon: verify,
    VerticalFilledIcon: verticalFilled,
    VerticalIcon: vertical,
    VideoCamera1FilledIcon: videoCamera1Filled,
    VideoCamera1Icon: videoCamera1,
    VideoCamera2FilledIcon: videoCamera2Filled,
    VideoCamera2Icon: videoCamera2,
    VideoCamera3FilledIcon: videoCamera3Filled,
    VideoCamera3Icon: videoCamera3,
    VideoCameraDollarFilledIcon: videoCameraDollarFilled,
    VideoCameraDollarIcon: videoCameraDollar,
    VideoCameraFilledIcon: videoCameraFilled,
    VideoCameraMinusFilledIcon: videoCameraMinusFilled,
    VideoCameraMinusIcon: videoCameraMinus,
    VideoCameraMusicFilledIcon: videoCameraMusicFilled,
    VideoCameraMusicIcon: videoCameraMusic,
    VideoCameraOffFilledIcon: videoCameraOffFilled,
    VideoCameraOffIcon: videoCameraOff,
    VideoCameraIcon: videoCamera,
    VideoFilledIcon: videoFilled,
    VideoLibraryFilledIcon: videoLibraryFilled,
    VideoLibraryIcon: videoLibrary,
    VideoIcon: video,
    ViewAgendaFilledIcon: viewAgendaFilled,
    ViewAgendaIcon: viewAgenda,
    ViewColumnIcon: viewColumn,
    ViewInArFilledIcon: viewInArFilled,
    ViewInArIcon: viewInAr,
    ViewListIcon: viewList,
    ViewModuleFilledIcon: viewModuleFilled,
    ViewModuleIcon: viewModule,
    VisualRecognitionFilledIcon: visualRecognitionFilled,
    VisualRecognitionIcon: visualRecognition,
    WalletFilledIcon: walletFilled,
    WalletIcon: wallet,
    WatchFilledIcon: watchFilled,
    WatchIcon: watch,
    WatermelonFilledIcon: watermelonFilled,
    WatermelonIcon: watermelon,
    WaveByeFilledIcon: waveByeFilled,
    WaveByeIcon: waveBye,
    WaveLeftFilledIcon: waveLeftFilled,
    WaveLeftIcon: waveLeft,
    WaveRightFilledIcon: waveRightFilled,
    WaveRightIcon: waveRight,
    Wealth1FilledIcon: wealth1Filled,
    Wealth1Icon: wealth1,
    WealthFilledIcon: wealthFilled,
    WealthIcon: wealth,
    WidgetFilledIcon: widgetFilled,
    WidgetIcon: widget,
    Wifi1FilledIcon: wifi1Filled,
    Wifi1Icon: wifi1,
    WifiOff1FilledIcon: wifiOff1Filled,
    WifiOff1Icon: wifiOff1,
    WifiOffIcon: wifiOff,
    WifiIcon: wifi,
    Window1FilledIcon: window1Filled,
    Window1Icon: window1,
    WindowFilledIcon: windowFilled,
    WindowIcon: window$1,
    WindyRainIcon: windyRain,
    WindyIcon: windy,
    WinkFilledIcon: winkFilled,
    WinkIcon: wink,
    WorkFilledIcon: workFilled,
    WorkHistoryFilledIcon: workHistoryFilled,
    WorkHistoryIcon: workHistory,
    WorkOffFilledIcon: workOffFilled,
    WorkOffIcon: workOff,
    WorkIcon: work,
    WrySmileFilledIcon: wrySmileFilled,
    WrySmileIcon: wrySmile,
    ZoomInFilledIcon: zoomInFilled,
    ZoomInIcon: zoomIn,
    ZoomOutFilledIcon: zoomOutFilled,
    ZoomOutIcon: zoomOut
  });

  var manifest = [{
    stem: "accessibility-filled",
    icon: "AccessibilityFilled"
  }, {
    stem: "accessibility",
    icon: "Accessibility"
  }, {
    stem: "activity-filled",
    icon: "ActivityFilled"
  }, {
    stem: "activity",
    icon: "Activity"
  }, {
    stem: "add-and-subtract",
    icon: "AddAndSubtract"
  }, {
    stem: "add-circle-filled",
    icon: "AddCircleFilled"
  }, {
    stem: "add-circle",
    icon: "AddCircle"
  }, {
    stem: "add-rectangle-filled",
    icon: "AddRectangleFilled"
  }, {
    stem: "add-rectangle",
    icon: "AddRectangle"
  }, {
    stem: "add",
    icon: "Add"
  }, {
    stem: "address-book-filled",
    icon: "AddressBookFilled"
  }, {
    stem: "address-book",
    icon: "AddressBook"
  }, {
    stem: "adjustment-filled",
    icon: "AdjustmentFilled"
  }, {
    stem: "adjustment",
    icon: "Adjustment"
  }, {
    stem: "airplay-wave-filled",
    icon: "AirplayWaveFilled"
  }, {
    stem: "airplay-wave",
    icon: "AirplayWave"
  }, {
    stem: "alarm-add-filled",
    icon: "AlarmAddFilled"
  }, {
    stem: "alarm-add",
    icon: "AlarmAdd"
  }, {
    stem: "alarm-filled",
    icon: "AlarmFilled"
  }, {
    stem: "alarm-off-filled",
    icon: "AlarmOffFilled"
  }, {
    stem: "alarm-off",
    icon: "AlarmOff"
  }, {
    stem: "alarm",
    icon: "Alarm"
  }, {
    stem: "align-top",
    icon: "AlignTop"
  }, {
    stem: "align-vertical",
    icon: "AlignVertical"
  }, {
    stem: "alpha",
    icon: "Alpha"
  }, {
    stem: "analytics-filled",
    icon: "AnalyticsFilled"
  }, {
    stem: "analytics",
    icon: "Analytics"
  }, {
    stem: "anchor",
    icon: "Anchor"
  }, {
    stem: "angry-filled",
    icon: "AngryFilled"
  }, {
    stem: "angry",
    icon: "Angry"
  }, {
    stem: "animation-1-filled",
    icon: "Animation1Filled"
  }, {
    stem: "animation-1",
    icon: "Animation1"
  }, {
    stem: "animation-filled",
    icon: "AnimationFilled"
  }, {
    stem: "animation",
    icon: "Animation"
  }, {
    stem: "anticlockwise-filled",
    icon: "AnticlockwiseFilled"
  }, {
    stem: "anticlockwise",
    icon: "Anticlockwise"
  }, {
    stem: "api",
    icon: "Api"
  }, {
    stem: "app-filled",
    icon: "AppFilled"
  }, {
    stem: "app",
    icon: "App"
  }, {
    stem: "apple-filled",
    icon: "AppleFilled"
  }, {
    stem: "apple",
    icon: "Apple"
  }, {
    stem: "application-filled",
    icon: "ApplicationFilled"
  }, {
    stem: "application",
    icon: "Application"
  }, {
    stem: "architecture-hui-style-filled",
    icon: "ArchitectureHuiStyleFilled"
  }, {
    stem: "architecture-hui-style",
    icon: "ArchitectureHuiStyle"
  }, {
    stem: "archway-1-filled",
    icon: "Archway1Filled"
  }, {
    stem: "archway-1",
    icon: "Archway1"
  }, {
    stem: "archway-filled",
    icon: "ArchwayFilled"
  }, {
    stem: "archway",
    icon: "Archway"
  }, {
    stem: "arrow-down-circle-filled",
    icon: "ArrowDownCircleFilled"
  }, {
    stem: "arrow-down-circle",
    icon: "ArrowDownCircle"
  }, {
    stem: "arrow-down-rectangle-filled",
    icon: "ArrowDownRectangleFilled"
  }, {
    stem: "arrow-down-rectangle",
    icon: "ArrowDownRectangle"
  }, {
    stem: "arrow-down",
    icon: "ArrowDown"
  }, {
    stem: "arrow-left-circle-filled",
    icon: "ArrowLeftCircleFilled"
  }, {
    stem: "arrow-left-circle",
    icon: "ArrowLeftCircle"
  }, {
    stem: "arrow-left-down-circle-filled",
    icon: "ArrowLeftDownCircleFilled"
  }, {
    stem: "arrow-left-down-circle",
    icon: "ArrowLeftDownCircle"
  }, {
    stem: "arrow-left-down",
    icon: "ArrowLeftDown"
  }, {
    stem: "arrow-left-right-1",
    icon: "ArrowLeftRight1"
  }, {
    stem: "arrow-left-right-2",
    icon: "ArrowLeftRight2"
  }, {
    stem: "arrow-left-right-3",
    icon: "ArrowLeftRight3"
  }, {
    stem: "arrow-left-right-circle-filled",
    icon: "ArrowLeftRightCircleFilled"
  }, {
    stem: "arrow-left-right-circle",
    icon: "ArrowLeftRightCircle"
  }, {
    stem: "arrow-left-up-circle-filled",
    icon: "ArrowLeftUpCircleFilled"
  }, {
    stem: "arrow-left-up-circle",
    icon: "ArrowLeftUpCircle"
  }, {
    stem: "arrow-left-up",
    icon: "ArrowLeftUp"
  }, {
    stem: "arrow-left",
    icon: "ArrowLeft"
  }, {
    stem: "arrow-right-circle-filled",
    icon: "ArrowRightCircleFilled"
  }, {
    stem: "arrow-right-circle",
    icon: "ArrowRightCircle"
  }, {
    stem: "arrow-right-down-circle-filled",
    icon: "ArrowRightDownCircleFilled"
  }, {
    stem: "arrow-right-down-circle",
    icon: "ArrowRightDownCircle"
  }, {
    stem: "arrow-right-down",
    icon: "ArrowRightDown"
  }, {
    stem: "arrow-right-up-circle-filled",
    icon: "ArrowRightUpCircleFilled"
  }, {
    stem: "arrow-right-up-circle",
    icon: "ArrowRightUpCircle"
  }, {
    stem: "arrow-right-up",
    icon: "ArrowRightUp"
  }, {
    stem: "arrow-right",
    icon: "ArrowRight"
  }, {
    stem: "arrow-triangle-down-filled",
    icon: "ArrowTriangleDownFilled"
  }, {
    stem: "arrow-triangle-down",
    icon: "ArrowTriangleDown"
  }, {
    stem: "arrow-triangle-up-filled",
    icon: "ArrowTriangleUpFilled"
  }, {
    stem: "arrow-triangle-up",
    icon: "ArrowTriangleUp"
  }, {
    stem: "arrow-up-circle-filled",
    icon: "ArrowUpCircleFilled"
  }, {
    stem: "arrow-up-circle",
    icon: "ArrowUpCircle"
  }, {
    stem: "arrow-up-down-1",
    icon: "ArrowUpDown1"
  }, {
    stem: "arrow-up-down-2",
    icon: "ArrowUpDown2"
  }, {
    stem: "arrow-up-down-3",
    icon: "ArrowUpDown3"
  }, {
    stem: "arrow-up-down-circle-filled",
    icon: "ArrowUpDownCircleFilled"
  }, {
    stem: "arrow-up-down-circle",
    icon: "ArrowUpDownCircle"
  }, {
    stem: "arrow-up",
    icon: "ArrowUp"
  }, {
    stem: "artboard",
    icon: "Artboard"
  }, {
    stem: "article-filled",
    icon: "ArticleFilled"
  }, {
    stem: "article",
    icon: "Article"
  }, {
    stem: "assignment-checked-filled",
    icon: "AssignmentCheckedFilled"
  }, {
    stem: "assignment-checked",
    icon: "AssignmentChecked"
  }, {
    stem: "assignment-code-filled",
    icon: "AssignmentCodeFilled"
  }, {
    stem: "assignment-code",
    icon: "AssignmentCode"
  }, {
    stem: "assignment-error-filled",
    icon: "AssignmentErrorFilled"
  }, {
    stem: "assignment-error",
    icon: "AssignmentError"
  }, {
    stem: "assignment-filled",
    icon: "AssignmentFilled"
  }, {
    stem: "assignment-user-filled",
    icon: "AssignmentUserFilled"
  }, {
    stem: "assignment-user",
    icon: "AssignmentUser"
  }, {
    stem: "assignment",
    icon: "Assignment"
  }, {
    stem: "attach",
    icon: "Attach"
  }, {
    stem: "attic-1-filled",
    icon: "Attic1Filled"
  }, {
    stem: "attic-1",
    icon: "Attic1"
  }, {
    stem: "attic-filled",
    icon: "AtticFilled"
  }, {
    stem: "attic",
    icon: "Attic"
  }, {
    stem: "audio-filled",
    icon: "AudioFilled"
  }, {
    stem: "audio",
    icon: "Audio"
  }, {
    stem: "awkward-filled",
    icon: "AwkwardFilled"
  }, {
    stem: "awkward",
    icon: "Awkward"
  }, {
    stem: "backtop-rectangle-filled",
    icon: "BacktopRectangleFilled"
  }, {
    stem: "backtop-rectangle",
    icon: "BacktopRectangle"
  }, {
    stem: "backtop",
    icon: "Backtop"
  }, {
    stem: "backup-filled",
    icon: "BackupFilled"
  }, {
    stem: "backup",
    icon: "Backup"
  }, {
    stem: "backward-filled",
    icon: "BackwardFilled"
  }, {
    stem: "backward",
    icon: "Backward"
  }, {
    stem: "bad-laugh-filled",
    icon: "BadLaughFilled"
  }, {
    stem: "bad-laugh",
    icon: "BadLaugh"
  }, {
    stem: "bamboo-shoot-filled",
    icon: "BambooShootFilled"
  }, {
    stem: "bamboo-shoot",
    icon: "BambooShoot"
  }, {
    stem: "banana-filled",
    icon: "BananaFilled"
  }, {
    stem: "banana",
    icon: "Banana"
  }, {
    stem: "barbecue-filled",
    icon: "BarbecueFilled"
  }, {
    stem: "barbecue",
    icon: "Barbecue"
  }, {
    stem: "barcode-1",
    icon: "Barcode1"
  }, {
    stem: "barcode",
    icon: "Barcode"
  }, {
    stem: "base-station",
    icon: "BaseStation"
  }, {
    stem: "battery-add-filled",
    icon: "BatteryAddFilled"
  }, {
    stem: "battery-add",
    icon: "BatteryAdd"
  }, {
    stem: "battery-charging-filled",
    icon: "BatteryChargingFilled"
  }, {
    stem: "battery-charging",
    icon: "BatteryCharging"
  }, {
    stem: "battery-filled",
    icon: "BatteryFilled"
  }, {
    stem: "battery-low-filled",
    icon: "BatteryLowFilled"
  }, {
    stem: "battery-low",
    icon: "BatteryLow"
  }, {
    stem: "battery",
    icon: "Battery"
  }, {
    stem: "bean-filled",
    icon: "BeanFilled"
  }, {
    stem: "bean",
    icon: "Bean"
  }, {
    stem: "beer-filled",
    icon: "BeerFilled"
  }, {
    stem: "beer",
    icon: "Beer"
  }, {
    stem: "beta",
    icon: "Beta"
  }, {
    stem: "bifurcate-filled",
    icon: "BifurcateFilled"
  }, {
    stem: "bifurcate",
    icon: "Bifurcate"
  }, {
    stem: "bill-filled",
    icon: "BillFilled"
  }, {
    stem: "bill",
    icon: "Bill"
  }, {
    stem: "bluetooth",
    icon: "Bluetooth"
  }, {
    stem: "bone-filled",
    icon: "BoneFilled"
  }, {
    stem: "bone",
    icon: "Bone"
  }, {
    stem: "book-filled",
    icon: "BookFilled"
  }, {
    stem: "book-open-filled",
    icon: "BookOpenFilled"
  }, {
    stem: "book-open",
    icon: "BookOpen"
  }, {
    stem: "book-unknown-filled",
    icon: "BookUnknownFilled"
  }, {
    stem: "book-unknown",
    icon: "BookUnknown"
  }, {
    stem: "book",
    icon: "Book"
  }, {
    stem: "bookmark-add-filled",
    icon: "BookmarkAddFilled"
  }, {
    stem: "bookmark-add",
    icon: "BookmarkAdd"
  }, {
    stem: "bookmark-checked-filled",
    icon: "BookmarkCheckedFilled"
  }, {
    stem: "bookmark-checked",
    icon: "BookmarkChecked"
  }, {
    stem: "bookmark-double-filled",
    icon: "BookmarkDoubleFilled"
  }, {
    stem: "bookmark-double",
    icon: "BookmarkDouble"
  }, {
    stem: "bookmark-filled",
    icon: "BookmarkFilled"
  }, {
    stem: "bookmark-minus-filled",
    icon: "BookmarkMinusFilled"
  }, {
    stem: "bookmark-minus",
    icon: "BookmarkMinus"
  }, {
    stem: "bookmark",
    icon: "Bookmark"
  }, {
    stem: "braces",
    icon: "Braces"
  }, {
    stem: "brackets",
    icon: "Brackets"
  }, {
    stem: "bread-filled",
    icon: "BreadFilled"
  }, {
    stem: "bread",
    icon: "Bread"
  }, {
    stem: "bridge-1-filled",
    icon: "Bridge1Filled"
  }, {
    stem: "bridge-1",
    icon: "Bridge1"
  }, {
    stem: "bridge-2-filled",
    icon: "Bridge2Filled"
  }, {
    stem: "bridge-2",
    icon: "Bridge2"
  }, {
    stem: "bridge-3",
    icon: "Bridge3"
  }, {
    stem: "bridge-4",
    icon: "Bridge4"
  }, {
    stem: "bridge-5-filled",
    icon: "Bridge5Filled"
  }, {
    stem: "bridge-5",
    icon: "Bridge5"
  }, {
    stem: "bridge-6-filled",
    icon: "Bridge6Filled"
  }, {
    stem: "bridge-6",
    icon: "Bridge6"
  }, {
    stem: "bridge",
    icon: "Bridge"
  }, {
    stem: "brightness-1-filled",
    icon: "Brightness1Filled"
  }, {
    stem: "brightness-1",
    icon: "Brightness1"
  }, {
    stem: "brightness-filled",
    icon: "BrightnessFilled"
  }, {
    stem: "brightness",
    icon: "Brightness"
  }, {
    stem: "broccoli-filled",
    icon: "BroccoliFilled"
  }, {
    stem: "broccoli",
    icon: "Broccoli"
  }, {
    stem: "browse-filled",
    icon: "BrowseFilled"
  }, {
    stem: "browse-gallery-filled",
    icon: "BrowseGalleryFilled"
  }, {
    stem: "browse-gallery",
    icon: "BrowseGallery"
  }, {
    stem: "browse-off-filled",
    icon: "BrowseOffFilled"
  }, {
    stem: "browse-off",
    icon: "BrowseOff"
  }, {
    stem: "browse",
    icon: "Browse"
  }, {
    stem: "brush-filled",
    icon: "BrushFilled"
  }, {
    stem: "brush",
    icon: "Brush"
  }, {
    stem: "bug-filled",
    icon: "BugFilled"
  }, {
    stem: "bug-report-filled",
    icon: "BugReportFilled"
  }, {
    stem: "bug-report",
    icon: "BugReport"
  }, {
    stem: "bug",
    icon: "Bug"
  }, {
    stem: "building-1-filled",
    icon: "Building1Filled"
  }, {
    stem: "building-1",
    icon: "Building1"
  }, {
    stem: "building-2-filled",
    icon: "Building2Filled"
  }, {
    stem: "building-2",
    icon: "Building2"
  }, {
    stem: "building-3-filled",
    icon: "Building3Filled"
  }, {
    stem: "building-3",
    icon: "Building3"
  }, {
    stem: "building-4-filled",
    icon: "Building4Filled"
  }, {
    stem: "building-4",
    icon: "Building4"
  }, {
    stem: "building-5-filled",
    icon: "Building5Filled"
  }, {
    stem: "building-5",
    icon: "Building5"
  }, {
    stem: "building-filled",
    icon: "BuildingFilled"
  }, {
    stem: "building",
    icon: "Building"
  }, {
    stem: "bulletpoint",
    icon: "Bulletpoint"
  }, {
    stem: "button-filled",
    icon: "ButtonFilled"
  }, {
    stem: "button",
    icon: "Button"
  }, {
    stem: "cabbage-filled",
    icon: "CabbageFilled"
  }, {
    stem: "cabbage",
    icon: "Cabbage"
  }, {
    stem: "cake-filled",
    icon: "CakeFilled"
  }, {
    stem: "cake",
    icon: "Cake"
  }, {
    stem: "calculation-1-filled",
    icon: "Calculation1Filled"
  }, {
    stem: "calculation-1",
    icon: "Calculation1"
  }, {
    stem: "calculation",
    icon: "Calculation"
  }, {
    stem: "calculator-1",
    icon: "Calculator1"
  }, {
    stem: "calculator-filled",
    icon: "CalculatorFilled"
  }, {
    stem: "calculator",
    icon: "Calculator"
  }, {
    stem: "calendar-1-filled",
    icon: "Calendar1Filled"
  }, {
    stem: "calendar-1",
    icon: "Calendar1"
  }, {
    stem: "calendar-2-filled",
    icon: "Calendar2Filled"
  }, {
    stem: "calendar-2",
    icon: "Calendar2"
  }, {
    stem: "calendar-edit-filled",
    icon: "CalendarEditFilled"
  }, {
    stem: "calendar-edit",
    icon: "CalendarEdit"
  }, {
    stem: "calendar-event-filled",
    icon: "CalendarEventFilled"
  }, {
    stem: "calendar-event",
    icon: "CalendarEvent"
  }, {
    stem: "calendar-filled",
    icon: "CalendarFilled"
  }, {
    stem: "calendar",
    icon: "Calendar"
  }, {
    stem: "call-1-filled",
    icon: "Call1Filled"
  }, {
    stem: "call-1",
    icon: "Call1"
  }, {
    stem: "call-cancel-filled",
    icon: "CallCancelFilled"
  }, {
    stem: "call-cancel",
    icon: "CallCancel"
  }, {
    stem: "call-filled",
    icon: "CallFilled"
  }, {
    stem: "call-forwarded-filled",
    icon: "CallForwardedFilled"
  }, {
    stem: "call-forwarded",
    icon: "CallForwarded"
  }, {
    stem: "call-incoming-filled",
    icon: "CallIncomingFilled"
  }, {
    stem: "call-incoming",
    icon: "CallIncoming"
  }, {
    stem: "call-off-filled",
    icon: "CallOffFilled"
  }, {
    stem: "call-off",
    icon: "CallOff"
  }, {
    stem: "call",
    icon: "Call"
  }, {
    stem: "calm-1-filled",
    icon: "Calm1Filled"
  }, {
    stem: "calm-1",
    icon: "Calm1"
  }, {
    stem: "calm-filled",
    icon: "CalmFilled"
  }, {
    stem: "calm",
    icon: "Calm"
  }, {
    stem: "camera-1-filled",
    icon: "Camera1Filled"
  }, {
    stem: "camera-1",
    icon: "Camera1"
  }, {
    stem: "camera-2-filled",
    icon: "Camera2Filled"
  }, {
    stem: "camera-2",
    icon: "Camera2"
  }, {
    stem: "camera-filled",
    icon: "CameraFilled"
  }, {
    stem: "camera-off-filled",
    icon: "CameraOffFilled"
  }, {
    stem: "camera-off",
    icon: "CameraOff"
  }, {
    stem: "camera",
    icon: "Camera"
  }, {
    stem: "candy-filled",
    icon: "CandyFilled"
  }, {
    stem: "candy",
    icon: "Candy"
  }, {
    stem: "card-filled",
    icon: "CardFilled"
  }, {
    stem: "card",
    icon: "Card"
  }, {
    stem: "cardmembership-filled",
    icon: "CardmembershipFilled"
  }, {
    stem: "cardmembership",
    icon: "Cardmembership"
  }, {
    stem: "caret-down-small",
    icon: "CaretDownSmall"
  }, {
    stem: "caret-down",
    icon: "CaretDown"
  }, {
    stem: "caret-left-small",
    icon: "CaretLeftSmall"
  }, {
    stem: "caret-left",
    icon: "CaretLeft"
  }, {
    stem: "caret-right-small",
    icon: "CaretRightSmall"
  }, {
    stem: "caret-right",
    icon: "CaretRight"
  }, {
    stem: "caret-up-small",
    icon: "CaretUpSmall"
  }, {
    stem: "caret-up",
    icon: "CaretUp"
  }, {
    stem: "cart-add-filled",
    icon: "CartAddFilled"
  }, {
    stem: "cart-add",
    icon: "CartAdd"
  }, {
    stem: "cart-filled",
    icon: "CartFilled"
  }, {
    stem: "cart",
    icon: "Cart"
  }, {
    stem: "cast-filled",
    icon: "CastFilled"
  }, {
    stem: "cast",
    icon: "Cast"
  }, {
    stem: "castle-1-filled",
    icon: "Castle1Filled"
  }, {
    stem: "castle-1",
    icon: "Castle1"
  }, {
    stem: "castle-2-filled",
    icon: "Castle2Filled"
  }, {
    stem: "castle-2",
    icon: "Castle2"
  }, {
    stem: "castle-3-filled",
    icon: "Castle3Filled"
  }, {
    stem: "castle-3",
    icon: "Castle3"
  }, {
    stem: "castle-4-filled",
    icon: "Castle4Filled"
  }, {
    stem: "castle-4",
    icon: "Castle4"
  }, {
    stem: "castle-5-filled",
    icon: "Castle5Filled"
  }, {
    stem: "castle-5",
    icon: "Castle5"
  }, {
    stem: "castle-6-filled",
    icon: "Castle6Filled"
  }, {
    stem: "castle-6",
    icon: "Castle6"
  }, {
    stem: "castle-7-filled",
    icon: "Castle7Filled"
  }, {
    stem: "castle-7",
    icon: "Castle7"
  }, {
    stem: "castle-filled",
    icon: "CastleFilled"
  }, {
    stem: "castle",
    icon: "Castle"
  }, {
    stem: "cat-filled",
    icon: "CatFilled"
  }, {
    stem: "cat",
    icon: "Cat"
  }, {
    stem: "catalog-filled",
    icon: "CatalogFilled"
  }, {
    stem: "catalog",
    icon: "Catalog"
  }, {
    stem: "cd-filled",
    icon: "CdFilled"
  }, {
    stem: "cd",
    icon: "Cd"
  }, {
    stem: "celsius",
    icon: "Celsius"
  }, {
    stem: "center-focus-strong-filled",
    icon: "CenterFocusStrongFilled"
  }, {
    stem: "center-focus-strong",
    icon: "CenterFocusStrong"
  }, {
    stem: "centimeter",
    icon: "Centimeter"
  }, {
    stem: "certificate-1-filled",
    icon: "Certificate1Filled"
  }, {
    stem: "certificate-1",
    icon: "Certificate1"
  }, {
    stem: "certificate-filled",
    icon: "CertificateFilled"
  }, {
    stem: "certificate",
    icon: "Certificate"
  }, {
    stem: "chart-3d-filled",
    icon: "Chart3DFilled"
  }, {
    stem: "chart-3d",
    icon: "Chart3D"
  }, {
    stem: "chart-add-filled",
    icon: "ChartAddFilled"
  }, {
    stem: "chart-add",
    icon: "ChartAdd"
  }, {
    stem: "chart-analytics",
    icon: "ChartAnalytics"
  }, {
    stem: "chart-area-filled",
    icon: "ChartAreaFilled"
  }, {
    stem: "chart-area-multi-filled",
    icon: "ChartAreaMultiFilled"
  }, {
    stem: "chart-area-multi",
    icon: "ChartAreaMulti"
  }, {
    stem: "chart-area",
    icon: "ChartArea"
  }, {
    stem: "chart-bar-filled",
    icon: "ChartBarFilled"
  }, {
    stem: "chart-bar",
    icon: "ChartBar"
  }, {
    stem: "chart-bubble-filled",
    icon: "ChartBubbleFilled"
  }, {
    stem: "chart-bubble",
    icon: "ChartBubble"
  }, {
    stem: "chart-column-filled",
    icon: "ChartColumnFilled"
  }, {
    stem: "chart-column",
    icon: "ChartColumn"
  }, {
    stem: "chart-combo-filled",
    icon: "ChartComboFilled"
  }, {
    stem: "chart-combo",
    icon: "ChartCombo"
  }, {
    stem: "chart-filled",
    icon: "ChartFilled"
  }, {
    stem: "chart-line-data-1",
    icon: "ChartLineData1"
  }, {
    stem: "chart-line-data",
    icon: "ChartLineData"
  }, {
    stem: "chart-line-multi",
    icon: "ChartLineMulti"
  }, {
    stem: "chart-line",
    icon: "ChartLine"
  }, {
    stem: "chart-maximum",
    icon: "ChartMaximum"
  }, {
    stem: "chart-median",
    icon: "ChartMedian"
  }, {
    stem: "chart-minimum",
    icon: "ChartMinimum"
  }, {
    stem: "chart-pie-filled",
    icon: "ChartPieFilled"
  }, {
    stem: "chart-pie",
    icon: "ChartPie"
  }, {
    stem: "chart-radar-filled",
    icon: "ChartRadarFilled"
  }, {
    stem: "chart-radar",
    icon: "ChartRadar"
  }, {
    stem: "chart-radial",
    icon: "ChartRadial"
  }, {
    stem: "chart-ring-1-filled",
    icon: "ChartRing1Filled"
  }, {
    stem: "chart-ring-1",
    icon: "ChartRing1"
  }, {
    stem: "chart-ring-filled",
    icon: "ChartRingFilled"
  }, {
    stem: "chart-ring",
    icon: "ChartRing"
  }, {
    stem: "chart-scatter",
    icon: "ChartScatter"
  }, {
    stem: "chart-stacked-filled",
    icon: "ChartStackedFilled"
  }, {
    stem: "chart-stacked",
    icon: "ChartStacked"
  }, {
    stem: "chart",
    icon: "Chart"
  }, {
    stem: "chat-add-filled",
    icon: "ChatAddFilled"
  }, {
    stem: "chat-add",
    icon: "ChatAdd"
  }, {
    stem: "chat-bubble-1-filled",
    icon: "ChatBubble1Filled"
  }, {
    stem: "chat-bubble-1",
    icon: "ChatBubble1"
  }, {
    stem: "chat-bubble-add-filled",
    icon: "ChatBubbleAddFilled"
  }, {
    stem: "chat-bubble-add",
    icon: "ChatBubbleAdd"
  }, {
    stem: "chat-bubble-error-filled",
    icon: "ChatBubbleErrorFilled"
  }, {
    stem: "chat-bubble-error",
    icon: "ChatBubbleError"
  }, {
    stem: "chat-bubble-filled",
    icon: "ChatBubbleFilled"
  }, {
    stem: "chat-bubble-help-filled",
    icon: "ChatBubbleHelpFilled"
  }, {
    stem: "chat-bubble-help",
    icon: "ChatBubbleHelp"
  }, {
    stem: "chat-bubble-history-filled",
    icon: "ChatBubbleHistoryFilled"
  }, {
    stem: "chat-bubble-history",
    icon: "ChatBubbleHistory"
  }, {
    stem: "chat-bubble-locked-filled",
    icon: "ChatBubbleLockedFilled"
  }, {
    stem: "chat-bubble-locked",
    icon: "ChatBubbleLocked"
  }, {
    stem: "chat-bubble-smile-filled",
    icon: "ChatBubbleSmileFilled"
  }, {
    stem: "chat-bubble-smile",
    icon: "ChatBubbleSmile"
  }, {
    stem: "chat-bubble",
    icon: "ChatBubble"
  }, {
    stem: "chat-checked-filled",
    icon: "ChatCheckedFilled"
  }, {
    stem: "chat-checked",
    icon: "ChatChecked"
  }, {
    stem: "chat-clear-filled",
    icon: "ChatClearFilled"
  }, {
    stem: "chat-clear",
    icon: "ChatClear"
  }, {
    stem: "chat-double-filled",
    icon: "ChatDoubleFilled"
  }, {
    stem: "chat-double",
    icon: "ChatDouble"
  }, {
    stem: "chat-error-filled",
    icon: "ChatErrorFilled"
  }, {
    stem: "chat-error",
    icon: "ChatError"
  }, {
    stem: "chat-filled",
    icon: "ChatFilled"
  }, {
    stem: "chat-heart-filled",
    icon: "ChatHeartFilled"
  }, {
    stem: "chat-heart",
    icon: "ChatHeart"
  }, {
    stem: "chat-message-filled",
    icon: "ChatMessageFilled"
  }, {
    stem: "chat-message",
    icon: "ChatMessage"
  }, {
    stem: "chat-off-filled",
    icon: "ChatOffFilled"
  }, {
    stem: "chat-off",
    icon: "ChatOff"
  }, {
    stem: "chat-poll-filled",
    icon: "ChatPollFilled"
  }, {
    stem: "chat-poll",
    icon: "ChatPoll"
  }, {
    stem: "chat-setting-filled",
    icon: "ChatSettingFilled"
  }, {
    stem: "chat-setting",
    icon: "ChatSetting"
  }, {
    stem: "chat",
    icon: "Chat"
  }, {
    stem: "check-circle-filled",
    icon: "CheckCircleFilled"
  }, {
    stem: "check-circle",
    icon: "CheckCircle"
  }, {
    stem: "check-double",
    icon: "CheckDouble"
  }, {
    stem: "check-rectangle-filled",
    icon: "CheckRectangleFilled"
  }, {
    stem: "check-rectangle",
    icon: "CheckRectangle"
  }, {
    stem: "check",
    icon: "Check"
  }, {
    stem: "cheese-filled",
    icon: "CheeseFilled"
  }, {
    stem: "cheese",
    icon: "Cheese"
  }, {
    stem: "cherry-filled",
    icon: "CherryFilled"
  }, {
    stem: "cherry",
    icon: "Cherry"
  }, {
    stem: "chevron-down-circle-filled",
    icon: "ChevronDownCircleFilled"
  }, {
    stem: "chevron-down-circle",
    icon: "ChevronDownCircle"
  }, {
    stem: "chevron-down-double-s",
    icon: "ChevronDownDoubleS"
  }, {
    stem: "chevron-down-double",
    icon: "ChevronDownDouble"
  }, {
    stem: "chevron-down-rectangle-filled",
    icon: "ChevronDownRectangleFilled"
  }, {
    stem: "chevron-down-rectangle",
    icon: "ChevronDownRectangle"
  }, {
    stem: "chevron-down-s",
    icon: "ChevronDownS"
  }, {
    stem: "chevron-down",
    icon: "ChevronDown"
  }, {
    stem: "chevron-left-circle-filled",
    icon: "ChevronLeftCircleFilled"
  }, {
    stem: "chevron-left-circle",
    icon: "ChevronLeftCircle"
  }, {
    stem: "chevron-left-double-s",
    icon: "ChevronLeftDoubleS"
  }, {
    stem: "chevron-left-double",
    icon: "ChevronLeftDouble"
  }, {
    stem: "chevron-left-rectangle-filled",
    icon: "ChevronLeftRectangleFilled"
  }, {
    stem: "chevron-left-rectangle",
    icon: "ChevronLeftRectangle"
  }, {
    stem: "chevron-left-s",
    icon: "ChevronLeftS"
  }, {
    stem: "chevron-left",
    icon: "ChevronLeft"
  }, {
    stem: "chevron-right-circle-filled",
    icon: "ChevronRightCircleFilled"
  }, {
    stem: "chevron-right-circle",
    icon: "ChevronRightCircle"
  }, {
    stem: "chevron-right-double-s",
    icon: "ChevronRightDoubleS"
  }, {
    stem: "chevron-right-double",
    icon: "ChevronRightDouble"
  }, {
    stem: "chevron-right-rectangle-filled",
    icon: "ChevronRightRectangleFilled"
  }, {
    stem: "chevron-right-rectangle",
    icon: "ChevronRightRectangle"
  }, {
    stem: "chevron-right-s",
    icon: "ChevronRightS"
  }, {
    stem: "chevron-right",
    icon: "ChevronRight"
  }, {
    stem: "chevron-up-circle-filled",
    icon: "ChevronUpCircleFilled"
  }, {
    stem: "chevron-up-circle",
    icon: "ChevronUpCircle"
  }, {
    stem: "chevron-up-double-s",
    icon: "ChevronUpDoubleS"
  }, {
    stem: "chevron-up-double",
    icon: "ChevronUpDouble"
  }, {
    stem: "chevron-up-rectangle-filled",
    icon: "ChevronUpRectangleFilled"
  }, {
    stem: "chevron-up-rectangle",
    icon: "ChevronUpRectangle"
  }, {
    stem: "chevron-up-s",
    icon: "ChevronUpS"
  }, {
    stem: "chevron-up",
    icon: "ChevronUp"
  }, {
    stem: "chicken",
    icon: "Chicken"
  }, {
    stem: "chili-filled",
    icon: "ChiliFilled"
  }, {
    stem: "chili",
    icon: "Chili"
  }, {
    stem: "chimney-1-filled",
    icon: "Chimney1Filled"
  }, {
    stem: "chimney-1",
    icon: "Chimney1"
  }, {
    stem: "chimney-2-filled",
    icon: "Chimney2Filled"
  }, {
    stem: "chimney-2",
    icon: "Chimney2"
  }, {
    stem: "chimney-filled",
    icon: "ChimneyFilled"
  }, {
    stem: "chimney",
    icon: "Chimney"
  }, {
    stem: "chinese-cabbage-filled",
    icon: "ChineseCabbageFilled"
  }, {
    stem: "chinese-cabbage",
    icon: "ChineseCabbage"
  }, {
    stem: "church-filled",
    icon: "ChurchFilled"
  }, {
    stem: "church",
    icon: "Church"
  }, {
    stem: "circle-filled",
    icon: "CircleFilled"
  }, {
    stem: "circle",
    icon: "Circle"
  }, {
    stem: "city-1-filled",
    icon: "City1Filled"
  }, {
    stem: "city-1",
    icon: "City1"
  }, {
    stem: "city-10-filled",
    icon: "City10Filled"
  }, {
    stem: "city-10",
    icon: "City10"
  }, {
    stem: "city-11-filled",
    icon: "City11Filled"
  }, {
    stem: "city-11",
    icon: "City11"
  }, {
    stem: "city-12-filled",
    icon: "City12Filled"
  }, {
    stem: "city-12",
    icon: "City12"
  }, {
    stem: "city-13-filled",
    icon: "City13Filled"
  }, {
    stem: "city-13",
    icon: "City13"
  }, {
    stem: "city-14-filled",
    icon: "City14Filled"
  }, {
    stem: "city-14",
    icon: "City14"
  }, {
    stem: "city-15-filled",
    icon: "City15Filled"
  }, {
    stem: "city-15",
    icon: "City15"
  }, {
    stem: "city-2-filled",
    icon: "City2Filled"
  }, {
    stem: "city-2",
    icon: "City2"
  }, {
    stem: "city-3-filled",
    icon: "City3Filled"
  }, {
    stem: "city-3",
    icon: "City3"
  }, {
    stem: "city-4-filled",
    icon: "City4Filled"
  }, {
    stem: "city-4",
    icon: "City4"
  }, {
    stem: "city-5-filled",
    icon: "City5Filled"
  }, {
    stem: "city-5",
    icon: "City5"
  }, {
    stem: "city-6-filled",
    icon: "City6Filled"
  }, {
    stem: "city-6",
    icon: "City6"
  }, {
    stem: "city-7-filled",
    icon: "City7Filled"
  }, {
    stem: "city-7",
    icon: "City7"
  }, {
    stem: "city-8-filled",
    icon: "City8Filled"
  }, {
    stem: "city-8",
    icon: "City8"
  }, {
    stem: "city-9-filled",
    icon: "City9Filled"
  }, {
    stem: "city-9",
    icon: "City9"
  }, {
    stem: "city-ancient-1-filled",
    icon: "CityAncient1Filled"
  }, {
    stem: "city-ancient-1",
    icon: "CityAncient1"
  }, {
    stem: "city-ancient-2-filled",
    icon: "CityAncient2Filled"
  }, {
    stem: "city-ancient-2",
    icon: "CityAncient2"
  }, {
    stem: "city-ancient-filled",
    icon: "CityAncientFilled"
  }, {
    stem: "city-ancient",
    icon: "CityAncient"
  }, {
    stem: "city-filled",
    icon: "CityFilled"
  }, {
    stem: "city",
    icon: "City"
  }, {
    stem: "clear-filled",
    icon: "ClearFilled"
  }, {
    stem: "clear-formatting-1-filled",
    icon: "ClearFormatting1Filled"
  }, {
    stem: "clear-formatting-1",
    icon: "ClearFormatting1"
  }, {
    stem: "clear-formatting-filled",
    icon: "ClearFormattingFilled"
  }, {
    stem: "clear-formatting",
    icon: "ClearFormatting"
  }, {
    stem: "clear",
    icon: "Clear"
  }, {
    stem: "close-circle-filled",
    icon: "CloseCircleFilled"
  }, {
    stem: "close-circle",
    icon: "CloseCircle"
  }, {
    stem: "close-octagon-filled",
    icon: "CloseOctagonFilled"
  }, {
    stem: "close-octagon",
    icon: "CloseOctagon"
  }, {
    stem: "close-rectangle-filled",
    icon: "CloseRectangleFilled"
  }, {
    stem: "close-rectangle",
    icon: "CloseRectangle"
  }, {
    stem: "close",
    icon: "Close"
  }, {
    stem: "cloud-download",
    icon: "CloudDownload"
  }, {
    stem: "cloud-filled",
    icon: "CloudFilled"
  }, {
    stem: "cloud-upload",
    icon: "CloudUpload"
  }, {
    stem: "cloud",
    icon: "Cloud"
  }, {
    stem: "cloudy-day-filled",
    icon: "CloudyDayFilled"
  }, {
    stem: "cloudy-day",
    icon: "CloudyDay"
  }, {
    stem: "cloudy-night-filled",
    icon: "CloudyNightFilled"
  }, {
    stem: "cloudy-night-rain-filled",
    icon: "CloudyNightRainFilled"
  }, {
    stem: "cloudy-night-rain",
    icon: "CloudyNightRain"
  }, {
    stem: "cloudy-night",
    icon: "CloudyNight"
  }, {
    stem: "cloudy-rain-filled",
    icon: "CloudyRainFilled"
  }, {
    stem: "cloudy-rain",
    icon: "CloudyRain"
  }, {
    stem: "cloudy-sunny-filled",
    icon: "CloudySunnyFilled"
  }, {
    stem: "cloudy-sunny",
    icon: "CloudySunny"
  }, {
    stem: "code-1",
    icon: "Code1"
  }, {
    stem: "code-off",
    icon: "CodeOff"
  }, {
    stem: "code",
    icon: "Code"
  }, {
    stem: "cola-filled",
    icon: "ColaFilled"
  }, {
    stem: "cola",
    icon: "Cola"
  }, {
    stem: "collage-filled",
    icon: "CollageFilled"
  }, {
    stem: "collage",
    icon: "Collage"
  }, {
    stem: "collection-filled",
    icon: "CollectionFilled"
  }, {
    stem: "collection",
    icon: "Collection"
  }, {
    stem: "color-invert-filled",
    icon: "ColorInvertFilled"
  }, {
    stem: "color-invert",
    icon: "ColorInvert"
  }, {
    stem: "combination-filled",
    icon: "CombinationFilled"
  }, {
    stem: "combination",
    icon: "Combination"
  }, {
    stem: "command",
    icon: "Command"
  }, {
    stem: "compass-1-filled",
    icon: "Compass1Filled"
  }, {
    stem: "compass-1",
    icon: "Compass1"
  }, {
    stem: "compass-filled",
    icon: "CompassFilled"
  }, {
    stem: "compass",
    icon: "Compass"
  }, {
    stem: "component-breadcrumb-filled",
    icon: "ComponentBreadcrumbFilled"
  }, {
    stem: "component-breadcrumb",
    icon: "ComponentBreadcrumb"
  }, {
    stem: "component-checkbox-filled",
    icon: "ComponentCheckboxFilled"
  }, {
    stem: "component-checkbox",
    icon: "ComponentCheckbox"
  }, {
    stem: "component-divider-horizontal-filled",
    icon: "ComponentDividerHorizontalFilled"
  }, {
    stem: "component-divider-horizontal",
    icon: "ComponentDividerHorizontal"
  }, {
    stem: "component-divider-vertical-filled",
    icon: "ComponentDividerVerticalFilled"
  }, {
    stem: "component-divider-vertical",
    icon: "ComponentDividerVertical"
  }, {
    stem: "component-dropdown-filled",
    icon: "ComponentDropdownFilled"
  }, {
    stem: "component-dropdown",
    icon: "ComponentDropdown"
  }, {
    stem: "component-grid-filled",
    icon: "ComponentGridFilled"
  }, {
    stem: "component-grid",
    icon: "ComponentGrid"
  }, {
    stem: "component-input-filled",
    icon: "ComponentInputFilled"
  }, {
    stem: "component-input",
    icon: "ComponentInput"
  }, {
    stem: "component-layout-filled",
    icon: "ComponentLayoutFilled"
  }, {
    stem: "component-layout",
    icon: "ComponentLayout"
  }, {
    stem: "component-radio",
    icon: "ComponentRadio"
  }, {
    stem: "component-space-filled",
    icon: "ComponentSpaceFilled"
  }, {
    stem: "component-space",
    icon: "ComponentSpace"
  }, {
    stem: "component-steps-filled",
    icon: "ComponentStepsFilled"
  }, {
    stem: "component-steps",
    icon: "ComponentSteps"
  }, {
    stem: "component-switch-filled",
    icon: "ComponentSwitchFilled"
  }, {
    stem: "component-switch",
    icon: "ComponentSwitch"
  }, {
    stem: "constraint",
    icon: "Constraint"
  }, {
    stem: "contrast-1-filled",
    icon: "Contrast1Filled"
  }, {
    stem: "contrast-1",
    icon: "Contrast1"
  }, {
    stem: "contrast-filled",
    icon: "ContrastFilled"
  }, {
    stem: "contrast",
    icon: "Contrast"
  }, {
    stem: "control-platform-filled",
    icon: "ControlPlatformFilled"
  }, {
    stem: "control-platform",
    icon: "ControlPlatform"
  }, {
    stem: "cooperate-filled",
    icon: "CooperateFilled"
  }, {
    stem: "cooperate",
    icon: "Cooperate"
  }, {
    stem: "coordinate-system-filled",
    icon: "CoordinateSystemFilled"
  }, {
    stem: "coordinate-system",
    icon: "CoordinateSystem"
  }, {
    stem: "copy-filled",
    icon: "CopyFilled"
  }, {
    stem: "copy",
    icon: "Copy"
  }, {
    stem: "copyright-filled",
    icon: "CopyrightFilled"
  }, {
    stem: "copyright",
    icon: "Copyright"
  }, {
    stem: "corn-filled",
    icon: "CornFilled"
  }, {
    stem: "corn",
    icon: "Corn"
  }, {
    stem: "coupon-filled",
    icon: "CouponFilled"
  }, {
    stem: "coupon",
    icon: "Coupon"
  }, {
    stem: "course-filled",
    icon: "CourseFilled"
  }, {
    stem: "course",
    icon: "Course"
  }, {
    stem: "cpu-filled",
    icon: "CpuFilled"
  }, {
    stem: "cpu",
    icon: "Cpu"
  }, {
    stem: "crack-filled",
    icon: "CrackFilled"
  }, {
    stem: "crack",
    icon: "Crack"
  }, {
    stem: "creditcard-add-filled",
    icon: "CreditcardAddFilled"
  }, {
    stem: "creditcard-add",
    icon: "CreditcardAdd"
  }, {
    stem: "creditcard-filled",
    icon: "CreditcardFilled"
  }, {
    stem: "creditcard-off-filled",
    icon: "CreditcardOffFilled"
  }, {
    stem: "creditcard-off",
    icon: "CreditcardOff"
  }, {
    stem: "creditcard",
    icon: "Creditcard"
  }, {
    stem: "crooked-smile-filled",
    icon: "CrookedSmileFilled"
  }, {
    stem: "crooked-smile",
    icon: "CrookedSmile"
  }, {
    stem: "cry-and-laugh-filled",
    icon: "CryAndLaughFilled"
  }, {
    stem: "cry-and-laugh",
    icon: "CryAndLaugh"
  }, {
    stem: "cry-loudly-filled",
    icon: "CryLoudlyFilled"
  }, {
    stem: "cry-loudly",
    icon: "CryLoudly"
  }, {
    stem: "css3-filled",
    icon: "Css3Filled"
  }, {
    stem: "css3",
    icon: "Css3"
  }, {
    stem: "cucumber",
    icon: "Cucumber"
  }, {
    stem: "currency-exchange",
    icon: "CurrencyExchange"
  }, {
    stem: "cursor-filled",
    icon: "CursorFilled"
  }, {
    stem: "cursor",
    icon: "Cursor"
  }, {
    stem: "curtain-filled",
    icon: "CurtainFilled"
  }, {
    stem: "curtain",
    icon: "Curtain"
  }, {
    stem: "curve",
    icon: "Curve"
  }, {
    stem: "cut-1",
    icon: "Cut1"
  }, {
    stem: "cut",
    icon: "Cut"
  }, {
    stem: "dam-1-filled",
    icon: "Dam1Filled"
  }, {
    stem: "dam-1",
    icon: "Dam1"
  }, {
    stem: "dam-2-filled",
    icon: "Dam2Filled"
  }, {
    stem: "dam-2",
    icon: "Dam2"
  }, {
    stem: "dam-3-filled",
    icon: "Dam3Filled"
  }, {
    stem: "dam-3",
    icon: "Dam3"
  }, {
    stem: "dam-4-filled",
    icon: "Dam4Filled"
  }, {
    stem: "dam-4",
    icon: "Dam4"
  }, {
    stem: "dam-5-filled",
    icon: "Dam5Filled"
  }, {
    stem: "dam-5",
    icon: "Dam5"
  }, {
    stem: "dam-6-filled",
    icon: "Dam6Filled"
  }, {
    stem: "dam-6",
    icon: "Dam6"
  }, {
    stem: "dam-7-filled",
    icon: "Dam7Filled"
  }, {
    stem: "dam-7",
    icon: "Dam7"
  }, {
    stem: "dam-filled",
    icon: "DamFilled"
  }, {
    stem: "dam",
    icon: "Dam"
  }, {
    stem: "dart-board-filled",
    icon: "DartBoardFilled"
  }, {
    stem: "dart-board",
    icon: "DartBoard"
  }, {
    stem: "dashboard-1-filled",
    icon: "Dashboard1Filled"
  }, {
    stem: "dashboard-1",
    icon: "Dashboard1"
  }, {
    stem: "dashboard-filled",
    icon: "DashboardFilled"
  }, {
    stem: "dashboard",
    icon: "Dashboard"
  }, {
    stem: "data-base-filled",
    icon: "DataBaseFilled"
  }, {
    stem: "data-base",
    icon: "DataBase"
  }, {
    stem: "data-checked-filled",
    icon: "DataCheckedFilled"
  }, {
    stem: "data-checked",
    icon: "DataChecked"
  }, {
    stem: "data-display",
    icon: "DataDisplay"
  }, {
    stem: "data-error-filled",
    icon: "DataErrorFilled"
  }, {
    stem: "data-error",
    icon: "DataError"
  }, {
    stem: "data-filled",
    icon: "DataFilled"
  }, {
    stem: "data-search-filled",
    icon: "DataSearchFilled"
  }, {
    stem: "data-search",
    icon: "DataSearch"
  }, {
    stem: "data",
    icon: "Data"
  }, {
    stem: "delete-1-filled",
    icon: "Delete1Filled"
  }, {
    stem: "delete-1",
    icon: "Delete1"
  }, {
    stem: "delete-filled",
    icon: "DeleteFilled"
  }, {
    stem: "delete-time-filled",
    icon: "DeleteTimeFilled"
  }, {
    stem: "delete-time",
    icon: "DeleteTime"
  }, {
    stem: "delete",
    icon: "Delete"
  }, {
    stem: "delta-filled",
    icon: "DeltaFilled"
  }, {
    stem: "delta",
    icon: "Delta"
  }, {
    stem: "depressed-filled",
    icon: "DepressedFilled"
  }, {
    stem: "depressed",
    icon: "Depressed"
  }, {
    stem: "desktop-1-filled",
    icon: "Desktop1Filled"
  }, {
    stem: "desktop-1",
    icon: "Desktop1"
  }, {
    stem: "desktop-filled",
    icon: "DesktopFilled"
  }, {
    stem: "desktop",
    icon: "Desktop"
  }, {
    stem: "despise-filled",
    icon: "DespiseFilled"
  }, {
    stem: "despise",
    icon: "Despise"
  }, {
    stem: "device-filled",
    icon: "DeviceFilled"
  }, {
    stem: "device",
    icon: "Device"
  }, {
    stem: "discount-filled",
    icon: "DiscountFilled"
  }, {
    stem: "discount",
    icon: "Discount"
  }, {
    stem: "dissatisfaction-filled",
    icon: "DissatisfactionFilled"
  }, {
    stem: "dissatisfaction",
    icon: "Dissatisfaction"
  }, {
    stem: "divide",
    icon: "Divide"
  }, {
    stem: "dividers-1",
    icon: "Dividers1"
  }, {
    stem: "dividers",
    icon: "Dividers"
  }, {
    stem: "doge-filled",
    icon: "DogeFilled"
  }, {
    stem: "doge",
    icon: "Doge"
  }, {
    stem: "double-storey-filled",
    icon: "DoubleStoreyFilled"
  }, {
    stem: "double-storey",
    icon: "DoubleStorey"
  }, {
    stem: "download-1",
    icon: "Download1"
  }, {
    stem: "download-2-filled",
    icon: "Download2Filled"
  }, {
    stem: "download-2",
    icon: "Download2"
  }, {
    stem: "download",
    icon: "Download"
  }, {
    stem: "downscale",
    icon: "Downscale"
  }, {
    stem: "drag-drop",
    icon: "DragDrop"
  }, {
    stem: "drag-move",
    icon: "DragMove"
  }, {
    stem: "drink-filled",
    icon: "DrinkFilled"
  }, {
    stem: "drink",
    icon: "Drink"
  }, {
    stem: "drumstick-filled",
    icon: "DrumstickFilled"
  }, {
    stem: "drumstick",
    icon: "Drumstick"
  }, {
    stem: "dv-filled",
    icon: "DvFilled"
  }, {
    stem: "dv",
    icon: "Dv"
  }, {
    stem: "dvd-filled",
    icon: "DvdFilled"
  }, {
    stem: "dvd",
    icon: "Dvd"
  }, {
    stem: "earphone-filled",
    icon: "EarphoneFilled"
  }, {
    stem: "earphone",
    icon: "Earphone"
  }, {
    stem: "earth-filled",
    icon: "EarthFilled"
  }, {
    stem: "earth",
    icon: "Earth"
  }, {
    stem: "edit-1-filled",
    icon: "Edit1Filled"
  }, {
    stem: "edit-1",
    icon: "Edit1"
  }, {
    stem: "edit-2-filled",
    icon: "Edit2Filled"
  }, {
    stem: "edit-2",
    icon: "Edit2"
  }, {
    stem: "edit-filled",
    icon: "EditFilled"
  }, {
    stem: "edit-off-filled",
    icon: "EditOffFilled"
  }, {
    stem: "edit-off",
    icon: "EditOff"
  }, {
    stem: "edit",
    icon: "Edit"
  }, {
    stem: "education-filled",
    icon: "EducationFilled"
  }, {
    stem: "education",
    icon: "Education"
  }, {
    stem: "eggplant-filled",
    icon: "EggplantFilled"
  }, {
    stem: "eggplant",
    icon: "Eggplant"
  }, {
    stem: "ellipsis",
    icon: "Ellipsis"
  }, {
    stem: "emo-emotional-filled",
    icon: "EmoEmotionalFilled"
  }, {
    stem: "emo-emotional",
    icon: "EmoEmotional"
  }, {
    stem: "enter",
    icon: "Enter"
  }, {
    stem: "equal",
    icon: "Equal"
  }, {
    stem: "error-circle-filled",
    icon: "ErrorCircleFilled"
  }, {
    stem: "error-circle",
    icon: "ErrorCircle"
  }, {
    stem: "error-triangle-filled",
    icon: "ErrorTriangleFilled"
  }, {
    stem: "error-triangle",
    icon: "ErrorTriangle"
  }, {
    stem: "error",
    icon: "Error"
  }, {
    stem: "excited-1-filled",
    icon: "Excited1Filled"
  }, {
    stem: "excited-1",
    icon: "Excited1"
  }, {
    stem: "excited-filled",
    icon: "ExcitedFilled"
  }, {
    stem: "excited",
    icon: "Excited"
  }, {
    stem: "expand-down-filled",
    icon: "ExpandDownFilled"
  }, {
    stem: "expand-down",
    icon: "ExpandDown"
  }, {
    stem: "expand-horizontal",
    icon: "ExpandHorizontal"
  }, {
    stem: "expand-up-filled",
    icon: "ExpandUpFilled"
  }, {
    stem: "expand-up",
    icon: "ExpandUp"
  }, {
    stem: "expand-vertical",
    icon: "ExpandVertical"
  }, {
    stem: "explore-filled",
    icon: "ExploreFilled"
  }, {
    stem: "explore-off-filled",
    icon: "ExploreOffFilled"
  }, {
    stem: "explore-off",
    icon: "ExploreOff"
  }, {
    stem: "explore",
    icon: "Explore"
  }, {
    stem: "exposure-filled",
    icon: "ExposureFilled"
  }, {
    stem: "exposure",
    icon: "Exposure"
  }, {
    stem: "extension-filled",
    icon: "ExtensionFilled"
  }, {
    stem: "extension-off-filled",
    icon: "ExtensionOffFilled"
  }, {
    stem: "extension-off",
    icon: "ExtensionOff"
  }, {
    stem: "extension",
    icon: "Extension"
  }, {
    stem: "face-retouching-filled",
    icon: "FaceRetouchingFilled"
  }, {
    stem: "face-retouching",
    icon: "FaceRetouching"
  }, {
    stem: "fact-check-filled",
    icon: "FactCheckFilled"
  }, {
    stem: "fact-check",
    icon: "FactCheck"
  }, {
    stem: "fahrenheit-scale",
    icon: "FahrenheitScale"
  }, {
    stem: "feel-at-ease-filled",
    icon: "FeelAtEaseFilled"
  }, {
    stem: "feel-at-ease",
    icon: "FeelAtEase"
  }, {
    stem: "ferocious-filled",
    icon: "FerociousFilled"
  }, {
    stem: "ferocious",
    icon: "Ferocious"
  }, {
    stem: "ferris-wheel-filled",
    icon: "FerrisWheelFilled"
  }, {
    stem: "ferris-wheel",
    icon: "FerrisWheel"
  }, {
    stem: "file-1-filled",
    icon: "File1Filled"
  }, {
    stem: "file-1",
    icon: "File1"
  }, {
    stem: "file-add-1-filled",
    icon: "FileAdd1Filled"
  }, {
    stem: "file-add-1",
    icon: "FileAdd1"
  }, {
    stem: "file-add-filled",
    icon: "FileAddFilled"
  }, {
    stem: "file-add",
    icon: "FileAdd"
  }, {
    stem: "file-attachment-filled",
    icon: "FileAttachmentFilled"
  }, {
    stem: "file-attachment",
    icon: "FileAttachment"
  }, {
    stem: "file-blocked-filled",
    icon: "FileBlockedFilled"
  }, {
    stem: "file-blocked",
    icon: "FileBlocked"
  }, {
    stem: "file-code-1-filled",
    icon: "FileCode1Filled"
  }, {
    stem: "file-code-1",
    icon: "FileCode1"
  }, {
    stem: "file-code-filled",
    icon: "FileCodeFilled"
  }, {
    stem: "file-code",
    icon: "FileCode"
  }, {
    stem: "file-copy-filled",
    icon: "FileCopyFilled"
  }, {
    stem: "file-copy",
    icon: "FileCopy"
  }, {
    stem: "file-download-filled",
    icon: "FileDownloadFilled"
  }, {
    stem: "file-download",
    icon: "FileDownload"
  }, {
    stem: "file-excel-filled",
    icon: "FileExcelFilled"
  }, {
    stem: "file-excel",
    icon: "FileExcel"
  }, {
    stem: "file-export-filled",
    icon: "FileExportFilled"
  }, {
    stem: "file-export",
    icon: "FileExport"
  }, {
    stem: "file-filled",
    icon: "FileFilled"
  }, {
    stem: "file-icon-filled",
    icon: "FileIconFilled"
  }, {
    stem: "file-icon",
    icon: "FileIcon"
  }, {
    stem: "file-image-filled",
    icon: "FileImageFilled"
  }, {
    stem: "file-image",
    icon: "FileImage"
  }, {
    stem: "file-import-filled",
    icon: "FileImportFilled"
  }, {
    stem: "file-import",
    icon: "FileImport"
  }, {
    stem: "file-locked-filled",
    icon: "FileLockedFilled"
  }, {
    stem: "file-locked",
    icon: "FileLocked"
  }, {
    stem: "file-minus-filled",
    icon: "FileMinusFilled"
  }, {
    stem: "file-minus",
    icon: "FileMinus"
  }, {
    stem: "file-music-filled",
    icon: "FileMusicFilled"
  }, {
    stem: "file-music",
    icon: "FileMusic"
  }, {
    stem: "file-onenote-filled",
    icon: "FileOnenoteFilled"
  }, {
    stem: "file-onenote",
    icon: "FileOnenote"
  }, {
    stem: "file-outlook-filled",
    icon: "FileOutlookFilled"
  }, {
    stem: "file-outlook",
    icon: "FileOutlook"
  }, {
    stem: "file-paste-filled",
    icon: "FilePasteFilled"
  }, {
    stem: "file-paste",
    icon: "FilePaste"
  }, {
    stem: "file-pdf-filled",
    icon: "FilePdfFilled"
  }, {
    stem: "file-pdf",
    icon: "FilePdf"
  }, {
    stem: "file-powerpoint-filled",
    icon: "FilePowerpointFilled"
  }, {
    stem: "file-powerpoint",
    icon: "FilePowerpoint"
  }, {
    stem: "file-restore-filled",
    icon: "FileRestoreFilled"
  }, {
    stem: "file-restore",
    icon: "FileRestore"
  }, {
    stem: "file-safety-filled",
    icon: "FileSafetyFilled"
  }, {
    stem: "file-safety",
    icon: "FileSafety"
  }, {
    stem: "file-search-filled",
    icon: "FileSearchFilled"
  }, {
    stem: "file-search",
    icon: "FileSearch"
  }, {
    stem: "file-setting-filled",
    icon: "FileSettingFilled"
  }, {
    stem: "file-setting",
    icon: "FileSetting"
  }, {
    stem: "file-teams-filled",
    icon: "FileTeamsFilled"
  }, {
    stem: "file-teams",
    icon: "FileTeams"
  }, {
    stem: "file-transmit-double-filled",
    icon: "FileTransmitDoubleFilled"
  }, {
    stem: "file-transmit-double",
    icon: "FileTransmitDouble"
  }, {
    stem: "file-transmit-filled",
    icon: "FileTransmitFilled"
  }, {
    stem: "file-transmit",
    icon: "FileTransmit"
  }, {
    stem: "file-unknown-filled",
    icon: "FileUnknownFilled"
  }, {
    stem: "file-unknown",
    icon: "FileUnknown"
  }, {
    stem: "file-unlocked-filled",
    icon: "FileUnlockedFilled"
  }, {
    stem: "file-unlocked",
    icon: "FileUnlocked"
  }, {
    stem: "file-word-filled",
    icon: "FileWordFilled"
  }, {
    stem: "file-word",
    icon: "FileWord"
  }, {
    stem: "file-zip-filled",
    icon: "FileZipFilled"
  }, {
    stem: "file-zip",
    icon: "FileZip"
  }, {
    stem: "file",
    icon: "File"
  }, {
    stem: "fill-color-1-filled",
    icon: "FillColor1Filled"
  }, {
    stem: "fill-color-1",
    icon: "FillColor1"
  }, {
    stem: "fill-color-filled",
    icon: "FillColorFilled"
  }, {
    stem: "fill-color",
    icon: "FillColor"
  }, {
    stem: "film-1-filled",
    icon: "Film1Filled"
  }, {
    stem: "film-1",
    icon: "Film1"
  }, {
    stem: "film-filled",
    icon: "FilmFilled"
  }, {
    stem: "film",
    icon: "Film"
  }, {
    stem: "filter-1-filled",
    icon: "Filter1Filled"
  }, {
    stem: "filter-1",
    icon: "Filter1"
  }, {
    stem: "filter-2-filled",
    icon: "Filter2Filled"
  }, {
    stem: "filter-2",
    icon: "Filter2"
  }, {
    stem: "filter-3-filled",
    icon: "Filter3Filled"
  }, {
    stem: "filter-3",
    icon: "Filter3"
  }, {
    stem: "filter-clear-filled",
    icon: "FilterClearFilled"
  }, {
    stem: "filter-clear",
    icon: "FilterClear"
  }, {
    stem: "filter-filled",
    icon: "FilterFilled"
  }, {
    stem: "filter-off-filled",
    icon: "FilterOffFilled"
  }, {
    stem: "filter-off",
    icon: "FilterOff"
  }, {
    stem: "filter-sort-filled",
    icon: "FilterSortFilled"
  }, {
    stem: "filter-sort",
    icon: "FilterSort"
  }, {
    stem: "filter",
    icon: "Filter"
  }, {
    stem: "fingerprint-1",
    icon: "Fingerprint1"
  }, {
    stem: "fingerprint-2",
    icon: "Fingerprint2"
  }, {
    stem: "fingerprint-3",
    icon: "Fingerprint3"
  }, {
    stem: "fingerprint",
    icon: "Fingerprint"
  }, {
    stem: "fish-filled",
    icon: "FishFilled"
  }, {
    stem: "fish",
    icon: "Fish"
  }, {
    stem: "flag-1-filled",
    icon: "Flag1Filled"
  }, {
    stem: "flag-1",
    icon: "Flag1"
  }, {
    stem: "flag-2-filled",
    icon: "Flag2Filled"
  }, {
    stem: "flag-2",
    icon: "Flag2"
  }, {
    stem: "flag-3-filled",
    icon: "Flag3Filled"
  }, {
    stem: "flag-3",
    icon: "Flag3"
  }, {
    stem: "flag-4-filled",
    icon: "Flag4Filled"
  }, {
    stem: "flag-4",
    icon: "Flag4"
  }, {
    stem: "flag-filled",
    icon: "FlagFilled"
  }, {
    stem: "flag",
    icon: "Flag"
  }, {
    stem: "flashlight-filled",
    icon: "FlashlightFilled"
  }, {
    stem: "flashlight",
    icon: "Flashlight"
  }, {
    stem: "flight-landing-filled",
    icon: "FlightLandingFilled"
  }, {
    stem: "flight-landing",
    icon: "FlightLanding"
  }, {
    stem: "flight-takeoff-filled",
    icon: "FlightTakeoffFilled"
  }, {
    stem: "flight-takeoff",
    icon: "FlightTakeoff"
  }, {
    stem: "flip-smiling-face-filled",
    icon: "FlipSmilingFaceFilled"
  }, {
    stem: "flip-smiling-face",
    icon: "FlipSmilingFace"
  }, {
    stem: "flip-to-back-filled",
    icon: "FlipToBackFilled"
  }, {
    stem: "flip-to-back",
    icon: "FlipToBack"
  }, {
    stem: "flip-to-front-filled",
    icon: "FlipToFrontFilled"
  }, {
    stem: "flip-to-front",
    icon: "FlipToFront"
  }, {
    stem: "focus-filled",
    icon: "FocusFilled"
  }, {
    stem: "focus",
    icon: "Focus"
  }, {
    stem: "fog-filled",
    icon: "FogFilled"
  }, {
    stem: "fog-night-filled",
    icon: "FogNightFilled"
  }, {
    stem: "fog-night",
    icon: "FogNight"
  }, {
    stem: "fog-sunny-filled",
    icon: "FogSunnyFilled"
  }, {
    stem: "fog-sunny",
    icon: "FogSunny"
  }, {
    stem: "fog",
    icon: "Fog"
  }, {
    stem: "folder-1-filled",
    icon: "Folder1Filled"
  }, {
    stem: "folder-1",
    icon: "Folder1"
  }, {
    stem: "folder-add-1-filled",
    icon: "FolderAdd1Filled"
  }, {
    stem: "folder-add-1",
    icon: "FolderAdd1"
  }, {
    stem: "folder-add-filled",
    icon: "FolderAddFilled"
  }, {
    stem: "folder-add",
    icon: "FolderAdd"
  }, {
    stem: "folder-blocked-filled",
    icon: "FolderBlockedFilled"
  }, {
    stem: "folder-blocked",
    icon: "FolderBlocked"
  }, {
    stem: "folder-details-filled",
    icon: "FolderDetailsFilled"
  }, {
    stem: "folder-details",
    icon: "FolderDetails"
  }, {
    stem: "folder-export-filled",
    icon: "FolderExportFilled"
  }, {
    stem: "folder-export",
    icon: "FolderExport"
  }, {
    stem: "folder-filled",
    icon: "FolderFilled"
  }, {
    stem: "folder-import-filled",
    icon: "FolderImportFilled"
  }, {
    stem: "folder-import",
    icon: "FolderImport"
  }, {
    stem: "folder-locked-filled",
    icon: "FolderLockedFilled"
  }, {
    stem: "folder-locked",
    icon: "FolderLocked"
  }, {
    stem: "folder-minus-filled",
    icon: "FolderMinusFilled"
  }, {
    stem: "folder-minus",
    icon: "FolderMinus"
  }, {
    stem: "folder-move-filled",
    icon: "FolderMoveFilled"
  }, {
    stem: "folder-move",
    icon: "FolderMove"
  }, {
    stem: "folder-off-filled",
    icon: "FolderOffFilled"
  }, {
    stem: "folder-off",
    icon: "FolderOff"
  }, {
    stem: "folder-open-1-filled",
    icon: "FolderOpen1Filled"
  }, {
    stem: "folder-open-1",
    icon: "FolderOpen1"
  }, {
    stem: "folder-open-filled",
    icon: "FolderOpenFilled"
  }, {
    stem: "folder-open",
    icon: "FolderOpen"
  }, {
    stem: "folder-search-filled",
    icon: "FolderSearchFilled"
  }, {
    stem: "folder-search",
    icon: "FolderSearch"
  }, {
    stem: "folder-setting-filled",
    icon: "FolderSettingFilled"
  }, {
    stem: "folder-setting",
    icon: "FolderSetting"
  }, {
    stem: "folder-shared-filled",
    icon: "FolderSharedFilled"
  }, {
    stem: "folder-shared",
    icon: "FolderShared"
  }, {
    stem: "folder-unlocked-filled",
    icon: "FolderUnlockedFilled"
  }, {
    stem: "folder-unlocked",
    icon: "FolderUnlocked"
  }, {
    stem: "folder-zip-filled",
    icon: "FolderZipFilled"
  }, {
    stem: "folder-zip",
    icon: "FolderZip"
  }, {
    stem: "folder",
    icon: "Folder"
  }, {
    stem: "forest-filled",
    icon: "ForestFilled"
  }, {
    stem: "forest",
    icon: "Forest"
  }, {
    stem: "fork-filled",
    icon: "ForkFilled"
  }, {
    stem: "fork",
    icon: "Fork"
  }, {
    stem: "form-filled",
    icon: "FormFilled"
  }, {
    stem: "form",
    icon: "Form"
  }, {
    stem: "format-horizontal-align-bottom",
    icon: "FormatHorizontalAlignBottom"
  }, {
    stem: "format-horizontal-align-center",
    icon: "FormatHorizontalAlignCenter"
  }, {
    stem: "format-horizontal-align-top",
    icon: "FormatHorizontalAlignTop"
  }, {
    stem: "format-vertical-align-center",
    icon: "FormatVerticalAlignCenter"
  }, {
    stem: "format-vertical-align-left",
    icon: "FormatVerticalAlignLeft"
  }, {
    stem: "format-vertical-align-right",
    icon: "FormatVerticalAlignRight"
  }, {
    stem: "forward-filled",
    icon: "ForwardFilled"
  }, {
    stem: "forward",
    icon: "Forward"
  }, {
    stem: "frame-1-filled",
    icon: "Frame1Filled"
  }, {
    stem: "frame-1",
    icon: "Frame1"
  }, {
    stem: "frame-filled",
    icon: "FrameFilled"
  }, {
    stem: "frame",
    icon: "Frame"
  }, {
    stem: "fries-filled",
    icon: "FriesFilled"
  }, {
    stem: "fries",
    icon: "Fries"
  }, {
    stem: "fullscreen-1",
    icon: "Fullscreen1"
  }, {
    stem: "fullscreen-2",
    icon: "Fullscreen2"
  }, {
    stem: "fullscreen-exit-1",
    icon: "FullscreenExit1"
  }, {
    stem: "fullscreen-exit",
    icon: "FullscreenExit"
  }, {
    stem: "fullscreen",
    icon: "Fullscreen"
  }, {
    stem: "function-curve",
    icon: "FunctionCurve"
  }, {
    stem: "functions-1",
    icon: "Functions1"
  }, {
    stem: "functions",
    icon: "Functions"
  }, {
    stem: "gamepad-1-filled",
    icon: "Gamepad1Filled"
  }, {
    stem: "gamepad-1",
    icon: "Gamepad1"
  }, {
    stem: "gamepad-filled",
    icon: "GamepadFilled"
  }, {
    stem: "gamepad",
    icon: "Gamepad"
  }, {
    stem: "gamma",
    icon: "Gamma"
  }, {
    stem: "garlic-filled",
    icon: "GarlicFilled"
  }, {
    stem: "garlic",
    icon: "Garlic"
  }, {
    stem: "gender-female",
    icon: "GenderFemale"
  }, {
    stem: "gender-male",
    icon: "GenderMale"
  }, {
    stem: "gesture-applause-filled",
    icon: "GestureApplauseFilled"
  }, {
    stem: "gesture-applause",
    icon: "GestureApplause"
  }, {
    stem: "gesture-click-filled",
    icon: "GestureClickFilled"
  }, {
    stem: "gesture-click",
    icon: "GestureClick"
  }, {
    stem: "gesture-down-filled",
    icon: "GestureDownFilled"
  }, {
    stem: "gesture-down",
    icon: "GestureDown"
  }, {
    stem: "gesture-expansion-filled",
    icon: "GestureExpansionFilled"
  }, {
    stem: "gesture-expansion",
    icon: "GestureExpansion"
  }, {
    stem: "gesture-left-filled",
    icon: "GestureLeftFilled"
  }, {
    stem: "gesture-left-slip-filled",
    icon: "GestureLeftSlipFilled"
  }, {
    stem: "gesture-left-slip",
    icon: "GestureLeftSlip"
  }, {
    stem: "gesture-left",
    icon: "GestureLeft"
  }, {
    stem: "gesture-open-filled",
    icon: "GestureOpenFilled"
  }, {
    stem: "gesture-open",
    icon: "GestureOpen"
  }, {
    stem: "gesture-pray-filled",
    icon: "GesturePrayFilled"
  }, {
    stem: "gesture-pray",
    icon: "GesturePray"
  }, {
    stem: "gesture-press-filled",
    icon: "GesturePressFilled"
  }, {
    stem: "gesture-press",
    icon: "GesturePress"
  }, {
    stem: "gesture-ranslation-filled",
    icon: "GestureRanslationFilled"
  }, {
    stem: "gesture-ranslation",
    icon: "GestureRanslation"
  }, {
    stem: "gesture-right-filled",
    icon: "GestureRightFilled"
  }, {
    stem: "gesture-right-slip-filled",
    icon: "GestureRightSlipFilled"
  }, {
    stem: "gesture-right-slip",
    icon: "GestureRightSlip"
  }, {
    stem: "gesture-right",
    icon: "GestureRight"
  }, {
    stem: "gesture-slide-left-and-right-filled",
    icon: "GestureSlideLeftAndRightFilled"
  }, {
    stem: "gesture-slide-left-and-right",
    icon: "GestureSlideLeftAndRight"
  }, {
    stem: "gesture-slide-up-filled",
    icon: "GestureSlideUpFilled"
  }, {
    stem: "gesture-slide-up",
    icon: "GestureSlideUp"
  }, {
    stem: "gesture-typing-filled",
    icon: "GestureTypingFilled"
  }, {
    stem: "gesture-typing",
    icon: "GestureTyping"
  }, {
    stem: "gesture-up-and-down-filled",
    icon: "GestureUpAndDownFilled"
  }, {
    stem: "gesture-up-and-down",
    icon: "GestureUpAndDown"
  }, {
    stem: "gesture-up-filled",
    icon: "GestureUpFilled"
  }, {
    stem: "gesture-up",
    icon: "GestureUp"
  }, {
    stem: "gesture-wipe-down-filled",
    icon: "GestureWipeDownFilled"
  }, {
    stem: "gesture-wipe-down",
    icon: "GestureWipeDown"
  }, {
    stem: "gift-filled",
    icon: "GiftFilled"
  }, {
    stem: "gift",
    icon: "Gift"
  }, {
    stem: "giggle-filled",
    icon: "GiggleFilled"
  }, {
    stem: "giggle",
    icon: "Giggle"
  }, {
    stem: "git-branch-filled",
    icon: "GitBranchFilled"
  }, {
    stem: "git-branch",
    icon: "GitBranch"
  }, {
    stem: "git-commit-filled",
    icon: "GitCommitFilled"
  }, {
    stem: "git-commit",
    icon: "GitCommit"
  }, {
    stem: "git-merge-filled",
    icon: "GitMergeFilled"
  }, {
    stem: "git-merge",
    icon: "GitMerge"
  }, {
    stem: "git-pull-request-filled",
    icon: "GitPullRequestFilled"
  }, {
    stem: "git-pull-request",
    icon: "GitPullRequest"
  }, {
    stem: "git-repository-commits-filled",
    icon: "GitRepositoryCommitsFilled"
  }, {
    stem: "git-repository-commits",
    icon: "GitRepositoryCommits"
  }, {
    stem: "git-repository-filled",
    icon: "GitRepositoryFilled"
  }, {
    stem: "git-repository-private-filled",
    icon: "GitRepositoryPrivateFilled"
  }, {
    stem: "git-repository-private",
    icon: "GitRepositoryPrivate"
  }, {
    stem: "git-repository",
    icon: "GitRepository"
  }, {
    stem: "gps-filled",
    icon: "GpsFilled"
  }, {
    stem: "gps",
    icon: "Gps"
  }, {
    stem: "grape-filled",
    icon: "GrapeFilled"
  }, {
    stem: "grape",
    icon: "Grape"
  }, {
    stem: "greater-than-or-equal",
    icon: "GreaterThanOrEqual"
  }, {
    stem: "greater-than",
    icon: "GreaterThan"
  }, {
    stem: "green-onion",
    icon: "GreenOnion"
  }, {
    stem: "grid-add-filled",
    icon: "GridAddFilled"
  }, {
    stem: "grid-add",
    icon: "GridAdd"
  }, {
    stem: "grid-view-filled",
    icon: "GridViewFilled"
  }, {
    stem: "grid-view",
    icon: "GridView"
  }, {
    stem: "guitar-filled",
    icon: "GuitarFilled"
  }, {
    stem: "guitar",
    icon: "Guitar"
  }, {
    stem: "hamburger-filled",
    icon: "HamburgerFilled"
  }, {
    stem: "hamburger",
    icon: "Hamburger"
  }, {
    stem: "happy-filled",
    icon: "HappyFilled"
  }, {
    stem: "happy",
    icon: "Happy"
  }, {
    stem: "hard-disk-storage-filled",
    icon: "HardDiskStorageFilled"
  }, {
    stem: "hard-disk-storage",
    icon: "HardDiskStorage"
  }, {
    stem: "hard-drive-filled",
    icon: "HardDriveFilled"
  }, {
    stem: "hard-drive",
    icon: "HardDrive"
  }, {
    stem: "hashtag",
    icon: "Hashtag"
  }, {
    stem: "hd-filled",
    icon: "HdFilled"
  }, {
    stem: "hd",
    icon: "Hd"
  }, {
    stem: "heart-filled",
    icon: "HeartFilled"
  }, {
    stem: "heart",
    icon: "Heart"
  }, {
    stem: "help-circle-filled",
    icon: "HelpCircleFilled"
  }, {
    stem: "help-circle",
    icon: "HelpCircle"
  }, {
    stem: "help-rectangle-filled",
    icon: "HelpRectangleFilled"
  }, {
    stem: "help-rectangle",
    icon: "HelpRectangle"
  }, {
    stem: "help",
    icon: "Help"
  }, {
    stem: "highlight-1-filled",
    icon: "Highlight1Filled"
  }, {
    stem: "highlight-1",
    icon: "Highlight1"
  }, {
    stem: "highlight",
    icon: "Highlight"
  }, {
    stem: "history-setting",
    icon: "HistorySetting"
  }, {
    stem: "history",
    icon: "History"
  }, {
    stem: "home-filled",
    icon: "HomeFilled"
  }, {
    stem: "home",
    icon: "Home"
  }, {
    stem: "horizontal-filled",
    icon: "HorizontalFilled"
  }, {
    stem: "horizontal",
    icon: "Horizontal"
  }, {
    stem: "hospital-1-filled",
    icon: "Hospital1Filled"
  }, {
    stem: "hospital-1",
    icon: "Hospital1"
  }, {
    stem: "hospital-filled",
    icon: "HospitalFilled"
  }, {
    stem: "hospital",
    icon: "Hospital"
  }, {
    stem: "hotspot-wave-filled",
    icon: "HotspotWaveFilled"
  }, {
    stem: "hotspot-wave",
    icon: "HotspotWave"
  }, {
    stem: "hourglass-filled",
    icon: "HourglassFilled"
  }, {
    stem: "hourglass",
    icon: "Hourglass"
  }, {
    stem: "houses-1-filled",
    icon: "Houses1Filled"
  }, {
    stem: "houses-1",
    icon: "Houses1"
  }, {
    stem: "houses-2-filled",
    icon: "Houses2Filled"
  }, {
    stem: "houses-2",
    icon: "Houses2"
  }, {
    stem: "houses-filled",
    icon: "HousesFilled"
  }, {
    stem: "houses",
    icon: "Houses"
  }, {
    stem: "html5-filled",
    icon: "Html5Filled"
  }, {
    stem: "html5",
    icon: "Html5"
  }, {
    stem: "https-filled",
    icon: "HttpsFilled"
  }, {
    stem: "https",
    icon: "Https"
  }, {
    stem: "ice-cream-filled",
    icon: "IceCreamFilled"
  }, {
    stem: "ice-cream",
    icon: "IceCream"
  }, {
    stem: "icon-filled",
    icon: "IconFilled"
  }, {
    stem: "icon",
    icon: "Icon"
  }, {
    stem: "image-1-filled",
    icon: "Image1Filled"
  }, {
    stem: "image-1",
    icon: "Image1"
  }, {
    stem: "image-add-filled",
    icon: "ImageAddFilled"
  }, {
    stem: "image-add",
    icon: "ImageAdd"
  }, {
    stem: "image-edit-filled",
    icon: "ImageEditFilled"
  }, {
    stem: "image-edit",
    icon: "ImageEdit"
  }, {
    stem: "image-error-filled",
    icon: "ImageErrorFilled"
  }, {
    stem: "image-error",
    icon: "ImageError"
  }, {
    stem: "image-filled",
    icon: "ImageFilled"
  }, {
    stem: "image-off-filled",
    icon: "ImageOffFilled"
  }, {
    stem: "image-off",
    icon: "ImageOff"
  }, {
    stem: "image-search-filled",
    icon: "ImageSearchFilled"
  }, {
    stem: "image-search",
    icon: "ImageSearch"
  }, {
    stem: "image",
    icon: "Image"
  }, {
    stem: "indent-left",
    icon: "IndentLeft"
  }, {
    stem: "indent-right",
    icon: "IndentRight"
  }, {
    stem: "indicator-filled",
    icon: "IndicatorFilled"
  }, {
    stem: "indicator",
    icon: "Indicator"
  }, {
    stem: "info-circle-filled",
    icon: "InfoCircleFilled"
  }, {
    stem: "info-circle",
    icon: "InfoCircle"
  }, {
    stem: "ink-filled",
    icon: "InkFilled"
  }, {
    stem: "ink",
    icon: "Ink"
  }, {
    stem: "install-desktop-filled",
    icon: "InstallDesktopFilled"
  }, {
    stem: "install-desktop",
    icon: "InstallDesktop"
  }, {
    stem: "install-filled",
    icon: "InstallFilled"
  }, {
    stem: "install-mobile-filled",
    icon: "InstallMobileFilled"
  }, {
    stem: "install-mobile",
    icon: "InstallMobile"
  }, {
    stem: "install",
    icon: "Install"
  }, {
    stem: "institution-checked-filled",
    icon: "InstitutionCheckedFilled"
  }, {
    stem: "institution-checked",
    icon: "InstitutionChecked"
  }, {
    stem: "institution-filled",
    icon: "InstitutionFilled"
  }, {
    stem: "institution",
    icon: "Institution"
  }, {
    stem: "internet-filled",
    icon: "InternetFilled"
  }, {
    stem: "internet",
    icon: "Internet"
  }, {
    stem: "ipod-filled",
    icon: "IpodFilled"
  }, {
    stem: "ipod",
    icon: "Ipod"
  }, {
    stem: "joyful-filled",
    icon: "JoyfulFilled"
  }, {
    stem: "joyful",
    icon: "Joyful"
  }, {
    stem: "jump-double",
    icon: "JumpDouble"
  }, {
    stem: "jump-off",
    icon: "JumpOff"
  }, {
    stem: "jump",
    icon: "Jump"
  }, {
    stem: "key-filled",
    icon: "KeyFilled"
  }, {
    stem: "key",
    icon: "Key"
  }, {
    stem: "keyboard-filled",
    icon: "KeyboardFilled"
  }, {
    stem: "keyboard",
    icon: "Keyboard"
  }, {
    stem: "laptop-filled",
    icon: "LaptopFilled"
  }, {
    stem: "laptop",
    icon: "Laptop"
  }, {
    stem: "layers-filled",
    icon: "LayersFilled"
  }, {
    stem: "layers",
    icon: "Layers"
  }, {
    stem: "layout-filled",
    icon: "LayoutFilled"
  }, {
    stem: "layout",
    icon: "Layout"
  }, {
    stem: "leaderboard-filled",
    icon: "LeaderboardFilled"
  }, {
    stem: "leaderboard",
    icon: "Leaderboard"
  }, {
    stem: "lemon-filled",
    icon: "LemonFilled"
  }, {
    stem: "lemon-slice-filled",
    icon: "LemonSliceFilled"
  }, {
    stem: "lemon-slice",
    icon: "LemonSlice"
  }, {
    stem: "lemon",
    icon: "Lemon"
  }, {
    stem: "less-than-or-equal",
    icon: "LessThanOrEqual"
  }, {
    stem: "less-than",
    icon: "LessThan"
  }, {
    stem: "letters-a",
    icon: "LettersA"
  }, {
    stem: "letters-b",
    icon: "LettersB"
  }, {
    stem: "letters-c",
    icon: "LettersC"
  }, {
    stem: "letters-d",
    icon: "LettersD"
  }, {
    stem: "letters-e",
    icon: "LettersE"
  }, {
    stem: "letters-f",
    icon: "LettersF"
  }, {
    stem: "letters-g",
    icon: "LettersG"
  }, {
    stem: "letters-h",
    icon: "LettersH"
  }, {
    stem: "letters-i",
    icon: "LettersI"
  }, {
    stem: "letters-j",
    icon: "LettersJ"
  }, {
    stem: "letters-k",
    icon: "LettersK"
  }, {
    stem: "letters-l",
    icon: "LettersL"
  }, {
    stem: "letters-m",
    icon: "LettersM"
  }, {
    stem: "letters-n",
    icon: "LettersN"
  }, {
    stem: "letters-o",
    icon: "LettersO"
  }, {
    stem: "letters-p",
    icon: "LettersP"
  }, {
    stem: "letters-q",
    icon: "LettersQ"
  }, {
    stem: "letters-r",
    icon: "LettersR"
  }, {
    stem: "letters-s",
    icon: "LettersS"
  }, {
    stem: "letters-t",
    icon: "LettersT"
  }, {
    stem: "letters-u",
    icon: "LettersU"
  }, {
    stem: "letters-v",
    icon: "LettersV"
  }, {
    stem: "letters-w",
    icon: "LettersW"
  }, {
    stem: "letters-x",
    icon: "LettersX"
  }, {
    stem: "letters-y",
    icon: "LettersY"
  }, {
    stem: "letters-z",
    icon: "LettersZ"
  }, {
    stem: "lightbulb-circle-filled",
    icon: "LightbulbCircleFilled"
  }, {
    stem: "lightbulb-circle",
    icon: "LightbulbCircle"
  }, {
    stem: "lightbulb-filled",
    icon: "LightbulbFilled"
  }, {
    stem: "lightbulb",
    icon: "Lightbulb"
  }, {
    stem: "lighthouse-1-filled",
    icon: "Lighthouse1Filled"
  }, {
    stem: "lighthouse-1",
    icon: "Lighthouse1"
  }, {
    stem: "lighthouse-2-filled",
    icon: "Lighthouse2Filled"
  }, {
    stem: "lighthouse-2",
    icon: "Lighthouse2"
  }, {
    stem: "lighthouse-filled",
    icon: "LighthouseFilled"
  }, {
    stem: "lighthouse",
    icon: "Lighthouse"
  }, {
    stem: "lighting-circle-filled",
    icon: "LightingCircleFilled"
  }, {
    stem: "lighting-circle",
    icon: "LightingCircle"
  }, {
    stem: "line-height",
    icon: "LineHeight"
  }, {
    stem: "link-1",
    icon: "Link1"
  }, {
    stem: "link-unlink",
    icon: "LinkUnlink"
  }, {
    stem: "link",
    icon: "Link"
  }, {
    stem: "liquor-filled",
    icon: "LiquorFilled"
  }, {
    stem: "liquor",
    icon: "Liquor"
  }, {
    stem: "list-numbered",
    icon: "ListNumbered"
  }, {
    stem: "list",
    icon: "List"
  }, {
    stem: "load",
    icon: "Load"
  }, {
    stem: "loading",
    icon: "Loading"
  }, {
    stem: "location-1-filled",
    icon: "Location1Filled"
  }, {
    stem: "location-1",
    icon: "Location1"
  }, {
    stem: "location-enlargement-filled",
    icon: "LocationEnlargementFilled"
  }, {
    stem: "location-enlargement",
    icon: "LocationEnlargement"
  }, {
    stem: "location-error-filled",
    icon: "LocationErrorFilled"
  }, {
    stem: "location-error",
    icon: "LocationError"
  }, {
    stem: "location-filled",
    icon: "LocationFilled"
  }, {
    stem: "location-parking-place-filled",
    icon: "LocationParkingPlaceFilled"
  }, {
    stem: "location-parking-place",
    icon: "LocationParkingPlace"
  }, {
    stem: "location-reduction-filled",
    icon: "LocationReductionFilled"
  }, {
    stem: "location-reduction",
    icon: "LocationReduction"
  }, {
    stem: "location-setting-filled",
    icon: "LocationSettingFilled"
  }, {
    stem: "location-setting",
    icon: "LocationSetting"
  }, {
    stem: "location",
    icon: "Location"
  }, {
    stem: "lock-off-filled",
    icon: "LockOffFilled"
  }, {
    stem: "lock-off",
    icon: "LockOff"
  }, {
    stem: "lock-on-filled",
    icon: "LockOnFilled"
  }, {
    stem: "lock-on",
    icon: "LockOn"
  }, {
    stem: "lock-time-filled",
    icon: "LockTimeFilled"
  }, {
    stem: "lock-time",
    icon: "LockTime"
  }, {
    stem: "login",
    icon: "Login"
  }, {
    stem: "logo-adobe-illustrate-filled",
    icon: "LogoAdobeIllustrateFilled"
  }, {
    stem: "logo-adobe-illustrate",
    icon: "LogoAdobeIllustrate"
  }, {
    stem: "logo-adobe-lightroom-filled",
    icon: "LogoAdobeLightroomFilled"
  }, {
    stem: "logo-adobe-lightroom",
    icon: "LogoAdobeLightroom"
  }, {
    stem: "logo-adobe-photoshop-filled",
    icon: "LogoAdobePhotoshopFilled"
  }, {
    stem: "logo-adobe-photoshop",
    icon: "LogoAdobePhotoshop"
  }, {
    stem: "logo-alipay-filled",
    icon: "LogoAlipayFilled"
  }, {
    stem: "logo-alipay",
    icon: "LogoAlipay"
  }, {
    stem: "logo-android-filled",
    icon: "LogoAndroidFilled"
  }, {
    stem: "logo-android",
    icon: "LogoAndroid"
  }, {
    stem: "logo-apple-filled",
    icon: "LogoAppleFilled"
  }, {
    stem: "logo-apple",
    icon: "LogoApple"
  }, {
    stem: "logo-behance-filled",
    icon: "LogoBehanceFilled"
  }, {
    stem: "logo-behance",
    icon: "LogoBehance"
  }, {
    stem: "logo-chrome-filled",
    icon: "LogoChromeFilled"
  }, {
    stem: "logo-chrome",
    icon: "LogoChrome"
  }, {
    stem: "logo-cinema4d-filled",
    icon: "LogoCinema4DFilled"
  }, {
    stem: "logo-cinema4d",
    icon: "LogoCinema4D"
  }, {
    stem: "logo-cnb-filled",
    icon: "LogoCnbFilled"
  }, {
    stem: "logo-cnb",
    icon: "LogoCnb"
  }, {
    stem: "logo-codepen",
    icon: "LogoCodepen"
  }, {
    stem: "logo-codesandbox",
    icon: "LogoCodesandbox"
  }, {
    stem: "logo-dribbble-filled",
    icon: "LogoDribbbleFilled"
  }, {
    stem: "logo-dribbble",
    icon: "LogoDribbble"
  }, {
    stem: "logo-facebook-filled",
    icon: "LogoFacebookFilled"
  }, {
    stem: "logo-facebook",
    icon: "LogoFacebook"
  }, {
    stem: "logo-figma-filled",
    icon: "LogoFigmaFilled"
  }, {
    stem: "logo-figma",
    icon: "LogoFigma"
  }, {
    stem: "logo-framer-filled",
    icon: "LogoFramerFilled"
  }, {
    stem: "logo-framer",
    icon: "LogoFramer"
  }, {
    stem: "logo-github-filled",
    icon: "LogoGithubFilled"
  }, {
    stem: "logo-github",
    icon: "LogoGithub"
  }, {
    stem: "logo-gitlab-filled",
    icon: "LogoGitlabFilled"
  }, {
    stem: "logo-gitlab",
    icon: "LogoGitlab"
  }, {
    stem: "logo-ie-filled",
    icon: "LogoIeFilled"
  }, {
    stem: "logo-ie",
    icon: "LogoIe"
  }, {
    stem: "logo-instagram-filled",
    icon: "LogoInstagramFilled"
  }, {
    stem: "logo-instagram",
    icon: "LogoInstagram"
  }, {
    stem: "logo-miniprogram-filled",
    icon: "LogoMiniprogramFilled"
  }, {
    stem: "logo-miniprogram",
    icon: "LogoMiniprogram"
  }, {
    stem: "logo-qq-filled",
    icon: "LogoQqFilled"
  }, {
    stem: "logo-qq",
    icon: "LogoQq"
  }, {
    stem: "logo-twitter-filled",
    icon: "LogoTwitterFilled"
  }, {
    stem: "logo-twitter",
    icon: "LogoTwitter"
  }, {
    stem: "logo-wechat-stroke-filled",
    icon: "LogoWechatStrokeFilled"
  }, {
    stem: "logo-wechat-stroke",
    icon: "LogoWechatStroke"
  }, {
    stem: "logo-wechatpay-filled",
    icon: "LogoWechatpayFilled"
  }, {
    stem: "logo-wechatpay",
    icon: "LogoWechatpay"
  }, {
    stem: "logo-wecom",
    icon: "LogoWecom"
  }, {
    stem: "logo-windows-filled",
    icon: "LogoWindowsFilled"
  }, {
    stem: "logo-windows",
    icon: "LogoWindows"
  }, {
    stem: "logo-youtube-filled",
    icon: "LogoYoutubeFilled"
  }, {
    stem: "logo-youtube",
    icon: "LogoYoutube"
  }, {
    stem: "logout",
    icon: "Logout"
  }, {
    stem: "look-around-filled",
    icon: "LookAroundFilled"
  }, {
    stem: "look-around",
    icon: "LookAround"
  }, {
    stem: "loudspeaker-filled",
    icon: "LoudspeakerFilled"
  }, {
    stem: "loudspeaker",
    icon: "Loudspeaker"
  }, {
    stem: "mail-filled",
    icon: "MailFilled"
  }, {
    stem: "mail",
    icon: "Mail"
  }, {
    stem: "map-3d-filled",
    icon: "Map3DFilled"
  }, {
    stem: "map-3d",
    icon: "Map3D"
  }, {
    stem: "map-add-filled",
    icon: "MapAddFilled"
  }, {
    stem: "map-add",
    icon: "MapAdd"
  }, {
    stem: "map-aiming-filled",
    icon: "MapAimingFilled"
  }, {
    stem: "map-aiming",
    icon: "MapAiming"
  }, {
    stem: "map-blocked-filled",
    icon: "MapBlockedFilled"
  }, {
    stem: "map-blocked",
    icon: "MapBlocked"
  }, {
    stem: "map-bubble-filled",
    icon: "MapBubbleFilled"
  }, {
    stem: "map-bubble",
    icon: "MapBubble"
  }, {
    stem: "map-cancel-filled",
    icon: "MapCancelFilled"
  }, {
    stem: "map-cancel",
    icon: "MapCancel"
  }, {
    stem: "map-chat-filled",
    icon: "MapChatFilled"
  }, {
    stem: "map-chat",
    icon: "MapChat"
  }, {
    stem: "map-checked-filled",
    icon: "MapCheckedFilled"
  }, {
    stem: "map-checked",
    icon: "MapChecked"
  }, {
    stem: "map-collection-filled",
    icon: "MapCollectionFilled"
  }, {
    stem: "map-collection",
    icon: "MapCollection"
  }, {
    stem: "map-connection-filled",
    icon: "MapConnectionFilled"
  }, {
    stem: "map-connection",
    icon: "MapConnection"
  }, {
    stem: "map-distance-filled",
    icon: "MapDistanceFilled"
  }, {
    stem: "map-distance",
    icon: "MapDistance"
  }, {
    stem: "map-double-filled",
    icon: "MapDoubleFilled"
  }, {
    stem: "map-double",
    icon: "MapDouble"
  }, {
    stem: "map-edit-filled",
    icon: "MapEditFilled"
  }, {
    stem: "map-edit",
    icon: "MapEdit"
  }, {
    stem: "map-filled",
    icon: "MapFilled"
  }, {
    stem: "map-grid-filled",
    icon: "MapGridFilled"
  }, {
    stem: "map-grid",
    icon: "MapGrid"
  }, {
    stem: "map-information-1-filled",
    icon: "MapInformation1Filled"
  }, {
    stem: "map-information-1",
    icon: "MapInformation1"
  }, {
    stem: "map-information-2-filled",
    icon: "MapInformation2Filled"
  }, {
    stem: "map-information-2",
    icon: "MapInformation2"
  }, {
    stem: "map-information-filled",
    icon: "MapInformationFilled"
  }, {
    stem: "map-information",
    icon: "MapInformation"
  }, {
    stem: "map-location-filled",
    icon: "MapLocationFilled"
  }, {
    stem: "map-location",
    icon: "MapLocation"
  }, {
    stem: "map-locked-filled",
    icon: "MapLockedFilled"
  }, {
    stem: "map-locked",
    icon: "MapLocked"
  }, {
    stem: "map-marked-filled",
    icon: "MapMarkedFilled"
  }, {
    stem: "map-marked",
    icon: "MapMarked"
  }, {
    stem: "map-navigation-filled",
    icon: "MapNavigationFilled"
  }, {
    stem: "map-navigation",
    icon: "MapNavigation"
  }, {
    stem: "map-outline-filled",
    icon: "MapOutlineFilled"
  }, {
    stem: "map-outline",
    icon: "MapOutline"
  }, {
    stem: "map-route-planning-filled",
    icon: "MapRoutePlanningFilled"
  }, {
    stem: "map-route-planning",
    icon: "MapRoutePlanning"
  }, {
    stem: "map-ruler-filled",
    icon: "MapRulerFilled"
  }, {
    stem: "map-ruler",
    icon: "MapRuler"
  }, {
    stem: "map-safety-filled",
    icon: "MapSafetyFilled"
  }, {
    stem: "map-safety",
    icon: "MapSafety"
  }, {
    stem: "map-search-1-filled",
    icon: "MapSearch1Filled"
  }, {
    stem: "map-search-1",
    icon: "MapSearch1"
  }, {
    stem: "map-search-filled",
    icon: "MapSearchFilled"
  }, {
    stem: "map-search",
    icon: "MapSearch"
  }, {
    stem: "map-setting-filled",
    icon: "MapSettingFilled"
  }, {
    stem: "map-setting",
    icon: "MapSetting"
  }, {
    stem: "map-unlocked-filled",
    icon: "MapUnlockedFilled"
  }, {
    stem: "map-unlocked",
    icon: "MapUnlocked"
  }, {
    stem: "map",
    icon: "Map"
  }, {
    stem: "mark-as-unread-filled",
    icon: "MarkAsUnreadFilled"
  }, {
    stem: "mark-as-unread",
    icon: "MarkAsUnread"
  }, {
    stem: "markup-filled",
    icon: "MarkupFilled"
  }, {
    stem: "markup",
    icon: "Markup"
  }, {
    stem: "mathematics-filled",
    icon: "MathematicsFilled"
  }, {
    stem: "mathematics",
    icon: "Mathematics"
  }, {
    stem: "measurement-1-filled",
    icon: "Measurement1Filled"
  }, {
    stem: "measurement-1",
    icon: "Measurement1"
  }, {
    stem: "measurement-2-filled",
    icon: "Measurement2Filled"
  }, {
    stem: "measurement-2",
    icon: "Measurement2"
  }, {
    stem: "measurement-filled",
    icon: "MeasurementFilled"
  }, {
    stem: "measurement",
    icon: "Measurement"
  }, {
    stem: "meat-pepper-filled",
    icon: "MeatPepperFilled"
  }, {
    stem: "meat-pepper",
    icon: "MeatPepper"
  }, {
    stem: "media-library-filled",
    icon: "MediaLibraryFilled"
  }, {
    stem: "media-library",
    icon: "MediaLibrary"
  }, {
    stem: "member-filled",
    icon: "MemberFilled"
  }, {
    stem: "member",
    icon: "Member"
  }, {
    stem: "menu-application",
    icon: "MenuApplication"
  }, {
    stem: "menu-filled",
    icon: "MenuFilled"
  }, {
    stem: "menu-fold",
    icon: "MenuFold"
  }, {
    stem: "menu-unfold",
    icon: "MenuUnfold"
  }, {
    stem: "menu",
    icon: "Menu"
  }, {
    stem: "merge-cells-filled",
    icon: "MergeCellsFilled"
  }, {
    stem: "merge-cells",
    icon: "MergeCells"
  }, {
    stem: "microphone-1-filled",
    icon: "Microphone1Filled"
  }, {
    stem: "microphone-1",
    icon: "Microphone1"
  }, {
    stem: "microphone-2-filled",
    icon: "Microphone2Filled"
  }, {
    stem: "microphone-2",
    icon: "Microphone2"
  }, {
    stem: "microphone-filled",
    icon: "MicrophoneFilled"
  }, {
    stem: "microphone",
    icon: "Microphone"
  }, {
    stem: "milk-filled",
    icon: "MilkFilled"
  }, {
    stem: "milk",
    icon: "Milk"
  }, {
    stem: "minus-circle-filled",
    icon: "MinusCircleFilled"
  }, {
    stem: "minus-circle",
    icon: "MinusCircle"
  }, {
    stem: "minus-rectangle-filled",
    icon: "MinusRectangleFilled"
  }, {
    stem: "minus-rectangle",
    icon: "MinusRectangle"
  }, {
    stem: "minus",
    icon: "Minus"
  }, {
    stem: "mirror-filled",
    icon: "MirrorFilled"
  }, {
    stem: "mirror",
    icon: "Mirror"
  }, {
    stem: "mobile-blocked-filled",
    icon: "MobileBlockedFilled"
  }, {
    stem: "mobile-blocked",
    icon: "MobileBlocked"
  }, {
    stem: "mobile-filled",
    icon: "MobileFilled"
  }, {
    stem: "mobile-list-filled",
    icon: "MobileListFilled"
  }, {
    stem: "mobile-list",
    icon: "MobileList"
  }, {
    stem: "mobile-navigation-filled",
    icon: "MobileNavigationFilled"
  }, {
    stem: "mobile-navigation",
    icon: "MobileNavigation"
  }, {
    stem: "mobile-shortcut-filled",
    icon: "MobileShortcutFilled"
  }, {
    stem: "mobile-shortcut",
    icon: "MobileShortcut"
  }, {
    stem: "mobile-vibrate-filled",
    icon: "MobileVibrateFilled"
  }, {
    stem: "mobile-vibrate",
    icon: "MobileVibrate"
  }, {
    stem: "mobile",
    icon: "Mobile"
  }, {
    stem: "mode-dark-filled",
    icon: "ModeDarkFilled"
  }, {
    stem: "mode-dark",
    icon: "ModeDark"
  }, {
    stem: "mode-light-filled",
    icon: "ModeLightFilled"
  }, {
    stem: "mode-light",
    icon: "ModeLight"
  }, {
    stem: "module-filled",
    icon: "ModuleFilled"
  }, {
    stem: "module",
    icon: "Module"
  }, {
    stem: "money-filled",
    icon: "MoneyFilled"
  }, {
    stem: "money",
    icon: "Money"
  }, {
    stem: "monument-filled",
    icon: "MonumentFilled"
  }, {
    stem: "monument",
    icon: "Monument"
  }, {
    stem: "moon-fall-filled",
    icon: "MoonFallFilled"
  }, {
    stem: "moon-fall",
    icon: "MoonFall"
  }, {
    stem: "moon-filled",
    icon: "MoonFilled"
  }, {
    stem: "moon-rising-filled",
    icon: "MoonRisingFilled"
  }, {
    stem: "moon-rising",
    icon: "MoonRising"
  }, {
    stem: "moon",
    icon: "Moon"
  }, {
    stem: "more",
    icon: "More"
  }, {
    stem: "mosque-1-filled",
    icon: "Mosque1Filled"
  }, {
    stem: "mosque-1",
    icon: "Mosque1"
  }, {
    stem: "mosque-filled",
    icon: "MosqueFilled"
  }, {
    stem: "mosque",
    icon: "Mosque"
  }, {
    stem: "mouse-filled",
    icon: "MouseFilled"
  }, {
    stem: "mouse",
    icon: "Mouse"
  }, {
    stem: "move-1",
    icon: "Move1"
  }, {
    stem: "move",
    icon: "Move"
  }, {
    stem: "movie-clapper-filled",
    icon: "MovieClapperFilled"
  }, {
    stem: "movie-clapper",
    icon: "MovieClapper"
  }, {
    stem: "multiply",
    icon: "Multiply"
  }, {
    stem: "museum-1-filled",
    icon: "Museum1Filled"
  }, {
    stem: "museum-1",
    icon: "Museum1"
  }, {
    stem: "museum-2-filled",
    icon: "Museum2Filled"
  }, {
    stem: "museum-2",
    icon: "Museum2"
  }, {
    stem: "museum-filled",
    icon: "MuseumFilled"
  }, {
    stem: "museum",
    icon: "Museum"
  }, {
    stem: "mushroom-1-filled",
    icon: "Mushroom1Filled"
  }, {
    stem: "mushroom-1",
    icon: "Mushroom1"
  }, {
    stem: "mushroom-filled",
    icon: "MushroomFilled"
  }, {
    stem: "mushroom",
    icon: "Mushroom"
  }, {
    stem: "music-1-filled",
    icon: "Music1Filled"
  }, {
    stem: "music-1",
    icon: "Music1"
  }, {
    stem: "music-2-filled",
    icon: "Music2Filled"
  }, {
    stem: "music-2",
    icon: "Music2"
  }, {
    stem: "music-filled",
    icon: "MusicFilled"
  }, {
    stem: "music-rectangle-add-filled",
    icon: "MusicRectangleAddFilled"
  }, {
    stem: "music-rectangle-add",
    icon: "MusicRectangleAdd"
  }, {
    stem: "music",
    icon: "Music"
  }, {
    stem: "navigation-arrow-filled",
    icon: "NavigationArrowFilled"
  }, {
    stem: "navigation-arrow",
    icon: "NavigationArrow"
  }, {
    stem: "next-filled",
    icon: "NextFilled"
  }, {
    stem: "next",
    icon: "Next"
  }, {
    stem: "no-expression-filled",
    icon: "NoExpressionFilled"
  }, {
    stem: "no-expression",
    icon: "NoExpression"
  }, {
    stem: "noodle-filled",
    icon: "NoodleFilled"
  }, {
    stem: "noodle",
    icon: "Noodle"
  }, {
    stem: "notification-add-filled",
    icon: "NotificationAddFilled"
  }, {
    stem: "notification-add",
    icon: "NotificationAdd"
  }, {
    stem: "notification-circle-filled",
    icon: "NotificationCircleFilled"
  }, {
    stem: "notification-circle",
    icon: "NotificationCircle"
  }, {
    stem: "notification-error-filled",
    icon: "NotificationErrorFilled"
  }, {
    stem: "notification-error",
    icon: "NotificationError"
  }, {
    stem: "notification-filled",
    icon: "NotificationFilled"
  }, {
    stem: "notification",
    icon: "Notification"
  }, {
    stem: "numbers-0-1",
    icon: "Numbers01"
  }, {
    stem: "numbers-0",
    icon: "Numbers0"
  }, {
    stem: "numbers-1-1",
    icon: "Numbers11"
  }, {
    stem: "numbers-1",
    icon: "Numbers1"
  }, {
    stem: "numbers-2-1",
    icon: "Numbers21"
  }, {
    stem: "numbers-2",
    icon: "Numbers2"
  }, {
    stem: "numbers-3-1",
    icon: "Numbers31"
  }, {
    stem: "numbers-3",
    icon: "Numbers3"
  }, {
    stem: "numbers-4-1",
    icon: "Numbers41"
  }, {
    stem: "numbers-4",
    icon: "Numbers4"
  }, {
    stem: "numbers-5-1",
    icon: "Numbers51"
  }, {
    stem: "numbers-5",
    icon: "Numbers5"
  }, {
    stem: "numbers-6-1",
    icon: "Numbers61"
  }, {
    stem: "numbers-6",
    icon: "Numbers6"
  }, {
    stem: "numbers-7-1",
    icon: "Numbers71"
  }, {
    stem: "numbers-7",
    icon: "Numbers7"
  }, {
    stem: "numbers-8-1",
    icon: "Numbers81"
  }, {
    stem: "numbers-8",
    icon: "Numbers8"
  }, {
    stem: "numbers-9-1",
    icon: "Numbers91"
  }, {
    stem: "numbers-9",
    icon: "Numbers9"
  }, {
    stem: "nut-filled",
    icon: "NutFilled"
  }, {
    stem: "nut",
    icon: "Nut"
  }, {
    stem: "object-storage",
    icon: "ObjectStorage"
  }, {
    stem: "open-mouth-filled",
    icon: "OpenMouthFilled"
  }, {
    stem: "open-mouth",
    icon: "OpenMouth"
  }, {
    stem: "opera-filled",
    icon: "OperaFilled"
  }, {
    stem: "opera",
    icon: "Opera"
  }, {
    stem: "order-adjustment-column",
    icon: "OrderAdjustmentColumn"
  }, {
    stem: "order-ascending",
    icon: "OrderAscending"
  }, {
    stem: "order-descending",
    icon: "OrderDescending"
  }, {
    stem: "outbox-filled",
    icon: "OutboxFilled"
  }, {
    stem: "outbox",
    icon: "Outbox"
  }, {
    stem: "page-first",
    icon: "PageFirst"
  }, {
    stem: "page-head-filled",
    icon: "PageHeadFilled"
  }, {
    stem: "page-head",
    icon: "PageHead"
  }, {
    stem: "page-last",
    icon: "PageLast"
  }, {
    stem: "palace-1-filled",
    icon: "Palace1Filled"
  }, {
    stem: "palace-1",
    icon: "Palace1"
  }, {
    stem: "palace-2-filled",
    icon: "Palace2Filled"
  }, {
    stem: "palace-2",
    icon: "Palace2"
  }, {
    stem: "palace-3-filled",
    icon: "Palace3Filled"
  }, {
    stem: "palace-3",
    icon: "Palace3"
  }, {
    stem: "palace-4-filled",
    icon: "Palace4Filled"
  }, {
    stem: "palace-4",
    icon: "Palace4"
  }, {
    stem: "palace-filled",
    icon: "PalaceFilled"
  }, {
    stem: "palace",
    icon: "Palace"
  }, {
    stem: "palette-1-filled",
    icon: "Palette1Filled"
  }, {
    stem: "palette-1",
    icon: "Palette1"
  }, {
    stem: "palette-filled",
    icon: "PaletteFilled"
  }, {
    stem: "palette",
    icon: "Palette"
  }, {
    stem: "panorama-horizontal-filled",
    icon: "PanoramaHorizontalFilled"
  }, {
    stem: "panorama-horizontal",
    icon: "PanoramaHorizontal"
  }, {
    stem: "panorama-vertical-filled",
    icon: "PanoramaVerticalFilled"
  }, {
    stem: "panorama-vertical",
    icon: "PanoramaVertical"
  }, {
    stem: "pantone-filled",
    icon: "PantoneFilled"
  }, {
    stem: "pantone",
    icon: "Pantone"
  }, {
    stem: "parabola",
    icon: "Parabola"
  }, {
    stem: "parentheses",
    icon: "Parentheses"
  }, {
    stem: "paste-filled",
    icon: "PasteFilled"
  }, {
    stem: "paste",
    icon: "Paste"
  }, {
    stem: "patio-filled",
    icon: "PatioFilled"
  }, {
    stem: "patio",
    icon: "Patio"
  }, {
    stem: "pause-circle-filled",
    icon: "PauseCircleFilled"
  }, {
    stem: "pause-circle-stroke-filled",
    icon: "PauseCircleStrokeFilled"
  }, {
    stem: "pause-circle-stroke",
    icon: "PauseCircleStroke"
  }, {
    stem: "pause-circle",
    icon: "PauseCircle"
  }, {
    stem: "pause",
    icon: "Pause"
  }, {
    stem: "pea-filled",
    icon: "PeaFilled"
  }, {
    stem: "pea",
    icon: "Pea"
  }, {
    stem: "peach-filled",
    icon: "PeachFilled"
  }, {
    stem: "peach",
    icon: "Peach"
  }, {
    stem: "pear-filled",
    icon: "PearFilled"
  }, {
    stem: "pear",
    icon: "Pear"
  }, {
    stem: "pearl-of-the-orient-filled",
    icon: "PearlOfTheOrientFilled"
  }, {
    stem: "pearl-of-the-orient",
    icon: "PearlOfTheOrient"
  }, {
    stem: "pen-ball-filled",
    icon: "PenBallFilled"
  }, {
    stem: "pen-ball",
    icon: "PenBall"
  }, {
    stem: "pen-brush-filled",
    icon: "PenBrushFilled"
  }, {
    stem: "pen-brush",
    icon: "PenBrush"
  }, {
    stem: "pen-filled",
    icon: "PenFilled"
  }, {
    stem: "pen-mark-filled",
    icon: "PenMarkFilled"
  }, {
    stem: "pen-mark",
    icon: "PenMark"
  }, {
    stem: "pen-quill-filled",
    icon: "PenQuillFilled"
  }, {
    stem: "pen-quill",
    icon: "PenQuill"
  }, {
    stem: "pen",
    icon: "Pen"
  }, {
    stem: "pending-filled",
    icon: "PendingFilled"
  }, {
    stem: "pending",
    icon: "Pending"
  }, {
    stem: "percent",
    icon: "Percent"
  }, {
    stem: "personal-information-filled",
    icon: "PersonalInformationFilled"
  }, {
    stem: "personal-information",
    icon: "PersonalInformation"
  }, {
    stem: "phone-locked-filled",
    icon: "PhoneLockedFilled"
  }, {
    stem: "phone-locked",
    icon: "PhoneLocked"
  }, {
    stem: "phone-search-filled",
    icon: "PhoneSearchFilled"
  }, {
    stem: "phone-search",
    icon: "PhoneSearch"
  }, {
    stem: "pi",
    icon: "Pi"
  }, {
    stem: "piano-filled",
    icon: "PianoFilled"
  }, {
    stem: "piano",
    icon: "Piano"
  }, {
    stem: "pin-filled",
    icon: "PinFilled"
  }, {
    stem: "pin",
    icon: "Pin"
  }, {
    stem: "play-circle-filled",
    icon: "PlayCircleFilled"
  }, {
    stem: "play-circle-stroke-add-filled",
    icon: "PlayCircleStrokeAddFilled"
  }, {
    stem: "play-circle-stroke-add",
    icon: "PlayCircleStrokeAdd"
  }, {
    stem: "play-circle-stroke-filled",
    icon: "PlayCircleStrokeFilled"
  }, {
    stem: "play-circle-stroke",
    icon: "PlayCircleStroke"
  }, {
    stem: "play-circle",
    icon: "PlayCircle"
  }, {
    stem: "play-demo-filled",
    icon: "PlayDemoFilled"
  }, {
    stem: "play-demo",
    icon: "PlayDemo"
  }, {
    stem: "play-rectangle-filled",
    icon: "PlayRectangleFilled"
  }, {
    stem: "play-rectangle",
    icon: "PlayRectangle"
  }, {
    stem: "play",
    icon: "Play"
  }, {
    stem: "plus",
    icon: "Plus"
  }, {
    stem: "popsicle-filled",
    icon: "PopsicleFilled"
  }, {
    stem: "popsicle",
    icon: "Popsicle"
  }, {
    stem: "portrait-filled",
    icon: "PortraitFilled"
  }, {
    stem: "portrait",
    icon: "Portrait"
  }, {
    stem: "pout-filled",
    icon: "PoutFilled"
  }, {
    stem: "pout",
    icon: "Pout"
  }, {
    stem: "poweroff",
    icon: "Poweroff"
  }, {
    stem: "precise-monitor",
    icon: "PreciseMonitor"
  }, {
    stem: "previous-filled",
    icon: "PreviousFilled"
  }, {
    stem: "previous",
    icon: "Previous"
  }, {
    stem: "print-filled",
    icon: "PrintFilled"
  }, {
    stem: "print",
    icon: "Print"
  }, {
    stem: "pumpkin-filled",
    icon: "PumpkinFilled"
  }, {
    stem: "pumpkin",
    icon: "Pumpkin"
  }, {
    stem: "pyramid-filled",
    icon: "PyramidFilled"
  }, {
    stem: "pyramid-maya-filled",
    icon: "PyramidMayaFilled"
  }, {
    stem: "pyramid-maya",
    icon: "PyramidMaya"
  }, {
    stem: "pyramid",
    icon: "Pyramid"
  }, {
    stem: "qrcode",
    icon: "Qrcode"
  }, {
    stem: "quadratic",
    icon: "Quadratic"
  }, {
    stem: "questionnaire-double-filled",
    icon: "QuestionnaireDoubleFilled"
  }, {
    stem: "questionnaire-double",
    icon: "QuestionnaireDouble"
  }, {
    stem: "questionnaire-filled",
    icon: "QuestionnaireFilled"
  }, {
    stem: "questionnaire",
    icon: "Questionnaire"
  }, {
    stem: "queue-filled",
    icon: "QueueFilled"
  }, {
    stem: "queue",
    icon: "Queue"
  }, {
    stem: "quote-filled",
    icon: "QuoteFilled"
  }, {
    stem: "quote",
    icon: "Quote"
  }, {
    stem: "radar",
    icon: "Radar"
  }, {
    stem: "radio-1-filled",
    icon: "Radio1Filled"
  }, {
    stem: "radio-1",
    icon: "Radio1"
  }, {
    stem: "radio-2-filled",
    icon: "Radio2Filled"
  }, {
    stem: "radio-2",
    icon: "Radio2"
  }, {
    stem: "radish-filled",
    icon: "RadishFilled"
  }, {
    stem: "radish",
    icon: "Radish"
  }, {
    stem: "rain-heavy",
    icon: "RainHeavy"
  }, {
    stem: "rain-light-filled",
    icon: "RainLightFilled"
  }, {
    stem: "rain-light",
    icon: "RainLight"
  }, {
    stem: "rain-medium",
    icon: "RainMedium"
  }, {
    stem: "rainbow",
    icon: "Rainbow"
  }, {
    stem: "rectangle-filled",
    icon: "RectangleFilled"
  }, {
    stem: "rectangle",
    icon: "Rectangle"
  }, {
    stem: "refresh",
    icon: "Refresh"
  }, {
    stem: "relation",
    icon: "Relation"
  }, {
    stem: "relativity-filled",
    icon: "RelativityFilled"
  }, {
    stem: "relativity",
    icon: "Relativity"
  }, {
    stem: "remote-wave-filled",
    icon: "RemoteWaveFilled"
  }, {
    stem: "remote-wave",
    icon: "RemoteWave"
  }, {
    stem: "remove",
    icon: "Remove"
  }, {
    stem: "replay-filled",
    icon: "ReplayFilled"
  }, {
    stem: "replay",
    icon: "Replay"
  }, {
    stem: "rice-ball-filled",
    icon: "RiceBallFilled"
  }, {
    stem: "rice-ball",
    icon: "RiceBall"
  }, {
    stem: "rice-filled",
    icon: "RiceFilled"
  }, {
    stem: "rice",
    icon: "Rice"
  }, {
    stem: "roast-filled",
    icon: "RoastFilled"
  }, {
    stem: "roast",
    icon: "Roast"
  }, {
    stem: "rocket-filled",
    icon: "RocketFilled"
  }, {
    stem: "rocket",
    icon: "Rocket"
  }, {
    stem: "rollback",
    icon: "Rollback"
  }, {
    stem: "rollfront",
    icon: "Rollfront"
  }, {
    stem: "root-list-filled",
    icon: "RootListFilled"
  }, {
    stem: "root-list",
    icon: "RootList"
  }, {
    stem: "rotate-locked-filled",
    icon: "RotateLockedFilled"
  }, {
    stem: "rotate-locked",
    icon: "RotateLocked"
  }, {
    stem: "rotate",
    icon: "Rotate"
  }, {
    stem: "rotation",
    icon: "Rotation"
  }, {
    stem: "round-filled",
    icon: "RoundFilled"
  }, {
    stem: "round",
    icon: "Round"
  }, {
    stem: "router-wave-filled",
    icon: "RouterWaveFilled"
  }, {
    stem: "router-wave",
    icon: "RouterWave"
  }, {
    stem: "rss",
    icon: "Rss"
  }, {
    stem: "ruler-filled",
    icon: "RulerFilled"
  }, {
    stem: "ruler",
    icon: "Ruler"
  }, {
    stem: "sailing-hotel-filled",
    icon: "SailingHotelFilled"
  }, {
    stem: "sailing-hotel",
    icon: "SailingHotel"
  }, {
    stem: "sandwich-filled",
    icon: "SandwichFilled"
  }, {
    stem: "sandwich",
    icon: "Sandwich"
  }, {
    stem: "saturation-filled",
    icon: "SaturationFilled"
  }, {
    stem: "saturation",
    icon: "Saturation"
  }, {
    stem: "sausage-filled",
    icon: "SausageFilled"
  }, {
    stem: "sausage",
    icon: "Sausage"
  }, {
    stem: "save-filled",
    icon: "SaveFilled"
  }, {
    stem: "save",
    icon: "Save"
  }, {
    stem: "saving-pot-filled",
    icon: "SavingPotFilled"
  }, {
    stem: "saving-pot",
    icon: "SavingPot"
  }, {
    stem: "scan",
    icon: "Scan"
  }, {
    stem: "screen-4k-filled",
    icon: "Screen4KFilled"
  }, {
    stem: "screen-4k",
    icon: "Screen4K"
  }, {
    stem: "screencast-filled",
    icon: "ScreencastFilled"
  }, {
    stem: "screencast",
    icon: "Screencast"
  }, {
    stem: "screenshot",
    icon: "Screenshot"
  }, {
    stem: "scroll-bar-filled",
    icon: "ScrollBarFilled"
  }, {
    stem: "scroll-bar",
    icon: "ScrollBar"
  }, {
    stem: "sd-card-1-filled",
    icon: "SdCard1Filled"
  }, {
    stem: "sd-card-1",
    icon: "SdCard1"
  }, {
    stem: "sd-card-filled",
    icon: "SdCardFilled"
  }, {
    stem: "sd-card",
    icon: "SdCard"
  }, {
    stem: "seal-filled",
    icon: "SealFilled"
  }, {
    stem: "seal",
    icon: "Seal"
  }, {
    stem: "search-error-filled",
    icon: "SearchErrorFilled"
  }, {
    stem: "search-error",
    icon: "SearchError"
  }, {
    stem: "search-filled",
    icon: "SearchFilled"
  }, {
    stem: "search",
    icon: "Search"
  }, {
    stem: "secured-filled",
    icon: "SecuredFilled"
  }, {
    stem: "secured",
    icon: "Secured"
  }, {
    stem: "send-cancel-filled",
    icon: "SendCancelFilled"
  }, {
    stem: "send-cancel",
    icon: "SendCancel"
  }, {
    stem: "send-filled",
    icon: "SendFilled"
  }, {
    stem: "send",
    icon: "Send"
  }, {
    stem: "sensors-1",
    icon: "Sensors1"
  }, {
    stem: "sensors-2",
    icon: "Sensors2"
  }, {
    stem: "sensors-off",
    icon: "SensorsOff"
  }, {
    stem: "sensors",
    icon: "Sensors"
  }, {
    stem: "sequence-filled",
    icon: "SequenceFilled"
  }, {
    stem: "sequence",
    icon: "Sequence"
  }, {
    stem: "serenity-filled",
    icon: "SerenityFilled"
  }, {
    stem: "serenity",
    icon: "Serenity"
  }, {
    stem: "server-filled",
    icon: "ServerFilled"
  }, {
    stem: "server",
    icon: "Server"
  }, {
    stem: "service-filled",
    icon: "ServiceFilled"
  }, {
    stem: "service",
    icon: "Service"
  }, {
    stem: "setting-1-filled",
    icon: "Setting1Filled"
  }, {
    stem: "setting-1",
    icon: "Setting1"
  }, {
    stem: "setting-filled",
    icon: "SettingFilled"
  }, {
    stem: "setting",
    icon: "Setting"
  }, {
    stem: "share-1-filled",
    icon: "Share1Filled"
  }, {
    stem: "share-1",
    icon: "Share1"
  }, {
    stem: "share-filled",
    icon: "ShareFilled"
  }, {
    stem: "share",
    icon: "Share"
  }, {
    stem: "sharpness-filled",
    icon: "SharpnessFilled"
  }, {
    stem: "sharpness",
    icon: "Sharpness"
  }, {
    stem: "shield-error-filled",
    icon: "ShieldErrorFilled"
  }, {
    stem: "shield-error",
    icon: "ShieldError"
  }, {
    stem: "shimen-filled",
    icon: "ShimenFilled"
  }, {
    stem: "shimen",
    icon: "Shimen"
  }, {
    stem: "shop-1-filled",
    icon: "Shop1Filled"
  }, {
    stem: "shop-1",
    icon: "Shop1"
  }, {
    stem: "shop-2-filled",
    icon: "Shop2Filled"
  }, {
    stem: "shop-2",
    icon: "Shop2"
  }, {
    stem: "shop-3-filled",
    icon: "Shop3Filled"
  }, {
    stem: "shop-3",
    icon: "Shop3"
  }, {
    stem: "shop-4-filled",
    icon: "Shop4Filled"
  }, {
    stem: "shop-4",
    icon: "Shop4"
  }, {
    stem: "shop-5-filled",
    icon: "Shop5Filled"
  }, {
    stem: "shop-5",
    icon: "Shop5"
  }, {
    stem: "shop-filled",
    icon: "ShopFilled"
  }, {
    stem: "shop",
    icon: "Shop"
  }, {
    stem: "shrimp-filled",
    icon: "ShrimpFilled"
  }, {
    stem: "shrimp",
    icon: "Shrimp"
  }, {
    stem: "shrink-horizontal",
    icon: "ShrinkHorizontal"
  }, {
    stem: "shrink-vertical",
    icon: "ShrinkVertical"
  }, {
    stem: "shutter-filled",
    icon: "ShutterFilled"
  }, {
    stem: "shutter",
    icon: "Shutter"
  }, {
    stem: "shutup-filled",
    icon: "ShutupFilled"
  }, {
    stem: "shutup",
    icon: "Shutup"
  }, {
    stem: "sim-card-1-filled",
    icon: "SimCard1Filled"
  }, {
    stem: "sim-card-1",
    icon: "SimCard1"
  }, {
    stem: "sim-card-2-filled",
    icon: "SimCard2Filled"
  }, {
    stem: "sim-card-2",
    icon: "SimCard2"
  }, {
    stem: "sim-card-filled",
    icon: "SimCardFilled"
  }, {
    stem: "sim-card",
    icon: "SimCard"
  }, {
    stem: "sinister-smile-filled",
    icon: "SinisterSmileFilled"
  }, {
    stem: "sinister-smile",
    icon: "SinisterSmile"
  }, {
    stem: "sip-filled",
    icon: "SipFilled"
  }, {
    stem: "sip",
    icon: "Sip"
  }, {
    stem: "sitemap-filled",
    icon: "SitemapFilled"
  }, {
    stem: "sitemap",
    icon: "Sitemap"
  }, {
    stem: "slash",
    icon: "Slash"
  }, {
    stem: "sleep-filled",
    icon: "SleepFilled"
  }, {
    stem: "sleep",
    icon: "Sleep"
  }, {
    stem: "slice-filled",
    icon: "SliceFilled"
  }, {
    stem: "slice",
    icon: "Slice"
  }, {
    stem: "slideshow-filled",
    icon: "SlideshowFilled"
  }, {
    stem: "slideshow",
    icon: "Slideshow"
  }, {
    stem: "smile-filled",
    icon: "SmileFilled"
  }, {
    stem: "smile",
    icon: "Smile"
  }, {
    stem: "sneer-filled",
    icon: "SneerFilled"
  }, {
    stem: "sneer",
    icon: "Sneer"
  }, {
    stem: "snowflake",
    icon: "Snowflake"
  }, {
    stem: "sonic",
    icon: "Sonic"
  }, {
    stem: "sound-down-filled",
    icon: "SoundDownFilled"
  }, {
    stem: "sound-down",
    icon: "SoundDown"
  }, {
    stem: "sound-filled",
    icon: "SoundFilled"
  }, {
    stem: "sound-high-filled",
    icon: "SoundHighFilled"
  }, {
    stem: "sound-high",
    icon: "SoundHigh"
  }, {
    stem: "sound-low-filled",
    icon: "SoundLowFilled"
  }, {
    stem: "sound-low",
    icon: "SoundLow"
  }, {
    stem: "sound-mute-1-filled",
    icon: "SoundMute1Filled"
  }, {
    stem: "sound-mute-1",
    icon: "SoundMute1"
  }, {
    stem: "sound-mute-filled",
    icon: "SoundMuteFilled"
  }, {
    stem: "sound-mute",
    icon: "SoundMute"
  }, {
    stem: "sound-up-filled",
    icon: "SoundUpFilled"
  }, {
    stem: "sound-up",
    icon: "SoundUp"
  }, {
    stem: "sound",
    icon: "Sound"
  }, {
    stem: "space",
    icon: "Space"
  }, {
    stem: "speechless-1-filled",
    icon: "Speechless1Filled"
  }, {
    stem: "speechless-1",
    icon: "Speechless1"
  }, {
    stem: "speechless-filled",
    icon: "SpeechlessFilled"
  }, {
    stem: "speechless",
    icon: "Speechless"
  }, {
    stem: "star-filled",
    icon: "StarFilled"
  }, {
    stem: "star",
    icon: "Star"
  }, {
    stem: "statue-of-jesus-filled",
    icon: "StatueOfJesusFilled"
  }, {
    stem: "statue-of-jesus",
    icon: "StatueOfJesus"
  }, {
    stem: "sticky-note-filled",
    icon: "StickyNoteFilled"
  }, {
    stem: "sticky-note",
    icon: "StickyNote"
  }, {
    stem: "stop-circle-filled",
    icon: "StopCircleFilled"
  }, {
    stem: "stop-circle-stroke-filled",
    icon: "StopCircleStrokeFilled"
  }, {
    stem: "stop-circle-stroke",
    icon: "StopCircleStroke"
  }, {
    stem: "stop-circle",
    icon: "StopCircle"
  }, {
    stem: "stop",
    icon: "Stop"
  }, {
    stem: "store-filled",
    icon: "StoreFilled"
  }, {
    stem: "store",
    icon: "Store"
  }, {
    stem: "street-road-1-filled",
    icon: "StreetRoad1Filled"
  }, {
    stem: "street-road-1",
    icon: "StreetRoad1"
  }, {
    stem: "street-road-filled",
    icon: "StreetRoadFilled"
  }, {
    stem: "street-road",
    icon: "StreetRoad"
  }, {
    stem: "subtitle-filled",
    icon: "SubtitleFilled"
  }, {
    stem: "subtitle",
    icon: "Subtitle"
  }, {
    stem: "subway-line-filled",
    icon: "SubwayLineFilled"
  }, {
    stem: "subway-line",
    icon: "SubwayLine"
  }, {
    stem: "sum",
    icon: "Sum"
  }, {
    stem: "sun-fall-filled",
    icon: "SunFallFilled"
  }, {
    stem: "sun-fall",
    icon: "SunFall"
  }, {
    stem: "sun-rising-filled",
    icon: "SunRisingFilled"
  }, {
    stem: "sun-rising",
    icon: "SunRising"
  }, {
    stem: "sunny-filled",
    icon: "SunnyFilled"
  }, {
    stem: "sunny",
    icon: "Sunny"
  }, {
    stem: "support-filled",
    icon: "SupportFilled"
  }, {
    stem: "support",
    icon: "Support"
  }, {
    stem: "surprised-1-filled",
    icon: "Surprised1Filled"
  }, {
    stem: "surprised-1",
    icon: "Surprised1"
  }, {
    stem: "surprised-filled",
    icon: "SurprisedFilled"
  }, {
    stem: "surprised",
    icon: "Surprised"
  }, {
    stem: "swap-left",
    icon: "SwapLeft"
  }, {
    stem: "swap-right",
    icon: "SwapRight"
  }, {
    stem: "swap",
    icon: "Swap"
  }, {
    stem: "swear-1-filled",
    icon: "Swear1Filled"
  }, {
    stem: "swear-1",
    icon: "Swear1"
  }, {
    stem: "swear-2-filled",
    icon: "Swear2Filled"
  }, {
    stem: "swear-2",
    icon: "Swear2"
  }, {
    stem: "system-2",
    icon: "System2"
  }, {
    stem: "system-3-filled",
    icon: "System3Filled"
  }, {
    stem: "system-3",
    icon: "System3"
  }, {
    stem: "system-application-filled",
    icon: "SystemApplicationFilled"
  }, {
    stem: "system-application",
    icon: "SystemApplication"
  }, {
    stem: "system-blocked-filled",
    icon: "SystemBlockedFilled"
  }, {
    stem: "system-blocked",
    icon: "SystemBlocked"
  }, {
    stem: "system-code-filled",
    icon: "SystemCodeFilled"
  }, {
    stem: "system-code",
    icon: "SystemCode"
  }, {
    stem: "system-components-filled",
    icon: "SystemComponentsFilled"
  }, {
    stem: "system-components",
    icon: "SystemComponents"
  }, {
    stem: "system-coordinate-filled",
    icon: "SystemCoordinateFilled"
  }, {
    stem: "system-coordinate",
    icon: "SystemCoordinate"
  }, {
    stem: "system-device-filled",
    icon: "SystemDeviceFilled"
  }, {
    stem: "system-device",
    icon: "SystemDevice"
  }, {
    stem: "system-interface-filled",
    icon: "SystemInterfaceFilled"
  }, {
    stem: "system-interface",
    icon: "SystemInterface"
  }, {
    stem: "system-location-filled",
    icon: "SystemLocationFilled"
  }, {
    stem: "system-location",
    icon: "SystemLocation"
  }, {
    stem: "system-locked-filled",
    icon: "SystemLockedFilled"
  }, {
    stem: "system-locked",
    icon: "SystemLocked"
  }, {
    stem: "system-log-filled",
    icon: "SystemLogFilled"
  }, {
    stem: "system-log",
    icon: "SystemLog"
  }, {
    stem: "system-marked-filled",
    icon: "SystemMarkedFilled"
  }, {
    stem: "system-marked",
    icon: "SystemMarked"
  }, {
    stem: "system-messages-filled",
    icon: "SystemMessagesFilled"
  }, {
    stem: "system-messages",
    icon: "SystemMessages"
  }, {
    stem: "system-regulation-filled",
    icon: "SystemRegulationFilled"
  }, {
    stem: "system-regulation",
    icon: "SystemRegulation"
  }, {
    stem: "system-search-filled",
    icon: "SystemSearchFilled"
  }, {
    stem: "system-search",
    icon: "SystemSearch"
  }, {
    stem: "system-setting-filled",
    icon: "SystemSettingFilled"
  }, {
    stem: "system-setting",
    icon: "SystemSetting"
  }, {
    stem: "system-storage-filled",
    icon: "SystemStorageFilled"
  }, {
    stem: "system-storage",
    icon: "SystemStorage"
  }, {
    stem: "system-sum",
    icon: "SystemSum"
  }, {
    stem: "system-unlocked-filled",
    icon: "SystemUnlockedFilled"
  }, {
    stem: "system-unlocked",
    icon: "SystemUnlocked"
  }, {
    stem: "tab-filled",
    icon: "TabFilled"
  }, {
    stem: "tab",
    icon: "Tab"
  }, {
    stem: "table-1-filled",
    icon: "Table1Filled"
  }, {
    stem: "table-1",
    icon: "Table1"
  }, {
    stem: "table-2-filled",
    icon: "Table2Filled"
  }, {
    stem: "table-2",
    icon: "Table2"
  }, {
    stem: "table-add-filled",
    icon: "TableAddFilled"
  }, {
    stem: "table-add",
    icon: "TableAdd"
  }, {
    stem: "table-filled",
    icon: "TableFilled"
  }, {
    stem: "table-split-filled",
    icon: "TableSplitFilled"
  }, {
    stem: "table-split",
    icon: "TableSplit"
  }, {
    stem: "table",
    icon: "Table"
  }, {
    stem: "tag-filled",
    icon: "TagFilled"
  }, {
    stem: "tag",
    icon: "Tag"
  }, {
    stem: "tangerinr-filled",
    icon: "TangerinrFilled"
  }, {
    stem: "tangerinr",
    icon: "Tangerinr"
  }, {
    stem: "tape-filled",
    icon: "TapeFilled"
  }, {
    stem: "tape",
    icon: "Tape"
  }, {
    stem: "task-1-filled",
    icon: "Task1Filled"
  }, {
    stem: "task-1",
    icon: "Task1"
  }, {
    stem: "task-add-1",
    icon: "TaskAdd1"
  }, {
    stem: "task-add-filled",
    icon: "TaskAddFilled"
  }, {
    stem: "task-add",
    icon: "TaskAdd"
  }, {
    stem: "task-checked-1",
    icon: "TaskChecked1"
  }, {
    stem: "task-checked-filled",
    icon: "TaskCheckedFilled"
  }, {
    stem: "task-checked",
    icon: "TaskChecked"
  }, {
    stem: "task-double-filled",
    icon: "TaskDoubleFilled"
  }, {
    stem: "task-double",
    icon: "TaskDouble"
  }, {
    stem: "task-error-filled",
    icon: "TaskErrorFilled"
  }, {
    stem: "task-error",
    icon: "TaskError"
  }, {
    stem: "task-filled",
    icon: "TaskFilled"
  }, {
    stem: "task-location-filled",
    icon: "TaskLocationFilled"
  }, {
    stem: "task-location",
    icon: "TaskLocation"
  }, {
    stem: "task-marked-filled",
    icon: "TaskMarkedFilled"
  }, {
    stem: "task-marked",
    icon: "TaskMarked"
  }, {
    stem: "task-setting-filled",
    icon: "TaskSettingFilled"
  }, {
    stem: "task-setting",
    icon: "TaskSetting"
  }, {
    stem: "task-time-filled",
    icon: "TaskTimeFilled"
  }, {
    stem: "task-time",
    icon: "TaskTime"
  }, {
    stem: "task-visible-filled",
    icon: "TaskVisibleFilled"
  }, {
    stem: "task-visible",
    icon: "TaskVisible"
  }, {
    stem: "task",
    icon: "Task"
  }, {
    stem: "tea-filled",
    icon: "TeaFilled"
  }, {
    stem: "tea",
    icon: "Tea"
  }, {
    stem: "teahouse-filled",
    icon: "TeahouseFilled"
  }, {
    stem: "teahouse",
    icon: "Teahouse"
  }, {
    stem: "template-filled",
    icon: "TemplateFilled"
  }, {
    stem: "template",
    icon: "Template"
  }, {
    stem: "temple-filled",
    icon: "TempleFilled"
  }, {
    stem: "temple",
    icon: "Temple"
  }, {
    stem: "terminal-rectangle-1-filled",
    icon: "TerminalRectangle1Filled"
  }, {
    stem: "terminal-rectangle-1",
    icon: "TerminalRectangle1"
  }, {
    stem: "terminal-rectangle-filled",
    icon: "TerminalRectangleFilled"
  }, {
    stem: "terminal-rectangle",
    icon: "TerminalRectangle"
  }, {
    stem: "terminal-window-filled",
    icon: "TerminalWindowFilled"
  }, {
    stem: "terminal-window",
    icon: "TerminalWindow"
  }, {
    stem: "terminal",
    icon: "Terminal"
  }, {
    stem: "textbox-filled",
    icon: "TextboxFilled"
  }, {
    stem: "textbox",
    icon: "Textbox"
  }, {
    stem: "textformat-bold",
    icon: "TextformatBold"
  }, {
    stem: "textformat-color",
    icon: "TextformatColor"
  }, {
    stem: "textformat-italic",
    icon: "TextformatItalic"
  }, {
    stem: "textformat-strikethrough",
    icon: "TextformatStrikethrough"
  }, {
    stem: "textformat-underline",
    icon: "TextformatUnderline"
  }, {
    stem: "textformat-wrap",
    icon: "TextformatWrap"
  }, {
    stem: "theaters-filled",
    icon: "TheatersFilled"
  }, {
    stem: "theaters",
    icon: "Theaters"
  }, {
    stem: "thumb-down-1-filled",
    icon: "ThumbDown1Filled"
  }, {
    stem: "thumb-down-1",
    icon: "ThumbDown1"
  }, {
    stem: "thumb-down-2-filled",
    icon: "ThumbDown2Filled"
  }, {
    stem: "thumb-down-2",
    icon: "ThumbDown2"
  }, {
    stem: "thumb-down-filled",
    icon: "ThumbDownFilled"
  }, {
    stem: "thumb-down",
    icon: "ThumbDown"
  }, {
    stem: "thumb-up-1-filled",
    icon: "ThumbUp1Filled"
  }, {
    stem: "thumb-up-1",
    icon: "ThumbUp1"
  }, {
    stem: "thumb-up-2-filled",
    icon: "ThumbUp2Filled"
  }, {
    stem: "thumb-up-2",
    icon: "ThumbUp2"
  }, {
    stem: "thumb-up-filled",
    icon: "ThumbUpFilled"
  }, {
    stem: "thumb-up",
    icon: "ThumbUp"
  }, {
    stem: "thunder",
    icon: "Thunder"
  }, {
    stem: "thunderstorm-night-filled",
    icon: "ThunderstormNightFilled"
  }, {
    stem: "thunderstorm-night",
    icon: "ThunderstormNight"
  }, {
    stem: "thunderstorm-sunny-filled",
    icon: "ThunderstormSunnyFilled"
  }, {
    stem: "thunderstorm-sunny",
    icon: "ThunderstormSunny"
  }, {
    stem: "thunderstorm",
    icon: "Thunderstorm"
  }, {
    stem: "ticket-filled",
    icon: "TicketFilled"
  }, {
    stem: "ticket",
    icon: "Ticket"
  }, {
    stem: "time-filled",
    icon: "TimeFilled"
  }, {
    stem: "time",
    icon: "Time"
  }, {
    stem: "tips-double-filled",
    icon: "TipsDoubleFilled"
  }, {
    stem: "tips-double",
    icon: "TipsDouble"
  }, {
    stem: "tips-filled",
    icon: "TipsFilled"
  }, {
    stem: "tips",
    icon: "Tips"
  }, {
    stem: "tomato-filled",
    icon: "TomatoFilled"
  }, {
    stem: "tomato",
    icon: "Tomato"
  }, {
    stem: "tools-circle-filled",
    icon: "ToolsCircleFilled"
  }, {
    stem: "tools-circle",
    icon: "ToolsCircle"
  }, {
    stem: "tools-filled",
    icon: "ToolsFilled"
  }, {
    stem: "tools",
    icon: "Tools"
  }, {
    stem: "tornado",
    icon: "Tornado"
  }, {
    stem: "tower-1-filled",
    icon: "Tower1Filled"
  }, {
    stem: "tower-1",
    icon: "Tower1"
  }, {
    stem: "tower-2-filled",
    icon: "Tower2Filled"
  }, {
    stem: "tower-2",
    icon: "Tower2"
  }, {
    stem: "tower-3-filled",
    icon: "Tower3Filled"
  }, {
    stem: "tower-3",
    icon: "Tower3"
  }, {
    stem: "tower-clock-filled",
    icon: "TowerClockFilled"
  }, {
    stem: "tower-clock",
    icon: "TowerClock"
  }, {
    stem: "tower-filled",
    icon: "TowerFilled"
  }, {
    stem: "tower",
    icon: "Tower"
  }, {
    stem: "town-filled",
    icon: "TownFilled"
  }, {
    stem: "town",
    icon: "Town"
  }, {
    stem: "traffic-events-filled",
    icon: "TrafficEventsFilled"
  }, {
    stem: "traffic-events",
    icon: "TrafficEvents"
  }, {
    stem: "traffic-filled",
    icon: "TrafficFilled"
  }, {
    stem: "traffic",
    icon: "Traffic"
  }, {
    stem: "transform-1-filled",
    icon: "Transform1Filled"
  }, {
    stem: "transform-1",
    icon: "Transform1"
  }, {
    stem: "transform-2",
    icon: "Transform2"
  }, {
    stem: "transform-3",
    icon: "Transform3"
  }, {
    stem: "transform-filled",
    icon: "TransformFilled"
  }, {
    stem: "transform",
    icon: "Transform"
  }, {
    stem: "translate-1",
    icon: "Translate1"
  }, {
    stem: "translate",
    icon: "Translate"
  }, {
    stem: "tree-round-dot-filled",
    icon: "TreeRoundDotFilled"
  }, {
    stem: "tree-round-dot-vertical-filled",
    icon: "TreeRoundDotVerticalFilled"
  }, {
    stem: "tree-round-dot-vertical",
    icon: "TreeRoundDotVertical"
  }, {
    stem: "tree-round-dot",
    icon: "TreeRoundDot"
  }, {
    stem: "tree-square-dot-filled",
    icon: "TreeSquareDotFilled"
  }, {
    stem: "tree-square-dot-vertical-filled",
    icon: "TreeSquareDotVerticalFilled"
  }, {
    stem: "tree-square-dot-vertical",
    icon: "TreeSquareDotVertical"
  }, {
    stem: "tree-square-dot",
    icon: "TreeSquareDot"
  }, {
    stem: "trending-down",
    icon: "TrendingDown"
  }, {
    stem: "trending-up",
    icon: "TrendingUp"
  }, {
    stem: "tv-1-filled",
    icon: "Tv1Filled"
  }, {
    stem: "tv-1",
    icon: "Tv1"
  }, {
    stem: "tv-2-filled",
    icon: "Tv2Filled"
  }, {
    stem: "tv-2",
    icon: "Tv2"
  }, {
    stem: "tv-filled",
    icon: "TvFilled"
  }, {
    stem: "tv",
    icon: "Tv"
  }, {
    stem: "typography-filled",
    icon: "TypographyFilled"
  }, {
    stem: "typography",
    icon: "Typography"
  }, {
    stem: "uncomfortable-1-filled",
    icon: "Uncomfortable1Filled"
  }, {
    stem: "uncomfortable-1",
    icon: "Uncomfortable1"
  }, {
    stem: "uncomfortable-2-filled",
    icon: "Uncomfortable2Filled"
  }, {
    stem: "uncomfortable-2",
    icon: "Uncomfortable2"
  }, {
    stem: "uncomfortable-filled",
    icon: "UncomfortableFilled"
  }, {
    stem: "uncomfortable",
    icon: "Uncomfortable"
  }, {
    stem: "undertake-delivery-filled",
    icon: "UndertakeDeliveryFilled"
  }, {
    stem: "undertake-delivery",
    icon: "UndertakeDelivery"
  }, {
    stem: "undertake-environment-protection-filled",
    icon: "UndertakeEnvironmentProtectionFilled"
  }, {
    stem: "undertake-environment-protection",
    icon: "UndertakeEnvironmentProtection"
  }, {
    stem: "undertake-filled",
    icon: "UndertakeFilled"
  }, {
    stem: "undertake-hold-up-filled",
    icon: "UndertakeHoldUpFilled"
  }, {
    stem: "undertake-hold-up",
    icon: "UndertakeHoldUp"
  }, {
    stem: "undertake-transaction-filled",
    icon: "UndertakeTransactionFilled"
  }, {
    stem: "undertake-transaction",
    icon: "UndertakeTransaction"
  }, {
    stem: "undertake",
    icon: "Undertake"
  }, {
    stem: "unfold-less",
    icon: "UnfoldLess"
  }, {
    stem: "unfold-more",
    icon: "UnfoldMore"
  }, {
    stem: "unhappy-1-filled",
    icon: "Unhappy1Filled"
  }, {
    stem: "unhappy-1",
    icon: "Unhappy1"
  }, {
    stem: "unhappy-filled",
    icon: "UnhappyFilled"
  }, {
    stem: "unhappy",
    icon: "Unhappy"
  }, {
    stem: "uninstall-filled",
    icon: "UninstallFilled"
  }, {
    stem: "uninstall",
    icon: "Uninstall"
  }, {
    stem: "upload-1",
    icon: "Upload1"
  }, {
    stem: "upload",
    icon: "Upload"
  }, {
    stem: "upscale",
    icon: "Upscale"
  }, {
    stem: "usb-filled",
    icon: "UsbFilled"
  }, {
    stem: "usb",
    icon: "Usb"
  }, {
    stem: "user-1-filled",
    icon: "User1Filled"
  }, {
    stem: "user-1",
    icon: "User1"
  }, {
    stem: "user-add-filled",
    icon: "UserAddFilled"
  }, {
    stem: "user-add",
    icon: "UserAdd"
  }, {
    stem: "user-arrow-down-filled",
    icon: "UserArrowDownFilled"
  }, {
    stem: "user-arrow-down",
    icon: "UserArrowDown"
  }, {
    stem: "user-arrow-left-filled",
    icon: "UserArrowLeftFilled"
  }, {
    stem: "user-arrow-left",
    icon: "UserArrowLeft"
  }, {
    stem: "user-arrow-right-filled",
    icon: "UserArrowRightFilled"
  }, {
    stem: "user-arrow-right",
    icon: "UserArrowRight"
  }, {
    stem: "user-arrow-up-filled",
    icon: "UserArrowUpFilled"
  }, {
    stem: "user-arrow-up",
    icon: "UserArrowUp"
  }, {
    stem: "user-avatar-filled",
    icon: "UserAvatarFilled"
  }, {
    stem: "user-avatar",
    icon: "UserAvatar"
  }, {
    stem: "user-blocked-filled",
    icon: "UserBlockedFilled"
  }, {
    stem: "user-blocked",
    icon: "UserBlocked"
  }, {
    stem: "user-business-filled",
    icon: "UserBusinessFilled"
  }, {
    stem: "user-business",
    icon: "UserBusiness"
  }, {
    stem: "user-checked-1-filled",
    icon: "UserChecked1Filled"
  }, {
    stem: "user-checked-1",
    icon: "UserChecked1"
  }, {
    stem: "user-checked-filled",
    icon: "UserCheckedFilled"
  }, {
    stem: "user-checked",
    icon: "UserChecked"
  }, {
    stem: "user-circle-filled",
    icon: "UserCircleFilled"
  }, {
    stem: "user-circle",
    icon: "UserCircle"
  }, {
    stem: "user-clear-filled",
    icon: "UserClearFilled"
  }, {
    stem: "user-clear",
    icon: "UserClear"
  }, {
    stem: "user-error-1-filled",
    icon: "UserError1Filled"
  }, {
    stem: "user-error-1",
    icon: "UserError1"
  }, {
    stem: "user-filled",
    icon: "UserFilled"
  }, {
    stem: "user-invisible-filled",
    icon: "UserInvisibleFilled"
  }, {
    stem: "user-invisible",
    icon: "UserInvisible"
  }, {
    stem: "user-list-filled",
    icon: "UserListFilled"
  }, {
    stem: "user-list",
    icon: "UserList"
  }, {
    stem: "user-locked-filled",
    icon: "UserLockedFilled"
  }, {
    stem: "user-locked",
    icon: "UserLocked"
  }, {
    stem: "user-marked-filled",
    icon: "UserMarkedFilled"
  }, {
    stem: "user-marked",
    icon: "UserMarked"
  }, {
    stem: "user-password-filled",
    icon: "UserPasswordFilled"
  }, {
    stem: "user-password",
    icon: "UserPassword"
  }, {
    stem: "user-safety-filled",
    icon: "UserSafetyFilled"
  }, {
    stem: "user-safety",
    icon: "UserSafety"
  }, {
    stem: "user-search-filled",
    icon: "UserSearchFilled"
  }, {
    stem: "user-search",
    icon: "UserSearch"
  }, {
    stem: "user-setting-filled",
    icon: "UserSettingFilled"
  }, {
    stem: "user-setting",
    icon: "UserSetting"
  }, {
    stem: "user-talk-1-filled",
    icon: "UserTalk1Filled"
  }, {
    stem: "user-talk-1",
    icon: "UserTalk1"
  }, {
    stem: "user-talk-filled",
    icon: "UserTalkFilled"
  }, {
    stem: "user-talk-off-1-filled",
    icon: "UserTalkOff1Filled"
  }, {
    stem: "user-talk-off-1",
    icon: "UserTalkOff1"
  }, {
    stem: "user-talk",
    icon: "UserTalk"
  }, {
    stem: "user-time-filled",
    icon: "UserTimeFilled"
  }, {
    stem: "user-time",
    icon: "UserTime"
  }, {
    stem: "user-transmit-filled",
    icon: "UserTransmitFilled"
  }, {
    stem: "user-transmit",
    icon: "UserTransmit"
  }, {
    stem: "user-unknown-filled",
    icon: "UserUnknownFilled"
  }, {
    stem: "user-unknown",
    icon: "UserUnknown"
  }, {
    stem: "user-unlocked-filled",
    icon: "UserUnlockedFilled"
  }, {
    stem: "user-unlocked",
    icon: "UserUnlocked"
  }, {
    stem: "user-vip-filled",
    icon: "UserVipFilled"
  }, {
    stem: "user-vip",
    icon: "UserVip"
  }, {
    stem: "user-visible-filled",
    icon: "UserVisibleFilled"
  }, {
    stem: "user-visible",
    icon: "UserVisible"
  }, {
    stem: "user",
    icon: "User"
  }, {
    stem: "usercase-filled",
    icon: "UsercaseFilled"
  }, {
    stem: "usercase-link-filled",
    icon: "UsercaseLinkFilled"
  }, {
    stem: "usercase-link",
    icon: "UsercaseLink"
  }, {
    stem: "usercase",
    icon: "Usercase"
  }, {
    stem: "usergroup-add-filled",
    icon: "UsergroupAddFilled"
  }, {
    stem: "usergroup-add",
    icon: "UsergroupAdd"
  }, {
    stem: "usergroup-clear-filled",
    icon: "UsergroupClearFilled"
  }, {
    stem: "usergroup-clear",
    icon: "UsergroupClear"
  }, {
    stem: "usergroup-filled",
    icon: "UsergroupFilled"
  }, {
    stem: "usergroup",
    icon: "Usergroup"
  }, {
    stem: "vehicle-filled",
    icon: "VehicleFilled"
  }, {
    stem: "vehicle",
    icon: "Vehicle"
  }, {
    stem: "verified-filled",
    icon: "VerifiedFilled"
  }, {
    stem: "verified",
    icon: "Verified"
  }, {
    stem: "verify-filled",
    icon: "VerifyFilled"
  }, {
    stem: "verify",
    icon: "Verify"
  }, {
    stem: "vertical-filled",
    icon: "VerticalFilled"
  }, {
    stem: "vertical",
    icon: "Vertical"
  }, {
    stem: "video-camera-1-filled",
    icon: "VideoCamera1Filled"
  }, {
    stem: "video-camera-1",
    icon: "VideoCamera1"
  }, {
    stem: "video-camera-2-filled",
    icon: "VideoCamera2Filled"
  }, {
    stem: "video-camera-2",
    icon: "VideoCamera2"
  }, {
    stem: "video-camera-3-filled",
    icon: "VideoCamera3Filled"
  }, {
    stem: "video-camera-3",
    icon: "VideoCamera3"
  }, {
    stem: "video-camera-dollar-filled",
    icon: "VideoCameraDollarFilled"
  }, {
    stem: "video-camera-dollar",
    icon: "VideoCameraDollar"
  }, {
    stem: "video-camera-filled",
    icon: "VideoCameraFilled"
  }, {
    stem: "video-camera-minus-filled",
    icon: "VideoCameraMinusFilled"
  }, {
    stem: "video-camera-minus",
    icon: "VideoCameraMinus"
  }, {
    stem: "video-camera-music-filled",
    icon: "VideoCameraMusicFilled"
  }, {
    stem: "video-camera-music",
    icon: "VideoCameraMusic"
  }, {
    stem: "video-camera-off-filled",
    icon: "VideoCameraOffFilled"
  }, {
    stem: "video-camera-off",
    icon: "VideoCameraOff"
  }, {
    stem: "video-camera",
    icon: "VideoCamera"
  }, {
    stem: "video-filled",
    icon: "VideoFilled"
  }, {
    stem: "video-library-filled",
    icon: "VideoLibraryFilled"
  }, {
    stem: "video-library",
    icon: "VideoLibrary"
  }, {
    stem: "video",
    icon: "Video"
  }, {
    stem: "view-agenda-filled",
    icon: "ViewAgendaFilled"
  }, {
    stem: "view-agenda",
    icon: "ViewAgenda"
  }, {
    stem: "view-column",
    icon: "ViewColumn"
  }, {
    stem: "view-in-ar-filled",
    icon: "ViewInArFilled"
  }, {
    stem: "view-in-ar",
    icon: "ViewInAr"
  }, {
    stem: "view-list",
    icon: "ViewList"
  }, {
    stem: "view-module-filled",
    icon: "ViewModuleFilled"
  }, {
    stem: "view-module",
    icon: "ViewModule"
  }, {
    stem: "visual-recognition-filled",
    icon: "VisualRecognitionFilled"
  }, {
    stem: "visual-recognition",
    icon: "VisualRecognition"
  }, {
    stem: "wallet-filled",
    icon: "WalletFilled"
  }, {
    stem: "wallet",
    icon: "Wallet"
  }, {
    stem: "watch-filled",
    icon: "WatchFilled"
  }, {
    stem: "watch",
    icon: "Watch"
  }, {
    stem: "watermelon-filled",
    icon: "WatermelonFilled"
  }, {
    stem: "watermelon",
    icon: "Watermelon"
  }, {
    stem: "wave-bye-filled",
    icon: "WaveByeFilled"
  }, {
    stem: "wave-bye",
    icon: "WaveBye"
  }, {
    stem: "wave-left-filled",
    icon: "WaveLeftFilled"
  }, {
    stem: "wave-left",
    icon: "WaveLeft"
  }, {
    stem: "wave-right-filled",
    icon: "WaveRightFilled"
  }, {
    stem: "wave-right",
    icon: "WaveRight"
  }, {
    stem: "wealth-1-filled",
    icon: "Wealth1Filled"
  }, {
    stem: "wealth-1",
    icon: "Wealth1"
  }, {
    stem: "wealth-filled",
    icon: "WealthFilled"
  }, {
    stem: "wealth",
    icon: "Wealth"
  }, {
    stem: "widget-filled",
    icon: "WidgetFilled"
  }, {
    stem: "widget",
    icon: "Widget"
  }, {
    stem: "wifi-1-filled",
    icon: "Wifi1Filled"
  }, {
    stem: "wifi-1",
    icon: "Wifi1"
  }, {
    stem: "wifi-off-1-filled",
    icon: "WifiOff1Filled"
  }, {
    stem: "wifi-off-1",
    icon: "WifiOff1"
  }, {
    stem: "wifi-off",
    icon: "WifiOff"
  }, {
    stem: "wifi",
    icon: "Wifi"
  }, {
    stem: "window-1-filled",
    icon: "Window1Filled"
  }, {
    stem: "window-1",
    icon: "Window1"
  }, {
    stem: "window-filled",
    icon: "WindowFilled"
  }, {
    stem: "window",
    icon: "Window"
  }, {
    stem: "windy-rain",
    icon: "WindyRain"
  }, {
    stem: "windy",
    icon: "Windy"
  }, {
    stem: "wink-filled",
    icon: "WinkFilled"
  }, {
    stem: "wink",
    icon: "Wink"
  }, {
    stem: "work-filled",
    icon: "WorkFilled"
  }, {
    stem: "work-history-filled",
    icon: "WorkHistoryFilled"
  }, {
    stem: "work-history",
    icon: "WorkHistory"
  }, {
    stem: "work-off-filled",
    icon: "WorkOffFilled"
  }, {
    stem: "work-off",
    icon: "WorkOff"
  }, {
    stem: "work",
    icon: "Work"
  }, {
    stem: "wry-smile-filled",
    icon: "WrySmileFilled"
  }, {
    stem: "wry-smile",
    icon: "WrySmile"
  }, {
    stem: "zoom-in-filled",
    icon: "ZoomInFilled"
  }, {
    stem: "zoom-in",
    icon: "ZoomIn"
  }, {
    stem: "zoom-out-filled",
    icon: "ZoomOutFilled"
  }, {
    stem: "zoom-out",
    icon: "ZoomOut"
  }];

  var props$1 = {
    name: {
      type: String,
      default: "",
      required: true
    },
    size: {
      type: String,
      default: void 0
    },
    tag: {
      type: String,
      default: "i"
    },
    url: {
      type: [String, Array],
      default: void 0
    },
    loadDefaultIcons: {
      type: Boolean,
      default: true
    },
    onClick: Function
  };

  var isServer = typeof window === "undefined";
  function checkScriptAndLoad(url, className) {
    if (isServer) {
      return;
    }
    if (!document || !url || typeof url !== "string") return;
    if (document.querySelectorAll(".".concat(className, "[src=\"").concat(url, "\"]")).length > 0) {
      return;
    }
    var svg = document.createElement("script");
    svg.setAttribute("class", className);
    svg.setAttribute("src", url);
    document.body.appendChild(svg);
  }
  function checkLinkAndLoad(url, className) {
    if (isServer) {
      return;
    }
    if (!document || !url || typeof url !== "string") return;
    if (document.querySelectorAll(".".concat(className, "[href=\"").concat(url, "\"]")).length > 0) {
      return;
    }
    var link = document.createElement("link");
    link.setAttribute("class", className);
    link.setAttribute("href", url);
    link.setAttribute("rel", "stylesheet");
    document.head.appendChild(link);
  }

  function ownKeys$1(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread$1(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$1(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$1(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var {
    classPrefix: classPrefix$1
  } = ConfigContext;
  var CDN_ICONFONT_URL$1 = "https://tdesign.gtimg.com/icon/0.3.2/fonts/index.css";
  var IconFont$1 = vue.defineComponent({
    name: "IconFont",
    props: props$1,
    setup(props2, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props2.size);
      var {
        className: sizeClassName,
        style: sizeStyle
      } = useSizeProps(propsSize);
      var name = vue.computed(() => props2.name || "");
      var isBuiltinIcon = vue.computed(() => props2.url && /^t-icon-(\w|-)+$/.test(props2.name));
      var finalUrl = vue.computed(() => {
        var url = [];
        url = props2.url instanceof Array ? props2.url.concat() : [props2.url];
        if (props2.loadDefaultIcons) url.push(CDN_ICONFONT_URL$1);
        return url;
      });
      var classNames = vue.computed(() => [{
        [name.value]: props2.url,
        ["".concat(classPrefix$1, "-icon")]: !props2.url || isBuiltinIcon.value,
        ["".concat(classPrefix$1, "-icon-").concat(name.value)]: !props2.url
      }, sizeClassName.value]);
      var finalStyle = vue.computed(() => _objectSpread$1(_objectSpread$1({}, sizeStyle.value), attrs.style));
      vue.onMounted(() => {
        Array.from(new Set(finalUrl.value)).forEach(url => {
          checkLinkAndLoad(url, "".concat(classPrefix$1, "-iconfont-stylesheet--unique-class"));
        });
      });
      var finalProps = vue.computed(() => ({
        class: classNames.value,
        style: finalStyle.value,
        onClick: e => {
          var _props2$onClick;
          return (_props2$onClick = props2.onClick) === null || _props2$onClick === void 0 ? void 0 : _props2$onClick.call(props2, {
            e
          });
        }
      }));
      return () => vue.h(props2.tag || "i", finalProps.value);
    }
  });

  var IconFont = IconFont$1;

  var props = {
    name: {
      type: String,
      default: ""
    },
    size: {
      type: String,
      default: void 0
    },
    url: {
      type: [String, Array],
      default: void 0
    },
    loadDefaultIcons: {
      type: Boolean,
      default: true
    },
    onClick: Function
  };

  function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
  function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
  var {
    classPrefix
  } = ConfigContext;
  var CDN_ICONFONT_URL = "https://tdesign.gtimg.com/icon/0.3.2/fonts/index.js";
  var _Icon = vue.defineComponent({
    name: "Icon",
    props,
    setup(props2, _ref) {
      var {
        attrs
      } = _ref;
      var propsSize = vue.computed(() => props2.size);
      var name = vue.computed(() => props2.name || "");
      var {
        className: sizeClassName,
        style: sizeStyle
      } = useSizeProps(propsSize);
      var finalUrl = vue.computed(() => {
        var url = [];
        url = props2.url instanceof Array ? props2.url.concat() : [props2.url];
        if (props2.loadDefaultIcons) url.push(CDN_ICONFONT_URL);
        return url;
      });
      var classNames = vue.computed(() => ["".concat(classPrefix, "-icon"), "".concat(classPrefix, "-icon-").concat(name.value), sizeClassName.value]);
      var finalStyle = vue.computed(() => _objectSpread(_objectSpread({}, sizeStyle.value), attrs.style));
      vue.onMounted(() => {
        Array.from(new Set(finalUrl.value)).forEach(url => {
          checkScriptAndLoad(url, "".concat(classPrefix, "-svg-js-stylesheet--unique-class"));
        });
      });
      var finalProps = vue.computed(() => ({
        class: classNames.value,
        style: finalStyle.value,
        onClick: e => {
          var _props2$onClick;
          return (_props2$onClick = props2.onClick) === null || _props2$onClick === void 0 ? void 0 : _props2$onClick.call(props2, {
            e
          });
        }
      }));
      return () => vue.h("svg", finalProps.value, vue.h("use", {
        href: props2.url ? "#".concat(name.value) : "#t-icon-".concat(name.value)
      }));
    }
  });

  var Icon = _Icon;

  function install(app) {
    Object.keys(icons).forEach(key => {
      var icon = withInstall(icons[key]);
      app.use(icon);
    });
  }
  var index = {
    install
  };

  exports.AccessibilityFilledIcon = accessibilityFilled;
  exports.AccessibilityIcon = accessibility;
  exports.ActivityFilledIcon = activityFilled;
  exports.ActivityIcon = activity;
  exports.AddAndSubtractIcon = addAndSubtract;
  exports.AddCircleFilledIcon = addCircleFilled;
  exports.AddCircleIcon = addCircle;
  exports.AddIcon = add;
  exports.AddRectangleFilledIcon = addRectangleFilled;
  exports.AddRectangleIcon = addRectangle;
  exports.AddressBookFilledIcon = addressBookFilled;
  exports.AddressBookIcon = addressBook;
  exports.AdjustmentFilledIcon = adjustmentFilled;
  exports.AdjustmentIcon = adjustment;
  exports.AirplayWaveFilledIcon = airplayWaveFilled;
  exports.AirplayWaveIcon = airplayWave;
  exports.AlarmAddFilledIcon = alarmAddFilled;
  exports.AlarmAddIcon = alarmAdd;
  exports.AlarmFilledIcon = alarmFilled;
  exports.AlarmIcon = alarm;
  exports.AlarmOffFilledIcon = alarmOffFilled;
  exports.AlarmOffIcon = alarmOff;
  exports.AlignTopIcon = alignTop;
  exports.AlignVerticalIcon = alignVertical;
  exports.AlphaIcon = alpha;
  exports.AnalyticsFilledIcon = analyticsFilled;
  exports.AnalyticsIcon = analytics;
  exports.AnchorIcon = anchor;
  exports.AngryFilledIcon = angryFilled;
  exports.AngryIcon = angry;
  exports.Animation1FilledIcon = animation1Filled;
  exports.Animation1Icon = animation1;
  exports.AnimationFilledIcon = animationFilled;
  exports.AnimationIcon = animation;
  exports.AnticlockwiseFilledIcon = anticlockwiseFilled;
  exports.AnticlockwiseIcon = anticlockwise;
  exports.ApiIcon = api;
  exports.AppFilledIcon = appFilled;
  exports.AppIcon = app;
  exports.AppleFilledIcon = appleFilled;
  exports.AppleIcon = apple;
  exports.ApplicationFilledIcon = applicationFilled;
  exports.ApplicationIcon = application;
  exports.ArchitectureHuiStyleFilledIcon = architectureHuiStyleFilled;
  exports.ArchitectureHuiStyleIcon = architectureHuiStyle;
  exports.Archway1FilledIcon = archway1Filled;
  exports.Archway1Icon = archway1;
  exports.ArchwayFilledIcon = archwayFilled;
  exports.ArchwayIcon = archway;
  exports.ArrowDownCircleFilledIcon = arrowDownCircleFilled;
  exports.ArrowDownCircleIcon = arrowDownCircle;
  exports.ArrowDownIcon = arrowDown;
  exports.ArrowDownRectangleFilledIcon = arrowDownRectangleFilled;
  exports.ArrowDownRectangleIcon = arrowDownRectangle;
  exports.ArrowLeftCircleFilledIcon = arrowLeftCircleFilled;
  exports.ArrowLeftCircleIcon = arrowLeftCircle;
  exports.ArrowLeftDownCircleFilledIcon = arrowLeftDownCircleFilled;
  exports.ArrowLeftDownCircleIcon = arrowLeftDownCircle;
  exports.ArrowLeftDownIcon = arrowLeftDown;
  exports.ArrowLeftIcon = arrowLeft;
  exports.ArrowLeftRight1Icon = arrowLeftRight1;
  exports.ArrowLeftRight2Icon = arrowLeftRight2;
  exports.ArrowLeftRight3Icon = arrowLeftRight3;
  exports.ArrowLeftRightCircleFilledIcon = arrowLeftRightCircleFilled;
  exports.ArrowLeftRightCircleIcon = arrowLeftRightCircle;
  exports.ArrowLeftUpCircleFilledIcon = arrowLeftUpCircleFilled;
  exports.ArrowLeftUpCircleIcon = arrowLeftUpCircle;
  exports.ArrowLeftUpIcon = arrowLeftUp;
  exports.ArrowRightCircleFilledIcon = arrowRightCircleFilled;
  exports.ArrowRightCircleIcon = arrowRightCircle;
  exports.ArrowRightDownCircleFilledIcon = arrowRightDownCircleFilled;
  exports.ArrowRightDownCircleIcon = arrowRightDownCircle;
  exports.ArrowRightDownIcon = arrowRightDown;
  exports.ArrowRightIcon = arrowRight;
  exports.ArrowRightUpCircleFilledIcon = arrowRightUpCircleFilled;
  exports.ArrowRightUpCircleIcon = arrowRightUpCircle;
  exports.ArrowRightUpIcon = arrowRightUp;
  exports.ArrowTriangleDownFilledIcon = arrowTriangleDownFilled;
  exports.ArrowTriangleDownIcon = arrowTriangleDown;
  exports.ArrowTriangleUpFilledIcon = arrowTriangleUpFilled;
  exports.ArrowTriangleUpIcon = arrowTriangleUp;
  exports.ArrowUpCircleFilledIcon = arrowUpCircleFilled;
  exports.ArrowUpCircleIcon = arrowUpCircle;
  exports.ArrowUpDown1Icon = arrowUpDown1;
  exports.ArrowUpDown2Icon = arrowUpDown2;
  exports.ArrowUpDown3Icon = arrowUpDown3;
  exports.ArrowUpDownCircleFilledIcon = arrowUpDownCircleFilled;
  exports.ArrowUpDownCircleIcon = arrowUpDownCircle;
  exports.ArrowUpIcon = arrowUp;
  exports.ArtboardIcon = artboard;
  exports.ArticleFilledIcon = articleFilled;
  exports.ArticleIcon = article;
  exports.AssignmentCheckedFilledIcon = assignmentCheckedFilled;
  exports.AssignmentCheckedIcon = assignmentChecked;
  exports.AssignmentCodeFilledIcon = assignmentCodeFilled;
  exports.AssignmentCodeIcon = assignmentCode;
  exports.AssignmentErrorFilledIcon = assignmentErrorFilled;
  exports.AssignmentErrorIcon = assignmentError;
  exports.AssignmentFilledIcon = assignmentFilled;
  exports.AssignmentIcon = assignment;
  exports.AssignmentUserFilledIcon = assignmentUserFilled;
  exports.AssignmentUserIcon = assignmentUser;
  exports.AttachIcon = attach;
  exports.Attic1FilledIcon = attic1Filled;
  exports.Attic1Icon = attic1;
  exports.AtticFilledIcon = atticFilled;
  exports.AtticIcon = attic;
  exports.AudioFilledIcon = audioFilled;
  exports.AudioIcon = audio;
  exports.AwkwardFilledIcon = awkwardFilled;
  exports.AwkwardIcon = awkward;
  exports.BacktopIcon = backtop;
  exports.BacktopRectangleFilledIcon = backtopRectangleFilled;
  exports.BacktopRectangleIcon = backtopRectangle;
  exports.BackupFilledIcon = backupFilled;
  exports.BackupIcon = backup;
  exports.BackwardFilledIcon = backwardFilled;
  exports.BackwardIcon = backward;
  exports.BadLaughFilledIcon = badLaughFilled;
  exports.BadLaughIcon = badLaugh;
  exports.BambooShootFilledIcon = bambooShootFilled;
  exports.BambooShootIcon = bambooShoot;
  exports.BananaFilledIcon = bananaFilled;
  exports.BananaIcon = banana;
  exports.BarbecueFilledIcon = barbecueFilled;
  exports.BarbecueIcon = barbecue;
  exports.Barcode1Icon = barcode1;
  exports.BarcodeIcon = barcode;
  exports.BaseStationIcon = baseStation;
  exports.BatteryAddFilledIcon = batteryAddFilled;
  exports.BatteryAddIcon = batteryAdd;
  exports.BatteryChargingFilledIcon = batteryChargingFilled;
  exports.BatteryChargingIcon = batteryCharging;
  exports.BatteryFilledIcon = batteryFilled;
  exports.BatteryIcon = battery;
  exports.BatteryLowFilledIcon = batteryLowFilled;
  exports.BatteryLowIcon = batteryLow;
  exports.BeanFilledIcon = beanFilled;
  exports.BeanIcon = bean;
  exports.BeerFilledIcon = beerFilled;
  exports.BeerIcon = beer;
  exports.BetaIcon = beta;
  exports.BifurcateFilledIcon = bifurcateFilled;
  exports.BifurcateIcon = bifurcate;
  exports.BillFilledIcon = billFilled;
  exports.BillIcon = bill;
  exports.BluetoothIcon = bluetooth;
  exports.BoneFilledIcon = boneFilled;
  exports.BoneIcon = bone;
  exports.BookFilledIcon = bookFilled;
  exports.BookIcon = book;
  exports.BookOpenFilledIcon = bookOpenFilled;
  exports.BookOpenIcon = bookOpen;
  exports.BookUnknownFilledIcon = bookUnknownFilled;
  exports.BookUnknownIcon = bookUnknown;
  exports.BookmarkAddFilledIcon = bookmarkAddFilled;
  exports.BookmarkAddIcon = bookmarkAdd;
  exports.BookmarkCheckedFilledIcon = bookmarkCheckedFilled;
  exports.BookmarkCheckedIcon = bookmarkChecked;
  exports.BookmarkDoubleFilledIcon = bookmarkDoubleFilled;
  exports.BookmarkDoubleIcon = bookmarkDouble;
  exports.BookmarkFilledIcon = bookmarkFilled;
  exports.BookmarkIcon = bookmark;
  exports.BookmarkMinusFilledIcon = bookmarkMinusFilled;
  exports.BookmarkMinusIcon = bookmarkMinus;
  exports.BracesIcon = braces;
  exports.BracketsIcon = brackets;
  exports.BreadFilledIcon = breadFilled;
  exports.BreadIcon = bread;
  exports.Bridge1FilledIcon = bridge1Filled;
  exports.Bridge1Icon = bridge1;
  exports.Bridge2FilledIcon = bridge2Filled;
  exports.Bridge2Icon = bridge2;
  exports.Bridge3Icon = bridge3;
  exports.Bridge4Icon = bridge4;
  exports.Bridge5FilledIcon = bridge5Filled;
  exports.Bridge5Icon = bridge5;
  exports.Bridge6FilledIcon = bridge6Filled;
  exports.Bridge6Icon = bridge6;
  exports.BridgeIcon = bridge;
  exports.Brightness1FilledIcon = brightness1Filled;
  exports.Brightness1Icon = brightness1;
  exports.BrightnessFilledIcon = brightnessFilled;
  exports.BrightnessIcon = brightness;
  exports.BroccoliFilledIcon = broccoliFilled;
  exports.BroccoliIcon = broccoli;
  exports.BrowseFilledIcon = browseFilled;
  exports.BrowseGalleryFilledIcon = browseGalleryFilled;
  exports.BrowseGalleryIcon = browseGallery;
  exports.BrowseIcon = browse;
  exports.BrowseOffFilledIcon = browseOffFilled;
  exports.BrowseOffIcon = browseOff;
  exports.BrushFilledIcon = brushFilled;
  exports.BrushIcon = brush;
  exports.BugFilledIcon = bugFilled;
  exports.BugIcon = bug;
  exports.BugReportFilledIcon = bugReportFilled;
  exports.BugReportIcon = bugReport;
  exports.Building1FilledIcon = building1Filled;
  exports.Building1Icon = building1;
  exports.Building2FilledIcon = building2Filled;
  exports.Building2Icon = building2;
  exports.Building3FilledIcon = building3Filled;
  exports.Building3Icon = building3;
  exports.Building4FilledIcon = building4Filled;
  exports.Building4Icon = building4;
  exports.Building5FilledIcon = building5Filled;
  exports.Building5Icon = building5;
  exports.BuildingFilledIcon = buildingFilled;
  exports.BuildingIcon = building;
  exports.BulletpointIcon = bulletpoint;
  exports.ButtonFilledIcon = buttonFilled;
  exports.ButtonIcon = button;
  exports.CabbageFilledIcon = cabbageFilled;
  exports.CabbageIcon = cabbage;
  exports.CakeFilledIcon = cakeFilled;
  exports.CakeIcon = cake;
  exports.Calculation1FilledIcon = calculation1Filled;
  exports.Calculation1Icon = calculation1;
  exports.CalculationIcon = calculation;
  exports.Calculator1Icon = calculator1;
  exports.CalculatorFilledIcon = calculatorFilled;
  exports.CalculatorIcon = calculator;
  exports.Calendar1FilledIcon = calendar1Filled;
  exports.Calendar1Icon = calendar1;
  exports.Calendar2FilledIcon = calendar2Filled;
  exports.Calendar2Icon = calendar2;
  exports.CalendarEditFilledIcon = calendarEditFilled;
  exports.CalendarEditIcon = calendarEdit;
  exports.CalendarEventFilledIcon = calendarEventFilled;
  exports.CalendarEventIcon = calendarEvent;
  exports.CalendarFilledIcon = calendarFilled;
  exports.CalendarIcon = calendar;
  exports.Call1FilledIcon = call1Filled;
  exports.Call1Icon = call1;
  exports.CallCancelFilledIcon = callCancelFilled;
  exports.CallCancelIcon = callCancel;
  exports.CallFilledIcon = callFilled;
  exports.CallForwardedFilledIcon = callForwardedFilled;
  exports.CallForwardedIcon = callForwarded;
  exports.CallIcon = call;
  exports.CallIncomingFilledIcon = callIncomingFilled;
  exports.CallIncomingIcon = callIncoming;
  exports.CallOffFilledIcon = callOffFilled;
  exports.CallOffIcon = callOff;
  exports.Calm1FilledIcon = calm1Filled;
  exports.Calm1Icon = calm1;
  exports.CalmFilledIcon = calmFilled;
  exports.CalmIcon = calm;
  exports.Camera1FilledIcon = camera1Filled;
  exports.Camera1Icon = camera1;
  exports.Camera2FilledIcon = camera2Filled;
  exports.Camera2Icon = camera2;
  exports.CameraFilledIcon = cameraFilled;
  exports.CameraIcon = camera;
  exports.CameraOffFilledIcon = cameraOffFilled;
  exports.CameraOffIcon = cameraOff;
  exports.CandyFilledIcon = candyFilled;
  exports.CandyIcon = candy;
  exports.CardFilledIcon = cardFilled;
  exports.CardIcon = card;
  exports.CardmembershipFilledIcon = cardmembershipFilled;
  exports.CardmembershipIcon = cardmembership;
  exports.CaretDownIcon = caretDown;
  exports.CaretDownSmallIcon = caretDownSmall;
  exports.CaretLeftIcon = caretLeft;
  exports.CaretLeftSmallIcon = caretLeftSmall;
  exports.CaretRightIcon = caretRight;
  exports.CaretRightSmallIcon = caretRightSmall;
  exports.CaretUpIcon = caretUp;
  exports.CaretUpSmallIcon = caretUpSmall;
  exports.CartAddFilledIcon = cartAddFilled;
  exports.CartAddIcon = cartAdd;
  exports.CartFilledIcon = cartFilled;
  exports.CartIcon = cart;
  exports.CastFilledIcon = castFilled;
  exports.CastIcon = cast;
  exports.Castle1FilledIcon = castle1Filled;
  exports.Castle1Icon = castle1;
  exports.Castle2FilledIcon = castle2Filled;
  exports.Castle2Icon = castle2;
  exports.Castle3FilledIcon = castle3Filled;
  exports.Castle3Icon = castle3;
  exports.Castle4FilledIcon = castle4Filled;
  exports.Castle4Icon = castle4;
  exports.Castle5FilledIcon = castle5Filled;
  exports.Castle5Icon = castle5;
  exports.Castle6FilledIcon = castle6Filled;
  exports.Castle6Icon = castle6;
  exports.Castle7FilledIcon = castle7Filled;
  exports.Castle7Icon = castle7;
  exports.CastleFilledIcon = castleFilled;
  exports.CastleIcon = castle;
  exports.CatFilledIcon = catFilled;
  exports.CatIcon = cat;
  exports.CatalogFilledIcon = catalogFilled;
  exports.CatalogIcon = catalog;
  exports.CdFilledIcon = cdFilled;
  exports.CdIcon = cd;
  exports.CelsiusIcon = celsius;
  exports.CenterFocusStrongFilledIcon = centerFocusStrongFilled;
  exports.CenterFocusStrongIcon = centerFocusStrong;
  exports.CentimeterIcon = centimeter;
  exports.Certificate1FilledIcon = certificate1Filled;
  exports.Certificate1Icon = certificate1;
  exports.CertificateFilledIcon = certificateFilled;
  exports.CertificateIcon = certificate;
  exports.Chart3DFilledIcon = chart3dFilled;
  exports.Chart3DIcon = chart3d;
  exports.ChartAddFilledIcon = chartAddFilled;
  exports.ChartAddIcon = chartAdd;
  exports.ChartAnalyticsIcon = chartAnalytics;
  exports.ChartAreaFilledIcon = chartAreaFilled;
  exports.ChartAreaIcon = chartArea;
  exports.ChartAreaMultiFilledIcon = chartAreaMultiFilled;
  exports.ChartAreaMultiIcon = chartAreaMulti;
  exports.ChartBarFilledIcon = chartBarFilled;
  exports.ChartBarIcon = chartBar;
  exports.ChartBubbleFilledIcon = chartBubbleFilled;
  exports.ChartBubbleIcon = chartBubble;
  exports.ChartColumnFilledIcon = chartColumnFilled;
  exports.ChartColumnIcon = chartColumn;
  exports.ChartComboFilledIcon = chartComboFilled;
  exports.ChartComboIcon = chartCombo;
  exports.ChartFilledIcon = chartFilled;
  exports.ChartIcon = chart;
  exports.ChartLineData1Icon = chartLineData1;
  exports.ChartLineDataIcon = chartLineData;
  exports.ChartLineIcon = chartLine;
  exports.ChartLineMultiIcon = chartLineMulti;
  exports.ChartMaximumIcon = chartMaximum;
  exports.ChartMedianIcon = chartMedian;
  exports.ChartMinimumIcon = chartMinimum;
  exports.ChartPieFilledIcon = chartPieFilled;
  exports.ChartPieIcon = chartPie;
  exports.ChartRadarFilledIcon = chartRadarFilled;
  exports.ChartRadarIcon = chartRadar;
  exports.ChartRadialIcon = chartRadial;
  exports.ChartRing1FilledIcon = chartRing1Filled;
  exports.ChartRing1Icon = chartRing1;
  exports.ChartRingFilledIcon = chartRingFilled;
  exports.ChartRingIcon = chartRing;
  exports.ChartScatterIcon = chartScatter;
  exports.ChartStackedFilledIcon = chartStackedFilled;
  exports.ChartStackedIcon = chartStacked;
  exports.ChatAddFilledIcon = chatAddFilled;
  exports.ChatAddIcon = chatAdd;
  exports.ChatBubble1FilledIcon = chatBubble1Filled;
  exports.ChatBubble1Icon = chatBubble1;
  exports.ChatBubbleAddFilledIcon = chatBubbleAddFilled;
  exports.ChatBubbleAddIcon = chatBubbleAdd;
  exports.ChatBubbleErrorFilledIcon = chatBubbleErrorFilled;
  exports.ChatBubbleErrorIcon = chatBubbleError;
  exports.ChatBubbleFilledIcon = chatBubbleFilled;
  exports.ChatBubbleHelpFilledIcon = chatBubbleHelpFilled;
  exports.ChatBubbleHelpIcon = chatBubbleHelp;
  exports.ChatBubbleHistoryFilledIcon = chatBubbleHistoryFilled;
  exports.ChatBubbleHistoryIcon = chatBubbleHistory;
  exports.ChatBubbleIcon = chatBubble;
  exports.ChatBubbleLockedFilledIcon = chatBubbleLockedFilled;
  exports.ChatBubbleLockedIcon = chatBubbleLocked;
  exports.ChatBubbleSmileFilledIcon = chatBubbleSmileFilled;
  exports.ChatBubbleSmileIcon = chatBubbleSmile;
  exports.ChatCheckedFilledIcon = chatCheckedFilled;
  exports.ChatCheckedIcon = chatChecked;
  exports.ChatClearFilledIcon = chatClearFilled;
  exports.ChatClearIcon = chatClear;
  exports.ChatDoubleFilledIcon = chatDoubleFilled;
  exports.ChatDoubleIcon = chatDouble;
  exports.ChatErrorFilledIcon = chatErrorFilled;
  exports.ChatErrorIcon = chatError;
  exports.ChatFilledIcon = chatFilled;
  exports.ChatHeartFilledIcon = chatHeartFilled;
  exports.ChatHeartIcon = chatHeart;
  exports.ChatIcon = chat;
  exports.ChatMessageFilledIcon = chatMessageFilled;
  exports.ChatMessageIcon = chatMessage;
  exports.ChatOffFilledIcon = chatOffFilled;
  exports.ChatOffIcon = chatOff;
  exports.ChatPollFilledIcon = chatPollFilled;
  exports.ChatPollIcon = chatPoll;
  exports.ChatSettingFilledIcon = chatSettingFilled;
  exports.ChatSettingIcon = chatSetting;
  exports.CheckCircleFilledIcon = checkCircleFilled;
  exports.CheckCircleIcon = checkCircle;
  exports.CheckDoubleIcon = checkDouble;
  exports.CheckIcon = check;
  exports.CheckRectangleFilledIcon = checkRectangleFilled;
  exports.CheckRectangleIcon = checkRectangle;
  exports.CheeseFilledIcon = cheeseFilled;
  exports.CheeseIcon = cheese;
  exports.CherryFilledIcon = cherryFilled;
  exports.CherryIcon = cherry;
  exports.ChevronDownCircleFilledIcon = chevronDownCircleFilled;
  exports.ChevronDownCircleIcon = chevronDownCircle;
  exports.ChevronDownDoubleIcon = chevronDownDouble;
  exports.ChevronDownDoubleSIcon = chevronDownDoubleS;
  exports.ChevronDownIcon = chevronDown;
  exports.ChevronDownRectangleFilledIcon = chevronDownRectangleFilled;
  exports.ChevronDownRectangleIcon = chevronDownRectangle;
  exports.ChevronDownSIcon = chevronDownS;
  exports.ChevronLeftCircleFilledIcon = chevronLeftCircleFilled;
  exports.ChevronLeftCircleIcon = chevronLeftCircle;
  exports.ChevronLeftDoubleIcon = chevronLeftDouble;
  exports.ChevronLeftDoubleSIcon = chevronLeftDoubleS;
  exports.ChevronLeftIcon = chevronLeft;
  exports.ChevronLeftRectangleFilledIcon = chevronLeftRectangleFilled;
  exports.ChevronLeftRectangleIcon = chevronLeftRectangle;
  exports.ChevronLeftSIcon = chevronLeftS;
  exports.ChevronRightCircleFilledIcon = chevronRightCircleFilled;
  exports.ChevronRightCircleIcon = chevronRightCircle;
  exports.ChevronRightDoubleIcon = chevronRightDouble;
  exports.ChevronRightDoubleSIcon = chevronRightDoubleS;
  exports.ChevronRightIcon = chevronRight;
  exports.ChevronRightRectangleFilledIcon = chevronRightRectangleFilled;
  exports.ChevronRightRectangleIcon = chevronRightRectangle;
  exports.ChevronRightSIcon = chevronRightS;
  exports.ChevronUpCircleFilledIcon = chevronUpCircleFilled;
  exports.ChevronUpCircleIcon = chevronUpCircle;
  exports.ChevronUpDoubleIcon = chevronUpDouble;
  exports.ChevronUpDoubleSIcon = chevronUpDoubleS;
  exports.ChevronUpIcon = chevronUp;
  exports.ChevronUpRectangleFilledIcon = chevronUpRectangleFilled;
  exports.ChevronUpRectangleIcon = chevronUpRectangle;
  exports.ChevronUpSIcon = chevronUpS;
  exports.ChickenIcon = chicken;
  exports.ChiliFilledIcon = chiliFilled;
  exports.ChiliIcon = chili;
  exports.Chimney1FilledIcon = chimney1Filled;
  exports.Chimney1Icon = chimney1;
  exports.Chimney2FilledIcon = chimney2Filled;
  exports.Chimney2Icon = chimney2;
  exports.ChimneyFilledIcon = chimneyFilled;
  exports.ChimneyIcon = chimney;
  exports.ChineseCabbageFilledIcon = chineseCabbageFilled;
  exports.ChineseCabbageIcon = chineseCabbage;
  exports.ChurchFilledIcon = churchFilled;
  exports.ChurchIcon = church;
  exports.CircleFilledIcon = circleFilled;
  exports.CircleIcon = circle;
  exports.City10FilledIcon = city10Filled;
  exports.City10Icon = city10;
  exports.City11FilledIcon = city11Filled;
  exports.City11Icon = city11;
  exports.City12FilledIcon = city12Filled;
  exports.City12Icon = city12;
  exports.City13FilledIcon = city13Filled;
  exports.City13Icon = city13;
  exports.City14FilledIcon = city14Filled;
  exports.City14Icon = city14;
  exports.City15FilledIcon = city15Filled;
  exports.City15Icon = city15;
  exports.City1FilledIcon = city1Filled;
  exports.City1Icon = city1;
  exports.City2FilledIcon = city2Filled;
  exports.City2Icon = city2;
  exports.City3FilledIcon = city3Filled;
  exports.City3Icon = city3;
  exports.City4FilledIcon = city4Filled;
  exports.City4Icon = city4;
  exports.City5FilledIcon = city5Filled;
  exports.City5Icon = city5;
  exports.City6FilledIcon = city6Filled;
  exports.City6Icon = city6;
  exports.City7FilledIcon = city7Filled;
  exports.City7Icon = city7;
  exports.City8FilledIcon = city8Filled;
  exports.City8Icon = city8;
  exports.City9FilledIcon = city9Filled;
  exports.City9Icon = city9;
  exports.CityAncient1FilledIcon = cityAncient1Filled;
  exports.CityAncient1Icon = cityAncient1;
  exports.CityAncient2FilledIcon = cityAncient2Filled;
  exports.CityAncient2Icon = cityAncient2;
  exports.CityAncientFilledIcon = cityAncientFilled;
  exports.CityAncientIcon = cityAncient;
  exports.CityFilledIcon = cityFilled;
  exports.CityIcon = city;
  exports.ClearFilledIcon = clearFilled;
  exports.ClearFormatting1FilledIcon = clearFormatting1Filled;
  exports.ClearFormatting1Icon = clearFormatting1;
  exports.ClearFormattingFilledIcon = clearFormattingFilled;
  exports.ClearFormattingIcon = clearFormatting;
  exports.ClearIcon = clear;
  exports.CloseCircleFilledIcon = closeCircleFilled;
  exports.CloseCircleIcon = closeCircle;
  exports.CloseIcon = close;
  exports.CloseOctagonFilledIcon = closeOctagonFilled;
  exports.CloseOctagonIcon = closeOctagon;
  exports.CloseRectangleFilledIcon = closeRectangleFilled;
  exports.CloseRectangleIcon = closeRectangle;
  exports.CloudDownloadIcon = cloudDownload;
  exports.CloudFilledIcon = cloudFilled;
  exports.CloudIcon = cloud;
  exports.CloudUploadIcon = cloudUpload;
  exports.CloudyDayFilledIcon = cloudyDayFilled;
  exports.CloudyDayIcon = cloudyDay;
  exports.CloudyNightFilledIcon = cloudyNightFilled;
  exports.CloudyNightIcon = cloudyNight;
  exports.CloudyNightRainFilledIcon = cloudyNightRainFilled;
  exports.CloudyNightRainIcon = cloudyNightRain;
  exports.CloudyRainFilledIcon = cloudyRainFilled;
  exports.CloudyRainIcon = cloudyRain;
  exports.CloudySunnyFilledIcon = cloudySunnyFilled;
  exports.CloudySunnyIcon = cloudySunny;
  exports.Code1Icon = code1;
  exports.CodeIcon = code;
  exports.CodeOffIcon = codeOff;
  exports.ColaFilledIcon = colaFilled;
  exports.ColaIcon = cola;
  exports.CollageFilledIcon = collageFilled;
  exports.CollageIcon = collage;
  exports.CollectionFilledIcon = collectionFilled;
  exports.CollectionIcon = collection;
  exports.ColorInvertFilledIcon = colorInvertFilled;
  exports.ColorInvertIcon = colorInvert;
  exports.CombinationFilledIcon = combinationFilled;
  exports.CombinationIcon = combination;
  exports.CommandIcon = command;
  exports.Compass1FilledIcon = compass1Filled;
  exports.Compass1Icon = compass1;
  exports.CompassFilledIcon = compassFilled;
  exports.CompassIcon = compass;
  exports.ComponentBreadcrumbFilledIcon = componentBreadcrumbFilled;
  exports.ComponentBreadcrumbIcon = componentBreadcrumb;
  exports.ComponentCheckboxFilledIcon = componentCheckboxFilled;
  exports.ComponentCheckboxIcon = componentCheckbox;
  exports.ComponentDividerHorizontalFilledIcon = componentDividerHorizontalFilled;
  exports.ComponentDividerHorizontalIcon = componentDividerHorizontal;
  exports.ComponentDividerVerticalFilledIcon = componentDividerVerticalFilled;
  exports.ComponentDividerVerticalIcon = componentDividerVertical;
  exports.ComponentDropdownFilledIcon = componentDropdownFilled;
  exports.ComponentDropdownIcon = componentDropdown;
  exports.ComponentGridFilledIcon = componentGridFilled;
  exports.ComponentGridIcon = componentGrid;
  exports.ComponentInputFilledIcon = componentInputFilled;
  exports.ComponentInputIcon = componentInput;
  exports.ComponentLayoutFilledIcon = componentLayoutFilled;
  exports.ComponentLayoutIcon = componentLayout;
  exports.ComponentRadioIcon = componentRadio;
  exports.ComponentSpaceFilledIcon = componentSpaceFilled;
  exports.ComponentSpaceIcon = componentSpace;
  exports.ComponentStepsFilledIcon = componentStepsFilled;
  exports.ComponentStepsIcon = componentSteps;
  exports.ComponentSwitchFilledIcon = componentSwitchFilled;
  exports.ComponentSwitchIcon = componentSwitch;
  exports.ConstraintIcon = constraint;
  exports.Contrast1FilledIcon = contrast1Filled;
  exports.Contrast1Icon = contrast1;
  exports.ContrastFilledIcon = contrastFilled;
  exports.ContrastIcon = contrast;
  exports.ControlPlatformFilledIcon = controlPlatformFilled;
  exports.ControlPlatformIcon = controlPlatform;
  exports.CooperateFilledIcon = cooperateFilled;
  exports.CooperateIcon = cooperate;
  exports.CoordinateSystemFilledIcon = coordinateSystemFilled;
  exports.CoordinateSystemIcon = coordinateSystem;
  exports.CopyFilledIcon = copyFilled;
  exports.CopyIcon = copy;
  exports.CopyrightFilledIcon = copyrightFilled;
  exports.CopyrightIcon = copyright;
  exports.CornFilledIcon = cornFilled;
  exports.CornIcon = corn;
  exports.CouponFilledIcon = couponFilled;
  exports.CouponIcon = coupon;
  exports.CourseFilledIcon = courseFilled;
  exports.CourseIcon = course;
  exports.CpuFilledIcon = cpuFilled;
  exports.CpuIcon = cpu;
  exports.CrackFilledIcon = crackFilled;
  exports.CrackIcon = crack;
  exports.CreditcardAddFilledIcon = creditcardAddFilled;
  exports.CreditcardAddIcon = creditcardAdd;
  exports.CreditcardFilledIcon = creditcardFilled;
  exports.CreditcardIcon = creditcard;
  exports.CreditcardOffFilledIcon = creditcardOffFilled;
  exports.CreditcardOffIcon = creditcardOff;
  exports.CrookedSmileFilledIcon = crookedSmileFilled;
  exports.CrookedSmileIcon = crookedSmile;
  exports.CryAndLaughFilledIcon = cryAndLaughFilled;
  exports.CryAndLaughIcon = cryAndLaugh;
  exports.CryLoudlyFilledIcon = cryLoudlyFilled;
  exports.CryLoudlyIcon = cryLoudly;
  exports.Css3FilledIcon = css3Filled;
  exports.Css3Icon = css3;
  exports.CucumberIcon = cucumber;
  exports.CurrencyExchangeIcon = currencyExchange;
  exports.CursorFilledIcon = cursorFilled;
  exports.CursorIcon = cursor;
  exports.CurtainFilledIcon = curtainFilled;
  exports.CurtainIcon = curtain;
  exports.CurveIcon = curve;
  exports.Cut1Icon = cut1;
  exports.CutIcon = cut;
  exports.Dam1FilledIcon = dam1Filled;
  exports.Dam1Icon = dam1;
  exports.Dam2FilledIcon = dam2Filled;
  exports.Dam2Icon = dam2;
  exports.Dam3FilledIcon = dam3Filled;
  exports.Dam3Icon = dam3;
  exports.Dam4FilledIcon = dam4Filled;
  exports.Dam4Icon = dam4;
  exports.Dam5FilledIcon = dam5Filled;
  exports.Dam5Icon = dam5;
  exports.Dam6FilledIcon = dam6Filled;
  exports.Dam6Icon = dam6;
  exports.Dam7FilledIcon = dam7Filled;
  exports.Dam7Icon = dam7;
  exports.DamFilledIcon = damFilled;
  exports.DamIcon = dam;
  exports.DartBoardFilledIcon = dartBoardFilled;
  exports.DartBoardIcon = dartBoard;
  exports.Dashboard1FilledIcon = dashboard1Filled;
  exports.Dashboard1Icon = dashboard1;
  exports.DashboardFilledIcon = dashboardFilled;
  exports.DashboardIcon = dashboard;
  exports.DataBaseFilledIcon = dataBaseFilled;
  exports.DataBaseIcon = dataBase;
  exports.DataCheckedFilledIcon = dataCheckedFilled;
  exports.DataCheckedIcon = dataChecked;
  exports.DataDisplayIcon = dataDisplay;
  exports.DataErrorFilledIcon = dataErrorFilled;
  exports.DataErrorIcon = dataError;
  exports.DataFilledIcon = dataFilled;
  exports.DataIcon = data;
  exports.DataSearchFilledIcon = dataSearchFilled;
  exports.DataSearchIcon = dataSearch;
  exports.Delete1FilledIcon = delete1Filled;
  exports.Delete1Icon = delete1;
  exports.DeleteFilledIcon = deleteFilled;
  exports.DeleteIcon = _delete;
  exports.DeleteTimeFilledIcon = deleteTimeFilled;
  exports.DeleteTimeIcon = deleteTime;
  exports.DeltaFilledIcon = deltaFilled;
  exports.DeltaIcon = delta;
  exports.DepressedFilledIcon = depressedFilled;
  exports.DepressedIcon = depressed;
  exports.Desktop1FilledIcon = desktop1Filled;
  exports.Desktop1Icon = desktop1;
  exports.DesktopFilledIcon = desktopFilled;
  exports.DesktopIcon = desktop;
  exports.DespiseFilledIcon = despiseFilled;
  exports.DespiseIcon = despise;
  exports.DeviceFilledIcon = deviceFilled;
  exports.DeviceIcon = device;
  exports.DiscountFilledIcon = discountFilled;
  exports.DiscountIcon = discount;
  exports.DissatisfactionFilledIcon = dissatisfactionFilled;
  exports.DissatisfactionIcon = dissatisfaction;
  exports.DivideIcon = divide;
  exports.Dividers1Icon = dividers1;
  exports.DividersIcon = dividers;
  exports.DogeFilledIcon = dogeFilled;
  exports.DogeIcon = doge;
  exports.DoubleStoreyFilledIcon = doubleStoreyFilled;
  exports.DoubleStoreyIcon = doubleStorey;
  exports.Download1Icon = download1;
  exports.Download2FilledIcon = download2Filled;
  exports.Download2Icon = download2;
  exports.DownloadIcon = download;
  exports.DownscaleIcon = downscale;
  exports.DragDropIcon = dragDrop;
  exports.DragMoveIcon = dragMove;
  exports.DrinkFilledIcon = drinkFilled;
  exports.DrinkIcon = drink;
  exports.DrumstickFilledIcon = drumstickFilled;
  exports.DrumstickIcon = drumstick;
  exports.DvFilledIcon = dvFilled;
  exports.DvIcon = dv;
  exports.DvdFilledIcon = dvdFilled;
  exports.DvdIcon = dvd;
  exports.EarphoneFilledIcon = earphoneFilled;
  exports.EarphoneIcon = earphone;
  exports.EarthFilledIcon = earthFilled;
  exports.EarthIcon = earth;
  exports.Edit1FilledIcon = edit1Filled;
  exports.Edit1Icon = edit1;
  exports.Edit2FilledIcon = edit2Filled;
  exports.Edit2Icon = edit2;
  exports.EditFilledIcon = editFilled;
  exports.EditIcon = edit;
  exports.EditOffFilledIcon = editOffFilled;
  exports.EditOffIcon = editOff;
  exports.EducationFilledIcon = educationFilled;
  exports.EducationIcon = education;
  exports.EggplantFilledIcon = eggplantFilled;
  exports.EggplantIcon = eggplant;
  exports.EllipsisIcon = ellipsis;
  exports.EmoEmotionalFilledIcon = emoEmotionalFilled;
  exports.EmoEmotionalIcon = emoEmotional;
  exports.EnterIcon = enter;
  exports.EqualIcon = equal;
  exports.ErrorCircleFilledIcon = errorCircleFilled;
  exports.ErrorCircleIcon = errorCircle;
  exports.ErrorIcon = error;
  exports.ErrorTriangleFilledIcon = errorTriangleFilled;
  exports.ErrorTriangleIcon = errorTriangle;
  exports.Excited1FilledIcon = excited1Filled;
  exports.Excited1Icon = excited1;
  exports.ExcitedFilledIcon = excitedFilled;
  exports.ExcitedIcon = excited;
  exports.ExpandDownFilledIcon = expandDownFilled;
  exports.ExpandDownIcon = expandDown;
  exports.ExpandHorizontalIcon = expandHorizontal;
  exports.ExpandUpFilledIcon = expandUpFilled;
  exports.ExpandUpIcon = expandUp;
  exports.ExpandVerticalIcon = expandVertical;
  exports.ExploreFilledIcon = exploreFilled;
  exports.ExploreIcon = explore;
  exports.ExploreOffFilledIcon = exploreOffFilled;
  exports.ExploreOffIcon = exploreOff;
  exports.ExposureFilledIcon = exposureFilled;
  exports.ExposureIcon = exposure;
  exports.ExtensionFilledIcon = extensionFilled;
  exports.ExtensionIcon = extension;
  exports.ExtensionOffFilledIcon = extensionOffFilled;
  exports.ExtensionOffIcon = extensionOff;
  exports.FaceRetouchingFilledIcon = faceRetouchingFilled;
  exports.FaceRetouchingIcon = faceRetouching;
  exports.FactCheckFilledIcon = factCheckFilled;
  exports.FactCheckIcon = factCheck;
  exports.FahrenheitScaleIcon = fahrenheitScale;
  exports.FeelAtEaseFilledIcon = feelAtEaseFilled;
  exports.FeelAtEaseIcon = feelAtEase;
  exports.FerociousFilledIcon = ferociousFilled;
  exports.FerociousIcon = ferocious;
  exports.FerrisWheelFilledIcon = ferrisWheelFilled;
  exports.FerrisWheelIcon = ferrisWheel;
  exports.File1FilledIcon = file1Filled;
  exports.File1Icon = file1;
  exports.FileAdd1FilledIcon = fileAdd1Filled;
  exports.FileAdd1Icon = fileAdd1;
  exports.FileAddFilledIcon = fileAddFilled;
  exports.FileAddIcon = fileAdd;
  exports.FileAttachmentFilledIcon = fileAttachmentFilled;
  exports.FileAttachmentIcon = fileAttachment;
  exports.FileBlockedFilledIcon = fileBlockedFilled;
  exports.FileBlockedIcon = fileBlocked;
  exports.FileCode1FilledIcon = fileCode1Filled;
  exports.FileCode1Icon = fileCode1;
  exports.FileCodeFilledIcon = fileCodeFilled;
  exports.FileCodeIcon = fileCode;
  exports.FileCopyFilledIcon = fileCopyFilled;
  exports.FileCopyIcon = fileCopy;
  exports.FileDownloadFilledIcon = fileDownloadFilled;
  exports.FileDownloadIcon = fileDownload;
  exports.FileExcelFilledIcon = fileExcelFilled;
  exports.FileExcelIcon = fileExcel;
  exports.FileExportFilledIcon = fileExportFilled;
  exports.FileExportIcon = fileExport;
  exports.FileFilledIcon = fileFilled;
  exports.FileIcon = file;
  exports.FileIconFilledIcon = fileIconFilled;
  exports.FileIconIcon = fileIcon;
  exports.FileImageFilledIcon = fileImageFilled;
  exports.FileImageIcon = fileImage;
  exports.FileImportFilledIcon = fileImportFilled;
  exports.FileImportIcon = fileImport;
  exports.FileLockedFilledIcon = fileLockedFilled;
  exports.FileLockedIcon = fileLocked;
  exports.FileMinusFilledIcon = fileMinusFilled;
  exports.FileMinusIcon = fileMinus;
  exports.FileMusicFilledIcon = fileMusicFilled;
  exports.FileMusicIcon = fileMusic;
  exports.FileOnenoteFilledIcon = fileOnenoteFilled;
  exports.FileOnenoteIcon = fileOnenote;
  exports.FileOutlookFilledIcon = fileOutlookFilled;
  exports.FileOutlookIcon = fileOutlook;
  exports.FilePasteFilledIcon = filePasteFilled;
  exports.FilePasteIcon = filePaste;
  exports.FilePdfFilledIcon = filePdfFilled;
  exports.FilePdfIcon = filePdf;
  exports.FilePowerpointFilledIcon = filePowerpointFilled;
  exports.FilePowerpointIcon = filePowerpoint;
  exports.FileRestoreFilledIcon = fileRestoreFilled;
  exports.FileRestoreIcon = fileRestore;
  exports.FileSafetyFilledIcon = fileSafetyFilled;
  exports.FileSafetyIcon = fileSafety;
  exports.FileSearchFilledIcon = fileSearchFilled;
  exports.FileSearchIcon = fileSearch;
  exports.FileSettingFilledIcon = fileSettingFilled;
  exports.FileSettingIcon = fileSetting;
  exports.FileTeamsFilledIcon = fileTeamsFilled;
  exports.FileTeamsIcon = fileTeams;
  exports.FileTransmitDoubleFilledIcon = fileTransmitDoubleFilled;
  exports.FileTransmitDoubleIcon = fileTransmitDouble;
  exports.FileTransmitFilledIcon = fileTransmitFilled;
  exports.FileTransmitIcon = fileTransmit;
  exports.FileUnknownFilledIcon = fileUnknownFilled;
  exports.FileUnknownIcon = fileUnknown;
  exports.FileUnlockedFilledIcon = fileUnlockedFilled;
  exports.FileUnlockedIcon = fileUnlocked;
  exports.FileWordFilledIcon = fileWordFilled;
  exports.FileWordIcon = fileWord;
  exports.FileZipFilledIcon = fileZipFilled;
  exports.FileZipIcon = fileZip;
  exports.FillColor1FilledIcon = fillColor1Filled;
  exports.FillColor1Icon = fillColor1;
  exports.FillColorFilledIcon = fillColorFilled;
  exports.FillColorIcon = fillColor;
  exports.Film1FilledIcon = film1Filled;
  exports.Film1Icon = film1;
  exports.FilmFilledIcon = filmFilled;
  exports.FilmIcon = film;
  exports.Filter1FilledIcon = filter1Filled;
  exports.Filter1Icon = filter1;
  exports.Filter2FilledIcon = filter2Filled;
  exports.Filter2Icon = filter2;
  exports.Filter3FilledIcon = filter3Filled;
  exports.Filter3Icon = filter3;
  exports.FilterClearFilledIcon = filterClearFilled;
  exports.FilterClearIcon = filterClear;
  exports.FilterFilledIcon = filterFilled;
  exports.FilterIcon = filter;
  exports.FilterOffFilledIcon = filterOffFilled;
  exports.FilterOffIcon = filterOff;
  exports.FilterSortFilledIcon = filterSortFilled;
  exports.FilterSortIcon = filterSort;
  exports.Fingerprint1Icon = fingerprint1;
  exports.Fingerprint2Icon = fingerprint2;
  exports.Fingerprint3Icon = fingerprint3;
  exports.FingerprintIcon = fingerprint;
  exports.FishFilledIcon = fishFilled;
  exports.FishIcon = fish;
  exports.Flag1FilledIcon = flag1Filled;
  exports.Flag1Icon = flag1;
  exports.Flag2FilledIcon = flag2Filled;
  exports.Flag2Icon = flag2;
  exports.Flag3FilledIcon = flag3Filled;
  exports.Flag3Icon = flag3;
  exports.Flag4FilledIcon = flag4Filled;
  exports.Flag4Icon = flag4;
  exports.FlagFilledIcon = flagFilled;
  exports.FlagIcon = flag;
  exports.FlashlightFilledIcon = flashlightFilled;
  exports.FlashlightIcon = flashlight;
  exports.FlightLandingFilledIcon = flightLandingFilled;
  exports.FlightLandingIcon = flightLanding;
  exports.FlightTakeoffFilledIcon = flightTakeoffFilled;
  exports.FlightTakeoffIcon = flightTakeoff;
  exports.FlipSmilingFaceFilledIcon = flipSmilingFaceFilled;
  exports.FlipSmilingFaceIcon = flipSmilingFace;
  exports.FlipToBackFilledIcon = flipToBackFilled;
  exports.FlipToBackIcon = flipToBack;
  exports.FlipToFrontFilledIcon = flipToFrontFilled;
  exports.FlipToFrontIcon = flipToFront;
  exports.FocusFilledIcon = focusFilled;
  exports.FocusIcon = focus;
  exports.FogFilledIcon = fogFilled;
  exports.FogIcon = fog;
  exports.FogNightFilledIcon = fogNightFilled;
  exports.FogNightIcon = fogNight;
  exports.FogSunnyFilledIcon = fogSunnyFilled;
  exports.FogSunnyIcon = fogSunny;
  exports.Folder1FilledIcon = folder1Filled;
  exports.Folder1Icon = folder1;
  exports.FolderAdd1FilledIcon = folderAdd1Filled;
  exports.FolderAdd1Icon = folderAdd1;
  exports.FolderAddFilledIcon = folderAddFilled;
  exports.FolderAddIcon = folderAdd;
  exports.FolderBlockedFilledIcon = folderBlockedFilled;
  exports.FolderBlockedIcon = folderBlocked;
  exports.FolderDetailsFilledIcon = folderDetailsFilled;
  exports.FolderDetailsIcon = folderDetails;
  exports.FolderExportFilledIcon = folderExportFilled;
  exports.FolderExportIcon = folderExport;
  exports.FolderFilledIcon = folderFilled;
  exports.FolderIcon = folder;
  exports.FolderImportFilledIcon = folderImportFilled;
  exports.FolderImportIcon = folderImport;
  exports.FolderLockedFilledIcon = folderLockedFilled;
  exports.FolderLockedIcon = folderLocked;
  exports.FolderMinusFilledIcon = folderMinusFilled;
  exports.FolderMinusIcon = folderMinus;
  exports.FolderMoveFilledIcon = folderMoveFilled;
  exports.FolderMoveIcon = folderMove;
  exports.FolderOffFilledIcon = folderOffFilled;
  exports.FolderOffIcon = folderOff;
  exports.FolderOpen1FilledIcon = folderOpen1Filled;
  exports.FolderOpen1Icon = folderOpen1;
  exports.FolderOpenFilledIcon = folderOpenFilled;
  exports.FolderOpenIcon = folderOpen;
  exports.FolderSearchFilledIcon = folderSearchFilled;
  exports.FolderSearchIcon = folderSearch;
  exports.FolderSettingFilledIcon = folderSettingFilled;
  exports.FolderSettingIcon = folderSetting;
  exports.FolderSharedFilledIcon = folderSharedFilled;
  exports.FolderSharedIcon = folderShared;
  exports.FolderUnlockedFilledIcon = folderUnlockedFilled;
  exports.FolderUnlockedIcon = folderUnlocked;
  exports.FolderZipFilledIcon = folderZipFilled;
  exports.FolderZipIcon = folderZip;
  exports.ForestFilledIcon = forestFilled;
  exports.ForestIcon = forest;
  exports.ForkFilledIcon = forkFilled;
  exports.ForkIcon = fork;
  exports.FormFilledIcon = formFilled;
  exports.FormIcon = form;
  exports.FormatHorizontalAlignBottomIcon = formatHorizontalAlignBottom;
  exports.FormatHorizontalAlignCenterIcon = formatHorizontalAlignCenter;
  exports.FormatHorizontalAlignTopIcon = formatHorizontalAlignTop;
  exports.FormatVerticalAlignCenterIcon = formatVerticalAlignCenter;
  exports.FormatVerticalAlignLeftIcon = formatVerticalAlignLeft;
  exports.FormatVerticalAlignRightIcon = formatVerticalAlignRight;
  exports.ForwardFilledIcon = forwardFilled;
  exports.ForwardIcon = forward;
  exports.Frame1FilledIcon = frame1Filled;
  exports.Frame1Icon = frame1;
  exports.FrameFilledIcon = frameFilled;
  exports.FrameIcon = frame;
  exports.FriesFilledIcon = friesFilled;
  exports.FriesIcon = fries;
  exports.Fullscreen1Icon = fullscreen1;
  exports.Fullscreen2Icon = fullscreen2;
  exports.FullscreenExit1Icon = fullscreenExit1;
  exports.FullscreenExitIcon = fullscreenExit;
  exports.FullscreenIcon = fullscreen;
  exports.FunctionCurveIcon = functionCurve;
  exports.Functions1Icon = functions1;
  exports.FunctionsIcon = functions;
  exports.Gamepad1FilledIcon = gamepad1Filled;
  exports.Gamepad1Icon = gamepad1;
  exports.GamepadFilledIcon = gamepadFilled;
  exports.GamepadIcon = gamepad;
  exports.GammaIcon = gamma;
  exports.GarlicFilledIcon = garlicFilled;
  exports.GarlicIcon = garlic;
  exports.GenderFemaleIcon = genderFemale;
  exports.GenderMaleIcon = genderMale;
  exports.GestureApplauseFilledIcon = gestureApplauseFilled;
  exports.GestureApplauseIcon = gestureApplause;
  exports.GestureClickFilledIcon = gestureClickFilled;
  exports.GestureClickIcon = gestureClick;
  exports.GestureDownFilledIcon = gestureDownFilled;
  exports.GestureDownIcon = gestureDown;
  exports.GestureExpansionFilledIcon = gestureExpansionFilled;
  exports.GestureExpansionIcon = gestureExpansion;
  exports.GestureLeftFilledIcon = gestureLeftFilled;
  exports.GestureLeftIcon = gestureLeft;
  exports.GestureLeftSlipFilledIcon = gestureLeftSlipFilled;
  exports.GestureLeftSlipIcon = gestureLeftSlip;
  exports.GestureOpenFilledIcon = gestureOpenFilled;
  exports.GestureOpenIcon = gestureOpen;
  exports.GesturePrayFilledIcon = gesturePrayFilled;
  exports.GesturePrayIcon = gesturePray;
  exports.GesturePressFilledIcon = gesturePressFilled;
  exports.GesturePressIcon = gesturePress;
  exports.GestureRanslationFilledIcon = gestureRanslationFilled;
  exports.GestureRanslationIcon = gestureRanslation;
  exports.GestureRightFilledIcon = gestureRightFilled;
  exports.GestureRightIcon = gestureRight;
  exports.GestureRightSlipFilledIcon = gestureRightSlipFilled;
  exports.GestureRightSlipIcon = gestureRightSlip;
  exports.GestureSlideLeftAndRightFilledIcon = gestureSlideLeftAndRightFilled;
  exports.GestureSlideLeftAndRightIcon = gestureSlideLeftAndRight;
  exports.GestureSlideUpFilledIcon = gestureSlideUpFilled;
  exports.GestureSlideUpIcon = gestureSlideUp;
  exports.GestureTypingFilledIcon = gestureTypingFilled;
  exports.GestureTypingIcon = gestureTyping;
  exports.GestureUpAndDownFilledIcon = gestureUpAndDownFilled;
  exports.GestureUpAndDownIcon = gestureUpAndDown;
  exports.GestureUpFilledIcon = gestureUpFilled;
  exports.GestureUpIcon = gestureUp;
  exports.GestureWipeDownFilledIcon = gestureWipeDownFilled;
  exports.GestureWipeDownIcon = gestureWipeDown;
  exports.GiftFilledIcon = giftFilled;
  exports.GiftIcon = gift;
  exports.GiggleFilledIcon = giggleFilled;
  exports.GiggleIcon = giggle;
  exports.GitBranchFilledIcon = gitBranchFilled;
  exports.GitBranchIcon = gitBranch;
  exports.GitCommitFilledIcon = gitCommitFilled;
  exports.GitCommitIcon = gitCommit;
  exports.GitMergeFilledIcon = gitMergeFilled;
  exports.GitMergeIcon = gitMerge;
  exports.GitPullRequestFilledIcon = gitPullRequestFilled;
  exports.GitPullRequestIcon = gitPullRequest;
  exports.GitRepositoryCommitsFilledIcon = gitRepositoryCommitsFilled;
  exports.GitRepositoryCommitsIcon = gitRepositoryCommits;
  exports.GitRepositoryFilledIcon = gitRepositoryFilled;
  exports.GitRepositoryIcon = gitRepository;
  exports.GitRepositoryPrivateFilledIcon = gitRepositoryPrivateFilled;
  exports.GitRepositoryPrivateIcon = gitRepositoryPrivate;
  exports.GpsFilledIcon = gpsFilled;
  exports.GpsIcon = gps;
  exports.GrapeFilledIcon = grapeFilled;
  exports.GrapeIcon = grape;
  exports.GreaterThanIcon = greaterThan;
  exports.GreaterThanOrEqualIcon = greaterThanOrEqual;
  exports.GreenOnionIcon = greenOnion;
  exports.GridAddFilledIcon = gridAddFilled;
  exports.GridAddIcon = gridAdd;
  exports.GridViewFilledIcon = gridViewFilled;
  exports.GridViewIcon = gridView;
  exports.GuitarFilledIcon = guitarFilled;
  exports.GuitarIcon = guitar;
  exports.HamburgerFilledIcon = hamburgerFilled;
  exports.HamburgerIcon = hamburger;
  exports.HappyFilledIcon = happyFilled;
  exports.HappyIcon = happy;
  exports.HardDiskStorageFilledIcon = hardDiskStorageFilled;
  exports.HardDiskStorageIcon = hardDiskStorage;
  exports.HardDriveFilledIcon = hardDriveFilled;
  exports.HardDriveIcon = hardDrive;
  exports.HashtagIcon = hashtag;
  exports.HdFilledIcon = hdFilled;
  exports.HdIcon = hd;
  exports.HeartFilledIcon = heartFilled;
  exports.HeartIcon = heart;
  exports.HelpCircleFilledIcon = helpCircleFilled;
  exports.HelpCircleIcon = helpCircle;
  exports.HelpIcon = help;
  exports.HelpRectangleFilledIcon = helpRectangleFilled;
  exports.HelpRectangleIcon = helpRectangle;
  exports.Highlight1FilledIcon = highlight1Filled;
  exports.Highlight1Icon = highlight1;
  exports.HighlightIcon = highlight;
  exports.HistoryIcon = history;
  exports.HistorySettingIcon = historySetting;
  exports.HomeFilledIcon = homeFilled;
  exports.HomeIcon = home;
  exports.HorizontalFilledIcon = horizontalFilled;
  exports.HorizontalIcon = horizontal;
  exports.Hospital1FilledIcon = hospital1Filled;
  exports.Hospital1Icon = hospital1;
  exports.HospitalFilledIcon = hospitalFilled;
  exports.HospitalIcon = hospital;
  exports.HotspotWaveFilledIcon = hotspotWaveFilled;
  exports.HotspotWaveIcon = hotspotWave;
  exports.HourglassFilledIcon = hourglassFilled;
  exports.HourglassIcon = hourglass;
  exports.Houses1FilledIcon = houses1Filled;
  exports.Houses1Icon = houses1;
  exports.Houses2FilledIcon = houses2Filled;
  exports.Houses2Icon = houses2;
  exports.HousesFilledIcon = housesFilled;
  exports.HousesIcon = houses;
  exports.Html5FilledIcon = html5Filled;
  exports.Html5Icon = html5;
  exports.HttpsFilledIcon = httpsFilled;
  exports.HttpsIcon = https;
  exports.IceCreamFilledIcon = iceCreamFilled;
  exports.IceCreamIcon = iceCream;
  exports.Icon = Icon;
  exports.IconFilledIcon = iconFilled;
  exports.IconFont = IconFont;
  exports.IconIcon = icon;
  exports.Image1FilledIcon = image1Filled;
  exports.Image1Icon = image1;
  exports.ImageAddFilledIcon = imageAddFilled;
  exports.ImageAddIcon = imageAdd;
  exports.ImageEditFilledIcon = imageEditFilled;
  exports.ImageEditIcon = imageEdit;
  exports.ImageErrorFilledIcon = imageErrorFilled;
  exports.ImageErrorIcon = imageError;
  exports.ImageFilledIcon = imageFilled;
  exports.ImageIcon = image;
  exports.ImageOffFilledIcon = imageOffFilled;
  exports.ImageOffIcon = imageOff;
  exports.ImageSearchFilledIcon = imageSearchFilled;
  exports.ImageSearchIcon = imageSearch;
  exports.IndentLeftIcon = indentLeft;
  exports.IndentRightIcon = indentRight;
  exports.IndicatorFilledIcon = indicatorFilled;
  exports.IndicatorIcon = indicator;
  exports.InfoCircleFilledIcon = infoCircleFilled;
  exports.InfoCircleIcon = infoCircle;
  exports.InkFilledIcon = inkFilled;
  exports.InkIcon = ink;
  exports.InstallDesktopFilledIcon = installDesktopFilled;
  exports.InstallDesktopIcon = installDesktop;
  exports.InstallFilledIcon = installFilled;
  exports.InstallIcon = install$1;
  exports.InstallMobileFilledIcon = installMobileFilled;
  exports.InstallMobileIcon = installMobile;
  exports.InstitutionCheckedFilledIcon = institutionCheckedFilled;
  exports.InstitutionCheckedIcon = institutionChecked;
  exports.InstitutionFilledIcon = institutionFilled;
  exports.InstitutionIcon = institution;
  exports.InternetFilledIcon = internetFilled;
  exports.InternetIcon = internet;
  exports.IpodFilledIcon = ipodFilled;
  exports.IpodIcon = ipod;
  exports.JoyfulFilledIcon = joyfulFilled;
  exports.JoyfulIcon = joyful;
  exports.JumpDoubleIcon = jumpDouble;
  exports.JumpIcon = jump;
  exports.JumpOffIcon = jumpOff;
  exports.KeyFilledIcon = keyFilled;
  exports.KeyIcon = key;
  exports.KeyboardFilledIcon = keyboardFilled;
  exports.KeyboardIcon = keyboard;
  exports.LaptopFilledIcon = laptopFilled;
  exports.LaptopIcon = laptop;
  exports.LayersFilledIcon = layersFilled;
  exports.LayersIcon = layers;
  exports.LayoutFilledIcon = layoutFilled;
  exports.LayoutIcon = layout;
  exports.LeaderboardFilledIcon = leaderboardFilled;
  exports.LeaderboardIcon = leaderboard;
  exports.LemonFilledIcon = lemonFilled;
  exports.LemonIcon = lemon;
  exports.LemonSliceFilledIcon = lemonSliceFilled;
  exports.LemonSliceIcon = lemonSlice;
  exports.LessThanIcon = lessThan;
  exports.LessThanOrEqualIcon = lessThanOrEqual;
  exports.LettersAIcon = lettersA;
  exports.LettersBIcon = lettersB;
  exports.LettersCIcon = lettersC;
  exports.LettersDIcon = lettersD;
  exports.LettersEIcon = lettersE;
  exports.LettersFIcon = lettersF;
  exports.LettersGIcon = lettersG;
  exports.LettersHIcon = lettersH;
  exports.LettersIIcon = lettersI;
  exports.LettersJIcon = lettersJ;
  exports.LettersKIcon = lettersK;
  exports.LettersLIcon = lettersL;
  exports.LettersMIcon = lettersM;
  exports.LettersNIcon = lettersN;
  exports.LettersOIcon = lettersO;
  exports.LettersPIcon = lettersP;
  exports.LettersQIcon = lettersQ;
  exports.LettersRIcon = lettersR;
  exports.LettersSIcon = lettersS;
  exports.LettersTIcon = lettersT;
  exports.LettersUIcon = lettersU;
  exports.LettersVIcon = lettersV;
  exports.LettersWIcon = lettersW;
  exports.LettersXIcon = lettersX;
  exports.LettersYIcon = lettersY;
  exports.LettersZIcon = lettersZ;
  exports.LightbulbCircleFilledIcon = lightbulbCircleFilled;
  exports.LightbulbCircleIcon = lightbulbCircle;
  exports.LightbulbFilledIcon = lightbulbFilled;
  exports.LightbulbIcon = lightbulb;
  exports.Lighthouse1FilledIcon = lighthouse1Filled;
  exports.Lighthouse1Icon = lighthouse1;
  exports.Lighthouse2FilledIcon = lighthouse2Filled;
  exports.Lighthouse2Icon = lighthouse2;
  exports.LighthouseFilledIcon = lighthouseFilled;
  exports.LighthouseIcon = lighthouse;
  exports.LightingCircleFilledIcon = lightingCircleFilled;
  exports.LightingCircleIcon = lightingCircle;
  exports.LineHeightIcon = lineHeight;
  exports.Link1Icon = link1;
  exports.LinkIcon = link;
  exports.LinkUnlinkIcon = linkUnlink;
  exports.LiquorFilledIcon = liquorFilled;
  exports.LiquorIcon = liquor;
  exports.ListIcon = list;
  exports.ListNumberedIcon = listNumbered;
  exports.LoadIcon = load;
  exports.LoadingIcon = loading;
  exports.Location1FilledIcon = location1Filled;
  exports.Location1Icon = location1;
  exports.LocationEnlargementFilledIcon = locationEnlargementFilled;
  exports.LocationEnlargementIcon = locationEnlargement;
  exports.LocationErrorFilledIcon = locationErrorFilled;
  exports.LocationErrorIcon = locationError;
  exports.LocationFilledIcon = locationFilled;
  exports.LocationIcon = location;
  exports.LocationParkingPlaceFilledIcon = locationParkingPlaceFilled;
  exports.LocationParkingPlaceIcon = locationParkingPlace;
  exports.LocationReductionFilledIcon = locationReductionFilled;
  exports.LocationReductionIcon = locationReduction;
  exports.LocationSettingFilledIcon = locationSettingFilled;
  exports.LocationSettingIcon = locationSetting;
  exports.LockOffFilledIcon = lockOffFilled;
  exports.LockOffIcon = lockOff;
  exports.LockOnFilledIcon = lockOnFilled;
  exports.LockOnIcon = lockOn;
  exports.LockTimeFilledIcon = lockTimeFilled;
  exports.LockTimeIcon = lockTime;
  exports.LoginIcon = login;
  exports.LogoAdobeIllustrateFilledIcon = logoAdobeIllustrateFilled;
  exports.LogoAdobeIllustrateIcon = logoAdobeIllustrate;
  exports.LogoAdobeLightroomFilledIcon = logoAdobeLightroomFilled;
  exports.LogoAdobeLightroomIcon = logoAdobeLightroom;
  exports.LogoAdobePhotoshopFilledIcon = logoAdobePhotoshopFilled;
  exports.LogoAdobePhotoshopIcon = logoAdobePhotoshop;
  exports.LogoAlipayFilledIcon = logoAlipayFilled;
  exports.LogoAlipayIcon = logoAlipay;
  exports.LogoAndroidFilledIcon = logoAndroidFilled;
  exports.LogoAndroidIcon = logoAndroid;
  exports.LogoAppleFilledIcon = logoAppleFilled;
  exports.LogoAppleIcon = logoApple;
  exports.LogoBehanceFilledIcon = logoBehanceFilled;
  exports.LogoBehanceIcon = logoBehance;
  exports.LogoChromeFilledIcon = logoChromeFilled;
  exports.LogoChromeIcon = logoChrome;
  exports.LogoCinema4DFilledIcon = logoCinema4dFilled;
  exports.LogoCinema4DIcon = logoCinema4d;
  exports.LogoCnbFilledIcon = logoCnbFilled;
  exports.LogoCnbIcon = logoCnb;
  exports.LogoCodepenIcon = logoCodepen;
  exports.LogoCodesandboxIcon = logoCodesandbox;
  exports.LogoDribbbleFilledIcon = logoDribbbleFilled;
  exports.LogoDribbbleIcon = logoDribbble;
  exports.LogoFacebookFilledIcon = logoFacebookFilled;
  exports.LogoFacebookIcon = logoFacebook;
  exports.LogoFigmaFilledIcon = logoFigmaFilled;
  exports.LogoFigmaIcon = logoFigma;
  exports.LogoFramerFilledIcon = logoFramerFilled;
  exports.LogoFramerIcon = logoFramer;
  exports.LogoGithubFilledIcon = logoGithubFilled;
  exports.LogoGithubIcon = logoGithub;
  exports.LogoGitlabFilledIcon = logoGitlabFilled;
  exports.LogoGitlabIcon = logoGitlab;
  exports.LogoIeFilledIcon = logoIeFilled;
  exports.LogoIeIcon = logoIe;
  exports.LogoInstagramFilledIcon = logoInstagramFilled;
  exports.LogoInstagramIcon = logoInstagram;
  exports.LogoMiniprogramFilledIcon = logoMiniprogramFilled;
  exports.LogoMiniprogramIcon = logoMiniprogram;
  exports.LogoQqFilledIcon = logoQqFilled;
  exports.LogoQqIcon = logoQq;
  exports.LogoTwitterFilledIcon = logoTwitterFilled;
  exports.LogoTwitterIcon = logoTwitter;
  exports.LogoWechatStrokeFilledIcon = logoWechatStrokeFilled;
  exports.LogoWechatStrokeIcon = logoWechatStroke;
  exports.LogoWechatpayFilledIcon = logoWechatpayFilled;
  exports.LogoWechatpayIcon = logoWechatpay;
  exports.LogoWecomIcon = logoWecom;
  exports.LogoWindowsFilledIcon = logoWindowsFilled;
  exports.LogoWindowsIcon = logoWindows;
  exports.LogoYoutubeFilledIcon = logoYoutubeFilled;
  exports.LogoYoutubeIcon = logoYoutube;
  exports.LogoutIcon = logout;
  exports.LookAroundFilledIcon = lookAroundFilled;
  exports.LookAroundIcon = lookAround;
  exports.LoudspeakerFilledIcon = loudspeakerFilled;
  exports.LoudspeakerIcon = loudspeaker;
  exports.MailFilledIcon = mailFilled;
  exports.MailIcon = mail;
  exports.Map3DFilledIcon = map3dFilled;
  exports.Map3DIcon = map3d;
  exports.MapAddFilledIcon = mapAddFilled;
  exports.MapAddIcon = mapAdd;
  exports.MapAimingFilledIcon = mapAimingFilled;
  exports.MapAimingIcon = mapAiming;
  exports.MapBlockedFilledIcon = mapBlockedFilled;
  exports.MapBlockedIcon = mapBlocked;
  exports.MapBubbleFilledIcon = mapBubbleFilled;
  exports.MapBubbleIcon = mapBubble;
  exports.MapCancelFilledIcon = mapCancelFilled;
  exports.MapCancelIcon = mapCancel;
  exports.MapChatFilledIcon = mapChatFilled;
  exports.MapChatIcon = mapChat;
  exports.MapCheckedFilledIcon = mapCheckedFilled;
  exports.MapCheckedIcon = mapChecked;
  exports.MapCollectionFilledIcon = mapCollectionFilled;
  exports.MapCollectionIcon = mapCollection;
  exports.MapConnectionFilledIcon = mapConnectionFilled;
  exports.MapConnectionIcon = mapConnection;
  exports.MapDistanceFilledIcon = mapDistanceFilled;
  exports.MapDistanceIcon = mapDistance;
  exports.MapDoubleFilledIcon = mapDoubleFilled;
  exports.MapDoubleIcon = mapDouble;
  exports.MapEditFilledIcon = mapEditFilled;
  exports.MapEditIcon = mapEdit;
  exports.MapFilledIcon = mapFilled;
  exports.MapGridFilledIcon = mapGridFilled;
  exports.MapGridIcon = mapGrid;
  exports.MapIcon = map;
  exports.MapInformation1FilledIcon = mapInformation1Filled;
  exports.MapInformation1Icon = mapInformation1;
  exports.MapInformation2FilledIcon = mapInformation2Filled;
  exports.MapInformation2Icon = mapInformation2;
  exports.MapInformationFilledIcon = mapInformationFilled;
  exports.MapInformationIcon = mapInformation;
  exports.MapLocationFilledIcon = mapLocationFilled;
  exports.MapLocationIcon = mapLocation;
  exports.MapLockedFilledIcon = mapLockedFilled;
  exports.MapLockedIcon = mapLocked;
  exports.MapMarkedFilledIcon = mapMarkedFilled;
  exports.MapMarkedIcon = mapMarked;
  exports.MapNavigationFilledIcon = mapNavigationFilled;
  exports.MapNavigationIcon = mapNavigation;
  exports.MapOutlineFilledIcon = mapOutlineFilled;
  exports.MapOutlineIcon = mapOutline;
  exports.MapRoutePlanningFilledIcon = mapRoutePlanningFilled;
  exports.MapRoutePlanningIcon = mapRoutePlanning;
  exports.MapRulerFilledIcon = mapRulerFilled;
  exports.MapRulerIcon = mapRuler;
  exports.MapSafetyFilledIcon = mapSafetyFilled;
  exports.MapSafetyIcon = mapSafety;
  exports.MapSearch1FilledIcon = mapSearch1Filled;
  exports.MapSearch1Icon = mapSearch1;
  exports.MapSearchFilledIcon = mapSearchFilled;
  exports.MapSearchIcon = mapSearch;
  exports.MapSettingFilledIcon = mapSettingFilled;
  exports.MapSettingIcon = mapSetting;
  exports.MapUnlockedFilledIcon = mapUnlockedFilled;
  exports.MapUnlockedIcon = mapUnlocked;
  exports.MarkAsUnreadFilledIcon = markAsUnreadFilled;
  exports.MarkAsUnreadIcon = markAsUnread;
  exports.MarkupFilledIcon = markupFilled;
  exports.MarkupIcon = markup;
  exports.MathematicsFilledIcon = mathematicsFilled;
  exports.MathematicsIcon = mathematics;
  exports.Measurement1FilledIcon = measurement1Filled;
  exports.Measurement1Icon = measurement1;
  exports.Measurement2FilledIcon = measurement2Filled;
  exports.Measurement2Icon = measurement2;
  exports.MeasurementFilledIcon = measurementFilled;
  exports.MeasurementIcon = measurement;
  exports.MeatPepperFilledIcon = meatPepperFilled;
  exports.MeatPepperIcon = meatPepper;
  exports.MediaLibraryFilledIcon = mediaLibraryFilled;
  exports.MediaLibraryIcon = mediaLibrary;
  exports.MemberFilledIcon = memberFilled;
  exports.MemberIcon = member;
  exports.MenuApplicationIcon = menuApplication;
  exports.MenuFilledIcon = menuFilled;
  exports.MenuFoldIcon = menuFold;
  exports.MenuIcon = menu;
  exports.MenuUnfoldIcon = menuUnfold;
  exports.MergeCellsFilledIcon = mergeCellsFilled;
  exports.MergeCellsIcon = mergeCells;
  exports.Microphone1FilledIcon = microphone1Filled;
  exports.Microphone1Icon = microphone1;
  exports.Microphone2FilledIcon = microphone2Filled;
  exports.Microphone2Icon = microphone2;
  exports.MicrophoneFilledIcon = microphoneFilled;
  exports.MicrophoneIcon = microphone;
  exports.MilkFilledIcon = milkFilled;
  exports.MilkIcon = milk;
  exports.MinusCircleFilledIcon = minusCircleFilled;
  exports.MinusCircleIcon = minusCircle;
  exports.MinusIcon = minus;
  exports.MinusRectangleFilledIcon = minusRectangleFilled;
  exports.MinusRectangleIcon = minusRectangle;
  exports.MirrorFilledIcon = mirrorFilled;
  exports.MirrorIcon = mirror;
  exports.MobileBlockedFilledIcon = mobileBlockedFilled;
  exports.MobileBlockedIcon = mobileBlocked;
  exports.MobileFilledIcon = mobileFilled;
  exports.MobileIcon = mobile;
  exports.MobileListFilledIcon = mobileListFilled;
  exports.MobileListIcon = mobileList;
  exports.MobileNavigationFilledIcon = mobileNavigationFilled;
  exports.MobileNavigationIcon = mobileNavigation;
  exports.MobileShortcutFilledIcon = mobileShortcutFilled;
  exports.MobileShortcutIcon = mobileShortcut;
  exports.MobileVibrateFilledIcon = mobileVibrateFilled;
  exports.MobileVibrateIcon = mobileVibrate;
  exports.ModeDarkFilledIcon = modeDarkFilled;
  exports.ModeDarkIcon = modeDark;
  exports.ModeLightFilledIcon = modeLightFilled;
  exports.ModeLightIcon = modeLight;
  exports.ModuleFilledIcon = moduleFilled;
  exports.ModuleIcon = module;
  exports.MoneyFilledIcon = moneyFilled;
  exports.MoneyIcon = money;
  exports.MonumentFilledIcon = monumentFilled;
  exports.MonumentIcon = monument;
  exports.MoonFallFilledIcon = moonFallFilled;
  exports.MoonFallIcon = moonFall;
  exports.MoonFilledIcon = moonFilled;
  exports.MoonIcon = moon;
  exports.MoonRisingFilledIcon = moonRisingFilled;
  exports.MoonRisingIcon = moonRising;
  exports.MoreIcon = more;
  exports.Mosque1FilledIcon = mosque1Filled;
  exports.Mosque1Icon = mosque1;
  exports.MosqueFilledIcon = mosqueFilled;
  exports.MosqueIcon = mosque;
  exports.MouseFilledIcon = mouseFilled;
  exports.MouseIcon = mouse;
  exports.Move1Icon = move1;
  exports.MoveIcon = move;
  exports.MovieClapperFilledIcon = movieClapperFilled;
  exports.MovieClapperIcon = movieClapper;
  exports.MultiplyIcon = multiply;
  exports.Museum1FilledIcon = museum1Filled;
  exports.Museum1Icon = museum1;
  exports.Museum2FilledIcon = museum2Filled;
  exports.Museum2Icon = museum2;
  exports.MuseumFilledIcon = museumFilled;
  exports.MuseumIcon = museum;
  exports.Mushroom1FilledIcon = mushroom1Filled;
  exports.Mushroom1Icon = mushroom1;
  exports.MushroomFilledIcon = mushroomFilled;
  exports.MushroomIcon = mushroom;
  exports.Music1FilledIcon = music1Filled;
  exports.Music1Icon = music1;
  exports.Music2FilledIcon = music2Filled;
  exports.Music2Icon = music2;
  exports.MusicFilledIcon = musicFilled;
  exports.MusicIcon = music;
  exports.MusicRectangleAddFilledIcon = musicRectangleAddFilled;
  exports.MusicRectangleAddIcon = musicRectangleAdd;
  exports.NavigationArrowFilledIcon = navigationArrowFilled;
  exports.NavigationArrowIcon = navigationArrow;
  exports.NextFilledIcon = nextFilled;
  exports.NextIcon = next;
  exports.NoExpressionFilledIcon = noExpressionFilled;
  exports.NoExpressionIcon = noExpression;
  exports.NoodleFilledIcon = noodleFilled;
  exports.NoodleIcon = noodle;
  exports.NotificationAddFilledIcon = notificationAddFilled;
  exports.NotificationAddIcon = notificationAdd;
  exports.NotificationCircleFilledIcon = notificationCircleFilled;
  exports.NotificationCircleIcon = notificationCircle;
  exports.NotificationErrorFilledIcon = notificationErrorFilled;
  exports.NotificationErrorIcon = notificationError;
  exports.NotificationFilledIcon = notificationFilled;
  exports.NotificationIcon = notification;
  exports.Numbers01Icon = numbers01;
  exports.Numbers0Icon = numbers0;
  exports.Numbers11Icon = numbers11;
  exports.Numbers1Icon = numbers1;
  exports.Numbers21Icon = numbers21;
  exports.Numbers2Icon = numbers2;
  exports.Numbers31Icon = numbers31;
  exports.Numbers3Icon = numbers3;
  exports.Numbers41Icon = numbers41;
  exports.Numbers4Icon = numbers4;
  exports.Numbers51Icon = numbers51;
  exports.Numbers5Icon = numbers5;
  exports.Numbers61Icon = numbers61;
  exports.Numbers6Icon = numbers6;
  exports.Numbers71Icon = numbers71;
  exports.Numbers7Icon = numbers7;
  exports.Numbers81Icon = numbers81;
  exports.Numbers8Icon = numbers8;
  exports.Numbers91Icon = numbers91;
  exports.Numbers9Icon = numbers9;
  exports.NutFilledIcon = nutFilled;
  exports.NutIcon = nut;
  exports.ObjectStorageIcon = objectStorage;
  exports.OpenMouthFilledIcon = openMouthFilled;
  exports.OpenMouthIcon = openMouth;
  exports.OperaFilledIcon = operaFilled;
  exports.OperaIcon = opera;
  exports.OrderAdjustmentColumnIcon = orderAdjustmentColumn;
  exports.OrderAscendingIcon = orderAscending;
  exports.OrderDescendingIcon = orderDescending;
  exports.OutboxFilledIcon = outboxFilled;
  exports.OutboxIcon = outbox;
  exports.PageFirstIcon = pageFirst;
  exports.PageHeadFilledIcon = pageHeadFilled;
  exports.PageHeadIcon = pageHead;
  exports.PageLastIcon = pageLast;
  exports.Palace1FilledIcon = palace1Filled;
  exports.Palace1Icon = palace1;
  exports.Palace2FilledIcon = palace2Filled;
  exports.Palace2Icon = palace2;
  exports.Palace3FilledIcon = palace3Filled;
  exports.Palace3Icon = palace3;
  exports.Palace4FilledIcon = palace4Filled;
  exports.Palace4Icon = palace4;
  exports.PalaceFilledIcon = palaceFilled;
  exports.PalaceIcon = palace;
  exports.Palette1FilledIcon = palette1Filled;
  exports.Palette1Icon = palette1;
  exports.PaletteFilledIcon = paletteFilled;
  exports.PaletteIcon = palette;
  exports.PanoramaHorizontalFilledIcon = panoramaHorizontalFilled;
  exports.PanoramaHorizontalIcon = panoramaHorizontal;
  exports.PanoramaVerticalFilledIcon = panoramaVerticalFilled;
  exports.PanoramaVerticalIcon = panoramaVertical;
  exports.PantoneFilledIcon = pantoneFilled;
  exports.PantoneIcon = pantone;
  exports.ParabolaIcon = parabola;
  exports.ParenthesesIcon = parentheses;
  exports.PasteFilledIcon = pasteFilled;
  exports.PasteIcon = paste;
  exports.PatioFilledIcon = patioFilled;
  exports.PatioIcon = patio;
  exports.PauseCircleFilledIcon = pauseCircleFilled;
  exports.PauseCircleIcon = pauseCircle;
  exports.PauseCircleStrokeFilledIcon = pauseCircleStrokeFilled;
  exports.PauseCircleStrokeIcon = pauseCircleStroke;
  exports.PauseIcon = pause;
  exports.PeaFilledIcon = peaFilled;
  exports.PeaIcon = pea;
  exports.PeachFilledIcon = peachFilled;
  exports.PeachIcon = peach;
  exports.PearFilledIcon = pearFilled;
  exports.PearIcon = pear;
  exports.PearlOfTheOrientFilledIcon = pearlOfTheOrientFilled;
  exports.PearlOfTheOrientIcon = pearlOfTheOrient;
  exports.PenBallFilledIcon = penBallFilled;
  exports.PenBallIcon = penBall;
  exports.PenBrushFilledIcon = penBrushFilled;
  exports.PenBrushIcon = penBrush;
  exports.PenFilledIcon = penFilled;
  exports.PenIcon = pen;
  exports.PenMarkFilledIcon = penMarkFilled;
  exports.PenMarkIcon = penMark;
  exports.PenQuillFilledIcon = penQuillFilled;
  exports.PenQuillIcon = penQuill;
  exports.PendingFilledIcon = pendingFilled;
  exports.PendingIcon = pending;
  exports.PercentIcon = percent;
  exports.PersonalInformationFilledIcon = personalInformationFilled;
  exports.PersonalInformationIcon = personalInformation;
  exports.PhoneLockedFilledIcon = phoneLockedFilled;
  exports.PhoneLockedIcon = phoneLocked;
  exports.PhoneSearchFilledIcon = phoneSearchFilled;
  exports.PhoneSearchIcon = phoneSearch;
  exports.PiIcon = pi;
  exports.PianoFilledIcon = pianoFilled;
  exports.PianoIcon = piano;
  exports.PinFilledIcon = pinFilled;
  exports.PinIcon = pin;
  exports.PlayCircleFilledIcon = playCircleFilled;
  exports.PlayCircleIcon = playCircle;
  exports.PlayCircleStrokeAddFilledIcon = playCircleStrokeAddFilled;
  exports.PlayCircleStrokeAddIcon = playCircleStrokeAdd;
  exports.PlayCircleStrokeFilledIcon = playCircleStrokeFilled;
  exports.PlayCircleStrokeIcon = playCircleStroke;
  exports.PlayDemoFilledIcon = playDemoFilled;
  exports.PlayDemoIcon = playDemo;
  exports.PlayIcon = play;
  exports.PlayRectangleFilledIcon = playRectangleFilled;
  exports.PlayRectangleIcon = playRectangle;
  exports.PlusIcon = plus;
  exports.PopsicleFilledIcon = popsicleFilled;
  exports.PopsicleIcon = popsicle;
  exports.PortraitFilledIcon = portraitFilled;
  exports.PortraitIcon = portrait;
  exports.PoutFilledIcon = poutFilled;
  exports.PoutIcon = pout;
  exports.PoweroffIcon = poweroff;
  exports.PreciseMonitorIcon = preciseMonitor;
  exports.PreviousFilledIcon = previousFilled;
  exports.PreviousIcon = previous;
  exports.PrintFilledIcon = printFilled;
  exports.PrintIcon = print;
  exports.PumpkinFilledIcon = pumpkinFilled;
  exports.PumpkinIcon = pumpkin;
  exports.PyramidFilledIcon = pyramidFilled;
  exports.PyramidIcon = pyramid;
  exports.PyramidMayaFilledIcon = pyramidMayaFilled;
  exports.PyramidMayaIcon = pyramidMaya;
  exports.QrcodeIcon = qrcode;
  exports.QuadraticIcon = quadratic;
  exports.QuestionnaireDoubleFilledIcon = questionnaireDoubleFilled;
  exports.QuestionnaireDoubleIcon = questionnaireDouble;
  exports.QuestionnaireFilledIcon = questionnaireFilled;
  exports.QuestionnaireIcon = questionnaire;
  exports.QueueFilledIcon = queueFilled;
  exports.QueueIcon = queue;
  exports.QuoteFilledIcon = quoteFilled;
  exports.QuoteIcon = quote;
  exports.RadarIcon = radar;
  exports.Radio1FilledIcon = radio1Filled;
  exports.Radio1Icon = radio1;
  exports.Radio2FilledIcon = radio2Filled;
  exports.Radio2Icon = radio2;
  exports.RadishFilledIcon = radishFilled;
  exports.RadishIcon = radish;
  exports.RainHeavyIcon = rainHeavy;
  exports.RainLightFilledIcon = rainLightFilled;
  exports.RainLightIcon = rainLight;
  exports.RainMediumIcon = rainMedium;
  exports.RainbowIcon = rainbow;
  exports.RectangleFilledIcon = rectangleFilled;
  exports.RectangleIcon = rectangle;
  exports.RefreshIcon = refresh;
  exports.RelationIcon = relation;
  exports.RelativityFilledIcon = relativityFilled;
  exports.RelativityIcon = relativity;
  exports.RemoteWaveFilledIcon = remoteWaveFilled;
  exports.RemoteWaveIcon = remoteWave;
  exports.RemoveIcon = remove;
  exports.ReplayFilledIcon = replayFilled;
  exports.ReplayIcon = replay;
  exports.RiceBallFilledIcon = riceBallFilled;
  exports.RiceBallIcon = riceBall;
  exports.RiceFilledIcon = riceFilled;
  exports.RiceIcon = rice;
  exports.RoastFilledIcon = roastFilled;
  exports.RoastIcon = roast;
  exports.RocketFilledIcon = rocketFilled;
  exports.RocketIcon = rocket;
  exports.RollbackIcon = rollback;
  exports.RollfrontIcon = rollfront;
  exports.RootListFilledIcon = rootListFilled;
  exports.RootListIcon = rootList;
  exports.RotateIcon = rotate;
  exports.RotateLockedFilledIcon = rotateLockedFilled;
  exports.RotateLockedIcon = rotateLocked;
  exports.RotationIcon = rotation;
  exports.RoundFilledIcon = roundFilled;
  exports.RoundIcon = round;
  exports.RouterWaveFilledIcon = routerWaveFilled;
  exports.RouterWaveIcon = routerWave;
  exports.RssIcon = rss;
  exports.RulerFilledIcon = rulerFilled;
  exports.RulerIcon = ruler;
  exports.SailingHotelFilledIcon = sailingHotelFilled;
  exports.SailingHotelIcon = sailingHotel;
  exports.SandwichFilledIcon = sandwichFilled;
  exports.SandwichIcon = sandwich;
  exports.SaturationFilledIcon = saturationFilled;
  exports.SaturationIcon = saturation;
  exports.SausageFilledIcon = sausageFilled;
  exports.SausageIcon = sausage;
  exports.SaveFilledIcon = saveFilled;
  exports.SaveIcon = save;
  exports.SavingPotFilledIcon = savingPotFilled;
  exports.SavingPotIcon = savingPot;
  exports.ScanIcon = scan;
  exports.Screen4KFilledIcon = screen4kFilled;
  exports.Screen4KIcon = screen4k;
  exports.ScreencastFilledIcon = screencastFilled;
  exports.ScreencastIcon = screencast;
  exports.ScreenshotIcon = screenshot;
  exports.ScrollBarFilledIcon = scrollBarFilled;
  exports.ScrollBarIcon = scrollBar;
  exports.SdCard1FilledIcon = sdCard1Filled;
  exports.SdCard1Icon = sdCard1;
  exports.SdCardFilledIcon = sdCardFilled;
  exports.SdCardIcon = sdCard;
  exports.SealFilledIcon = sealFilled;
  exports.SealIcon = seal;
  exports.SearchErrorFilledIcon = searchErrorFilled;
  exports.SearchErrorIcon = searchError;
  exports.SearchFilledIcon = searchFilled;
  exports.SearchIcon = search;
  exports.SecuredFilledIcon = securedFilled;
  exports.SecuredIcon = secured;
  exports.SendCancelFilledIcon = sendCancelFilled;
  exports.SendCancelIcon = sendCancel;
  exports.SendFilledIcon = sendFilled;
  exports.SendIcon = send;
  exports.Sensors1Icon = sensors1;
  exports.Sensors2Icon = sensors2;
  exports.SensorsIcon = sensors;
  exports.SensorsOffIcon = sensorsOff;
  exports.SequenceFilledIcon = sequenceFilled;
  exports.SequenceIcon = sequence;
  exports.SerenityFilledIcon = serenityFilled;
  exports.SerenityIcon = serenity;
  exports.ServerFilledIcon = serverFilled;
  exports.ServerIcon = server;
  exports.ServiceFilledIcon = serviceFilled;
  exports.ServiceIcon = service;
  exports.Setting1FilledIcon = setting1Filled;
  exports.Setting1Icon = setting1;
  exports.SettingFilledIcon = settingFilled;
  exports.SettingIcon = setting;
  exports.Share1FilledIcon = share1Filled;
  exports.Share1Icon = share1;
  exports.ShareFilledIcon = shareFilled;
  exports.ShareIcon = share;
  exports.SharpnessFilledIcon = sharpnessFilled;
  exports.SharpnessIcon = sharpness;
  exports.ShieldErrorFilledIcon = shieldErrorFilled;
  exports.ShieldErrorIcon = shieldError;
  exports.ShimenFilledIcon = shimenFilled;
  exports.ShimenIcon = shimen;
  exports.Shop1FilledIcon = shop1Filled;
  exports.Shop1Icon = shop1;
  exports.Shop2FilledIcon = shop2Filled;
  exports.Shop2Icon = shop2;
  exports.Shop3FilledIcon = shop3Filled;
  exports.Shop3Icon = shop3;
  exports.Shop4FilledIcon = shop4Filled;
  exports.Shop4Icon = shop4;
  exports.Shop5FilledIcon = shop5Filled;
  exports.Shop5Icon = shop5;
  exports.ShopFilledIcon = shopFilled;
  exports.ShopIcon = shop;
  exports.ShrimpFilledIcon = shrimpFilled;
  exports.ShrimpIcon = shrimp;
  exports.ShrinkHorizontalIcon = shrinkHorizontal;
  exports.ShrinkVerticalIcon = shrinkVertical;
  exports.ShutterFilledIcon = shutterFilled;
  exports.ShutterIcon = shutter;
  exports.ShutupFilledIcon = shutupFilled;
  exports.ShutupIcon = shutup;
  exports.SimCard1FilledIcon = simCard1Filled;
  exports.SimCard1Icon = simCard1;
  exports.SimCard2FilledIcon = simCard2Filled;
  exports.SimCard2Icon = simCard2;
  exports.SimCardFilledIcon = simCardFilled;
  exports.SimCardIcon = simCard;
  exports.SinisterSmileFilledIcon = sinisterSmileFilled;
  exports.SinisterSmileIcon = sinisterSmile;
  exports.SipFilledIcon = sipFilled;
  exports.SipIcon = sip;
  exports.SitemapFilledIcon = sitemapFilled;
  exports.SitemapIcon = sitemap;
  exports.SlashIcon = slash;
  exports.SleepFilledIcon = sleepFilled;
  exports.SleepIcon = sleep;
  exports.SliceFilledIcon = sliceFilled;
  exports.SliceIcon = slice;
  exports.SlideshowFilledIcon = slideshowFilled;
  exports.SlideshowIcon = slideshow;
  exports.SmileFilledIcon = smileFilled;
  exports.SmileIcon = smile;
  exports.SneerFilledIcon = sneerFilled;
  exports.SneerIcon = sneer;
  exports.SnowflakeIcon = snowflake;
  exports.SonicIcon = sonic;
  exports.SoundDownFilledIcon = soundDownFilled;
  exports.SoundDownIcon = soundDown;
  exports.SoundFilledIcon = soundFilled;
  exports.SoundHighFilledIcon = soundHighFilled;
  exports.SoundHighIcon = soundHigh;
  exports.SoundIcon = sound;
  exports.SoundLowFilledIcon = soundLowFilled;
  exports.SoundLowIcon = soundLow;
  exports.SoundMute1FilledIcon = soundMute1Filled;
  exports.SoundMute1Icon = soundMute1;
  exports.SoundMuteFilledIcon = soundMuteFilled;
  exports.SoundMuteIcon = soundMute;
  exports.SoundUpFilledIcon = soundUpFilled;
  exports.SoundUpIcon = soundUp;
  exports.SpaceIcon = space;
  exports.Speechless1FilledIcon = speechless1Filled;
  exports.Speechless1Icon = speechless1;
  exports.SpeechlessFilledIcon = speechlessFilled;
  exports.SpeechlessIcon = speechless;
  exports.StarFilledIcon = starFilled;
  exports.StarIcon = star;
  exports.StatueOfJesusFilledIcon = statueOfJesusFilled;
  exports.StatueOfJesusIcon = statueOfJesus;
  exports.StickyNoteFilledIcon = stickyNoteFilled;
  exports.StickyNoteIcon = stickyNote;
  exports.StopCircleFilledIcon = stopCircleFilled;
  exports.StopCircleIcon = stopCircle;
  exports.StopCircleStrokeFilledIcon = stopCircleStrokeFilled;
  exports.StopCircleStrokeIcon = stopCircleStroke;
  exports.StopIcon = stop;
  exports.StoreFilledIcon = storeFilled;
  exports.StoreIcon = store;
  exports.StreetRoad1FilledIcon = streetRoad1Filled;
  exports.StreetRoad1Icon = streetRoad1;
  exports.StreetRoadFilledIcon = streetRoadFilled;
  exports.StreetRoadIcon = streetRoad;
  exports.SubtitleFilledIcon = subtitleFilled;
  exports.SubtitleIcon = subtitle;
  exports.SubwayLineFilledIcon = subwayLineFilled;
  exports.SubwayLineIcon = subwayLine;
  exports.SumIcon = sum;
  exports.SunFallFilledIcon = sunFallFilled;
  exports.SunFallIcon = sunFall;
  exports.SunRisingFilledIcon = sunRisingFilled;
  exports.SunRisingIcon = sunRising;
  exports.SunnyFilledIcon = sunnyFilled;
  exports.SunnyIcon = sunny;
  exports.SupportFilledIcon = supportFilled;
  exports.SupportIcon = support;
  exports.Surprised1FilledIcon = surprised1Filled;
  exports.Surprised1Icon = surprised1;
  exports.SurprisedFilledIcon = surprisedFilled;
  exports.SurprisedIcon = surprised;
  exports.SwapIcon = swap;
  exports.SwapLeftIcon = swapLeft;
  exports.SwapRightIcon = swapRight;
  exports.Swear1FilledIcon = swear1Filled;
  exports.Swear1Icon = swear1;
  exports.Swear2FilledIcon = swear2Filled;
  exports.Swear2Icon = swear2;
  exports.System2Icon = system2;
  exports.System3FilledIcon = system3Filled;
  exports.System3Icon = system3;
  exports.SystemApplicationFilledIcon = systemApplicationFilled;
  exports.SystemApplicationIcon = systemApplication;
  exports.SystemBlockedFilledIcon = systemBlockedFilled;
  exports.SystemBlockedIcon = systemBlocked;
  exports.SystemCodeFilledIcon = systemCodeFilled;
  exports.SystemCodeIcon = systemCode;
  exports.SystemComponentsFilledIcon = systemComponentsFilled;
  exports.SystemComponentsIcon = systemComponents;
  exports.SystemCoordinateFilledIcon = systemCoordinateFilled;
  exports.SystemCoordinateIcon = systemCoordinate;
  exports.SystemDeviceFilledIcon = systemDeviceFilled;
  exports.SystemDeviceIcon = systemDevice;
  exports.SystemInterfaceFilledIcon = systemInterfaceFilled;
  exports.SystemInterfaceIcon = systemInterface;
  exports.SystemLocationFilledIcon = systemLocationFilled;
  exports.SystemLocationIcon = systemLocation;
  exports.SystemLockedFilledIcon = systemLockedFilled;
  exports.SystemLockedIcon = systemLocked;
  exports.SystemLogFilledIcon = systemLogFilled;
  exports.SystemLogIcon = systemLog;
  exports.SystemMarkedFilledIcon = systemMarkedFilled;
  exports.SystemMarkedIcon = systemMarked;
  exports.SystemMessagesFilledIcon = systemMessagesFilled;
  exports.SystemMessagesIcon = systemMessages;
  exports.SystemRegulationFilledIcon = systemRegulationFilled;
  exports.SystemRegulationIcon = systemRegulation;
  exports.SystemSearchFilledIcon = systemSearchFilled;
  exports.SystemSearchIcon = systemSearch;
  exports.SystemSettingFilledIcon = systemSettingFilled;
  exports.SystemSettingIcon = systemSetting;
  exports.SystemStorageFilledIcon = systemStorageFilled;
  exports.SystemStorageIcon = systemStorage;
  exports.SystemSumIcon = systemSum;
  exports.SystemUnlockedFilledIcon = systemUnlockedFilled;
  exports.SystemUnlockedIcon = systemUnlocked;
  exports.TabFilledIcon = tabFilled;
  exports.TabIcon = tab;
  exports.Table1FilledIcon = table1Filled;
  exports.Table1Icon = table1;
  exports.Table2FilledIcon = table2Filled;
  exports.Table2Icon = table2;
  exports.TableAddFilledIcon = tableAddFilled;
  exports.TableAddIcon = tableAdd;
  exports.TableFilledIcon = tableFilled;
  exports.TableIcon = table;
  exports.TableSplitFilledIcon = tableSplitFilled;
  exports.TableSplitIcon = tableSplit;
  exports.TagFilledIcon = tagFilled;
  exports.TagIcon = tag;
  exports.TangerinrFilledIcon = tangerinrFilled;
  exports.TangerinrIcon = tangerinr;
  exports.TapeFilledIcon = tapeFilled;
  exports.TapeIcon = tape;
  exports.Task1FilledIcon = task1Filled;
  exports.Task1Icon = task1;
  exports.TaskAdd1Icon = taskAdd1;
  exports.TaskAddFilledIcon = taskAddFilled;
  exports.TaskAddIcon = taskAdd;
  exports.TaskChecked1Icon = taskChecked1;
  exports.TaskCheckedFilledIcon = taskCheckedFilled;
  exports.TaskCheckedIcon = taskChecked;
  exports.TaskDoubleFilledIcon = taskDoubleFilled;
  exports.TaskDoubleIcon = taskDouble;
  exports.TaskErrorFilledIcon = taskErrorFilled;
  exports.TaskErrorIcon = taskError;
  exports.TaskFilledIcon = taskFilled;
  exports.TaskIcon = task;
  exports.TaskLocationFilledIcon = taskLocationFilled;
  exports.TaskLocationIcon = taskLocation;
  exports.TaskMarkedFilledIcon = taskMarkedFilled;
  exports.TaskMarkedIcon = taskMarked;
  exports.TaskSettingFilledIcon = taskSettingFilled;
  exports.TaskSettingIcon = taskSetting;
  exports.TaskTimeFilledIcon = taskTimeFilled;
  exports.TaskTimeIcon = taskTime;
  exports.TaskVisibleFilledIcon = taskVisibleFilled;
  exports.TaskVisibleIcon = taskVisible;
  exports.TeaFilledIcon = teaFilled;
  exports.TeaIcon = tea;
  exports.TeahouseFilledIcon = teahouseFilled;
  exports.TeahouseIcon = teahouse;
  exports.TemplateFilledIcon = templateFilled;
  exports.TemplateIcon = template;
  exports.TempleFilledIcon = templeFilled;
  exports.TempleIcon = temple;
  exports.TerminalIcon = terminal;
  exports.TerminalRectangle1FilledIcon = terminalRectangle1Filled;
  exports.TerminalRectangle1Icon = terminalRectangle1;
  exports.TerminalRectangleFilledIcon = terminalRectangleFilled;
  exports.TerminalRectangleIcon = terminalRectangle;
  exports.TerminalWindowFilledIcon = terminalWindowFilled;
  exports.TerminalWindowIcon = terminalWindow;
  exports.TextboxFilledIcon = textboxFilled;
  exports.TextboxIcon = textbox;
  exports.TextformatBoldIcon = textformatBold;
  exports.TextformatColorIcon = textformatColor;
  exports.TextformatItalicIcon = textformatItalic;
  exports.TextformatStrikethroughIcon = textformatStrikethrough;
  exports.TextformatUnderlineIcon = textformatUnderline;
  exports.TextformatWrapIcon = textformatWrap;
  exports.TheatersFilledIcon = theatersFilled;
  exports.TheatersIcon = theaters;
  exports.ThumbDown1FilledIcon = thumbDown1Filled;
  exports.ThumbDown1Icon = thumbDown1;
  exports.ThumbDown2FilledIcon = thumbDown2Filled;
  exports.ThumbDown2Icon = thumbDown2;
  exports.ThumbDownFilledIcon = thumbDownFilled;
  exports.ThumbDownIcon = thumbDown;
  exports.ThumbUp1FilledIcon = thumbUp1Filled;
  exports.ThumbUp1Icon = thumbUp1;
  exports.ThumbUp2FilledIcon = thumbUp2Filled;
  exports.ThumbUp2Icon = thumbUp2;
  exports.ThumbUpFilledIcon = thumbUpFilled;
  exports.ThumbUpIcon = thumbUp;
  exports.ThunderIcon = thunder;
  exports.ThunderstormIcon = thunderstorm;
  exports.ThunderstormNightFilledIcon = thunderstormNightFilled;
  exports.ThunderstormNightIcon = thunderstormNight;
  exports.ThunderstormSunnyFilledIcon = thunderstormSunnyFilled;
  exports.ThunderstormSunnyIcon = thunderstormSunny;
  exports.TicketFilledIcon = ticketFilled;
  exports.TicketIcon = ticket;
  exports.TimeFilledIcon = timeFilled;
  exports.TimeIcon = time;
  exports.TipsDoubleFilledIcon = tipsDoubleFilled;
  exports.TipsDoubleIcon = tipsDouble;
  exports.TipsFilledIcon = tipsFilled;
  exports.TipsIcon = tips;
  exports.TomatoFilledIcon = tomatoFilled;
  exports.TomatoIcon = tomato;
  exports.ToolsCircleFilledIcon = toolsCircleFilled;
  exports.ToolsCircleIcon = toolsCircle;
  exports.ToolsFilledIcon = toolsFilled;
  exports.ToolsIcon = tools;
  exports.TornadoIcon = tornado;
  exports.Tower1FilledIcon = tower1Filled;
  exports.Tower1Icon = tower1;
  exports.Tower2FilledIcon = tower2Filled;
  exports.Tower2Icon = tower2;
  exports.Tower3FilledIcon = tower3Filled;
  exports.Tower3Icon = tower3;
  exports.TowerClockFilledIcon = towerClockFilled;
  exports.TowerClockIcon = towerClock;
  exports.TowerFilledIcon = towerFilled;
  exports.TowerIcon = tower;
  exports.TownFilledIcon = townFilled;
  exports.TownIcon = town;
  exports.TrafficEventsFilledIcon = trafficEventsFilled;
  exports.TrafficEventsIcon = trafficEvents;
  exports.TrafficFilledIcon = trafficFilled;
  exports.TrafficIcon = traffic;
  exports.Transform1FilledIcon = transform1Filled;
  exports.Transform1Icon = transform1;
  exports.Transform2Icon = transform2;
  exports.Transform3Icon = transform3;
  exports.TransformFilledIcon = transformFilled;
  exports.TransformIcon = transform;
  exports.Translate1Icon = translate1;
  exports.TranslateIcon = translate;
  exports.TreeRoundDotFilledIcon = treeRoundDotFilled;
  exports.TreeRoundDotIcon = treeRoundDot;
  exports.TreeRoundDotVerticalFilledIcon = treeRoundDotVerticalFilled;
  exports.TreeRoundDotVerticalIcon = treeRoundDotVertical;
  exports.TreeSquareDotFilledIcon = treeSquareDotFilled;
  exports.TreeSquareDotIcon = treeSquareDot;
  exports.TreeSquareDotVerticalFilledIcon = treeSquareDotVerticalFilled;
  exports.TreeSquareDotVerticalIcon = treeSquareDotVertical;
  exports.TrendingDownIcon = trendingDown;
  exports.TrendingUpIcon = trendingUp;
  exports.Tv1FilledIcon = tv1Filled;
  exports.Tv1Icon = tv1;
  exports.Tv2FilledIcon = tv2Filled;
  exports.Tv2Icon = tv2;
  exports.TvFilledIcon = tvFilled;
  exports.TvIcon = tv;
  exports.TypographyFilledIcon = typographyFilled;
  exports.TypographyIcon = typography;
  exports.Uncomfortable1FilledIcon = uncomfortable1Filled;
  exports.Uncomfortable1Icon = uncomfortable1;
  exports.Uncomfortable2FilledIcon = uncomfortable2Filled;
  exports.Uncomfortable2Icon = uncomfortable2;
  exports.UncomfortableFilledIcon = uncomfortableFilled;
  exports.UncomfortableIcon = uncomfortable;
  exports.UndertakeDeliveryFilledIcon = undertakeDeliveryFilled;
  exports.UndertakeDeliveryIcon = undertakeDelivery;
  exports.UndertakeEnvironmentProtectionFilledIcon = undertakeEnvironmentProtectionFilled;
  exports.UndertakeEnvironmentProtectionIcon = undertakeEnvironmentProtection;
  exports.UndertakeFilledIcon = undertakeFilled;
  exports.UndertakeHoldUpFilledIcon = undertakeHoldUpFilled;
  exports.UndertakeHoldUpIcon = undertakeHoldUp;
  exports.UndertakeIcon = undertake;
  exports.UndertakeTransactionFilledIcon = undertakeTransactionFilled;
  exports.UndertakeTransactionIcon = undertakeTransaction;
  exports.UnfoldLessIcon = unfoldLess;
  exports.UnfoldMoreIcon = unfoldMore;
  exports.Unhappy1FilledIcon = unhappy1Filled;
  exports.Unhappy1Icon = unhappy1;
  exports.UnhappyFilledIcon = unhappyFilled;
  exports.UnhappyIcon = unhappy;
  exports.UninstallFilledIcon = uninstallFilled;
  exports.UninstallIcon = uninstall;
  exports.Upload1Icon = upload1;
  exports.UploadIcon = upload;
  exports.UpscaleIcon = upscale;
  exports.UsbFilledIcon = usbFilled;
  exports.UsbIcon = usb;
  exports.User1FilledIcon = user1Filled;
  exports.User1Icon = user1;
  exports.UserAddFilledIcon = userAddFilled;
  exports.UserAddIcon = userAdd;
  exports.UserArrowDownFilledIcon = userArrowDownFilled;
  exports.UserArrowDownIcon = userArrowDown;
  exports.UserArrowLeftFilledIcon = userArrowLeftFilled;
  exports.UserArrowLeftIcon = userArrowLeft;
  exports.UserArrowRightFilledIcon = userArrowRightFilled;
  exports.UserArrowRightIcon = userArrowRight;
  exports.UserArrowUpFilledIcon = userArrowUpFilled;
  exports.UserArrowUpIcon = userArrowUp;
  exports.UserAvatarFilledIcon = userAvatarFilled;
  exports.UserAvatarIcon = userAvatar;
  exports.UserBlockedFilledIcon = userBlockedFilled;
  exports.UserBlockedIcon = userBlocked;
  exports.UserBusinessFilledIcon = userBusinessFilled;
  exports.UserBusinessIcon = userBusiness;
  exports.UserChecked1FilledIcon = userChecked1Filled;
  exports.UserChecked1Icon = userChecked1;
  exports.UserCheckedFilledIcon = userCheckedFilled;
  exports.UserCheckedIcon = userChecked;
  exports.UserCircleFilledIcon = userCircleFilled;
  exports.UserCircleIcon = userCircle;
  exports.UserClearFilledIcon = userClearFilled;
  exports.UserClearIcon = userClear;
  exports.UserError1FilledIcon = userError1Filled;
  exports.UserError1Icon = userError1;
  exports.UserFilledIcon = userFilled;
  exports.UserIcon = user;
  exports.UserInvisibleFilledIcon = userInvisibleFilled;
  exports.UserInvisibleIcon = userInvisible;
  exports.UserListFilledIcon = userListFilled;
  exports.UserListIcon = userList;
  exports.UserLockedFilledIcon = userLockedFilled;
  exports.UserLockedIcon = userLocked;
  exports.UserMarkedFilledIcon = userMarkedFilled;
  exports.UserMarkedIcon = userMarked;
  exports.UserPasswordFilledIcon = userPasswordFilled;
  exports.UserPasswordIcon = userPassword;
  exports.UserSafetyFilledIcon = userSafetyFilled;
  exports.UserSafetyIcon = userSafety;
  exports.UserSearchFilledIcon = userSearchFilled;
  exports.UserSearchIcon = userSearch;
  exports.UserSettingFilledIcon = userSettingFilled;
  exports.UserSettingIcon = userSetting;
  exports.UserTalk1FilledIcon = userTalk1Filled;
  exports.UserTalk1Icon = userTalk1;
  exports.UserTalkFilledIcon = userTalkFilled;
  exports.UserTalkIcon = userTalk;
  exports.UserTalkOff1FilledIcon = userTalkOff1Filled;
  exports.UserTalkOff1Icon = userTalkOff1;
  exports.UserTimeFilledIcon = userTimeFilled;
  exports.UserTimeIcon = userTime;
  exports.UserTransmitFilledIcon = userTransmitFilled;
  exports.UserTransmitIcon = userTransmit;
  exports.UserUnknownFilledIcon = userUnknownFilled;
  exports.UserUnknownIcon = userUnknown;
  exports.UserUnlockedFilledIcon = userUnlockedFilled;
  exports.UserUnlockedIcon = userUnlocked;
  exports.UserVipFilledIcon = userVipFilled;
  exports.UserVipIcon = userVip;
  exports.UserVisibleFilledIcon = userVisibleFilled;
  exports.UserVisibleIcon = userVisible;
  exports.UsercaseFilledIcon = usercaseFilled;
  exports.UsercaseIcon = usercase;
  exports.UsercaseLinkFilledIcon = usercaseLinkFilled;
  exports.UsercaseLinkIcon = usercaseLink;
  exports.UsergroupAddFilledIcon = usergroupAddFilled;
  exports.UsergroupAddIcon = usergroupAdd;
  exports.UsergroupClearFilledIcon = usergroupClearFilled;
  exports.UsergroupClearIcon = usergroupClear;
  exports.UsergroupFilledIcon = usergroupFilled;
  exports.UsergroupIcon = usergroup;
  exports.VehicleFilledIcon = vehicleFilled;
  exports.VehicleIcon = vehicle;
  exports.VerifiedFilledIcon = verifiedFilled;
  exports.VerifiedIcon = verified;
  exports.VerifyFilledIcon = verifyFilled;
  exports.VerifyIcon = verify;
  exports.VerticalFilledIcon = verticalFilled;
  exports.VerticalIcon = vertical;
  exports.VideoCamera1FilledIcon = videoCamera1Filled;
  exports.VideoCamera1Icon = videoCamera1;
  exports.VideoCamera2FilledIcon = videoCamera2Filled;
  exports.VideoCamera2Icon = videoCamera2;
  exports.VideoCamera3FilledIcon = videoCamera3Filled;
  exports.VideoCamera3Icon = videoCamera3;
  exports.VideoCameraDollarFilledIcon = videoCameraDollarFilled;
  exports.VideoCameraDollarIcon = videoCameraDollar;
  exports.VideoCameraFilledIcon = videoCameraFilled;
  exports.VideoCameraIcon = videoCamera;
  exports.VideoCameraMinusFilledIcon = videoCameraMinusFilled;
  exports.VideoCameraMinusIcon = videoCameraMinus;
  exports.VideoCameraMusicFilledIcon = videoCameraMusicFilled;
  exports.VideoCameraMusicIcon = videoCameraMusic;
  exports.VideoCameraOffFilledIcon = videoCameraOffFilled;
  exports.VideoCameraOffIcon = videoCameraOff;
  exports.VideoFilledIcon = videoFilled;
  exports.VideoIcon = video;
  exports.VideoLibraryFilledIcon = videoLibraryFilled;
  exports.VideoLibraryIcon = videoLibrary;
  exports.ViewAgendaFilledIcon = viewAgendaFilled;
  exports.ViewAgendaIcon = viewAgenda;
  exports.ViewColumnIcon = viewColumn;
  exports.ViewInArFilledIcon = viewInArFilled;
  exports.ViewInArIcon = viewInAr;
  exports.ViewListIcon = viewList;
  exports.ViewModuleFilledIcon = viewModuleFilled;
  exports.ViewModuleIcon = viewModule;
  exports.VisualRecognitionFilledIcon = visualRecognitionFilled;
  exports.VisualRecognitionIcon = visualRecognition;
  exports.WalletFilledIcon = walletFilled;
  exports.WalletIcon = wallet;
  exports.WatchFilledIcon = watchFilled;
  exports.WatchIcon = watch;
  exports.WatermelonFilledIcon = watermelonFilled;
  exports.WatermelonIcon = watermelon;
  exports.WaveByeFilledIcon = waveByeFilled;
  exports.WaveByeIcon = waveBye;
  exports.WaveLeftFilledIcon = waveLeftFilled;
  exports.WaveLeftIcon = waveLeft;
  exports.WaveRightFilledIcon = waveRightFilled;
  exports.WaveRightIcon = waveRight;
  exports.Wealth1FilledIcon = wealth1Filled;
  exports.Wealth1Icon = wealth1;
  exports.WealthFilledIcon = wealthFilled;
  exports.WealthIcon = wealth;
  exports.WidgetFilledIcon = widgetFilled;
  exports.WidgetIcon = widget;
  exports.Wifi1FilledIcon = wifi1Filled;
  exports.Wifi1Icon = wifi1;
  exports.WifiIcon = wifi;
  exports.WifiOff1FilledIcon = wifiOff1Filled;
  exports.WifiOff1Icon = wifiOff1;
  exports.WifiOffIcon = wifiOff;
  exports.Window1FilledIcon = window1Filled;
  exports.Window1Icon = window1;
  exports.WindowFilledIcon = windowFilled;
  exports.WindowIcon = window$1;
  exports.WindyIcon = windy;
  exports.WindyRainIcon = windyRain;
  exports.WinkFilledIcon = winkFilled;
  exports.WinkIcon = wink;
  exports.WorkFilledIcon = workFilled;
  exports.WorkHistoryFilledIcon = workHistoryFilled;
  exports.WorkHistoryIcon = workHistory;
  exports.WorkIcon = work;
  exports.WorkOffFilledIcon = workOffFilled;
  exports.WorkOffIcon = workOff;
  exports.WrySmileFilledIcon = wrySmileFilled;
  exports.WrySmileIcon = wrySmile;
  exports.ZoomInFilledIcon = zoomInFilled;
  exports.ZoomInIcon = zoomIn;
  exports.ZoomOutFilledIcon = zoomOutFilled;
  exports.ZoomOutIcon = zoomOut;
  exports.default = index;
  exports.install = install;
  exports.manifest = manifest;

  Object.defineProperty(exports, '__esModule', { value: true });

})));
//# sourceMappingURL=index.js.map
