import { _ as _defineProperty } from '../_chunks/dep-931ef437.js';
import { defineComponent, computed } from 'vue';
import renderFn from '../utils/render-fn.js';
import useSizeProps from '../utils/use-size-props.js';
import '../style/css.js';
import '../utils/use-common-classname.js';
import '../utils/config-context.js';

function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
var element = {
  "tag": "svg",
  "attrs": {
    "fill": "none",
    "viewBox": "0 0 24 24",
    "width": "1em",
    "height": "1em"
  },
  "children": [{
    "tag": "path",
    "attrs": {
      "fill": "currentColor",
      "d": "M11.3875 3.02051C6.7026 3.33536 3 7.23528 3 12C3 16.4346 6.20806 20.1211 10.4295 20.8636L11.8799 17.9986C10.0783 17.9561 8.51385 16.9603 7.66955 15.5007L7.16882 14.6351L8.90004 13.6337L9.40076 14.4993C9.7109 15.0354 10.1808 15.4657 10.7448 15.7257L9.88197 14L11.882 10L9.88057 5.99721L11.3875 3.02051ZM13.5705 3.13641L12.1194 6.00279L14.118 10L12.118 14L13.0278 15.8195C13.6927 15.5771 14.2483 15.106 14.5993 14.4993L15.1 13.6337L16.8312 14.6351L16.3305 15.5007C15.7856 16.4427 14.9408 17.1915 13.9258 17.6155L14.1194 18.0028L12.6125 20.9795C17.2974 20.6646 21 16.7647 21 12C21 7.56538 17.7919 3.87892 13.5705 3.13641ZM1 12C1 5.92487 5.92487 1 12 1C12.3705 1 12.7371 1.01836 13.0988 1.05427C18.6585 1.60627 23 6.29551 23 12C23 18.0751 18.0751 23 12 23C11.6295 23 11.2629 22.9816 10.9012 22.9457C5.34148 22.3937 1 17.7045 1 12ZM9 8V12H7V8H9ZM17 8V12H15V8H17Z"
    }
  }]
};
var crack = defineComponent({
  name: "CrackIcon",
  props: {
    size: {
      type: String
    },
    onClick: {
      type: Function
    }
  },
  setup(props, _ref) {
    var {
      attrs
    } = _ref;
    var propsSize = computed(() => props.size);
    var {
      className,
      style
    } = useSizeProps(propsSize);
    var finalCls = computed(() => ["t-icon", "t-icon-crack", className.value]);
    var finalStyle = computed(() => _objectSpread(_objectSpread({}, style.value), attrs.style));
    var finalProps = computed(() => ({
      class: finalCls.value,
      style: finalStyle.value,
      onClick: e => {
        var _props$onClick;
        return (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props, {
          e
        });
      }
    }));
    return () => renderFn(element, finalProps.value);
  }
});

export default crack;
//# sourceMappingURL=crack.js.map
